#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 3350
#define LARGE_STATE_COUNT 526
#define SYMBOL_COUNT 466
#define ALIAS_COUNT 1
#define TOKEN_COUNT 161
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 21
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 83

enum {
  sym_identifier = 1,
  anon_sym_POUND = 2,
  sym_decimal_integer_literal = 3,
  sym_hex_integer_literal = 4,
  sym_decimal_floating_point_literal = 5,
  anon_sym_true = 6,
  anon_sym_false = 7,
  anon_sym_DQUOTE = 8,
  anon_sym_SQUOTE = 9,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 10,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 11,
  anon_sym_r_DQUOTE = 12,
  anon_sym_DOLLAR = 13,
  anon_sym_r_SQUOTE = 14,
  anon_sym_r_DQUOTE_DQUOTE_DQUOTE = 15,
  anon_sym_r_SQUOTE_SQUOTE_SQUOTE = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym__sub_string_test_token1 = 19,
  sym__unused_escape_sequence = 20,
  anon_sym_LBRACK = 21,
  anon_sym_COMMA = 22,
  anon_sym_RBRACK = 23,
  anon_sym_COLON = 24,
  anon_sym_null = 25,
  anon_sym_throw = 26,
  anon_sym_EQ = 27,
  anon_sym_PLUS_EQ = 28,
  anon_sym_DASH_EQ = 29,
  anon_sym_STAR_EQ = 30,
  anon_sym_SLASH_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_TILDE_SLASH_EQ = 33,
  anon_sym_LT_LT_EQ = 34,
  anon_sym_GT_GT_EQ = 35,
  anon_sym_GT_GT_GT_EQ = 36,
  anon_sym_AMP_EQ = 37,
  anon_sym_CARET_EQ = 38,
  anon_sym_PIPE_EQ = 39,
  anon_sym_QMARK_QMARK_EQ = 40,
  anon_sym_LPAREN = 41,
  anon_sym_RPAREN = 42,
  anon_sym_QMARK_QMARK = 43,
  anon_sym_QMARK = 44,
  anon_sym_PIPE_PIPE = 45,
  anon_sym_AMP_AMP = 46,
  sym_equality_operator = 47,
  anon_sym_LT = 48,
  anon_sym_GT = 49,
  anon_sym_LT_EQ = 50,
  anon_sym_GT_EQ = 51,
  anon_sym_PIPE = 52,
  anon_sym_CARET = 53,
  anon_sym_AMP = 54,
  anon_sym_LT_LT = 55,
  anon_sym_GT_GT = 56,
  anon_sym_GT_GT_GT = 57,
  sym__additive_operator = 58,
  anon_sym_STAR = 59,
  anon_sym_SLASH = 60,
  anon_sym_PERCENT = 61,
  anon_sym_TILDE_SLASH = 62,
  sym_increment_operator = 63,
  anon_sym_DOT_DOT_DOT = 64,
  sym_minus_operator = 65,
  sym__exclamation_operator = 66,
  anon_sym_TILDE = 67,
  anon_sym_await = 68,
  anon_sym_is = 69,
  anon_sym_as = 70,
  anon_sym_DOT = 71,
  anon_sym_QMARK_DOT = 72,
  anon_sym_DOT_DOT = 73,
  anon_sym_QMARK_DOT_DOT = 74,
  anon_sym_extends = 75,
  anon_sym_SEMI = 76,
  anon_sym_switch = 77,
  anon_sym_default = 78,
  anon_sym_do = 79,
  anon_sym_while = 80,
  anon_sym_continue = 81,
  anon_sym_yield = 82,
  anon_sym_return = 83,
  anon_sym_on = 84,
  anon_sym_try = 85,
  anon_sym_catch = 86,
  anon_sym_finally = 87,
  anon_sym_if = 88,
  anon_sym_else = 89,
  anon_sym_for = 90,
  anon_sym_in = 91,
  anon_sym_AT = 92,
  anon_sym_transitive = 93,
  anon_sym_part = 94,
  anon_sym_of = 95,
  anon_sym_EQ_EQ = 96,
  anon_sym_show = 97,
  anon_sym_hide = 98,
  anon_sym_enum = 99,
  anon_sym_abstract = 100,
  anon_sym_class = 101,
  anon_sym_extension = 102,
  anon_sym_with = 103,
  anon_sym_LBRACK_RBRACK = 104,
  anon_sym_LBRACK_RBRACK_EQ = 105,
  anon_sym_super = 106,
  sym_floating_point_type = 107,
  anon_sym_bool = 108,
  sym_void_type = 109,
  anon_sym_var = 110,
  anon_sym_async = 111,
  anon_sym_EQ_GT = 112,
  anon_sym_async_STAR = 113,
  anon_sym_sync_STAR = 114,
  anon_sym_throws = 115,
  anon_sym_POUND_BANG = 116,
  aux_sym_script_tag_token1 = 117,
  anon_sym_LF = 118,
  anon_sym_library = 119,
  sym__break_builtin = 120,
  sym__assert_builtin = 121,
  sym_case_builtin = 122,
  anon_sym_covariant = 123,
  anon_sym_deferred = 124,
  anon_sym_dynamic = 125,
  anon_sym_export = 126,
  anon_sym_factory = 127,
  anon_sym_Function = 128,
  anon_sym_get = 129,
  anon_sym_native = 130,
  anon_sym_implements = 131,
  anon_sym_import = 132,
  anon_sym_interface = 133,
  anon_sym_operator = 134,
  anon_sym_mixin = 135,
  anon_sym_required = 136,
  anon_sym_set = 137,
  anon_sym_static = 138,
  anon_sym_typedef = 139,
  anon_sym_new = 140,
  sym_const_builtin = 141,
  sym_final_builtin = 142,
  anon_sym_late = 143,
  anon_sym_external = 144,
  anon_sym_this = 145,
  sym_identifier_dollar_escaped = 146,
  anon_sym_SLASH_SLASH = 147,
  aux_sym_comment_token1 = 148,
  anon_sym_SLASH_STAR = 149,
  aux_sym_comment_token2 = 150,
  anon_sym_SLASH_SLASH_SLASH = 151,
  aux_sym_documentation_comment_token1 = 152,
  sym__automatic_semicolon = 153,
  sym__template_chars_double = 154,
  sym__template_chars_single = 155,
  sym__template_chars_double_single = 156,
  sym__template_chars_single_single = 157,
  sym__template_chars_raw_slash = 158,
  sym__block_comment = 159,
  sym__documentation_block_comment = 160,
  sym_program = 161,
  sym__top_level_definition = 162,
  sym__literal = 163,
  sym_symbol_literal = 164,
  sym_true = 165,
  sym_false = 166,
  sym_string_literal = 167,
  sym__string_literal_double_quotes = 168,
  sym__string_literal_single_quotes = 169,
  sym__string_literal_double_quotes_multiple = 170,
  sym__string_literal_single_quotes_multiple = 171,
  sym__raw_string_literal_double_quotes = 172,
  sym__raw_string_literal_single_quotes = 173,
  sym__raw_string_literal_double_quotes_multiple = 174,
  sym__raw_string_literal_single_quotes_multiple = 175,
  sym_template_substitution = 176,
  sym__sub_string_test = 177,
  sym_escape_sequence = 178,
  sym_list_literal = 179,
  sym_set_or_map_literal = 180,
  sym_pair = 181,
  sym__element = 182,
  sym_null_literal = 183,
  sym__expression = 184,
  sym__expression_without_cascade = 185,
  sym__real_expression = 186,
  sym_throw_expression = 187,
  sym_throw_expression_without_cascade = 188,
  sym_assignment_expression = 189,
  sym_assignment_expression_without_cascade = 190,
  sym_assignable_expression = 191,
  sym__assignable_selector_part = 192,
  sym__assignment_operator = 193,
  sym_lambda_expression = 194,
  sym_function_expression = 195,
  sym_if_null_expression = 196,
  aux_sym__if_null_expression = 197,
  sym_conditional_expression = 198,
  sym_logical_or_expression = 199,
  sym_logical_and_expression = 200,
  sym_equality_expression = 201,
  sym_type_cast_expression = 202,
  sym_type_test_expression = 203,
  sym_relational_expression = 204,
  sym_relational_operator = 205,
  sym_bitwise_or_expression = 206,
  sym_bitwise_xor_expression = 207,
  sym_bitwise_and_expression = 208,
  sym_shift_expression = 209,
  sym_additive_expression = 210,
  sym_multiplicative_expression = 211,
  sym_bitwise_operator = 212,
  sym__bitwise_operator = 213,
  sym_shift_operator = 214,
  sym__shift_operator = 215,
  sym_additive_operator = 216,
  sym_multiplicative_operator = 217,
  sym__multiplicative_operator = 218,
  sym__unary_expression = 219,
  sym_unary_expression = 220,
  sym__postfix_expression = 221,
  sym_postfix_expression = 222,
  sym_postfix_operator = 223,
  sym_spread_element = 224,
  sym_selector = 225,
  sym_prefix_operator = 226,
  sym_negation_operator = 227,
  sym_tilde_operator = 228,
  sym_await_expression = 229,
  sym_type_test = 230,
  sym_is_operator = 231,
  sym_type_cast = 232,
  sym_as_operator = 233,
  sym_new_expression = 234,
  sym__dot_identifier = 235,
  sym_const_object_expression = 236,
  sym__primary = 237,
  sym_parenthesized_expression = 238,
  sym_constructor_invocation = 239,
  sym_arguments = 240,
  sym__argument_list = 241,
  sym_argument = 242,
  sym_named_argument = 243,
  sym_cascade_section = 244,
  sym__cascade_subsection = 245,
  sym__cascade_assignment_section = 246,
  sym_index_selector = 247,
  sym_cascade_selector = 248,
  sym_argument_part = 249,
  sym_unconditional_assignable_selector = 250,
  sym_conditional_assignable_selector = 251,
  sym__assignable_selector = 252,
  sym_type_arguments = 253,
  sym__statement = 254,
  sym_local_function_declaration = 255,
  sym_block = 256,
  sym_expression_statement = 257,
  sym_assert_statement = 258,
  sym_assertion = 259,
  sym_assertion_arguments = 260,
  sym_switch_statement = 261,
  sym_switch_block = 262,
  sym_switch_label = 263,
  sym_do_statement = 264,
  sym_break_statement = 265,
  sym_continue_statement = 266,
  sym_yield_statement = 267,
  sym_yield_each_statement = 268,
  sym_return_statement = 269,
  sym_try_statement = 270,
  sym__on_part = 271,
  sym__try_head = 272,
  sym_catch_clause = 273,
  sym_catch_parameters = 274,
  sym_finally_clause = 275,
  sym_if_element = 276,
  sym_if_statement = 277,
  sym_while_statement = 278,
  sym_for_statement = 279,
  sym_for_loop_parts = 280,
  sym__for_loop_parts = 281,
  sym_for_element = 282,
  sym__annotation = 283,
  sym_marker_annotation = 284,
  sym_annotation = 285,
  sym_import_or_export = 286,
  sym_library_import = 287,
  sym_library_export = 288,
  sym_import_specification = 289,
  sym_part_directive = 290,
  sym_part_of_directive = 291,
  sym_uri = 292,
  sym_configurable_uri = 293,
  sym_configuration_uri = 294,
  sym_configuration_uri_condition = 295,
  sym_uri_test = 296,
  sym_combinator = 297,
  sym__identifier_list = 298,
  sym_enum_declaration = 299,
  sym_enum_body = 300,
  sym_enum_constant = 301,
  sym_type_alias = 302,
  sym_class_definition = 303,
  sym_extension_declaration = 304,
  sym__metadata = 305,
  sym_type_parameters = 306,
  sym_type_parameter = 307,
  sym_type_bound = 308,
  sym_superclass = 309,
  sym_mixins = 310,
  sym_mixin_application_class = 311,
  sym_mixin_application = 312,
  sym_mixin_declaration = 313,
  sym_interfaces = 314,
  sym_class_body = 315,
  sym_extension_body = 316,
  sym_getter_signature = 317,
  sym_setter_signature = 318,
  sym_method_signature = 319,
  sym_declaration = 320,
  sym_identifier_list = 321,
  sym_initialized_identifier_list = 322,
  sym_initialized_identifier = 323,
  sym_static_final_declaration_list = 324,
  sym_binary_operator = 325,
  sym_operator_signature = 326,
  sym_static_final_declaration = 327,
  sym__external_and_static = 328,
  sym__final_or_const = 329,
  sym_initializers = 330,
  sym_initializer_list_entry = 331,
  sym_field_initializer = 332,
  sym_factory_constructor_signature = 333,
  sym_redirecting_factory_constructor_signature = 334,
  sym_redirection = 335,
  sym_constructor_signature = 336,
  sym_constant_constructor_signature = 337,
  sym_scoped_identifier = 338,
  sym_initialized_variable_definition = 339,
  sym__declared_identifier = 340,
  sym__final_const_var_or_type = 341,
  sym__type = 342,
  sym__type_not_function = 343,
  sym__type_not_void_not_function = 344,
  sym_function_type = 345,
  aux_sym__function_type_tails = 346,
  sym__function_type_tail = 347,
  sym_parameter_type_list = 348,
  sym_normal_parameter_type = 349,
  sym_optional_parameter_types = 350,
  sym_optional_positional_parameter_types = 351,
  sym_named_parameter_types = 352,
  sym__named_parameter_type = 353,
  sym__type_not_void = 354,
  sym__type_not_void_list = 355,
  sym__type_name = 356,
  sym__type_dot_identifier = 357,
  sym_typed_identifier = 358,
  sym__nullable_type = 359,
  sym__var_or_type = 360,
  sym_inferred_type = 361,
  sym_function_body = 362,
  sym_function_expression_body = 363,
  sym_function_signature = 364,
  sym__formal_parameter_part = 365,
  sym_formal_parameter_list = 366,
  sym__strict_formal_parameter_list = 367,
  sym__normal_formal_parameters = 368,
  sym_optional_formal_parameters = 369,
  sym__optional_postional_formal_parameters = 370,
  sym__named_formal_parameters = 371,
  sym_formal_parameter = 372,
  sym__default_formal_parameter = 373,
  sym__default_named_parameter = 374,
  sym__normal_formal_parameter = 375,
  sym__function_formal_parameter = 376,
  sym__simple_formal_parameter = 377,
  sym_super_formal_parameter = 378,
  sym_constructor_param = 379,
  sym_local_variable_declaration = 380,
  sym_script_tag = 381,
  sym_library_name = 382,
  sym_dotted_identifier_list = 383,
  sym_qualified = 384,
  sym__as = 385,
  sym__covariant = 386,
  sym__deferred = 387,
  sym__export = 388,
  sym__external = 389,
  sym__factory = 390,
  sym__function_builtin_identifier = 391,
  sym__get = 392,
  sym__native = 393,
  sym__implements = 394,
  sym__import = 395,
  sym__operator = 396,
  sym__mixin = 397,
  sym__required = 398,
  sym__set = 399,
  sym__static = 400,
  sym__typedef = 401,
  sym__new_builtin = 402,
  sym__late_builtin = 403,
  sym__external_builtin = 404,
  sym_this = 405,
  sym_super = 406,
  sym_label = 407,
  sym__semicolon = 408,
  sym_comment = 409,
  sym_documentation_comment = 410,
  aux_sym_program_repeat1 = 411,
  aux_sym_program_repeat2 = 412,
  aux_sym_program_repeat3 = 413,
  aux_sym_program_repeat4 = 414,
  aux_sym_program_repeat5 = 415,
  aux_sym_program_repeat6 = 416,
  aux_sym_string_literal_repeat1 = 417,
  aux_sym__string_literal_double_quotes_repeat1 = 418,
  aux_sym__string_literal_single_quotes_repeat1 = 419,
  aux_sym__string_literal_double_quotes_multiple_repeat1 = 420,
  aux_sym__string_literal_single_quotes_multiple_repeat1 = 421,
  aux_sym__raw_string_literal_double_quotes_repeat1 = 422,
  aux_sym__raw_string_literal_single_quotes_repeat1 = 423,
  aux_sym__raw_string_literal_double_quotes_multiple_repeat1 = 424,
  aux_sym__raw_string_literal_single_quotes_multiple_repeat1 = 425,
  aux_sym_list_literal_repeat1 = 426,
  aux_sym__expression_repeat1 = 427,
  aux_sym__assignable_selector_part_repeat1 = 428,
  aux_sym_inferred_parameters_repeat1 = 429,
  aux_sym_logical_or_expression_repeat1 = 430,
  aux_sym_logical_and_expression_repeat1 = 431,
  aux_sym_bitwise_or_expression_repeat1 = 432,
  aux_sym_bitwise_xor_expression_repeat1 = 433,
  aux_sym_bitwise_and_expression_repeat1 = 434,
  aux_sym_shift_expression_repeat1 = 435,
  aux_sym_additive_expression_repeat1 = 436,
  aux_sym_multiplicative_expression_repeat1 = 437,
  aux_sym__argument_list_repeat1 = 438,
  aux_sym__argument_list_repeat2 = 439,
  aux_sym__argument_list_repeat3 = 440,
  aux_sym_cascade_section_repeat1 = 441,
  aux_sym_cascade_section_repeat2 = 442,
  aux_sym_type_arguments_repeat1 = 443,
  aux_sym_switch_block_repeat1 = 444,
  aux_sym_switch_case_repeat1 = 445,
  aux_sym_try_statement_repeat1 = 446,
  aux_sym__for_loop_parts_repeat1 = 447,
  aux_sym__for_loop_parts_repeat2 = 448,
  aux_sym_library_export_repeat1 = 449,
  aux_sym_configurable_uri_repeat1 = 450,
  aux_sym_enum_body_repeat1 = 451,
  aux_sym__metadata_repeat1 = 452,
  aux_sym_type_parameters_repeat1 = 453,
  aux_sym_class_body_repeat1 = 454,
  aux_sym_extension_body_repeat1 = 455,
  aux_sym_initialized_identifier_list_repeat1 = 456,
  aux_sym_static_final_declaration_list_repeat1 = 457,
  aux_sym_initializers_repeat1 = 458,
  aux_sym_factory_constructor_signature_repeat1 = 459,
  aux_sym_parameter_type_list_repeat1 = 460,
  aux_sym_named_parameter_types_repeat1 = 461,
  aux_sym__type_not_void_list_repeat1 = 462,
  aux_sym__normal_formal_parameters_repeat1 = 463,
  aux_sym_positional_parameters_repeat1 = 464,
  aux_sym__named_formal_parameters_repeat1 = 465,
  alias_sym_type_identifier = 466,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_POUND] = "#",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [anon_sym_r_DQUOTE] = "r\"",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_r_SQUOTE] = "r'",
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = "r\"\"\"",
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = "r'''",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__sub_string_test_token1] = "_sub_string_test_token1",
  [sym__unused_escape_sequence] = "_unused_escape_sequence",
  [anon_sym_LBRACK] = "[",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [anon_sym_null] = "null",
  [anon_sym_throw] = "throw",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_TILDE_SLASH_EQ] = "~/=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [sym_equality_operator] = "equality_operator",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [sym__additive_operator] = "_additive_operator",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_TILDE_SLASH] = "~/",
  [sym_increment_operator] = "increment_operator",
  [anon_sym_DOT_DOT_DOT] = "...",
  [sym_minus_operator] = "minus_operator",
  [sym__exclamation_operator] = "_exclamation_operator",
  [anon_sym_TILDE] = "~",
  [anon_sym_await] = "await",
  [anon_sym_is] = "is",
  [anon_sym_as] = "as",
  [anon_sym_DOT] = ".",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_QMARK_DOT_DOT] = "\?..",
  [anon_sym_extends] = "extends",
  [anon_sym_SEMI] = ";",
  [anon_sym_switch] = "switch",
  [anon_sym_default] = "default",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_continue] = "continue",
  [anon_sym_yield] = "yield",
  [anon_sym_return] = "return",
  [anon_sym_on] = "on",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_AT] = "@",
  [anon_sym_transitive] = "transitive",
  [anon_sym_part] = "part",
  [anon_sym_of] = "of",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_show] = "show",
  [anon_sym_hide] = "hide",
  [anon_sym_enum] = "enum",
  [anon_sym_abstract] = "abstract",
  [anon_sym_class] = "class",
  [anon_sym_extension] = "extension",
  [anon_sym_with] = "with",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_LBRACK_RBRACK_EQ] = "[]=",
  [anon_sym_super] = "super",
  [sym_floating_point_type] = "floating_point_type",
  [anon_sym_bool] = "bool",
  [sym_void_type] = "void_type",
  [anon_sym_var] = "var",
  [anon_sym_async] = "async",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_async_STAR] = "async*",
  [anon_sym_sync_STAR] = "sync*",
  [anon_sym_throws] = "throws",
  [anon_sym_POUND_BANG] = "#!",
  [aux_sym_script_tag_token1] = "script_tag_token1",
  [anon_sym_LF] = "\n",
  [anon_sym_library] = "library",
  [sym__break_builtin] = "_break_builtin",
  [sym__assert_builtin] = "_assert_builtin",
  [sym_case_builtin] = "case_builtin",
  [anon_sym_covariant] = "covariant",
  [anon_sym_deferred] = "deferred",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_export] = "export",
  [anon_sym_factory] = "factory",
  [anon_sym_Function] = "Function",
  [anon_sym_get] = "get",
  [anon_sym_native] = "native",
  [anon_sym_implements] = "implements",
  [anon_sym_import] = "import",
  [anon_sym_interface] = "interface",
  [anon_sym_operator] = "operator",
  [anon_sym_mixin] = "mixin",
  [anon_sym_required] = "required",
  [anon_sym_set] = "set",
  [anon_sym_static] = "static",
  [anon_sym_typedef] = "typedef",
  [anon_sym_new] = "new",
  [sym_const_builtin] = "const_builtin",
  [sym_final_builtin] = "final_builtin",
  [anon_sym_late] = "late",
  [anon_sym_external] = "external",
  [anon_sym_this] = "this",
  [sym_identifier_dollar_escaped] = "identifier_dollar_escaped",
  [anon_sym_SLASH_SLASH] = "//",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_SLASH_STAR] = "/*",
  [aux_sym_comment_token2] = "comment_token2",
  [anon_sym_SLASH_SLASH_SLASH] = "///",
  [aux_sym_documentation_comment_token1] = "documentation_comment_token1",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars_double] = "_template_chars_double",
  [sym__template_chars_single] = "_template_chars_single",
  [sym__template_chars_double_single] = "_template_chars_double_single",
  [sym__template_chars_single_single] = "_template_chars_single_single",
  [sym__template_chars_raw_slash] = "_template_chars_raw_slash",
  [sym__block_comment] = "_block_comment",
  [sym__documentation_block_comment] = "_documentation_block_comment",
  [sym_program] = "program",
  [sym__top_level_definition] = "_top_level_definition",
  [sym__literal] = "_literal",
  [sym_symbol_literal] = "symbol_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_string_literal] = "string_literal",
  [sym__string_literal_double_quotes] = "_string_literal_double_quotes",
  [sym__string_literal_single_quotes] = "_string_literal_single_quotes",
  [sym__string_literal_double_quotes_multiple] = "_string_literal_double_quotes_multiple",
  [sym__string_literal_single_quotes_multiple] = "_string_literal_single_quotes_multiple",
  [sym__raw_string_literal_double_quotes] = "_raw_string_literal_double_quotes",
  [sym__raw_string_literal_single_quotes] = "_raw_string_literal_single_quotes",
  [sym__raw_string_literal_double_quotes_multiple] = "_raw_string_literal_double_quotes_multiple",
  [sym__raw_string_literal_single_quotes_multiple] = "_raw_string_literal_single_quotes_multiple",
  [sym_template_substitution] = "template_substitution",
  [sym__sub_string_test] = "_sub_string_test",
  [sym_escape_sequence] = "escape_sequence",
  [sym_list_literal] = "list_literal",
  [sym_set_or_map_literal] = "set_or_map_literal",
  [sym_pair] = "pair",
  [sym__element] = "_element",
  [sym_null_literal] = "null_literal",
  [sym__expression] = "_expression",
  [sym__expression_without_cascade] = "_expression_without_cascade",
  [sym__real_expression] = "_real_expression",
  [sym_throw_expression] = "throw_expression",
  [sym_throw_expression_without_cascade] = "throw_expression_without_cascade",
  [sym_assignment_expression] = "assignment_expression",
  [sym_assignment_expression_without_cascade] = "assignment_expression_without_cascade",
  [sym_assignable_expression] = "assignable_expression",
  [sym__assignable_selector_part] = "_assignable_selector_part",
  [sym__assignment_operator] = "_assignment_operator",
  [sym_lambda_expression] = "lambda_expression",
  [sym_function_expression] = "function_expression",
  [sym_if_null_expression] = "if_null_expression",
  [aux_sym__if_null_expression] = "_if_null_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_logical_or_expression] = "logical_or_expression",
  [sym_logical_and_expression] = "logical_and_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_type_cast_expression] = "type_cast_expression",
  [sym_type_test_expression] = "type_test_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_relational_operator] = "relational_operator",
  [sym_bitwise_or_expression] = "bitwise_or_expression",
  [sym_bitwise_xor_expression] = "bitwise_xor_expression",
  [sym_bitwise_and_expression] = "bitwise_and_expression",
  [sym_shift_expression] = "shift_expression",
  [sym_additive_expression] = "additive_expression",
  [sym_multiplicative_expression] = "multiplicative_expression",
  [sym_bitwise_operator] = "bitwise_operator",
  [sym__bitwise_operator] = "_bitwise_operator",
  [sym_shift_operator] = "shift_operator",
  [sym__shift_operator] = "_shift_operator",
  [sym_additive_operator] = "additive_operator",
  [sym_multiplicative_operator] = "multiplicative_operator",
  [sym__multiplicative_operator] = "_multiplicative_operator",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym__postfix_expression] = "_postfix_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_postfix_operator] = "postfix_operator",
  [sym_spread_element] = "spread_element",
  [sym_selector] = "selector",
  [sym_prefix_operator] = "prefix_operator",
  [sym_negation_operator] = "negation_operator",
  [sym_tilde_operator] = "tilde_operator",
  [sym_await_expression] = "await_expression",
  [sym_type_test] = "type_test",
  [sym_is_operator] = "is_operator",
  [sym_type_cast] = "type_cast",
  [sym_as_operator] = "as_operator",
  [sym_new_expression] = "new_expression",
  [sym__dot_identifier] = "_dot_identifier",
  [sym_const_object_expression] = "const_object_expression",
  [sym__primary] = "_primary",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_constructor_invocation] = "constructor_invocation",
  [sym_arguments] = "arguments",
  [sym__argument_list] = "_argument_list",
  [sym_argument] = "argument",
  [sym_named_argument] = "named_argument",
  [sym_cascade_section] = "cascade_section",
  [sym__cascade_subsection] = "_cascade_subsection",
  [sym__cascade_assignment_section] = "_cascade_assignment_section",
  [sym_index_selector] = "index_selector",
  [sym_cascade_selector] = "cascade_selector",
  [sym_argument_part] = "argument_part",
  [sym_unconditional_assignable_selector] = "unconditional_assignable_selector",
  [sym_conditional_assignable_selector] = "conditional_assignable_selector",
  [sym__assignable_selector] = "_assignable_selector",
  [sym_type_arguments] = "type_arguments",
  [sym__statement] = "_statement",
  [sym_local_function_declaration] = "local_function_declaration",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_assertion] = "assertion",
  [sym_assertion_arguments] = "assertion_arguments",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_switch_label] = "switch_label",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_yield_each_statement] = "yield_each_statement",
  [sym_return_statement] = "return_statement",
  [sym_try_statement] = "try_statement",
  [sym__on_part] = "_on_part",
  [sym__try_head] = "_try_head",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_parameters] = "catch_parameters",
  [sym_finally_clause] = "finally_clause",
  [sym_if_element] = "if_element",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_loop_parts] = "for_loop_parts",
  [sym__for_loop_parts] = "_for_loop_parts",
  [sym_for_element] = "for_element",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_import_or_export] = "import_or_export",
  [sym_library_import] = "library_import",
  [sym_library_export] = "library_export",
  [sym_import_specification] = "import_specification",
  [sym_part_directive] = "part_directive",
  [sym_part_of_directive] = "part_of_directive",
  [sym_uri] = "uri",
  [sym_configurable_uri] = "configurable_uri",
  [sym_configuration_uri] = "configuration_uri",
  [sym_configuration_uri_condition] = "configuration_uri_condition",
  [sym_uri_test] = "uri_test",
  [sym_combinator] = "combinator",
  [sym__identifier_list] = "_identifier_list",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_constant] = "enum_constant",
  [sym_type_alias] = "type_alias",
  [sym_class_definition] = "class_definition",
  [sym_extension_declaration] = "extension_declaration",
  [sym__metadata] = "_metadata",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_mixins] = "mixins",
  [sym_mixin_application_class] = "mixin_application_class",
  [sym_mixin_application] = "mixin_application",
  [sym_mixin_declaration] = "mixin_declaration",
  [sym_interfaces] = "interfaces",
  [sym_class_body] = "class_body",
  [sym_extension_body] = "extension_body",
  [sym_getter_signature] = "getter_signature",
  [sym_setter_signature] = "setter_signature",
  [sym_method_signature] = "method_signature",
  [sym_declaration] = "declaration",
  [sym_identifier_list] = "identifier_list",
  [sym_initialized_identifier_list] = "initialized_identifier_list",
  [sym_initialized_identifier] = "initialized_identifier",
  [sym_static_final_declaration_list] = "static_final_declaration_list",
  [sym_binary_operator] = "binary_operator",
  [sym_operator_signature] = "operator_signature",
  [sym_static_final_declaration] = "static_final_declaration",
  [sym__external_and_static] = "_external_and_static",
  [sym__final_or_const] = "_final_or_const",
  [sym_initializers] = "initializers",
  [sym_initializer_list_entry] = "initializer_list_entry",
  [sym_field_initializer] = "field_initializer",
  [sym_factory_constructor_signature] = "factory_constructor_signature",
  [sym_redirecting_factory_constructor_signature] = "redirecting_factory_constructor_signature",
  [sym_redirection] = "redirection",
  [sym_constructor_signature] = "constructor_signature",
  [sym_constant_constructor_signature] = "constant_constructor_signature",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_initialized_variable_definition] = "initialized_variable_definition",
  [sym__declared_identifier] = "_declared_identifier",
  [sym__final_const_var_or_type] = "_final_const_var_or_type",
  [sym__type] = "_type",
  [sym__type_not_function] = "_type_not_function",
  [sym__type_not_void_not_function] = "_type_not_void_not_function",
  [sym_function_type] = "function_type",
  [aux_sym__function_type_tails] = "_function_type_tails",
  [sym__function_type_tail] = "_function_type_tail",
  [sym_parameter_type_list] = "parameter_type_list",
  [sym_normal_parameter_type] = "normal_parameter_type",
  [sym_optional_parameter_types] = "optional_parameter_types",
  [sym_optional_positional_parameter_types] = "optional_positional_parameter_types",
  [sym_named_parameter_types] = "named_parameter_types",
  [sym__named_parameter_type] = "_named_parameter_type",
  [sym__type_not_void] = "_type_not_void",
  [sym__type_not_void_list] = "_type_not_void_list",
  [sym__type_name] = "_type_name",
  [sym__type_dot_identifier] = "_type_dot_identifier",
  [sym_typed_identifier] = "typed_identifier",
  [sym__nullable_type] = "_nullable_type",
  [sym__var_or_type] = "_var_or_type",
  [sym_inferred_type] = "inferred_type",
  [sym_function_body] = "function_body",
  [sym_function_expression_body] = "function_expression_body",
  [sym_function_signature] = "function_signature",
  [sym__formal_parameter_part] = "_formal_parameter_part",
  [sym_formal_parameter_list] = "formal_parameter_list",
  [sym__strict_formal_parameter_list] = "_strict_formal_parameter_list",
  [sym__normal_formal_parameters] = "_normal_formal_parameters",
  [sym_optional_formal_parameters] = "optional_formal_parameters",
  [sym__optional_postional_formal_parameters] = "_optional_postional_formal_parameters",
  [sym__named_formal_parameters] = "_named_formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym__default_formal_parameter] = "_default_formal_parameter",
  [sym__default_named_parameter] = "_default_named_parameter",
  [sym__normal_formal_parameter] = "_normal_formal_parameter",
  [sym__function_formal_parameter] = "_function_formal_parameter",
  [sym__simple_formal_parameter] = "_simple_formal_parameter",
  [sym_super_formal_parameter] = "super_formal_parameter",
  [sym_constructor_param] = "constructor_param",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_script_tag] = "script_tag",
  [sym_library_name] = "library_name",
  [sym_dotted_identifier_list] = "dotted_identifier_list",
  [sym_qualified] = "qualified",
  [sym__as] = "_as",
  [sym__covariant] = "_covariant",
  [sym__deferred] = "_deferred",
  [sym__export] = "_export",
  [sym__external] = "_external",
  [sym__factory] = "_factory",
  [sym__function_builtin_identifier] = "_function_builtin_identifier",
  [sym__get] = "_get",
  [sym__native] = "_native",
  [sym__implements] = "_implements",
  [sym__import] = "_import",
  [sym__operator] = "_operator",
  [sym__mixin] = "_mixin",
  [sym__required] = "_required",
  [sym__set] = "_set",
  [sym__static] = "_static",
  [sym__typedef] = "_typedef",
  [sym__new_builtin] = "_new_builtin",
  [sym__late_builtin] = "_late_builtin",
  [sym__external_builtin] = "_external_builtin",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_label] = "label",
  [sym__semicolon] = "_semicolon",
  [sym_comment] = "comment",
  [sym_documentation_comment] = "documentation_comment",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_program_repeat2] = "program_repeat2",
  [aux_sym_program_repeat3] = "program_repeat3",
  [aux_sym_program_repeat4] = "program_repeat4",
  [aux_sym_program_repeat5] = "program_repeat5",
  [aux_sym_program_repeat6] = "program_repeat6",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__string_literal_double_quotes_repeat1] = "_string_literal_double_quotes_repeat1",
  [aux_sym__string_literal_single_quotes_repeat1] = "_string_literal_single_quotes_repeat1",
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = "_string_literal_double_quotes_multiple_repeat1",
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = "_string_literal_single_quotes_multiple_repeat1",
  [aux_sym__raw_string_literal_double_quotes_repeat1] = "_raw_string_literal_double_quotes_repeat1",
  [aux_sym__raw_string_literal_single_quotes_repeat1] = "_raw_string_literal_single_quotes_repeat1",
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = "_raw_string_literal_double_quotes_multiple_repeat1",
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = "_raw_string_literal_single_quotes_multiple_repeat1",
  [aux_sym_list_literal_repeat1] = "list_literal_repeat1",
  [aux_sym__expression_repeat1] = "_expression_repeat1",
  [aux_sym__assignable_selector_part_repeat1] = "_assignable_selector_part_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_logical_or_expression_repeat1] = "logical_or_expression_repeat1",
  [aux_sym_logical_and_expression_repeat1] = "logical_and_expression_repeat1",
  [aux_sym_bitwise_or_expression_repeat1] = "bitwise_or_expression_repeat1",
  [aux_sym_bitwise_xor_expression_repeat1] = "bitwise_xor_expression_repeat1",
  [aux_sym_bitwise_and_expression_repeat1] = "bitwise_and_expression_repeat1",
  [aux_sym_shift_expression_repeat1] = "shift_expression_repeat1",
  [aux_sym_additive_expression_repeat1] = "additive_expression_repeat1",
  [aux_sym_multiplicative_expression_repeat1] = "multiplicative_expression_repeat1",
  [aux_sym__argument_list_repeat1] = "_argument_list_repeat1",
  [aux_sym__argument_list_repeat2] = "_argument_list_repeat2",
  [aux_sym__argument_list_repeat3] = "_argument_list_repeat3",
  [aux_sym_cascade_section_repeat1] = "cascade_section_repeat1",
  [aux_sym_cascade_section_repeat2] = "cascade_section_repeat2",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_case_repeat1] = "switch_case_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym__for_loop_parts_repeat1] = "_for_loop_parts_repeat1",
  [aux_sym__for_loop_parts_repeat2] = "_for_loop_parts_repeat2",
  [aux_sym_library_export_repeat1] = "library_export_repeat1",
  [aux_sym_configurable_uri_repeat1] = "configurable_uri_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym__metadata_repeat1] = "_metadata_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_extension_body_repeat1] = "extension_body_repeat1",
  [aux_sym_initialized_identifier_list_repeat1] = "initialized_identifier_list_repeat1",
  [aux_sym_static_final_declaration_list_repeat1] = "static_final_declaration_list_repeat1",
  [aux_sym_initializers_repeat1] = "initializers_repeat1",
  [aux_sym_factory_constructor_signature_repeat1] = "factory_constructor_signature_repeat1",
  [aux_sym_parameter_type_list_repeat1] = "parameter_type_list_repeat1",
  [aux_sym_named_parameter_types_repeat1] = "named_parameter_types_repeat1",
  [aux_sym__type_not_void_list_repeat1] = "_type_not_void_list_repeat1",
  [aux_sym__normal_formal_parameters_repeat1] = "_normal_formal_parameters_repeat1",
  [aux_sym_positional_parameters_repeat1] = "positional_parameters_repeat1",
  [aux_sym__named_formal_parameters_repeat1] = "_named_formal_parameters_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_POUND] = anon_sym_POUND,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_r_DQUOTE] = anon_sym_r_DQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_r_SQUOTE] = anon_sym_r_SQUOTE,
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__sub_string_test_token1] = aux_sym__sub_string_test_token1,
  [sym__unused_escape_sequence] = sym__unused_escape_sequence,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_TILDE_SLASH_EQ] = anon_sym_TILDE_SLASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [sym_equality_operator] = sym_equality_operator,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [sym__additive_operator] = sym__additive_operator,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_TILDE_SLASH] = anon_sym_TILDE_SLASH,
  [sym_increment_operator] = sym_increment_operator,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [sym_minus_operator] = sym_minus_operator,
  [sym__exclamation_operator] = sym__exclamation_operator,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_QMARK_DOT_DOT] = anon_sym_QMARK_DOT_DOT,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_on] = anon_sym_on,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_part] = anon_sym_part,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_show] = anon_sym_show,
  [anon_sym_hide] = anon_sym_hide,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extension] = anon_sym_extension,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_LBRACK_RBRACK_EQ] = anon_sym_LBRACK_RBRACK_EQ,
  [anon_sym_super] = anon_sym_super,
  [sym_floating_point_type] = sym_floating_point_type,
  [anon_sym_bool] = anon_sym_bool,
  [sym_void_type] = sym_void_type,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_async_STAR] = anon_sym_async_STAR,
  [anon_sym_sync_STAR] = anon_sym_sync_STAR,
  [anon_sym_throws] = anon_sym_throws,
  [anon_sym_POUND_BANG] = anon_sym_POUND_BANG,
  [aux_sym_script_tag_token1] = aux_sym_script_tag_token1,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_library] = anon_sym_library,
  [sym__break_builtin] = sym__break_builtin,
  [sym__assert_builtin] = sym__assert_builtin,
  [sym_case_builtin] = sym_case_builtin,
  [anon_sym_covariant] = anon_sym_covariant,
  [anon_sym_deferred] = anon_sym_deferred,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_factory] = anon_sym_factory,
  [anon_sym_Function] = anon_sym_Function,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_mixin] = anon_sym_mixin,
  [anon_sym_required] = anon_sym_required,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_new] = anon_sym_new,
  [sym_const_builtin] = sym_const_builtin,
  [sym_final_builtin] = sym_final_builtin,
  [anon_sym_late] = anon_sym_late,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_this] = anon_sym_this,
  [sym_identifier_dollar_escaped] = sym_identifier_dollar_escaped,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [aux_sym_comment_token2] = aux_sym_comment_token2,
  [anon_sym_SLASH_SLASH_SLASH] = anon_sym_SLASH_SLASH_SLASH,
  [aux_sym_documentation_comment_token1] = aux_sym_documentation_comment_token1,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars_double] = sym__template_chars_double,
  [sym__template_chars_single] = sym__template_chars_single,
  [sym__template_chars_double_single] = sym__template_chars_double_single,
  [sym__template_chars_single_single] = sym__template_chars_single_single,
  [sym__template_chars_raw_slash] = sym__template_chars_raw_slash,
  [sym__block_comment] = sym__block_comment,
  [sym__documentation_block_comment] = sym__documentation_block_comment,
  [sym_program] = sym_program,
  [sym__top_level_definition] = sym__top_level_definition,
  [sym__literal] = sym__literal,
  [sym_symbol_literal] = sym_symbol_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal_double_quotes] = sym__string_literal_double_quotes,
  [sym__string_literal_single_quotes] = sym__string_literal_single_quotes,
  [sym__string_literal_double_quotes_multiple] = sym__string_literal_double_quotes_multiple,
  [sym__string_literal_single_quotes_multiple] = sym__string_literal_single_quotes_multiple,
  [sym__raw_string_literal_double_quotes] = sym__raw_string_literal_double_quotes,
  [sym__raw_string_literal_single_quotes] = sym__raw_string_literal_single_quotes,
  [sym__raw_string_literal_double_quotes_multiple] = sym__raw_string_literal_double_quotes_multiple,
  [sym__raw_string_literal_single_quotes_multiple] = sym__raw_string_literal_single_quotes_multiple,
  [sym_template_substitution] = sym_template_substitution,
  [sym__sub_string_test] = sym__sub_string_test,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_list_literal] = sym_list_literal,
  [sym_set_or_map_literal] = sym_set_or_map_literal,
  [sym_pair] = sym_pair,
  [sym__element] = sym__element,
  [sym_null_literal] = sym_null_literal,
  [sym__expression] = sym__expression,
  [sym__expression_without_cascade] = sym__expression_without_cascade,
  [sym__real_expression] = sym__real_expression,
  [sym_throw_expression] = sym_throw_expression,
  [sym_throw_expression_without_cascade] = sym_throw_expression_without_cascade,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_assignment_expression_without_cascade] = sym_assignment_expression_without_cascade,
  [sym_assignable_expression] = sym_assignable_expression,
  [sym__assignable_selector_part] = sym__assignable_selector_part,
  [sym__assignment_operator] = sym__assignment_operator,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_function_expression] = sym_function_expression,
  [sym_if_null_expression] = sym_if_null_expression,
  [aux_sym__if_null_expression] = aux_sym__if_null_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_logical_or_expression] = sym_logical_or_expression,
  [sym_logical_and_expression] = sym_logical_and_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_type_cast_expression] = sym_type_cast_expression,
  [sym_type_test_expression] = sym_type_test_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_relational_operator] = sym_relational_operator,
  [sym_bitwise_or_expression] = sym_bitwise_or_expression,
  [sym_bitwise_xor_expression] = sym_bitwise_xor_expression,
  [sym_bitwise_and_expression] = sym_bitwise_and_expression,
  [sym_shift_expression] = sym_shift_expression,
  [sym_additive_expression] = sym_additive_expression,
  [sym_multiplicative_expression] = sym_multiplicative_expression,
  [sym_bitwise_operator] = sym_bitwise_operator,
  [sym__bitwise_operator] = sym__bitwise_operator,
  [sym_shift_operator] = sym_shift_operator,
  [sym__shift_operator] = sym__shift_operator,
  [sym_additive_operator] = sym_additive_operator,
  [sym_multiplicative_operator] = sym_multiplicative_operator,
  [sym__multiplicative_operator] = sym__multiplicative_operator,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym__postfix_expression] = sym__postfix_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_postfix_operator] = sym_postfix_operator,
  [sym_spread_element] = sym_spread_element,
  [sym_selector] = sym_selector,
  [sym_prefix_operator] = sym_prefix_operator,
  [sym_negation_operator] = sym_negation_operator,
  [sym_tilde_operator] = sym_tilde_operator,
  [sym_await_expression] = sym_await_expression,
  [sym_type_test] = sym_type_test,
  [sym_is_operator] = sym_is_operator,
  [sym_type_cast] = sym_type_cast,
  [sym_as_operator] = sym_as_operator,
  [sym_new_expression] = sym_new_expression,
  [sym__dot_identifier] = sym__dot_identifier,
  [sym_const_object_expression] = sym_const_object_expression,
  [sym__primary] = sym__primary,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_constructor_invocation] = sym_constructor_invocation,
  [sym_arguments] = sym_arguments,
  [sym__argument_list] = sym__argument_list,
  [sym_argument] = sym_argument,
  [sym_named_argument] = sym_named_argument,
  [sym_cascade_section] = sym_cascade_section,
  [sym__cascade_subsection] = sym__cascade_subsection,
  [sym__cascade_assignment_section] = sym__cascade_assignment_section,
  [sym_index_selector] = sym_index_selector,
  [sym_cascade_selector] = sym_cascade_selector,
  [sym_argument_part] = sym_argument_part,
  [sym_unconditional_assignable_selector] = sym_unconditional_assignable_selector,
  [sym_conditional_assignable_selector] = sym_conditional_assignable_selector,
  [sym__assignable_selector] = sym__assignable_selector,
  [sym_type_arguments] = sym_type_arguments,
  [sym__statement] = sym__statement,
  [sym_local_function_declaration] = sym_local_function_declaration,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_assertion] = sym_assertion,
  [sym_assertion_arguments] = sym_assertion_arguments,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_label] = sym_switch_label,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_yield_each_statement] = sym_yield_each_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_try_statement] = sym_try_statement,
  [sym__on_part] = sym__on_part,
  [sym__try_head] = sym__try_head,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_parameters] = sym_catch_parameters,
  [sym_finally_clause] = sym_finally_clause,
  [sym_if_element] = sym_if_element,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_loop_parts] = sym_for_loop_parts,
  [sym__for_loop_parts] = sym__for_loop_parts,
  [sym_for_element] = sym_for_element,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_import_or_export] = sym_import_or_export,
  [sym_library_import] = sym_library_import,
  [sym_library_export] = sym_library_export,
  [sym_import_specification] = sym_import_specification,
  [sym_part_directive] = sym_part_directive,
  [sym_part_of_directive] = sym_part_of_directive,
  [sym_uri] = sym_uri,
  [sym_configurable_uri] = sym_configurable_uri,
  [sym_configuration_uri] = sym_configuration_uri,
  [sym_configuration_uri_condition] = sym_configuration_uri_condition,
  [sym_uri_test] = sym_uri_test,
  [sym_combinator] = sym_combinator,
  [sym__identifier_list] = sym__identifier_list,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_constant] = sym_enum_constant,
  [sym_type_alias] = sym_type_alias,
  [sym_class_definition] = sym_class_definition,
  [sym_extension_declaration] = sym_extension_declaration,
  [sym__metadata] = sym__metadata,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_mixins] = sym_mixins,
  [sym_mixin_application_class] = sym_mixin_application_class,
  [sym_mixin_application] = sym_mixin_application,
  [sym_mixin_declaration] = sym_mixin_declaration,
  [sym_interfaces] = sym_interfaces,
  [sym_class_body] = sym_class_body,
  [sym_extension_body] = sym_extension_body,
  [sym_getter_signature] = sym_getter_signature,
  [sym_setter_signature] = sym_setter_signature,
  [sym_method_signature] = sym_method_signature,
  [sym_declaration] = sym_declaration,
  [sym_identifier_list] = sym_identifier_list,
  [sym_initialized_identifier_list] = sym_initialized_identifier_list,
  [sym_initialized_identifier] = sym_initialized_identifier,
  [sym_static_final_declaration_list] = sym_static_final_declaration_list,
  [sym_binary_operator] = sym_binary_operator,
  [sym_operator_signature] = sym_operator_signature,
  [sym_static_final_declaration] = sym_static_final_declaration,
  [sym__external_and_static] = sym__external_and_static,
  [sym__final_or_const] = sym__final_or_const,
  [sym_initializers] = sym_initializers,
  [sym_initializer_list_entry] = sym_initializer_list_entry,
  [sym_field_initializer] = sym_field_initializer,
  [sym_factory_constructor_signature] = sym_factory_constructor_signature,
  [sym_redirecting_factory_constructor_signature] = sym_redirecting_factory_constructor_signature,
  [sym_redirection] = sym_redirection,
  [sym_constructor_signature] = sym_constructor_signature,
  [sym_constant_constructor_signature] = sym_constant_constructor_signature,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_initialized_variable_definition] = sym_initialized_variable_definition,
  [sym__declared_identifier] = sym__declared_identifier,
  [sym__final_const_var_or_type] = sym__final_const_var_or_type,
  [sym__type] = sym__type,
  [sym__type_not_function] = sym__type_not_function,
  [sym__type_not_void_not_function] = sym__type_not_void_not_function,
  [sym_function_type] = sym_function_type,
  [aux_sym__function_type_tails] = aux_sym__function_type_tails,
  [sym__function_type_tail] = sym__function_type_tail,
  [sym_parameter_type_list] = sym_parameter_type_list,
  [sym_normal_parameter_type] = sym_normal_parameter_type,
  [sym_optional_parameter_types] = sym_optional_parameter_types,
  [sym_optional_positional_parameter_types] = sym_optional_positional_parameter_types,
  [sym_named_parameter_types] = sym_named_parameter_types,
  [sym__named_parameter_type] = sym__named_parameter_type,
  [sym__type_not_void] = sym__type_not_void,
  [sym__type_not_void_list] = sym__type_not_void_list,
  [sym__type_name] = sym__type_name,
  [sym__type_dot_identifier] = sym__type_dot_identifier,
  [sym_typed_identifier] = sym_typed_identifier,
  [sym__nullable_type] = sym__nullable_type,
  [sym__var_or_type] = sym__var_or_type,
  [sym_inferred_type] = sym_inferred_type,
  [sym_function_body] = sym_function_body,
  [sym_function_expression_body] = sym_function_expression_body,
  [sym_function_signature] = sym_function_signature,
  [sym__formal_parameter_part] = sym__formal_parameter_part,
  [sym_formal_parameter_list] = sym_formal_parameter_list,
  [sym__strict_formal_parameter_list] = sym__strict_formal_parameter_list,
  [sym__normal_formal_parameters] = sym__normal_formal_parameters,
  [sym_optional_formal_parameters] = sym_optional_formal_parameters,
  [sym__optional_postional_formal_parameters] = sym__optional_postional_formal_parameters,
  [sym__named_formal_parameters] = sym__named_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym__default_formal_parameter] = sym__default_formal_parameter,
  [sym__default_named_parameter] = sym__default_named_parameter,
  [sym__normal_formal_parameter] = sym__normal_formal_parameter,
  [sym__function_formal_parameter] = sym__function_formal_parameter,
  [sym__simple_formal_parameter] = sym__simple_formal_parameter,
  [sym_super_formal_parameter] = sym_super_formal_parameter,
  [sym_constructor_param] = sym_constructor_param,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_script_tag] = sym_script_tag,
  [sym_library_name] = sym_library_name,
  [sym_dotted_identifier_list] = sym_dotted_identifier_list,
  [sym_qualified] = sym_qualified,
  [sym__as] = sym__as,
  [sym__covariant] = sym__covariant,
  [sym__deferred] = sym__deferred,
  [sym__export] = sym__export,
  [sym__external] = sym__external,
  [sym__factory] = sym__factory,
  [sym__function_builtin_identifier] = sym__function_builtin_identifier,
  [sym__get] = sym__get,
  [sym__native] = sym__native,
  [sym__implements] = sym__implements,
  [sym__import] = sym__import,
  [sym__operator] = sym__operator,
  [sym__mixin] = sym__mixin,
  [sym__required] = sym__required,
  [sym__set] = sym__set,
  [sym__static] = sym__static,
  [sym__typedef] = sym__typedef,
  [sym__new_builtin] = sym__new_builtin,
  [sym__late_builtin] = sym__late_builtin,
  [sym__external_builtin] = sym__external_builtin,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_label] = sym_label,
  [sym__semicolon] = sym__semicolon,
  [sym_comment] = sym_comment,
  [sym_documentation_comment] = sym_documentation_comment,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_program_repeat2] = aux_sym_program_repeat2,
  [aux_sym_program_repeat3] = aux_sym_program_repeat3,
  [aux_sym_program_repeat4] = aux_sym_program_repeat4,
  [aux_sym_program_repeat5] = aux_sym_program_repeat5,
  [aux_sym_program_repeat6] = aux_sym_program_repeat6,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__string_literal_double_quotes_repeat1] = aux_sym__string_literal_double_quotes_repeat1,
  [aux_sym__string_literal_single_quotes_repeat1] = aux_sym__string_literal_single_quotes_repeat1,
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = aux_sym__string_literal_double_quotes_multiple_repeat1,
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = aux_sym__string_literal_single_quotes_multiple_repeat1,
  [aux_sym__raw_string_literal_double_quotes_repeat1] = aux_sym__raw_string_literal_double_quotes_repeat1,
  [aux_sym__raw_string_literal_single_quotes_repeat1] = aux_sym__raw_string_literal_single_quotes_repeat1,
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
  [aux_sym_list_literal_repeat1] = aux_sym_list_literal_repeat1,
  [aux_sym__expression_repeat1] = aux_sym__expression_repeat1,
  [aux_sym__assignable_selector_part_repeat1] = aux_sym__assignable_selector_part_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_logical_or_expression_repeat1] = aux_sym_logical_or_expression_repeat1,
  [aux_sym_logical_and_expression_repeat1] = aux_sym_logical_and_expression_repeat1,
  [aux_sym_bitwise_or_expression_repeat1] = aux_sym_bitwise_or_expression_repeat1,
  [aux_sym_bitwise_xor_expression_repeat1] = aux_sym_bitwise_xor_expression_repeat1,
  [aux_sym_bitwise_and_expression_repeat1] = aux_sym_bitwise_and_expression_repeat1,
  [aux_sym_shift_expression_repeat1] = aux_sym_shift_expression_repeat1,
  [aux_sym_additive_expression_repeat1] = aux_sym_additive_expression_repeat1,
  [aux_sym_multiplicative_expression_repeat1] = aux_sym_multiplicative_expression_repeat1,
  [aux_sym__argument_list_repeat1] = aux_sym__argument_list_repeat1,
  [aux_sym__argument_list_repeat2] = aux_sym__argument_list_repeat2,
  [aux_sym__argument_list_repeat3] = aux_sym__argument_list_repeat3,
  [aux_sym_cascade_section_repeat1] = aux_sym_cascade_section_repeat1,
  [aux_sym_cascade_section_repeat2] = aux_sym_cascade_section_repeat2,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_case_repeat1] = aux_sym_switch_case_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym__for_loop_parts_repeat1] = aux_sym__for_loop_parts_repeat1,
  [aux_sym__for_loop_parts_repeat2] = aux_sym__for_loop_parts_repeat2,
  [aux_sym_library_export_repeat1] = aux_sym_library_export_repeat1,
  [aux_sym_configurable_uri_repeat1] = aux_sym_configurable_uri_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym__metadata_repeat1] = aux_sym__metadata_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_extension_body_repeat1] = aux_sym_extension_body_repeat1,
  [aux_sym_initialized_identifier_list_repeat1] = aux_sym_initialized_identifier_list_repeat1,
  [aux_sym_static_final_declaration_list_repeat1] = aux_sym_static_final_declaration_list_repeat1,
  [aux_sym_initializers_repeat1] = aux_sym_initializers_repeat1,
  [aux_sym_factory_constructor_signature_repeat1] = aux_sym_factory_constructor_signature_repeat1,
  [aux_sym_parameter_type_list_repeat1] = aux_sym_parameter_type_list_repeat1,
  [aux_sym_named_parameter_types_repeat1] = aux_sym_named_parameter_types_repeat1,
  [aux_sym__type_not_void_list_repeat1] = aux_sym__type_not_void_list_repeat1,
  [aux_sym__normal_formal_parameters_repeat1] = aux_sym__normal_formal_parameters_repeat1,
  [aux_sym_positional_parameters_repeat1] = aux_sym_positional_parameters_repeat1,
  [aux_sym__named_formal_parameters_repeat1] = aux_sym__named_formal_parameters_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__sub_string_test_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__unused_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [sym_equality_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__additive_operator] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_increment_operator] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_minus_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__exclamation_operator] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_on] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_part] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_show] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hide] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extension] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_super] = {
    .visible = true,
    .named = false,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sync_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_BANG] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_script_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_library] = {
    .visible = true,
    .named = false,
  },
  [sym__break_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__assert_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym_case_builtin] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_covariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deferred] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_factory] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_required] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [sym_const_builtin] = {
    .visible = true,
    .named = true,
  },
  [sym_final_builtin] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_late] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_this] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier_dollar_escaped] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_documentation_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_double] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_double_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_single_single] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars_raw_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__block_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__documentation_block_comment] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_definition] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_symbol_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal_double_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_single_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_double_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__string_literal_single_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_double_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_single_quotes] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_double_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal_single_quotes_multiple] = {
    .visible = false,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym__sub_string_test] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_set_or_map_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element] = {
    .visible = false,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expression_without_cascade] = {
    .visible = false,
    .named = true,
  },
  [sym__real_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression_without_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression_without_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_assignable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__assignable_selector_part] = {
    .visible = false,
    .named = true,
  },
  [sym__assignment_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_null_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__if_null_expression] = {
    .visible = false,
    .named = false,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_or_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_and_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_test_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_or_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_xor_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_and_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_shift_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_additive_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bitwise_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__bitwise_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_shift_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__shift_operator] = {
    .visible = false,
    .named = true,
  },
  [sym_additive_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_multiplicative_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__multiplicative_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_negation_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_tilde_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_test] = {
    .visible = true,
    .named = true,
  },
  [sym_is_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_as_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dot_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_const_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_list] = {
    .visible = false,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_named_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_cascade_section] = {
    .visible = true,
    .named = true,
  },
  [sym__cascade_subsection] = {
    .visible = false,
    .named = true,
  },
  [sym__cascade_assignment_section] = {
    .visible = false,
    .named = true,
  },
  [sym_index_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_cascade_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_part] = {
    .visible = true,
    .named = true,
  },
  [sym_unconditional_assignable_selector] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_assignable_selector] = {
    .visible = true,
    .named = true,
  },
  [sym__assignable_selector] = {
    .visible = false,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_local_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assertion] = {
    .visible = true,
    .named = true,
  },
  [sym_assertion_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_each_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__on_part] = {
    .visible = false,
    .named = true,
  },
  [sym__try_head] = {
    .visible = false,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_element] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_loop_parts] = {
    .visible = true,
    .named = true,
  },
  [sym__for_loop_parts] = {
    .visible = false,
    .named = true,
  },
  [sym_for_element] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_import_or_export] = {
    .visible = true,
    .named = true,
  },
  [sym_library_import] = {
    .visible = true,
    .named = true,
  },
  [sym_library_export] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_part_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_part_of_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configurable_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration_uri] = {
    .visible = true,
    .named = true,
  },
  [sym_configuration_uri_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_uri_test] = {
    .visible = true,
    .named = true,
  },
  [sym_combinator] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier_list] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__metadata] = {
    .visible = false,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_mixins] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_application_class] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_application] = {
    .visible = true,
    .named = true,
  },
  [sym_mixin_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_body] = {
    .visible = true,
    .named = true,
  },
  [sym_getter_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_setter_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_static_final_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_static_final_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__external_and_static] = {
    .visible = false,
    .named = true,
  },
  [sym__final_or_const] = {
    .visible = false,
    .named = true,
  },
  [sym_initializers] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_factory_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_redirecting_factory_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_redirection] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_constructor_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_initialized_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__declared_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__final_const_var_or_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_function] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void_not_function] = {
    .visible = false,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__function_type_tails] = {
    .visible = false,
    .named = false,
  },
  [sym__function_type_tail] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_normal_parameter_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_positional_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym_named_parameter_types] = {
    .visible = true,
    .named = true,
  },
  [sym__named_parameter_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void] = {
    .visible = false,
    .named = true,
  },
  [sym__type_not_void_list] = {
    .visible = false,
    .named = true,
  },
  [sym__type_name] = {
    .visible = false,
    .named = true,
  },
  [sym__type_dot_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_typed_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__nullable_type] = {
    .visible = false,
    .named = true,
  },
  [sym__var_or_type] = {
    .visible = false,
    .named = true,
  },
  [sym_inferred_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym__formal_parameter_part] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__strict_formal_parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym__normal_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__optional_postional_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__named_formal_parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__default_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__default_named_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__normal_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__function_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_super_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_param] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_script_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_library_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_identifier_list] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified] = {
    .visible = true,
    .named = true,
  },
  [sym__as] = {
    .visible = false,
    .named = true,
  },
  [sym__covariant] = {
    .visible = false,
    .named = true,
  },
  [sym__deferred] = {
    .visible = false,
    .named = true,
  },
  [sym__export] = {
    .visible = false,
    .named = true,
  },
  [sym__external] = {
    .visible = false,
    .named = true,
  },
  [sym__factory] = {
    .visible = false,
    .named = true,
  },
  [sym__function_builtin_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__get] = {
    .visible = false,
    .named = true,
  },
  [sym__native] = {
    .visible = false,
    .named = true,
  },
  [sym__implements] = {
    .visible = false,
    .named = true,
  },
  [sym__import] = {
    .visible = false,
    .named = true,
  },
  [sym__operator] = {
    .visible = false,
    .named = true,
  },
  [sym__mixin] = {
    .visible = false,
    .named = true,
  },
  [sym__required] = {
    .visible = false,
    .named = true,
  },
  [sym__set] = {
    .visible = false,
    .named = true,
  },
  [sym__static] = {
    .visible = false,
    .named = true,
  },
  [sym__typedef] = {
    .visible = false,
    .named = true,
  },
  [sym__new_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__late_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym__external_builtin] = {
    .visible = false,
    .named = true,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_documentation_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_program_repeat6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_double_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_single_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_double_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_single_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_double_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_single_quotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_double_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_single_quotes_multiple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__assignable_selector_part_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_logical_or_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_logical_and_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_or_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_xor_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bitwise_and_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shift_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_additive_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_multiplicative_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_list_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cascade_section_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cascade_section_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_loop_parts_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_loop_parts_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_library_export_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_configurable_uri_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__metadata_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initialized_identifier_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_static_final_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_factory_constructor_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_parameter_types_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_not_void_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_positional_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__named_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_arguments = 2,
  field_body = 3,
  field_class = 4,
  field_condition = 5,
  field_consequence = 6,
  field_first = 7,
  field_init = 8,
  field_interfaces = 9,
  field_key = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_parameters = 14,
  field_right = 15,
  field_scope = 16,
  field_second = 17,
  field_superclass = 18,
  field_type_parameters = 19,
  field_update = 20,
  field_value = 21,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_first] = "first",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_second] = "second",
  [field_superclass] = "superclass",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 3, .length = 1},
  [10] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 2},
  [13] = {.index = 12, .length = 2},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 1},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 3},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 2, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 1},
  [26] = {.index = 32, .length = 5},
  [27] = {.index = 37, .length = 1},
  [28] = {.index = 38, .length = 1},
  [29] = {.index = 39, .length = 2},
  [30] = {.index = 41, .length = 2},
  [31] = {.index = 43, .length = 3},
  [32] = {.index = 46, .length = 3},
  [33] = {.index = 49, .length = 3},
  [34] = {.index = 52, .length = 2},
  [35] = {.index = 54, .length = 1},
  [36] = {.index = 55, .length = 2},
  [37] = {.index = 57, .length = 3},
  [38] = {.index = 60, .length = 1},
  [39] = {.index = 61, .length = 1},
  [40] = {.index = 62, .length = 2},
  [41] = {.index = 64, .length = 2},
  [42] = {.index = 66, .length = 2},
  [43] = {.index = 68, .length = 2},
  [44] = {.index = 70, .length = 1},
  [45] = {.index = 71, .length = 2},
  [46] = {.index = 73, .length = 1},
  [47] = {.index = 74, .length = 3},
  [48] = {.index = 77, .length = 3},
  [49] = {.index = 80, .length = 3},
  [50] = {.index = 83, .length = 2},
  [51] = {.index = 85, .length = 4},
  [52] = {.index = 89, .length = 4},
  [53] = {.index = 93, .length = 4},
  [54] = {.index = 97, .length = 3},
  [55] = {.index = 100, .length = 3},
  [56] = {.index = 103, .length = 2},
  [57] = {.index = 105, .length = 2},
  [58] = {.index = 107, .length = 3},
  [59] = {.index = 110, .length = 2},
  [60] = {.index = 112, .length = 2},
  [61] = {.index = 114, .length = 3},
  [62] = {.index = 117, .length = 3},
  [63] = {.index = 120, .length = 2},
  [64] = {.index = 122, .length = 2},
  [65] = {.index = 124, .length = 2},
  [66] = {.index = 126, .length = 4},
  [67] = {.index = 130, .length = 4},
  [68] = {.index = 134, .length = 4},
  [69] = {.index = 138, .length = 5},
  [70] = {.index = 143, .length = 4},
  [71] = {.index = 147, .length = 3},
  [72] = {.index = 150, .length = 3},
  [73] = {.index = 153, .length = 3},
  [74] = {.index = 156, .length = 3},
  [75] = {.index = 159, .length = 4},
  [76] = {.index = 163, .length = 3},
  [77] = {.index = 166, .length = 5},
  [78] = {.index = 171, .length = 4},
  [79] = {.index = 175, .length = 4},
  [80] = {.index = 179, .length = 4},
  [81] = {.index = 183, .length = 4},
  [82] = {.index = 187, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0, .inherited = true},
  [1] =
    {field_body, 1},
  [2] =
    {field_name, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_first, 0},
    {field_second, 1, .inherited = true},
  [6] =
    {field_body, 0, .inherited = true},
  [7] =
    {field_body, 1},
    {field_parameters, 0},
  [9] =
    {field_name, 1, .inherited = true},
  [10] =
    {field_body, 2},
    {field_condition, 1},
  [12] =
    {field_condition, 1},
    {field_consequence, 2},
  [14] =
    {field_body, 2},
  [15] =
    {field_arguments, 2},
    {field_name, 1},
  [17] =
    {field_body, 2},
    {field_name, 1},
  [19] =
    {field_second, 1},
  [20] =
    {field_second, 0, .inherited = true},
    {field_second, 1, .inherited = true},
  [22] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [25] =
    {field_name, 2},
  [26] =
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [28] =
    {field_key, 0},
    {field_value, 2},
  [30] =
    {field_body, 3},
  [31] =
    {field_condition, 0},
  [32] =
    {field_condition, 1, .inherited = true},
    {field_init, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_update, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [37] =
    {field_init, 0},
  [38] =
    {field_update, 1},
  [39] =
    {field_name, 2},
    {field_scope, 0},
  [41] =
    {field_body, 3},
    {field_name, 2},
  [43] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [46] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [49] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [52] =
    {field_body, 3},
    {field_class, 2},
  [54] =
    {field_name, 3},
  [55] =
    {field_body, 1},
    {field_condition, 3},
  [57] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [60] =
    {field_value, 2},
  [61] =
    {field_init, 1},
  [62] =
    {field_condition, 0},
    {field_update, 2},
  [64] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [66] =
    {field_condition, 1},
    {field_init, 0},
  [68] =
    {field_init, 0},
    {field_update, 2},
  [70] =
    {field_condition, 1},
  [71] =
    {field_update, 1},
    {field_update, 2, .inherited = true},
  [73] =
    {field_update, 2},
  [74] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [77] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [80] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [83] =
    {field_name, 0},
    {field_parameters, 1},
  [85] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [89] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [93] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [97] =
    {field_body, 4},
    {field_class, 3},
    {field_name, 1},
  [100] =
    {field_body, 4},
    {field_class, 3},
    {field_type_parameters, 1},
  [103] =
    {field_alternative, 4},
    {field_consequence, 2},
  [105] =
    {field_condition, 2},
    {field_init, 0},
  [107] =
    {field_condition, 0},
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [110] =
    {field_init, 0},
    {field_update, 3},
  [112] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
  [114] =
    {field_condition, 1},
    {field_init, 0},
    {field_update, 3},
  [117] =
    {field_init, 0},
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [120] =
    {field_condition, 1},
    {field_update, 3},
  [122] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [124] =
    {field_update, 2},
    {field_update, 3, .inherited = true},
  [126] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [130] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [134] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [138] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [143] =
    {field_body, 5},
    {field_class, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [147] =
    {field_condition, 2},
    {field_init, 0},
    {field_update, 4},
  [150] =
    {field_init, 0},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [153] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
  [156] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 4},
  [159] =
    {field_condition, 1},
    {field_init, 0},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [163] =
    {field_condition, 1},
    {field_update, 3},
    {field_update, 4, .inherited = true},
  [166] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [171] =
    {field_name, 0},
    {field_name, 1},
    {field_name, 2},
    {field_parameters, 3},
  [175] =
    {field_condition, 2},
    {field_init, 0},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [179] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 5},
  [183] =
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [187] =
    {field_condition, 3},
    {field_init, 0},
    {field_init, 1, .inherited = true},
    {field_update, 5},
    {field_update, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = sym_identifier,
  },
  [11] = {
    [1] = alias_sym_type_identifier,
  },
  [22] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__get, 2,
    sym__get,
    sym_identifier,
  sym__set, 2,
    sym__set,
    sym_identifier,
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '$') ADVANCE(113);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(210);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(244);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(242);
      if (lookahead != 0) ADVANCE(243);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(54);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(163);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(197);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(198);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == '-') ADVANCE(196);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(162);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(197);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(198);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '~') ADVANCE(49);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(54);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == '-') ADVANCE(195);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(163);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '+') ADVANCE(45);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '?') ADVANCE(157);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '?') ADVANCE(157);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(16)
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(26);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(17)
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '+') ADVANCE(58);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(40);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(61);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(52);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 19:
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '+') ADVANCE(58);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(40);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(61);
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(52);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(19)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 20:
      if (lookahead == '!') ADVANCE(53);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(20)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 21:
      if (lookahead == '!') ADVANCE(53);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(54);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(21)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 22:
      if (lookahead == '!') ADVANCE(53);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(165);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(22)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 23:
      if (lookahead == '!') ADVANCE(53);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(136);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(253);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(50);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 24:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '%') ADVANCE(55);
      if (lookahead == '&') ADVANCE(56);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '+') ADVANCE(58);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(222);
      if (lookahead == '/') ADVANCE(40);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(172);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(69);
      if (lookahead == '?') ADVANCE(160);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(61);
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(26);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(62);
      if (lookahead == '~') ADVANCE(52);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(25)
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(114);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(109);
      END_STATE();
    case 28:
      if (lookahead == '"') ADVANCE(115);
      END_STATE();
    case 29:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(60);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(78);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 30:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(183);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(192);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(60);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(78);
      if (lookahead == '|') ADVANCE(178);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(30)
      END_STATE();
    case 31:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(121);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 32:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(33)
      END_STATE();
    case 34:
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(126);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(122);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 35:
      if (lookahead == '$') ADVANCE(257);
      END_STATE();
    case 36:
      if (lookahead == '\'') ADVANCE(110);
      END_STATE();
    case 37:
      if (lookahead == '\'') ADVANCE(116);
      END_STATE();
    case 38:
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '.') ADVANCE(219);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(38)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 39:
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 40:
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 41:
      if (lookahead == '*') ADVANCE(239);
      END_STATE();
    case 42:
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(44);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(42);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 43:
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 44:
      if (lookahead == '*') ADVANCE(268);
      if (lookahead == '/') ADVANCE(258);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == '+') ADVANCE(207);
      END_STATE();
    case 46:
      if (lookahead == '.') ADVANCE(208);
      END_STATE();
    case 47:
      if (lookahead == '.') ADVANCE(229);
      END_STATE();
    case 48:
      if (lookahead == '.') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 49:
      if (lookahead == '/') ADVANCE(206);
      END_STATE();
    case 50:
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 51:
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(125);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(257);
      if (lookahead != 0) ADVANCE(119);
      END_STATE();
    case 52:
      if (lookahead == '/') ADVANCE(66);
      END_STATE();
    case 53:
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 54:
      if (lookahead == '=') ADVANCE(168);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 55:
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 56:
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 57:
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 58:
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 59:
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 60:
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 61:
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 62:
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 63:
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 64:
      if (lookahead == '=') ADVANCE(146);
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 65:
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 66:
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 69:
      if (lookahead == '>') ADVANCE(64);
      END_STATE();
    case 70:
      if (lookahead == ']') ADVANCE(233);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 72:
      if (lookahead == '_') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == '_') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(41);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(235);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(75);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 79:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 80:
      if (lookahead == 'u') ADVANCE(83);
      if (lookahead == 'x') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 81:
      if (lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 82:
      if (lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 83:
      if (lookahead == '{') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 84:
      if (lookahead == '}') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 85:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(84);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 93:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '$') ADVANCE(113);
      if (lookahead == '%') ADVANCE(204);
      if (lookahead == '&') ADVANCE(185);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(200);
      if (lookahead == '+') ADVANCE(194);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(210);
      if (lookahead == '.') ADVANCE(220);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '>') ADVANCE(174);
      if (lookahead == '?') ADVANCE(158);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == '^') ADVANCE(182);
      if (lookahead == 'a') ADVANCE(251);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == 's') ADVANCE(254);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(179);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(214);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(93)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 94:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(212);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '%') ADVANCE(203);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(193);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(223);
      if (lookahead == '/') ADVANCE(201);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(53);
      if (lookahead == '>') ADVANCE(175);
      if (lookahead == '?') ADVANCE(159);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == '^') ADVANCE(181);
      if (lookahead == 'a') ADVANCE(252);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(180);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(215);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(94)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 95:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(99);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '+') ADVANCE(45);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(48);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ':') ADVANCE(133);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(134);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(156);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(95)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 96:
      if (eof) ADVANCE(97);
      if (lookahead == '!') ADVANCE(211);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '(') ADVANCE(152);
      if (lookahead == ')') ADVANCE(153);
      if (lookahead == '+') ADVANCE(45);
      if (lookahead == ',') ADVANCE(131);
      if (lookahead == '-') ADVANCE(209);
      if (lookahead == '.') ADVANCE(224);
      if (lookahead == '/') ADVANCE(39);
      if (lookahead == '0') ADVANCE(101);
      if (lookahead == ';') ADVANCE(230);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(60);
      if (lookahead == '>') ADVANCE(173);
      if (lookahead == '?') ADVANCE(161);
      if (lookahead == '@') ADVANCE(231);
      if (lookahead == '[') ADVANCE(130);
      if (lookahead == ']') ADVANCE(132);
      if (lookahead == 'r') ADVANCE(245);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(213);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(96)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(240);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '_') ADVANCE(71);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(89);
      if (lookahead == '_') ADVANCE(71);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '_') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(27);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(36);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_r_DQUOTE);
      if (lookahead == '"') ADVANCE(28);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_r_SQUOTE);
      if (lookahead == '\'') ADVANCE(37);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_r_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_r_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(108);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(121);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '"') ADVANCE(105);
      if (lookahead == '$') ADVANCE(112);
      if (lookahead == '\'') ADVANCE(107);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(122);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '$') ADVANCE(257);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(123);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(125);
      if (lookahead != 0 &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || '{' < lookahead)) ADVANCE(119);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__sub_string_test_token1);
      if (lookahead == 'u') ADVANCE(83);
      if (lookahead == 'x') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      if (lookahead != 0) ADVANCE(127);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(127);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym__unused_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(168);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(232);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(237);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(155);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(226);
      if (lookahead == '?') ADVANCE(65);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      if (lookahead == '?') ADVANCE(155);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(225);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '?') ADVANCE(154);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_equality_operator);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(187);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(186);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(63);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(188);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(177);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(150);
      if (lookahead == '|') ADVANCE(166);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(166);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(167);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(167);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(146);
      if (lookahead == '>') ADVANCE(191);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym__additive_operator);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '+') ADVANCE(207);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '+') ADVANCE(207);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '-') ADVANCE(207);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '-') ADVANCE(207);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym__additive_operator);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(267);
      if (lookahead == '/') ADVANCE(259);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_TILDE_SLASH);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_increment_operator);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_minus_operator);
      if (lookahead == '-') ADVANCE(207);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_minus_operator);
      if (lookahead == '-') ADVANCE(207);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym__exclamation_operator);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym__exclamation_operator);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '/') ADVANCE(206);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(227);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(227);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(103);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      if (lookahead == '.') ADVANCE(229);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(208);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT_DOT);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      if (lookahead == '=') ADVANCE(234);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK_EQ);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '*') ADVANCE(238);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '*') ADVANCE(238);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_async_STAR);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_sync_STAR);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_POUND_BANG);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead == '*') ADVANCE(269);
      if (lookahead == '/') ADVANCE(260);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead == '/') ADVANCE(241);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(242);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(aux_sym_script_tag_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(244);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(111);
      if (lookahead == '\'') ADVANCE(114);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(239);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(246);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(236);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(247);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(248);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(217);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(218);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(255);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(249);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'y') ADVANCE(250);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(256);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_identifier_dollar_escaped);
      if (lookahead == '\\') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(273);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '*') ADVANCE(271);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(266);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(43);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym_comment_token2);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0 &&
          lookahead != '/') ADVANCE(43);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead == '*') ADVANCE(272);
      if (lookahead != 0) ADVANCE(43);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(243);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(266);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead == '*') ADVANCE(270);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(279);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_documentation_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(280);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'b') ADVANCE(3);
      if (lookahead == 'c') ADVANCE(4);
      if (lookahead == 'd') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'g') ADVANCE(8);
      if (lookahead == 'h') ADVANCE(9);
      if (lookahead == 'i') ADVANCE(10);
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'm') ADVANCE(12);
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 'o') ADVANCE(14);
      if (lookahead == 'p') ADVANCE(15);
      if (lookahead == 'r') ADVANCE(16);
      if (lookahead == 's') ADVANCE(17);
      if (lookahead == 't') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'y') ADVANCE(33);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(41);
      END_STATE();
    case 10:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(46);
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 12:
      if (lookahead == 'i') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      if (lookahead == 'p') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'h') ADVANCE(58);
      if (lookahead == 't') ADVANCE(59);
      if (lookahead == 'u') ADVANCE(60);
      if (lookahead == 'w') ADVANCE(61);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(62);
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(65);
      if (lookahead == 'o') ADVANCE(66);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(67);
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(79);
      if (lookahead == 'v') ADVANCE(80);
      END_STATE();
    case 31:
      if (lookahead == 'f') ADVANCE(81);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(83);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(85);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(88);
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(93);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 47:
      if (lookahead == 'b') ADVANCE(97);
      END_STATE();
    case 48:
      if (lookahead == 'x') ADVANCE(98);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 50:
      if (lookahead == 'w') ADVANCE(100);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_on);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(102);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 56:
      if (lookahead == 'q') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 58:
      if (lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 60:
      if (lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 61:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(116);
      END_STATE();
    case 65:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 66:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 71:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(126);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(127);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 79:
      if (lookahead == 's') ADVANCE(131);
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 82:
      if (lookahead == 'b') ADVANCE(136);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(137);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 85:
      if (lookahead == 'm') ADVANCE(139);
      END_STATE();
    case 86:
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 98:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 99:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(155);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(156);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(157);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 107:
      if (lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(160);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(162);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(163);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(167);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(168);
      END_STATE();
    case 120:
      if (lookahead == 'h') ADVANCE(169);
      END_STATE();
    case 121:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(173);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 127:
      if (lookahead == 'k') ADVANCE(175);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_case_builtin);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 130:
      if (lookahead == 's') ADVANCE(177);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 133:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 134:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 135:
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 137:
      if (lookahead == 'm') ADVANCE(184);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(186);
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 142:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 144:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_hide);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 147:
      if (lookahead == 'r') ADVANCE(192);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_late);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 151:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 152:
      if (lookahead == 'v') ADVANCE(196);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(197);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_part);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_show);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 160:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 161:
      if (lookahead == 'c') ADVANCE(202);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_this);
      END_STATE();
    case 163:
      if (lookahead == 'w') ADVANCE(203);
      END_STATE();
    case 164:
      if (lookahead == 's') ADVANCE(204);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 166:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 170:
      if (lookahead == 'd') ADVANCE(207);
      END_STATE();
    case 171:
      if (lookahead == 'i') ADVANCE(208);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__break_builtin);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_const_builtin);
      END_STATE();
    case 179:
      if (lookahead == 'n') ADVANCE(211);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 181:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 186:
      if (lookahead == 'd') ADVANCE(218);
      if (lookahead == 's') ADVANCE(219);
      END_STATE();
    case 187:
      if (lookahead == 'n') ADVANCE(220);
      END_STATE();
    case 188:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_final_builtin);
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 191:
      if (lookahead == 'm') ADVANCE(223);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 193:
      if (lookahead == 'f') ADVANCE(225);
      END_STATE();
    case 194:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_mixin);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 197:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 198:
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 200:
      if (lookahead == 'c') ADVANCE(231);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_super);
      END_STATE();
    case 202:
      if (lookahead == 'h') ADVANCE(232);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(233);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 205:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 208:
      if (lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(237);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym__assert_builtin);
      END_STATE();
    case 211:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_floating_point_type);
      END_STATE();
    case 216:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(243);
      END_STATE();
    case 219:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 220:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 221:
      if (lookahead == 'y') ADVANCE(246);
      END_STATE();
    case 222:
      if (lookahead == 'y') ADVANCE(247);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 226:
      if (lookahead == 'y') ADVANCE(250);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 228:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(252);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 235:
      if (lookahead == 'f') ADVANCE(254);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 241:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 244:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 245:
      if (lookahead == 'l') ADVANCE(261);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_factory);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 249:
      if (lookahead == 'c') ADVANCE(263);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_library);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(264);
      END_STATE();
    case 252:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_Function);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 258:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_deferred);
      END_STATE();
    case 260:
      if (lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(270);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_required);
      END_STATE();
    case 266:
      if (lookahead == 'v') ADVANCE(271);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_covariant);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_extension);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(272);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 95, .external_lex_state = 2},
  [2] = {.lex_state = 95, .external_lex_state = 2},
  [3] = {.lex_state = 95, .external_lex_state = 2},
  [4] = {.lex_state = 95, .external_lex_state = 2},
  [5] = {.lex_state = 95, .external_lex_state = 2},
  [6] = {.lex_state = 95, .external_lex_state = 2},
  [7] = {.lex_state = 95, .external_lex_state = 2},
  [8] = {.lex_state = 95, .external_lex_state = 2},
  [9] = {.lex_state = 95, .external_lex_state = 2},
  [10] = {.lex_state = 95, .external_lex_state = 2},
  [11] = {.lex_state = 95, .external_lex_state = 2},
  [12] = {.lex_state = 95, .external_lex_state = 2},
  [13] = {.lex_state = 95, .external_lex_state = 2},
  [14] = {.lex_state = 95, .external_lex_state = 2},
  [15] = {.lex_state = 95, .external_lex_state = 2},
  [16] = {.lex_state = 95, .external_lex_state = 2},
  [17] = {.lex_state = 95, .external_lex_state = 2},
  [18] = {.lex_state = 95, .external_lex_state = 2},
  [19] = {.lex_state = 95, .external_lex_state = 2},
  [20] = {.lex_state = 95, .external_lex_state = 2},
  [21] = {.lex_state = 95, .external_lex_state = 2},
  [22] = {.lex_state = 95, .external_lex_state = 2},
  [23] = {.lex_state = 95, .external_lex_state = 2},
  [24] = {.lex_state = 95, .external_lex_state = 2},
  [25] = {.lex_state = 95, .external_lex_state = 2},
  [26] = {.lex_state = 95, .external_lex_state = 2},
  [27] = {.lex_state = 95, .external_lex_state = 2},
  [28] = {.lex_state = 95, .external_lex_state = 2},
  [29] = {.lex_state = 95, .external_lex_state = 2},
  [30] = {.lex_state = 95, .external_lex_state = 2},
  [31] = {.lex_state = 95, .external_lex_state = 2},
  [32] = {.lex_state = 95, .external_lex_state = 2},
  [33] = {.lex_state = 95, .external_lex_state = 2},
  [34] = {.lex_state = 95, .external_lex_state = 2},
  [35] = {.lex_state = 95, .external_lex_state = 2},
  [36] = {.lex_state = 95, .external_lex_state = 2},
  [37] = {.lex_state = 95, .external_lex_state = 2},
  [38] = {.lex_state = 95, .external_lex_state = 2},
  [39] = {.lex_state = 95, .external_lex_state = 2},
  [40] = {.lex_state = 95, .external_lex_state = 2},
  [41] = {.lex_state = 95, .external_lex_state = 2},
  [42] = {.lex_state = 95, .external_lex_state = 2},
  [43] = {.lex_state = 95, .external_lex_state = 2},
  [44] = {.lex_state = 95, .external_lex_state = 2},
  [45] = {.lex_state = 95, .external_lex_state = 2},
  [46] = {.lex_state = 95, .external_lex_state = 2},
  [47] = {.lex_state = 95, .external_lex_state = 2},
  [48] = {.lex_state = 95, .external_lex_state = 2},
  [49] = {.lex_state = 95, .external_lex_state = 2},
  [50] = {.lex_state = 95, .external_lex_state = 2},
  [51] = {.lex_state = 95, .external_lex_state = 2},
  [52] = {.lex_state = 95, .external_lex_state = 2},
  [53] = {.lex_state = 95, .external_lex_state = 2},
  [54] = {.lex_state = 95, .external_lex_state = 2},
  [55] = {.lex_state = 95, .external_lex_state = 2},
  [56] = {.lex_state = 95, .external_lex_state = 2},
  [57] = {.lex_state = 95, .external_lex_state = 2},
  [58] = {.lex_state = 95, .external_lex_state = 2},
  [59] = {.lex_state = 95, .external_lex_state = 2},
  [60] = {.lex_state = 95, .external_lex_state = 2},
  [61] = {.lex_state = 95, .external_lex_state = 2},
  [62] = {.lex_state = 95, .external_lex_state = 2},
  [63] = {.lex_state = 95, .external_lex_state = 2},
  [64] = {.lex_state = 95, .external_lex_state = 2},
  [65] = {.lex_state = 95, .external_lex_state = 2},
  [66] = {.lex_state = 95, .external_lex_state = 2},
  [67] = {.lex_state = 95, .external_lex_state = 2},
  [68] = {.lex_state = 95, .external_lex_state = 2},
  [69] = {.lex_state = 95, .external_lex_state = 2},
  [70] = {.lex_state = 95, .external_lex_state = 2},
  [71] = {.lex_state = 95, .external_lex_state = 2},
  [72] = {.lex_state = 95, .external_lex_state = 2},
  [73] = {.lex_state = 95, .external_lex_state = 2},
  [74] = {.lex_state = 95, .external_lex_state = 2},
  [75] = {.lex_state = 95, .external_lex_state = 2},
  [76] = {.lex_state = 95, .external_lex_state = 2},
  [77] = {.lex_state = 95, .external_lex_state = 2},
  [78] = {.lex_state = 95, .external_lex_state = 2},
  [79] = {.lex_state = 95, .external_lex_state = 2},
  [80] = {.lex_state = 95, .external_lex_state = 2},
  [81] = {.lex_state = 95, .external_lex_state = 2},
  [82] = {.lex_state = 95, .external_lex_state = 2},
  [83] = {.lex_state = 95, .external_lex_state = 2},
  [84] = {.lex_state = 95, .external_lex_state = 2},
  [85] = {.lex_state = 95, .external_lex_state = 2},
  [86] = {.lex_state = 95, .external_lex_state = 2},
  [87] = {.lex_state = 95, .external_lex_state = 2},
  [88] = {.lex_state = 95, .external_lex_state = 2},
  [89] = {.lex_state = 95, .external_lex_state = 2},
  [90] = {.lex_state = 95, .external_lex_state = 2},
  [91] = {.lex_state = 95, .external_lex_state = 2},
  [92] = {.lex_state = 95, .external_lex_state = 2},
  [93] = {.lex_state = 95, .external_lex_state = 2},
  [94] = {.lex_state = 95, .external_lex_state = 2},
  [95] = {.lex_state = 95, .external_lex_state = 2},
  [96] = {.lex_state = 95, .external_lex_state = 2},
  [97] = {.lex_state = 95, .external_lex_state = 2},
  [98] = {.lex_state = 95, .external_lex_state = 2},
  [99] = {.lex_state = 95, .external_lex_state = 2},
  [100] = {.lex_state = 95, .external_lex_state = 2},
  [101] = {.lex_state = 95, .external_lex_state = 2},
  [102] = {.lex_state = 95, .external_lex_state = 2},
  [103] = {.lex_state = 95, .external_lex_state = 2},
  [104] = {.lex_state = 95, .external_lex_state = 2},
  [105] = {.lex_state = 95, .external_lex_state = 2},
  [106] = {.lex_state = 95, .external_lex_state = 2},
  [107] = {.lex_state = 95, .external_lex_state = 2},
  [108] = {.lex_state = 95, .external_lex_state = 2},
  [109] = {.lex_state = 95, .external_lex_state = 2},
  [110] = {.lex_state = 95, .external_lex_state = 2},
  [111] = {.lex_state = 95, .external_lex_state = 2},
  [112] = {.lex_state = 95, .external_lex_state = 2},
  [113] = {.lex_state = 95, .external_lex_state = 2},
  [114] = {.lex_state = 95, .external_lex_state = 2},
  [115] = {.lex_state = 95, .external_lex_state = 2},
  [116] = {.lex_state = 95, .external_lex_state = 2},
  [117] = {.lex_state = 95, .external_lex_state = 2},
  [118] = {.lex_state = 95, .external_lex_state = 2},
  [119] = {.lex_state = 95, .external_lex_state = 2},
  [120] = {.lex_state = 95, .external_lex_state = 2},
  [121] = {.lex_state = 95, .external_lex_state = 2},
  [122] = {.lex_state = 95, .external_lex_state = 2},
  [123] = {.lex_state = 95, .external_lex_state = 2},
  [124] = {.lex_state = 95, .external_lex_state = 2},
  [125] = {.lex_state = 95, .external_lex_state = 2},
  [126] = {.lex_state = 95, .external_lex_state = 2},
  [127] = {.lex_state = 95, .external_lex_state = 2},
  [128] = {.lex_state = 95, .external_lex_state = 2},
  [129] = {.lex_state = 95, .external_lex_state = 2},
  [130] = {.lex_state = 95, .external_lex_state = 2},
  [131] = {.lex_state = 95, .external_lex_state = 2},
  [132] = {.lex_state = 95, .external_lex_state = 2},
  [133] = {.lex_state = 95, .external_lex_state = 2},
  [134] = {.lex_state = 95, .external_lex_state = 2},
  [135] = {.lex_state = 95, .external_lex_state = 2},
  [136] = {.lex_state = 95, .external_lex_state = 2},
  [137] = {.lex_state = 95, .external_lex_state = 2},
  [138] = {.lex_state = 95, .external_lex_state = 2},
  [139] = {.lex_state = 95, .external_lex_state = 2},
  [140] = {.lex_state = 95, .external_lex_state = 2},
  [141] = {.lex_state = 95, .external_lex_state = 2},
  [142] = {.lex_state = 95, .external_lex_state = 2},
  [143] = {.lex_state = 95, .external_lex_state = 2},
  [144] = {.lex_state = 95, .external_lex_state = 2},
  [145] = {.lex_state = 95, .external_lex_state = 2},
  [146] = {.lex_state = 95, .external_lex_state = 2},
  [147] = {.lex_state = 95, .external_lex_state = 2},
  [148] = {.lex_state = 95, .external_lex_state = 2},
  [149] = {.lex_state = 95, .external_lex_state = 2},
  [150] = {.lex_state = 95, .external_lex_state = 2},
  [151] = {.lex_state = 95, .external_lex_state = 2},
  [152] = {.lex_state = 95, .external_lex_state = 2},
  [153] = {.lex_state = 95, .external_lex_state = 2},
  [154] = {.lex_state = 95, .external_lex_state = 2},
  [155] = {.lex_state = 95, .external_lex_state = 2},
  [156] = {.lex_state = 95, .external_lex_state = 2},
  [157] = {.lex_state = 95, .external_lex_state = 2},
  [158] = {.lex_state = 95, .external_lex_state = 2},
  [159] = {.lex_state = 95, .external_lex_state = 2},
  [160] = {.lex_state = 95, .external_lex_state = 2},
  [161] = {.lex_state = 95, .external_lex_state = 2},
  [162] = {.lex_state = 95, .external_lex_state = 2},
  [163] = {.lex_state = 95, .external_lex_state = 2},
  [164] = {.lex_state = 95, .external_lex_state = 2},
  [165] = {.lex_state = 95, .external_lex_state = 2},
  [166] = {.lex_state = 95, .external_lex_state = 2},
  [167] = {.lex_state = 95, .external_lex_state = 2},
  [168] = {.lex_state = 95, .external_lex_state = 2},
  [169] = {.lex_state = 95, .external_lex_state = 2},
  [170] = {.lex_state = 95, .external_lex_state = 2},
  [171] = {.lex_state = 95, .external_lex_state = 2},
  [172] = {.lex_state = 95, .external_lex_state = 2},
  [173] = {.lex_state = 95, .external_lex_state = 2},
  [174] = {.lex_state = 95, .external_lex_state = 2},
  [175] = {.lex_state = 95, .external_lex_state = 2},
  [176] = {.lex_state = 95, .external_lex_state = 2},
  [177] = {.lex_state = 95, .external_lex_state = 2},
  [178] = {.lex_state = 95, .external_lex_state = 2},
  [179] = {.lex_state = 95, .external_lex_state = 2},
  [180] = {.lex_state = 95, .external_lex_state = 2},
  [181] = {.lex_state = 95, .external_lex_state = 2},
  [182] = {.lex_state = 95, .external_lex_state = 2},
  [183] = {.lex_state = 95, .external_lex_state = 2},
  [184] = {.lex_state = 95, .external_lex_state = 2},
  [185] = {.lex_state = 95, .external_lex_state = 2},
  [186] = {.lex_state = 95, .external_lex_state = 2},
  [187] = {.lex_state = 95, .external_lex_state = 2},
  [188] = {.lex_state = 95, .external_lex_state = 2},
  [189] = {.lex_state = 95, .external_lex_state = 2},
  [190] = {.lex_state = 95, .external_lex_state = 2},
  [191] = {.lex_state = 95, .external_lex_state = 2},
  [192] = {.lex_state = 95, .external_lex_state = 2},
  [193] = {.lex_state = 95, .external_lex_state = 2},
  [194] = {.lex_state = 95, .external_lex_state = 2},
  [195] = {.lex_state = 95, .external_lex_state = 2},
  [196] = {.lex_state = 95, .external_lex_state = 2},
  [197] = {.lex_state = 95, .external_lex_state = 2},
  [198] = {.lex_state = 95, .external_lex_state = 2},
  [199] = {.lex_state = 95, .external_lex_state = 2},
  [200] = {.lex_state = 95, .external_lex_state = 2},
  [201] = {.lex_state = 95, .external_lex_state = 2},
  [202] = {.lex_state = 95, .external_lex_state = 2},
  [203] = {.lex_state = 95, .external_lex_state = 2},
  [204] = {.lex_state = 95, .external_lex_state = 2},
  [205] = {.lex_state = 95, .external_lex_state = 2},
  [206] = {.lex_state = 95, .external_lex_state = 2},
  [207] = {.lex_state = 95, .external_lex_state = 2},
  [208] = {.lex_state = 95, .external_lex_state = 2},
  [209] = {.lex_state = 95, .external_lex_state = 2},
  [210] = {.lex_state = 95, .external_lex_state = 2},
  [211] = {.lex_state = 95, .external_lex_state = 2},
  [212] = {.lex_state = 95, .external_lex_state = 2},
  [213] = {.lex_state = 95, .external_lex_state = 2},
  [214] = {.lex_state = 95, .external_lex_state = 2},
  [215] = {.lex_state = 95, .external_lex_state = 2},
  [216] = {.lex_state = 95, .external_lex_state = 2},
  [217] = {.lex_state = 95, .external_lex_state = 2},
  [218] = {.lex_state = 95, .external_lex_state = 2},
  [219] = {.lex_state = 95, .external_lex_state = 2},
  [220] = {.lex_state = 95, .external_lex_state = 2},
  [221] = {.lex_state = 95, .external_lex_state = 2},
  [222] = {.lex_state = 95, .external_lex_state = 2},
  [223] = {.lex_state = 95, .external_lex_state = 2},
  [224] = {.lex_state = 95, .external_lex_state = 2},
  [225] = {.lex_state = 95, .external_lex_state = 2},
  [226] = {.lex_state = 95, .external_lex_state = 2},
  [227] = {.lex_state = 95, .external_lex_state = 2},
  [228] = {.lex_state = 95, .external_lex_state = 2},
  [229] = {.lex_state = 95, .external_lex_state = 2},
  [230] = {.lex_state = 95, .external_lex_state = 2},
  [231] = {.lex_state = 95, .external_lex_state = 2},
  [232] = {.lex_state = 95, .external_lex_state = 2},
  [233] = {.lex_state = 95, .external_lex_state = 2},
  [234] = {.lex_state = 95, .external_lex_state = 2},
  [235] = {.lex_state = 95, .external_lex_state = 2},
  [236] = {.lex_state = 95, .external_lex_state = 2},
  [237] = {.lex_state = 95, .external_lex_state = 2},
  [238] = {.lex_state = 95, .external_lex_state = 2},
  [239] = {.lex_state = 95, .external_lex_state = 2},
  [240] = {.lex_state = 95, .external_lex_state = 2},
  [241] = {.lex_state = 95, .external_lex_state = 2},
  [242] = {.lex_state = 95, .external_lex_state = 2},
  [243] = {.lex_state = 95, .external_lex_state = 2},
  [244] = {.lex_state = 95, .external_lex_state = 2},
  [245] = {.lex_state = 95, .external_lex_state = 2},
  [246] = {.lex_state = 95, .external_lex_state = 2},
  [247] = {.lex_state = 95, .external_lex_state = 2},
  [248] = {.lex_state = 95, .external_lex_state = 2},
  [249] = {.lex_state = 95, .external_lex_state = 2},
  [250] = {.lex_state = 95, .external_lex_state = 2},
  [251] = {.lex_state = 95, .external_lex_state = 2},
  [252] = {.lex_state = 95, .external_lex_state = 2},
  [253] = {.lex_state = 95, .external_lex_state = 2},
  [254] = {.lex_state = 95, .external_lex_state = 2},
  [255] = {.lex_state = 95, .external_lex_state = 2},
  [256] = {.lex_state = 95, .external_lex_state = 2},
  [257] = {.lex_state = 95, .external_lex_state = 2},
  [258] = {.lex_state = 95, .external_lex_state = 2},
  [259] = {.lex_state = 95, .external_lex_state = 2},
  [260] = {.lex_state = 95, .external_lex_state = 2},
  [261] = {.lex_state = 95, .external_lex_state = 2},
  [262] = {.lex_state = 95, .external_lex_state = 2},
  [263] = {.lex_state = 95, .external_lex_state = 2},
  [264] = {.lex_state = 95, .external_lex_state = 2},
  [265] = {.lex_state = 95, .external_lex_state = 2},
  [266] = {.lex_state = 95, .external_lex_state = 2},
  [267] = {.lex_state = 95, .external_lex_state = 2},
  [268] = {.lex_state = 95, .external_lex_state = 2},
  [269] = {.lex_state = 95, .external_lex_state = 2},
  [270] = {.lex_state = 95, .external_lex_state = 2},
  [271] = {.lex_state = 95, .external_lex_state = 2},
  [272] = {.lex_state = 95, .external_lex_state = 2},
  [273] = {.lex_state = 95, .external_lex_state = 2},
  [274] = {.lex_state = 95, .external_lex_state = 2},
  [275] = {.lex_state = 95, .external_lex_state = 2},
  [276] = {.lex_state = 95, .external_lex_state = 2},
  [277] = {.lex_state = 95, .external_lex_state = 2},
  [278] = {.lex_state = 95, .external_lex_state = 2},
  [279] = {.lex_state = 95, .external_lex_state = 2},
  [280] = {.lex_state = 95, .external_lex_state = 2},
  [281] = {.lex_state = 95, .external_lex_state = 2},
  [282] = {.lex_state = 95, .external_lex_state = 2},
  [283] = {.lex_state = 95, .external_lex_state = 2},
  [284] = {.lex_state = 95, .external_lex_state = 2},
  [285] = {.lex_state = 95, .external_lex_state = 2},
  [286] = {.lex_state = 95, .external_lex_state = 2},
  [287] = {.lex_state = 95, .external_lex_state = 2},
  [288] = {.lex_state = 95, .external_lex_state = 2},
  [289] = {.lex_state = 95, .external_lex_state = 2},
  [290] = {.lex_state = 95, .external_lex_state = 2},
  [291] = {.lex_state = 95, .external_lex_state = 2},
  [292] = {.lex_state = 95, .external_lex_state = 2},
  [293] = {.lex_state = 95, .external_lex_state = 2},
  [294] = {.lex_state = 95, .external_lex_state = 2},
  [295] = {.lex_state = 95, .external_lex_state = 2},
  [296] = {.lex_state = 95, .external_lex_state = 2},
  [297] = {.lex_state = 95, .external_lex_state = 2},
  [298] = {.lex_state = 95, .external_lex_state = 2},
  [299] = {.lex_state = 95, .external_lex_state = 2},
  [300] = {.lex_state = 95, .external_lex_state = 2},
  [301] = {.lex_state = 95, .external_lex_state = 2},
  [302] = {.lex_state = 95, .external_lex_state = 2},
  [303] = {.lex_state = 95, .external_lex_state = 2},
  [304] = {.lex_state = 95, .external_lex_state = 2},
  [305] = {.lex_state = 95, .external_lex_state = 2},
  [306] = {.lex_state = 95, .external_lex_state = 2},
  [307] = {.lex_state = 95, .external_lex_state = 2},
  [308] = {.lex_state = 95, .external_lex_state = 2},
  [309] = {.lex_state = 95, .external_lex_state = 2},
  [310] = {.lex_state = 95, .external_lex_state = 2},
  [311] = {.lex_state = 95, .external_lex_state = 2},
  [312] = {.lex_state = 95, .external_lex_state = 2},
  [313] = {.lex_state = 95, .external_lex_state = 2},
  [314] = {.lex_state = 95, .external_lex_state = 2},
  [315] = {.lex_state = 95, .external_lex_state = 2},
  [316] = {.lex_state = 95, .external_lex_state = 2},
  [317] = {.lex_state = 95, .external_lex_state = 2},
  [318] = {.lex_state = 95, .external_lex_state = 2},
  [319] = {.lex_state = 95, .external_lex_state = 2},
  [320] = {.lex_state = 95, .external_lex_state = 2},
  [321] = {.lex_state = 95, .external_lex_state = 2},
  [322] = {.lex_state = 95, .external_lex_state = 2},
  [323] = {.lex_state = 95, .external_lex_state = 2},
  [324] = {.lex_state = 95, .external_lex_state = 2},
  [325] = {.lex_state = 95, .external_lex_state = 2},
  [326] = {.lex_state = 95, .external_lex_state = 2},
  [327] = {.lex_state = 95, .external_lex_state = 2},
  [328] = {.lex_state = 95, .external_lex_state = 2},
  [329] = {.lex_state = 95, .external_lex_state = 2},
  [330] = {.lex_state = 95, .external_lex_state = 2},
  [331] = {.lex_state = 95, .external_lex_state = 2},
  [332] = {.lex_state = 95, .external_lex_state = 2},
  [333] = {.lex_state = 95, .external_lex_state = 2},
  [334] = {.lex_state = 95, .external_lex_state = 2},
  [335] = {.lex_state = 95, .external_lex_state = 2},
  [336] = {.lex_state = 95, .external_lex_state = 2},
  [337] = {.lex_state = 95, .external_lex_state = 2},
  [338] = {.lex_state = 95, .external_lex_state = 2},
  [339] = {.lex_state = 95, .external_lex_state = 2},
  [340] = {.lex_state = 95, .external_lex_state = 2},
  [341] = {.lex_state = 95, .external_lex_state = 2},
  [342] = {.lex_state = 95, .external_lex_state = 2},
  [343] = {.lex_state = 95, .external_lex_state = 2},
  [344] = {.lex_state = 95, .external_lex_state = 2},
  [345] = {.lex_state = 95, .external_lex_state = 2},
  [346] = {.lex_state = 95, .external_lex_state = 2},
  [347] = {.lex_state = 95, .external_lex_state = 2},
  [348] = {.lex_state = 95, .external_lex_state = 2},
  [349] = {.lex_state = 95, .external_lex_state = 2},
  [350] = {.lex_state = 95, .external_lex_state = 2},
  [351] = {.lex_state = 95, .external_lex_state = 2},
  [352] = {.lex_state = 95, .external_lex_state = 2},
  [353] = {.lex_state = 95, .external_lex_state = 2},
  [354] = {.lex_state = 95, .external_lex_state = 2},
  [355] = {.lex_state = 95, .external_lex_state = 2},
  [356] = {.lex_state = 95, .external_lex_state = 2},
  [357] = {.lex_state = 95, .external_lex_state = 2},
  [358] = {.lex_state = 95, .external_lex_state = 2},
  [359] = {.lex_state = 95, .external_lex_state = 2},
  [360] = {.lex_state = 95, .external_lex_state = 2},
  [361] = {.lex_state = 95, .external_lex_state = 2},
  [362] = {.lex_state = 95, .external_lex_state = 2},
  [363] = {.lex_state = 95, .external_lex_state = 2},
  [364] = {.lex_state = 95, .external_lex_state = 2},
  [365] = {.lex_state = 95, .external_lex_state = 2},
  [366] = {.lex_state = 95, .external_lex_state = 2},
  [367] = {.lex_state = 95, .external_lex_state = 2},
  [368] = {.lex_state = 95, .external_lex_state = 2},
  [369] = {.lex_state = 95, .external_lex_state = 2},
  [370] = {.lex_state = 95, .external_lex_state = 2},
  [371] = {.lex_state = 95, .external_lex_state = 2},
  [372] = {.lex_state = 95, .external_lex_state = 2},
  [373] = {.lex_state = 95, .external_lex_state = 2},
  [374] = {.lex_state = 95, .external_lex_state = 2},
  [375] = {.lex_state = 95, .external_lex_state = 2},
  [376] = {.lex_state = 95, .external_lex_state = 2},
  [377] = {.lex_state = 95, .external_lex_state = 2},
  [378] = {.lex_state = 95, .external_lex_state = 2},
  [379] = {.lex_state = 95, .external_lex_state = 2},
  [380] = {.lex_state = 95, .external_lex_state = 2},
  [381] = {.lex_state = 95, .external_lex_state = 2},
  [382] = {.lex_state = 95, .external_lex_state = 2},
  [383] = {.lex_state = 95, .external_lex_state = 2},
  [384] = {.lex_state = 95, .external_lex_state = 2},
  [385] = {.lex_state = 95, .external_lex_state = 2},
  [386] = {.lex_state = 95, .external_lex_state = 2},
  [387] = {.lex_state = 95, .external_lex_state = 2},
  [388] = {.lex_state = 95, .external_lex_state = 2},
  [389] = {.lex_state = 95, .external_lex_state = 2},
  [390] = {.lex_state = 95, .external_lex_state = 2},
  [391] = {.lex_state = 94, .external_lex_state = 2},
  [392] = {.lex_state = 94, .external_lex_state = 2},
  [393] = {.lex_state = 94, .external_lex_state = 2},
  [394] = {.lex_state = 94, .external_lex_state = 3},
  [395] = {.lex_state = 95, .external_lex_state = 2},
  [396] = {.lex_state = 95, .external_lex_state = 2},
  [397] = {.lex_state = 95, .external_lex_state = 2},
  [398] = {.lex_state = 95, .external_lex_state = 2},
  [399] = {.lex_state = 95, .external_lex_state = 2},
  [400] = {.lex_state = 95, .external_lex_state = 3},
  [401] = {.lex_state = 95, .external_lex_state = 2},
  [402] = {.lex_state = 95, .external_lex_state = 2},
  [403] = {.lex_state = 95, .external_lex_state = 2},
  [404] = {.lex_state = 95, .external_lex_state = 2},
  [405] = {.lex_state = 95, .external_lex_state = 2},
  [406] = {.lex_state = 95, .external_lex_state = 2},
  [407] = {.lex_state = 95, .external_lex_state = 2},
  [408] = {.lex_state = 95, .external_lex_state = 2},
  [409] = {.lex_state = 95, .external_lex_state = 2},
  [410] = {.lex_state = 95, .external_lex_state = 2},
  [411] = {.lex_state = 95, .external_lex_state = 2},
  [412] = {.lex_state = 95, .external_lex_state = 2},
  [413] = {.lex_state = 95, .external_lex_state = 2},
  [414] = {.lex_state = 95, .external_lex_state = 2},
  [415] = {.lex_state = 95, .external_lex_state = 2},
  [416] = {.lex_state = 95, .external_lex_state = 2},
  [417] = {.lex_state = 95, .external_lex_state = 2},
  [418] = {.lex_state = 95, .external_lex_state = 2},
  [419] = {.lex_state = 95, .external_lex_state = 2},
  [420] = {.lex_state = 95, .external_lex_state = 2},
  [421] = {.lex_state = 95, .external_lex_state = 2},
  [422] = {.lex_state = 95, .external_lex_state = 2},
  [423] = {.lex_state = 95, .external_lex_state = 2},
  [424] = {.lex_state = 95, .external_lex_state = 2},
  [425] = {.lex_state = 95, .external_lex_state = 2},
  [426] = {.lex_state = 96, .external_lex_state = 2},
  [427] = {.lex_state = 96, .external_lex_state = 2},
  [428] = {.lex_state = 95, .external_lex_state = 2},
  [429] = {.lex_state = 95, .external_lex_state = 2},
  [430] = {.lex_state = 95, .external_lex_state = 2},
  [431] = {.lex_state = 95, .external_lex_state = 2},
  [432] = {.lex_state = 95, .external_lex_state = 2},
  [433] = {.lex_state = 95, .external_lex_state = 2},
  [434] = {.lex_state = 10, .external_lex_state = 2},
  [435] = {.lex_state = 7, .external_lex_state = 2},
  [436] = {.lex_state = 10, .external_lex_state = 2},
  [437] = {.lex_state = 7, .external_lex_state = 2},
  [438] = {.lex_state = 95, .external_lex_state = 2},
  [439] = {.lex_state = 95, .external_lex_state = 2},
  [440] = {.lex_state = 95, .external_lex_state = 2},
  [441] = {.lex_state = 95, .external_lex_state = 2},
  [442] = {.lex_state = 95, .external_lex_state = 2},
  [443] = {.lex_state = 95, .external_lex_state = 2},
  [444] = {.lex_state = 95, .external_lex_state = 2},
  [445] = {.lex_state = 95, .external_lex_state = 2},
  [446] = {.lex_state = 95, .external_lex_state = 2},
  [447] = {.lex_state = 95, .external_lex_state = 2},
  [448] = {.lex_state = 95, .external_lex_state = 2},
  [449] = {.lex_state = 95, .external_lex_state = 2},
  [450] = {.lex_state = 95, .external_lex_state = 2},
  [451] = {.lex_state = 95, .external_lex_state = 2},
  [452] = {.lex_state = 95, .external_lex_state = 2},
  [453] = {.lex_state = 95, .external_lex_state = 2},
  [454] = {.lex_state = 95, .external_lex_state = 2},
  [455] = {.lex_state = 95, .external_lex_state = 2},
  [456] = {.lex_state = 95, .external_lex_state = 2},
  [457] = {.lex_state = 95, .external_lex_state = 2},
  [458] = {.lex_state = 7, .external_lex_state = 2},
  [459] = {.lex_state = 10, .external_lex_state = 2},
  [460] = {.lex_state = 10, .external_lex_state = 2},
  [461] = {.lex_state = 95, .external_lex_state = 2},
  [462] = {.lex_state = 95, .external_lex_state = 2},
  [463] = {.lex_state = 95, .external_lex_state = 2},
  [464] = {.lex_state = 7, .external_lex_state = 2},
  [465] = {.lex_state = 95, .external_lex_state = 2},
  [466] = {.lex_state = 95, .external_lex_state = 2},
  [467] = {.lex_state = 95, .external_lex_state = 2},
  [468] = {.lex_state = 95, .external_lex_state = 2},
  [469] = {.lex_state = 95, .external_lex_state = 2},
  [470] = {.lex_state = 95, .external_lex_state = 2},
  [471] = {.lex_state = 95, .external_lex_state = 2},
  [472] = {.lex_state = 95, .external_lex_state = 2},
  [473] = {.lex_state = 95, .external_lex_state = 2},
  [474] = {.lex_state = 95, .external_lex_state = 2},
  [475] = {.lex_state = 95, .external_lex_state = 2},
  [476] = {.lex_state = 95, .external_lex_state = 2},
  [477] = {.lex_state = 95, .external_lex_state = 2},
  [478] = {.lex_state = 95, .external_lex_state = 2},
  [479] = {.lex_state = 95, .external_lex_state = 2},
  [480] = {.lex_state = 95, .external_lex_state = 2},
  [481] = {.lex_state = 95, .external_lex_state = 2},
  [482] = {.lex_state = 95, .external_lex_state = 2},
  [483] = {.lex_state = 95, .external_lex_state = 2},
  [484] = {.lex_state = 95, .external_lex_state = 2},
  [485] = {.lex_state = 95, .external_lex_state = 2},
  [486] = {.lex_state = 95, .external_lex_state = 2},
  [487] = {.lex_state = 95, .external_lex_state = 2},
  [488] = {.lex_state = 95, .external_lex_state = 2},
  [489] = {.lex_state = 95, .external_lex_state = 2},
  [490] = {.lex_state = 95, .external_lex_state = 2},
  [491] = {.lex_state = 95, .external_lex_state = 2},
  [492] = {.lex_state = 95, .external_lex_state = 2},
  [493] = {.lex_state = 95, .external_lex_state = 2},
  [494] = {.lex_state = 95, .external_lex_state = 2},
  [495] = {.lex_state = 95, .external_lex_state = 2},
  [496] = {.lex_state = 95, .external_lex_state = 2},
  [497] = {.lex_state = 95, .external_lex_state = 2},
  [498] = {.lex_state = 95, .external_lex_state = 2},
  [499] = {.lex_state = 95, .external_lex_state = 2},
  [500] = {.lex_state = 95, .external_lex_state = 2},
  [501] = {.lex_state = 95, .external_lex_state = 2},
  [502] = {.lex_state = 95, .external_lex_state = 2},
  [503] = {.lex_state = 95, .external_lex_state = 2},
  [504] = {.lex_state = 95, .external_lex_state = 2},
  [505] = {.lex_state = 7, .external_lex_state = 3},
  [506] = {.lex_state = 95, .external_lex_state = 2},
  [507] = {.lex_state = 7, .external_lex_state = 3},
  [508] = {.lex_state = 95, .external_lex_state = 2},
  [509] = {.lex_state = 95, .external_lex_state = 2},
  [510] = {.lex_state = 95, .external_lex_state = 2},
  [511] = {.lex_state = 95, .external_lex_state = 2},
  [512] = {.lex_state = 95, .external_lex_state = 2},
  [513] = {.lex_state = 95, .external_lex_state = 2},
  [514] = {.lex_state = 95, .external_lex_state = 2},
  [515] = {.lex_state = 95, .external_lex_state = 2},
  [516] = {.lex_state = 6, .external_lex_state = 2},
  [517] = {.lex_state = 95, .external_lex_state = 2},
  [518] = {.lex_state = 95, .external_lex_state = 2},
  [519] = {.lex_state = 95, .external_lex_state = 2},
  [520] = {.lex_state = 95, .external_lex_state = 2},
  [521] = {.lex_state = 95, .external_lex_state = 2},
  [522] = {.lex_state = 95, .external_lex_state = 2},
  [523] = {.lex_state = 95, .external_lex_state = 2},
  [524] = {.lex_state = 95, .external_lex_state = 2},
  [525] = {.lex_state = 95, .external_lex_state = 2},
  [526] = {.lex_state = 95, .external_lex_state = 2},
  [527] = {.lex_state = 95, .external_lex_state = 2},
  [528] = {.lex_state = 7, .external_lex_state = 2},
  [529] = {.lex_state = 95, .external_lex_state = 2},
  [530] = {.lex_state = 95, .external_lex_state = 2},
  [531] = {.lex_state = 3, .external_lex_state = 2},
  [532] = {.lex_state = 95, .external_lex_state = 2},
  [533] = {.lex_state = 10, .external_lex_state = 2},
  [534] = {.lex_state = 95, .external_lex_state = 2},
  [535] = {.lex_state = 95, .external_lex_state = 2},
  [536] = {.lex_state = 3, .external_lex_state = 2},
  [537] = {.lex_state = 95, .external_lex_state = 2},
  [538] = {.lex_state = 95, .external_lex_state = 2},
  [539] = {.lex_state = 6, .external_lex_state = 2},
  [540] = {.lex_state = 6, .external_lex_state = 2},
  [541] = {.lex_state = 95, .external_lex_state = 2},
  [542] = {.lex_state = 95, .external_lex_state = 2},
  [543] = {.lex_state = 95, .external_lex_state = 2},
  [544] = {.lex_state = 6, .external_lex_state = 2},
  [545] = {.lex_state = 6, .external_lex_state = 2},
  [546] = {.lex_state = 95, .external_lex_state = 2},
  [547] = {.lex_state = 95, .external_lex_state = 2},
  [548] = {.lex_state = 95, .external_lex_state = 2},
  [549] = {.lex_state = 95, .external_lex_state = 2},
  [550] = {.lex_state = 95, .external_lex_state = 2},
  [551] = {.lex_state = 95, .external_lex_state = 2},
  [552] = {.lex_state = 95, .external_lex_state = 2},
  [553] = {.lex_state = 95, .external_lex_state = 2},
  [554] = {.lex_state = 95, .external_lex_state = 2},
  [555] = {.lex_state = 95, .external_lex_state = 2},
  [556] = {.lex_state = 95, .external_lex_state = 2},
  [557] = {.lex_state = 95, .external_lex_state = 2},
  [558] = {.lex_state = 95, .external_lex_state = 2},
  [559] = {.lex_state = 95, .external_lex_state = 2},
  [560] = {.lex_state = 95, .external_lex_state = 2},
  [561] = {.lex_state = 95, .external_lex_state = 2},
  [562] = {.lex_state = 95, .external_lex_state = 2},
  [563] = {.lex_state = 95, .external_lex_state = 2},
  [564] = {.lex_state = 95, .external_lex_state = 2},
  [565] = {.lex_state = 6, .external_lex_state = 3},
  [566] = {.lex_state = 95, .external_lex_state = 2},
  [567] = {.lex_state = 95, .external_lex_state = 2},
  [568] = {.lex_state = 95, .external_lex_state = 2},
  [569] = {.lex_state = 95, .external_lex_state = 2},
  [570] = {.lex_state = 95, .external_lex_state = 2},
  [571] = {.lex_state = 10, .external_lex_state = 2},
  [572] = {.lex_state = 4, .external_lex_state = 2},
  [573] = {.lex_state = 7, .external_lex_state = 2},
  [574] = {.lex_state = 7, .external_lex_state = 2},
  [575] = {.lex_state = 95, .external_lex_state = 2},
  [576] = {.lex_state = 14, .external_lex_state = 2},
  [577] = {.lex_state = 7, .external_lex_state = 3},
  [578] = {.lex_state = 3, .external_lex_state = 2},
  [579] = {.lex_state = 10, .external_lex_state = 2},
  [580] = {.lex_state = 10, .external_lex_state = 2},
  [581] = {.lex_state = 7, .external_lex_state = 2},
  [582] = {.lex_state = 7, .external_lex_state = 3},
  [583] = {.lex_state = 95, .external_lex_state = 2},
  [584] = {.lex_state = 95, .external_lex_state = 2},
  [585] = {.lex_state = 4, .external_lex_state = 2},
  [586] = {.lex_state = 95, .external_lex_state = 2},
  [587] = {.lex_state = 95, .external_lex_state = 2},
  [588] = {.lex_state = 4, .external_lex_state = 2},
  [589] = {.lex_state = 95, .external_lex_state = 2},
  [590] = {.lex_state = 95, .external_lex_state = 2},
  [591] = {.lex_state = 4, .external_lex_state = 2},
  [592] = {.lex_state = 4, .external_lex_state = 2},
  [593] = {.lex_state = 4, .external_lex_state = 2},
  [594] = {.lex_state = 3, .external_lex_state = 2},
  [595] = {.lex_state = 3, .external_lex_state = 2},
  [596] = {.lex_state = 3, .external_lex_state = 2},
  [597] = {.lex_state = 95, .external_lex_state = 2},
  [598] = {.lex_state = 95, .external_lex_state = 2},
  [599] = {.lex_state = 4, .external_lex_state = 2},
  [600] = {.lex_state = 4, .external_lex_state = 2},
  [601] = {.lex_state = 3, .external_lex_state = 2},
  [602] = {.lex_state = 4, .external_lex_state = 2},
  [603] = {.lex_state = 4, .external_lex_state = 2},
  [604] = {.lex_state = 95, .external_lex_state = 2},
  [605] = {.lex_state = 95, .external_lex_state = 2},
  [606] = {.lex_state = 4, .external_lex_state = 2},
  [607] = {.lex_state = 95, .external_lex_state = 2},
  [608] = {.lex_state = 6, .external_lex_state = 2},
  [609] = {.lex_state = 3, .external_lex_state = 2},
  [610] = {.lex_state = 4, .external_lex_state = 2},
  [611] = {.lex_state = 3, .external_lex_state = 2},
  [612] = {.lex_state = 3, .external_lex_state = 2},
  [613] = {.lex_state = 8, .external_lex_state = 2},
  [614] = {.lex_state = 3, .external_lex_state = 2},
  [615] = {.lex_state = 4, .external_lex_state = 2},
  [616] = {.lex_state = 95, .external_lex_state = 2},
  [617] = {.lex_state = 3, .external_lex_state = 2},
  [618] = {.lex_state = 95, .external_lex_state = 2},
  [619] = {.lex_state = 3, .external_lex_state = 2},
  [620] = {.lex_state = 95, .external_lex_state = 2},
  [621] = {.lex_state = 3, .external_lex_state = 2},
  [622] = {.lex_state = 7, .external_lex_state = 3},
  [623] = {.lex_state = 4, .external_lex_state = 2},
  [624] = {.lex_state = 6, .external_lex_state = 2},
  [625] = {.lex_state = 6, .external_lex_state = 2},
  [626] = {.lex_state = 6, .external_lex_state = 2},
  [627] = {.lex_state = 6, .external_lex_state = 2},
  [628] = {.lex_state = 6, .external_lex_state = 2},
  [629] = {.lex_state = 8, .external_lex_state = 2},
  [630] = {.lex_state = 8, .external_lex_state = 2},
  [631] = {.lex_state = 8, .external_lex_state = 2},
  [632] = {.lex_state = 8, .external_lex_state = 2},
  [633] = {.lex_state = 8, .external_lex_state = 2},
  [634] = {.lex_state = 6, .external_lex_state = 2},
  [635] = {.lex_state = 6, .external_lex_state = 2},
  [636] = {.lex_state = 95, .external_lex_state = 2},
  [637] = {.lex_state = 8, .external_lex_state = 2},
  [638] = {.lex_state = 95, .external_lex_state = 2},
  [639] = {.lex_state = 8, .external_lex_state = 2},
  [640] = {.lex_state = 6, .external_lex_state = 2},
  [641] = {.lex_state = 6, .external_lex_state = 2},
  [642] = {.lex_state = 8, .external_lex_state = 2},
  [643] = {.lex_state = 6, .external_lex_state = 2},
  [644] = {.lex_state = 7, .external_lex_state = 2},
  [645] = {.lex_state = 7, .external_lex_state = 2},
  [646] = {.lex_state = 10, .external_lex_state = 2},
  [647] = {.lex_state = 7, .external_lex_state = 2},
  [648] = {.lex_state = 7, .external_lex_state = 2},
  [649] = {.lex_state = 7, .external_lex_state = 2},
  [650] = {.lex_state = 10, .external_lex_state = 2},
  [651] = {.lex_state = 7, .external_lex_state = 2},
  [652] = {.lex_state = 7, .external_lex_state = 2},
  [653] = {.lex_state = 10, .external_lex_state = 2},
  [654] = {.lex_state = 7, .external_lex_state = 2},
  [655] = {.lex_state = 10, .external_lex_state = 2},
  [656] = {.lex_state = 7, .external_lex_state = 2},
  [657] = {.lex_state = 7, .external_lex_state = 2},
  [658] = {.lex_state = 10, .external_lex_state = 2},
  [659] = {.lex_state = 6, .external_lex_state = 2},
  [660] = {.lex_state = 7, .external_lex_state = 2},
  [661] = {.lex_state = 10, .external_lex_state = 2},
  [662] = {.lex_state = 7, .external_lex_state = 2},
  [663] = {.lex_state = 10, .external_lex_state = 2},
  [664] = {.lex_state = 7, .external_lex_state = 2},
  [665] = {.lex_state = 10, .external_lex_state = 2},
  [666] = {.lex_state = 10, .external_lex_state = 2},
  [667] = {.lex_state = 7, .external_lex_state = 2},
  [668] = {.lex_state = 10, .external_lex_state = 2},
  [669] = {.lex_state = 10, .external_lex_state = 2},
  [670] = {.lex_state = 10, .external_lex_state = 2},
  [671] = {.lex_state = 10, .external_lex_state = 2},
  [672] = {.lex_state = 6, .external_lex_state = 2},
  [673] = {.lex_state = 10, .external_lex_state = 2},
  [674] = {.lex_state = 7, .external_lex_state = 3},
  [675] = {.lex_state = 3, .external_lex_state = 3},
  [676] = {.lex_state = 7, .external_lex_state = 3},
  [677] = {.lex_state = 7, .external_lex_state = 3},
  [678] = {.lex_state = 3, .external_lex_state = 2},
  [679] = {.lex_state = 3, .external_lex_state = 2},
  [680] = {.lex_state = 3, .external_lex_state = 2},
  [681] = {.lex_state = 6, .external_lex_state = 2},
  [682] = {.lex_state = 3, .external_lex_state = 2},
  [683] = {.lex_state = 3, .external_lex_state = 3},
  [684] = {.lex_state = 3, .external_lex_state = 2},
  [685] = {.lex_state = 3, .external_lex_state = 2},
  [686] = {.lex_state = 3, .external_lex_state = 2},
  [687] = {.lex_state = 3, .external_lex_state = 2},
  [688] = {.lex_state = 3, .external_lex_state = 2},
  [689] = {.lex_state = 3, .external_lex_state = 2},
  [690] = {.lex_state = 3, .external_lex_state = 2},
  [691] = {.lex_state = 3, .external_lex_state = 3},
  [692] = {.lex_state = 3, .external_lex_state = 2},
  [693] = {.lex_state = 3, .external_lex_state = 2},
  [694] = {.lex_state = 3, .external_lex_state = 2},
  [695] = {.lex_state = 3, .external_lex_state = 2},
  [696] = {.lex_state = 3, .external_lex_state = 2},
  [697] = {.lex_state = 3, .external_lex_state = 2},
  [698] = {.lex_state = 3, .external_lex_state = 2},
  [699] = {.lex_state = 3, .external_lex_state = 3},
  [700] = {.lex_state = 4, .external_lex_state = 2},
  [701] = {.lex_state = 3, .external_lex_state = 2},
  [702] = {.lex_state = 3, .external_lex_state = 2},
  [703] = {.lex_state = 3, .external_lex_state = 2},
  [704] = {.lex_state = 3, .external_lex_state = 2},
  [705] = {.lex_state = 4, .external_lex_state = 2},
  [706] = {.lex_state = 4, .external_lex_state = 2},
  [707] = {.lex_state = 4, .external_lex_state = 2},
  [708] = {.lex_state = 4, .external_lex_state = 2},
  [709] = {.lex_state = 4, .external_lex_state = 2},
  [710] = {.lex_state = 6, .external_lex_state = 3},
  [711] = {.lex_state = 3, .external_lex_state = 3},
  [712] = {.lex_state = 3, .external_lex_state = 3},
  [713] = {.lex_state = 3, .external_lex_state = 3},
  [714] = {.lex_state = 3, .external_lex_state = 3},
  [715] = {.lex_state = 3, .external_lex_state = 2},
  [716] = {.lex_state = 3, .external_lex_state = 2},
  [717] = {.lex_state = 4, .external_lex_state = 2},
  [718] = {.lex_state = 3, .external_lex_state = 3},
  [719] = {.lex_state = 3, .external_lex_state = 3},
  [720] = {.lex_state = 3, .external_lex_state = 3},
  [721] = {.lex_state = 3, .external_lex_state = 3},
  [722] = {.lex_state = 4, .external_lex_state = 2},
  [723] = {.lex_state = 3, .external_lex_state = 3},
  [724] = {.lex_state = 3, .external_lex_state = 2},
  [725] = {.lex_state = 3, .external_lex_state = 2},
  [726] = {.lex_state = 3, .external_lex_state = 3},
  [727] = {.lex_state = 3, .external_lex_state = 2},
  [728] = {.lex_state = 3, .external_lex_state = 2},
  [729] = {.lex_state = 3, .external_lex_state = 2},
  [730] = {.lex_state = 6, .external_lex_state = 3},
  [731] = {.lex_state = 4, .external_lex_state = 2},
  [732] = {.lex_state = 6, .external_lex_state = 3},
  [733] = {.lex_state = 6, .external_lex_state = 3},
  [734] = {.lex_state = 6, .external_lex_state = 3},
  [735] = {.lex_state = 3, .external_lex_state = 2},
  [736] = {.lex_state = 3, .external_lex_state = 2},
  [737] = {.lex_state = 3, .external_lex_state = 2},
  [738] = {.lex_state = 6, .external_lex_state = 3},
  [739] = {.lex_state = 6, .external_lex_state = 3},
  [740] = {.lex_state = 95, .external_lex_state = 2},
  [741] = {.lex_state = 6, .external_lex_state = 3},
  [742] = {.lex_state = 6, .external_lex_state = 3},
  [743] = {.lex_state = 4, .external_lex_state = 2},
  [744] = {.lex_state = 4, .external_lex_state = 2},
  [745] = {.lex_state = 3, .external_lex_state = 2},
  [746] = {.lex_state = 4, .external_lex_state = 2},
  [747] = {.lex_state = 4, .external_lex_state = 2},
  [748] = {.lex_state = 3, .external_lex_state = 2},
  [749] = {.lex_state = 4, .external_lex_state = 2},
  [750] = {.lex_state = 4, .external_lex_state = 2},
  [751] = {.lex_state = 4, .external_lex_state = 2},
  [752] = {.lex_state = 3, .external_lex_state = 2},
  [753] = {.lex_state = 4, .external_lex_state = 2},
  [754] = {.lex_state = 7, .external_lex_state = 3},
  [755] = {.lex_state = 5, .external_lex_state = 2},
  [756] = {.lex_state = 20, .external_lex_state = 2},
  [757] = {.lex_state = 95, .external_lex_state = 2},
  [758] = {.lex_state = 7, .external_lex_state = 3},
  [759] = {.lex_state = 7, .external_lex_state = 3},
  [760] = {.lex_state = 5, .external_lex_state = 2},
  [761] = {.lex_state = 7, .external_lex_state = 3},
  [762] = {.lex_state = 7, .external_lex_state = 3},
  [763] = {.lex_state = 7, .external_lex_state = 3},
  [764] = {.lex_state = 7, .external_lex_state = 3},
  [765] = {.lex_state = 21, .external_lex_state = 2},
  [766] = {.lex_state = 7, .external_lex_state = 3},
  [767] = {.lex_state = 21, .external_lex_state = 2},
  [768] = {.lex_state = 7, .external_lex_state = 3},
  [769] = {.lex_state = 7, .external_lex_state = 3},
  [770] = {.lex_state = 7, .external_lex_state = 3},
  [771] = {.lex_state = 7, .external_lex_state = 3},
  [772] = {.lex_state = 7, .external_lex_state = 3},
  [773] = {.lex_state = 7, .external_lex_state = 3},
  [774] = {.lex_state = 4, .external_lex_state = 2},
  [775] = {.lex_state = 4, .external_lex_state = 2},
  [776] = {.lex_state = 4, .external_lex_state = 2},
  [777] = {.lex_state = 4, .external_lex_state = 2},
  [778] = {.lex_state = 4, .external_lex_state = 2},
  [779] = {.lex_state = 4, .external_lex_state = 2},
  [780] = {.lex_state = 4, .external_lex_state = 2},
  [781] = {.lex_state = 4, .external_lex_state = 2},
  [782] = {.lex_state = 4, .external_lex_state = 2},
  [783] = {.lex_state = 4, .external_lex_state = 2},
  [784] = {.lex_state = 95, .external_lex_state = 2},
  [785] = {.lex_state = 4, .external_lex_state = 2},
  [786] = {.lex_state = 4, .external_lex_state = 2},
  [787] = {.lex_state = 95, .external_lex_state = 2},
  [788] = {.lex_state = 4, .external_lex_state = 2},
  [789] = {.lex_state = 4, .external_lex_state = 2},
  [790] = {.lex_state = 4, .external_lex_state = 2},
  [791] = {.lex_state = 9, .external_lex_state = 2},
  [792] = {.lex_state = 4, .external_lex_state = 2},
  [793] = {.lex_state = 4, .external_lex_state = 2},
  [794] = {.lex_state = 21, .external_lex_state = 2},
  [795] = {.lex_state = 20, .external_lex_state = 2},
  [796] = {.lex_state = 20, .external_lex_state = 2},
  [797] = {.lex_state = 21, .external_lex_state = 2},
  [798] = {.lex_state = 20, .external_lex_state = 2},
  [799] = {.lex_state = 21, .external_lex_state = 2},
  [800] = {.lex_state = 21, .external_lex_state = 2},
  [801] = {.lex_state = 9, .external_lex_state = 2},
  [802] = {.lex_state = 21, .external_lex_state = 2},
  [803] = {.lex_state = 20, .external_lex_state = 2},
  [804] = {.lex_state = 21, .external_lex_state = 2},
  [805] = {.lex_state = 9, .external_lex_state = 2},
  [806] = {.lex_state = 20, .external_lex_state = 2},
  [807] = {.lex_state = 9, .external_lex_state = 2},
  [808] = {.lex_state = 21, .external_lex_state = 2},
  [809] = {.lex_state = 20, .external_lex_state = 2},
  [810] = {.lex_state = 20, .external_lex_state = 2},
  [811] = {.lex_state = 20, .external_lex_state = 2},
  [812] = {.lex_state = 9, .external_lex_state = 2},
  [813] = {.lex_state = 3, .external_lex_state = 2},
  [814] = {.lex_state = 20, .external_lex_state = 2},
  [815] = {.lex_state = 9, .external_lex_state = 2},
  [816] = {.lex_state = 20, .external_lex_state = 2},
  [817] = {.lex_state = 21, .external_lex_state = 2},
  [818] = {.lex_state = 21, .external_lex_state = 2},
  [819] = {.lex_state = 9, .external_lex_state = 2},
  [820] = {.lex_state = 21, .external_lex_state = 2},
  [821] = {.lex_state = 21, .external_lex_state = 2},
  [822] = {.lex_state = 9, .external_lex_state = 2},
  [823] = {.lex_state = 20, .external_lex_state = 2},
  [824] = {.lex_state = 9, .external_lex_state = 2},
  [825] = {.lex_state = 18, .external_lex_state = 2},
  [826] = {.lex_state = 3, .external_lex_state = 3},
  [827] = {.lex_state = 3, .external_lex_state = 3},
  [828] = {.lex_state = 3, .external_lex_state = 2},
  [829] = {.lex_state = 3, .external_lex_state = 3},
  [830] = {.lex_state = 95, .external_lex_state = 2},
  [831] = {.lex_state = 18, .external_lex_state = 2},
  [832] = {.lex_state = 3, .external_lex_state = 3},
  [833] = {.lex_state = 3, .external_lex_state = 2},
  [834] = {.lex_state = 25, .external_lex_state = 2},
  [835] = {.lex_state = 3, .external_lex_state = 3},
  [836] = {.lex_state = 25, .external_lex_state = 2},
  [837] = {.lex_state = 3, .external_lex_state = 3},
  [838] = {.lex_state = 3, .external_lex_state = 2},
  [839] = {.lex_state = 3, .external_lex_state = 3},
  [840] = {.lex_state = 3, .external_lex_state = 3},
  [841] = {.lex_state = 95, .external_lex_state = 2},
  [842] = {.lex_state = 3, .external_lex_state = 3},
  [843] = {.lex_state = 3, .external_lex_state = 3},
  [844] = {.lex_state = 3, .external_lex_state = 3},
  [845] = {.lex_state = 95, .external_lex_state = 2},
  [846] = {.lex_state = 3, .external_lex_state = 3},
  [847] = {.lex_state = 3, .external_lex_state = 3},
  [848] = {.lex_state = 3, .external_lex_state = 3},
  [849] = {.lex_state = 3, .external_lex_state = 2},
  [850] = {.lex_state = 3, .external_lex_state = 2},
  [851] = {.lex_state = 3, .external_lex_state = 2},
  [852] = {.lex_state = 3, .external_lex_state = 2},
  [853] = {.lex_state = 95, .external_lex_state = 2},
  [854] = {.lex_state = 3, .external_lex_state = 2},
  [855] = {.lex_state = 3, .external_lex_state = 2},
  [856] = {.lex_state = 3, .external_lex_state = 2},
  [857] = {.lex_state = 3, .external_lex_state = 2},
  [858] = {.lex_state = 3, .external_lex_state = 2},
  [859] = {.lex_state = 3, .external_lex_state = 3},
  [860] = {.lex_state = 3, .external_lex_state = 3},
  [861] = {.lex_state = 3, .external_lex_state = 2},
  [862] = {.lex_state = 3, .external_lex_state = 3},
  [863] = {.lex_state = 3, .external_lex_state = 2},
  [864] = {.lex_state = 3, .external_lex_state = 2},
  [865] = {.lex_state = 4, .external_lex_state = 2},
  [866] = {.lex_state = 20, .external_lex_state = 3},
  [867] = {.lex_state = 3, .external_lex_state = 2},
  [868] = {.lex_state = 4, .external_lex_state = 2},
  [869] = {.lex_state = 3, .external_lex_state = 2},
  [870] = {.lex_state = 4, .external_lex_state = 2},
  [871] = {.lex_state = 3, .external_lex_state = 2},
  [872] = {.lex_state = 3, .external_lex_state = 2},
  [873] = {.lex_state = 95, .external_lex_state = 2},
  [874] = {.lex_state = 4, .external_lex_state = 2},
  [875] = {.lex_state = 20, .external_lex_state = 2},
  [876] = {.lex_state = 95, .external_lex_state = 2},
  [877] = {.lex_state = 3, .external_lex_state = 2},
  [878] = {.lex_state = 20, .external_lex_state = 2},
  [879] = {.lex_state = 3, .external_lex_state = 2},
  [880] = {.lex_state = 4, .external_lex_state = 2},
  [881] = {.lex_state = 3, .external_lex_state = 2},
  [882] = {.lex_state = 4, .external_lex_state = 2},
  [883] = {.lex_state = 4, .external_lex_state = 2},
  [884] = {.lex_state = 3, .external_lex_state = 3},
  [885] = {.lex_state = 5, .external_lex_state = 2},
  [886] = {.lex_state = 19, .external_lex_state = 2},
  [887] = {.lex_state = 3, .external_lex_state = 2},
  [888] = {.lex_state = 4, .external_lex_state = 2},
  [889] = {.lex_state = 4, .external_lex_state = 2},
  [890] = {.lex_state = 3, .external_lex_state = 2},
  [891] = {.lex_state = 4, .external_lex_state = 2},
  [892] = {.lex_state = 3, .external_lex_state = 3},
  [893] = {.lex_state = 3, .external_lex_state = 2},
  [894] = {.lex_state = 4, .external_lex_state = 2},
  [895] = {.lex_state = 5, .external_lex_state = 2},
  [896] = {.lex_state = 4, .external_lex_state = 2},
  [897] = {.lex_state = 4, .external_lex_state = 2},
  [898] = {.lex_state = 4, .external_lex_state = 2},
  [899] = {.lex_state = 3, .external_lex_state = 2},
  [900] = {.lex_state = 95, .external_lex_state = 2},
  [901] = {.lex_state = 5, .external_lex_state = 2},
  [902] = {.lex_state = 3, .external_lex_state = 3},
  [903] = {.lex_state = 3, .external_lex_state = 3},
  [904] = {.lex_state = 5, .external_lex_state = 2},
  [905] = {.lex_state = 3, .external_lex_state = 3},
  [906] = {.lex_state = 3, .external_lex_state = 2},
  [907] = {.lex_state = 19, .external_lex_state = 2},
  [908] = {.lex_state = 3, .external_lex_state = 3},
  [909] = {.lex_state = 3, .external_lex_state = 2},
  [910] = {.lex_state = 3, .external_lex_state = 3},
  [911] = {.lex_state = 3, .external_lex_state = 3},
  [912] = {.lex_state = 3, .external_lex_state = 3},
  [913] = {.lex_state = 3, .external_lex_state = 2},
  [914] = {.lex_state = 95, .external_lex_state = 2},
  [915] = {.lex_state = 4, .external_lex_state = 2},
  [916] = {.lex_state = 3, .external_lex_state = 3},
  [917] = {.lex_state = 3, .external_lex_state = 3},
  [918] = {.lex_state = 3, .external_lex_state = 3},
  [919] = {.lex_state = 3, .external_lex_state = 3},
  [920] = {.lex_state = 3, .external_lex_state = 3},
  [921] = {.lex_state = 3, .external_lex_state = 2},
  [922] = {.lex_state = 3, .external_lex_state = 3},
  [923] = {.lex_state = 3, .external_lex_state = 3},
  [924] = {.lex_state = 3, .external_lex_state = 2},
  [925] = {.lex_state = 3, .external_lex_state = 3},
  [926] = {.lex_state = 20, .external_lex_state = 3},
  [927] = {.lex_state = 3, .external_lex_state = 2},
  [928] = {.lex_state = 4, .external_lex_state = 2},
  [929] = {.lex_state = 19, .external_lex_state = 2},
  [930] = {.lex_state = 20, .external_lex_state = 3},
  [931] = {.lex_state = 4, .external_lex_state = 2},
  [932] = {.lex_state = 19, .external_lex_state = 2},
  [933] = {.lex_state = 95, .external_lex_state = 2},
  [934] = {.lex_state = 3, .external_lex_state = 2},
  [935] = {.lex_state = 95, .external_lex_state = 2},
  [936] = {.lex_state = 5, .external_lex_state = 2},
  [937] = {.lex_state = 5, .external_lex_state = 2},
  [938] = {.lex_state = 5, .external_lex_state = 2},
  [939] = {.lex_state = 3, .external_lex_state = 2},
  [940] = {.lex_state = 3, .external_lex_state = 2},
  [941] = {.lex_state = 3, .external_lex_state = 2},
  [942] = {.lex_state = 4, .external_lex_state = 2},
  [943] = {.lex_state = 4, .external_lex_state = 2},
  [944] = {.lex_state = 4, .external_lex_state = 2},
  [945] = {.lex_state = 4, .external_lex_state = 2},
  [946] = {.lex_state = 5, .external_lex_state = 2},
  [947] = {.lex_state = 3, .external_lex_state = 2},
  [948] = {.lex_state = 5, .external_lex_state = 2},
  [949] = {.lex_state = 4, .external_lex_state = 2},
  [950] = {.lex_state = 20, .external_lex_state = 3},
  [951] = {.lex_state = 3, .external_lex_state = 2},
  [952] = {.lex_state = 11, .external_lex_state = 2},
  [953] = {.lex_state = 20, .external_lex_state = 3},
  [954] = {.lex_state = 20, .external_lex_state = 3},
  [955] = {.lex_state = 12, .external_lex_state = 2},
  [956] = {.lex_state = 3, .external_lex_state = 2},
  [957] = {.lex_state = 4, .external_lex_state = 2},
  [958] = {.lex_state = 20, .external_lex_state = 3},
  [959] = {.lex_state = 20, .external_lex_state = 3},
  [960] = {.lex_state = 20, .external_lex_state = 3},
  [961] = {.lex_state = 20, .external_lex_state = 3},
  [962] = {.lex_state = 4, .external_lex_state = 2},
  [963] = {.lex_state = 3, .external_lex_state = 2},
  [964] = {.lex_state = 20, .external_lex_state = 3},
  [965] = {.lex_state = 20, .external_lex_state = 3},
  [966] = {.lex_state = 3, .external_lex_state = 2},
  [967] = {.lex_state = 3, .external_lex_state = 2},
  [968] = {.lex_state = 11, .external_lex_state = 2},
  [969] = {.lex_state = 3, .external_lex_state = 2},
  [970] = {.lex_state = 3, .external_lex_state = 2},
  [971] = {.lex_state = 3, .external_lex_state = 2},
  [972] = {.lex_state = 3, .external_lex_state = 2},
  [973] = {.lex_state = 4, .external_lex_state = 2},
  [974] = {.lex_state = 3, .external_lex_state = 2},
  [975] = {.lex_state = 4, .external_lex_state = 2},
  [976] = {.lex_state = 3, .external_lex_state = 2},
  [977] = {.lex_state = 3, .external_lex_state = 2},
  [978] = {.lex_state = 3, .external_lex_state = 2},
  [979] = {.lex_state = 12, .external_lex_state = 2},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 3, .external_lex_state = 2},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 12, .external_lex_state = 2},
  [984] = {.lex_state = 11, .external_lex_state = 2},
  [985] = {.lex_state = 12, .external_lex_state = 2},
  [986] = {.lex_state = 4, .external_lex_state = 2},
  [987] = {.lex_state = 4, .external_lex_state = 2},
  [988] = {.lex_state = 4, .external_lex_state = 2},
  [989] = {.lex_state = 18, .external_lex_state = 3},
  [990] = {.lex_state = 4, .external_lex_state = 2},
  [991] = {.lex_state = 4, .external_lex_state = 2},
  [992] = {.lex_state = 4, .external_lex_state = 2},
  [993] = {.lex_state = 4, .external_lex_state = 2},
  [994] = {.lex_state = 4, .external_lex_state = 2},
  [995] = {.lex_state = 4, .external_lex_state = 2},
  [996] = {.lex_state = 3, .external_lex_state = 2},
  [997] = {.lex_state = 4, .external_lex_state = 2},
  [998] = {.lex_state = 11, .external_lex_state = 2},
  [999] = {.lex_state = 3, .external_lex_state = 2},
  [1000] = {.lex_state = 3, .external_lex_state = 2},
  [1001] = {.lex_state = 4, .external_lex_state = 2},
  [1002] = {.lex_state = 12, .external_lex_state = 2},
  [1003] = {.lex_state = 4, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 4, .external_lex_state = 2},
  [1006] = {.lex_state = 3, .external_lex_state = 2},
  [1007] = {.lex_state = 3, .external_lex_state = 2},
  [1008] = {.lex_state = 3, .external_lex_state = 2},
  [1009] = {.lex_state = 4, .external_lex_state = 2},
  [1010] = {.lex_state = 11, .external_lex_state = 2},
  [1011] = {.lex_state = 11, .external_lex_state = 2},
  [1012] = {.lex_state = 3, .external_lex_state = 2},
  [1013] = {.lex_state = 4, .external_lex_state = 2},
  [1014] = {.lex_state = 4, .external_lex_state = 2},
  [1015] = {.lex_state = 4, .external_lex_state = 2},
  [1016] = {.lex_state = 4, .external_lex_state = 2},
  [1017] = {.lex_state = 3, .external_lex_state = 2},
  [1018] = {.lex_state = 4, .external_lex_state = 2},
  [1019] = {.lex_state = 3, .external_lex_state = 2},
  [1020] = {.lex_state = 3, .external_lex_state = 2},
  [1021] = {.lex_state = 3, .external_lex_state = 2},
  [1022] = {.lex_state = 4, .external_lex_state = 2},
  [1023] = {.lex_state = 4, .external_lex_state = 2},
  [1024] = {.lex_state = 3, .external_lex_state = 2},
  [1025] = {.lex_state = 4, .external_lex_state = 2},
  [1026] = {.lex_state = 3, .external_lex_state = 2},
  [1027] = {.lex_state = 3, .external_lex_state = 2},
  [1028] = {.lex_state = 18, .external_lex_state = 3},
  [1029] = {.lex_state = 4, .external_lex_state = 2},
  [1030] = {.lex_state = 4, .external_lex_state = 2},
  [1031] = {.lex_state = 3, .external_lex_state = 2},
  [1032] = {.lex_state = 3, .external_lex_state = 2},
  [1033] = {.lex_state = 3, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 3, .external_lex_state = 2},
  [1036] = {.lex_state = 4, .external_lex_state = 2},
  [1037] = {.lex_state = 3, .external_lex_state = 2},
  [1038] = {.lex_state = 4, .external_lex_state = 2},
  [1039] = {.lex_state = 4, .external_lex_state = 2},
  [1040] = {.lex_state = 3, .external_lex_state = 2},
  [1041] = {.lex_state = 3, .external_lex_state = 2},
  [1042] = {.lex_state = 4, .external_lex_state = 2},
  [1043] = {.lex_state = 11, .external_lex_state = 2},
  [1044] = {.lex_state = 11, .external_lex_state = 2},
  [1045] = {.lex_state = 4, .external_lex_state = 2},
  [1046] = {.lex_state = 4, .external_lex_state = 2},
  [1047] = {.lex_state = 3, .external_lex_state = 2},
  [1048] = {.lex_state = 3, .external_lex_state = 2},
  [1049] = {.lex_state = 3, .external_lex_state = 2},
  [1050] = {.lex_state = 3, .external_lex_state = 2},
  [1051] = {.lex_state = 4, .external_lex_state = 2},
  [1052] = {.lex_state = 11, .external_lex_state = 2},
  [1053] = {.lex_state = 3, .external_lex_state = 2},
  [1054] = {.lex_state = 4, .external_lex_state = 2},
  [1055] = {.lex_state = 4, .external_lex_state = 2},
  [1056] = {.lex_state = 4, .external_lex_state = 2},
  [1057] = {.lex_state = 5, .external_lex_state = 2},
  [1058] = {.lex_state = 4, .external_lex_state = 2},
  [1059] = {.lex_state = 4, .external_lex_state = 2},
  [1060] = {.lex_state = 3, .external_lex_state = 2},
  [1061] = {.lex_state = 3, .external_lex_state = 2},
  [1062] = {.lex_state = 3, .external_lex_state = 2},
  [1063] = {.lex_state = 3, .external_lex_state = 2},
  [1064] = {.lex_state = 4, .external_lex_state = 2},
  [1065] = {.lex_state = 4, .external_lex_state = 2},
  [1066] = {.lex_state = 4, .external_lex_state = 2},
  [1067] = {.lex_state = 3, .external_lex_state = 2},
  [1068] = {.lex_state = 3, .external_lex_state = 2},
  [1069] = {.lex_state = 4, .external_lex_state = 2},
  [1070] = {.lex_state = 4, .external_lex_state = 2},
  [1071] = {.lex_state = 4, .external_lex_state = 2},
  [1072] = {.lex_state = 4, .external_lex_state = 2},
  [1073] = {.lex_state = 3, .external_lex_state = 2},
  [1074] = {.lex_state = 3, .external_lex_state = 2},
  [1075] = {.lex_state = 3, .external_lex_state = 2},
  [1076] = {.lex_state = 3, .external_lex_state = 2},
  [1077] = {.lex_state = 3, .external_lex_state = 2},
  [1078] = {.lex_state = 4, .external_lex_state = 2},
  [1079] = {.lex_state = 3, .external_lex_state = 2},
  [1080] = {.lex_state = 4, .external_lex_state = 2},
  [1081] = {.lex_state = 4, .external_lex_state = 2},
  [1082] = {.lex_state = 4, .external_lex_state = 2},
  [1083] = {.lex_state = 4, .external_lex_state = 2},
  [1084] = {.lex_state = 4, .external_lex_state = 2},
  [1085] = {.lex_state = 4, .external_lex_state = 2},
  [1086] = {.lex_state = 4, .external_lex_state = 2},
  [1087] = {.lex_state = 3, .external_lex_state = 2},
  [1088] = {.lex_state = 3, .external_lex_state = 2},
  [1089] = {.lex_state = 3, .external_lex_state = 2},
  [1090] = {.lex_state = 3, .external_lex_state = 2},
  [1091] = {.lex_state = 3, .external_lex_state = 2},
  [1092] = {.lex_state = 3, .external_lex_state = 2},
  [1093] = {.lex_state = 3, .external_lex_state = 2},
  [1094] = {.lex_state = 18, .external_lex_state = 2},
  [1095] = {.lex_state = 3, .external_lex_state = 2},
  [1096] = {.lex_state = 4, .external_lex_state = 2},
  [1097] = {.lex_state = 3, .external_lex_state = 2},
  [1098] = {.lex_state = 4, .external_lex_state = 2},
  [1099] = {.lex_state = 4, .external_lex_state = 2},
  [1100] = {.lex_state = 3, .external_lex_state = 2},
  [1101] = {.lex_state = 3, .external_lex_state = 2},
  [1102] = {.lex_state = 3, .external_lex_state = 2},
  [1103] = {.lex_state = 4, .external_lex_state = 2},
  [1104] = {.lex_state = 4, .external_lex_state = 2},
  [1105] = {.lex_state = 4, .external_lex_state = 2},
  [1106] = {.lex_state = 3, .external_lex_state = 2},
  [1107] = {.lex_state = 3, .external_lex_state = 2},
  [1108] = {.lex_state = 4, .external_lex_state = 2},
  [1109] = {.lex_state = 3, .external_lex_state = 2},
  [1110] = {.lex_state = 3, .external_lex_state = 2},
  [1111] = {.lex_state = 3, .external_lex_state = 2},
  [1112] = {.lex_state = 3, .external_lex_state = 2},
  [1113] = {.lex_state = 3, .external_lex_state = 2},
  [1114] = {.lex_state = 4, .external_lex_state = 2},
  [1115] = {.lex_state = 4, .external_lex_state = 2},
  [1116] = {.lex_state = 4, .external_lex_state = 2},
  [1117] = {.lex_state = 3, .external_lex_state = 2},
  [1118] = {.lex_state = 4, .external_lex_state = 2},
  [1119] = {.lex_state = 4, .external_lex_state = 2},
  [1120] = {.lex_state = 4, .external_lex_state = 2},
  [1121] = {.lex_state = 4, .external_lex_state = 2},
  [1122] = {.lex_state = 4, .external_lex_state = 2},
  [1123] = {.lex_state = 4, .external_lex_state = 2},
  [1124] = {.lex_state = 3, .external_lex_state = 2},
  [1125] = {.lex_state = 4, .external_lex_state = 2},
  [1126] = {.lex_state = 3, .external_lex_state = 2},
  [1127] = {.lex_state = 3, .external_lex_state = 2},
  [1128] = {.lex_state = 18, .external_lex_state = 2},
  [1129] = {.lex_state = 3, .external_lex_state = 2},
  [1130] = {.lex_state = 4, .external_lex_state = 2},
  [1131] = {.lex_state = 4, .external_lex_state = 2},
  [1132] = {.lex_state = 3, .external_lex_state = 2},
  [1133] = {.lex_state = 3, .external_lex_state = 2},
  [1134] = {.lex_state = 4, .external_lex_state = 2},
  [1135] = {.lex_state = 4, .external_lex_state = 2},
  [1136] = {.lex_state = 4, .external_lex_state = 2},
  [1137] = {.lex_state = 5, .external_lex_state = 2},
  [1138] = {.lex_state = 4, .external_lex_state = 2},
  [1139] = {.lex_state = 18, .external_lex_state = 2},
  [1140] = {.lex_state = 4, .external_lex_state = 2},
  [1141] = {.lex_state = 3, .external_lex_state = 2},
  [1142] = {.lex_state = 3, .external_lex_state = 2},
  [1143] = {.lex_state = 25, .external_lex_state = 2},
  [1144] = {.lex_state = 4, .external_lex_state = 2},
  [1145] = {.lex_state = 4, .external_lex_state = 2},
  [1146] = {.lex_state = 25, .external_lex_state = 2},
  [1147] = {.lex_state = 5, .external_lex_state = 2},
  [1148] = {.lex_state = 4, .external_lex_state = 2},
  [1149] = {.lex_state = 5, .external_lex_state = 2},
  [1150] = {.lex_state = 5, .external_lex_state = 2},
  [1151] = {.lex_state = 5, .external_lex_state = 2},
  [1152] = {.lex_state = 5, .external_lex_state = 2},
  [1153] = {.lex_state = 3, .external_lex_state = 2},
  [1154] = {.lex_state = 5, .external_lex_state = 2},
  [1155] = {.lex_state = 5, .external_lex_state = 2},
  [1156] = {.lex_state = 3, .external_lex_state = 2},
  [1157] = {.lex_state = 4, .external_lex_state = 2},
  [1158] = {.lex_state = 3, .external_lex_state = 2},
  [1159] = {.lex_state = 3, .external_lex_state = 2},
  [1160] = {.lex_state = 4, .external_lex_state = 2},
  [1161] = {.lex_state = 3, .external_lex_state = 2},
  [1162] = {.lex_state = 3, .external_lex_state = 2},
  [1163] = {.lex_state = 5, .external_lex_state = 2},
  [1164] = {.lex_state = 3, .external_lex_state = 2},
  [1165] = {.lex_state = 4, .external_lex_state = 2},
  [1166] = {.lex_state = 4, .external_lex_state = 2},
  [1167] = {.lex_state = 4, .external_lex_state = 2},
  [1168] = {.lex_state = 3, .external_lex_state = 2},
  [1169] = {.lex_state = 3, .external_lex_state = 2},
  [1170] = {.lex_state = 4, .external_lex_state = 2},
  [1171] = {.lex_state = 3, .external_lex_state = 2},
  [1172] = {.lex_state = 4, .external_lex_state = 2},
  [1173] = {.lex_state = 4, .external_lex_state = 2},
  [1174] = {.lex_state = 3, .external_lex_state = 2},
  [1175] = {.lex_state = 3, .external_lex_state = 2},
  [1176] = {.lex_state = 3, .external_lex_state = 2},
  [1177] = {.lex_state = 3, .external_lex_state = 2},
  [1178] = {.lex_state = 3, .external_lex_state = 2},
  [1179] = {.lex_state = 3, .external_lex_state = 2},
  [1180] = {.lex_state = 3, .external_lex_state = 2},
  [1181] = {.lex_state = 4, .external_lex_state = 2},
  [1182] = {.lex_state = 4, .external_lex_state = 2},
  [1183] = {.lex_state = 4, .external_lex_state = 2},
  [1184] = {.lex_state = 3, .external_lex_state = 2},
  [1185] = {.lex_state = 4, .external_lex_state = 2},
  [1186] = {.lex_state = 5, .external_lex_state = 2},
  [1187] = {.lex_state = 5, .external_lex_state = 2},
  [1188] = {.lex_state = 5, .external_lex_state = 2},
  [1189] = {.lex_state = 5, .external_lex_state = 2},
  [1190] = {.lex_state = 5, .external_lex_state = 2},
  [1191] = {.lex_state = 5, .external_lex_state = 2},
  [1192] = {.lex_state = 5, .external_lex_state = 2},
  [1193] = {.lex_state = 4, .external_lex_state = 2},
  [1194] = {.lex_state = 3, .external_lex_state = 2},
  [1195] = {.lex_state = 3, .external_lex_state = 2},
  [1196] = {.lex_state = 3, .external_lex_state = 2},
  [1197] = {.lex_state = 3, .external_lex_state = 2},
  [1198] = {.lex_state = 3, .external_lex_state = 2},
  [1199] = {.lex_state = 3, .external_lex_state = 2},
  [1200] = {.lex_state = 3, .external_lex_state = 2},
  [1201] = {.lex_state = 3, .external_lex_state = 2},
  [1202] = {.lex_state = 4, .external_lex_state = 2},
  [1203] = {.lex_state = 18, .external_lex_state = 2},
  [1204] = {.lex_state = 95, .external_lex_state = 2},
  [1205] = {.lex_state = 3, .external_lex_state = 2},
  [1206] = {.lex_state = 4, .external_lex_state = 2},
  [1207] = {.lex_state = 3, .external_lex_state = 2},
  [1208] = {.lex_state = 4, .external_lex_state = 2},
  [1209] = {.lex_state = 4, .external_lex_state = 2},
  [1210] = {.lex_state = 4, .external_lex_state = 2},
  [1211] = {.lex_state = 4, .external_lex_state = 2},
  [1212] = {.lex_state = 4, .external_lex_state = 2},
  [1213] = {.lex_state = 3, .external_lex_state = 2},
  [1214] = {.lex_state = 3, .external_lex_state = 2},
  [1215] = {.lex_state = 4, .external_lex_state = 2},
  [1216] = {.lex_state = 4, .external_lex_state = 2},
  [1217] = {.lex_state = 4, .external_lex_state = 2},
  [1218] = {.lex_state = 4, .external_lex_state = 2},
  [1219] = {.lex_state = 4, .external_lex_state = 2},
  [1220] = {.lex_state = 4, .external_lex_state = 2},
  [1221] = {.lex_state = 3, .external_lex_state = 2},
  [1222] = {.lex_state = 4, .external_lex_state = 2},
  [1223] = {.lex_state = 4, .external_lex_state = 2},
  [1224] = {.lex_state = 4, .external_lex_state = 2},
  [1225] = {.lex_state = 4, .external_lex_state = 2},
  [1226] = {.lex_state = 4, .external_lex_state = 2},
  [1227] = {.lex_state = 4, .external_lex_state = 2},
  [1228] = {.lex_state = 4, .external_lex_state = 2},
  [1229] = {.lex_state = 22, .external_lex_state = 2},
  [1230] = {.lex_state = 19, .external_lex_state = 2},
  [1231] = {.lex_state = 19, .external_lex_state = 2},
  [1232] = {.lex_state = 22, .external_lex_state = 2},
  [1233] = {.lex_state = 19, .external_lex_state = 2},
  [1234] = {.lex_state = 3, .external_lex_state = 3},
  [1235] = {.lex_state = 19, .external_lex_state = 2},
  [1236] = {.lex_state = 19, .external_lex_state = 2},
  [1237] = {.lex_state = 19, .external_lex_state = 2},
  [1238] = {.lex_state = 19, .external_lex_state = 2},
  [1239] = {.lex_state = 96, .external_lex_state = 2},
  [1240] = {.lex_state = 96, .external_lex_state = 2},
  [1241] = {.lex_state = 96, .external_lex_state = 2},
  [1242] = {.lex_state = 22, .external_lex_state = 2},
  [1243] = {.lex_state = 22, .external_lex_state = 2},
  [1244] = {.lex_state = 22, .external_lex_state = 2},
  [1245] = {.lex_state = 3, .external_lex_state = 3},
  [1246] = {.lex_state = 3, .external_lex_state = 3},
  [1247] = {.lex_state = 3, .external_lex_state = 3},
  [1248] = {.lex_state = 22, .external_lex_state = 2},
  [1249] = {.lex_state = 22, .external_lex_state = 2},
  [1250] = {.lex_state = 22, .external_lex_state = 2},
  [1251] = {.lex_state = 22, .external_lex_state = 2},
  [1252] = {.lex_state = 19, .external_lex_state = 2},
  [1253] = {.lex_state = 22, .external_lex_state = 2},
  [1254] = {.lex_state = 3, .external_lex_state = 3},
  [1255] = {.lex_state = 22, .external_lex_state = 2},
  [1256] = {.lex_state = 19, .external_lex_state = 2},
  [1257] = {.lex_state = 19, .external_lex_state = 2},
  [1258] = {.lex_state = 19, .external_lex_state = 2},
  [1259] = {.lex_state = 19, .external_lex_state = 2},
  [1260] = {.lex_state = 19, .external_lex_state = 2},
  [1261] = {.lex_state = 19, .external_lex_state = 2},
  [1262] = {.lex_state = 23, .external_lex_state = 2},
  [1263] = {.lex_state = 3, .external_lex_state = 2},
  [1264] = {.lex_state = 3, .external_lex_state = 3},
  [1265] = {.lex_state = 23, .external_lex_state = 2},
  [1266] = {.lex_state = 3, .external_lex_state = 3},
  [1267] = {.lex_state = 21, .external_lex_state = 2},
  [1268] = {.lex_state = 3, .external_lex_state = 3},
  [1269] = {.lex_state = 20, .external_lex_state = 2},
  [1270] = {.lex_state = 23, .external_lex_state = 2},
  [1271] = {.lex_state = 21, .external_lex_state = 2},
  [1272] = {.lex_state = 20, .external_lex_state = 2},
  [1273] = {.lex_state = 21, .external_lex_state = 2},
  [1274] = {.lex_state = 23, .external_lex_state = 2},
  [1275] = {.lex_state = 3, .external_lex_state = 3},
  [1276] = {.lex_state = 3, .external_lex_state = 3},
  [1277] = {.lex_state = 3, .external_lex_state = 3},
  [1278] = {.lex_state = 23, .external_lex_state = 2},
  [1279] = {.lex_state = 23, .external_lex_state = 2},
  [1280] = {.lex_state = 23, .external_lex_state = 2},
  [1281] = {.lex_state = 3, .external_lex_state = 3},
  [1282] = {.lex_state = 3, .external_lex_state = 3},
  [1283] = {.lex_state = 23, .external_lex_state = 2},
  [1284] = {.lex_state = 23, .external_lex_state = 2},
  [1285] = {.lex_state = 23, .external_lex_state = 2},
  [1286] = {.lex_state = 20, .external_lex_state = 2},
  [1287] = {.lex_state = 23, .external_lex_state = 2},
  [1288] = {.lex_state = 23, .external_lex_state = 2},
  [1289] = {.lex_state = 23, .external_lex_state = 2},
  [1290] = {.lex_state = 23, .external_lex_state = 2},
  [1291] = {.lex_state = 3, .external_lex_state = 3},
  [1292] = {.lex_state = 23, .external_lex_state = 2},
  [1293] = {.lex_state = 23, .external_lex_state = 2},
  [1294] = {.lex_state = 23, .external_lex_state = 2},
  [1295] = {.lex_state = 23, .external_lex_state = 2},
  [1296] = {.lex_state = 3, .external_lex_state = 3},
  [1297] = {.lex_state = 23, .external_lex_state = 2},
  [1298] = {.lex_state = 11, .external_lex_state = 3},
  [1299] = {.lex_state = 20, .external_lex_state = 2},
  [1300] = {.lex_state = 3, .external_lex_state = 3},
  [1301] = {.lex_state = 3, .external_lex_state = 3},
  [1302] = {.lex_state = 3, .external_lex_state = 3},
  [1303] = {.lex_state = 3, .external_lex_state = 3},
  [1304] = {.lex_state = 3, .external_lex_state = 3},
  [1305] = {.lex_state = 3, .external_lex_state = 3},
  [1306] = {.lex_state = 3, .external_lex_state = 3},
  [1307] = {.lex_state = 3, .external_lex_state = 3},
  [1308] = {.lex_state = 3, .external_lex_state = 3},
  [1309] = {.lex_state = 11, .external_lex_state = 3},
  [1310] = {.lex_state = 3, .external_lex_state = 3},
  [1311] = {.lex_state = 11, .external_lex_state = 3},
  [1312] = {.lex_state = 20, .external_lex_state = 2},
  [1313] = {.lex_state = 95, .external_lex_state = 2},
  [1314] = {.lex_state = 11, .external_lex_state = 3},
  [1315] = {.lex_state = 11, .external_lex_state = 3},
  [1316] = {.lex_state = 3, .external_lex_state = 3},
  [1317] = {.lex_state = 3, .external_lex_state = 3},
  [1318] = {.lex_state = 3, .external_lex_state = 3},
  [1319] = {.lex_state = 3, .external_lex_state = 3},
  [1320] = {.lex_state = 3, .external_lex_state = 3},
  [1321] = {.lex_state = 3, .external_lex_state = 3},
  [1322] = {.lex_state = 3, .external_lex_state = 3},
  [1323] = {.lex_state = 3, .external_lex_state = 3},
  [1324] = {.lex_state = 3, .external_lex_state = 3},
  [1325] = {.lex_state = 3, .external_lex_state = 3},
  [1326] = {.lex_state = 3, .external_lex_state = 3},
  [1327] = {.lex_state = 3, .external_lex_state = 3},
  [1328] = {.lex_state = 3, .external_lex_state = 3},
  [1329] = {.lex_state = 3, .external_lex_state = 3},
  [1330] = {.lex_state = 11, .external_lex_state = 3},
  [1331] = {.lex_state = 3, .external_lex_state = 3},
  [1332] = {.lex_state = 11, .external_lex_state = 3},
  [1333] = {.lex_state = 11, .external_lex_state = 3},
  [1334] = {.lex_state = 21, .external_lex_state = 2},
  [1335] = {.lex_state = 18, .external_lex_state = 2},
  [1336] = {.lex_state = 20, .external_lex_state = 2},
  [1337] = {.lex_state = 95, .external_lex_state = 2},
  [1338] = {.lex_state = 3, .external_lex_state = 2},
  [1339] = {.lex_state = 3, .external_lex_state = 3},
  [1340] = {.lex_state = 11, .external_lex_state = 3},
  [1341] = {.lex_state = 3, .external_lex_state = 2},
  [1342] = {.lex_state = 3, .external_lex_state = 3},
  [1343] = {.lex_state = 3, .external_lex_state = 3},
  [1344] = {.lex_state = 3, .external_lex_state = 3},
  [1345] = {.lex_state = 95, .external_lex_state = 2},
  [1346] = {.lex_state = 3, .external_lex_state = 3},
  [1347] = {.lex_state = 18, .external_lex_state = 2},
  [1348] = {.lex_state = 3, .external_lex_state = 3},
  [1349] = {.lex_state = 3, .external_lex_state = 3},
  [1350] = {.lex_state = 3, .external_lex_state = 3},
  [1351] = {.lex_state = 3, .external_lex_state = 3},
  [1352] = {.lex_state = 3, .external_lex_state = 3},
  [1353] = {.lex_state = 3, .external_lex_state = 3},
  [1354] = {.lex_state = 3, .external_lex_state = 3},
  [1355] = {.lex_state = 3, .external_lex_state = 3},
  [1356] = {.lex_state = 3, .external_lex_state = 3},
  [1357] = {.lex_state = 3, .external_lex_state = 3},
  [1358] = {.lex_state = 3, .external_lex_state = 3},
  [1359] = {.lex_state = 3, .external_lex_state = 3},
  [1360] = {.lex_state = 3, .external_lex_state = 3},
  [1361] = {.lex_state = 21, .external_lex_state = 2},
  [1362] = {.lex_state = 3, .external_lex_state = 3},
  [1363] = {.lex_state = 3, .external_lex_state = 2},
  [1364] = {.lex_state = 3, .external_lex_state = 2},
  [1365] = {.lex_state = 3, .external_lex_state = 3},
  [1366] = {.lex_state = 3, .external_lex_state = 3},
  [1367] = {.lex_state = 3, .external_lex_state = 3},
  [1368] = {.lex_state = 3, .external_lex_state = 3},
  [1369] = {.lex_state = 3, .external_lex_state = 3},
  [1370] = {.lex_state = 3, .external_lex_state = 3},
  [1371] = {.lex_state = 21, .external_lex_state = 2},
  [1372] = {.lex_state = 21, .external_lex_state = 2},
  [1373] = {.lex_state = 21, .external_lex_state = 2},
  [1374] = {.lex_state = 21, .external_lex_state = 2},
  [1375] = {.lex_state = 3, .external_lex_state = 3},
  [1376] = {.lex_state = 20, .external_lex_state = 2},
  [1377] = {.lex_state = 21, .external_lex_state = 2},
  [1378] = {.lex_state = 20, .external_lex_state = 2},
  [1379] = {.lex_state = 21, .external_lex_state = 2},
  [1380] = {.lex_state = 21, .external_lex_state = 2},
  [1381] = {.lex_state = 3, .external_lex_state = 3},
  [1382] = {.lex_state = 3, .external_lex_state = 3},
  [1383] = {.lex_state = 3, .external_lex_state = 3},
  [1384] = {.lex_state = 3, .external_lex_state = 3},
  [1385] = {.lex_state = 3, .external_lex_state = 3},
  [1386] = {.lex_state = 3, .external_lex_state = 3},
  [1387] = {.lex_state = 20, .external_lex_state = 2},
  [1388] = {.lex_state = 20, .external_lex_state = 2},
  [1389] = {.lex_state = 96, .external_lex_state = 2},
  [1390] = {.lex_state = 3, .external_lex_state = 3},
  [1391] = {.lex_state = 95, .external_lex_state = 2},
  [1392] = {.lex_state = 3, .external_lex_state = 3},
  [1393] = {.lex_state = 3, .external_lex_state = 3},
  [1394] = {.lex_state = 3, .external_lex_state = 3},
  [1395] = {.lex_state = 3, .external_lex_state = 3},
  [1396] = {.lex_state = 3, .external_lex_state = 3},
  [1397] = {.lex_state = 3, .external_lex_state = 3},
  [1398] = {.lex_state = 3, .external_lex_state = 3},
  [1399] = {.lex_state = 20, .external_lex_state = 2},
  [1400] = {.lex_state = 20, .external_lex_state = 2},
  [1401] = {.lex_state = 20, .external_lex_state = 2},
  [1402] = {.lex_state = 20, .external_lex_state = 2},
  [1403] = {.lex_state = 3, .external_lex_state = 3},
  [1404] = {.lex_state = 20, .external_lex_state = 2},
  [1405] = {.lex_state = 3, .external_lex_state = 3},
  [1406] = {.lex_state = 3, .external_lex_state = 3},
  [1407] = {.lex_state = 3, .external_lex_state = 3},
  [1408] = {.lex_state = 21, .external_lex_state = 2},
  [1409] = {.lex_state = 3, .external_lex_state = 3},
  [1410] = {.lex_state = 3, .external_lex_state = 3},
  [1411] = {.lex_state = 3, .external_lex_state = 3},
  [1412] = {.lex_state = 21, .external_lex_state = 2},
  [1413] = {.lex_state = 20, .external_lex_state = 2},
  [1414] = {.lex_state = 20, .external_lex_state = 2},
  [1415] = {.lex_state = 3, .external_lex_state = 3},
  [1416] = {.lex_state = 3, .external_lex_state = 3},
  [1417] = {.lex_state = 3, .external_lex_state = 3},
  [1418] = {.lex_state = 3, .external_lex_state = 3},
  [1419] = {.lex_state = 3, .external_lex_state = 3},
  [1420] = {.lex_state = 3, .external_lex_state = 3},
  [1421] = {.lex_state = 3, .external_lex_state = 3},
  [1422] = {.lex_state = 3, .external_lex_state = 3},
  [1423] = {.lex_state = 3, .external_lex_state = 3},
  [1424] = {.lex_state = 3, .external_lex_state = 3},
  [1425] = {.lex_state = 3, .external_lex_state = 3},
  [1426] = {.lex_state = 3, .external_lex_state = 3},
  [1427] = {.lex_state = 3, .external_lex_state = 3},
  [1428] = {.lex_state = 3, .external_lex_state = 3},
  [1429] = {.lex_state = 3, .external_lex_state = 3},
  [1430] = {.lex_state = 3, .external_lex_state = 3},
  [1431] = {.lex_state = 3, .external_lex_state = 3},
  [1432] = {.lex_state = 3, .external_lex_state = 3},
  [1433] = {.lex_state = 21, .external_lex_state = 2},
  [1434] = {.lex_state = 21, .external_lex_state = 2},
  [1435] = {.lex_state = 21, .external_lex_state = 2},
  [1436] = {.lex_state = 3, .external_lex_state = 3},
  [1437] = {.lex_state = 3, .external_lex_state = 3},
  [1438] = {.lex_state = 3, .external_lex_state = 3},
  [1439] = {.lex_state = 3, .external_lex_state = 3},
  [1440] = {.lex_state = 3, .external_lex_state = 3},
  [1441] = {.lex_state = 3, .external_lex_state = 3},
  [1442] = {.lex_state = 3, .external_lex_state = 3},
  [1443] = {.lex_state = 3, .external_lex_state = 3},
  [1444] = {.lex_state = 3, .external_lex_state = 3},
  [1445] = {.lex_state = 3, .external_lex_state = 3},
  [1446] = {.lex_state = 3, .external_lex_state = 3},
  [1447] = {.lex_state = 18, .external_lex_state = 3},
  [1448] = {.lex_state = 3, .external_lex_state = 3},
  [1449] = {.lex_state = 3, .external_lex_state = 3},
  [1450] = {.lex_state = 3, .external_lex_state = 3},
  [1451] = {.lex_state = 3, .external_lex_state = 3},
  [1452] = {.lex_state = 3, .external_lex_state = 3},
  [1453] = {.lex_state = 3, .external_lex_state = 3},
  [1454] = {.lex_state = 3, .external_lex_state = 3},
  [1455] = {.lex_state = 20, .external_lex_state = 2},
  [1456] = {.lex_state = 21, .external_lex_state = 2},
  [1457] = {.lex_state = 20, .external_lex_state = 2},
  [1458] = {.lex_state = 20, .external_lex_state = 2},
  [1459] = {.lex_state = 3, .external_lex_state = 3},
  [1460] = {.lex_state = 3, .external_lex_state = 3},
  [1461] = {.lex_state = 3, .external_lex_state = 3},
  [1462] = {.lex_state = 3, .external_lex_state = 3},
  [1463] = {.lex_state = 3, .external_lex_state = 3},
  [1464] = {.lex_state = 3, .external_lex_state = 3},
  [1465] = {.lex_state = 3, .external_lex_state = 3},
  [1466] = {.lex_state = 20, .external_lex_state = 2},
  [1467] = {.lex_state = 3, .external_lex_state = 3},
  [1468] = {.lex_state = 3, .external_lex_state = 3},
  [1469] = {.lex_state = 3, .external_lex_state = 3},
  [1470] = {.lex_state = 21, .external_lex_state = 2},
  [1471] = {.lex_state = 21, .external_lex_state = 2},
  [1472] = {.lex_state = 21, .external_lex_state = 2},
  [1473] = {.lex_state = 21, .external_lex_state = 2},
  [1474] = {.lex_state = 20, .external_lex_state = 2},
  [1475] = {.lex_state = 20, .external_lex_state = 2},
  [1476] = {.lex_state = 3, .external_lex_state = 3},
  [1477] = {.lex_state = 3, .external_lex_state = 3},
  [1478] = {.lex_state = 18, .external_lex_state = 3},
  [1479] = {.lex_state = 3, .external_lex_state = 3},
  [1480] = {.lex_state = 3, .external_lex_state = 3},
  [1481] = {.lex_state = 17, .external_lex_state = 2},
  [1482] = {.lex_state = 96, .external_lex_state = 2},
  [1483] = {.lex_state = 18, .external_lex_state = 2},
  [1484] = {.lex_state = 95, .external_lex_state = 2},
  [1485] = {.lex_state = 21, .external_lex_state = 2},
  [1486] = {.lex_state = 95, .external_lex_state = 2},
  [1487] = {.lex_state = 95, .external_lex_state = 2},
  [1488] = {.lex_state = 95, .external_lex_state = 2},
  [1489] = {.lex_state = 95, .external_lex_state = 2},
  [1490] = {.lex_state = 95, .external_lex_state = 2},
  [1491] = {.lex_state = 20, .external_lex_state = 2},
  [1492] = {.lex_state = 20, .external_lex_state = 2},
  [1493] = {.lex_state = 13, .external_lex_state = 2},
  [1494] = {.lex_state = 95, .external_lex_state = 2},
  [1495] = {.lex_state = 20, .external_lex_state = 2},
  [1496] = {.lex_state = 20, .external_lex_state = 2},
  [1497] = {.lex_state = 21, .external_lex_state = 2},
  [1498] = {.lex_state = 21, .external_lex_state = 2},
  [1499] = {.lex_state = 21, .external_lex_state = 2},
  [1500] = {.lex_state = 95, .external_lex_state = 2},
  [1501] = {.lex_state = 17, .external_lex_state = 2},
  [1502] = {.lex_state = 20, .external_lex_state = 2},
  [1503] = {.lex_state = 95, .external_lex_state = 2},
  [1504] = {.lex_state = 21, .external_lex_state = 2},
  [1505] = {.lex_state = 21, .external_lex_state = 2},
  [1506] = {.lex_state = 20, .external_lex_state = 2},
  [1507] = {.lex_state = 13, .external_lex_state = 2},
  [1508] = {.lex_state = 20, .external_lex_state = 2},
  [1509] = {.lex_state = 21, .external_lex_state = 2},
  [1510] = {.lex_state = 20, .external_lex_state = 2},
  [1511] = {.lex_state = 21, .external_lex_state = 2},
  [1512] = {.lex_state = 13, .external_lex_state = 2},
  [1513] = {.lex_state = 13, .external_lex_state = 2},
  [1514] = {.lex_state = 21, .external_lex_state = 2},
  [1515] = {.lex_state = 13, .external_lex_state = 2},
  [1516] = {.lex_state = 18, .external_lex_state = 3},
  [1517] = {.lex_state = 21, .external_lex_state = 2},
  [1518] = {.lex_state = 20, .external_lex_state = 2},
  [1519] = {.lex_state = 13, .external_lex_state = 2},
  [1520] = {.lex_state = 21, .external_lex_state = 2},
  [1521] = {.lex_state = 95, .external_lex_state = 2},
  [1522] = {.lex_state = 20, .external_lex_state = 2},
  [1523] = {.lex_state = 20, .external_lex_state = 2},
  [1524] = {.lex_state = 95, .external_lex_state = 2},
  [1525] = {.lex_state = 21, .external_lex_state = 2},
  [1526] = {.lex_state = 95, .external_lex_state = 2},
  [1527] = {.lex_state = 20, .external_lex_state = 2},
  [1528] = {.lex_state = 20, .external_lex_state = 2},
  [1529] = {.lex_state = 5, .external_lex_state = 2},
  [1530] = {.lex_state = 95, .external_lex_state = 2},
  [1531] = {.lex_state = 95, .external_lex_state = 2},
  [1532] = {.lex_state = 20, .external_lex_state = 3},
  [1533] = {.lex_state = 20, .external_lex_state = 3},
  [1534] = {.lex_state = 13, .external_lex_state = 2},
  [1535] = {.lex_state = 13, .external_lex_state = 2},
  [1536] = {.lex_state = 95, .external_lex_state = 2},
  [1537] = {.lex_state = 20, .external_lex_state = 3},
  [1538] = {.lex_state = 20, .external_lex_state = 2},
  [1539] = {.lex_state = 21, .external_lex_state = 2},
  [1540] = {.lex_state = 13, .external_lex_state = 2},
  [1541] = {.lex_state = 21, .external_lex_state = 2},
  [1542] = {.lex_state = 95, .external_lex_state = 2},
  [1543] = {.lex_state = 95, .external_lex_state = 2},
  [1544] = {.lex_state = 5, .external_lex_state = 2},
  [1545] = {.lex_state = 5, .external_lex_state = 2},
  [1546] = {.lex_state = 18, .external_lex_state = 3},
  [1547] = {.lex_state = 20, .external_lex_state = 2},
  [1548] = {.lex_state = 18, .external_lex_state = 3},
  [1549] = {.lex_state = 20, .external_lex_state = 2},
  [1550] = {.lex_state = 29, .external_lex_state = 2},
  [1551] = {.lex_state = 5, .external_lex_state = 2},
  [1552] = {.lex_state = 5, .external_lex_state = 2},
  [1553] = {.lex_state = 20, .external_lex_state = 2},
  [1554] = {.lex_state = 5, .external_lex_state = 2},
  [1555] = {.lex_state = 5, .external_lex_state = 2},
  [1556] = {.lex_state = 21, .external_lex_state = 2},
  [1557] = {.lex_state = 20, .external_lex_state = 2},
  [1558] = {.lex_state = 21, .external_lex_state = 2},
  [1559] = {.lex_state = 20, .external_lex_state = 2},
  [1560] = {.lex_state = 21, .external_lex_state = 2},
  [1561] = {.lex_state = 5, .external_lex_state = 2},
  [1562] = {.lex_state = 21, .external_lex_state = 2},
  [1563] = {.lex_state = 20, .external_lex_state = 2},
  [1564] = {.lex_state = 95, .external_lex_state = 2},
  [1565] = {.lex_state = 95, .external_lex_state = 2},
  [1566] = {.lex_state = 5, .external_lex_state = 2},
  [1567] = {.lex_state = 21, .external_lex_state = 2},
  [1568] = {.lex_state = 3, .external_lex_state = 2},
  [1569] = {.lex_state = 5, .external_lex_state = 2},
  [1570] = {.lex_state = 29, .external_lex_state = 2},
  [1571] = {.lex_state = 21, .external_lex_state = 2},
  [1572] = {.lex_state = 21, .external_lex_state = 2},
  [1573] = {.lex_state = 20, .external_lex_state = 2},
  [1574] = {.lex_state = 20, .external_lex_state = 2},
  [1575] = {.lex_state = 5, .external_lex_state = 2},
  [1576] = {.lex_state = 21, .external_lex_state = 2},
  [1577] = {.lex_state = 20, .external_lex_state = 2},
  [1578] = {.lex_state = 20, .external_lex_state = 2},
  [1579] = {.lex_state = 21, .external_lex_state = 2},
  [1580] = {.lex_state = 3, .external_lex_state = 2},
  [1581] = {.lex_state = 21, .external_lex_state = 2},
  [1582] = {.lex_state = 5, .external_lex_state = 2},
  [1583] = {.lex_state = 5, .external_lex_state = 2},
  [1584] = {.lex_state = 5, .external_lex_state = 2},
  [1585] = {.lex_state = 20, .external_lex_state = 2},
  [1586] = {.lex_state = 5, .external_lex_state = 2},
  [1587] = {.lex_state = 21, .external_lex_state = 2},
  [1588] = {.lex_state = 5, .external_lex_state = 2},
  [1589] = {.lex_state = 21, .external_lex_state = 2},
  [1590] = {.lex_state = 29, .external_lex_state = 2},
  [1591] = {.lex_state = 21, .external_lex_state = 2},
  [1592] = {.lex_state = 20, .external_lex_state = 2},
  [1593] = {.lex_state = 5, .external_lex_state = 2},
  [1594] = {.lex_state = 5, .external_lex_state = 2},
  [1595] = {.lex_state = 5, .external_lex_state = 2},
  [1596] = {.lex_state = 5, .external_lex_state = 2},
  [1597] = {.lex_state = 5, .external_lex_state = 2},
  [1598] = {.lex_state = 21, .external_lex_state = 2},
  [1599] = {.lex_state = 5, .external_lex_state = 2},
  [1600] = {.lex_state = 5, .external_lex_state = 2},
  [1601] = {.lex_state = 21, .external_lex_state = 2},
  [1602] = {.lex_state = 20, .external_lex_state = 2},
  [1603] = {.lex_state = 21, .external_lex_state = 2},
  [1604] = {.lex_state = 5, .external_lex_state = 2},
  [1605] = {.lex_state = 20, .external_lex_state = 2},
  [1606] = {.lex_state = 20, .external_lex_state = 2},
  [1607] = {.lex_state = 5, .external_lex_state = 2},
  [1608] = {.lex_state = 20, .external_lex_state = 2},
  [1609] = {.lex_state = 5, .external_lex_state = 2},
  [1610] = {.lex_state = 5, .external_lex_state = 2},
  [1611] = {.lex_state = 5, .external_lex_state = 2},
  [1612] = {.lex_state = 5, .external_lex_state = 2},
  [1613] = {.lex_state = 5, .external_lex_state = 2},
  [1614] = {.lex_state = 20, .external_lex_state = 2},
  [1615] = {.lex_state = 20, .external_lex_state = 2},
  [1616] = {.lex_state = 20, .external_lex_state = 2},
  [1617] = {.lex_state = 20, .external_lex_state = 2},
  [1618] = {.lex_state = 5, .external_lex_state = 2},
  [1619] = {.lex_state = 29, .external_lex_state = 2},
  [1620] = {.lex_state = 21, .external_lex_state = 2},
  [1621] = {.lex_state = 21, .external_lex_state = 2},
  [1622] = {.lex_state = 5, .external_lex_state = 2},
  [1623] = {.lex_state = 5, .external_lex_state = 2},
  [1624] = {.lex_state = 5, .external_lex_state = 2},
  [1625] = {.lex_state = 5, .external_lex_state = 2},
  [1626] = {.lex_state = 20, .external_lex_state = 2},
  [1627] = {.lex_state = 5, .external_lex_state = 2},
  [1628] = {.lex_state = 20, .external_lex_state = 2},
  [1629] = {.lex_state = 5, .external_lex_state = 2},
  [1630] = {.lex_state = 21, .external_lex_state = 2},
  [1631] = {.lex_state = 21, .external_lex_state = 2},
  [1632] = {.lex_state = 21, .external_lex_state = 2},
  [1633] = {.lex_state = 21, .external_lex_state = 2},
  [1634] = {.lex_state = 21, .external_lex_state = 2},
  [1635] = {.lex_state = 20, .external_lex_state = 2},
  [1636] = {.lex_state = 21, .external_lex_state = 2},
  [1637] = {.lex_state = 21, .external_lex_state = 2},
  [1638] = {.lex_state = 20, .external_lex_state = 2},
  [1639] = {.lex_state = 21, .external_lex_state = 2},
  [1640] = {.lex_state = 20, .external_lex_state = 2},
  [1641] = {.lex_state = 5, .external_lex_state = 2},
  [1642] = {.lex_state = 5, .external_lex_state = 2},
  [1643] = {.lex_state = 5, .external_lex_state = 2},
  [1644] = {.lex_state = 20, .external_lex_state = 2},
  [1645] = {.lex_state = 5, .external_lex_state = 2},
  [1646] = {.lex_state = 20, .external_lex_state = 2},
  [1647] = {.lex_state = 21, .external_lex_state = 2},
  [1648] = {.lex_state = 5, .external_lex_state = 2},
  [1649] = {.lex_state = 21, .external_lex_state = 2},
  [1650] = {.lex_state = 5, .external_lex_state = 2},
  [1651] = {.lex_state = 20, .external_lex_state = 2},
  [1652] = {.lex_state = 21, .external_lex_state = 2},
  [1653] = {.lex_state = 5, .external_lex_state = 2},
  [1654] = {.lex_state = 20, .external_lex_state = 2},
  [1655] = {.lex_state = 18, .external_lex_state = 3},
  [1656] = {.lex_state = 21, .external_lex_state = 2},
  [1657] = {.lex_state = 95, .external_lex_state = 2},
  [1658] = {.lex_state = 5, .external_lex_state = 2},
  [1659] = {.lex_state = 20, .external_lex_state = 2},
  [1660] = {.lex_state = 5, .external_lex_state = 2},
  [1661] = {.lex_state = 5, .external_lex_state = 2},
  [1662] = {.lex_state = 5, .external_lex_state = 2},
  [1663] = {.lex_state = 5, .external_lex_state = 2},
  [1664] = {.lex_state = 5, .external_lex_state = 2},
  [1665] = {.lex_state = 21, .external_lex_state = 2},
  [1666] = {.lex_state = 20, .external_lex_state = 2},
  [1667] = {.lex_state = 21, .external_lex_state = 2},
  [1668] = {.lex_state = 20, .external_lex_state = 2},
  [1669] = {.lex_state = 20, .external_lex_state = 2},
  [1670] = {.lex_state = 95, .external_lex_state = 2},
  [1671] = {.lex_state = 20, .external_lex_state = 2},
  [1672] = {.lex_state = 20, .external_lex_state = 2},
  [1673] = {.lex_state = 21, .external_lex_state = 2},
  [1674] = {.lex_state = 20, .external_lex_state = 2},
  [1675] = {.lex_state = 21, .external_lex_state = 2},
  [1676] = {.lex_state = 20, .external_lex_state = 2},
  [1677] = {.lex_state = 21, .external_lex_state = 2},
  [1678] = {.lex_state = 18, .external_lex_state = 2},
  [1679] = {.lex_state = 20, .external_lex_state = 2},
  [1680] = {.lex_state = 21, .external_lex_state = 2},
  [1681] = {.lex_state = 20, .external_lex_state = 3},
  [1682] = {.lex_state = 21, .external_lex_state = 2},
  [1683] = {.lex_state = 21, .external_lex_state = 2},
  [1684] = {.lex_state = 18, .external_lex_state = 2},
  [1685] = {.lex_state = 20, .external_lex_state = 3},
  [1686] = {.lex_state = 21, .external_lex_state = 2},
  [1687] = {.lex_state = 3, .external_lex_state = 2},
  [1688] = {.lex_state = 20, .external_lex_state = 2},
  [1689] = {.lex_state = 3, .external_lex_state = 2},
  [1690] = {.lex_state = 95, .external_lex_state = 2},
  [1691] = {.lex_state = 21, .external_lex_state = 2},
  [1692] = {.lex_state = 3, .external_lex_state = 2},
  [1693] = {.lex_state = 3, .external_lex_state = 2},
  [1694] = {.lex_state = 20, .external_lex_state = 3},
  [1695] = {.lex_state = 20, .external_lex_state = 3},
  [1696] = {.lex_state = 20, .external_lex_state = 3},
  [1697] = {.lex_state = 3, .external_lex_state = 2},
  [1698] = {.lex_state = 20, .external_lex_state = 3},
  [1699] = {.lex_state = 3, .external_lex_state = 2},
  [1700] = {.lex_state = 20, .external_lex_state = 3},
  [1701] = {.lex_state = 22, .external_lex_state = 2},
  [1702] = {.lex_state = 3, .external_lex_state = 2},
  [1703] = {.lex_state = 22, .external_lex_state = 2},
  [1704] = {.lex_state = 3, .external_lex_state = 2},
  [1705] = {.lex_state = 3, .external_lex_state = 2},
  [1706] = {.lex_state = 3, .external_lex_state = 2},
  [1707] = {.lex_state = 20, .external_lex_state = 3},
  [1708] = {.lex_state = 3, .external_lex_state = 2},
  [1709] = {.lex_state = 3, .external_lex_state = 2},
  [1710] = {.lex_state = 20, .external_lex_state = 3},
  [1711] = {.lex_state = 3, .external_lex_state = 2},
  [1712] = {.lex_state = 20, .external_lex_state = 3},
  [1713] = {.lex_state = 20, .external_lex_state = 3},
  [1714] = {.lex_state = 20, .external_lex_state = 3},
  [1715] = {.lex_state = 20, .external_lex_state = 3},
  [1716] = {.lex_state = 20, .external_lex_state = 3},
  [1717] = {.lex_state = 20, .external_lex_state = 3},
  [1718] = {.lex_state = 20, .external_lex_state = 3},
  [1719] = {.lex_state = 3, .external_lex_state = 2},
  [1720] = {.lex_state = 22, .external_lex_state = 2},
  [1721] = {.lex_state = 20, .external_lex_state = 3},
  [1722] = {.lex_state = 20, .external_lex_state = 3},
  [1723] = {.lex_state = 20, .external_lex_state = 3},
  [1724] = {.lex_state = 95, .external_lex_state = 2},
  [1725] = {.lex_state = 95, .external_lex_state = 2},
  [1726] = {.lex_state = 95, .external_lex_state = 2},
  [1727] = {.lex_state = 95, .external_lex_state = 2},
  [1728] = {.lex_state = 95, .external_lex_state = 2},
  [1729] = {.lex_state = 95, .external_lex_state = 2},
  [1730] = {.lex_state = 95, .external_lex_state = 2},
  [1731] = {.lex_state = 95, .external_lex_state = 2},
  [1732] = {.lex_state = 95, .external_lex_state = 2},
  [1733] = {.lex_state = 95, .external_lex_state = 2},
  [1734] = {.lex_state = 95, .external_lex_state = 2},
  [1735] = {.lex_state = 95, .external_lex_state = 2},
  [1736] = {.lex_state = 95, .external_lex_state = 2},
  [1737] = {.lex_state = 95, .external_lex_state = 2},
  [1738] = {.lex_state = 95, .external_lex_state = 2},
  [1739] = {.lex_state = 95, .external_lex_state = 2},
  [1740] = {.lex_state = 95, .external_lex_state = 2},
  [1741] = {.lex_state = 20, .external_lex_state = 3},
  [1742] = {.lex_state = 95, .external_lex_state = 2},
  [1743] = {.lex_state = 95, .external_lex_state = 2},
  [1744] = {.lex_state = 20, .external_lex_state = 3},
  [1745] = {.lex_state = 20, .external_lex_state = 3},
  [1746] = {.lex_state = 95, .external_lex_state = 2},
  [1747] = {.lex_state = 95, .external_lex_state = 2},
  [1748] = {.lex_state = 95, .external_lex_state = 2},
  [1749] = {.lex_state = 20, .external_lex_state = 3},
  [1750] = {.lex_state = 95, .external_lex_state = 2},
  [1751] = {.lex_state = 95, .external_lex_state = 2},
  [1752] = {.lex_state = 95, .external_lex_state = 2},
  [1753] = {.lex_state = 25, .external_lex_state = 2},
  [1754] = {.lex_state = 18, .external_lex_state = 3},
  [1755] = {.lex_state = 18, .external_lex_state = 3},
  [1756] = {.lex_state = 18, .external_lex_state = 3},
  [1757] = {.lex_state = 20, .external_lex_state = 3},
  [1758] = {.lex_state = 18, .external_lex_state = 3},
  [1759] = {.lex_state = 18, .external_lex_state = 3},
  [1760] = {.lex_state = 18, .external_lex_state = 3},
  [1761] = {.lex_state = 18, .external_lex_state = 3},
  [1762] = {.lex_state = 20, .external_lex_state = 3},
  [1763] = {.lex_state = 20, .external_lex_state = 3},
  [1764] = {.lex_state = 20, .external_lex_state = 3},
  [1765] = {.lex_state = 20, .external_lex_state = 3},
  [1766] = {.lex_state = 20, .external_lex_state = 3},
  [1767] = {.lex_state = 18, .external_lex_state = 3},
  [1768] = {.lex_state = 18, .external_lex_state = 3},
  [1769] = {.lex_state = 18, .external_lex_state = 3},
  [1770] = {.lex_state = 22, .external_lex_state = 2},
  [1771] = {.lex_state = 18, .external_lex_state = 3},
  [1772] = {.lex_state = 20, .external_lex_state = 3},
  [1773] = {.lex_state = 18, .external_lex_state = 3},
  [1774] = {.lex_state = 38, .external_lex_state = 2},
  [1775] = {.lex_state = 20, .external_lex_state = 3},
  [1776] = {.lex_state = 22, .external_lex_state = 2},
  [1777] = {.lex_state = 95, .external_lex_state = 2},
  [1778] = {.lex_state = 20, .external_lex_state = 3},
  [1779] = {.lex_state = 18, .external_lex_state = 3},
  [1780] = {.lex_state = 20, .external_lex_state = 3},
  [1781] = {.lex_state = 22, .external_lex_state = 2},
  [1782] = {.lex_state = 22, .external_lex_state = 2},
  [1783] = {.lex_state = 22, .external_lex_state = 2},
  [1784] = {.lex_state = 22, .external_lex_state = 2},
  [1785] = {.lex_state = 20, .external_lex_state = 3},
  [1786] = {.lex_state = 20, .external_lex_state = 3},
  [1787] = {.lex_state = 20, .external_lex_state = 3},
  [1788] = {.lex_state = 22, .external_lex_state = 2},
  [1789] = {.lex_state = 20, .external_lex_state = 3},
  [1790] = {.lex_state = 22, .external_lex_state = 2},
  [1791] = {.lex_state = 22, .external_lex_state = 2},
  [1792] = {.lex_state = 20, .external_lex_state = 3},
  [1793] = {.lex_state = 38, .external_lex_state = 2},
  [1794] = {.lex_state = 22, .external_lex_state = 2},
  [1795] = {.lex_state = 20, .external_lex_state = 3},
  [1796] = {.lex_state = 20, .external_lex_state = 3},
  [1797] = {.lex_state = 20, .external_lex_state = 3},
  [1798] = {.lex_state = 20, .external_lex_state = 3},
  [1799] = {.lex_state = 20, .external_lex_state = 3},
  [1800] = {.lex_state = 22, .external_lex_state = 2},
  [1801] = {.lex_state = 20, .external_lex_state = 3},
  [1802] = {.lex_state = 22, .external_lex_state = 2},
  [1803] = {.lex_state = 20, .external_lex_state = 3},
  [1804] = {.lex_state = 20, .external_lex_state = 3},
  [1805] = {.lex_state = 22, .external_lex_state = 2},
  [1806] = {.lex_state = 20, .external_lex_state = 3},
  [1807] = {.lex_state = 22, .external_lex_state = 2},
  [1808] = {.lex_state = 20, .external_lex_state = 3},
  [1809] = {.lex_state = 20, .external_lex_state = 3},
  [1810] = {.lex_state = 20, .external_lex_state = 3},
  [1811] = {.lex_state = 20, .external_lex_state = 3},
  [1812] = {.lex_state = 20, .external_lex_state = 3},
  [1813] = {.lex_state = 20, .external_lex_state = 3},
  [1814] = {.lex_state = 20, .external_lex_state = 3},
  [1815] = {.lex_state = 22, .external_lex_state = 2},
  [1816] = {.lex_state = 20, .external_lex_state = 3},
  [1817] = {.lex_state = 20, .external_lex_state = 3},
  [1818] = {.lex_state = 22, .external_lex_state = 2},
  [1819] = {.lex_state = 38, .external_lex_state = 2},
  [1820] = {.lex_state = 20, .external_lex_state = 3},
  [1821] = {.lex_state = 22, .external_lex_state = 2},
  [1822] = {.lex_state = 20, .external_lex_state = 3},
  [1823] = {.lex_state = 20, .external_lex_state = 3},
  [1824] = {.lex_state = 20, .external_lex_state = 3},
  [1825] = {.lex_state = 20, .external_lex_state = 3},
  [1826] = {.lex_state = 22, .external_lex_state = 2},
  [1827] = {.lex_state = 22, .external_lex_state = 2},
  [1828] = {.lex_state = 20, .external_lex_state = 3},
  [1829] = {.lex_state = 20, .external_lex_state = 3},
  [1830] = {.lex_state = 20, .external_lex_state = 3},
  [1831] = {.lex_state = 38, .external_lex_state = 2},
  [1832] = {.lex_state = 22, .external_lex_state = 2},
  [1833] = {.lex_state = 20, .external_lex_state = 3},
  [1834] = {.lex_state = 22, .external_lex_state = 2},
  [1835] = {.lex_state = 20, .external_lex_state = 3},
  [1836] = {.lex_state = 95, .external_lex_state = 2},
  [1837] = {.lex_state = 20, .external_lex_state = 3},
  [1838] = {.lex_state = 20, .external_lex_state = 3},
  [1839] = {.lex_state = 38, .external_lex_state = 2},
  [1840] = {.lex_state = 20, .external_lex_state = 3},
  [1841] = {.lex_state = 20, .external_lex_state = 3},
  [1842] = {.lex_state = 95, .external_lex_state = 2},
  [1843] = {.lex_state = 18, .external_lex_state = 3},
  [1844] = {.lex_state = 20, .external_lex_state = 3},
  [1845] = {.lex_state = 20, .external_lex_state = 3},
  [1846] = {.lex_state = 20, .external_lex_state = 3},
  [1847] = {.lex_state = 22, .external_lex_state = 2},
  [1848] = {.lex_state = 22, .external_lex_state = 2},
  [1849] = {.lex_state = 38, .external_lex_state = 2},
  [1850] = {.lex_state = 38, .external_lex_state = 2},
  [1851] = {.lex_state = 17, .external_lex_state = 2},
  [1852] = {.lex_state = 38, .external_lex_state = 2},
  [1853] = {.lex_state = 22, .external_lex_state = 2},
  [1854] = {.lex_state = 22, .external_lex_state = 2},
  [1855] = {.lex_state = 38, .external_lex_state = 2},
  [1856] = {.lex_state = 17, .external_lex_state = 2},
  [1857] = {.lex_state = 95, .external_lex_state = 2},
  [1858] = {.lex_state = 38, .external_lex_state = 2},
  [1859] = {.lex_state = 22, .external_lex_state = 2},
  [1860] = {.lex_state = 95, .external_lex_state = 2},
  [1861] = {.lex_state = 95, .external_lex_state = 2},
  [1862] = {.lex_state = 22, .external_lex_state = 2},
  [1863] = {.lex_state = 22, .external_lex_state = 2},
  [1864] = {.lex_state = 95, .external_lex_state = 2},
  [1865] = {.lex_state = 17, .external_lex_state = 2},
  [1866] = {.lex_state = 22, .external_lex_state = 2},
  [1867] = {.lex_state = 17, .external_lex_state = 2},
  [1868] = {.lex_state = 95, .external_lex_state = 2},
  [1869] = {.lex_state = 17, .external_lex_state = 2},
  [1870] = {.lex_state = 38, .external_lex_state = 2},
  [1871] = {.lex_state = 38, .external_lex_state = 2},
  [1872] = {.lex_state = 38, .external_lex_state = 2},
  [1873] = {.lex_state = 17, .external_lex_state = 2},
  [1874] = {.lex_state = 22, .external_lex_state = 2},
  [1875] = {.lex_state = 17, .external_lex_state = 2},
  [1876] = {.lex_state = 17, .external_lex_state = 2},
  [1877] = {.lex_state = 17, .external_lex_state = 2},
  [1878] = {.lex_state = 17, .external_lex_state = 2},
  [1879] = {.lex_state = 17, .external_lex_state = 2},
  [1880] = {.lex_state = 17, .external_lex_state = 2},
  [1881] = {.lex_state = 17, .external_lex_state = 2},
  [1882] = {.lex_state = 17, .external_lex_state = 2},
  [1883] = {.lex_state = 38, .external_lex_state = 2},
  [1884] = {.lex_state = 17, .external_lex_state = 2},
  [1885] = {.lex_state = 22, .external_lex_state = 2},
  [1886] = {.lex_state = 22, .external_lex_state = 2},
  [1887] = {.lex_state = 17, .external_lex_state = 2},
  [1888] = {.lex_state = 17, .external_lex_state = 2},
  [1889] = {.lex_state = 22, .external_lex_state = 2},
  [1890] = {.lex_state = 22, .external_lex_state = 2},
  [1891] = {.lex_state = 95, .external_lex_state = 2},
  [1892] = {.lex_state = 38, .external_lex_state = 2},
  [1893] = {.lex_state = 38, .external_lex_state = 2},
  [1894] = {.lex_state = 22, .external_lex_state = 2},
  [1895] = {.lex_state = 0, .external_lex_state = 2},
  [1896] = {.lex_state = 22, .external_lex_state = 2},
  [1897] = {.lex_state = 95, .external_lex_state = 2},
  [1898] = {.lex_state = 38, .external_lex_state = 2},
  [1899] = {.lex_state = 22, .external_lex_state = 2},
  [1900] = {.lex_state = 22, .external_lex_state = 2},
  [1901] = {.lex_state = 22, .external_lex_state = 2},
  [1902] = {.lex_state = 22, .external_lex_state = 2},
  [1903] = {.lex_state = 22, .external_lex_state = 2},
  [1904] = {.lex_state = 22, .external_lex_state = 2},
  [1905] = {.lex_state = 22, .external_lex_state = 2},
  [1906] = {.lex_state = 22, .external_lex_state = 2},
  [1907] = {.lex_state = 38, .external_lex_state = 2},
  [1908] = {.lex_state = 22, .external_lex_state = 2},
  [1909] = {.lex_state = 38, .external_lex_state = 2},
  [1910] = {.lex_state = 38, .external_lex_state = 2},
  [1911] = {.lex_state = 22, .external_lex_state = 2},
  [1912] = {.lex_state = 22, .external_lex_state = 2},
  [1913] = {.lex_state = 95, .external_lex_state = 2},
  [1914] = {.lex_state = 22, .external_lex_state = 2},
  [1915] = {.lex_state = 38, .external_lex_state = 2},
  [1916] = {.lex_state = 22, .external_lex_state = 2},
  [1917] = {.lex_state = 0, .external_lex_state = 2},
  [1918] = {.lex_state = 38, .external_lex_state = 2},
  [1919] = {.lex_state = 22, .external_lex_state = 2},
  [1920] = {.lex_state = 22, .external_lex_state = 2},
  [1921] = {.lex_state = 22, .external_lex_state = 2},
  [1922] = {.lex_state = 22, .external_lex_state = 2},
  [1923] = {.lex_state = 22, .external_lex_state = 2},
  [1924] = {.lex_state = 22, .external_lex_state = 2},
  [1925] = {.lex_state = 22, .external_lex_state = 2},
  [1926] = {.lex_state = 22, .external_lex_state = 2},
  [1927] = {.lex_state = 22, .external_lex_state = 2},
  [1928] = {.lex_state = 22, .external_lex_state = 2},
  [1929] = {.lex_state = 22, .external_lex_state = 2},
  [1930] = {.lex_state = 22, .external_lex_state = 2},
  [1931] = {.lex_state = 22, .external_lex_state = 2},
  [1932] = {.lex_state = 38, .external_lex_state = 2},
  [1933] = {.lex_state = 22, .external_lex_state = 2},
  [1934] = {.lex_state = 38, .external_lex_state = 2},
  [1935] = {.lex_state = 0, .external_lex_state = 2},
  [1936] = {.lex_state = 95, .external_lex_state = 2},
  [1937] = {.lex_state = 95, .external_lex_state = 2},
  [1938] = {.lex_state = 95, .external_lex_state = 2},
  [1939] = {.lex_state = 38, .external_lex_state = 2},
  [1940] = {.lex_state = 38, .external_lex_state = 2},
  [1941] = {.lex_state = 0, .external_lex_state = 2},
  [1942] = {.lex_state = 22, .external_lex_state = 2},
  [1943] = {.lex_state = 38, .external_lex_state = 2},
  [1944] = {.lex_state = 23, .external_lex_state = 2},
  [1945] = {.lex_state = 22, .external_lex_state = 2},
  [1946] = {.lex_state = 95, .external_lex_state = 2},
  [1947] = {.lex_state = 95, .external_lex_state = 2},
  [1948] = {.lex_state = 22, .external_lex_state = 2},
  [1949] = {.lex_state = 22, .external_lex_state = 2},
  [1950] = {.lex_state = 38, .external_lex_state = 2},
  [1951] = {.lex_state = 38, .external_lex_state = 2},
  [1952] = {.lex_state = 0, .external_lex_state = 2},
  [1953] = {.lex_state = 22, .external_lex_state = 2},
  [1954] = {.lex_state = 38, .external_lex_state = 2},
  [1955] = {.lex_state = 95, .external_lex_state = 2},
  [1956] = {.lex_state = 95, .external_lex_state = 2},
  [1957] = {.lex_state = 22, .external_lex_state = 2},
  [1958] = {.lex_state = 22, .external_lex_state = 2},
  [1959] = {.lex_state = 38, .external_lex_state = 2},
  [1960] = {.lex_state = 38, .external_lex_state = 2},
  [1961] = {.lex_state = 95, .external_lex_state = 2},
  [1962] = {.lex_state = 0, .external_lex_state = 2},
  [1963] = {.lex_state = 22, .external_lex_state = 2},
  [1964] = {.lex_state = 38, .external_lex_state = 2},
  [1965] = {.lex_state = 22, .external_lex_state = 2},
  [1966] = {.lex_state = 95, .external_lex_state = 2},
  [1967] = {.lex_state = 22, .external_lex_state = 2},
  [1968] = {.lex_state = 38, .external_lex_state = 2},
  [1969] = {.lex_state = 29, .external_lex_state = 2},
  [1970] = {.lex_state = 0, .external_lex_state = 2},
  [1971] = {.lex_state = 95, .external_lex_state = 2},
  [1972] = {.lex_state = 95, .external_lex_state = 2},
  [1973] = {.lex_state = 96, .external_lex_state = 2},
  [1974] = {.lex_state = 95, .external_lex_state = 2},
  [1975] = {.lex_state = 0, .external_lex_state = 2},
  [1976] = {.lex_state = 96, .external_lex_state = 2},
  [1977] = {.lex_state = 96, .external_lex_state = 2},
  [1978] = {.lex_state = 96, .external_lex_state = 2},
  [1979] = {.lex_state = 96, .external_lex_state = 2},
  [1980] = {.lex_state = 96, .external_lex_state = 2},
  [1981] = {.lex_state = 96, .external_lex_state = 2},
  [1982] = {.lex_state = 96, .external_lex_state = 2},
  [1983] = {.lex_state = 96, .external_lex_state = 2},
  [1984] = {.lex_state = 6, .external_lex_state = 2},
  [1985] = {.lex_state = 96, .external_lex_state = 2},
  [1986] = {.lex_state = 95, .external_lex_state = 2},
  [1987] = {.lex_state = 6, .external_lex_state = 2},
  [1988] = {.lex_state = 6, .external_lex_state = 2},
  [1989] = {.lex_state = 6, .external_lex_state = 2},
  [1990] = {.lex_state = 96, .external_lex_state = 2},
  [1991] = {.lex_state = 6, .external_lex_state = 2},
  [1992] = {.lex_state = 6, .external_lex_state = 2},
  [1993] = {.lex_state = 6, .external_lex_state = 2},
  [1994] = {.lex_state = 96, .external_lex_state = 2},
  [1995] = {.lex_state = 6, .external_lex_state = 2},
  [1996] = {.lex_state = 6, .external_lex_state = 2},
  [1997] = {.lex_state = 6, .external_lex_state = 2},
  [1998] = {.lex_state = 96, .external_lex_state = 2},
  [1999] = {.lex_state = 6, .external_lex_state = 2},
  [2000] = {.lex_state = 96, .external_lex_state = 2},
  [2001] = {.lex_state = 6, .external_lex_state = 2},
  [2002] = {.lex_state = 6, .external_lex_state = 2},
  [2003] = {.lex_state = 96, .external_lex_state = 2},
  [2004] = {.lex_state = 6, .external_lex_state = 2},
  [2005] = {.lex_state = 6, .external_lex_state = 2},
  [2006] = {.lex_state = 6, .external_lex_state = 2},
  [2007] = {.lex_state = 6, .external_lex_state = 2},
  [2008] = {.lex_state = 6, .external_lex_state = 2},
  [2009] = {.lex_state = 96, .external_lex_state = 2},
  [2010] = {.lex_state = 96, .external_lex_state = 2},
  [2011] = {.lex_state = 38, .external_lex_state = 2},
  [2012] = {.lex_state = 15, .external_lex_state = 2},
  [2013] = {.lex_state = 15, .external_lex_state = 2},
  [2014] = {.lex_state = 95, .external_lex_state = 2},
  [2015] = {.lex_state = 15, .external_lex_state = 2},
  [2016] = {.lex_state = 15, .external_lex_state = 2},
  [2017] = {.lex_state = 95, .external_lex_state = 2},
  [2018] = {.lex_state = 15, .external_lex_state = 2},
  [2019] = {.lex_state = 95, .external_lex_state = 2},
  [2020] = {.lex_state = 15, .external_lex_state = 2},
  [2021] = {.lex_state = 15, .external_lex_state = 2},
  [2022] = {.lex_state = 95, .external_lex_state = 2},
  [2023] = {.lex_state = 15, .external_lex_state = 2},
  [2024] = {.lex_state = 95, .external_lex_state = 2},
  [2025] = {.lex_state = 95, .external_lex_state = 2},
  [2026] = {.lex_state = 95, .external_lex_state = 2},
  [2027] = {.lex_state = 95, .external_lex_state = 2},
  [2028] = {.lex_state = 95, .external_lex_state = 2},
  [2029] = {.lex_state = 6, .external_lex_state = 2},
  [2030] = {.lex_state = 95, .external_lex_state = 2},
  [2031] = {.lex_state = 95, .external_lex_state = 2},
  [2032] = {.lex_state = 95, .external_lex_state = 2},
  [2033] = {.lex_state = 95, .external_lex_state = 2},
  [2034] = {.lex_state = 95, .external_lex_state = 2},
  [2035] = {.lex_state = 95, .external_lex_state = 2},
  [2036] = {.lex_state = 95, .external_lex_state = 2},
  [2037] = {.lex_state = 23, .external_lex_state = 2},
  [2038] = {.lex_state = 23, .external_lex_state = 2},
  [2039] = {.lex_state = 95, .external_lex_state = 2},
  [2040] = {.lex_state = 23, .external_lex_state = 2},
  [2041] = {.lex_state = 23, .external_lex_state = 2},
  [2042] = {.lex_state = 23, .external_lex_state = 2},
  [2043] = {.lex_state = 38, .external_lex_state = 2},
  [2044] = {.lex_state = 23, .external_lex_state = 2},
  [2045] = {.lex_state = 95, .external_lex_state = 2},
  [2046] = {.lex_state = 23, .external_lex_state = 2},
  [2047] = {.lex_state = 95, .external_lex_state = 2},
  [2048] = {.lex_state = 95, .external_lex_state = 2},
  [2049] = {.lex_state = 38, .external_lex_state = 2},
  [2050] = {.lex_state = 95, .external_lex_state = 2},
  [2051] = {.lex_state = 95, .external_lex_state = 2},
  [2052] = {.lex_state = 95, .external_lex_state = 2},
  [2053] = {.lex_state = 95, .external_lex_state = 2},
  [2054] = {.lex_state = 95, .external_lex_state = 2},
  [2055] = {.lex_state = 38, .external_lex_state = 2},
  [2056] = {.lex_state = 96, .external_lex_state = 2},
  [2057] = {.lex_state = 95, .external_lex_state = 2},
  [2058] = {.lex_state = 95, .external_lex_state = 2},
  [2059] = {.lex_state = 95, .external_lex_state = 2},
  [2060] = {.lex_state = 95, .external_lex_state = 2},
  [2061] = {.lex_state = 95, .external_lex_state = 2},
  [2062] = {.lex_state = 95, .external_lex_state = 2},
  [2063] = {.lex_state = 95, .external_lex_state = 2},
  [2064] = {.lex_state = 95, .external_lex_state = 2},
  [2065] = {.lex_state = 95, .external_lex_state = 2},
  [2066] = {.lex_state = 95, .external_lex_state = 2},
  [2067] = {.lex_state = 95, .external_lex_state = 2},
  [2068] = {.lex_state = 95, .external_lex_state = 2},
  [2069] = {.lex_state = 95, .external_lex_state = 2},
  [2070] = {.lex_state = 95, .external_lex_state = 2},
  [2071] = {.lex_state = 95, .external_lex_state = 2},
  [2072] = {.lex_state = 95, .external_lex_state = 2},
  [2073] = {.lex_state = 95, .external_lex_state = 2},
  [2074] = {.lex_state = 95, .external_lex_state = 2},
  [2075] = {.lex_state = 95, .external_lex_state = 2},
  [2076] = {.lex_state = 95, .external_lex_state = 2},
  [2077] = {.lex_state = 95, .external_lex_state = 2},
  [2078] = {.lex_state = 95, .external_lex_state = 2},
  [2079] = {.lex_state = 95, .external_lex_state = 2},
  [2080] = {.lex_state = 95, .external_lex_state = 2},
  [2081] = {.lex_state = 95, .external_lex_state = 2},
  [2082] = {.lex_state = 95, .external_lex_state = 2},
  [2083] = {.lex_state = 95, .external_lex_state = 2},
  [2084] = {.lex_state = 95, .external_lex_state = 2},
  [2085] = {.lex_state = 95, .external_lex_state = 2},
  [2086] = {.lex_state = 95, .external_lex_state = 2},
  [2087] = {.lex_state = 95, .external_lex_state = 2},
  [2088] = {.lex_state = 95, .external_lex_state = 2},
  [2089] = {.lex_state = 95, .external_lex_state = 2},
  [2090] = {.lex_state = 95, .external_lex_state = 2},
  [2091] = {.lex_state = 95, .external_lex_state = 2},
  [2092] = {.lex_state = 95, .external_lex_state = 2},
  [2093] = {.lex_state = 95, .external_lex_state = 2},
  [2094] = {.lex_state = 18, .external_lex_state = 2},
  [2095] = {.lex_state = 95, .external_lex_state = 2},
  [2096] = {.lex_state = 95, .external_lex_state = 2},
  [2097] = {.lex_state = 95, .external_lex_state = 2},
  [2098] = {.lex_state = 95, .external_lex_state = 2},
  [2099] = {.lex_state = 95, .external_lex_state = 2},
  [2100] = {.lex_state = 95, .external_lex_state = 2},
  [2101] = {.lex_state = 95, .external_lex_state = 2},
  [2102] = {.lex_state = 95, .external_lex_state = 2},
  [2103] = {.lex_state = 95, .external_lex_state = 2},
  [2104] = {.lex_state = 95, .external_lex_state = 2},
  [2105] = {.lex_state = 95, .external_lex_state = 2},
  [2106] = {.lex_state = 95, .external_lex_state = 2},
  [2107] = {.lex_state = 95, .external_lex_state = 2},
  [2108] = {.lex_state = 95, .external_lex_state = 2},
  [2109] = {.lex_state = 95, .external_lex_state = 2},
  [2110] = {.lex_state = 95, .external_lex_state = 2},
  [2111] = {.lex_state = 95, .external_lex_state = 2},
  [2112] = {.lex_state = 95, .external_lex_state = 2},
  [2113] = {.lex_state = 95, .external_lex_state = 2},
  [2114] = {.lex_state = 95, .external_lex_state = 2},
  [2115] = {.lex_state = 15, .external_lex_state = 2},
  [2116] = {.lex_state = 95, .external_lex_state = 2},
  [2117] = {.lex_state = 95, .external_lex_state = 2},
  [2118] = {.lex_state = 95, .external_lex_state = 2},
  [2119] = {.lex_state = 95, .external_lex_state = 2},
  [2120] = {.lex_state = 95, .external_lex_state = 2},
  [2121] = {.lex_state = 25, .external_lex_state = 2},
  [2122] = {.lex_state = 95, .external_lex_state = 2},
  [2123] = {.lex_state = 95, .external_lex_state = 2},
  [2124] = {.lex_state = 95, .external_lex_state = 2},
  [2125] = {.lex_state = 25, .external_lex_state = 2},
  [2126] = {.lex_state = 38, .external_lex_state = 2},
  [2127] = {.lex_state = 15, .external_lex_state = 2},
  [2128] = {.lex_state = 95, .external_lex_state = 2},
  [2129] = {.lex_state = 95, .external_lex_state = 2},
  [2130] = {.lex_state = 95, .external_lex_state = 2},
  [2131] = {.lex_state = 95, .external_lex_state = 2},
  [2132] = {.lex_state = 25, .external_lex_state = 2},
  [2133] = {.lex_state = 18, .external_lex_state = 2},
  [2134] = {.lex_state = 38, .external_lex_state = 2},
  [2135] = {.lex_state = 95, .external_lex_state = 2},
  [2136] = {.lex_state = 95, .external_lex_state = 2},
  [2137] = {.lex_state = 29, .external_lex_state = 4},
  [2138] = {.lex_state = 15, .external_lex_state = 5},
  [2139] = {.lex_state = 15, .external_lex_state = 5},
  [2140] = {.lex_state = 29, .external_lex_state = 4},
  [2141] = {.lex_state = 95, .external_lex_state = 2},
  [2142] = {.lex_state = 95, .external_lex_state = 2},
  [2143] = {.lex_state = 29, .external_lex_state = 4},
  [2144] = {.lex_state = 38, .external_lex_state = 2},
  [2145] = {.lex_state = 38, .external_lex_state = 2},
  [2146] = {.lex_state = 15, .external_lex_state = 5},
  [2147] = {.lex_state = 95, .external_lex_state = 2},
  [2148] = {.lex_state = 95, .external_lex_state = 2},
  [2149] = {.lex_state = 95, .external_lex_state = 2},
  [2150] = {.lex_state = 29, .external_lex_state = 4},
  [2151] = {.lex_state = 29, .external_lex_state = 4},
  [2152] = {.lex_state = 15, .external_lex_state = 5},
  [2153] = {.lex_state = 15, .external_lex_state = 5},
  [2154] = {.lex_state = 38, .external_lex_state = 2},
  [2155] = {.lex_state = 15, .external_lex_state = 5},
  [2156] = {.lex_state = 29, .external_lex_state = 4},
  [2157] = {.lex_state = 15, .external_lex_state = 5},
  [2158] = {.lex_state = 95, .external_lex_state = 2},
  [2159] = {.lex_state = 95, .external_lex_state = 2},
  [2160] = {.lex_state = 38, .external_lex_state = 2},
  [2161] = {.lex_state = 29, .external_lex_state = 4},
  [2162] = {.lex_state = 15, .external_lex_state = 5},
  [2163] = {.lex_state = 29, .external_lex_state = 4},
  [2164] = {.lex_state = 15, .external_lex_state = 5},
  [2165] = {.lex_state = 38, .external_lex_state = 2},
  [2166] = {.lex_state = 29, .external_lex_state = 4},
  [2167] = {.lex_state = 29, .external_lex_state = 4},
  [2168] = {.lex_state = 15, .external_lex_state = 5},
  [2169] = {.lex_state = 95, .external_lex_state = 2},
  [2170] = {.lex_state = 38, .external_lex_state = 2},
  [2171] = {.lex_state = 15, .external_lex_state = 5},
  [2172] = {.lex_state = 29, .external_lex_state = 4},
  [2173] = {.lex_state = 32, .external_lex_state = 6},
  [2174] = {.lex_state = 38, .external_lex_state = 2},
  [2175] = {.lex_state = 29, .external_lex_state = 7},
  [2176] = {.lex_state = 15, .external_lex_state = 8},
  [2177] = {.lex_state = 32, .external_lex_state = 6},
  [2178] = {.lex_state = 32, .external_lex_state = 9},
  [2179] = {.lex_state = 15, .external_lex_state = 8},
  [2180] = {.lex_state = 29, .external_lex_state = 7},
  [2181] = {.lex_state = 32, .external_lex_state = 6},
  [2182] = {.lex_state = 32, .external_lex_state = 9},
  [2183] = {.lex_state = 15, .external_lex_state = 8},
  [2184] = {.lex_state = 29, .external_lex_state = 7},
  [2185] = {.lex_state = 32, .external_lex_state = 9},
  [2186] = {.lex_state = 32, .external_lex_state = 9},
  [2187] = {.lex_state = 94, .external_lex_state = 2},
  [2188] = {.lex_state = 95, .external_lex_state = 2},
  [2189] = {.lex_state = 96, .external_lex_state = 2},
  [2190] = {.lex_state = 38, .external_lex_state = 2},
  [2191] = {.lex_state = 95, .external_lex_state = 2},
  [2192] = {.lex_state = 29, .external_lex_state = 7},
  [2193] = {.lex_state = 15, .external_lex_state = 8},
  [2194] = {.lex_state = 32, .external_lex_state = 6},
  [2195] = {.lex_state = 38, .external_lex_state = 2},
  [2196] = {.lex_state = 32, .external_lex_state = 9},
  [2197] = {.lex_state = 32, .external_lex_state = 9},
  [2198] = {.lex_state = 15, .external_lex_state = 8},
  [2199] = {.lex_state = 38, .external_lex_state = 2},
  [2200] = {.lex_state = 29, .external_lex_state = 7},
  [2201] = {.lex_state = 32, .external_lex_state = 6},
  [2202] = {.lex_state = 32, .external_lex_state = 9},
  [2203] = {.lex_state = 15, .external_lex_state = 8},
  [2204] = {.lex_state = 32, .external_lex_state = 6},
  [2205] = {.lex_state = 38, .external_lex_state = 2},
  [2206] = {.lex_state = 29, .external_lex_state = 7},
  [2207] = {.lex_state = 15, .external_lex_state = 8},
  [2208] = {.lex_state = 32, .external_lex_state = 9},
  [2209] = {.lex_state = 32, .external_lex_state = 6},
  [2210] = {.lex_state = 32, .external_lex_state = 9},
  [2211] = {.lex_state = 32, .external_lex_state = 6},
  [2212] = {.lex_state = 32, .external_lex_state = 9},
  [2213] = {.lex_state = 15, .external_lex_state = 8},
  [2214] = {.lex_state = 95, .external_lex_state = 2},
  [2215] = {.lex_state = 29, .external_lex_state = 7},
  [2216] = {.lex_state = 32, .external_lex_state = 6},
  [2217] = {.lex_state = 15, .external_lex_state = 8},
  [2218] = {.lex_state = 29, .external_lex_state = 7},
  [2219] = {.lex_state = 25, .external_lex_state = 2},
  [2220] = {.lex_state = 38, .external_lex_state = 2},
  [2221] = {.lex_state = 25, .external_lex_state = 2},
  [2222] = {.lex_state = 29, .external_lex_state = 7},
  [2223] = {.lex_state = 25, .external_lex_state = 2},
  [2224] = {.lex_state = 95, .external_lex_state = 2},
  [2225] = {.lex_state = 15, .external_lex_state = 8},
  [2226] = {.lex_state = 95, .external_lex_state = 2},
  [2227] = {.lex_state = 29, .external_lex_state = 7},
  [2228] = {.lex_state = 38, .external_lex_state = 2},
  [2229] = {.lex_state = 29, .external_lex_state = 7},
  [2230] = {.lex_state = 95, .external_lex_state = 2},
  [2231] = {.lex_state = 32, .external_lex_state = 6},
  [2232] = {.lex_state = 15, .external_lex_state = 8},
  [2233] = {.lex_state = 32, .external_lex_state = 9},
  [2234] = {.lex_state = 32, .external_lex_state = 6},
  [2235] = {.lex_state = 38, .external_lex_state = 2},
  [2236] = {.lex_state = 95, .external_lex_state = 2},
  [2237] = {.lex_state = 95, .external_lex_state = 2},
  [2238] = {.lex_state = 19, .external_lex_state = 2},
  [2239] = {.lex_state = 25, .external_lex_state = 2},
  [2240] = {.lex_state = 19, .external_lex_state = 2},
  [2241] = {.lex_state = 95, .external_lex_state = 2},
  [2242] = {.lex_state = 94, .external_lex_state = 2},
  [2243] = {.lex_state = 32, .external_lex_state = 10},
  [2244] = {.lex_state = 95, .external_lex_state = 2},
  [2245] = {.lex_state = 32, .external_lex_state = 11},
  [2246] = {.lex_state = 95, .external_lex_state = 2},
  [2247] = {.lex_state = 19, .external_lex_state = 2},
  [2248] = {.lex_state = 32, .external_lex_state = 11},
  [2249] = {.lex_state = 32, .external_lex_state = 10},
  [2250] = {.lex_state = 95, .external_lex_state = 2},
  [2251] = {.lex_state = 31, .external_lex_state = 7},
  [2252] = {.lex_state = 0, .external_lex_state = 2},
  [2253] = {.lex_state = 32, .external_lex_state = 11},
  [2254] = {.lex_state = 0, .external_lex_state = 2},
  [2255] = {.lex_state = 19, .external_lex_state = 2},
  [2256] = {.lex_state = 32, .external_lex_state = 10},
  [2257] = {.lex_state = 25, .external_lex_state = 2},
  [2258] = {.lex_state = 95, .external_lex_state = 2},
  [2259] = {.lex_state = 19, .external_lex_state = 2},
  [2260] = {.lex_state = 32, .external_lex_state = 10},
  [2261] = {.lex_state = 95, .external_lex_state = 2},
  [2262] = {.lex_state = 95, .external_lex_state = 2},
  [2263] = {.lex_state = 95, .external_lex_state = 2},
  [2264] = {.lex_state = 95, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 8},
  [2266] = {.lex_state = 32, .external_lex_state = 11},
  [2267] = {.lex_state = 95, .external_lex_state = 2},
  [2268] = {.lex_state = 95, .external_lex_state = 2},
  [2269] = {.lex_state = 95, .external_lex_state = 2},
  [2270] = {.lex_state = 38, .external_lex_state = 2},
  [2271] = {.lex_state = 95, .external_lex_state = 2},
  [2272] = {.lex_state = 32, .external_lex_state = 10},
  [2273] = {.lex_state = 32, .external_lex_state = 11},
  [2274] = {.lex_state = 95, .external_lex_state = 2},
  [2275] = {.lex_state = 32, .external_lex_state = 11},
  [2276] = {.lex_state = 32, .external_lex_state = 11},
  [2277] = {.lex_state = 32, .external_lex_state = 10},
  [2278] = {.lex_state = 95, .external_lex_state = 2},
  [2279] = {.lex_state = 0, .external_lex_state = 2},
  [2280] = {.lex_state = 95, .external_lex_state = 2},
  [2281] = {.lex_state = 32, .external_lex_state = 10},
  [2282] = {.lex_state = 32, .external_lex_state = 10},
  [2283] = {.lex_state = 32, .external_lex_state = 10},
  [2284] = {.lex_state = 32, .external_lex_state = 11},
  [2285] = {.lex_state = 19, .external_lex_state = 2},
  [2286] = {.lex_state = 95, .external_lex_state = 2},
  [2287] = {.lex_state = 95, .external_lex_state = 2},
  [2288] = {.lex_state = 95, .external_lex_state = 2},
  [2289] = {.lex_state = 32, .external_lex_state = 11},
  [2290] = {.lex_state = 95, .external_lex_state = 2},
  [2291] = {.lex_state = 19, .external_lex_state = 2},
  [2292] = {.lex_state = 19, .external_lex_state = 2},
  [2293] = {.lex_state = 19, .external_lex_state = 2},
  [2294] = {.lex_state = 95, .external_lex_state = 2},
  [2295] = {.lex_state = 19, .external_lex_state = 2},
  [2296] = {.lex_state = 95, .external_lex_state = 2},
  [2297] = {.lex_state = 95, .external_lex_state = 2},
  [2298] = {.lex_state = 32, .external_lex_state = 10},
  [2299] = {.lex_state = 25, .external_lex_state = 2},
  [2300] = {.lex_state = 32, .external_lex_state = 11},
  [2301] = {.lex_state = 19, .external_lex_state = 2},
  [2302] = {.lex_state = 95, .external_lex_state = 2},
  [2303] = {.lex_state = 32, .external_lex_state = 11},
  [2304] = {.lex_state = 32, .external_lex_state = 10},
  [2305] = {.lex_state = 95, .external_lex_state = 2},
  [2306] = {.lex_state = 29, .external_lex_state = 7},
  [2307] = {.lex_state = 38, .external_lex_state = 2},
  [2308] = {.lex_state = 96, .external_lex_state = 2},
  [2309] = {.lex_state = 25, .external_lex_state = 2},
  [2310] = {.lex_state = 96, .external_lex_state = 2},
  [2311] = {.lex_state = 94, .external_lex_state = 2},
  [2312] = {.lex_state = 25, .external_lex_state = 2},
  [2313] = {.lex_state = 96, .external_lex_state = 2},
  [2314] = {.lex_state = 38, .external_lex_state = 2},
  [2315] = {.lex_state = 96, .external_lex_state = 2},
  [2316] = {.lex_state = 95, .external_lex_state = 2},
  [2317] = {.lex_state = 96, .external_lex_state = 2},
  [2318] = {.lex_state = 95, .external_lex_state = 2},
  [2319] = {.lex_state = 19, .external_lex_state = 2},
  [2320] = {.lex_state = 95, .external_lex_state = 2},
  [2321] = {.lex_state = 38, .external_lex_state = 2},
  [2322] = {.lex_state = 25, .external_lex_state = 2},
  [2323] = {.lex_state = 96, .external_lex_state = 2},
  [2324] = {.lex_state = 25, .external_lex_state = 2},
  [2325] = {.lex_state = 25, .external_lex_state = 2},
  [2326] = {.lex_state = 25, .external_lex_state = 2},
  [2327] = {.lex_state = 34, .external_lex_state = 10},
  [2328] = {.lex_state = 96, .external_lex_state = 2},
  [2329] = {.lex_state = 25, .external_lex_state = 2},
  [2330] = {.lex_state = 96, .external_lex_state = 2},
  [2331] = {.lex_state = 15, .external_lex_state = 8},
  [2332] = {.lex_state = 96, .external_lex_state = 2},
  [2333] = {.lex_state = 96, .external_lex_state = 2},
  [2334] = {.lex_state = 96, .external_lex_state = 2},
  [2335] = {.lex_state = 95, .external_lex_state = 2},
  [2336] = {.lex_state = 34, .external_lex_state = 11},
  [2337] = {.lex_state = 96, .external_lex_state = 2},
  [2338] = {.lex_state = 96, .external_lex_state = 2},
  [2339] = {.lex_state = 96, .external_lex_state = 2},
  [2340] = {.lex_state = 96, .external_lex_state = 2},
  [2341] = {.lex_state = 96, .external_lex_state = 2},
  [2342] = {.lex_state = 96, .external_lex_state = 2},
  [2343] = {.lex_state = 25, .external_lex_state = 2},
  [2344] = {.lex_state = 96, .external_lex_state = 2},
  [2345] = {.lex_state = 95, .external_lex_state = 2},
  [2346] = {.lex_state = 96, .external_lex_state = 2},
  [2347] = {.lex_state = 19, .external_lex_state = 2},
  [2348] = {.lex_state = 25, .external_lex_state = 2},
  [2349] = {.lex_state = 96, .external_lex_state = 2},
  [2350] = {.lex_state = 95, .external_lex_state = 2},
  [2351] = {.lex_state = 96, .external_lex_state = 2},
  [2352] = {.lex_state = 95, .external_lex_state = 2},
  [2353] = {.lex_state = 96, .external_lex_state = 2},
  [2354] = {.lex_state = 96, .external_lex_state = 2},
  [2355] = {.lex_state = 15, .external_lex_state = 8},
  [2356] = {.lex_state = 25, .external_lex_state = 2},
  [2357] = {.lex_state = 95, .external_lex_state = 2},
  [2358] = {.lex_state = 96, .external_lex_state = 2},
  [2359] = {.lex_state = 25, .external_lex_state = 2},
  [2360] = {.lex_state = 96, .external_lex_state = 2},
  [2361] = {.lex_state = 96, .external_lex_state = 2},
  [2362] = {.lex_state = 96, .external_lex_state = 2},
  [2363] = {.lex_state = 25, .external_lex_state = 2},
  [2364] = {.lex_state = 95, .external_lex_state = 2},
  [2365] = {.lex_state = 25, .external_lex_state = 2},
  [2366] = {.lex_state = 29, .external_lex_state = 7},
  [2367] = {.lex_state = 25, .external_lex_state = 2},
  [2368] = {.lex_state = 96, .external_lex_state = 2},
  [2369] = {.lex_state = 96, .external_lex_state = 2},
  [2370] = {.lex_state = 96, .external_lex_state = 2},
  [2371] = {.lex_state = 95, .external_lex_state = 2},
  [2372] = {.lex_state = 94, .external_lex_state = 2},
  [2373] = {.lex_state = 95, .external_lex_state = 2},
  [2374] = {.lex_state = 95, .external_lex_state = 2},
  [2375] = {.lex_state = 25, .external_lex_state = 2},
  [2376] = {.lex_state = 96, .external_lex_state = 2},
  [2377] = {.lex_state = 96, .external_lex_state = 2},
  [2378] = {.lex_state = 96, .external_lex_state = 2},
  [2379] = {.lex_state = 19, .external_lex_state = 2},
  [2380] = {.lex_state = 25, .external_lex_state = 2},
  [2381] = {.lex_state = 25, .external_lex_state = 2},
  [2382] = {.lex_state = 95, .external_lex_state = 2},
  [2383] = {.lex_state = 96, .external_lex_state = 2},
  [2384] = {.lex_state = 96, .external_lex_state = 2},
  [2385] = {.lex_state = 25, .external_lex_state = 2},
  [2386] = {.lex_state = 25, .external_lex_state = 2},
  [2387] = {.lex_state = 25, .external_lex_state = 2},
  [2388] = {.lex_state = 96, .external_lex_state = 2},
  [2389] = {.lex_state = 95, .external_lex_state = 2},
  [2390] = {.lex_state = 96, .external_lex_state = 2},
  [2391] = {.lex_state = 96, .external_lex_state = 2},
  [2392] = {.lex_state = 96, .external_lex_state = 2},
  [2393] = {.lex_state = 25, .external_lex_state = 2},
  [2394] = {.lex_state = 96, .external_lex_state = 2},
  [2395] = {.lex_state = 95, .external_lex_state = 2},
  [2396] = {.lex_state = 95, .external_lex_state = 2},
  [2397] = {.lex_state = 23, .external_lex_state = 2},
  [2398] = {.lex_state = 95, .external_lex_state = 2},
  [2399] = {.lex_state = 95, .external_lex_state = 2},
  [2400] = {.lex_state = 94, .external_lex_state = 2},
  [2401] = {.lex_state = 29, .external_lex_state = 4},
  [2402] = {.lex_state = 95, .external_lex_state = 2},
  [2403] = {.lex_state = 95, .external_lex_state = 2},
  [2404] = {.lex_state = 29, .external_lex_state = 4},
  [2405] = {.lex_state = 94, .external_lex_state = 3},
  [2406] = {.lex_state = 25, .external_lex_state = 2},
  [2407] = {.lex_state = 15, .external_lex_state = 5},
  [2408] = {.lex_state = 95, .external_lex_state = 2},
  [2409] = {.lex_state = 23, .external_lex_state = 2},
  [2410] = {.lex_state = 95, .external_lex_state = 2},
  [2411] = {.lex_state = 29, .external_lex_state = 4},
  [2412] = {.lex_state = 23, .external_lex_state = 2},
  [2413] = {.lex_state = 25, .external_lex_state = 2},
  [2414] = {.lex_state = 95, .external_lex_state = 2},
  [2415] = {.lex_state = 95, .external_lex_state = 2},
  [2416] = {.lex_state = 25, .external_lex_state = 2},
  [2417] = {.lex_state = 95, .external_lex_state = 2},
  [2418] = {.lex_state = 25, .external_lex_state = 2},
  [2419] = {.lex_state = 95, .external_lex_state = 2},
  [2420] = {.lex_state = 25, .external_lex_state = 2},
  [2421] = {.lex_state = 95, .external_lex_state = 2},
  [2422] = {.lex_state = 95, .external_lex_state = 2},
  [2423] = {.lex_state = 32, .external_lex_state = 11},
  [2424] = {.lex_state = 23, .external_lex_state = 2},
  [2425] = {.lex_state = 95, .external_lex_state = 2},
  [2426] = {.lex_state = 95, .external_lex_state = 2},
  [2427] = {.lex_state = 95, .external_lex_state = 2},
  [2428] = {.lex_state = 95, .external_lex_state = 2},
  [2429] = {.lex_state = 95, .external_lex_state = 2},
  [2430] = {.lex_state = 25, .external_lex_state = 2},
  [2431] = {.lex_state = 23, .external_lex_state = 2},
  [2432] = {.lex_state = 25, .external_lex_state = 2},
  [2433] = {.lex_state = 95, .external_lex_state = 2},
  [2434] = {.lex_state = 95, .external_lex_state = 2},
  [2435] = {.lex_state = 95, .external_lex_state = 2},
  [2436] = {.lex_state = 23, .external_lex_state = 2},
  [2437] = {.lex_state = 95, .external_lex_state = 2},
  [2438] = {.lex_state = 95, .external_lex_state = 2},
  [2439] = {.lex_state = 96, .external_lex_state = 2},
  [2440] = {.lex_state = 23, .external_lex_state = 2},
  [2441] = {.lex_state = 95, .external_lex_state = 2},
  [2442] = {.lex_state = 95, .external_lex_state = 2},
  [2443] = {.lex_state = 32, .external_lex_state = 11},
  [2444] = {.lex_state = 95, .external_lex_state = 2},
  [2445] = {.lex_state = 25, .external_lex_state = 2},
  [2446] = {.lex_state = 32, .external_lex_state = 10},
  [2447] = {.lex_state = 95, .external_lex_state = 2},
  [2448] = {.lex_state = 95, .external_lex_state = 2},
  [2449] = {.lex_state = 15, .external_lex_state = 5},
  [2450] = {.lex_state = 15, .external_lex_state = 5},
  [2451] = {.lex_state = 95, .external_lex_state = 2},
  [2452] = {.lex_state = 29, .external_lex_state = 4},
  [2453] = {.lex_state = 95, .external_lex_state = 2},
  [2454] = {.lex_state = 15, .external_lex_state = 5},
  [2455] = {.lex_state = 29, .external_lex_state = 4},
  [2456] = {.lex_state = 95, .external_lex_state = 2},
  [2457] = {.lex_state = 95, .external_lex_state = 2},
  [2458] = {.lex_state = 95, .external_lex_state = 2},
  [2459] = {.lex_state = 95, .external_lex_state = 2},
  [2460] = {.lex_state = 95, .external_lex_state = 2},
  [2461] = {.lex_state = 95, .external_lex_state = 2},
  [2462] = {.lex_state = 95, .external_lex_state = 2},
  [2463] = {.lex_state = 95, .external_lex_state = 2},
  [2464] = {.lex_state = 32, .external_lex_state = 10},
  [2465] = {.lex_state = 25, .external_lex_state = 2},
  [2466] = {.lex_state = 25, .external_lex_state = 2},
  [2467] = {.lex_state = 25, .external_lex_state = 2},
  [2468] = {.lex_state = 23, .external_lex_state = 2},
  [2469] = {.lex_state = 95, .external_lex_state = 2},
  [2470] = {.lex_state = 23, .external_lex_state = 2},
  [2471] = {.lex_state = 95, .external_lex_state = 2},
  [2472] = {.lex_state = 23, .external_lex_state = 2},
  [2473] = {.lex_state = 94, .external_lex_state = 3},
  [2474] = {.lex_state = 95, .external_lex_state = 2},
  [2475] = {.lex_state = 95, .external_lex_state = 2},
  [2476] = {.lex_state = 0, .external_lex_state = 2},
  [2477] = {.lex_state = 95, .external_lex_state = 2},
  [2478] = {.lex_state = 23, .external_lex_state = 2},
  [2479] = {.lex_state = 95, .external_lex_state = 2},
  [2480] = {.lex_state = 95, .external_lex_state = 2},
  [2481] = {.lex_state = 95, .external_lex_state = 2},
  [2482] = {.lex_state = 95, .external_lex_state = 2},
  [2483] = {.lex_state = 25, .external_lex_state = 2},
  [2484] = {.lex_state = 95, .external_lex_state = 2},
  [2485] = {.lex_state = 95, .external_lex_state = 2},
  [2486] = {.lex_state = 95, .external_lex_state = 2},
  [2487] = {.lex_state = 95, .external_lex_state = 2},
  [2488] = {.lex_state = 15, .external_lex_state = 5},
  [2489] = {.lex_state = 95, .external_lex_state = 2},
  [2490] = {.lex_state = 94, .external_lex_state = 2},
  [2491] = {.lex_state = 25, .external_lex_state = 2},
  [2492] = {.lex_state = 95, .external_lex_state = 2},
  [2493] = {.lex_state = 94, .external_lex_state = 2},
  [2494] = {.lex_state = 32, .external_lex_state = 9},
  [2495] = {.lex_state = 94, .external_lex_state = 2},
  [2496] = {.lex_state = 95, .external_lex_state = 2},
  [2497] = {.lex_state = 95, .external_lex_state = 2},
  [2498] = {.lex_state = 95, .external_lex_state = 2},
  [2499] = {.lex_state = 94, .external_lex_state = 2},
  [2500] = {.lex_state = 95, .external_lex_state = 2},
  [2501] = {.lex_state = 94, .external_lex_state = 2},
  [2502] = {.lex_state = 95, .external_lex_state = 2},
  [2503] = {.lex_state = 95, .external_lex_state = 2},
  [2504] = {.lex_state = 32, .external_lex_state = 6},
  [2505] = {.lex_state = 95, .external_lex_state = 2},
  [2506] = {.lex_state = 32, .external_lex_state = 9},
  [2507] = {.lex_state = 96, .external_lex_state = 2},
  [2508] = {.lex_state = 95, .external_lex_state = 2},
  [2509] = {.lex_state = 95, .external_lex_state = 2},
  [2510] = {.lex_state = 0, .external_lex_state = 2},
  [2511] = {.lex_state = 95, .external_lex_state = 2},
  [2512] = {.lex_state = 95, .external_lex_state = 2},
  [2513] = {.lex_state = 95, .external_lex_state = 2},
  [2514] = {.lex_state = 95, .external_lex_state = 2},
  [2515] = {.lex_state = 95, .external_lex_state = 2},
  [2516] = {.lex_state = 95, .external_lex_state = 2},
  [2517] = {.lex_state = 95, .external_lex_state = 2},
  [2518] = {.lex_state = 95, .external_lex_state = 2},
  [2519] = {.lex_state = 95, .external_lex_state = 2},
  [2520] = {.lex_state = 94, .external_lex_state = 2},
  [2521] = {.lex_state = 32, .external_lex_state = 9},
  [2522] = {.lex_state = 94, .external_lex_state = 2},
  [2523] = {.lex_state = 94, .external_lex_state = 2},
  [2524] = {.lex_state = 0, .external_lex_state = 2},
  [2525] = {.lex_state = 25, .external_lex_state = 2},
  [2526] = {.lex_state = 95, .external_lex_state = 2},
  [2527] = {.lex_state = 95, .external_lex_state = 2},
  [2528] = {.lex_state = 95, .external_lex_state = 2},
  [2529] = {.lex_state = 95, .external_lex_state = 2},
  [2530] = {.lex_state = 95, .external_lex_state = 2},
  [2531] = {.lex_state = 95, .external_lex_state = 2},
  [2532] = {.lex_state = 32, .external_lex_state = 6},
  [2533] = {.lex_state = 96, .external_lex_state = 2},
  [2534] = {.lex_state = 94, .external_lex_state = 2},
  [2535] = {.lex_state = 32, .external_lex_state = 6},
  [2536] = {.lex_state = 32, .external_lex_state = 9},
  [2537] = {.lex_state = 95, .external_lex_state = 2},
  [2538] = {.lex_state = 95, .external_lex_state = 2},
  [2539] = {.lex_state = 96, .external_lex_state = 2},
  [2540] = {.lex_state = 32, .external_lex_state = 9},
  [2541] = {.lex_state = 95, .external_lex_state = 2},
  [2542] = {.lex_state = 32, .external_lex_state = 6},
  [2543] = {.lex_state = 32, .external_lex_state = 6},
  [2544] = {.lex_state = 96, .external_lex_state = 2},
  [2545] = {.lex_state = 95, .external_lex_state = 2},
  [2546] = {.lex_state = 94, .external_lex_state = 2},
  [2547] = {.lex_state = 95, .external_lex_state = 2},
  [2548] = {.lex_state = 95, .external_lex_state = 2},
  [2549] = {.lex_state = 95, .external_lex_state = 2},
  [2550] = {.lex_state = 95, .external_lex_state = 2},
  [2551] = {.lex_state = 94, .external_lex_state = 2},
  [2552] = {.lex_state = 95, .external_lex_state = 2},
  [2553] = {.lex_state = 0, .external_lex_state = 2},
  [2554] = {.lex_state = 95, .external_lex_state = 2},
  [2555] = {.lex_state = 0, .external_lex_state = 2},
  [2556] = {.lex_state = 95, .external_lex_state = 2},
  [2557] = {.lex_state = 95, .external_lex_state = 2},
  [2558] = {.lex_state = 95, .external_lex_state = 2},
  [2559] = {.lex_state = 95, .external_lex_state = 2},
  [2560] = {.lex_state = 0, .external_lex_state = 2},
  [2561] = {.lex_state = 0, .external_lex_state = 2},
  [2562] = {.lex_state = 94, .external_lex_state = 2},
  [2563] = {.lex_state = 95, .external_lex_state = 2},
  [2564] = {.lex_state = 95, .external_lex_state = 2},
  [2565] = {.lex_state = 94, .external_lex_state = 2},
  [2566] = {.lex_state = 94, .external_lex_state = 2},
  [2567] = {.lex_state = 95, .external_lex_state = 2},
  [2568] = {.lex_state = 94, .external_lex_state = 2},
  [2569] = {.lex_state = 95, .external_lex_state = 2},
  [2570] = {.lex_state = 94, .external_lex_state = 2},
  [2571] = {.lex_state = 95, .external_lex_state = 2},
  [2572] = {.lex_state = 95, .external_lex_state = 2},
  [2573] = {.lex_state = 95, .external_lex_state = 2},
  [2574] = {.lex_state = 94, .external_lex_state = 2},
  [2575] = {.lex_state = 95, .external_lex_state = 2},
  [2576] = {.lex_state = 95, .external_lex_state = 2},
  [2577] = {.lex_state = 95, .external_lex_state = 2},
  [2578] = {.lex_state = 95, .external_lex_state = 2},
  [2579] = {.lex_state = 95, .external_lex_state = 2},
  [2580] = {.lex_state = 0, .external_lex_state = 2},
  [2581] = {.lex_state = 95, .external_lex_state = 2},
  [2582] = {.lex_state = 95, .external_lex_state = 2},
  [2583] = {.lex_state = 95, .external_lex_state = 2},
  [2584] = {.lex_state = 95, .external_lex_state = 2},
  [2585] = {.lex_state = 95, .external_lex_state = 2},
  [2586] = {.lex_state = 0, .external_lex_state = 2},
  [2587] = {.lex_state = 95, .external_lex_state = 2},
  [2588] = {.lex_state = 95, .external_lex_state = 2},
  [2589] = {.lex_state = 95, .external_lex_state = 2},
  [2590] = {.lex_state = 0, .external_lex_state = 2},
  [2591] = {.lex_state = 95, .external_lex_state = 2},
  [2592] = {.lex_state = 95, .external_lex_state = 2},
  [2593] = {.lex_state = 95, .external_lex_state = 2},
  [2594] = {.lex_state = 95, .external_lex_state = 2},
  [2595] = {.lex_state = 94, .external_lex_state = 2},
  [2596] = {.lex_state = 0, .external_lex_state = 2},
  [2597] = {.lex_state = 95, .external_lex_state = 2},
  [2598] = {.lex_state = 95, .external_lex_state = 2},
  [2599] = {.lex_state = 95, .external_lex_state = 2},
  [2600] = {.lex_state = 94, .external_lex_state = 2},
  [2601] = {.lex_state = 95, .external_lex_state = 2},
  [2602] = {.lex_state = 94, .external_lex_state = 2},
  [2603] = {.lex_state = 95, .external_lex_state = 2},
  [2604] = {.lex_state = 95, .external_lex_state = 2},
  [2605] = {.lex_state = 95, .external_lex_state = 2},
  [2606] = {.lex_state = 0, .external_lex_state = 2},
  [2607] = {.lex_state = 95, .external_lex_state = 2},
  [2608] = {.lex_state = 95, .external_lex_state = 2},
  [2609] = {.lex_state = 95, .external_lex_state = 2},
  [2610] = {.lex_state = 0, .external_lex_state = 2},
  [2611] = {.lex_state = 0, .external_lex_state = 2},
  [2612] = {.lex_state = 0, .external_lex_state = 2},
  [2613] = {.lex_state = 0, .external_lex_state = 2},
  [2614] = {.lex_state = 0, .external_lex_state = 2},
  [2615] = {.lex_state = 0, .external_lex_state = 2},
  [2616] = {.lex_state = 0, .external_lex_state = 2},
  [2617] = {.lex_state = 0, .external_lex_state = 2},
  [2618] = {.lex_state = 95, .external_lex_state = 2},
  [2619] = {.lex_state = 0, .external_lex_state = 2},
  [2620] = {.lex_state = 0, .external_lex_state = 2},
  [2621] = {.lex_state = 0, .external_lex_state = 2},
  [2622] = {.lex_state = 0, .external_lex_state = 2},
  [2623] = {.lex_state = 95, .external_lex_state = 2},
  [2624] = {.lex_state = 0, .external_lex_state = 2},
  [2625] = {.lex_state = 95, .external_lex_state = 2},
  [2626] = {.lex_state = 0, .external_lex_state = 2},
  [2627] = {.lex_state = 95, .external_lex_state = 2},
  [2628] = {.lex_state = 0, .external_lex_state = 2},
  [2629] = {.lex_state = 95, .external_lex_state = 2},
  [2630] = {.lex_state = 0, .external_lex_state = 2},
  [2631] = {.lex_state = 0, .external_lex_state = 2},
  [2632] = {.lex_state = 95, .external_lex_state = 2},
  [2633] = {.lex_state = 0, .external_lex_state = 2},
  [2634] = {.lex_state = 0, .external_lex_state = 2},
  [2635] = {.lex_state = 95, .external_lex_state = 2},
  [2636] = {.lex_state = 0, .external_lex_state = 2},
  [2637] = {.lex_state = 0, .external_lex_state = 2},
  [2638] = {.lex_state = 0, .external_lex_state = 2},
  [2639] = {.lex_state = 0, .external_lex_state = 2},
  [2640] = {.lex_state = 95, .external_lex_state = 2},
  [2641] = {.lex_state = 95, .external_lex_state = 2},
  [2642] = {.lex_state = 95, .external_lex_state = 2},
  [2643] = {.lex_state = 95, .external_lex_state = 2},
  [2644] = {.lex_state = 0, .external_lex_state = 2},
  [2645] = {.lex_state = 0, .external_lex_state = 2},
  [2646] = {.lex_state = 0, .external_lex_state = 2},
  [2647] = {.lex_state = 0, .external_lex_state = 2},
  [2648] = {.lex_state = 95, .external_lex_state = 2},
  [2649] = {.lex_state = 0, .external_lex_state = 2},
  [2650] = {.lex_state = 95, .external_lex_state = 2},
  [2651] = {.lex_state = 0, .external_lex_state = 2},
  [2652] = {.lex_state = 95, .external_lex_state = 2},
  [2653] = {.lex_state = 0, .external_lex_state = 2},
  [2654] = {.lex_state = 95, .external_lex_state = 2},
  [2655] = {.lex_state = 95, .external_lex_state = 2},
  [2656] = {.lex_state = 0, .external_lex_state = 2},
  [2657] = {.lex_state = 0, .external_lex_state = 2},
  [2658] = {.lex_state = 0, .external_lex_state = 2},
  [2659] = {.lex_state = 95, .external_lex_state = 2},
  [2660] = {.lex_state = 95, .external_lex_state = 2},
  [2661] = {.lex_state = 0, .external_lex_state = 2},
  [2662] = {.lex_state = 0, .external_lex_state = 2},
  [2663] = {.lex_state = 0, .external_lex_state = 2},
  [2664] = {.lex_state = 95, .external_lex_state = 2},
  [2665] = {.lex_state = 95, .external_lex_state = 2},
  [2666] = {.lex_state = 95, .external_lex_state = 2},
  [2667] = {.lex_state = 0, .external_lex_state = 2},
  [2668] = {.lex_state = 95, .external_lex_state = 2},
  [2669] = {.lex_state = 95, .external_lex_state = 2},
  [2670] = {.lex_state = 0, .external_lex_state = 2},
  [2671] = {.lex_state = 0, .external_lex_state = 2},
  [2672] = {.lex_state = 95, .external_lex_state = 2},
  [2673] = {.lex_state = 0, .external_lex_state = 2},
  [2674] = {.lex_state = 0, .external_lex_state = 2},
  [2675] = {.lex_state = 0, .external_lex_state = 2},
  [2676] = {.lex_state = 95, .external_lex_state = 2},
  [2677] = {.lex_state = 95, .external_lex_state = 2},
  [2678] = {.lex_state = 95, .external_lex_state = 2},
  [2679] = {.lex_state = 95, .external_lex_state = 2},
  [2680] = {.lex_state = 95, .external_lex_state = 2},
  [2681] = {.lex_state = 95, .external_lex_state = 2},
  [2682] = {.lex_state = 0, .external_lex_state = 2},
  [2683] = {.lex_state = 95, .external_lex_state = 2},
  [2684] = {.lex_state = 0, .external_lex_state = 2},
  [2685] = {.lex_state = 51, .external_lex_state = 2},
  [2686] = {.lex_state = 0, .external_lex_state = 2},
  [2687] = {.lex_state = 0, .external_lex_state = 2},
  [2688] = {.lex_state = 0, .external_lex_state = 2},
  [2689] = {.lex_state = 0, .external_lex_state = 2},
  [2690] = {.lex_state = 0, .external_lex_state = 2},
  [2691] = {.lex_state = 95, .external_lex_state = 2},
  [2692] = {.lex_state = 95, .external_lex_state = 2},
  [2693] = {.lex_state = 0, .external_lex_state = 2},
  [2694] = {.lex_state = 0, .external_lex_state = 2},
  [2695] = {.lex_state = 0, .external_lex_state = 2},
  [2696] = {.lex_state = 95, .external_lex_state = 2},
  [2697] = {.lex_state = 95, .external_lex_state = 2},
  [2698] = {.lex_state = 95, .external_lex_state = 2},
  [2699] = {.lex_state = 0, .external_lex_state = 2},
  [2700] = {.lex_state = 95, .external_lex_state = 2},
  [2701] = {.lex_state = 0, .external_lex_state = 2},
  [2702] = {.lex_state = 0, .external_lex_state = 2},
  [2703] = {.lex_state = 0, .external_lex_state = 2},
  [2704] = {.lex_state = 95, .external_lex_state = 2},
  [2705] = {.lex_state = 95, .external_lex_state = 2},
  [2706] = {.lex_state = 95, .external_lex_state = 2},
  [2707] = {.lex_state = 95, .external_lex_state = 2},
  [2708] = {.lex_state = 95, .external_lex_state = 2},
  [2709] = {.lex_state = 95, .external_lex_state = 2},
  [2710] = {.lex_state = 95, .external_lex_state = 2},
  [2711] = {.lex_state = 95, .external_lex_state = 2},
  [2712] = {.lex_state = 0, .external_lex_state = 2},
  [2713] = {.lex_state = 95, .external_lex_state = 2},
  [2714] = {.lex_state = 0, .external_lex_state = 2},
  [2715] = {.lex_state = 0, .external_lex_state = 2},
  [2716] = {.lex_state = 51, .external_lex_state = 2},
  [2717] = {.lex_state = 0, .external_lex_state = 2},
  [2718] = {.lex_state = 0, .external_lex_state = 2},
  [2719] = {.lex_state = 0, .external_lex_state = 2},
  [2720] = {.lex_state = 95, .external_lex_state = 2},
  [2721] = {.lex_state = 0, .external_lex_state = 2},
  [2722] = {.lex_state = 0, .external_lex_state = 2},
  [2723] = {.lex_state = 95, .external_lex_state = 2},
  [2724] = {.lex_state = 95, .external_lex_state = 2},
  [2725] = {.lex_state = 0, .external_lex_state = 2},
  [2726] = {.lex_state = 0, .external_lex_state = 2},
  [2727] = {.lex_state = 0, .external_lex_state = 2},
  [2728] = {.lex_state = 0, .external_lex_state = 2},
  [2729] = {.lex_state = 0, .external_lex_state = 2},
  [2730] = {.lex_state = 95, .external_lex_state = 2},
  [2731] = {.lex_state = 95, .external_lex_state = 2},
  [2732] = {.lex_state = 95, .external_lex_state = 2},
  [2733] = {.lex_state = 0, .external_lex_state = 2},
  [2734] = {.lex_state = 0, .external_lex_state = 2},
  [2735] = {.lex_state = 0, .external_lex_state = 2},
  [2736] = {.lex_state = 0, .external_lex_state = 2},
  [2737] = {.lex_state = 0, .external_lex_state = 2},
  [2738] = {.lex_state = 0, .external_lex_state = 2},
  [2739] = {.lex_state = 0, .external_lex_state = 2},
  [2740] = {.lex_state = 95, .external_lex_state = 2},
  [2741] = {.lex_state = 95, .external_lex_state = 2},
  [2742] = {.lex_state = 95, .external_lex_state = 2},
  [2743] = {.lex_state = 0, .external_lex_state = 2},
  [2744] = {.lex_state = 0, .external_lex_state = 2},
  [2745] = {.lex_state = 0, .external_lex_state = 2},
  [2746] = {.lex_state = 0, .external_lex_state = 2},
  [2747] = {.lex_state = 0, .external_lex_state = 2},
  [2748] = {.lex_state = 95, .external_lex_state = 2},
  [2749] = {.lex_state = 95, .external_lex_state = 2},
  [2750] = {.lex_state = 95, .external_lex_state = 2},
  [2751] = {.lex_state = 0, .external_lex_state = 2},
  [2752] = {.lex_state = 0, .external_lex_state = 2},
  [2753] = {.lex_state = 0, .external_lex_state = 2},
  [2754] = {.lex_state = 0, .external_lex_state = 2},
  [2755] = {.lex_state = 0, .external_lex_state = 2},
  [2756] = {.lex_state = 95, .external_lex_state = 2},
  [2757] = {.lex_state = 0, .external_lex_state = 2},
  [2758] = {.lex_state = 0, .external_lex_state = 2},
  [2759] = {.lex_state = 0, .external_lex_state = 2},
  [2760] = {.lex_state = 95, .external_lex_state = 2},
  [2761] = {.lex_state = 95, .external_lex_state = 2},
  [2762] = {.lex_state = 95, .external_lex_state = 2},
  [2763] = {.lex_state = 0, .external_lex_state = 2},
  [2764] = {.lex_state = 0, .external_lex_state = 2},
  [2765] = {.lex_state = 0, .external_lex_state = 2},
  [2766] = {.lex_state = 0, .external_lex_state = 2},
  [2767] = {.lex_state = 0, .external_lex_state = 2},
  [2768] = {.lex_state = 0, .external_lex_state = 2},
  [2769] = {.lex_state = 0, .external_lex_state = 2},
  [2770] = {.lex_state = 0, .external_lex_state = 2},
  [2771] = {.lex_state = 0, .external_lex_state = 2},
  [2772] = {.lex_state = 0, .external_lex_state = 2},
  [2773] = {.lex_state = 95, .external_lex_state = 2},
  [2774] = {.lex_state = 0, .external_lex_state = 2},
  [2775] = {.lex_state = 0, .external_lex_state = 2},
  [2776] = {.lex_state = 0, .external_lex_state = 2},
  [2777] = {.lex_state = 0, .external_lex_state = 2},
  [2778] = {.lex_state = 0, .external_lex_state = 2},
  [2779] = {.lex_state = 0, .external_lex_state = 2},
  [2780] = {.lex_state = 95, .external_lex_state = 2},
  [2781] = {.lex_state = 0, .external_lex_state = 2},
  [2782] = {.lex_state = 0, .external_lex_state = 2},
  [2783] = {.lex_state = 0, .external_lex_state = 2},
  [2784] = {.lex_state = 0, .external_lex_state = 2},
  [2785] = {.lex_state = 0, .external_lex_state = 2},
  [2786] = {.lex_state = 95, .external_lex_state = 2},
  [2787] = {.lex_state = 0, .external_lex_state = 2},
  [2788] = {.lex_state = 94, .external_lex_state = 2},
  [2789] = {.lex_state = 0, .external_lex_state = 2},
  [2790] = {.lex_state = 0, .external_lex_state = 2},
  [2791] = {.lex_state = 0, .external_lex_state = 2},
  [2792] = {.lex_state = 0, .external_lex_state = 2},
  [2793] = {.lex_state = 0, .external_lex_state = 2},
  [2794] = {.lex_state = 0, .external_lex_state = 2},
  [2795] = {.lex_state = 0, .external_lex_state = 2},
  [2796] = {.lex_state = 0, .external_lex_state = 2},
  [2797] = {.lex_state = 0, .external_lex_state = 2},
  [2798] = {.lex_state = 95, .external_lex_state = 2},
  [2799] = {.lex_state = 0, .external_lex_state = 2},
  [2800] = {.lex_state = 0, .external_lex_state = 2},
  [2801] = {.lex_state = 95, .external_lex_state = 2},
  [2802] = {.lex_state = 95, .external_lex_state = 2},
  [2803] = {.lex_state = 0, .external_lex_state = 2},
  [2804] = {.lex_state = 0, .external_lex_state = 2},
  [2805] = {.lex_state = 0, .external_lex_state = 2},
  [2806] = {.lex_state = 0, .external_lex_state = 2},
  [2807] = {.lex_state = 0, .external_lex_state = 2},
  [2808] = {.lex_state = 0, .external_lex_state = 2},
  [2809] = {.lex_state = 0, .external_lex_state = 2},
  [2810] = {.lex_state = 95, .external_lex_state = 2},
  [2811] = {.lex_state = 0, .external_lex_state = 2},
  [2812] = {.lex_state = 0, .external_lex_state = 2},
  [2813] = {.lex_state = 51, .external_lex_state = 2},
  [2814] = {.lex_state = 94, .external_lex_state = 2},
  [2815] = {.lex_state = 94, .external_lex_state = 2},
  [2816] = {.lex_state = 0, .external_lex_state = 2},
  [2817] = {.lex_state = 95, .external_lex_state = 2},
  [2818] = {.lex_state = 0, .external_lex_state = 2},
  [2819] = {.lex_state = 0, .external_lex_state = 2},
  [2820] = {.lex_state = 95, .external_lex_state = 2},
  [2821] = {.lex_state = 95, .external_lex_state = 2},
  [2822] = {.lex_state = 95, .external_lex_state = 2},
  [2823] = {.lex_state = 95, .external_lex_state = 2},
  [2824] = {.lex_state = 0, .external_lex_state = 2},
  [2825] = {.lex_state = 94, .external_lex_state = 2},
  [2826] = {.lex_state = 0, .external_lex_state = 2},
  [2827] = {.lex_state = 0, .external_lex_state = 2},
  [2828] = {.lex_state = 0, .external_lex_state = 3},
  [2829] = {.lex_state = 0, .external_lex_state = 2},
  [2830] = {.lex_state = 0, .external_lex_state = 2},
  [2831] = {.lex_state = 95, .external_lex_state = 2},
  [2832] = {.lex_state = 0, .external_lex_state = 2},
  [2833] = {.lex_state = 0, .external_lex_state = 2},
  [2834] = {.lex_state = 0, .external_lex_state = 2},
  [2835] = {.lex_state = 0, .external_lex_state = 2},
  [2836] = {.lex_state = 95, .external_lex_state = 2},
  [2837] = {.lex_state = 95, .external_lex_state = 2},
  [2838] = {.lex_state = 95, .external_lex_state = 2},
  [2839] = {.lex_state = 95, .external_lex_state = 2},
  [2840] = {.lex_state = 95, .external_lex_state = 2},
  [2841] = {.lex_state = 0, .external_lex_state = 2},
  [2842] = {.lex_state = 95, .external_lex_state = 2},
  [2843] = {.lex_state = 0, .external_lex_state = 2},
  [2844] = {.lex_state = 0, .external_lex_state = 2},
  [2845] = {.lex_state = 95, .external_lex_state = 2},
  [2846] = {.lex_state = 51, .external_lex_state = 2},
  [2847] = {.lex_state = 0, .external_lex_state = 2},
  [2848] = {.lex_state = 0, .external_lex_state = 2},
  [2849] = {.lex_state = 95, .external_lex_state = 2},
  [2850] = {.lex_state = 95, .external_lex_state = 2},
  [2851] = {.lex_state = 0, .external_lex_state = 2},
  [2852] = {.lex_state = 0, .external_lex_state = 2},
  [2853] = {.lex_state = 0, .external_lex_state = 2},
  [2854] = {.lex_state = 0, .external_lex_state = 2},
  [2855] = {.lex_state = 0, .external_lex_state = 2},
  [2856] = {.lex_state = 95, .external_lex_state = 2},
  [2857] = {.lex_state = 0, .external_lex_state = 2},
  [2858] = {.lex_state = 0, .external_lex_state = 2},
  [2859] = {.lex_state = 95, .external_lex_state = 2},
  [2860] = {.lex_state = 0, .external_lex_state = 2},
  [2861] = {.lex_state = 95, .external_lex_state = 2},
  [2862] = {.lex_state = 95, .external_lex_state = 2},
  [2863] = {.lex_state = 95, .external_lex_state = 2},
  [2864] = {.lex_state = 95, .external_lex_state = 2},
  [2865] = {.lex_state = 95, .external_lex_state = 2},
  [2866] = {.lex_state = 0, .external_lex_state = 2},
  [2867] = {.lex_state = 0, .external_lex_state = 2},
  [2868] = {.lex_state = 0, .external_lex_state = 2},
  [2869] = {.lex_state = 0, .external_lex_state = 2},
  [2870] = {.lex_state = 95, .external_lex_state = 2},
  [2871] = {.lex_state = 94, .external_lex_state = 2},
  [2872] = {.lex_state = 0, .external_lex_state = 2},
  [2873] = {.lex_state = 0, .external_lex_state = 2},
  [2874] = {.lex_state = 94, .external_lex_state = 2},
  [2875] = {.lex_state = 94, .external_lex_state = 2},
  [2876] = {.lex_state = 0, .external_lex_state = 2},
  [2877] = {.lex_state = 0, .external_lex_state = 2},
  [2878] = {.lex_state = 0, .external_lex_state = 2},
  [2879] = {.lex_state = 0, .external_lex_state = 2},
  [2880] = {.lex_state = 0, .external_lex_state = 2},
  [2881] = {.lex_state = 0, .external_lex_state = 2},
  [2882] = {.lex_state = 0, .external_lex_state = 2},
  [2883] = {.lex_state = 95, .external_lex_state = 2},
  [2884] = {.lex_state = 0, .external_lex_state = 2},
  [2885] = {.lex_state = 0, .external_lex_state = 2},
  [2886] = {.lex_state = 0, .external_lex_state = 2},
  [2887] = {.lex_state = 0, .external_lex_state = 2},
  [2888] = {.lex_state = 0, .external_lex_state = 2},
  [2889] = {.lex_state = 0, .external_lex_state = 2},
  [2890] = {.lex_state = 95, .external_lex_state = 2},
  [2891] = {.lex_state = 0, .external_lex_state = 2},
  [2892] = {.lex_state = 95, .external_lex_state = 2},
  [2893] = {.lex_state = 0, .external_lex_state = 2},
  [2894] = {.lex_state = 0, .external_lex_state = 2},
  [2895] = {.lex_state = 0, .external_lex_state = 2},
  [2896] = {.lex_state = 0, .external_lex_state = 2},
  [2897] = {.lex_state = 0, .external_lex_state = 2},
  [2898] = {.lex_state = 0, .external_lex_state = 2},
  [2899] = {.lex_state = 0, .external_lex_state = 2},
  [2900] = {.lex_state = 0, .external_lex_state = 2},
  [2901] = {.lex_state = 0, .external_lex_state = 2},
  [2902] = {.lex_state = 0, .external_lex_state = 2},
  [2903] = {.lex_state = 0, .external_lex_state = 2},
  [2904] = {.lex_state = 0, .external_lex_state = 2},
  [2905] = {.lex_state = 0, .external_lex_state = 2},
  [2906] = {.lex_state = 95, .external_lex_state = 2},
  [2907] = {.lex_state = 95, .external_lex_state = 2},
  [2908] = {.lex_state = 0, .external_lex_state = 2},
  [2909] = {.lex_state = 95, .external_lex_state = 2},
  [2910] = {.lex_state = 95, .external_lex_state = 2},
  [2911] = {.lex_state = 0, .external_lex_state = 2},
  [2912] = {.lex_state = 0, .external_lex_state = 2},
  [2913] = {.lex_state = 0, .external_lex_state = 2},
  [2914] = {.lex_state = 95, .external_lex_state = 2},
  [2915] = {.lex_state = 0, .external_lex_state = 2},
  [2916] = {.lex_state = 0, .external_lex_state = 2},
  [2917] = {.lex_state = 0, .external_lex_state = 2},
  [2918] = {.lex_state = 0, .external_lex_state = 2},
  [2919] = {.lex_state = 0, .external_lex_state = 2},
  [2920] = {.lex_state = 0, .external_lex_state = 2},
  [2921] = {.lex_state = 0, .external_lex_state = 2},
  [2922] = {.lex_state = 95, .external_lex_state = 2},
  [2923] = {.lex_state = 95, .external_lex_state = 2},
  [2924] = {.lex_state = 95, .external_lex_state = 2},
  [2925] = {.lex_state = 0, .external_lex_state = 2},
  [2926] = {.lex_state = 0, .external_lex_state = 2},
  [2927] = {.lex_state = 0, .external_lex_state = 2},
  [2928] = {.lex_state = 0, .external_lex_state = 2},
  [2929] = {.lex_state = 0, .external_lex_state = 2},
  [2930] = {.lex_state = 0, .external_lex_state = 2},
  [2931] = {.lex_state = 0, .external_lex_state = 2},
  [2932] = {.lex_state = 0, .external_lex_state = 2},
  [2933] = {.lex_state = 0, .external_lex_state = 2},
  [2934] = {.lex_state = 0, .external_lex_state = 2},
  [2935] = {.lex_state = 0, .external_lex_state = 2},
  [2936] = {.lex_state = 0, .external_lex_state = 2},
  [2937] = {.lex_state = 95, .external_lex_state = 2},
  [2938] = {.lex_state = 0, .external_lex_state = 2},
  [2939] = {.lex_state = 0, .external_lex_state = 2},
  [2940] = {.lex_state = 0, .external_lex_state = 2},
  [2941] = {.lex_state = 0, .external_lex_state = 2},
  [2942] = {.lex_state = 95, .external_lex_state = 2},
  [2943] = {.lex_state = 0, .external_lex_state = 2},
  [2944] = {.lex_state = 0, .external_lex_state = 2},
  [2945] = {.lex_state = 0, .external_lex_state = 2},
  [2946] = {.lex_state = 0, .external_lex_state = 2},
  [2947] = {.lex_state = 0, .external_lex_state = 2},
  [2948] = {.lex_state = 0, .external_lex_state = 2},
  [2949] = {.lex_state = 95, .external_lex_state = 2},
  [2950] = {.lex_state = 0, .external_lex_state = 2},
  [2951] = {.lex_state = 0, .external_lex_state = 2},
  [2952] = {.lex_state = 0, .external_lex_state = 2},
  [2953] = {.lex_state = 29, .external_lex_state = 2},
  [2954] = {.lex_state = 0, .external_lex_state = 2},
  [2955] = {.lex_state = 0, .external_lex_state = 2},
  [2956] = {.lex_state = 0, .external_lex_state = 2},
  [2957] = {.lex_state = 96, .external_lex_state = 2},
  [2958] = {.lex_state = 0, .external_lex_state = 2},
  [2959] = {.lex_state = 0, .external_lex_state = 2},
  [2960] = {.lex_state = 0, .external_lex_state = 2},
  [2961] = {.lex_state = 0, .external_lex_state = 2},
  [2962] = {.lex_state = 95, .external_lex_state = 2},
  [2963] = {.lex_state = 0, .external_lex_state = 2},
  [2964] = {.lex_state = 0, .external_lex_state = 2},
  [2965] = {.lex_state = 0, .external_lex_state = 2},
  [2966] = {.lex_state = 0, .external_lex_state = 2},
  [2967] = {.lex_state = 95, .external_lex_state = 2},
  [2968] = {.lex_state = 95, .external_lex_state = 2},
  [2969] = {.lex_state = 0, .external_lex_state = 2},
  [2970] = {.lex_state = 95, .external_lex_state = 2},
  [2971] = {.lex_state = 0, .external_lex_state = 2},
  [2972] = {.lex_state = 0, .external_lex_state = 2},
  [2973] = {.lex_state = 0, .external_lex_state = 2},
  [2974] = {.lex_state = 0, .external_lex_state = 2},
  [2975] = {.lex_state = 95, .external_lex_state = 2},
  [2976] = {.lex_state = 0, .external_lex_state = 2},
  [2977] = {.lex_state = 0, .external_lex_state = 2},
  [2978] = {.lex_state = 0, .external_lex_state = 2},
  [2979] = {.lex_state = 0, .external_lex_state = 2},
  [2980] = {.lex_state = 95, .external_lex_state = 2},
  [2981] = {.lex_state = 0, .external_lex_state = 2},
  [2982] = {.lex_state = 0, .external_lex_state = 2},
  [2983] = {.lex_state = 95, .external_lex_state = 2},
  [2984] = {.lex_state = 95, .external_lex_state = 2},
  [2985] = {.lex_state = 94, .external_lex_state = 2},
  [2986] = {.lex_state = 0, .external_lex_state = 2},
  [2987] = {.lex_state = 95, .external_lex_state = 2},
  [2988] = {.lex_state = 95, .external_lex_state = 2},
  [2989] = {.lex_state = 0, .external_lex_state = 2},
  [2990] = {.lex_state = 95, .external_lex_state = 2},
  [2991] = {.lex_state = 0, .external_lex_state = 2},
  [2992] = {.lex_state = 0, .external_lex_state = 2},
  [2993] = {.lex_state = 95, .external_lex_state = 2},
  [2994] = {.lex_state = 95, .external_lex_state = 2},
  [2995] = {.lex_state = 0, .external_lex_state = 2},
  [2996] = {.lex_state = 0, .external_lex_state = 2},
  [2997] = {.lex_state = 0, .external_lex_state = 2},
  [2998] = {.lex_state = 0, .external_lex_state = 2},
  [2999] = {.lex_state = 0, .external_lex_state = 2},
  [3000] = {.lex_state = 0, .external_lex_state = 2},
  [3001] = {.lex_state = 0, .external_lex_state = 2},
  [3002] = {.lex_state = 95, .external_lex_state = 2},
  [3003] = {.lex_state = 0, .external_lex_state = 2},
  [3004] = {.lex_state = 0, .external_lex_state = 2},
  [3005] = {.lex_state = 0, .external_lex_state = 2},
  [3006] = {.lex_state = 0, .external_lex_state = 2},
  [3007] = {.lex_state = 0, .external_lex_state = 2},
  [3008] = {.lex_state = 0, .external_lex_state = 2},
  [3009] = {.lex_state = 0, .external_lex_state = 2},
  [3010] = {.lex_state = 95, .external_lex_state = 2},
  [3011] = {.lex_state = 0, .external_lex_state = 2},
  [3012] = {.lex_state = 0, .external_lex_state = 2},
  [3013] = {.lex_state = 0, .external_lex_state = 2},
  [3014] = {.lex_state = 0, .external_lex_state = 2},
  [3015] = {.lex_state = 0, .external_lex_state = 2},
  [3016] = {.lex_state = 0, .external_lex_state = 2},
  [3017] = {.lex_state = 0, .external_lex_state = 2},
  [3018] = {.lex_state = 0, .external_lex_state = 2},
  [3019] = {.lex_state = 0, .external_lex_state = 2},
  [3020] = {.lex_state = 0, .external_lex_state = 2},
  [3021] = {.lex_state = 0, .external_lex_state = 2},
  [3022] = {.lex_state = 0, .external_lex_state = 2},
  [3023] = {.lex_state = 95, .external_lex_state = 2},
  [3024] = {.lex_state = 95, .external_lex_state = 2},
  [3025] = {.lex_state = 0, .external_lex_state = 2},
  [3026] = {.lex_state = 0, .external_lex_state = 2},
  [3027] = {.lex_state = 0, .external_lex_state = 2},
  [3028] = {.lex_state = 0, .external_lex_state = 2},
  [3029] = {.lex_state = 0, .external_lex_state = 2},
  [3030] = {.lex_state = 0, .external_lex_state = 2},
  [3031] = {.lex_state = 0, .external_lex_state = 2},
  [3032] = {.lex_state = 0, .external_lex_state = 2},
  [3033] = {.lex_state = 0, .external_lex_state = 2},
  [3034] = {.lex_state = 0, .external_lex_state = 2},
  [3035] = {.lex_state = 0, .external_lex_state = 2},
  [3036] = {.lex_state = 0, .external_lex_state = 2},
  [3037] = {.lex_state = 0, .external_lex_state = 2},
  [3038] = {.lex_state = 0, .external_lex_state = 2},
  [3039] = {.lex_state = 0, .external_lex_state = 2},
  [3040] = {.lex_state = 0, .external_lex_state = 2},
  [3041] = {.lex_state = 0, .external_lex_state = 2},
  [3042] = {.lex_state = 0, .external_lex_state = 2},
  [3043] = {.lex_state = 0, .external_lex_state = 2},
  [3044] = {.lex_state = 0, .external_lex_state = 2},
  [3045] = {.lex_state = 0, .external_lex_state = 2},
  [3046] = {.lex_state = 0, .external_lex_state = 2},
  [3047] = {.lex_state = 0, .external_lex_state = 2},
  [3048] = {.lex_state = 0, .external_lex_state = 2},
  [3049] = {.lex_state = 0, .external_lex_state = 2},
  [3050] = {.lex_state = 0, .external_lex_state = 2},
  [3051] = {.lex_state = 0, .external_lex_state = 2},
  [3052] = {.lex_state = 0, .external_lex_state = 2},
  [3053] = {.lex_state = 0, .external_lex_state = 2},
  [3054] = {.lex_state = 0, .external_lex_state = 2},
  [3055] = {.lex_state = 0, .external_lex_state = 2},
  [3056] = {.lex_state = 0, .external_lex_state = 2},
  [3057] = {.lex_state = 0, .external_lex_state = 2},
  [3058] = {.lex_state = 0, .external_lex_state = 2},
  [3059] = {.lex_state = 0, .external_lex_state = 2},
  [3060] = {.lex_state = 0, .external_lex_state = 2},
  [3061] = {.lex_state = 0, .external_lex_state = 2},
  [3062] = {.lex_state = 0, .external_lex_state = 2},
  [3063] = {.lex_state = 0, .external_lex_state = 2},
  [3064] = {.lex_state = 0, .external_lex_state = 2},
  [3065] = {.lex_state = 95, .external_lex_state = 2},
  [3066] = {.lex_state = 0, .external_lex_state = 2},
  [3067] = {.lex_state = 0, .external_lex_state = 2},
  [3068] = {.lex_state = 0, .external_lex_state = 2},
  [3069] = {.lex_state = 0, .external_lex_state = 2},
  [3070] = {.lex_state = 0, .external_lex_state = 2},
  [3071] = {.lex_state = 0, .external_lex_state = 2},
  [3072] = {.lex_state = 0, .external_lex_state = 2},
  [3073] = {.lex_state = 0, .external_lex_state = 2},
  [3074] = {.lex_state = 0, .external_lex_state = 2},
  [3075] = {.lex_state = 0, .external_lex_state = 2},
  [3076] = {.lex_state = 0, .external_lex_state = 2},
  [3077] = {.lex_state = 0, .external_lex_state = 2},
  [3078] = {.lex_state = 0, .external_lex_state = 2},
  [3079] = {.lex_state = 0, .external_lex_state = 2},
  [3080] = {.lex_state = 0, .external_lex_state = 2},
  [3081] = {.lex_state = 0, .external_lex_state = 2},
  [3082] = {.lex_state = 0, .external_lex_state = 2},
  [3083] = {.lex_state = 0, .external_lex_state = 2},
  [3084] = {.lex_state = 0, .external_lex_state = 2},
  [3085] = {.lex_state = 0, .external_lex_state = 2},
  [3086] = {.lex_state = 0, .external_lex_state = 2},
  [3087] = {.lex_state = 0, .external_lex_state = 2},
  [3088] = {.lex_state = 0, .external_lex_state = 2},
  [3089] = {.lex_state = 0, .external_lex_state = 2},
  [3090] = {.lex_state = 0, .external_lex_state = 2},
  [3091] = {.lex_state = 95, .external_lex_state = 2},
  [3092] = {.lex_state = 0, .external_lex_state = 2},
  [3093] = {.lex_state = 0, .external_lex_state = 2},
  [3094] = {.lex_state = 0, .external_lex_state = 2},
  [3095] = {.lex_state = 0, .external_lex_state = 2},
  [3096] = {.lex_state = 0, .external_lex_state = 2},
  [3097] = {.lex_state = 95, .external_lex_state = 2},
  [3098] = {.lex_state = 0, .external_lex_state = 2},
  [3099] = {.lex_state = 0, .external_lex_state = 2},
  [3100] = {.lex_state = 95, .external_lex_state = 2},
  [3101] = {.lex_state = 95, .external_lex_state = 2},
  [3102] = {.lex_state = 95, .external_lex_state = 2},
  [3103] = {.lex_state = 95, .external_lex_state = 2},
  [3104] = {.lex_state = 95, .external_lex_state = 2},
  [3105] = {.lex_state = 0, .external_lex_state = 2},
  [3106] = {.lex_state = 95, .external_lex_state = 2},
  [3107] = {.lex_state = 95, .external_lex_state = 2},
  [3108] = {.lex_state = 0, .external_lex_state = 2},
  [3109] = {.lex_state = 0, .external_lex_state = 2},
  [3110] = {.lex_state = 0, .external_lex_state = 2},
  [3111] = {.lex_state = 1, .external_lex_state = 2},
  [3112] = {.lex_state = 95, .external_lex_state = 2},
  [3113] = {.lex_state = 0, .external_lex_state = 2},
  [3114] = {.lex_state = 0, .external_lex_state = 2},
  [3115] = {.lex_state = 0, .external_lex_state = 2},
  [3116] = {.lex_state = 95, .external_lex_state = 2},
  [3117] = {.lex_state = 0, .external_lex_state = 2},
  [3118] = {.lex_state = 0, .external_lex_state = 2},
  [3119] = {.lex_state = 95, .external_lex_state = 2},
  [3120] = {.lex_state = 95, .external_lex_state = 2},
  [3121] = {.lex_state = 0, .external_lex_state = 2},
  [3122] = {.lex_state = 0, .external_lex_state = 2},
  [3123] = {.lex_state = 0, .external_lex_state = 2},
  [3124] = {.lex_state = 0, .external_lex_state = 2},
  [3125] = {.lex_state = 0, .external_lex_state = 2},
  [3126] = {.lex_state = 0, .external_lex_state = 2},
  [3127] = {.lex_state = 95, .external_lex_state = 2},
  [3128] = {.lex_state = 95, .external_lex_state = 2},
  [3129] = {.lex_state = 0, .external_lex_state = 2},
  [3130] = {.lex_state = 95, .external_lex_state = 2},
  [3131] = {.lex_state = 0, .external_lex_state = 2},
  [3132] = {.lex_state = 0, .external_lex_state = 2},
  [3133] = {.lex_state = 95, .external_lex_state = 2},
  [3134] = {.lex_state = 0, .external_lex_state = 2},
  [3135] = {.lex_state = 95, .external_lex_state = 2},
  [3136] = {.lex_state = 0, .external_lex_state = 2},
  [3137] = {.lex_state = 0, .external_lex_state = 2},
  [3138] = {.lex_state = 95, .external_lex_state = 2},
  [3139] = {.lex_state = 95, .external_lex_state = 2},
  [3140] = {.lex_state = 95, .external_lex_state = 2},
  [3141] = {.lex_state = 95, .external_lex_state = 2},
  [3142] = {.lex_state = 0, .external_lex_state = 2},
  [3143] = {.lex_state = 95, .external_lex_state = 2},
  [3144] = {.lex_state = 0, .external_lex_state = 2},
  [3145] = {.lex_state = 0, .external_lex_state = 2},
  [3146] = {.lex_state = 95, .external_lex_state = 2},
  [3147] = {.lex_state = 95, .external_lex_state = 2},
  [3148] = {.lex_state = 95, .external_lex_state = 2},
  [3149] = {.lex_state = 95, .external_lex_state = 2},
  [3150] = {.lex_state = 0, .external_lex_state = 2},
  [3151] = {.lex_state = 95, .external_lex_state = 2},
  [3152] = {.lex_state = 95, .external_lex_state = 2},
  [3153] = {.lex_state = 95, .external_lex_state = 2},
  [3154] = {.lex_state = 95, .external_lex_state = 2},
  [3155] = {.lex_state = 0, .external_lex_state = 2},
  [3156] = {.lex_state = 0, .external_lex_state = 2},
  [3157] = {.lex_state = 95, .external_lex_state = 2},
  [3158] = {.lex_state = 95, .external_lex_state = 2},
  [3159] = {.lex_state = 0, .external_lex_state = 2},
  [3160] = {.lex_state = 0, .external_lex_state = 2},
  [3161] = {.lex_state = 0, .external_lex_state = 2},
  [3162] = {.lex_state = 95, .external_lex_state = 2},
  [3163] = {.lex_state = 95, .external_lex_state = 2},
  [3164] = {.lex_state = 0, .external_lex_state = 2},
  [3165] = {.lex_state = 0, .external_lex_state = 2},
  [3166] = {.lex_state = 0, .external_lex_state = 2},
  [3167] = {.lex_state = 95, .external_lex_state = 2},
  [3168] = {.lex_state = 95, .external_lex_state = 2},
  [3169] = {.lex_state = 0, .external_lex_state = 2},
  [3170] = {.lex_state = 0, .external_lex_state = 2},
  [3171] = {.lex_state = 0, .external_lex_state = 2},
  [3172] = {.lex_state = 95, .external_lex_state = 2},
  [3173] = {.lex_state = 95, .external_lex_state = 2},
  [3174] = {.lex_state = 95, .external_lex_state = 2},
  [3175] = {.lex_state = 0, .external_lex_state = 2},
  [3176] = {.lex_state = 95, .external_lex_state = 2},
  [3177] = {.lex_state = 95, .external_lex_state = 2},
  [3178] = {.lex_state = 95, .external_lex_state = 2},
  [3179] = {.lex_state = 0, .external_lex_state = 2},
  [3180] = {.lex_state = 95, .external_lex_state = 2},
  [3181] = {.lex_state = 95, .external_lex_state = 2},
  [3182] = {.lex_state = 0, .external_lex_state = 2},
  [3183] = {.lex_state = 0, .external_lex_state = 2},
  [3184] = {.lex_state = 0, .external_lex_state = 2},
  [3185] = {.lex_state = 0, .external_lex_state = 2},
  [3186] = {.lex_state = 0, .external_lex_state = 2},
  [3187] = {.lex_state = 0, .external_lex_state = 2},
  [3188] = {.lex_state = 0, .external_lex_state = 2},
  [3189] = {.lex_state = 0, .external_lex_state = 2},
  [3190] = {.lex_state = 0, .external_lex_state = 2},
  [3191] = {.lex_state = 95, .external_lex_state = 2},
  [3192] = {.lex_state = 0, .external_lex_state = 2},
  [3193] = {.lex_state = 95, .external_lex_state = 2},
  [3194] = {.lex_state = 0, .external_lex_state = 2},
  [3195] = {.lex_state = 0, .external_lex_state = 2},
  [3196] = {.lex_state = 95, .external_lex_state = 2},
  [3197] = {.lex_state = 95, .external_lex_state = 2},
  [3198] = {.lex_state = 0, .external_lex_state = 2},
  [3199] = {.lex_state = 95, .external_lex_state = 2},
  [3200] = {.lex_state = 95, .external_lex_state = 2},
  [3201] = {.lex_state = 95, .external_lex_state = 2},
  [3202] = {.lex_state = 0, .external_lex_state = 2},
  [3203] = {.lex_state = 95, .external_lex_state = 2},
  [3204] = {.lex_state = 95, .external_lex_state = 2},
  [3205] = {.lex_state = 95, .external_lex_state = 2},
  [3206] = {.lex_state = 0, .external_lex_state = 2},
  [3207] = {.lex_state = 0, .external_lex_state = 2},
  [3208] = {.lex_state = 0, .external_lex_state = 2},
  [3209] = {.lex_state = 95, .external_lex_state = 2},
  [3210] = {.lex_state = 95, .external_lex_state = 2},
  [3211] = {.lex_state = 95, .external_lex_state = 2},
  [3212] = {.lex_state = 0, .external_lex_state = 2},
  [3213] = {.lex_state = 0, .external_lex_state = 2},
  [3214] = {.lex_state = 0, .external_lex_state = 2},
  [3215] = {.lex_state = 95, .external_lex_state = 2},
  [3216] = {.lex_state = 0, .external_lex_state = 2},
  [3217] = {.lex_state = 0, .external_lex_state = 2},
  [3218] = {.lex_state = 0, .external_lex_state = 2},
  [3219] = {.lex_state = 95, .external_lex_state = 2},
  [3220] = {.lex_state = 0, .external_lex_state = 2},
  [3221] = {.lex_state = 95, .external_lex_state = 2},
  [3222] = {.lex_state = 0, .external_lex_state = 2},
  [3223] = {.lex_state = 95, .external_lex_state = 2},
  [3224] = {.lex_state = 95, .external_lex_state = 2},
  [3225] = {.lex_state = 95, .external_lex_state = 2},
  [3226] = {.lex_state = 0, .external_lex_state = 2},
  [3227] = {.lex_state = 95, .external_lex_state = 2},
  [3228] = {.lex_state = 95, .external_lex_state = 2},
  [3229] = {.lex_state = 95, .external_lex_state = 2},
  [3230] = {.lex_state = 0, .external_lex_state = 2},
  [3231] = {.lex_state = 95, .external_lex_state = 2},
  [3232] = {.lex_state = 0, .external_lex_state = 2},
  [3233] = {.lex_state = 0, .external_lex_state = 2},
  [3234] = {.lex_state = 95, .external_lex_state = 2},
  [3235] = {.lex_state = 0, .external_lex_state = 2},
  [3236] = {.lex_state = 0, .external_lex_state = 2},
  [3237] = {.lex_state = 29, .external_lex_state = 2},
  [3238] = {.lex_state = 0, .external_lex_state = 2},
  [3239] = {.lex_state = 95, .external_lex_state = 2},
  [3240] = {.lex_state = 0, .external_lex_state = 2},
  [3241] = {.lex_state = 0, .external_lex_state = 2},
  [3242] = {.lex_state = 0, .external_lex_state = 2},
  [3243] = {.lex_state = 95, .external_lex_state = 2},
  [3244] = {.lex_state = 95, .external_lex_state = 2},
  [3245] = {.lex_state = 0, .external_lex_state = 2},
  [3246] = {.lex_state = 95, .external_lex_state = 2},
  [3247] = {.lex_state = 0, .external_lex_state = 2},
  [3248] = {.lex_state = 95, .external_lex_state = 2},
  [3249] = {.lex_state = 95, .external_lex_state = 2},
  [3250] = {.lex_state = 0, .external_lex_state = 2},
  [3251] = {.lex_state = 95, .external_lex_state = 2},
  [3252] = {.lex_state = 0, .external_lex_state = 2},
  [3253] = {.lex_state = 95, .external_lex_state = 2},
  [3254] = {.lex_state = 95, .external_lex_state = 2},
  [3255] = {.lex_state = 0, .external_lex_state = 2},
  [3256] = {.lex_state = 0, .external_lex_state = 2},
  [3257] = {.lex_state = 95, .external_lex_state = 2},
  [3258] = {.lex_state = 95, .external_lex_state = 2},
  [3259] = {.lex_state = 0, .external_lex_state = 2},
  [3260] = {.lex_state = 0, .external_lex_state = 2},
  [3261] = {.lex_state = 95, .external_lex_state = 2},
  [3262] = {.lex_state = 0, .external_lex_state = 2},
  [3263] = {.lex_state = 0, .external_lex_state = 2},
  [3264] = {.lex_state = 0, .external_lex_state = 2},
  [3265] = {.lex_state = 95, .external_lex_state = 2},
  [3266] = {.lex_state = 95, .external_lex_state = 2},
  [3267] = {.lex_state = 0, .external_lex_state = 2},
  [3268] = {.lex_state = 0, .external_lex_state = 2},
  [3269] = {.lex_state = 0, .external_lex_state = 2},
  [3270] = {.lex_state = 0, .external_lex_state = 2},
  [3271] = {.lex_state = 0, .external_lex_state = 2},
  [3272] = {.lex_state = 95, .external_lex_state = 2},
  [3273] = {.lex_state = 95, .external_lex_state = 2},
  [3274] = {.lex_state = 0, .external_lex_state = 2},
  [3275] = {.lex_state = 95, .external_lex_state = 2},
  [3276] = {.lex_state = 95, .external_lex_state = 2},
  [3277] = {.lex_state = 95, .external_lex_state = 2},
  [3278] = {.lex_state = 95, .external_lex_state = 2},
  [3279] = {.lex_state = 0, .external_lex_state = 2},
  [3280] = {.lex_state = 0, .external_lex_state = 2},
  [3281] = {.lex_state = 95, .external_lex_state = 2},
  [3282] = {.lex_state = 0, .external_lex_state = 2},
  [3283] = {.lex_state = 0, .external_lex_state = 2},
  [3284] = {.lex_state = 95, .external_lex_state = 2},
  [3285] = {.lex_state = 95, .external_lex_state = 2},
  [3286] = {.lex_state = 0, .external_lex_state = 2},
  [3287] = {.lex_state = 0, .external_lex_state = 2},
  [3288] = {.lex_state = 2, .external_lex_state = 2},
  [3289] = {.lex_state = 0, .external_lex_state = 2},
  [3290] = {.lex_state = 0, .external_lex_state = 2},
  [3291] = {.lex_state = 95, .external_lex_state = 2},
  [3292] = {.lex_state = 95, .external_lex_state = 2},
  [3293] = {.lex_state = 95, .external_lex_state = 2},
  [3294] = {.lex_state = 0, .external_lex_state = 2},
  [3295] = {.lex_state = 0, .external_lex_state = 2},
  [3296] = {.lex_state = 0, .external_lex_state = 2},
  [3297] = {.lex_state = 0, .external_lex_state = 2},
  [3298] = {.lex_state = 0, .external_lex_state = 2},
  [3299] = {.lex_state = 0, .external_lex_state = 3},
  [3300] = {.lex_state = 0, .external_lex_state = 2},
  [3301] = {.lex_state = 94, .external_lex_state = 2},
  [3302] = {.lex_state = 95, .external_lex_state = 2},
  [3303] = {.lex_state = 95, .external_lex_state = 2},
  [3304] = {.lex_state = 0, .external_lex_state = 2},
  [3305] = {.lex_state = 0, .external_lex_state = 2},
  [3306] = {.lex_state = 0, .external_lex_state = 2},
  [3307] = {.lex_state = 0, .external_lex_state = 2},
  [3308] = {.lex_state = 95, .external_lex_state = 2},
  [3309] = {.lex_state = 94, .external_lex_state = 2},
  [3310] = {.lex_state = 0, .external_lex_state = 2},
  [3311] = {.lex_state = 0, .external_lex_state = 2},
  [3312] = {.lex_state = 95, .external_lex_state = 2},
  [3313] = {.lex_state = 95, .external_lex_state = 2},
  [3314] = {.lex_state = 0, .external_lex_state = 2},
  [3315] = {.lex_state = 95, .external_lex_state = 2},
  [3316] = {.lex_state = 0, .external_lex_state = 2},
  [3317] = {.lex_state = 95, .external_lex_state = 2},
  [3318] = {.lex_state = 94, .external_lex_state = 2},
  [3319] = {.lex_state = 95, .external_lex_state = 2},
  [3320] = {.lex_state = 0, .external_lex_state = 2},
  [3321] = {.lex_state = 95, .external_lex_state = 2},
  [3322] = {.lex_state = 95, .external_lex_state = 2},
  [3323] = {.lex_state = 95, .external_lex_state = 2},
  [3324] = {.lex_state = 95, .external_lex_state = 2},
  [3325] = {.lex_state = 95, .external_lex_state = 2},
  [3326] = {.lex_state = 94, .external_lex_state = 2},
  [3327] = {.lex_state = 95, .external_lex_state = 2},
  [3328] = {.lex_state = 0, .external_lex_state = 2},
  [3329] = {.lex_state = 0, .external_lex_state = 2},
  [3330] = {.lex_state = 95, .external_lex_state = 2},
  [3331] = {.lex_state = 95, .external_lex_state = 2},
  [3332] = {.lex_state = 279, .external_lex_state = 2},
  [3333] = {.lex_state = 42, .external_lex_state = 2},
  [3334] = {.lex_state = 95, .external_lex_state = 2},
  [3335] = {.lex_state = 94, .external_lex_state = 2},
  [3336] = {.lex_state = 94, .external_lex_state = 2},
  [3337] = {.lex_state = 94, .external_lex_state = 2},
  [3338] = {.lex_state = 94, .external_lex_state = 2},
  [3339] = {.lex_state = 0, .external_lex_state = 2},
  [3340] = {.lex_state = 94, .external_lex_state = 2},
  [3341] = {.lex_state = 94, .external_lex_state = 2},
  [3342] = {.lex_state = 0, .external_lex_state = 2},
  [3343] = {.lex_state = 265, .external_lex_state = 2},
  [3344] = {.lex_state = 94, .external_lex_state = 2},
  [3345] = {(TSStateId)(-1)},
  [3346] = {(TSStateId)(-1)},
  [3347] = {(TSStateId)(-1)},
  [3348] = {(TSStateId)(-1)},
  [3349] = {(TSStateId)(-1)},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars_double = 1,
  ts_external_token__template_chars_single = 2,
  ts_external_token__template_chars_double_single = 3,
  ts_external_token__template_chars_single_single = 4,
  ts_external_token__template_chars_raw_slash = 5,
  ts_external_token__block_comment = 6,
  ts_external_token__documentation_block_comment = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars_double] = sym__template_chars_double,
  [ts_external_token__template_chars_single] = sym__template_chars_single,
  [ts_external_token__template_chars_double_single] = sym__template_chars_double_single,
  [ts_external_token__template_chars_single_single] = sym__template_chars_single_single,
  [ts_external_token__template_chars_raw_slash] = sym__template_chars_raw_slash,
  [ts_external_token__block_comment] = sym__block_comment,
  [ts_external_token__documentation_block_comment] = sym__documentation_block_comment,
};

static const bool ts_external_scanner_states[12][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [2] = {
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [4] = {
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [5] = {
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [6] = {
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [7] = {
    [ts_external_token__template_chars_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [8] = {
    [ts_external_token__template_chars_double] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [9] = {
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [10] = {
    [ts_external_token__template_chars_double_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
  [11] = {
    [ts_external_token__template_chars_single_single] = true,
    [ts_external_token__template_chars_raw_slash] = true,
    [ts_external_token__block_comment] = true,
    [ts_external_token__documentation_block_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_comment] = STATE(0),
    [sym_documentation_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_r_DQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_r_SQUOTE] = ACTIONS(1),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym__unused_escape_sequence] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [sym_equality_operator] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [sym__additive_operator] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_TILDE_SLASH] = ACTIONS(1),
    [sym_increment_operator] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [sym_minus_operator] = ACTIONS(1),
    [sym__exclamation_operator] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_on] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_part] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_show] = ACTIONS(1),
    [anon_sym_hide] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extension] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_super] = ACTIONS(1),
    [sym_floating_point_type] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_async_STAR] = ACTIONS(1),
    [anon_sym_sync_STAR] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [anon_sym_POUND_BANG] = ACTIONS(1),
    [anon_sym_library] = ACTIONS(1),
    [sym__break_builtin] = ACTIONS(1),
    [sym__assert_builtin] = ACTIONS(1),
    [sym_case_builtin] = ACTIONS(1),
    [anon_sym_covariant] = ACTIONS(1),
    [anon_sym_deferred] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_factory] = ACTIONS(1),
    [anon_sym_Function] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_mixin] = ACTIONS(1),
    [anon_sym_required] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [sym_const_builtin] = ACTIONS(1),
    [sym_final_builtin] = ACTIONS(1),
    [anon_sym_late] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_this] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars_double] = ACTIONS(1),
    [sym__template_chars_single] = ACTIONS(1),
    [sym__template_chars_double_single] = ACTIONS(1),
    [sym__template_chars_single_single] = ACTIONS(1),
    [sym__template_chars_raw_slash] = ACTIONS(1),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [1] = {
    [sym_program] = STATE(3268),
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(480),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym_script_tag] = STATE(2),
    [sym_library_name] = STATE(5),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(1),
    [sym_documentation_comment] = STATE(1),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_program_repeat2] = STATE(11),
    [aux_sym_program_repeat3] = STATE(16),
    [aux_sym_program_repeat4] = STATE(17),
    [aux_sym_program_repeat5] = STATE(39),
    [aux_sym_program_repeat6] = STATE(175),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(13),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(17),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_POUND_BANG] = ACTIONS(101),
    [anon_sym_library] = ACTIONS(103),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [2] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(480),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym_library_name] = STATE(4),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(2),
    [sym_documentation_comment] = STATE(2),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_program_repeat2] = STATE(8),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_library] = ACTIONS(103),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [3] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(526),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(3),
    [sym_documentation_comment] = STATE(3),
    [aux_sym_program_repeat1] = STATE(395),
    [aux_sym_program_repeat2] = STATE(9),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_program_repeat5] = STATE(41),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [4] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(526),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(4),
    [sym_documentation_comment] = STATE(4),
    [aux_sym_program_repeat1] = STATE(6),
    [aux_sym_program_repeat2] = STATE(9),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_program_repeat5] = STATE(41),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [5] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(526),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(5),
    [sym_documentation_comment] = STATE(5),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_program_repeat2] = STATE(8),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [6] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(526),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(6),
    [sym_documentation_comment] = STATE(6),
    [aux_sym_program_repeat1] = STATE(395),
    [aux_sym_program_repeat2] = STATE(10),
    [aux_sym_program_repeat3] = STATE(15),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_program_repeat5] = STATE(42),
    [aux_sym_program_repeat6] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [7] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(526),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__export] = STATE(1917),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(7),
    [sym_documentation_comment] = STATE(7),
    [aux_sym_program_repeat1] = STATE(395),
    [aux_sym_program_repeat2] = STATE(8),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [8] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(607),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(8),
    [sym_documentation_comment] = STATE(8),
    [aux_sym_program_repeat2] = STATE(428),
    [aux_sym_program_repeat3] = STATE(14),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_program_repeat5] = STATE(41),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [9] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(607),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(9),
    [sym_documentation_comment] = STATE(9),
    [aux_sym_program_repeat2] = STATE(428),
    [aux_sym_program_repeat3] = STATE(15),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_program_repeat5] = STATE(42),
    [aux_sym_program_repeat6] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [10] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(607),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(10),
    [sym_documentation_comment] = STATE(10),
    [aux_sym_program_repeat2] = STATE(428),
    [aux_sym_program_repeat3] = STATE(13),
    [aux_sym_program_repeat4] = STATE(20),
    [aux_sym_program_repeat5] = STATE(36),
    [aux_sym_program_repeat6] = STATE(176),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [11] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_directive] = STATE(461),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(607),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(11),
    [sym_documentation_comment] = STATE(11),
    [aux_sym_program_repeat2] = STATE(428),
    [aux_sym_program_repeat3] = STATE(12),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(85),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [12] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(605),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(12),
    [sym_documentation_comment] = STATE(12),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym_program_repeat4] = STATE(22),
    [aux_sym_program_repeat5] = STATE(41),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [13] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(605),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(13),
    [sym_documentation_comment] = STATE(13),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym_program_repeat4] = STATE(18),
    [aux_sym_program_repeat5] = STATE(40),
    [aux_sym_program_repeat6] = STATE(179),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [14] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(605),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(14),
    [sym_documentation_comment] = STATE(14),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym_program_repeat4] = STATE(21),
    [aux_sym_program_repeat5] = STATE(42),
    [aux_sym_program_repeat6] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [15] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(605),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(15),
    [sym_documentation_comment] = STATE(15),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym_program_repeat4] = STATE(20),
    [aux_sym_program_repeat5] = STATE(36),
    [aux_sym_program_repeat6] = STATE(176),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [16] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(605),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(16),
    [sym_documentation_comment] = STATE(16),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym_program_repeat4] = STATE(19),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_part] = ACTIONS(147),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [17] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(17),
    [sym_documentation_comment] = STATE(17),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(38),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [18] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(18),
    [sym_documentation_comment] = STATE(18),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(37),
    [aux_sym_program_repeat6] = STATE(170),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [19] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(19),
    [sym_documentation_comment] = STATE(19),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(41),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [20] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(20),
    [sym_documentation_comment] = STATE(20),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(40),
    [aux_sym_program_repeat6] = STATE(179),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [21] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(21),
    [sym_documentation_comment] = STATE(21),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(36),
    [aux_sym_program_repeat6] = STATE(176),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [22] = {
    [sym__top_level_definition] = STATE(472),
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(638),
    [sym_type_parameters] = STATE(2827),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(22),
    [sym_documentation_comment] = STATE(22),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym_program_repeat5] = STATE(42),
    [aux_sym_program_repeat6] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(89),
    [anon_sym_class] = ACTIONS(91),
    [anon_sym_extension] = ACTIONS(93),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(127),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [23] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2743),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(23),
    [sym_documentation_comment] = STATE(23),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [24] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(24),
    [sym_documentation_comment] = STATE(24),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [25] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(25),
    [sym_documentation_comment] = STATE(25),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [26] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(26),
    [sym_documentation_comment] = STATE(26),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [27] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(27),
    [sym_documentation_comment] = STATE(27),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(219),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [28] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(586),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_switch_label] = STATE(586),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(2632),
    [sym_comment] = STATE(28),
    [sym_documentation_comment] = STATE(28),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym_switch_block_repeat1] = STATE(30),
    [aux_sym_switch_case_repeat1] = STATE(2518),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [sym_case_builtin] = ACTIONS(235),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [29] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(586),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_switch_label] = STATE(586),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(2632),
    [sym_comment] = STATE(29),
    [sym_documentation_comment] = STATE(29),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym_switch_block_repeat1] = STATE(29),
    [aux_sym_switch_case_repeat1] = STATE(2518),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(237),
    [anon_sym_POUND] = ACTIONS(240),
    [sym_decimal_integer_literal] = ACTIONS(243),
    [sym_hex_integer_literal] = ACTIONS(246),
    [sym_decimal_floating_point_literal] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(249),
    [anon_sym_false] = ACTIONS(252),
    [anon_sym_DQUOTE] = ACTIONS(255),
    [anon_sym_SQUOTE] = ACTIONS(258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(261),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(264),
    [anon_sym_r_DQUOTE] = ACTIONS(267),
    [anon_sym_r_SQUOTE] = ACTIONS(270),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(276),
    [anon_sym_LBRACE] = ACTIONS(279),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_LBRACK] = ACTIONS(284),
    [anon_sym_null] = ACTIONS(287),
    [anon_sym_throw] = ACTIONS(290),
    [anon_sym_LPAREN] = ACTIONS(293),
    [anon_sym_LT] = ACTIONS(296),
    [sym_increment_operator] = ACTIONS(299),
    [sym_minus_operator] = ACTIONS(302),
    [sym__exclamation_operator] = ACTIONS(305),
    [anon_sym_TILDE] = ACTIONS(308),
    [anon_sym_await] = ACTIONS(311),
    [anon_sym_switch] = ACTIONS(314),
    [anon_sym_default] = ACTIONS(317),
    [anon_sym_do] = ACTIONS(320),
    [anon_sym_while] = ACTIONS(323),
    [anon_sym_continue] = ACTIONS(326),
    [anon_sym_yield] = ACTIONS(329),
    [anon_sym_return] = ACTIONS(332),
    [anon_sym_try] = ACTIONS(335),
    [anon_sym_if] = ACTIONS(338),
    [anon_sym_for] = ACTIONS(341),
    [anon_sym_AT] = ACTIONS(344),
    [anon_sym_super] = ACTIONS(347),
    [sym_void_type] = ACTIONS(350),
    [anon_sym_var] = ACTIONS(353),
    [sym__break_builtin] = ACTIONS(356),
    [sym__assert_builtin] = ACTIONS(359),
    [sym_case_builtin] = ACTIONS(362),
    [anon_sym_covariant] = ACTIONS(365),
    [anon_sym_Function] = ACTIONS(368),
    [anon_sym_get] = ACTIONS(371),
    [anon_sym_set] = ACTIONS(374),
    [anon_sym_new] = ACTIONS(377),
    [sym_const_builtin] = ACTIONS(380),
    [sym_final_builtin] = ACTIONS(383),
    [anon_sym_late] = ACTIONS(386),
    [anon_sym_this] = ACTIONS(389),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [30] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(586),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_switch_label] = STATE(586),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(2632),
    [sym_comment] = STATE(30),
    [sym_documentation_comment] = STATE(30),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym_switch_block_repeat1] = STATE(29),
    [aux_sym_switch_case_repeat1] = STATE(2518),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(221),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(392),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_default] = ACTIONS(229),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [sym_case_builtin] = ACTIONS(235),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [31] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2598),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(551),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(31),
    [sym_documentation_comment] = STATE(31),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [32] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2585),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(541),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(32),
    [sym_documentation_comment] = STATE(32),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [33] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2583),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(575),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(33),
    [sym_documentation_comment] = STATE(33),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [34] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2585),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(541),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(34),
    [sym_documentation_comment] = STATE(34),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(398),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [35] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2598),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2398),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(551),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_element] = STATE(2593),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(35),
    [sym_documentation_comment] = STATE(35),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_for] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [36] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(36),
    [sym_documentation_comment] = STATE(36),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(179),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [37] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(37),
    [sym_documentation_comment] = STATE(37),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(172),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(402),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [38] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(38),
    [sym_documentation_comment] = STATE(38),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(174),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [39] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(39),
    [sym_documentation_comment] = STATE(39),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(171),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [40] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(40),
    [sym_documentation_comment] = STATE(40),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(170),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [41] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(41),
    [sym_documentation_comment] = STATE(41),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(173),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [42] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(2828),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2280),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2130),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(42),
    [sym_documentation_comment] = STATE(42),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_program_repeat6] = STATE(176),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(15),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(400),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [43] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(43),
    [sym_documentation_comment] = STATE(43),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(404),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [44] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(44),
    [sym_documentation_comment] = STATE(44),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_POUND] = ACTIONS(409),
    [sym_decimal_integer_literal] = ACTIONS(412),
    [sym_hex_integer_literal] = ACTIONS(415),
    [sym_decimal_floating_point_literal] = ACTIONS(412),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(430),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(433),
    [anon_sym_r_DQUOTE] = ACTIONS(436),
    [anon_sym_r_SQUOTE] = ACTIONS(439),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(442),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(448),
    [anon_sym_RBRACE] = ACTIONS(451),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_null] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(462),
    [anon_sym_LT] = ACTIONS(465),
    [sym_increment_operator] = ACTIONS(468),
    [sym_minus_operator] = ACTIONS(471),
    [sym__exclamation_operator] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(477),
    [anon_sym_await] = ACTIONS(480),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(486),
    [anon_sym_while] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(495),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_for] = ACTIONS(507),
    [anon_sym_AT] = ACTIONS(510),
    [anon_sym_super] = ACTIONS(513),
    [sym_void_type] = ACTIONS(516),
    [anon_sym_var] = ACTIONS(519),
    [sym__break_builtin] = ACTIONS(522),
    [sym__assert_builtin] = ACTIONS(525),
    [anon_sym_covariant] = ACTIONS(528),
    [anon_sym_Function] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(540),
    [sym_const_builtin] = ACTIONS(543),
    [sym_final_builtin] = ACTIONS(546),
    [anon_sym_late] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [45] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(45),
    [sym_documentation_comment] = STATE(45),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [46] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(46),
    [sym_documentation_comment] = STATE(46),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(557),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [47] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(47),
    [sym_documentation_comment] = STATE(47),
    [aux_sym_program_repeat5] = STATE(55),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [48] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(48),
    [sym_documentation_comment] = STATE(48),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [49] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(49),
    [sym_documentation_comment] = STATE(49),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [50] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(50),
    [sym_documentation_comment] = STATE(50),
    [aux_sym_program_repeat5] = STATE(43),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [51] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(51),
    [sym_documentation_comment] = STATE(51),
    [aux_sym_program_repeat5] = STATE(51),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(451),
    [sym_identifier] = ACTIONS(406),
    [anon_sym_POUND] = ACTIONS(409),
    [sym_decimal_integer_literal] = ACTIONS(412),
    [sym_hex_integer_literal] = ACTIONS(415),
    [sym_decimal_floating_point_literal] = ACTIONS(412),
    [anon_sym_true] = ACTIONS(418),
    [anon_sym_false] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(430),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(433),
    [anon_sym_r_DQUOTE] = ACTIONS(436),
    [anon_sym_r_SQUOTE] = ACTIONS(439),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(442),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(567),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_null] = ACTIONS(456),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(462),
    [anon_sym_LT] = ACTIONS(465),
    [sym_increment_operator] = ACTIONS(468),
    [sym_minus_operator] = ACTIONS(471),
    [sym__exclamation_operator] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(477),
    [anon_sym_await] = ACTIONS(570),
    [anon_sym_switch] = ACTIONS(483),
    [anon_sym_do] = ACTIONS(486),
    [anon_sym_while] = ACTIONS(573),
    [anon_sym_continue] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(495),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(576),
    [anon_sym_for] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(510),
    [anon_sym_super] = ACTIONS(513),
    [sym_void_type] = ACTIONS(516),
    [anon_sym_var] = ACTIONS(519),
    [sym__break_builtin] = ACTIONS(522),
    [sym__assert_builtin] = ACTIONS(525),
    [anon_sym_covariant] = ACTIONS(528),
    [anon_sym_Function] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(540),
    [sym_const_builtin] = ACTIONS(543),
    [sym_final_builtin] = ACTIONS(546),
    [anon_sym_late] = ACTIONS(549),
    [anon_sym_this] = ACTIONS(552),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [52] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(52),
    [sym_documentation_comment] = STATE(52),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [53] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(53),
    [sym_documentation_comment] = STATE(53),
    [aux_sym_program_repeat5] = STATE(45),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [54] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(54),
    [sym_documentation_comment] = STATE(54),
    [aux_sym_program_repeat5] = STATE(52),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [55] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(55),
    [sym_documentation_comment] = STATE(55),
    [aux_sym_program_repeat5] = STATE(44),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(588),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [56] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(56),
    [sym_documentation_comment] = STATE(56),
    [aux_sym_program_repeat5] = STATE(48),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [57] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(618),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(57),
    [sym_documentation_comment] = STATE(57),
    [aux_sym_program_repeat5] = STATE(46),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_RBRACE] = ACTIONS(565),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [58] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(551),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(58),
    [sym_documentation_comment] = STATE(58),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [59] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(551),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(59),
    [sym_documentation_comment] = STATE(59),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [60] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(541),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(60),
    [sym_documentation_comment] = STATE(60),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [61] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(543),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(61),
    [sym_documentation_comment] = STATE(61),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [62] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(563),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(62),
    [sym_documentation_comment] = STATE(62),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [63] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(563),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(63),
    [sym_documentation_comment] = STATE(63),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [64] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(589),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(64),
    [sym_documentation_comment] = STATE(64),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(602),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(69),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(79),
    [anon_sym_for] = ACTIONS(81),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [65] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(543),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(65),
    [sym_documentation_comment] = STATE(65),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [66] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(563),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(66),
    [sym_documentation_comment] = STATE(66),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [67] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(2865),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(67),
    [sym_documentation_comment] = STATE(67),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [68] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(543),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(68),
    [sym_documentation_comment] = STATE(68),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [69] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(575),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(69),
    [sym_documentation_comment] = STATE(69),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [70] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(551),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(70),
    [sym_documentation_comment] = STATE(70),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [71] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(541),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2345),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1690),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2386),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(71),
    [sym_documentation_comment] = STATE(71),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(227),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(231),
    [anon_sym_for] = ACTIONS(233),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [72] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(3097),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(72),
    [sym_documentation_comment] = STATE(72),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [73] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3088),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_lambda_expression] = STATE(559),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__statement] = STATE(541),
    [sym_local_function_declaration] = STATE(564),
    [sym_block] = STATE(566),
    [sym_expression_statement] = STATE(566),
    [sym_assert_statement] = STATE(566),
    [sym_assertion] = STATE(3264),
    [sym_switch_statement] = STATE(566),
    [sym_do_statement] = STATE(566),
    [sym_break_statement] = STATE(566),
    [sym_continue_statement] = STATE(566),
    [sym_yield_statement] = STATE(566),
    [sym_yield_each_statement] = STATE(566),
    [sym_return_statement] = STATE(566),
    [sym_try_statement] = STATE(566),
    [sym__try_head] = STATE(2364),
    [sym_if_statement] = STATE(566),
    [sym_while_statement] = STATE(566),
    [sym_for_statement] = STATE(566),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1670),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2594),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2513),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym_function_signature] = STATE(2387),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(546),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2402),
    [sym__set] = STATE(2402),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(73),
    [sym_documentation_comment] = STATE(73),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(153),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(592),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(594),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [anon_sym_return] = ACTIONS(75),
    [anon_sym_try] = ACTIONS(77),
    [anon_sym_if] = ACTIONS(598),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [sym__break_builtin] = ACTIONS(105),
    [sym__assert_builtin] = ACTIONS(107),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [74] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_formal_parameter] = STATE(2577),
    [sym__default_named_parameter] = STATE(2811),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__required] = STATE(935),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1280),
    [sym_comment] = STATE(74),
    [sym_documentation_comment] = STATE(74),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(604),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_required] = ACTIONS(616),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [75] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2682),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_formal_parameter] = STATE(2831),
    [sym__default_formal_parameter] = STATE(2830),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1284),
    [sym_comment] = STATE(75),
    [sym_documentation_comment] = STATE(75),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(618),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(620),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [76] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3216),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__normal_formal_parameters] = STATE(3028),
    [sym_optional_formal_parameters] = STATE(3145),
    [sym__optional_postional_formal_parameters] = STATE(3137),
    [sym__named_formal_parameters] = STATE(3137),
    [sym_formal_parameter] = STATE(2670),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1283),
    [sym_comment] = STATE(76),
    [sym_documentation_comment] = STATE(76),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [77] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3339),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__normal_formal_parameters] = STATE(3028),
    [sym_optional_formal_parameters] = STATE(3145),
    [sym__optional_postional_formal_parameters] = STATE(3137),
    [sym__named_formal_parameters] = STATE(3137),
    [sym_formal_parameter] = STATE(2670),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1283),
    [sym_comment] = STATE(77),
    [sym_documentation_comment] = STATE(77),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [78] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3171),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__normal_formal_parameters] = STATE(3028),
    [sym_optional_formal_parameters] = STATE(3145),
    [sym__optional_postional_formal_parameters] = STATE(3137),
    [sym__named_formal_parameters] = STATE(3137),
    [sym_formal_parameter] = STATE(2670),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1283),
    [sym_comment] = STATE(78),
    [sym_documentation_comment] = STATE(78),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [79] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3105),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__normal_formal_parameters] = STATE(3028),
    [sym_optional_formal_parameters] = STATE(3145),
    [sym__optional_postional_formal_parameters] = STATE(3137),
    [sym__named_formal_parameters] = STATE(3137),
    [sym_formal_parameter] = STATE(2670),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1283),
    [sym_comment] = STATE(79),
    [sym_documentation_comment] = STATE(79),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [80] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3259),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1204),
    [sym_type_parameters] = STATE(2827),
    [sym__declared_identifier] = STATE(2419),
    [sym__final_const_var_or_type] = STATE(2508),
    [sym__type] = STATE(2732),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__normal_formal_parameters] = STATE(3028),
    [sym_optional_formal_parameters] = STATE(3145),
    [sym__optional_postional_formal_parameters] = STATE(3137),
    [sym__named_formal_parameters] = STATE(3137),
    [sym_formal_parameter] = STATE(2670),
    [sym__normal_formal_parameter] = STATE(2433),
    [sym__function_formal_parameter] = STATE(2435),
    [sym__simple_formal_parameter] = STATE(2437),
    [sym_super_formal_parameter] = STATE(2435),
    [sym_constructor_param] = STATE(2435),
    [sym__covariant] = STATE(1956),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1263),
    [sym_super] = STATE(1283),
    [sym_comment] = STATE(80),
    [sym_documentation_comment] = STATE(80),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(624),
    [anon_sym_LBRACK] = ACTIONS(626),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(628),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [81] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2561),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym__for_loop_parts] = STATE(3316),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym__metadata] = STATE(1857),
    [sym_type_parameters] = STATE(2827),
    [sym_initialized_variable_definition] = STATE(2934),
    [sym__declared_identifier] = STATE(2538),
    [sym__final_const_var_or_type] = STATE(3257),
    [sym__type] = STATE(2692),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(2159),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2052),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_local_variable_declaration] = STATE(180),
    [sym__covariant] = STATE(1966),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__new_builtin] = STATE(2104),
    [sym__late_builtin] = STATE(2033),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(168),
    [sym_comment] = STATE(81),
    [sym_documentation_comment] = STATE(81),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [sym_identifier] = ACTIONS(632),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(83),
    [anon_sym_super] = ACTIONS(95),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(207),
    [sym_final_builtin] = ACTIONS(209),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [82] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(82),
    [sym_documentation_comment] = STATE(82),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [83] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(83),
    [sym_documentation_comment] = STATE(83),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [84] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(84),
    [sym_documentation_comment] = STATE(84),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(644),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [85] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2682),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(85),
    [sym_documentation_comment] = STATE(85),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(620),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [86] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(86),
    [sym_documentation_comment] = STATE(86),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [87] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2806),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(87),
    [sym_documentation_comment] = STATE(87),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(648),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [88] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(88),
    [sym_documentation_comment] = STATE(88),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [89] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2824),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(89),
    [sym_documentation_comment] = STATE(89),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(652),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [90] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(90),
    [sym_documentation_comment] = STATE(90),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(654),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [91] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(91),
    [sym_documentation_comment] = STATE(91),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(656),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [92] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2777),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(92),
    [sym_documentation_comment] = STATE(92),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(658),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [93] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2776),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(93),
    [sym_documentation_comment] = STATE(93),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(660),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [94] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2738),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(94),
    [sym_documentation_comment] = STATE(94),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(662),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [95] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(95),
    [sym_documentation_comment] = STATE(95),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [96] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(96),
    [sym_documentation_comment] = STATE(96),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(666),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [97] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2766),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(97),
    [sym_documentation_comment] = STATE(97),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [98] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2763),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(98),
    [sym_documentation_comment] = STATE(98),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(666),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [99] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2743),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(99),
    [sym_documentation_comment] = STATE(99),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(668),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [100] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(100),
    [sym_documentation_comment] = STATE(100),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(670),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [101] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(101),
    [sym_documentation_comment] = STATE(101),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(672),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [102] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(102),
    [sym_documentation_comment] = STATE(102),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(674),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [103] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(103),
    [sym_documentation_comment] = STATE(103),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [104] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(104),
    [sym_documentation_comment] = STATE(104),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(678),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [105] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(105),
    [sym_documentation_comment] = STATE(105),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(680),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [106] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(106),
    [sym_documentation_comment] = STATE(106),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(682),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [107] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(107),
    [sym_documentation_comment] = STATE(107),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(684),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [108] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(108),
    [sym_documentation_comment] = STATE(108),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(686),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [109] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(109),
    [sym_documentation_comment] = STATE(109),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(688),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [110] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(110),
    [sym_documentation_comment] = STATE(110),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [111] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2651),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(111),
    [sym_documentation_comment] = STATE(111),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(692),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [112] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(112),
    [sym_documentation_comment] = STATE(112),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [113] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2693),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(113),
    [sym_documentation_comment] = STATE(113),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [114] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2694),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(114),
    [sym_documentation_comment] = STATE(114),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(696),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [115] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2784),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(115),
    [sym_documentation_comment] = STATE(115),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [116] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2783),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(116),
    [sym_documentation_comment] = STATE(116),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [117] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(117),
    [sym_documentation_comment] = STATE(117),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(698),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [118] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(118),
    [sym_documentation_comment] = STATE(118),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(700),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [119] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2656),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(119),
    [sym_documentation_comment] = STATE(119),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [120] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2765),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(120),
    [sym_documentation_comment] = STATE(120),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(704),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [121] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2657),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(121),
    [sym_documentation_comment] = STATE(121),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [122] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2764),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(122),
    [sym_documentation_comment] = STATE(122),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(708),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [123] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2628),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(123),
    [sym_documentation_comment] = STATE(123),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(710),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [124] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2626),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(124),
    [sym_documentation_comment] = STATE(124),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(712),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [125] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2653),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(125),
    [sym_documentation_comment] = STATE(125),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(714),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [126] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(126),
    [sym_documentation_comment] = STATE(126),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(696),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [127] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2725),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(127),
    [sym_documentation_comment] = STATE(127),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(716),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [128] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2637),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(128),
    [sym_documentation_comment] = STATE(128),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [129] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2645),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(129),
    [sym_documentation_comment] = STATE(129),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [130] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(130),
    [sym_documentation_comment] = STATE(130),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(718),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [131] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(131),
    [sym_documentation_comment] = STATE(131),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(720),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [132] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2728),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(132),
    [sym_documentation_comment] = STATE(132),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(722),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [133] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(133),
    [sym_documentation_comment] = STATE(133),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [134] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(134),
    [sym_documentation_comment] = STATE(134),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [135] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(135),
    [sym_documentation_comment] = STATE(135),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(728),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [136] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(136),
    [sym_documentation_comment] = STATE(136),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(730),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [137] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(137),
    [sym_documentation_comment] = STATE(137),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(732),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [138] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(138),
    [sym_documentation_comment] = STATE(138),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(734),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [139] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(139),
    [sym_documentation_comment] = STATE(139),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(736),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [140] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(140),
    [sym_documentation_comment] = STATE(140),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [141] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(141),
    [sym_documentation_comment] = STATE(141),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [142] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(142),
    [sym_documentation_comment] = STATE(142),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [143] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(143),
    [sym_documentation_comment] = STATE(143),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(744),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [144] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2771),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(144),
    [sym_documentation_comment] = STATE(144),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(746),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [145] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2779),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(145),
    [sym_documentation_comment] = STATE(145),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(748),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [146] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2620),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(146),
    [sym_documentation_comment] = STATE(146),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(726),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [147] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(147),
    [sym_documentation_comment] = STATE(147),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [148] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(148),
    [sym_documentation_comment] = STATE(148),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(752),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [149] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(149),
    [sym_documentation_comment] = STATE(149),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [150] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2684),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(150),
    [sym_documentation_comment] = STATE(150),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [151] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2624),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(151),
    [sym_documentation_comment] = STATE(151),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(734),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [152] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2598),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(152),
    [sym_documentation_comment] = STATE(152),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [153] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2583),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(153),
    [sym_documentation_comment] = STATE(153),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [154] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2556),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(154),
    [sym_documentation_comment] = STATE(154),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [155] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2644),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(155),
    [sym_documentation_comment] = STATE(155),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [156] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_pair] = STATE(2593),
    [sym__element] = STATE(2585),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2511),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_spread_element] = STATE(2593),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_if_element] = STATE(2593),
    [sym_for_element] = STATE(2593),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(156),
    [sym_documentation_comment] = STATE(156),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(195),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(614),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [157] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3044),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(157),
    [sym_documentation_comment] = STATE(157),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(758),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [158] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3090),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(158),
    [sym_documentation_comment] = STATE(158),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(760),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [159] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3056),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(159),
    [sym_documentation_comment] = STATE(159),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [160] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3054),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(160),
    [sym_documentation_comment] = STATE(160),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(764),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [161] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(2935),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(161),
    [sym_documentation_comment] = STATE(161),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(766),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [162] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3015),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(162),
    [sym_documentation_comment] = STATE(162),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(768),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [163] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3001),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(163),
    [sym_documentation_comment] = STATE(163),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(770),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [164] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(2895),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(164),
    [sym_documentation_comment] = STATE(164),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [165] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(3038),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(165),
    [sym_documentation_comment] = STATE(165),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [166] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym__argument_list] = STATE(2902),
    [sym_argument] = STATE(2596),
    [sym_named_argument] = STATE(2715),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(166),
    [sym_documentation_comment] = STATE(166),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [167] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2510),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(192),
    [sym_comment] = STATE(167),
    [sym_documentation_comment] = STATE(167),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [168] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2524),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(185),
    [sym_comment] = STATE(168),
    [sym_documentation_comment] = STATE(168),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(780),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [169] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_argument] = STATE(3003),
    [sym_named_argument] = STATE(2755),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_label] = STATE(302),
    [sym_comment] = STATE(169),
    [sym_documentation_comment] = STATE(169),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(756),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [170] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(170),
    [sym_documentation_comment] = STATE(170),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(402),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [171] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(171),
    [sym_documentation_comment] = STATE(171),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [172] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(172),
    [sym_documentation_comment] = STATE(172),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(790),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [173] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(173),
    [sym_documentation_comment] = STATE(173),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(145),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [174] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(174),
    [sym_documentation_comment] = STATE(174),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(143),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [175] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(175),
    [sym_documentation_comment] = STATE(175),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [176] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(176),
    [sym_documentation_comment] = STATE(176),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(149),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [177] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2951),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(182),
    [sym_comment] = STATE(177),
    [sym_documentation_comment] = STATE(177),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [178] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3077),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(548),
    [sym_comment] = STATE(178),
    [sym_documentation_comment] = STATE(178),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [179] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(179),
    [sym_documentation_comment] = STATE(179),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(151),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [180] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3067),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym__semicolon] = STATE(189),
    [sym_comment] = STATE(180),
    [sym_documentation_comment] = STATE(180),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [181] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(3299),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(181),
    [sym_documentation_comment] = STATE(181),
    [aux_sym_program_repeat6] = STATE(181),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(792),
    [sym_identifier] = ACTIONS(794),
    [anon_sym_POUND] = ACTIONS(797),
    [sym_decimal_integer_literal] = ACTIONS(800),
    [sym_hex_integer_literal] = ACTIONS(803),
    [sym_decimal_floating_point_literal] = ACTIONS(800),
    [anon_sym_true] = ACTIONS(806),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_SQUOTE] = ACTIONS(815),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(821),
    [anon_sym_r_DQUOTE] = ACTIONS(824),
    [anon_sym_r_SQUOTE] = ACTIONS(827),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(830),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(839),
    [anon_sym_null] = ACTIONS(842),
    [anon_sym_throw] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(848),
    [anon_sym_LT] = ACTIONS(851),
    [sym_increment_operator] = ACTIONS(854),
    [sym_minus_operator] = ACTIONS(857),
    [sym__exclamation_operator] = ACTIONS(860),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_await] = ACTIONS(866),
    [anon_sym_super] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(872),
    [sym_const_builtin] = ACTIONS(875),
    [anon_sym_this] = ACTIONS(878),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [182] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2833),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(182),
    [sym_documentation_comment] = STATE(182),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [183] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2829),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(183),
    [sym_documentation_comment] = STATE(183),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [184] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2847),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(184),
    [sym_documentation_comment] = STATE(184),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(885),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [185] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2736),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(185),
    [sym_documentation_comment] = STATE(185),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(887),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [186] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3078),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(186),
    [sym_documentation_comment] = STATE(186),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [anon_sym_STAR] = ACTIONS(889),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [187] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2960),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(187),
    [sym_documentation_comment] = STATE(187),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [188] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2933),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_argument] = STATE(3003),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(188),
    [sym_documentation_comment] = STATE(188),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [189] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2734),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(189),
    [sym_documentation_comment] = STATE(189),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [190] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2807),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(190),
    [sym_documentation_comment] = STATE(190),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [191] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2805),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(191),
    [sym_documentation_comment] = STATE(191),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [192] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2804),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(192),
    [sym_documentation_comment] = STATE(192),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [193] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2578),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(193),
    [sym_documentation_comment] = STATE(193),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_QMARK] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [194] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3114),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(194),
    [sym_documentation_comment] = STATE(194),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [195] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1107),
    [sym__real_expression] = STATE(596),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1992),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(195),
    [sym_documentation_comment] = STATE(195),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [196] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(2012),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(2008),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(196),
    [sym_documentation_comment] = STATE(196),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [197] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3214),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(197),
    [sym_documentation_comment] = STATE(197),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [198] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3185),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(198),
    [sym_documentation_comment] = STATE(198),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [199] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1415),
    [sym__real_expression] = STATE(675),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1987),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(199),
    [sym_documentation_comment] = STATE(199),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [200] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1679),
    [sym__real_expression] = STATE(823),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(1999),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(200),
    [sym_documentation_comment] = STATE(200),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [201] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1426),
    [sym__real_expression] = STATE(675),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1987),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(201),
    [sym_documentation_comment] = STATE(201),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [202] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3169),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(202),
    [sym_documentation_comment] = STATE(202),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [203] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3183),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(203),
    [sym_documentation_comment] = STATE(203),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [204] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3159),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(204),
    [sym_documentation_comment] = STATE(204),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [205] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2582),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(205),
    [sym_documentation_comment] = STATE(205),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [206] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3109),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(206),
    [sym_documentation_comment] = STATE(206),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [207] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3259),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(207),
    [sym_documentation_comment] = STATE(207),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [208] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3175),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(208),
    [sym_documentation_comment] = STATE(208),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [209] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3007),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(209),
    [sym_documentation_comment] = STATE(209),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [210] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3186),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(210),
    [sym_documentation_comment] = STATE(210),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [211] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3287),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(211),
    [sym_documentation_comment] = STATE(211),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [212] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(1965),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1948),
    [sym_assignment_expression_without_cascade] = STATE(1948),
    [sym_assignable_expression] = STATE(1997),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(212),
    [sym_documentation_comment] = STATE(212),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [213] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3161),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(213),
    [sym_documentation_comment] = STATE(213),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [214] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3170),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(214),
    [sym_documentation_comment] = STATE(214),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [215] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3165),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(215),
    [sym_documentation_comment] = STATE(215),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [216] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1397),
    [sym__real_expression] = STATE(726),
    [sym_throw_expression_without_cascade] = STATE(1449),
    [sym_assignment_expression_without_cascade] = STATE(1449),
    [sym_assignable_expression] = STATE(2004),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(216),
    [sym_documentation_comment] = STATE(216),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [217] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(1963),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1948),
    [sym_assignment_expression_without_cascade] = STATE(1948),
    [sym_assignable_expression] = STATE(1997),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(217),
    [sym_documentation_comment] = STATE(217),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [218] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1476),
    [sym__real_expression] = STATE(726),
    [sym_throw_expression_without_cascade] = STATE(1449),
    [sym_assignment_expression_without_cascade] = STATE(1449),
    [sym_assignable_expression] = STATE(2004),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(218),
    [sym_documentation_comment] = STATE(218),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [219] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3160),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(219),
    [sym_documentation_comment] = STATE(219),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [220] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3155),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(220),
    [sym_documentation_comment] = STATE(220),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [221] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3296),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(221),
    [sym_documentation_comment] = STATE(221),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [222] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3150),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(222),
    [sym_documentation_comment] = STATE(222),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [223] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2589),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(223),
    [sym_documentation_comment] = STATE(223),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [224] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3306),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(224),
    [sym_documentation_comment] = STATE(224),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [225] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1124),
    [sym__real_expression] = STATE(578),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(2001),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(225),
    [sym_documentation_comment] = STATE(225),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [226] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1097),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1993),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(226),
    [sym_documentation_comment] = STATE(226),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [227] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1145),
    [sym__real_expression] = STATE(602),
    [sym_throw_expression_without_cascade] = STATE(1082),
    [sym_assignment_expression_without_cascade] = STATE(1082),
    [sym_assignable_expression] = STATE(1988),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(227),
    [sym_documentation_comment] = STATE(227),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [228] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1142),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1993),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(228),
    [sym_documentation_comment] = STATE(228),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [229] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3043),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(229),
    [sym_documentation_comment] = STATE(229),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [230] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1386),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(230),
    [sym_documentation_comment] = STATE(230),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [231] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2689),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(231),
    [sym_documentation_comment] = STATE(231),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [232] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2945),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(232),
    [sym_documentation_comment] = STATE(232),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [233] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3052),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(233),
    [sym_documentation_comment] = STATE(233),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [234] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3142),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(234),
    [sym_documentation_comment] = STATE(234),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [235] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3132),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(235),
    [sym_documentation_comment] = STATE(235),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [236] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression] = STATE(1170),
    [sym__real_expression] = STATE(572),
    [sym_throw_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1227),
    [sym_assignable_expression] = STATE(1984),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(236),
    [sym_documentation_comment] = STATE(236),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [237] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(2020),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(1991),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(237),
    [sym_documentation_comment] = STATE(237),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [238] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1113),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1993),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(238),
    [sym_documentation_comment] = STATE(238),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1023),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [239] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3262),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(239),
    [sym_documentation_comment] = STATE(239),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [240] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1386),
    [sym__real_expression] = STATE(675),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1987),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(240),
    [sym_documentation_comment] = STATE(240),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [241] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3105),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(241),
    [sym_documentation_comment] = STATE(241),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [242] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1214),
    [sym__real_expression] = STATE(578),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(2001),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(242),
    [sym_documentation_comment] = STATE(242),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [243] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3217),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(243),
    [sym_documentation_comment] = STATE(243),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [244] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2330),
    [sym__real_expression] = STATE(813),
    [sym_throw_expression] = STATE(2377),
    [sym_assignment_expression] = STATE(2377),
    [sym_assignable_expression] = STATE(1989),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(244),
    [sym_documentation_comment] = STATE(244),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [245] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1624),
    [sym__real_expression] = STATE(684),
    [sym_throw_expression] = STATE(1569),
    [sym_assignment_expression] = STATE(1569),
    [sym_assignable_expression] = STATE(2005),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(245),
    [sym_documentation_comment] = STATE(245),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [246] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1440),
    [sym__real_expression] = STATE(726),
    [sym_throw_expression_without_cascade] = STATE(1449),
    [sym_assignment_expression_without_cascade] = STATE(1449),
    [sym_assignable_expression] = STATE(2004),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(246),
    [sym_documentation_comment] = STATE(246),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [247] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2873),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(247),
    [sym_documentation_comment] = STATE(247),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [248] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2358),
    [sym__real_expression] = STATE(813),
    [sym_throw_expression] = STATE(2377),
    [sym_assignment_expression] = STATE(2377),
    [sym_assignable_expression] = STATE(1989),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(248),
    [sym_documentation_comment] = STATE(248),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [249] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1113),
    [sym__real_expression] = STATE(596),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1992),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(249),
    [sym_documentation_comment] = STATE(249),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [250] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1438),
    [sym__real_expression] = STATE(726),
    [sym_throw_expression_without_cascade] = STATE(1449),
    [sym_assignment_expression_without_cascade] = STATE(1449),
    [sym_assignable_expression] = STATE(2004),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(250),
    [sym_documentation_comment] = STATE(250),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1019),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [251] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression] = STATE(1136),
    [sym__real_expression] = STATE(572),
    [sym_throw_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1227),
    [sym_assignable_expression] = STATE(1984),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(251),
    [sym_documentation_comment] = STATE(251),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [252] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1645),
    [sym__real_expression] = STATE(684),
    [sym_throw_expression] = STATE(1569),
    [sym_assignment_expression] = STATE(1569),
    [sym_assignable_expression] = STATE(2005),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(252),
    [sym_documentation_comment] = STATE(252),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [253] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1164),
    [sym__real_expression] = STATE(578),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(2001),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(253),
    [sym_documentation_comment] = STATE(253),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [254] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3294),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(254),
    [sym_documentation_comment] = STATE(254),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [255] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1107),
    [sym__real_expression] = STATE(823),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(1999),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(255),
    [sym_documentation_comment] = STATE(255),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [256] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2376),
    [sym__real_expression] = STATE(813),
    [sym_throw_expression] = STATE(2377),
    [sym_assignment_expression] = STATE(2377),
    [sym_assignable_expression] = STATE(1989),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(256),
    [sym_documentation_comment] = STATE(256),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [257] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1214),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(257),
    [sym_documentation_comment] = STATE(257),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [258] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1653),
    [sym__real_expression] = STATE(684),
    [sym_throw_expression] = STATE(1569),
    [sym_assignment_expression] = STATE(1569),
    [sym_assignable_expression] = STATE(2005),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(258),
    [sym_documentation_comment] = STATE(258),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [259] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1070),
    [sym__real_expression] = STATE(602),
    [sym_throw_expression_without_cascade] = STATE(1082),
    [sym_assignment_expression_without_cascade] = STATE(1082),
    [sym_assignable_expression] = STATE(1988),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(259),
    [sym_documentation_comment] = STATE(259),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [260] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3129),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(260),
    [sym_documentation_comment] = STATE(260),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [261] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2354),
    [sym__real_expression] = STATE(813),
    [sym_throw_expression] = STATE(2377),
    [sym_assignment_expression] = STATE(2377),
    [sym_assignable_expression] = STATE(1989),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(261),
    [sym_documentation_comment] = STATE(261),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [262] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1583),
    [sym__real_expression] = STATE(684),
    [sym_throw_expression] = STATE(1569),
    [sym_assignment_expression] = STATE(1569),
    [sym_assignable_expression] = STATE(2005),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(262),
    [sym_documentation_comment] = STATE(262),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1039),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [263] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2950),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(263),
    [sym_documentation_comment] = STATE(263),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [264] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1682),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(1686),
    [sym_assignment_expression_without_cascade] = STATE(1686),
    [sym_assignable_expression] = STATE(2006),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(264),
    [sym_documentation_comment] = STATE(264),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [265] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(2020),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(2008),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(265),
    [sym_documentation_comment] = STATE(265),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [266] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1669),
    [sym__real_expression] = STATE(823),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(1999),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(266),
    [sym_documentation_comment] = STATE(266),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [267] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1835),
    [sym__real_expression] = STATE(965),
    [sym_throw_expression_without_cascade] = STATE(1845),
    [sym_assignment_expression_without_cascade] = STATE(1845),
    [sym_assignable_expression] = STATE(2007),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(267),
    [sym_documentation_comment] = STATE(267),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [268] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2891),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(268),
    [sym_documentation_comment] = STATE(268),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [269] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(1958),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1948),
    [sym_assignment_expression_without_cascade] = STATE(1948),
    [sym_assignable_expression] = STATE(1997),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(269),
    [sym_documentation_comment] = STATE(269),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [270] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(2018),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(2008),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(270),
    [sym_documentation_comment] = STATE(270),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [271] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1083),
    [sym__real_expression] = STATE(602),
    [sym_throw_expression_without_cascade] = STATE(1082),
    [sym_assignment_expression_without_cascade] = STATE(1082),
    [sym_assignable_expression] = STATE(1988),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(271),
    [sym_documentation_comment] = STATE(271),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [272] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1675),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(1686),
    [sym_assignment_expression_without_cascade] = STATE(1686),
    [sym_assignable_expression] = STATE(2006),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(272),
    [sym_documentation_comment] = STATE(272),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [273] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3075),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(273),
    [sym_documentation_comment] = STATE(273),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [274] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3300),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(274),
    [sym_documentation_comment] = STATE(274),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [275] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1668),
    [sym__real_expression] = STATE(823),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(1999),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(275),
    [sym_documentation_comment] = STATE(275),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [276] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression] = STATE(1138),
    [sym__real_expression] = STATE(572),
    [sym_throw_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1227),
    [sym_assignable_expression] = STATE(1984),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(276),
    [sym_documentation_comment] = STATE(276),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [277] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1142),
    [sym__real_expression] = STATE(596),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1992),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(277),
    [sym_documentation_comment] = STATE(277),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [278] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1691),
    [sym__real_expression] = STATE(802),
    [sym_throw_expression_without_cascade] = STATE(1686),
    [sym_assignment_expression_without_cascade] = STATE(1686),
    [sym_assignable_expression] = STATE(2006),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(722),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(717),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1297),
    [sym_comment] = STATE(278),
    [sym_documentation_comment] = STATE(278),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [279] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(1679),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(279),
    [sym_documentation_comment] = STATE(279),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [280] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3240),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(280),
    [sym_documentation_comment] = STATE(280),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [281] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(1097),
    [sym__real_expression] = STATE(596),
    [sym_throw_expression_without_cascade] = STATE(1207),
    [sym_assignment_expression_without_cascade] = STATE(1207),
    [sym_assignable_expression] = STATE(1992),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(281),
    [sym_documentation_comment] = STATE(281),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [282] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression_without_cascade] = STATE(1215),
    [sym__real_expression] = STATE(602),
    [sym_throw_expression_without_cascade] = STATE(1082),
    [sym_assignment_expression_without_cascade] = STATE(1082),
    [sym_assignable_expression] = STATE(1988),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(282),
    [sym_documentation_comment] = STATE(282),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [283] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(2012),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(1991),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(283),
    [sym_documentation_comment] = STATE(283),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [284] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression_without_cascade] = STATE(2018),
    [sym__real_expression] = STATE(861),
    [sym_throw_expression_without_cascade] = STATE(2015),
    [sym_assignment_expression_without_cascade] = STATE(2015),
    [sym_assignable_expression] = STATE(1991),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1274),
    [sym_comment] = STATE(284),
    [sym_documentation_comment] = STATE(284),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1035),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [285] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1846),
    [sym__real_expression] = STATE(965),
    [sym_throw_expression_without_cascade] = STATE(1845),
    [sym_assignment_expression_without_cascade] = STATE(1845),
    [sym_assignable_expression] = STATE(2007),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(285),
    [sym_documentation_comment] = STATE(285),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [286] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3094),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(286),
    [sym_documentation_comment] = STATE(286),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [287] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3297),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(287),
    [sym_documentation_comment] = STATE(287),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [288] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3269),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(288),
    [sym_documentation_comment] = STATE(288),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [289] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3095),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(289),
    [sym_documentation_comment] = STATE(289),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [290] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3124),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(290),
    [sym_documentation_comment] = STATE(290),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [291] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3179),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(291),
    [sym_documentation_comment] = STATE(291),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [292] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1452),
    [sym__real_expression] = STATE(675),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1987),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(832),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(837),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1279),
    [sym_comment] = STATE(292),
    [sym_documentation_comment] = STATE(292),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(959),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [293] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__expression] = STATE(1181),
    [sym__real_expression] = STATE(572),
    [sym_throw_expression] = STATE(1227),
    [sym_assignment_expression] = STATE(1227),
    [sym_assignable_expression] = STATE(1984),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(706),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(707),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1295),
    [sym_comment] = STATE(293),
    [sym_documentation_comment] = STATE(293),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(911),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [294] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1837),
    [sym__real_expression] = STATE(965),
    [sym_throw_expression_without_cascade] = STATE(1845),
    [sym_assignment_expression_without_cascade] = STATE(1845),
    [sym_assignable_expression] = STATE(2007),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(294),
    [sym_documentation_comment] = STATE(294),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [295] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(1669),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(295),
    [sym_documentation_comment] = STATE(295),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [296] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1124),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(296),
    [sym_documentation_comment] = STATE(296),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [297] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression_without_cascade] = STATE(1476),
    [sym__real_expression] = STATE(965),
    [sym_throw_expression_without_cascade] = STATE(1845),
    [sym_assignment_expression_without_cascade] = STATE(1845),
    [sym_assignable_expression] = STATE(2007),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(297),
    [sym_documentation_comment] = STATE(297),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(1043),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [298] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3060),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(298),
    [sym_documentation_comment] = STATE(298),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [299] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3074),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(299),
    [sym_documentation_comment] = STATE(299),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [300] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3189),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(300),
    [sym_documentation_comment] = STATE(300),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [301] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__expression_without_cascade] = STATE(3190),
    [sym__real_expression] = STATE(1232),
    [sym_throw_expression_without_cascade] = STATE(1666),
    [sym_assignment_expression_without_cascade] = STATE(1666),
    [sym_assignable_expression] = STATE(2002),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(901),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(904),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1288),
    [sym_comment] = STATE(301),
    [sym_documentation_comment] = STATE(301),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1003),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [302] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(3089),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(302),
    [sym_documentation_comment] = STATE(302),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [303] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(2952),
    [sym__real_expression] = STATE(756),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(1995),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(703),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(702),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1278),
    [sym_comment] = STATE(303),
    [sym_documentation_comment] = STATE(303),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [304] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__expression] = STATE(1415),
    [sym__real_expression] = STATE(866),
    [sym_throw_expression] = STATE(1383),
    [sym_assignment_expression] = STATE(1383),
    [sym_assignable_expression] = STATE(1996),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(829),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(827),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1285),
    [sym_comment] = STATE(304),
    [sym_documentation_comment] = STATE(304),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(782),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_throw] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [305] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__expression] = STATE(1112),
    [sym__real_expression] = STATE(578),
    [sym_throw_expression] = STATE(1174),
    [sym_assignment_expression] = STATE(1174),
    [sym_assignable_expression] = STATE(2001),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(715),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(716),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1270),
    [sym_comment] = STATE(305),
    [sym_documentation_comment] = STATE(305),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(636),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [306] = {
    [sym__top_level_definition] = STATE(472),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(740),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym__type] = STATE(2318),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(1839),
    [sym_inferred_type] = STATE(2058),
    [sym_function_signature] = STATE(2223),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__late_builtin] = STATE(2048),
    [sym__external_builtin] = STATE(1974),
    [sym_comment] = STATE(306),
    [sym_documentation_comment] = STATE(306),
    [aux_sym_program_repeat4] = STATE(306),
    [aux_sym__metadata_repeat1] = STATE(1313),
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_identifier] = ACTIONS(1047),
    [anon_sym_POUND] = ACTIONS(1045),
    [sym_decimal_integer_literal] = ACTIONS(1050),
    [sym_hex_integer_literal] = ACTIONS(1045),
    [sym_decimal_floating_point_literal] = ACTIONS(1050),
    [anon_sym_true] = ACTIONS(1050),
    [anon_sym_false] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [anon_sym_SQUOTE] = ACTIONS(1050),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1045),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1045),
    [anon_sym_r_DQUOTE] = ACTIONS(1050),
    [anon_sym_r_SQUOTE] = ACTIONS(1050),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1045),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_null] = ACTIONS(1050),
    [anon_sym_throw] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1045),
    [anon_sym_LT] = ACTIONS(1045),
    [sym_increment_operator] = ACTIONS(1045),
    [sym_minus_operator] = ACTIONS(1050),
    [sym__exclamation_operator] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_await] = ACTIONS(1050),
    [anon_sym_switch] = ACTIONS(1050),
    [anon_sym_do] = ACTIONS(1050),
    [anon_sym_while] = ACTIONS(1050),
    [anon_sym_continue] = ACTIONS(1050),
    [anon_sym_yield] = ACTIONS(1050),
    [anon_sym_return] = ACTIONS(1050),
    [anon_sym_try] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_for] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_enum] = ACTIONS(1055),
    [anon_sym_abstract] = ACTIONS(1058),
    [anon_sym_class] = ACTIONS(1061),
    [anon_sym_extension] = ACTIONS(1064),
    [anon_sym_super] = ACTIONS(1050),
    [sym_void_type] = ACTIONS(1067),
    [anon_sym_var] = ACTIONS(1070),
    [sym__break_builtin] = ACTIONS(1050),
    [sym__assert_builtin] = ACTIONS(1050),
    [anon_sym_covariant] = ACTIONS(1050),
    [anon_sym_Function] = ACTIONS(1073),
    [anon_sym_get] = ACTIONS(1076),
    [anon_sym_mixin] = ACTIONS(1079),
    [anon_sym_set] = ACTIONS(1082),
    [anon_sym_typedef] = ACTIONS(1085),
    [anon_sym_new] = ACTIONS(1050),
    [sym_const_builtin] = ACTIONS(1088),
    [sym_final_builtin] = ACTIONS(1088),
    [anon_sym_late] = ACTIONS(1091),
    [anon_sym_external] = ACTIONS(1094),
    [anon_sym_this] = ACTIONS(1050),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [307] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(612),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(307),
    [sym_documentation_comment] = STATE(307),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [308] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(794),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(308),
    [sym_documentation_comment] = STATE(308),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [309] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(954),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(309),
    [sym_documentation_comment] = STATE(309),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [310] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(958),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(310),
    [sym_documentation_comment] = STATE(310),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [311] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(961),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(311),
    [sym_documentation_comment] = STATE(311),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [312] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1253),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(312),
    [sym_documentation_comment] = STATE(312),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [313] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(926),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(313),
    [sym_documentation_comment] = STATE(313),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [314] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1229),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(314),
    [sym_documentation_comment] = STATE(314),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [315] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1244),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(315),
    [sym_documentation_comment] = STATE(315),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [316] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1243),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(316),
    [sym_documentation_comment] = STATE(316),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [317] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(767),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(317),
    [sym_documentation_comment] = STATE(317),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [318] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(960),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(318),
    [sym_documentation_comment] = STATE(318),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [319] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(964),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(319),
    [sym_documentation_comment] = STATE(319),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [320] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(810),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(320),
    [sym_documentation_comment] = STATE(320),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [321] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1242),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(321),
    [sym_documentation_comment] = STATE(321),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [322] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(796),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(322),
    [sym_documentation_comment] = STATE(322),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [323] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(950),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(323),
    [sym_documentation_comment] = STATE(323),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [324] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(814),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(324),
    [sym_documentation_comment] = STATE(324),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [325] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(959),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(325),
    [sym_documentation_comment] = STATE(325),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [326] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(723),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(326),
    [sym_documentation_comment] = STATE(326),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [327] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(930),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(327),
    [sym_documentation_comment] = STATE(327),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [328] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(816),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(328),
    [sym_documentation_comment] = STATE(328),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [329] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(712),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(329),
    [sym_documentation_comment] = STATE(329),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [330] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(721),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(330),
    [sym_documentation_comment] = STATE(330),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [331] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1255),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(331),
    [sym_documentation_comment] = STATE(331),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [332] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(806),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(332),
    [sym_documentation_comment] = STATE(332),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [333] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(809),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(333),
    [sym_documentation_comment] = STATE(333),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [334] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(803),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(334),
    [sym_documentation_comment] = STATE(334),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [335] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(799),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(335),
    [sym_documentation_comment] = STATE(335),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [336] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(821),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(336),
    [sym_documentation_comment] = STATE(336),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [337] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(817),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(337),
    [sym_documentation_comment] = STATE(337),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [338] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(804),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(338),
    [sym_documentation_comment] = STATE(338),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [339] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1248),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(339),
    [sym_documentation_comment] = STATE(339),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [340] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1249),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(340),
    [sym_documentation_comment] = STATE(340),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [341] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(863),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(341),
    [sym_documentation_comment] = STATE(341),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [342] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(858),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(342),
    [sym_documentation_comment] = STATE(342),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [343] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(851),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(343),
    [sym_documentation_comment] = STATE(343),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [344] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(850),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(344),
    [sym_documentation_comment] = STATE(344),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [345] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(800),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(345),
    [sym_documentation_comment] = STATE(345),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [346] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(797),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(346),
    [sym_documentation_comment] = STATE(346),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [347] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(820),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(347),
    [sym_documentation_comment] = STATE(347),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [348] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(849),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(348),
    [sym_documentation_comment] = STATE(348),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [349] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(808),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(349),
    [sym_documentation_comment] = STATE(349),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [350] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(857),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(350),
    [sym_documentation_comment] = STATE(350),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [351] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(855),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(351),
    [sym_documentation_comment] = STATE(351),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [352] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(854),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(352),
    [sym_documentation_comment] = STATE(352),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [353] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(856),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(353),
    [sym_documentation_comment] = STATE(353),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [354] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(852),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1341),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1293),
    [sym_comment] = STATE(354),
    [sym_documentation_comment] = STATE(354),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [355] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(818),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(355),
    [sym_documentation_comment] = STATE(355),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [356] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(953),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1844),
    [sym_conditional_expression] = STATE(1844),
    [sym_logical_or_expression] = STATE(1844),
    [sym_logical_and_expression] = STATE(1844),
    [sym_equality_expression] = STATE(1844),
    [sym_type_cast_expression] = STATE(1844),
    [sym_type_test_expression] = STATE(1844),
    [sym_relational_expression] = STATE(1844),
    [sym_bitwise_or_expression] = STATE(1844),
    [sym_bitwise_xor_expression] = STATE(1844),
    [sym_bitwise_and_expression] = STATE(1844),
    [sym_shift_expression] = STATE(1844),
    [sym_additive_expression] = STATE(1844),
    [sym_multiplicative_expression] = STATE(1844),
    [sym__unary_expression] = STATE(1537),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1287),
    [sym_comment] = STATE(356),
    [sym_documentation_comment] = STATE(356),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [357] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1250),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(357),
    [sym_documentation_comment] = STATE(357),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [358] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(720),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(358),
    [sym_documentation_comment] = STATE(358),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [359] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(719),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(359),
    [sym_documentation_comment] = STATE(359),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [360] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(718),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(360),
    [sym_documentation_comment] = STATE(360),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [361] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(621),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(361),
    [sym_documentation_comment] = STATE(361),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [362] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(606),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(362),
    [sym_documentation_comment] = STATE(362),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [363] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(798),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(363),
    [sym_documentation_comment] = STATE(363),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [364] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(617),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(364),
    [sym_documentation_comment] = STATE(364),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [365] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(609),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(365),
    [sym_documentation_comment] = STATE(365),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [366] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(593),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(366),
    [sym_documentation_comment] = STATE(366),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [367] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(603),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(367),
    [sym_documentation_comment] = STATE(367),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [368] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(599),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(368),
    [sym_documentation_comment] = STATE(368),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [369] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(600),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(369),
    [sym_documentation_comment] = STATE(369),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [370] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(623),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(370),
    [sym_documentation_comment] = STATE(370),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [371] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(594),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(371),
    [sym_documentation_comment] = STATE(371),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [372] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(601),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(372),
    [sym_documentation_comment] = STATE(372),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [373] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(615),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(373),
    [sym_documentation_comment] = STATE(373),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [374] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(592),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(374),
    [sym_documentation_comment] = STATE(374),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [375] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(610),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(375),
    [sym_documentation_comment] = STATE(375),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [376] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(591),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1206),
    [sym_conditional_expression] = STATE(1206),
    [sym_logical_or_expression] = STATE(1206),
    [sym_logical_and_expression] = STATE(1206),
    [sym_equality_expression] = STATE(1206),
    [sym_type_cast_expression] = STATE(1206),
    [sym_type_test_expression] = STATE(1206),
    [sym_relational_expression] = STATE(1206),
    [sym_bitwise_or_expression] = STATE(1206),
    [sym_bitwise_xor_expression] = STATE(1206),
    [sym_bitwise_and_expression] = STATE(1206),
    [sym_shift_expression] = STATE(1206),
    [sym_additive_expression] = STATE(1206),
    [sym_multiplicative_expression] = STATE(1206),
    [sym__unary_expression] = STATE(883),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1289),
    [sym_comment] = STATE(376),
    [sym_documentation_comment] = STATE(376),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [377] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(595),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(377),
    [sym_documentation_comment] = STATE(377),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [378] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(714),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(378),
    [sym_documentation_comment] = STATE(378),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [379] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(619),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(379),
    [sym_documentation_comment] = STATE(379),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [380] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(611),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(380),
    [sym_documentation_comment] = STATE(380),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [381] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(713),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(381),
    [sym_documentation_comment] = STATE(381),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [382] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(614),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1221),
    [sym_conditional_expression] = STATE(1221),
    [sym_logical_or_expression] = STATE(1221),
    [sym_logical_and_expression] = STATE(1221),
    [sym_equality_expression] = STATE(1221),
    [sym_type_cast_expression] = STATE(1221),
    [sym_type_test_expression] = STATE(1221),
    [sym_relational_expression] = STATE(1221),
    [sym_bitwise_or_expression] = STATE(1221),
    [sym_bitwise_xor_expression] = STATE(1221),
    [sym_bitwise_and_expression] = STATE(1221),
    [sym_shift_expression] = STATE(1221),
    [sym_additive_expression] = STATE(1221),
    [sym_multiplicative_expression] = STATE(1221),
    [sym__unary_expression] = STATE(921),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1292),
    [sym_comment] = STATE(382),
    [sym_documentation_comment] = STATE(382),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [383] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(878),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(383),
    [sym_documentation_comment] = STATE(383),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [384] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym__real_expression] = STATE(765),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym_if_null_expression] = STATE(1677),
    [sym_conditional_expression] = STATE(1677),
    [sym_logical_or_expression] = STATE(1677),
    [sym_logical_and_expression] = STATE(1677),
    [sym_equality_expression] = STATE(1677),
    [sym_type_cast_expression] = STATE(1677),
    [sym_type_test_expression] = STATE(1677),
    [sym_relational_expression] = STATE(1677),
    [sym_bitwise_or_expression] = STATE(1677),
    [sym_bitwise_xor_expression] = STATE(1677),
    [sym_bitwise_and_expression] = STATE(1677),
    [sym_shift_expression] = STATE(1677),
    [sym_additive_expression] = STATE(1677),
    [sym_multiplicative_expression] = STATE(1677),
    [sym__unary_expression] = STATE(1267),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(1294),
    [sym_comment] = STATE(384),
    [sym_documentation_comment] = STATE(384),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [385] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(875),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(385),
    [sym_documentation_comment] = STATE(385),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [386] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym__real_expression] = STATE(1251),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym_if_null_expression] = STATE(1945),
    [sym_conditional_expression] = STATE(1945),
    [sym_logical_or_expression] = STATE(1945),
    [sym_logical_and_expression] = STATE(1945),
    [sym_equality_expression] = STATE(1945),
    [sym_type_cast_expression] = STATE(1945),
    [sym_type_test_expression] = STATE(1945),
    [sym_relational_expression] = STATE(1945),
    [sym_bitwise_or_expression] = STATE(1945),
    [sym_bitwise_xor_expression] = STATE(1945),
    [sym_bitwise_and_expression] = STATE(1945),
    [sym_shift_expression] = STATE(1945),
    [sym_additive_expression] = STATE(1945),
    [sym_multiplicative_expression] = STATE(1945),
    [sym__unary_expression] = STATE(1720),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(1262),
    [sym_comment] = STATE(386),
    [sym_documentation_comment] = STATE(386),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [387] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(699),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(387),
    [sym_documentation_comment] = STATE(387),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [388] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(795),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(388),
    [sym_documentation_comment] = STATE(388),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [389] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym__real_expression] = STATE(711),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym_if_null_expression] = STATE(1431),
    [sym_conditional_expression] = STATE(1431),
    [sym_logical_or_expression] = STATE(1431),
    [sym_logical_and_expression] = STATE(1431),
    [sym_equality_expression] = STATE(1431),
    [sym_type_cast_expression] = STATE(1431),
    [sym_type_test_expression] = STATE(1431),
    [sym_relational_expression] = STATE(1431),
    [sym_bitwise_or_expression] = STATE(1431),
    [sym_bitwise_xor_expression] = STATE(1431),
    [sym_bitwise_and_expression] = STATE(1431),
    [sym_shift_expression] = STATE(1431),
    [sym_additive_expression] = STATE(1431),
    [sym_multiplicative_expression] = STATE(1431),
    [sym__unary_expression] = STATE(1282),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(1290),
    [sym_comment] = STATE(389),
    [sym_documentation_comment] = STATE(389),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [390] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym__real_expression] = STATE(811),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym_if_null_expression] = STATE(1674),
    [sym_conditional_expression] = STATE(1674),
    [sym_logical_or_expression] = STATE(1674),
    [sym_logical_and_expression] = STATE(1674),
    [sym_equality_expression] = STATE(1674),
    [sym_type_cast_expression] = STATE(1674),
    [sym_type_test_expression] = STATE(1674),
    [sym_relational_expression] = STATE(1674),
    [sym_bitwise_or_expression] = STATE(1674),
    [sym_bitwise_xor_expression] = STATE(1674),
    [sym_bitwise_and_expression] = STATE(1674),
    [sym_shift_expression] = STATE(1674),
    [sym_additive_expression] = STATE(1674),
    [sym_multiplicative_expression] = STATE(1674),
    [sym__unary_expression] = STATE(1269),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(1265),
    [sym_comment] = STATE(390),
    [sym_documentation_comment] = STATE(390),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [391] = {
    [sym_comment] = STATE(391),
    [sym_documentation_comment] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [sym_equality_operator] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH] = ACTIONS(1112),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1112),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [392] = {
    [sym_comment] = STATE(392),
    [sym_documentation_comment] = STATE(392),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [sym_equality_operator] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH] = ACTIONS(1112),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1112),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [sym_case_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [393] = {
    [sym_comment] = STATE(393),
    [sym_documentation_comment] = STATE(393),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [sym_equality_operator] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH] = ACTIONS(1112),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1112),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [394] = {
    [sym_comment] = STATE(394),
    [sym_documentation_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1109),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1109),
    [anon_sym_QMARK_QMARK] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [sym_equality_operator] = ACTIONS(1112),
    [anon_sym_LT] = ACTIONS(1116),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [sym__additive_operator] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_TILDE_SLASH] = ACTIONS(1112),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1116),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_is] = ACTIONS(1114),
    [anon_sym_as] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_QMARK_DOT] = ACTIONS(1114),
    [anon_sym_DOT_DOT] = ACTIONS(1112),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__automatic_semicolon] = ACTIONS(1112),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [395] = {
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_or_export] = STATE(449),
    [sym_library_import] = STATE(453),
    [sym_library_export] = STATE(453),
    [sym_import_specification] = STATE(440),
    [sym__metadata] = STATE(2527),
    [sym__export] = STATE(1917),
    [sym__import] = STATE(1895),
    [sym_comment] = STATE(395),
    [sym_documentation_comment] = STATE(395),
    [aux_sym_program_repeat1] = STATE(395),
    [aux_sym__metadata_repeat1] = STATE(2147),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [anon_sym_POUND] = ACTIONS(1119),
    [sym_decimal_integer_literal] = ACTIONS(1121),
    [sym_hex_integer_literal] = ACTIONS(1119),
    [sym_decimal_floating_point_literal] = ACTIONS(1121),
    [anon_sym_true] = ACTIONS(1121),
    [anon_sym_false] = ACTIONS(1121),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [anon_sym_SQUOTE] = ACTIONS(1121),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1119),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1119),
    [anon_sym_r_DQUOTE] = ACTIONS(1121),
    [anon_sym_r_SQUOTE] = ACTIONS(1121),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1119),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [anon_sym_null] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [sym_increment_operator] = ACTIONS(1119),
    [sym_minus_operator] = ACTIONS(1121),
    [sym__exclamation_operator] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_await] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_part] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [anon_sym_abstract] = ACTIONS(1121),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_extension] = ACTIONS(1121),
    [anon_sym_super] = ACTIONS(1121),
    [sym_void_type] = ACTIONS(1121),
    [anon_sym_var] = ACTIONS(1121),
    [sym__break_builtin] = ACTIONS(1121),
    [sym__assert_builtin] = ACTIONS(1121),
    [anon_sym_covariant] = ACTIONS(1121),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_Function] = ACTIONS(1121),
    [anon_sym_get] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1129),
    [anon_sym_mixin] = ACTIONS(1121),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_typedef] = ACTIONS(1121),
    [anon_sym_new] = ACTIONS(1121),
    [sym_const_builtin] = ACTIONS(1121),
    [sym_final_builtin] = ACTIONS(1121),
    [anon_sym_late] = ACTIONS(1121),
    [anon_sym_external] = ACTIONS(1121),
    [anon_sym_this] = ACTIONS(1121),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [396] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(396),
    [sym_documentation_comment] = STATE(396),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [397] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1698),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(397),
    [sym_documentation_comment] = STATE(397),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [398] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(398),
    [sym_documentation_comment] = STATE(398),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [399] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(399),
    [sym_documentation_comment] = STATE(399),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [400] = {
    [sym_comment] = STATE(400),
    [sym_documentation_comment] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1142),
    [anon_sym_POUND] = ACTIONS(1140),
    [sym_decimal_integer_literal] = ACTIONS(1142),
    [sym_hex_integer_literal] = ACTIONS(1140),
    [sym_decimal_floating_point_literal] = ACTIONS(1142),
    [anon_sym_true] = ACTIONS(1142),
    [anon_sym_false] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1140),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1140),
    [anon_sym_r_DQUOTE] = ACTIONS(1142),
    [anon_sym_r_SQUOTE] = ACTIONS(1142),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1140),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_null] = ACTIONS(1142),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_RPAREN] = ACTIONS(1140),
    [anon_sym_LT] = ACTIONS(1140),
    [sym_increment_operator] = ACTIONS(1140),
    [sym_minus_operator] = ACTIONS(1142),
    [sym__exclamation_operator] = ACTIONS(1140),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_await] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_yield] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_part] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_abstract] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1142),
    [anon_sym_extension] = ACTIONS(1142),
    [anon_sym_super] = ACTIONS(1142),
    [sym_void_type] = ACTIONS(1142),
    [anon_sym_var] = ACTIONS(1142),
    [sym__break_builtin] = ACTIONS(1142),
    [sym__assert_builtin] = ACTIONS(1142),
    [sym_case_builtin] = ACTIONS(1142),
    [anon_sym_covariant] = ACTIONS(1142),
    [anon_sym_export] = ACTIONS(1142),
    [anon_sym_factory] = ACTIONS(1142),
    [anon_sym_Function] = ACTIONS(1142),
    [anon_sym_get] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(1142),
    [anon_sym_operator] = ACTIONS(1142),
    [anon_sym_mixin] = ACTIONS(1142),
    [anon_sym_set] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_typedef] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1142),
    [sym_const_builtin] = ACTIONS(1142),
    [sym_final_builtin] = ACTIONS(1142),
    [anon_sym_late] = ACTIONS(1142),
    [anon_sym_external] = ACTIONS(1142),
    [anon_sym_this] = ACTIONS(1142),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__automatic_semicolon] = ACTIONS(1144),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [401] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(401),
    [sym_documentation_comment] = STATE(401),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [402] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(402),
    [sym_documentation_comment] = STATE(402),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [403] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(403),
    [sym_documentation_comment] = STATE(403),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [404] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1172),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(404),
    [sym_documentation_comment] = STATE(404),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [405] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1178),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(405),
    [sym_documentation_comment] = STATE(405),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [406] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1374),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(406),
    [sym_documentation_comment] = STATE(406),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [407] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(407),
    [sym_documentation_comment] = STATE(407),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [408] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1202),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(408),
    [sym_documentation_comment] = STATE(408),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [409] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1424),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(409),
    [sym_documentation_comment] = STATE(409),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [410] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3071),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1173),
    [sym_unary_expression] = STATE(1208),
    [sym__postfix_expression] = STATE(1208),
    [sym_postfix_expression] = STATE(1210),
    [sym_prefix_operator] = STATE(408),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1488),
    [sym_await_expression] = STATE(1211),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(709),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(708),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(410),
    [sym_documentation_comment] = STATE(410),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1027),
    [sym_minus_operator] = ACTIONS(1029),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1031),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [411] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym__unary_expression] = STATE(1784),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(2440),
    [sym_comment] = STATE(411),
    [sym_documentation_comment] = STATE(411),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [412] = {
    [sym__literal] = STATE(1226),
    [sym_symbol_literal] = STATE(1193),
    [sym_true] = STATE(1193),
    [sym_false] = STATE(1193),
    [sym_string_literal] = STATE(1193),
    [sym__string_literal_double_quotes] = STATE(779),
    [sym__string_literal_single_quotes] = STATE(779),
    [sym__string_literal_double_quotes_multiple] = STATE(779),
    [sym__string_literal_single_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_double_quotes] = STATE(779),
    [sym__raw_string_literal_single_quotes] = STATE(779),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(779),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(779),
    [sym_list_literal] = STATE(1193),
    [sym_set_or_map_literal] = STATE(1193),
    [sym_null_literal] = STATE(1193),
    [sym_assignable_expression] = STATE(3035),
    [sym_function_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1456),
    [sym_unary_expression] = STATE(1380),
    [sym__postfix_expression] = STATE(1380),
    [sym_postfix_expression] = STATE(1379),
    [sym_prefix_operator] = STATE(406),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1487),
    [sym_await_expression] = STATE(1377),
    [sym_new_expression] = STATE(1226),
    [sym_const_object_expression] = STATE(1226),
    [sym__primary] = STATE(700),
    [sym_parenthesized_expression] = STATE(1226),
    [sym_constructor_invocation] = STATE(705),
    [sym_type_arguments] = STATE(2917),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2861),
    [sym__formal_parameter_part] = STATE(2375),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2096),
    [sym_this] = STATE(1226),
    [sym_super] = STATE(2431),
    [sym_comment] = STATE(412),
    [sym_documentation_comment] = STATE(412),
    [aux_sym_string_literal_repeat1] = STATE(588),
    [sym_identifier] = ACTIONS(1099),
    [anon_sym_POUND] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(915),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(923),
    [anon_sym_SQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(929),
    [anon_sym_r_DQUOTE] = ACTIONS(931),
    [anon_sym_r_SQUOTE] = ACTIONS(933),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(941),
    [anon_sym_null] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(949),
    [sym_minus_operator] = ACTIONS(951),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(953),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(955),
    [anon_sym_this] = ACTIONS(957),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [413] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1455),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(413),
    [sym_documentation_comment] = STATE(413),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [414] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym__unary_expression] = STATE(1782),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(2440),
    [sym_comment] = STATE(414),
    [sym_documentation_comment] = STATE(414),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [415] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1698),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(415),
    [sym_documentation_comment] = STATE(415),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [416] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1423),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(416),
    [sym_documentation_comment] = STATE(416),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [417] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(417),
    [sym_documentation_comment] = STATE(417),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [418] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1129),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(418),
    [sym_documentation_comment] = STATE(418),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [419] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(2965),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1133),
    [sym_unary_expression] = STATE(1213),
    [sym__postfix_expression] = STATE(1213),
    [sym_postfix_expression] = STATE(1184),
    [sym_prefix_operator] = STATE(419),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1494),
    [sym_await_expression] = STATE(1180),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(724),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(725),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(419),
    [sym_documentation_comment] = STATE(419),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(905),
    [sym_minus_operator] = ACTIONS(907),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(909),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [420] = {
    [sym__literal] = STATE(1561),
    [sym_symbol_literal] = STATE(1555),
    [sym_true] = STATE(1555),
    [sym_false] = STATE(1555),
    [sym_string_literal] = STATE(1555),
    [sym__string_literal_double_quotes] = STATE(1137),
    [sym__string_literal_single_quotes] = STATE(1137),
    [sym__string_literal_double_quotes_multiple] = STATE(1137),
    [sym__string_literal_single_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_double_quotes] = STATE(1137),
    [sym__raw_string_literal_single_quotes] = STATE(1137),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(1137),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(1137),
    [sym_list_literal] = STATE(1555),
    [sym_set_or_map_literal] = STATE(1555),
    [sym_null_literal] = STATE(1555),
    [sym_assignable_expression] = STATE(2931),
    [sym_function_expression] = STATE(1561),
    [sym__unary_expression] = STATE(1802),
    [sym_unary_expression] = STATE(1790),
    [sym__postfix_expression] = STATE(1790),
    [sym_postfix_expression] = STATE(1791),
    [sym_prefix_operator] = STATE(411),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1484),
    [sym_await_expression] = STATE(1807),
    [sym_new_expression] = STATE(1561),
    [sym_const_object_expression] = STATE(1561),
    [sym__primary] = STATE(885),
    [sym_parenthesized_expression] = STATE(1561),
    [sym_constructor_invocation] = STATE(895),
    [sym_type_arguments] = STATE(2927),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2862),
    [sym__formal_parameter_part] = STATE(2385),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2099),
    [sym_this] = STATE(1561),
    [sym_super] = STATE(2440),
    [sym_comment] = STATE(420),
    [sym_documentation_comment] = STATE(420),
    [aux_sym_string_literal_repeat1] = STATE(760),
    [sym_identifier] = ACTIONS(1103),
    [anon_sym_POUND] = ACTIONS(971),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(973),
    [anon_sym_true] = ACTIONS(977),
    [anon_sym_false] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(985),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(987),
    [anon_sym_r_DQUOTE] = ACTIONS(989),
    [anon_sym_r_SQUOTE] = ACTIONS(991),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(993),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_null] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(1005),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(1007),
    [sym_minus_operator] = ACTIONS(1009),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(1011),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(1013),
    [anon_sym_this] = ACTIONS(1015),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [421] = {
    [sym_comment] = STATE(421),
    [sym_documentation_comment] = STATE(421),
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1152),
    [anon_sym_POUND] = ACTIONS(1150),
    [sym_decimal_integer_literal] = ACTIONS(1152),
    [sym_hex_integer_literal] = ACTIONS(1150),
    [sym_decimal_floating_point_literal] = ACTIONS(1152),
    [anon_sym_true] = ACTIONS(1152),
    [anon_sym_false] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1150),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1150),
    [anon_sym_r_DQUOTE] = ACTIONS(1152),
    [anon_sym_r_SQUOTE] = ACTIONS(1152),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1150),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1150),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1150),
    [anon_sym_null] = ACTIONS(1152),
    [anon_sym_throw] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_LT] = ACTIONS(1150),
    [sym_increment_operator] = ACTIONS(1150),
    [sym_minus_operator] = ACTIONS(1152),
    [sym__exclamation_operator] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_await] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_yield] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_try] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1150),
    [anon_sym_part] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_class] = ACTIONS(1152),
    [anon_sym_extension] = ACTIONS(1152),
    [anon_sym_super] = ACTIONS(1152),
    [sym_void_type] = ACTIONS(1152),
    [anon_sym_var] = ACTIONS(1152),
    [sym__break_builtin] = ACTIONS(1152),
    [sym__assert_builtin] = ACTIONS(1152),
    [sym_case_builtin] = ACTIONS(1152),
    [anon_sym_covariant] = ACTIONS(1152),
    [anon_sym_export] = ACTIONS(1152),
    [anon_sym_factory] = ACTIONS(1152),
    [anon_sym_Function] = ACTIONS(1152),
    [anon_sym_get] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(1152),
    [anon_sym_operator] = ACTIONS(1152),
    [anon_sym_mixin] = ACTIONS(1152),
    [anon_sym_set] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_typedef] = ACTIONS(1152),
    [anon_sym_new] = ACTIONS(1152),
    [sym_const_builtin] = ACTIONS(1152),
    [sym_final_builtin] = ACTIONS(1152),
    [anon_sym_late] = ACTIONS(1152),
    [anon_sym_external] = ACTIONS(1152),
    [anon_sym_this] = ACTIONS(1152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [422] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1695),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(422),
    [sym_documentation_comment] = STATE(422),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [423] = {
    [sym__literal] = STATE(1177),
    [sym_symbol_literal] = STATE(1199),
    [sym_true] = STATE(1199),
    [sym_false] = STATE(1199),
    [sym_string_literal] = STATE(1199),
    [sym__string_literal_double_quotes] = STATE(697),
    [sym__string_literal_single_quotes] = STATE(697),
    [sym__string_literal_double_quotes_multiple] = STATE(697),
    [sym__string_literal_single_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_double_quotes] = STATE(697),
    [sym__raw_string_literal_single_quotes] = STATE(697),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(697),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(697),
    [sym_list_literal] = STATE(1199),
    [sym_set_or_map_literal] = STATE(1199),
    [sym_null_literal] = STATE(1199),
    [sym_assignable_expression] = STATE(3059),
    [sym_function_expression] = STATE(1177),
    [sym__unary_expression] = STATE(1388),
    [sym_unary_expression] = STATE(1402),
    [sym__postfix_expression] = STATE(1402),
    [sym_postfix_expression] = STATE(1401),
    [sym_prefix_operator] = STATE(423),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1486),
    [sym_await_expression] = STATE(1399),
    [sym_new_expression] = STATE(1177),
    [sym_const_object_expression] = STATE(1177),
    [sym__primary] = STATE(701),
    [sym_parenthesized_expression] = STATE(1177),
    [sym_constructor_invocation] = STATE(704),
    [sym_type_arguments] = STATE(3008),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(3010),
    [sym__formal_parameter_part] = STATE(2356),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2104),
    [sym_this] = STATE(1177),
    [sym_super] = STATE(2472),
    [sym_comment] = STATE(423),
    [sym_documentation_comment] = STATE(423),
    [aux_sym_string_literal_repeat1] = STATE(531),
    [sym_identifier] = ACTIONS(1097),
    [anon_sym_POUND] = ACTIONS(155),
    [sym_decimal_integer_literal] = ACTIONS(157),
    [sym_hex_integer_literal] = ACTIONS(159),
    [sym_decimal_floating_point_literal] = ACTIONS(157),
    [anon_sym_true] = ACTIONS(161),
    [anon_sym_false] = ACTIONS(163),
    [anon_sym_DQUOTE] = ACTIONS(165),
    [anon_sym_SQUOTE] = ACTIONS(167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(169),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(171),
    [anon_sym_r_DQUOTE] = ACTIONS(173),
    [anon_sym_r_SQUOTE] = ACTIONS(175),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(177),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(179),
    [anon_sym_LBRACE] = ACTIONS(606),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_null] = ACTIONS(187),
    [anon_sym_LPAREN] = ACTIONS(191),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(193),
    [sym_minus_operator] = ACTIONS(197),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(630),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(640),
    [anon_sym_this] = ACTIONS(211),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [424] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(2857),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1406),
    [sym_unary_expression] = STATE(1430),
    [sym__postfix_expression] = STATE(1430),
    [sym_postfix_expression] = STATE(1429),
    [sym_prefix_operator] = STATE(409),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1500),
    [sym_await_expression] = STATE(1428),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(826),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(835),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(424),
    [sym_documentation_comment] = STATE(424),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(961),
    [sym_minus_operator] = ACTIONS(963),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(965),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [425] = {
    [sym__literal] = STATE(1382),
    [sym_symbol_literal] = STATE(1368),
    [sym_true] = STATE(1368),
    [sym_false] = STATE(1368),
    [sym_string_literal] = STATE(1368),
    [sym__string_literal_double_quotes] = STATE(916),
    [sym__string_literal_single_quotes] = STATE(916),
    [sym__string_literal_double_quotes_multiple] = STATE(916),
    [sym__string_literal_single_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_double_quotes] = STATE(916),
    [sym__raw_string_literal_single_quotes] = STATE(916),
    [sym__raw_string_literal_double_quotes_multiple] = STATE(916),
    [sym__raw_string_literal_single_quotes_multiple] = STATE(916),
    [sym_list_literal] = STATE(1368),
    [sym_set_or_map_literal] = STATE(1368),
    [sym_null_literal] = STATE(1368),
    [sym_assignable_expression] = STATE(3086),
    [sym_function_expression] = STATE(1382),
    [sym__unary_expression] = STATE(1700),
    [sym_unary_expression] = STATE(1715),
    [sym__postfix_expression] = STATE(1715),
    [sym_postfix_expression] = STATE(1714),
    [sym_prefix_operator] = STATE(425),
    [sym_negation_operator] = STATE(1521),
    [sym_tilde_operator] = STATE(1490),
    [sym_await_expression] = STATE(1713),
    [sym_new_expression] = STATE(1382),
    [sym_const_object_expression] = STATE(1382),
    [sym__primary] = STATE(840),
    [sym_parenthesized_expression] = STATE(1382),
    [sym_constructor_invocation] = STATE(839),
    [sym_type_arguments] = STATE(2928),
    [sym_type_parameters] = STATE(2827),
    [sym__type_name] = STATE(2864),
    [sym__formal_parameter_part] = STATE(2324),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym__new_builtin] = STATE(2130),
    [sym_this] = STATE(1382),
    [sym_super] = STATE(2409),
    [sym_comment] = STATE(425),
    [sym_documentation_comment] = STATE(425),
    [aux_sym_string_literal_repeat1] = STATE(691),
    [sym_identifier] = ACTIONS(1101),
    [anon_sym_POUND] = ACTIONS(139),
    [sym_decimal_integer_literal] = ACTIONS(19),
    [sym_hex_integer_literal] = ACTIONS(21),
    [sym_decimal_floating_point_literal] = ACTIONS(19),
    [anon_sym_true] = ACTIONS(23),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DQUOTE] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(31),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(33),
    [anon_sym_r_DQUOTE] = ACTIONS(35),
    [anon_sym_r_SQUOTE] = ACTIONS(37),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(39),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(45),
    [anon_sym_null] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(51),
    [anon_sym_LT] = ACTIONS(53),
    [sym_increment_operator] = ACTIONS(55),
    [sym_minus_operator] = ACTIONS(57),
    [sym__exclamation_operator] = ACTIONS(59),
    [anon_sym_TILDE] = ACTIONS(61),
    [anon_sym_await] = ACTIONS(786),
    [anon_sym_super] = ACTIONS(95),
    [anon_sym_new] = ACTIONS(125),
    [sym_const_builtin] = ACTIONS(788),
    [anon_sym_this] = ACTIONS(135),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [426] = {
    [sym_comment] = STATE(426),
    [sym_documentation_comment] = STATE(426),
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_POUND] = ACTIONS(1154),
    [sym_decimal_integer_literal] = ACTIONS(1156),
    [sym_hex_integer_literal] = ACTIONS(1154),
    [sym_decimal_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1156),
    [anon_sym_false] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1154),
    [anon_sym_r_DQUOTE] = ACTIONS(1156),
    [anon_sym_r_SQUOTE] = ACTIONS(1156),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1154),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_null] = ACTIONS(1156),
    [anon_sym_throw] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_QMARK] = ACTIONS(1156),
    [anon_sym_LT] = ACTIONS(1154),
    [sym_increment_operator] = ACTIONS(1154),
    [sym_minus_operator] = ACTIONS(1156),
    [sym__exclamation_operator] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_await] = ACTIONS(1156),
    [anon_sym_DOT] = ACTIONS(1156),
    [anon_sym_QMARK_DOT] = ACTIONS(1154),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_yield] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1154),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_abstract] = ACTIONS(1156),
    [anon_sym_class] = ACTIONS(1156),
    [anon_sym_extension] = ACTIONS(1156),
    [anon_sym_super] = ACTIONS(1156),
    [sym_void_type] = ACTIONS(1156),
    [anon_sym_var] = ACTIONS(1156),
    [sym__break_builtin] = ACTIONS(1156),
    [sym__assert_builtin] = ACTIONS(1156),
    [sym_case_builtin] = ACTIONS(1156),
    [anon_sym_covariant] = ACTIONS(1156),
    [anon_sym_factory] = ACTIONS(1156),
    [anon_sym_Function] = ACTIONS(1156),
    [anon_sym_get] = ACTIONS(1156),
    [anon_sym_operator] = ACTIONS(1156),
    [anon_sym_mixin] = ACTIONS(1156),
    [anon_sym_set] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_typedef] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(1156),
    [sym_const_builtin] = ACTIONS(1156),
    [sym_final_builtin] = ACTIONS(1156),
    [anon_sym_late] = ACTIONS(1156),
    [anon_sym_external] = ACTIONS(1156),
    [anon_sym_this] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [427] = {
    [sym_comment] = STATE(427),
    [sym_documentation_comment] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_QMARK] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1105),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1105),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_DOT] = ACTIONS(1107),
    [anon_sym_QMARK_DOT] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_enum] = ACTIONS(1107),
    [anon_sym_abstract] = ACTIONS(1107),
    [anon_sym_class] = ACTIONS(1107),
    [anon_sym_extension] = ACTIONS(1107),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [sym_case_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_factory] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_operator] = ACTIONS(1107),
    [anon_sym_mixin] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_static] = ACTIONS(1107),
    [anon_sym_typedef] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_external] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [428] = {
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_directive] = STATE(461),
    [sym__metadata] = STATE(3091),
    [sym_comment] = STATE(428),
    [sym_documentation_comment] = STATE(428),
    [aux_sym_program_repeat2] = STATE(428),
    [aux_sym__metadata_repeat1] = STATE(2147),
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_identifier] = ACTIONS(1160),
    [anon_sym_POUND] = ACTIONS(1158),
    [sym_decimal_integer_literal] = ACTIONS(1160),
    [sym_hex_integer_literal] = ACTIONS(1158),
    [sym_decimal_floating_point_literal] = ACTIONS(1160),
    [anon_sym_true] = ACTIONS(1160),
    [anon_sym_false] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1158),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1158),
    [anon_sym_r_DQUOTE] = ACTIONS(1160),
    [anon_sym_r_SQUOTE] = ACTIONS(1160),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1158),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1158),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_null] = ACTIONS(1160),
    [anon_sym_throw] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [anon_sym_LT] = ACTIONS(1158),
    [sym_increment_operator] = ACTIONS(1158),
    [sym_minus_operator] = ACTIONS(1160),
    [sym__exclamation_operator] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_await] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_try] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1162),
    [anon_sym_part] = ACTIONS(1165),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(1160),
    [anon_sym_class] = ACTIONS(1160),
    [anon_sym_extension] = ACTIONS(1160),
    [anon_sym_super] = ACTIONS(1160),
    [sym_void_type] = ACTIONS(1160),
    [anon_sym_var] = ACTIONS(1160),
    [sym__break_builtin] = ACTIONS(1160),
    [sym__assert_builtin] = ACTIONS(1160),
    [anon_sym_covariant] = ACTIONS(1160),
    [anon_sym_Function] = ACTIONS(1160),
    [anon_sym_get] = ACTIONS(1160),
    [anon_sym_mixin] = ACTIONS(1160),
    [anon_sym_set] = ACTIONS(1160),
    [anon_sym_typedef] = ACTIONS(1160),
    [anon_sym_new] = ACTIONS(1160),
    [sym_const_builtin] = ACTIONS(1160),
    [sym_final_builtin] = ACTIONS(1160),
    [anon_sym_late] = ACTIONS(1160),
    [anon_sym_external] = ACTIONS(1160),
    [anon_sym_this] = ACTIONS(1160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [429] = {
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_part_of_directive] = STATE(463),
    [sym__metadata] = STATE(3228),
    [sym_comment] = STATE(429),
    [sym_documentation_comment] = STATE(429),
    [aux_sym_program_repeat3] = STATE(429),
    [aux_sym__metadata_repeat1] = STATE(2147),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_identifier] = ACTIONS(1170),
    [anon_sym_POUND] = ACTIONS(1168),
    [sym_decimal_integer_literal] = ACTIONS(1170),
    [sym_hex_integer_literal] = ACTIONS(1168),
    [sym_decimal_floating_point_literal] = ACTIONS(1170),
    [anon_sym_true] = ACTIONS(1170),
    [anon_sym_false] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1170),
    [anon_sym_SQUOTE] = ACTIONS(1170),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1168),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1168),
    [anon_sym_r_DQUOTE] = ACTIONS(1170),
    [anon_sym_r_SQUOTE] = ACTIONS(1170),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1168),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_null] = ACTIONS(1170),
    [anon_sym_throw] = ACTIONS(1170),
    [anon_sym_LPAREN] = ACTIONS(1168),
    [anon_sym_LT] = ACTIONS(1168),
    [sym_increment_operator] = ACTIONS(1168),
    [sym_minus_operator] = ACTIONS(1170),
    [sym__exclamation_operator] = ACTIONS(1168),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_await] = ACTIONS(1170),
    [anon_sym_switch] = ACTIONS(1170),
    [anon_sym_do] = ACTIONS(1170),
    [anon_sym_while] = ACTIONS(1170),
    [anon_sym_continue] = ACTIONS(1170),
    [anon_sym_yield] = ACTIONS(1170),
    [anon_sym_return] = ACTIONS(1170),
    [anon_sym_try] = ACTIONS(1170),
    [anon_sym_if] = ACTIONS(1170),
    [anon_sym_for] = ACTIONS(1170),
    [anon_sym_AT] = ACTIONS(1172),
    [anon_sym_part] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1170),
    [anon_sym_abstract] = ACTIONS(1170),
    [anon_sym_class] = ACTIONS(1170),
    [anon_sym_extension] = ACTIONS(1170),
    [anon_sym_super] = ACTIONS(1170),
    [sym_void_type] = ACTIONS(1170),
    [anon_sym_var] = ACTIONS(1170),
    [sym__break_builtin] = ACTIONS(1170),
    [sym__assert_builtin] = ACTIONS(1170),
    [anon_sym_covariant] = ACTIONS(1170),
    [anon_sym_Function] = ACTIONS(1170),
    [anon_sym_get] = ACTIONS(1170),
    [anon_sym_mixin] = ACTIONS(1170),
    [anon_sym_set] = ACTIONS(1170),
    [anon_sym_typedef] = ACTIONS(1170),
    [anon_sym_new] = ACTIONS(1170),
    [sym_const_builtin] = ACTIONS(1170),
    [sym_final_builtin] = ACTIONS(1170),
    [anon_sym_late] = ACTIONS(1170),
    [anon_sym_external] = ACTIONS(1170),
    [anon_sym_this] = ACTIONS(1170),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [430] = {
    [sym_comment] = STATE(430),
    [sym_documentation_comment] = STATE(430),
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1180),
    [anon_sym_POUND] = ACTIONS(1178),
    [sym_decimal_integer_literal] = ACTIONS(1180),
    [sym_hex_integer_literal] = ACTIONS(1178),
    [sym_decimal_floating_point_literal] = ACTIONS(1180),
    [anon_sym_true] = ACTIONS(1180),
    [anon_sym_false] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1178),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1178),
    [anon_sym_r_DQUOTE] = ACTIONS(1180),
    [anon_sym_r_SQUOTE] = ACTIONS(1180),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1178),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1178),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1178),
    [anon_sym_null] = ACTIONS(1180),
    [anon_sym_throw] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_LT] = ACTIONS(1178),
    [sym_increment_operator] = ACTIONS(1178),
    [sym_minus_operator] = ACTIONS(1180),
    [sym__exclamation_operator] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_await] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_yield] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_try] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1178),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_abstract] = ACTIONS(1180),
    [anon_sym_class] = ACTIONS(1180),
    [anon_sym_extension] = ACTIONS(1180),
    [anon_sym_super] = ACTIONS(1180),
    [sym_void_type] = ACTIONS(1180),
    [anon_sym_var] = ACTIONS(1180),
    [sym__break_builtin] = ACTIONS(1180),
    [sym__assert_builtin] = ACTIONS(1180),
    [sym_case_builtin] = ACTIONS(1180),
    [anon_sym_covariant] = ACTIONS(1180),
    [anon_sym_factory] = ACTIONS(1180),
    [anon_sym_Function] = ACTIONS(1180),
    [anon_sym_get] = ACTIONS(1180),
    [anon_sym_operator] = ACTIONS(1180),
    [anon_sym_mixin] = ACTIONS(1180),
    [anon_sym_set] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_typedef] = ACTIONS(1180),
    [anon_sym_new] = ACTIONS(1180),
    [sym_const_builtin] = ACTIONS(1180),
    [sym_final_builtin] = ACTIONS(1180),
    [anon_sym_late] = ACTIONS(1180),
    [anon_sym_external] = ACTIONS(1180),
    [anon_sym_this] = ACTIONS(1180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [431] = {
    [sym_comment] = STATE(431),
    [sym_documentation_comment] = STATE(431),
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1184),
    [anon_sym_POUND] = ACTIONS(1182),
    [sym_decimal_integer_literal] = ACTIONS(1184),
    [sym_hex_integer_literal] = ACTIONS(1182),
    [sym_decimal_floating_point_literal] = ACTIONS(1184),
    [anon_sym_true] = ACTIONS(1184),
    [anon_sym_false] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1182),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1182),
    [anon_sym_r_DQUOTE] = ACTIONS(1184),
    [anon_sym_r_SQUOTE] = ACTIONS(1184),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1182),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1182),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1182),
    [anon_sym_null] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [sym_increment_operator] = ACTIONS(1182),
    [sym_minus_operator] = ACTIONS(1184),
    [sym__exclamation_operator] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_await] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_try] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1182),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_abstract] = ACTIONS(1184),
    [anon_sym_class] = ACTIONS(1184),
    [anon_sym_extension] = ACTIONS(1184),
    [anon_sym_super] = ACTIONS(1184),
    [sym_void_type] = ACTIONS(1184),
    [anon_sym_var] = ACTIONS(1184),
    [sym__break_builtin] = ACTIONS(1184),
    [sym__assert_builtin] = ACTIONS(1184),
    [sym_case_builtin] = ACTIONS(1184),
    [anon_sym_covariant] = ACTIONS(1184),
    [anon_sym_factory] = ACTIONS(1184),
    [anon_sym_Function] = ACTIONS(1184),
    [anon_sym_get] = ACTIONS(1184),
    [anon_sym_operator] = ACTIONS(1184),
    [anon_sym_mixin] = ACTIONS(1184),
    [anon_sym_set] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_typedef] = ACTIONS(1184),
    [anon_sym_new] = ACTIONS(1184),
    [sym_const_builtin] = ACTIONS(1184),
    [sym_final_builtin] = ACTIONS(1184),
    [anon_sym_late] = ACTIONS(1184),
    [anon_sym_external] = ACTIONS(1184),
    [anon_sym_this] = ACTIONS(1184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [432] = {
    [sym_comment] = STATE(432),
    [sym_documentation_comment] = STATE(432),
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_identifier] = ACTIONS(1188),
    [anon_sym_POUND] = ACTIONS(1186),
    [sym_decimal_integer_literal] = ACTIONS(1188),
    [sym_hex_integer_literal] = ACTIONS(1186),
    [sym_decimal_floating_point_literal] = ACTIONS(1188),
    [anon_sym_true] = ACTIONS(1188),
    [anon_sym_false] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1186),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1186),
    [anon_sym_r_DQUOTE] = ACTIONS(1188),
    [anon_sym_r_SQUOTE] = ACTIONS(1188),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1186),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1186),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_null] = ACTIONS(1188),
    [anon_sym_throw] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [sym_increment_operator] = ACTIONS(1186),
    [sym_minus_operator] = ACTIONS(1188),
    [sym__exclamation_operator] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_await] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_try] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_abstract] = ACTIONS(1188),
    [anon_sym_class] = ACTIONS(1188),
    [anon_sym_extension] = ACTIONS(1188),
    [anon_sym_super] = ACTIONS(1188),
    [sym_void_type] = ACTIONS(1188),
    [anon_sym_var] = ACTIONS(1188),
    [sym__break_builtin] = ACTIONS(1188),
    [sym__assert_builtin] = ACTIONS(1188),
    [sym_case_builtin] = ACTIONS(1188),
    [anon_sym_covariant] = ACTIONS(1188),
    [anon_sym_factory] = ACTIONS(1188),
    [anon_sym_Function] = ACTIONS(1188),
    [anon_sym_get] = ACTIONS(1188),
    [anon_sym_operator] = ACTIONS(1188),
    [anon_sym_mixin] = ACTIONS(1188),
    [anon_sym_set] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_typedef] = ACTIONS(1188),
    [anon_sym_new] = ACTIONS(1188),
    [sym_const_builtin] = ACTIONS(1188),
    [sym_final_builtin] = ACTIONS(1188),
    [anon_sym_late] = ACTIONS(1188),
    [anon_sym_external] = ACTIONS(1188),
    [anon_sym_this] = ACTIONS(1188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [433] = {
    [sym_comment] = STATE(433),
    [sym_documentation_comment] = STATE(433),
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1192),
    [anon_sym_POUND] = ACTIONS(1190),
    [sym_decimal_integer_literal] = ACTIONS(1192),
    [sym_hex_integer_literal] = ACTIONS(1190),
    [sym_decimal_floating_point_literal] = ACTIONS(1192),
    [anon_sym_true] = ACTIONS(1192),
    [anon_sym_false] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1190),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1190),
    [anon_sym_r_DQUOTE] = ACTIONS(1192),
    [anon_sym_r_SQUOTE] = ACTIONS(1192),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1190),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1190),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_null] = ACTIONS(1192),
    [anon_sym_throw] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1190),
    [sym_increment_operator] = ACTIONS(1190),
    [sym_minus_operator] = ACTIONS(1192),
    [sym__exclamation_operator] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_await] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_yield] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_abstract] = ACTIONS(1192),
    [anon_sym_class] = ACTIONS(1192),
    [anon_sym_extension] = ACTIONS(1192),
    [anon_sym_super] = ACTIONS(1192),
    [sym_void_type] = ACTIONS(1192),
    [anon_sym_var] = ACTIONS(1192),
    [sym__break_builtin] = ACTIONS(1192),
    [sym__assert_builtin] = ACTIONS(1192),
    [sym_case_builtin] = ACTIONS(1192),
    [anon_sym_covariant] = ACTIONS(1192),
    [anon_sym_factory] = ACTIONS(1192),
    [anon_sym_Function] = ACTIONS(1192),
    [anon_sym_get] = ACTIONS(1192),
    [anon_sym_operator] = ACTIONS(1192),
    [anon_sym_mixin] = ACTIONS(1192),
    [anon_sym_set] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_typedef] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1192),
    [sym_const_builtin] = ACTIONS(1192),
    [sym_final_builtin] = ACTIONS(1192),
    [anon_sym_late] = ACTIONS(1192),
    [anon_sym_external] = ACTIONS(1192),
    [anon_sym_this] = ACTIONS(1192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [434] = {
    [sym__assignment_operator] = STATE(282),
    [sym_arguments] = STATE(655),
    [sym__cascade_subsection] = STATE(665),
    [sym__cascade_assignment_section] = STATE(1216),
    [sym_index_selector] = STATE(663),
    [sym_argument_part] = STATE(661),
    [sym_unconditional_assignable_selector] = STATE(666),
    [sym_conditional_assignable_selector] = STATE(666),
    [sym__assignable_selector] = STATE(571),
    [sym_type_arguments] = STATE(3041),
    [sym__nullable_type] = STATE(3012),
    [sym_comment] = STATE(434),
    [sym_documentation_comment] = STATE(434),
    [aux_sym_cascade_section_repeat1] = STATE(579),
    [aux_sym_cascade_section_repeat2] = STATE(460),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_QMARK_QMARK] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_equality_operator] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [sym__additive_operator] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_TILDE_SLASH] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1200),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_QMARK_DOT] = ACTIONS(1200),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_async] = ACTIONS(1200),
    [anon_sym_EQ_GT] = ACTIONS(1194),
    [anon_sym_async_STAR] = ACTIONS(1194),
    [anon_sym_sync_STAR] = ACTIONS(1194),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [435] = {
    [sym__assignment_operator] = STATE(195),
    [sym_arguments] = STATE(660),
    [sym__cascade_subsection] = STATE(647),
    [sym__cascade_assignment_section] = STATE(1102),
    [sym_index_selector] = STATE(652),
    [sym_argument_part] = STATE(667),
    [sym_unconditional_assignable_selector] = STATE(644),
    [sym_conditional_assignable_selector] = STATE(644),
    [sym__assignable_selector] = STATE(581),
    [sym_type_arguments] = STATE(3062),
    [sym__nullable_type] = STATE(3020),
    [sym_comment] = STATE(435),
    [sym_documentation_comment] = STATE(435),
    [aux_sym_cascade_section_repeat1] = STATE(573),
    [aux_sym_cascade_section_repeat2] = STATE(464),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_RBRACK] = ACTIONS(1194),
    [anon_sym_COLON] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_RPAREN] = ACTIONS(1194),
    [anon_sym_QMARK_QMARK] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_equality_operator] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [sym__additive_operator] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_TILDE_SLASH] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1200),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_QMARK_DOT] = ACTIONS(1200),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [436] = {
    [sym__assignment_operator] = STATE(282),
    [sym_arguments] = STATE(655),
    [sym__cascade_subsection] = STATE(665),
    [sym__cascade_assignment_section] = STATE(1209),
    [sym_index_selector] = STATE(663),
    [sym_argument_part] = STATE(661),
    [sym_unconditional_assignable_selector] = STATE(666),
    [sym_conditional_assignable_selector] = STATE(666),
    [sym__assignable_selector] = STATE(571),
    [sym_type_arguments] = STATE(3041),
    [sym__nullable_type] = STATE(3012),
    [sym_comment] = STATE(436),
    [sym_documentation_comment] = STATE(436),
    [aux_sym_cascade_section_repeat1] = STATE(434),
    [aux_sym_cascade_section_repeat2] = STATE(459),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_QMARK_QMARK] = ACTIONS(1204),
    [anon_sym_QMARK] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [sym_equality_operator] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1204),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1204),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [sym__additive_operator] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_TILDE_SLASH] = ACTIONS(1204),
    [sym__exclamation_operator] = ACTIONS(1204),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_as] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1204),
    [anon_sym_QMARK_DOT] = ACTIONS(1204),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_async] = ACTIONS(1204),
    [anon_sym_EQ_GT] = ACTIONS(1202),
    [anon_sym_async_STAR] = ACTIONS(1202),
    [anon_sym_sync_STAR] = ACTIONS(1202),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [437] = {
    [sym__assignment_operator] = STATE(195),
    [sym_arguments] = STATE(660),
    [sym__cascade_subsection] = STATE(647),
    [sym__cascade_assignment_section] = STATE(1141),
    [sym_index_selector] = STATE(652),
    [sym_argument_part] = STATE(667),
    [sym_unconditional_assignable_selector] = STATE(644),
    [sym_conditional_assignable_selector] = STATE(644),
    [sym__assignable_selector] = STATE(581),
    [sym_type_arguments] = STATE(3062),
    [sym__nullable_type] = STATE(3020),
    [sym_comment] = STATE(437),
    [sym_documentation_comment] = STATE(437),
    [aux_sym_cascade_section_repeat1] = STATE(435),
    [aux_sym_cascade_section_repeat2] = STATE(458),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_COMMA] = ACTIONS(1202),
    [anon_sym_RBRACK] = ACTIONS(1202),
    [anon_sym_COLON] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_RPAREN] = ACTIONS(1202),
    [anon_sym_QMARK_QMARK] = ACTIONS(1204),
    [anon_sym_QMARK] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [sym_equality_operator] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1204),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1204),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [sym__additive_operator] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_TILDE_SLASH] = ACTIONS(1204),
    [sym__exclamation_operator] = ACTIONS(1204),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1204),
    [anon_sym_QMARK_DOT] = ACTIONS(1204),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [438] = {
    [sym_comment] = STATE(438),
    [sym_documentation_comment] = STATE(438),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_POUND] = ACTIONS(1206),
    [sym_decimal_integer_literal] = ACTIONS(1208),
    [sym_hex_integer_literal] = ACTIONS(1206),
    [sym_decimal_floating_point_literal] = ACTIONS(1208),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1206),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1206),
    [anon_sym_r_DQUOTE] = ACTIONS(1208),
    [anon_sym_r_SQUOTE] = ACTIONS(1208),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1206),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_null] = ACTIONS(1208),
    [anon_sym_throw] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1206),
    [sym_increment_operator] = ACTIONS(1206),
    [sym_minus_operator] = ACTIONS(1208),
    [sym__exclamation_operator] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1206),
    [anon_sym_await] = ACTIONS(1208),
    [anon_sym_switch] = ACTIONS(1208),
    [anon_sym_do] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_try] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1206),
    [anon_sym_part] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_abstract] = ACTIONS(1208),
    [anon_sym_class] = ACTIONS(1208),
    [anon_sym_extension] = ACTIONS(1208),
    [anon_sym_super] = ACTIONS(1208),
    [sym_void_type] = ACTIONS(1208),
    [anon_sym_var] = ACTIONS(1208),
    [anon_sym_library] = ACTIONS(1208),
    [sym__break_builtin] = ACTIONS(1208),
    [sym__assert_builtin] = ACTIONS(1208),
    [anon_sym_covariant] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1208),
    [anon_sym_Function] = ACTIONS(1208),
    [anon_sym_get] = ACTIONS(1208),
    [anon_sym_import] = ACTIONS(1208),
    [anon_sym_mixin] = ACTIONS(1208),
    [anon_sym_set] = ACTIONS(1208),
    [anon_sym_typedef] = ACTIONS(1208),
    [anon_sym_new] = ACTIONS(1208),
    [sym_const_builtin] = ACTIONS(1208),
    [sym_final_builtin] = ACTIONS(1208),
    [anon_sym_late] = ACTIONS(1208),
    [anon_sym_external] = ACTIONS(1208),
    [anon_sym_this] = ACTIONS(1208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [439] = {
    [sym__on_part] = STATE(496),
    [sym_catch_clause] = STATE(2998),
    [sym_finally_clause] = STATE(560),
    [sym_comment] = STATE(439),
    [sym_documentation_comment] = STATE(439),
    [aux_sym_try_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1210),
    [sym_identifier] = ACTIONS(1212),
    [anon_sym_POUND] = ACTIONS(1210),
    [sym_decimal_integer_literal] = ACTIONS(1212),
    [sym_hex_integer_literal] = ACTIONS(1210),
    [sym_decimal_floating_point_literal] = ACTIONS(1212),
    [anon_sym_true] = ACTIONS(1212),
    [anon_sym_false] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1210),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1210),
    [anon_sym_r_DQUOTE] = ACTIONS(1212),
    [anon_sym_r_SQUOTE] = ACTIONS(1212),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1210),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_RBRACE] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1210),
    [anon_sym_null] = ACTIONS(1212),
    [anon_sym_throw] = ACTIONS(1212),
    [anon_sym_LPAREN] = ACTIONS(1210),
    [anon_sym_LT] = ACTIONS(1210),
    [sym_increment_operator] = ACTIONS(1210),
    [sym_minus_operator] = ACTIONS(1212),
    [sym__exclamation_operator] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1210),
    [anon_sym_await] = ACTIONS(1212),
    [anon_sym_switch] = ACTIONS(1212),
    [anon_sym_default] = ACTIONS(1212),
    [anon_sym_do] = ACTIONS(1212),
    [anon_sym_while] = ACTIONS(1212),
    [anon_sym_continue] = ACTIONS(1212),
    [anon_sym_yield] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1212),
    [anon_sym_on] = ACTIONS(1214),
    [anon_sym_try] = ACTIONS(1212),
    [anon_sym_catch] = ACTIONS(1216),
    [anon_sym_finally] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1212),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1210),
    [anon_sym_super] = ACTIONS(1212),
    [sym_void_type] = ACTIONS(1212),
    [anon_sym_var] = ACTIONS(1212),
    [sym__break_builtin] = ACTIONS(1212),
    [sym__assert_builtin] = ACTIONS(1212),
    [sym_case_builtin] = ACTIONS(1212),
    [anon_sym_covariant] = ACTIONS(1212),
    [anon_sym_Function] = ACTIONS(1212),
    [anon_sym_get] = ACTIONS(1212),
    [anon_sym_set] = ACTIONS(1212),
    [anon_sym_new] = ACTIONS(1212),
    [sym_const_builtin] = ACTIONS(1212),
    [sym_final_builtin] = ACTIONS(1212),
    [anon_sym_late] = ACTIONS(1212),
    [anon_sym_this] = ACTIONS(1212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [440] = {
    [sym_comment] = STATE(440),
    [sym_documentation_comment] = STATE(440),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_identifier] = ACTIONS(1222),
    [anon_sym_POUND] = ACTIONS(1220),
    [sym_decimal_integer_literal] = ACTIONS(1222),
    [sym_hex_integer_literal] = ACTIONS(1220),
    [sym_decimal_floating_point_literal] = ACTIONS(1222),
    [anon_sym_true] = ACTIONS(1222),
    [anon_sym_false] = ACTIONS(1222),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [anon_sym_SQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1220),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1220),
    [anon_sym_r_DQUOTE] = ACTIONS(1222),
    [anon_sym_r_SQUOTE] = ACTIONS(1222),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1220),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_null] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [sym_increment_operator] = ACTIONS(1220),
    [sym_minus_operator] = ACTIONS(1222),
    [sym__exclamation_operator] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_await] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_yield] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_try] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1220),
    [anon_sym_part] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_abstract] = ACTIONS(1222),
    [anon_sym_class] = ACTIONS(1222),
    [anon_sym_extension] = ACTIONS(1222),
    [anon_sym_super] = ACTIONS(1222),
    [sym_void_type] = ACTIONS(1222),
    [anon_sym_var] = ACTIONS(1222),
    [sym__break_builtin] = ACTIONS(1222),
    [sym__assert_builtin] = ACTIONS(1222),
    [anon_sym_covariant] = ACTIONS(1222),
    [anon_sym_export] = ACTIONS(1222),
    [anon_sym_Function] = ACTIONS(1222),
    [anon_sym_get] = ACTIONS(1222),
    [anon_sym_import] = ACTIONS(1222),
    [anon_sym_mixin] = ACTIONS(1222),
    [anon_sym_set] = ACTIONS(1222),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_new] = ACTIONS(1222),
    [sym_const_builtin] = ACTIONS(1222),
    [sym_final_builtin] = ACTIONS(1222),
    [anon_sym_late] = ACTIONS(1222),
    [anon_sym_external] = ACTIONS(1222),
    [anon_sym_this] = ACTIONS(1222),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [441] = {
    [sym_comment] = STATE(441),
    [sym_documentation_comment] = STATE(441),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_identifier] = ACTIONS(1226),
    [anon_sym_POUND] = ACTIONS(1224),
    [sym_decimal_integer_literal] = ACTIONS(1226),
    [sym_hex_integer_literal] = ACTIONS(1224),
    [sym_decimal_floating_point_literal] = ACTIONS(1226),
    [anon_sym_true] = ACTIONS(1226),
    [anon_sym_false] = ACTIONS(1226),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [anon_sym_SQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1224),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1224),
    [anon_sym_r_DQUOTE] = ACTIONS(1226),
    [anon_sym_r_SQUOTE] = ACTIONS(1226),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1224),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_null] = ACTIONS(1226),
    [anon_sym_throw] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [sym_increment_operator] = ACTIONS(1224),
    [sym_minus_operator] = ACTIONS(1226),
    [sym__exclamation_operator] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_await] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_try] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1224),
    [anon_sym_part] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_abstract] = ACTIONS(1226),
    [anon_sym_class] = ACTIONS(1226),
    [anon_sym_extension] = ACTIONS(1226),
    [anon_sym_super] = ACTIONS(1226),
    [sym_void_type] = ACTIONS(1226),
    [anon_sym_var] = ACTIONS(1226),
    [sym__break_builtin] = ACTIONS(1226),
    [sym__assert_builtin] = ACTIONS(1226),
    [anon_sym_covariant] = ACTIONS(1226),
    [anon_sym_export] = ACTIONS(1226),
    [anon_sym_Function] = ACTIONS(1226),
    [anon_sym_get] = ACTIONS(1226),
    [anon_sym_import] = ACTIONS(1226),
    [anon_sym_mixin] = ACTIONS(1226),
    [anon_sym_set] = ACTIONS(1226),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_new] = ACTIONS(1226),
    [sym_const_builtin] = ACTIONS(1226),
    [sym_final_builtin] = ACTIONS(1226),
    [anon_sym_late] = ACTIONS(1226),
    [anon_sym_external] = ACTIONS(1226),
    [anon_sym_this] = ACTIONS(1226),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [442] = {
    [sym_comment] = STATE(442),
    [sym_documentation_comment] = STATE(442),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_identifier] = ACTIONS(1230),
    [anon_sym_POUND] = ACTIONS(1228),
    [sym_decimal_integer_literal] = ACTIONS(1230),
    [sym_hex_integer_literal] = ACTIONS(1228),
    [sym_decimal_floating_point_literal] = ACTIONS(1230),
    [anon_sym_true] = ACTIONS(1230),
    [anon_sym_false] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [anon_sym_SQUOTE] = ACTIONS(1230),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1228),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1228),
    [anon_sym_r_DQUOTE] = ACTIONS(1230),
    [anon_sym_r_SQUOTE] = ACTIONS(1230),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1228),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_null] = ACTIONS(1230),
    [anon_sym_throw] = ACTIONS(1230),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [sym_increment_operator] = ACTIONS(1228),
    [sym_minus_operator] = ACTIONS(1230),
    [sym__exclamation_operator] = ACTIONS(1228),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_await] = ACTIONS(1230),
    [anon_sym_switch] = ACTIONS(1230),
    [anon_sym_do] = ACTIONS(1230),
    [anon_sym_while] = ACTIONS(1230),
    [anon_sym_continue] = ACTIONS(1230),
    [anon_sym_yield] = ACTIONS(1230),
    [anon_sym_return] = ACTIONS(1230),
    [anon_sym_try] = ACTIONS(1230),
    [anon_sym_if] = ACTIONS(1230),
    [anon_sym_for] = ACTIONS(1230),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_part] = ACTIONS(1230),
    [anon_sym_enum] = ACTIONS(1230),
    [anon_sym_abstract] = ACTIONS(1230),
    [anon_sym_class] = ACTIONS(1230),
    [anon_sym_extension] = ACTIONS(1230),
    [anon_sym_super] = ACTIONS(1230),
    [sym_void_type] = ACTIONS(1230),
    [anon_sym_var] = ACTIONS(1230),
    [sym__break_builtin] = ACTIONS(1230),
    [sym__assert_builtin] = ACTIONS(1230),
    [anon_sym_covariant] = ACTIONS(1230),
    [anon_sym_export] = ACTIONS(1230),
    [anon_sym_Function] = ACTIONS(1230),
    [anon_sym_get] = ACTIONS(1230),
    [anon_sym_import] = ACTIONS(1230),
    [anon_sym_mixin] = ACTIONS(1230),
    [anon_sym_set] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1230),
    [anon_sym_new] = ACTIONS(1230),
    [sym_const_builtin] = ACTIONS(1230),
    [sym_final_builtin] = ACTIONS(1230),
    [anon_sym_late] = ACTIONS(1230),
    [anon_sym_external] = ACTIONS(1230),
    [anon_sym_this] = ACTIONS(1230),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [443] = {
    [sym_comment] = STATE(443),
    [sym_documentation_comment] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1234),
    [anon_sym_POUND] = ACTIONS(1232),
    [sym_decimal_integer_literal] = ACTIONS(1234),
    [sym_hex_integer_literal] = ACTIONS(1232),
    [sym_decimal_floating_point_literal] = ACTIONS(1234),
    [anon_sym_true] = ACTIONS(1234),
    [anon_sym_false] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1232),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1232),
    [anon_sym_r_DQUOTE] = ACTIONS(1234),
    [anon_sym_r_SQUOTE] = ACTIONS(1234),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1232),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_null] = ACTIONS(1234),
    [anon_sym_throw] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [sym_increment_operator] = ACTIONS(1232),
    [sym_minus_operator] = ACTIONS(1234),
    [sym__exclamation_operator] = ACTIONS(1232),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_await] = ACTIONS(1234),
    [anon_sym_switch] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_yield] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_try] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_AT] = ACTIONS(1232),
    [anon_sym_part] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_abstract] = ACTIONS(1234),
    [anon_sym_class] = ACTIONS(1234),
    [anon_sym_extension] = ACTIONS(1234),
    [anon_sym_super] = ACTIONS(1234),
    [sym_void_type] = ACTIONS(1234),
    [anon_sym_var] = ACTIONS(1234),
    [sym__break_builtin] = ACTIONS(1234),
    [sym__assert_builtin] = ACTIONS(1234),
    [anon_sym_covariant] = ACTIONS(1234),
    [anon_sym_export] = ACTIONS(1234),
    [anon_sym_Function] = ACTIONS(1234),
    [anon_sym_get] = ACTIONS(1234),
    [anon_sym_import] = ACTIONS(1234),
    [anon_sym_mixin] = ACTIONS(1234),
    [anon_sym_set] = ACTIONS(1234),
    [anon_sym_typedef] = ACTIONS(1234),
    [anon_sym_new] = ACTIONS(1234),
    [sym_const_builtin] = ACTIONS(1234),
    [sym_final_builtin] = ACTIONS(1234),
    [anon_sym_late] = ACTIONS(1234),
    [anon_sym_external] = ACTIONS(1234),
    [anon_sym_this] = ACTIONS(1234),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [444] = {
    [sym_comment] = STATE(444),
    [sym_documentation_comment] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_POUND] = ACTIONS(1236),
    [sym_decimal_integer_literal] = ACTIONS(1238),
    [sym_hex_integer_literal] = ACTIONS(1236),
    [sym_decimal_floating_point_literal] = ACTIONS(1238),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1236),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1236),
    [anon_sym_r_DQUOTE] = ACTIONS(1238),
    [anon_sym_r_SQUOTE] = ACTIONS(1238),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1236),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_null] = ACTIONS(1238),
    [anon_sym_throw] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [sym_increment_operator] = ACTIONS(1236),
    [sym_minus_operator] = ACTIONS(1238),
    [sym__exclamation_operator] = ACTIONS(1236),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_await] = ACTIONS(1238),
    [anon_sym_switch] = ACTIONS(1238),
    [anon_sym_do] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_try] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_AT] = ACTIONS(1236),
    [anon_sym_part] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_abstract] = ACTIONS(1238),
    [anon_sym_class] = ACTIONS(1238),
    [anon_sym_extension] = ACTIONS(1238),
    [anon_sym_super] = ACTIONS(1238),
    [sym_void_type] = ACTIONS(1238),
    [anon_sym_var] = ACTIONS(1238),
    [sym__break_builtin] = ACTIONS(1238),
    [sym__assert_builtin] = ACTIONS(1238),
    [anon_sym_covariant] = ACTIONS(1238),
    [anon_sym_export] = ACTIONS(1238),
    [anon_sym_Function] = ACTIONS(1238),
    [anon_sym_get] = ACTIONS(1238),
    [anon_sym_import] = ACTIONS(1238),
    [anon_sym_mixin] = ACTIONS(1238),
    [anon_sym_set] = ACTIONS(1238),
    [anon_sym_typedef] = ACTIONS(1238),
    [anon_sym_new] = ACTIONS(1238),
    [sym_const_builtin] = ACTIONS(1238),
    [sym_final_builtin] = ACTIONS(1238),
    [anon_sym_late] = ACTIONS(1238),
    [anon_sym_external] = ACTIONS(1238),
    [anon_sym_this] = ACTIONS(1238),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [445] = {
    [sym_comment] = STATE(445),
    [sym_documentation_comment] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_POUND] = ACTIONS(1240),
    [sym_decimal_integer_literal] = ACTIONS(1242),
    [sym_hex_integer_literal] = ACTIONS(1240),
    [sym_decimal_floating_point_literal] = ACTIONS(1242),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1240),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1240),
    [anon_sym_r_DQUOTE] = ACTIONS(1242),
    [anon_sym_r_SQUOTE] = ACTIONS(1242),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1240),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_null] = ACTIONS(1242),
    [anon_sym_throw] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [sym_increment_operator] = ACTIONS(1240),
    [sym_minus_operator] = ACTIONS(1242),
    [sym__exclamation_operator] = ACTIONS(1240),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_await] = ACTIONS(1242),
    [anon_sym_switch] = ACTIONS(1242),
    [anon_sym_do] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_yield] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_try] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_part] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_abstract] = ACTIONS(1242),
    [anon_sym_class] = ACTIONS(1242),
    [anon_sym_extension] = ACTIONS(1242),
    [anon_sym_super] = ACTIONS(1242),
    [sym_void_type] = ACTIONS(1242),
    [anon_sym_var] = ACTIONS(1242),
    [sym__break_builtin] = ACTIONS(1242),
    [sym__assert_builtin] = ACTIONS(1242),
    [anon_sym_covariant] = ACTIONS(1242),
    [anon_sym_export] = ACTIONS(1242),
    [anon_sym_Function] = ACTIONS(1242),
    [anon_sym_get] = ACTIONS(1242),
    [anon_sym_import] = ACTIONS(1242),
    [anon_sym_mixin] = ACTIONS(1242),
    [anon_sym_set] = ACTIONS(1242),
    [anon_sym_typedef] = ACTIONS(1242),
    [anon_sym_new] = ACTIONS(1242),
    [sym_const_builtin] = ACTIONS(1242),
    [sym_final_builtin] = ACTIONS(1242),
    [anon_sym_late] = ACTIONS(1242),
    [anon_sym_external] = ACTIONS(1242),
    [anon_sym_this] = ACTIONS(1242),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [446] = {
    [sym__on_part] = STATE(496),
    [sym_catch_clause] = STATE(2998),
    [sym_comment] = STATE(446),
    [sym_documentation_comment] = STATE(446),
    [aux_sym_try_statement_repeat1] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_POUND] = ACTIONS(1244),
    [sym_decimal_integer_literal] = ACTIONS(1246),
    [sym_hex_integer_literal] = ACTIONS(1244),
    [sym_decimal_floating_point_literal] = ACTIONS(1246),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1244),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1244),
    [anon_sym_r_DQUOTE] = ACTIONS(1246),
    [anon_sym_r_SQUOTE] = ACTIONS(1246),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1244),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_null] = ACTIONS(1246),
    [anon_sym_throw] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [sym_increment_operator] = ACTIONS(1244),
    [sym_minus_operator] = ACTIONS(1246),
    [sym__exclamation_operator] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1246),
    [anon_sym_switch] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_do] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_on] = ACTIONS(1248),
    [anon_sym_try] = ACTIONS(1246),
    [anon_sym_catch] = ACTIONS(1251),
    [anon_sym_finally] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_super] = ACTIONS(1246),
    [sym_void_type] = ACTIONS(1246),
    [anon_sym_var] = ACTIONS(1246),
    [sym__break_builtin] = ACTIONS(1246),
    [sym__assert_builtin] = ACTIONS(1246),
    [sym_case_builtin] = ACTIONS(1246),
    [anon_sym_covariant] = ACTIONS(1246),
    [anon_sym_Function] = ACTIONS(1246),
    [anon_sym_get] = ACTIONS(1246),
    [anon_sym_set] = ACTIONS(1246),
    [anon_sym_new] = ACTIONS(1246),
    [sym_const_builtin] = ACTIONS(1246),
    [sym_final_builtin] = ACTIONS(1246),
    [anon_sym_late] = ACTIONS(1246),
    [anon_sym_this] = ACTIONS(1246),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [447] = {
    [sym_comment] = STATE(447),
    [sym_documentation_comment] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1254),
    [sym_identifier] = ACTIONS(1256),
    [anon_sym_POUND] = ACTIONS(1254),
    [sym_decimal_integer_literal] = ACTIONS(1256),
    [sym_hex_integer_literal] = ACTIONS(1254),
    [sym_decimal_floating_point_literal] = ACTIONS(1256),
    [anon_sym_true] = ACTIONS(1256),
    [anon_sym_false] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1254),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1254),
    [anon_sym_r_DQUOTE] = ACTIONS(1256),
    [anon_sym_r_SQUOTE] = ACTIONS(1256),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1254),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1254),
    [anon_sym_LBRACE] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_null] = ACTIONS(1256),
    [anon_sym_throw] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_LT] = ACTIONS(1254),
    [sym_increment_operator] = ACTIONS(1254),
    [sym_minus_operator] = ACTIONS(1256),
    [sym__exclamation_operator] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1254),
    [anon_sym_await] = ACTIONS(1256),
    [anon_sym_switch] = ACTIONS(1256),
    [anon_sym_do] = ACTIONS(1256),
    [anon_sym_while] = ACTIONS(1256),
    [anon_sym_continue] = ACTIONS(1256),
    [anon_sym_yield] = ACTIONS(1256),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_try] = ACTIONS(1256),
    [anon_sym_if] = ACTIONS(1256),
    [anon_sym_for] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1254),
    [anon_sym_part] = ACTIONS(1256),
    [anon_sym_enum] = ACTIONS(1256),
    [anon_sym_abstract] = ACTIONS(1256),
    [anon_sym_class] = ACTIONS(1256),
    [anon_sym_extension] = ACTIONS(1256),
    [anon_sym_super] = ACTIONS(1256),
    [sym_void_type] = ACTIONS(1256),
    [anon_sym_var] = ACTIONS(1256),
    [sym__break_builtin] = ACTIONS(1256),
    [sym__assert_builtin] = ACTIONS(1256),
    [anon_sym_covariant] = ACTIONS(1256),
    [anon_sym_export] = ACTIONS(1256),
    [anon_sym_Function] = ACTIONS(1256),
    [anon_sym_get] = ACTIONS(1256),
    [anon_sym_import] = ACTIONS(1256),
    [anon_sym_mixin] = ACTIONS(1256),
    [anon_sym_set] = ACTIONS(1256),
    [anon_sym_typedef] = ACTIONS(1256),
    [anon_sym_new] = ACTIONS(1256),
    [sym_const_builtin] = ACTIONS(1256),
    [sym_final_builtin] = ACTIONS(1256),
    [anon_sym_late] = ACTIONS(1256),
    [anon_sym_external] = ACTIONS(1256),
    [anon_sym_this] = ACTIONS(1256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [448] = {
    [sym_comment] = STATE(448),
    [sym_documentation_comment] = STATE(448),
    [ts_builtin_sym_end] = ACTIONS(1258),
    [sym_identifier] = ACTIONS(1260),
    [anon_sym_POUND] = ACTIONS(1258),
    [sym_decimal_integer_literal] = ACTIONS(1260),
    [sym_hex_integer_literal] = ACTIONS(1258),
    [sym_decimal_floating_point_literal] = ACTIONS(1260),
    [anon_sym_true] = ACTIONS(1260),
    [anon_sym_false] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1258),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1258),
    [anon_sym_r_DQUOTE] = ACTIONS(1260),
    [anon_sym_r_SQUOTE] = ACTIONS(1260),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1258),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1258),
    [anon_sym_LBRACE] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1258),
    [anon_sym_null] = ACTIONS(1260),
    [anon_sym_throw] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1258),
    [anon_sym_LT] = ACTIONS(1258),
    [sym_increment_operator] = ACTIONS(1258),
    [sym_minus_operator] = ACTIONS(1260),
    [sym__exclamation_operator] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1258),
    [anon_sym_await] = ACTIONS(1260),
    [anon_sym_switch] = ACTIONS(1260),
    [anon_sym_do] = ACTIONS(1260),
    [anon_sym_while] = ACTIONS(1260),
    [anon_sym_continue] = ACTIONS(1260),
    [anon_sym_yield] = ACTIONS(1260),
    [anon_sym_return] = ACTIONS(1260),
    [anon_sym_try] = ACTIONS(1260),
    [anon_sym_if] = ACTIONS(1260),
    [anon_sym_for] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1258),
    [anon_sym_part] = ACTIONS(1260),
    [anon_sym_enum] = ACTIONS(1260),
    [anon_sym_abstract] = ACTIONS(1260),
    [anon_sym_class] = ACTIONS(1260),
    [anon_sym_extension] = ACTIONS(1260),
    [anon_sym_super] = ACTIONS(1260),
    [sym_void_type] = ACTIONS(1260),
    [anon_sym_var] = ACTIONS(1260),
    [sym__break_builtin] = ACTIONS(1260),
    [sym__assert_builtin] = ACTIONS(1260),
    [anon_sym_covariant] = ACTIONS(1260),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_Function] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_import] = ACTIONS(1260),
    [anon_sym_mixin] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_typedef] = ACTIONS(1260),
    [anon_sym_new] = ACTIONS(1260),
    [sym_const_builtin] = ACTIONS(1260),
    [sym_final_builtin] = ACTIONS(1260),
    [anon_sym_late] = ACTIONS(1260),
    [anon_sym_external] = ACTIONS(1260),
    [anon_sym_this] = ACTIONS(1260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [449] = {
    [sym_comment] = STATE(449),
    [sym_documentation_comment] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1262),
    [sym_identifier] = ACTIONS(1264),
    [anon_sym_POUND] = ACTIONS(1262),
    [sym_decimal_integer_literal] = ACTIONS(1264),
    [sym_hex_integer_literal] = ACTIONS(1262),
    [sym_decimal_floating_point_literal] = ACTIONS(1264),
    [anon_sym_true] = ACTIONS(1264),
    [anon_sym_false] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1262),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1262),
    [anon_sym_r_DQUOTE] = ACTIONS(1264),
    [anon_sym_r_SQUOTE] = ACTIONS(1264),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1262),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_null] = ACTIONS(1264),
    [anon_sym_throw] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1262),
    [sym_increment_operator] = ACTIONS(1262),
    [sym_minus_operator] = ACTIONS(1264),
    [sym__exclamation_operator] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1262),
    [anon_sym_await] = ACTIONS(1264),
    [anon_sym_switch] = ACTIONS(1264),
    [anon_sym_do] = ACTIONS(1264),
    [anon_sym_while] = ACTIONS(1264),
    [anon_sym_continue] = ACTIONS(1264),
    [anon_sym_yield] = ACTIONS(1264),
    [anon_sym_return] = ACTIONS(1264),
    [anon_sym_try] = ACTIONS(1264),
    [anon_sym_if] = ACTIONS(1264),
    [anon_sym_for] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_part] = ACTIONS(1264),
    [anon_sym_enum] = ACTIONS(1264),
    [anon_sym_abstract] = ACTIONS(1264),
    [anon_sym_class] = ACTIONS(1264),
    [anon_sym_extension] = ACTIONS(1264),
    [anon_sym_super] = ACTIONS(1264),
    [sym_void_type] = ACTIONS(1264),
    [anon_sym_var] = ACTIONS(1264),
    [sym__break_builtin] = ACTIONS(1264),
    [sym__assert_builtin] = ACTIONS(1264),
    [anon_sym_covariant] = ACTIONS(1264),
    [anon_sym_export] = ACTIONS(1264),
    [anon_sym_Function] = ACTIONS(1264),
    [anon_sym_get] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(1264),
    [anon_sym_mixin] = ACTIONS(1264),
    [anon_sym_set] = ACTIONS(1264),
    [anon_sym_typedef] = ACTIONS(1264),
    [anon_sym_new] = ACTIONS(1264),
    [sym_const_builtin] = ACTIONS(1264),
    [sym_final_builtin] = ACTIONS(1264),
    [anon_sym_late] = ACTIONS(1264),
    [anon_sym_external] = ACTIONS(1264),
    [anon_sym_this] = ACTIONS(1264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [450] = {
    [sym_comment] = STATE(450),
    [sym_documentation_comment] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1266),
    [sym_identifier] = ACTIONS(1268),
    [anon_sym_POUND] = ACTIONS(1266),
    [sym_decimal_integer_literal] = ACTIONS(1268),
    [sym_hex_integer_literal] = ACTIONS(1266),
    [sym_decimal_floating_point_literal] = ACTIONS(1268),
    [anon_sym_true] = ACTIONS(1268),
    [anon_sym_false] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1266),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1266),
    [anon_sym_r_DQUOTE] = ACTIONS(1268),
    [anon_sym_r_SQUOTE] = ACTIONS(1268),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1266),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1266),
    [anon_sym_LBRACE] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1266),
    [anon_sym_null] = ACTIONS(1268),
    [anon_sym_throw] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [anon_sym_LT] = ACTIONS(1266),
    [sym_increment_operator] = ACTIONS(1266),
    [sym_minus_operator] = ACTIONS(1268),
    [sym__exclamation_operator] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_switch] = ACTIONS(1268),
    [anon_sym_do] = ACTIONS(1268),
    [anon_sym_while] = ACTIONS(1268),
    [anon_sym_continue] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1268),
    [anon_sym_return] = ACTIONS(1268),
    [anon_sym_try] = ACTIONS(1268),
    [anon_sym_if] = ACTIONS(1268),
    [anon_sym_for] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1266),
    [anon_sym_part] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1268),
    [anon_sym_abstract] = ACTIONS(1268),
    [anon_sym_class] = ACTIONS(1268),
    [anon_sym_extension] = ACTIONS(1268),
    [anon_sym_super] = ACTIONS(1268),
    [sym_void_type] = ACTIONS(1268),
    [anon_sym_var] = ACTIONS(1268),
    [sym__break_builtin] = ACTIONS(1268),
    [sym__assert_builtin] = ACTIONS(1268),
    [anon_sym_covariant] = ACTIONS(1268),
    [anon_sym_export] = ACTIONS(1268),
    [anon_sym_Function] = ACTIONS(1268),
    [anon_sym_get] = ACTIONS(1268),
    [anon_sym_import] = ACTIONS(1268),
    [anon_sym_mixin] = ACTIONS(1268),
    [anon_sym_set] = ACTIONS(1268),
    [anon_sym_typedef] = ACTIONS(1268),
    [anon_sym_new] = ACTIONS(1268),
    [sym_const_builtin] = ACTIONS(1268),
    [sym_final_builtin] = ACTIONS(1268),
    [anon_sym_late] = ACTIONS(1268),
    [anon_sym_external] = ACTIONS(1268),
    [anon_sym_this] = ACTIONS(1268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [451] = {
    [sym_comment] = STATE(451),
    [sym_documentation_comment] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1270),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_POUND] = ACTIONS(1270),
    [sym_decimal_integer_literal] = ACTIONS(1272),
    [sym_hex_integer_literal] = ACTIONS(1270),
    [sym_decimal_floating_point_literal] = ACTIONS(1272),
    [anon_sym_true] = ACTIONS(1272),
    [anon_sym_false] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1270),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1270),
    [anon_sym_r_DQUOTE] = ACTIONS(1272),
    [anon_sym_r_SQUOTE] = ACTIONS(1272),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1270),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1270),
    [anon_sym_LBRACE] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_null] = ACTIONS(1272),
    [anon_sym_throw] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1270),
    [anon_sym_LT] = ACTIONS(1270),
    [sym_increment_operator] = ACTIONS(1270),
    [sym_minus_operator] = ACTIONS(1272),
    [sym__exclamation_operator] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1270),
    [anon_sym_await] = ACTIONS(1272),
    [anon_sym_switch] = ACTIONS(1272),
    [anon_sym_do] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_yield] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_try] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1270),
    [anon_sym_part] = ACTIONS(1272),
    [anon_sym_enum] = ACTIONS(1272),
    [anon_sym_abstract] = ACTIONS(1272),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_extension] = ACTIONS(1272),
    [anon_sym_super] = ACTIONS(1272),
    [sym_void_type] = ACTIONS(1272),
    [anon_sym_var] = ACTIONS(1272),
    [sym__break_builtin] = ACTIONS(1272),
    [sym__assert_builtin] = ACTIONS(1272),
    [anon_sym_covariant] = ACTIONS(1272),
    [anon_sym_export] = ACTIONS(1272),
    [anon_sym_Function] = ACTIONS(1272),
    [anon_sym_get] = ACTIONS(1272),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_mixin] = ACTIONS(1272),
    [anon_sym_set] = ACTIONS(1272),
    [anon_sym_typedef] = ACTIONS(1272),
    [anon_sym_new] = ACTIONS(1272),
    [sym_const_builtin] = ACTIONS(1272),
    [sym_final_builtin] = ACTIONS(1272),
    [anon_sym_late] = ACTIONS(1272),
    [anon_sym_external] = ACTIONS(1272),
    [anon_sym_this] = ACTIONS(1272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [452] = {
    [sym_comment] = STATE(452),
    [sym_documentation_comment] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [sym_identifier] = ACTIONS(1276),
    [anon_sym_POUND] = ACTIONS(1274),
    [sym_decimal_integer_literal] = ACTIONS(1276),
    [sym_hex_integer_literal] = ACTIONS(1274),
    [sym_decimal_floating_point_literal] = ACTIONS(1276),
    [anon_sym_true] = ACTIONS(1276),
    [anon_sym_false] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1274),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1274),
    [anon_sym_r_DQUOTE] = ACTIONS(1276),
    [anon_sym_r_SQUOTE] = ACTIONS(1276),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1274),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_null] = ACTIONS(1276),
    [anon_sym_throw] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [anon_sym_LT] = ACTIONS(1274),
    [sym_increment_operator] = ACTIONS(1274),
    [sym_minus_operator] = ACTIONS(1276),
    [sym__exclamation_operator] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_await] = ACTIONS(1276),
    [anon_sym_switch] = ACTIONS(1276),
    [anon_sym_do] = ACTIONS(1276),
    [anon_sym_while] = ACTIONS(1276),
    [anon_sym_continue] = ACTIONS(1276),
    [anon_sym_yield] = ACTIONS(1276),
    [anon_sym_return] = ACTIONS(1276),
    [anon_sym_try] = ACTIONS(1276),
    [anon_sym_if] = ACTIONS(1276),
    [anon_sym_for] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_part] = ACTIONS(1276),
    [anon_sym_enum] = ACTIONS(1276),
    [anon_sym_abstract] = ACTIONS(1276),
    [anon_sym_class] = ACTIONS(1276),
    [anon_sym_extension] = ACTIONS(1276),
    [anon_sym_super] = ACTIONS(1276),
    [sym_void_type] = ACTIONS(1276),
    [anon_sym_var] = ACTIONS(1276),
    [sym__break_builtin] = ACTIONS(1276),
    [sym__assert_builtin] = ACTIONS(1276),
    [anon_sym_covariant] = ACTIONS(1276),
    [anon_sym_export] = ACTIONS(1276),
    [anon_sym_Function] = ACTIONS(1276),
    [anon_sym_get] = ACTIONS(1276),
    [anon_sym_import] = ACTIONS(1276),
    [anon_sym_mixin] = ACTIONS(1276),
    [anon_sym_set] = ACTIONS(1276),
    [anon_sym_typedef] = ACTIONS(1276),
    [anon_sym_new] = ACTIONS(1276),
    [sym_const_builtin] = ACTIONS(1276),
    [sym_final_builtin] = ACTIONS(1276),
    [anon_sym_late] = ACTIONS(1276),
    [anon_sym_external] = ACTIONS(1276),
    [anon_sym_this] = ACTIONS(1276),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [453] = {
    [sym_comment] = STATE(453),
    [sym_documentation_comment] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1278),
    [sym_identifier] = ACTIONS(1280),
    [anon_sym_POUND] = ACTIONS(1278),
    [sym_decimal_integer_literal] = ACTIONS(1280),
    [sym_hex_integer_literal] = ACTIONS(1278),
    [sym_decimal_floating_point_literal] = ACTIONS(1280),
    [anon_sym_true] = ACTIONS(1280),
    [anon_sym_false] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1278),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1278),
    [anon_sym_r_DQUOTE] = ACTIONS(1280),
    [anon_sym_r_SQUOTE] = ACTIONS(1280),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1278),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1278),
    [anon_sym_LBRACE] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1278),
    [anon_sym_null] = ACTIONS(1280),
    [anon_sym_throw] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_LT] = ACTIONS(1278),
    [sym_increment_operator] = ACTIONS(1278),
    [sym_minus_operator] = ACTIONS(1280),
    [sym__exclamation_operator] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1278),
    [anon_sym_await] = ACTIONS(1280),
    [anon_sym_switch] = ACTIONS(1280),
    [anon_sym_do] = ACTIONS(1280),
    [anon_sym_while] = ACTIONS(1280),
    [anon_sym_continue] = ACTIONS(1280),
    [anon_sym_yield] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1280),
    [anon_sym_try] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1280),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1278),
    [anon_sym_part] = ACTIONS(1280),
    [anon_sym_enum] = ACTIONS(1280),
    [anon_sym_abstract] = ACTIONS(1280),
    [anon_sym_class] = ACTIONS(1280),
    [anon_sym_extension] = ACTIONS(1280),
    [anon_sym_super] = ACTIONS(1280),
    [sym_void_type] = ACTIONS(1280),
    [anon_sym_var] = ACTIONS(1280),
    [sym__break_builtin] = ACTIONS(1280),
    [sym__assert_builtin] = ACTIONS(1280),
    [anon_sym_covariant] = ACTIONS(1280),
    [anon_sym_export] = ACTIONS(1280),
    [anon_sym_Function] = ACTIONS(1280),
    [anon_sym_get] = ACTIONS(1280),
    [anon_sym_import] = ACTIONS(1280),
    [anon_sym_mixin] = ACTIONS(1280),
    [anon_sym_set] = ACTIONS(1280),
    [anon_sym_typedef] = ACTIONS(1280),
    [anon_sym_new] = ACTIONS(1280),
    [sym_const_builtin] = ACTIONS(1280),
    [sym_final_builtin] = ACTIONS(1280),
    [anon_sym_late] = ACTIONS(1280),
    [anon_sym_external] = ACTIONS(1280),
    [anon_sym_this] = ACTIONS(1280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [454] = {
    [sym_comment] = STATE(454),
    [sym_documentation_comment] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1282),
    [sym_identifier] = ACTIONS(1284),
    [anon_sym_POUND] = ACTIONS(1282),
    [sym_decimal_integer_literal] = ACTIONS(1284),
    [sym_hex_integer_literal] = ACTIONS(1282),
    [sym_decimal_floating_point_literal] = ACTIONS(1284),
    [anon_sym_true] = ACTIONS(1284),
    [anon_sym_false] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1282),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1282),
    [anon_sym_r_DQUOTE] = ACTIONS(1284),
    [anon_sym_r_SQUOTE] = ACTIONS(1284),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1282),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1282),
    [anon_sym_null] = ACTIONS(1284),
    [anon_sym_throw] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1282),
    [anon_sym_LT] = ACTIONS(1282),
    [sym_increment_operator] = ACTIONS(1282),
    [sym_minus_operator] = ACTIONS(1284),
    [sym__exclamation_operator] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1282),
    [anon_sym_await] = ACTIONS(1284),
    [anon_sym_switch] = ACTIONS(1284),
    [anon_sym_do] = ACTIONS(1284),
    [anon_sym_while] = ACTIONS(1284),
    [anon_sym_continue] = ACTIONS(1284),
    [anon_sym_yield] = ACTIONS(1284),
    [anon_sym_return] = ACTIONS(1284),
    [anon_sym_try] = ACTIONS(1284),
    [anon_sym_if] = ACTIONS(1284),
    [anon_sym_for] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1282),
    [anon_sym_part] = ACTIONS(1284),
    [anon_sym_enum] = ACTIONS(1284),
    [anon_sym_abstract] = ACTIONS(1284),
    [anon_sym_class] = ACTIONS(1284),
    [anon_sym_extension] = ACTIONS(1284),
    [anon_sym_super] = ACTIONS(1284),
    [sym_void_type] = ACTIONS(1284),
    [anon_sym_var] = ACTIONS(1284),
    [sym__break_builtin] = ACTIONS(1284),
    [sym__assert_builtin] = ACTIONS(1284),
    [anon_sym_covariant] = ACTIONS(1284),
    [anon_sym_export] = ACTIONS(1284),
    [anon_sym_Function] = ACTIONS(1284),
    [anon_sym_get] = ACTIONS(1284),
    [anon_sym_import] = ACTIONS(1284),
    [anon_sym_mixin] = ACTIONS(1284),
    [anon_sym_set] = ACTIONS(1284),
    [anon_sym_typedef] = ACTIONS(1284),
    [anon_sym_new] = ACTIONS(1284),
    [sym_const_builtin] = ACTIONS(1284),
    [sym_final_builtin] = ACTIONS(1284),
    [anon_sym_late] = ACTIONS(1284),
    [anon_sym_external] = ACTIONS(1284),
    [anon_sym_this] = ACTIONS(1284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [455] = {
    [sym_comment] = STATE(455),
    [sym_documentation_comment] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1286),
    [sym_identifier] = ACTIONS(1288),
    [anon_sym_POUND] = ACTIONS(1286),
    [sym_decimal_integer_literal] = ACTIONS(1288),
    [sym_hex_integer_literal] = ACTIONS(1286),
    [sym_decimal_floating_point_literal] = ACTIONS(1288),
    [anon_sym_true] = ACTIONS(1288),
    [anon_sym_false] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1286),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1286),
    [anon_sym_r_DQUOTE] = ACTIONS(1288),
    [anon_sym_r_SQUOTE] = ACTIONS(1288),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1286),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1286),
    [anon_sym_LBRACE] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1286),
    [anon_sym_null] = ACTIONS(1288),
    [anon_sym_throw] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1286),
    [anon_sym_LT] = ACTIONS(1286),
    [sym_increment_operator] = ACTIONS(1286),
    [sym_minus_operator] = ACTIONS(1288),
    [sym__exclamation_operator] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1286),
    [anon_sym_await] = ACTIONS(1288),
    [anon_sym_switch] = ACTIONS(1288),
    [anon_sym_do] = ACTIONS(1288),
    [anon_sym_while] = ACTIONS(1288),
    [anon_sym_continue] = ACTIONS(1288),
    [anon_sym_yield] = ACTIONS(1288),
    [anon_sym_return] = ACTIONS(1288),
    [anon_sym_try] = ACTIONS(1288),
    [anon_sym_if] = ACTIONS(1288),
    [anon_sym_for] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1286),
    [anon_sym_part] = ACTIONS(1288),
    [anon_sym_enum] = ACTIONS(1288),
    [anon_sym_abstract] = ACTIONS(1288),
    [anon_sym_class] = ACTIONS(1288),
    [anon_sym_extension] = ACTIONS(1288),
    [anon_sym_super] = ACTIONS(1288),
    [sym_void_type] = ACTIONS(1288),
    [anon_sym_var] = ACTIONS(1288),
    [sym__break_builtin] = ACTIONS(1288),
    [sym__assert_builtin] = ACTIONS(1288),
    [anon_sym_covariant] = ACTIONS(1288),
    [anon_sym_Function] = ACTIONS(1288),
    [anon_sym_get] = ACTIONS(1288),
    [anon_sym_mixin] = ACTIONS(1288),
    [anon_sym_set] = ACTIONS(1288),
    [anon_sym_typedef] = ACTIONS(1288),
    [anon_sym_new] = ACTIONS(1288),
    [sym_const_builtin] = ACTIONS(1288),
    [sym_final_builtin] = ACTIONS(1288),
    [anon_sym_late] = ACTIONS(1288),
    [anon_sym_external] = ACTIONS(1288),
    [anon_sym_this] = ACTIONS(1288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [456] = {
    [sym_comment] = STATE(456),
    [sym_documentation_comment] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_POUND] = ACTIONS(1290),
    [sym_decimal_integer_literal] = ACTIONS(1292),
    [sym_hex_integer_literal] = ACTIONS(1290),
    [sym_decimal_floating_point_literal] = ACTIONS(1292),
    [anon_sym_true] = ACTIONS(1292),
    [anon_sym_false] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1290),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1290),
    [anon_sym_r_DQUOTE] = ACTIONS(1292),
    [anon_sym_r_SQUOTE] = ACTIONS(1292),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1290),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1290),
    [anon_sym_LBRACE] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1290),
    [anon_sym_null] = ACTIONS(1292),
    [anon_sym_throw] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1290),
    [anon_sym_LT] = ACTIONS(1290),
    [sym_increment_operator] = ACTIONS(1290),
    [sym_minus_operator] = ACTIONS(1292),
    [sym__exclamation_operator] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(1292),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_yield] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_try] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1290),
    [anon_sym_part] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_abstract] = ACTIONS(1292),
    [anon_sym_class] = ACTIONS(1292),
    [anon_sym_extension] = ACTIONS(1292),
    [anon_sym_super] = ACTIONS(1292),
    [sym_void_type] = ACTIONS(1292),
    [anon_sym_var] = ACTIONS(1292),
    [sym__break_builtin] = ACTIONS(1292),
    [sym__assert_builtin] = ACTIONS(1292),
    [anon_sym_covariant] = ACTIONS(1292),
    [anon_sym_Function] = ACTIONS(1292),
    [anon_sym_get] = ACTIONS(1292),
    [anon_sym_mixin] = ACTIONS(1292),
    [anon_sym_set] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_new] = ACTIONS(1292),
    [sym_const_builtin] = ACTIONS(1292),
    [sym_final_builtin] = ACTIONS(1292),
    [anon_sym_late] = ACTIONS(1292),
    [anon_sym_external] = ACTIONS(1292),
    [anon_sym_this] = ACTIONS(1292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [457] = {
    [sym_comment] = STATE(457),
    [sym_documentation_comment] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1296),
    [anon_sym_POUND] = ACTIONS(1294),
    [sym_decimal_integer_literal] = ACTIONS(1296),
    [sym_hex_integer_literal] = ACTIONS(1294),
    [sym_decimal_floating_point_literal] = ACTIONS(1296),
    [anon_sym_true] = ACTIONS(1296),
    [anon_sym_false] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1294),
    [anon_sym_r_DQUOTE] = ACTIONS(1296),
    [anon_sym_r_SQUOTE] = ACTIONS(1296),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1294),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1294),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1294),
    [anon_sym_null] = ACTIONS(1296),
    [anon_sym_throw] = ACTIONS(1296),
    [anon_sym_LPAREN] = ACTIONS(1294),
    [anon_sym_LT] = ACTIONS(1294),
    [sym_increment_operator] = ACTIONS(1294),
    [sym_minus_operator] = ACTIONS(1296),
    [sym__exclamation_operator] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1296),
    [anon_sym_do] = ACTIONS(1296),
    [anon_sym_while] = ACTIONS(1296),
    [anon_sym_continue] = ACTIONS(1296),
    [anon_sym_yield] = ACTIONS(1296),
    [anon_sym_return] = ACTIONS(1296),
    [anon_sym_try] = ACTIONS(1296),
    [anon_sym_if] = ACTIONS(1296),
    [anon_sym_for] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1294),
    [anon_sym_part] = ACTIONS(1296),
    [anon_sym_enum] = ACTIONS(1296),
    [anon_sym_abstract] = ACTIONS(1296),
    [anon_sym_class] = ACTIONS(1296),
    [anon_sym_extension] = ACTIONS(1296),
    [anon_sym_super] = ACTIONS(1296),
    [sym_void_type] = ACTIONS(1296),
    [anon_sym_var] = ACTIONS(1296),
    [sym__break_builtin] = ACTIONS(1296),
    [sym__assert_builtin] = ACTIONS(1296),
    [anon_sym_covariant] = ACTIONS(1296),
    [anon_sym_Function] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_mixin] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_typedef] = ACTIONS(1296),
    [anon_sym_new] = ACTIONS(1296),
    [sym_const_builtin] = ACTIONS(1296),
    [sym_final_builtin] = ACTIONS(1296),
    [anon_sym_late] = ACTIONS(1296),
    [anon_sym_external] = ACTIONS(1296),
    [anon_sym_this] = ACTIONS(1296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [458] = {
    [sym__assignment_operator] = STATE(195),
    [sym__cascade_subsection] = STATE(647),
    [sym__cascade_assignment_section] = STATE(1102),
    [sym_index_selector] = STATE(652),
    [sym_unconditional_assignable_selector] = STATE(644),
    [sym_conditional_assignable_selector] = STATE(644),
    [sym__assignable_selector] = STATE(581),
    [sym__nullable_type] = STATE(3020),
    [sym_comment] = STATE(458),
    [sym_documentation_comment] = STATE(458),
    [aux_sym_cascade_section_repeat2] = STATE(528),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_RBRACK] = ACTIONS(1194),
    [anon_sym_COLON] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_RPAREN] = ACTIONS(1194),
    [anon_sym_QMARK_QMARK] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_equality_operator] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [sym__additive_operator] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_TILDE_SLASH] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1200),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_QMARK_DOT] = ACTIONS(1200),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [459] = {
    [sym__assignment_operator] = STATE(282),
    [sym__cascade_subsection] = STATE(665),
    [sym__cascade_assignment_section] = STATE(1216),
    [sym_index_selector] = STATE(663),
    [sym_unconditional_assignable_selector] = STATE(666),
    [sym_conditional_assignable_selector] = STATE(666),
    [sym__assignable_selector] = STATE(571),
    [sym__nullable_type] = STATE(3012),
    [sym_comment] = STATE(459),
    [sym_documentation_comment] = STATE(459),
    [aux_sym_cascade_section_repeat2] = STATE(533),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_QMARK_QMARK] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_equality_operator] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [sym__additive_operator] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_TILDE_SLASH] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1200),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1200),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_QMARK_DOT] = ACTIONS(1200),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_async] = ACTIONS(1200),
    [anon_sym_EQ_GT] = ACTIONS(1194),
    [anon_sym_async_STAR] = ACTIONS(1194),
    [anon_sym_sync_STAR] = ACTIONS(1194),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [460] = {
    [sym__assignment_operator] = STATE(282),
    [sym__cascade_subsection] = STATE(665),
    [sym__cascade_assignment_section] = STATE(1217),
    [sym_index_selector] = STATE(663),
    [sym_unconditional_assignable_selector] = STATE(666),
    [sym_conditional_assignable_selector] = STATE(666),
    [sym__assignable_selector] = STATE(571),
    [sym__nullable_type] = STATE(3012),
    [sym_comment] = STATE(460),
    [sym_documentation_comment] = STATE(460),
    [aux_sym_cascade_section_repeat2] = STATE(533),
    [anon_sym_LBRACE] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_QMARK_QMARK] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1298),
    [anon_sym_AMP_AMP] = ACTIONS(1298),
    [sym_equality_operator] = ACTIONS(1298),
    [anon_sym_LT] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1298),
    [anon_sym_GT_EQ] = ACTIONS(1298),
    [anon_sym_PIPE] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1300),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [sym__additive_operator] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_TILDE_SLASH] = ACTIONS(1300),
    [sym__exclamation_operator] = ACTIONS(1300),
    [anon_sym_is] = ACTIONS(1298),
    [anon_sym_as] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_QMARK_DOT] = ACTIONS(1300),
    [anon_sym_DOT_DOT] = ACTIONS(1298),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_async] = ACTIONS(1300),
    [anon_sym_EQ_GT] = ACTIONS(1298),
    [anon_sym_async_STAR] = ACTIONS(1298),
    [anon_sym_sync_STAR] = ACTIONS(1298),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [461] = {
    [sym_comment] = STATE(461),
    [sym_documentation_comment] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1302),
    [sym_identifier] = ACTIONS(1304),
    [anon_sym_POUND] = ACTIONS(1302),
    [sym_decimal_integer_literal] = ACTIONS(1304),
    [sym_hex_integer_literal] = ACTIONS(1302),
    [sym_decimal_floating_point_literal] = ACTIONS(1304),
    [anon_sym_true] = ACTIONS(1304),
    [anon_sym_false] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1302),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1302),
    [anon_sym_r_DQUOTE] = ACTIONS(1304),
    [anon_sym_r_SQUOTE] = ACTIONS(1304),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1302),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_null] = ACTIONS(1304),
    [anon_sym_throw] = ACTIONS(1304),
    [anon_sym_LPAREN] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [sym_increment_operator] = ACTIONS(1302),
    [sym_minus_operator] = ACTIONS(1304),
    [sym__exclamation_operator] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_switch] = ACTIONS(1304),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_while] = ACTIONS(1304),
    [anon_sym_continue] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1304),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_try] = ACTIONS(1304),
    [anon_sym_if] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_part] = ACTIONS(1304),
    [anon_sym_enum] = ACTIONS(1304),
    [anon_sym_abstract] = ACTIONS(1304),
    [anon_sym_class] = ACTIONS(1304),
    [anon_sym_extension] = ACTIONS(1304),
    [anon_sym_super] = ACTIONS(1304),
    [sym_void_type] = ACTIONS(1304),
    [anon_sym_var] = ACTIONS(1304),
    [sym__break_builtin] = ACTIONS(1304),
    [sym__assert_builtin] = ACTIONS(1304),
    [anon_sym_covariant] = ACTIONS(1304),
    [anon_sym_Function] = ACTIONS(1304),
    [anon_sym_get] = ACTIONS(1304),
    [anon_sym_mixin] = ACTIONS(1304),
    [anon_sym_set] = ACTIONS(1304),
    [anon_sym_typedef] = ACTIONS(1304),
    [anon_sym_new] = ACTIONS(1304),
    [sym_const_builtin] = ACTIONS(1304),
    [sym_final_builtin] = ACTIONS(1304),
    [anon_sym_late] = ACTIONS(1304),
    [anon_sym_external] = ACTIONS(1304),
    [anon_sym_this] = ACTIONS(1304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [462] = {
    [sym_comment] = STATE(462),
    [sym_documentation_comment] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1306),
    [sym_identifier] = ACTIONS(1308),
    [anon_sym_POUND] = ACTIONS(1306),
    [sym_decimal_integer_literal] = ACTIONS(1308),
    [sym_hex_integer_literal] = ACTIONS(1306),
    [sym_decimal_floating_point_literal] = ACTIONS(1308),
    [anon_sym_true] = ACTIONS(1308),
    [anon_sym_false] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1306),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1306),
    [anon_sym_r_DQUOTE] = ACTIONS(1308),
    [anon_sym_r_SQUOTE] = ACTIONS(1308),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1306),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1306),
    [anon_sym_null] = ACTIONS(1308),
    [anon_sym_throw] = ACTIONS(1308),
    [anon_sym_LPAREN] = ACTIONS(1306),
    [anon_sym_LT] = ACTIONS(1306),
    [sym_increment_operator] = ACTIONS(1306),
    [sym_minus_operator] = ACTIONS(1308),
    [sym__exclamation_operator] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1306),
    [anon_sym_await] = ACTIONS(1308),
    [anon_sym_switch] = ACTIONS(1308),
    [anon_sym_do] = ACTIONS(1308),
    [anon_sym_while] = ACTIONS(1308),
    [anon_sym_continue] = ACTIONS(1308),
    [anon_sym_yield] = ACTIONS(1308),
    [anon_sym_return] = ACTIONS(1308),
    [anon_sym_try] = ACTIONS(1308),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1306),
    [anon_sym_part] = ACTIONS(1308),
    [anon_sym_enum] = ACTIONS(1308),
    [anon_sym_abstract] = ACTIONS(1308),
    [anon_sym_class] = ACTIONS(1308),
    [anon_sym_extension] = ACTIONS(1308),
    [anon_sym_super] = ACTIONS(1308),
    [sym_void_type] = ACTIONS(1308),
    [anon_sym_var] = ACTIONS(1308),
    [sym__break_builtin] = ACTIONS(1308),
    [sym__assert_builtin] = ACTIONS(1308),
    [anon_sym_covariant] = ACTIONS(1308),
    [anon_sym_Function] = ACTIONS(1308),
    [anon_sym_get] = ACTIONS(1308),
    [anon_sym_mixin] = ACTIONS(1308),
    [anon_sym_set] = ACTIONS(1308),
    [anon_sym_typedef] = ACTIONS(1308),
    [anon_sym_new] = ACTIONS(1308),
    [sym_const_builtin] = ACTIONS(1308),
    [sym_final_builtin] = ACTIONS(1308),
    [anon_sym_late] = ACTIONS(1308),
    [anon_sym_external] = ACTIONS(1308),
    [anon_sym_this] = ACTIONS(1308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [463] = {
    [sym_comment] = STATE(463),
    [sym_documentation_comment] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1312),
    [anon_sym_POUND] = ACTIONS(1310),
    [sym_decimal_integer_literal] = ACTIONS(1312),
    [sym_hex_integer_literal] = ACTIONS(1310),
    [sym_decimal_floating_point_literal] = ACTIONS(1312),
    [anon_sym_true] = ACTIONS(1312),
    [anon_sym_false] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1310),
    [anon_sym_r_DQUOTE] = ACTIONS(1312),
    [anon_sym_r_SQUOTE] = ACTIONS(1312),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1310),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1310),
    [anon_sym_null] = ACTIONS(1312),
    [anon_sym_throw] = ACTIONS(1312),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [anon_sym_LT] = ACTIONS(1310),
    [sym_increment_operator] = ACTIONS(1310),
    [sym_minus_operator] = ACTIONS(1312),
    [sym__exclamation_operator] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_await] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_yield] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_try] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1310),
    [anon_sym_part] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_abstract] = ACTIONS(1312),
    [anon_sym_class] = ACTIONS(1312),
    [anon_sym_extension] = ACTIONS(1312),
    [anon_sym_super] = ACTIONS(1312),
    [sym_void_type] = ACTIONS(1312),
    [anon_sym_var] = ACTIONS(1312),
    [sym__break_builtin] = ACTIONS(1312),
    [sym__assert_builtin] = ACTIONS(1312),
    [anon_sym_covariant] = ACTIONS(1312),
    [anon_sym_Function] = ACTIONS(1312),
    [anon_sym_get] = ACTIONS(1312),
    [anon_sym_mixin] = ACTIONS(1312),
    [anon_sym_set] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_new] = ACTIONS(1312),
    [sym_const_builtin] = ACTIONS(1312),
    [sym_final_builtin] = ACTIONS(1312),
    [anon_sym_late] = ACTIONS(1312),
    [anon_sym_external] = ACTIONS(1312),
    [anon_sym_this] = ACTIONS(1312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [464] = {
    [sym__assignment_operator] = STATE(195),
    [sym__cascade_subsection] = STATE(647),
    [sym__cascade_assignment_section] = STATE(1075),
    [sym_index_selector] = STATE(652),
    [sym_unconditional_assignable_selector] = STATE(644),
    [sym_conditional_assignable_selector] = STATE(644),
    [sym__assignable_selector] = STATE(581),
    [sym__nullable_type] = STATE(3020),
    [sym_comment] = STATE(464),
    [sym_documentation_comment] = STATE(464),
    [aux_sym_cascade_section_repeat2] = STATE(528),
    [anon_sym_RBRACE] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1298),
    [anon_sym_COMMA] = ACTIONS(1298),
    [anon_sym_RBRACK] = ACTIONS(1298),
    [anon_sym_COLON] = ACTIONS(1298),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1298),
    [anon_sym_RPAREN] = ACTIONS(1298),
    [anon_sym_QMARK_QMARK] = ACTIONS(1300),
    [anon_sym_QMARK] = ACTIONS(1300),
    [anon_sym_PIPE_PIPE] = ACTIONS(1298),
    [anon_sym_AMP_AMP] = ACTIONS(1298),
    [sym_equality_operator] = ACTIONS(1298),
    [anon_sym_LT] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1298),
    [anon_sym_GT_EQ] = ACTIONS(1298),
    [anon_sym_PIPE] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1300),
    [anon_sym_GT_GT_GT] = ACTIONS(1300),
    [sym__additive_operator] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_TILDE_SLASH] = ACTIONS(1300),
    [sym__exclamation_operator] = ACTIONS(1300),
    [anon_sym_is] = ACTIONS(1298),
    [anon_sym_as] = ACTIONS(1298),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_QMARK_DOT] = ACTIONS(1300),
    [anon_sym_DOT_DOT] = ACTIONS(1298),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1298),
    [anon_sym_SEMI] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [465] = {
    [sym_comment] = STATE(465),
    [sym_documentation_comment] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1316),
    [anon_sym_POUND] = ACTIONS(1314),
    [sym_decimal_integer_literal] = ACTIONS(1316),
    [sym_hex_integer_literal] = ACTIONS(1314),
    [sym_decimal_floating_point_literal] = ACTIONS(1316),
    [anon_sym_true] = ACTIONS(1316),
    [anon_sym_false] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1314),
    [anon_sym_r_DQUOTE] = ACTIONS(1316),
    [anon_sym_r_SQUOTE] = ACTIONS(1316),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1314),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1314),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1314),
    [anon_sym_null] = ACTIONS(1316),
    [anon_sym_throw] = ACTIONS(1316),
    [anon_sym_LPAREN] = ACTIONS(1314),
    [anon_sym_LT] = ACTIONS(1314),
    [sym_increment_operator] = ACTIONS(1314),
    [sym_minus_operator] = ACTIONS(1316),
    [sym__exclamation_operator] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_await] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_yield] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_try] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1314),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_abstract] = ACTIONS(1316),
    [anon_sym_class] = ACTIONS(1316),
    [anon_sym_extension] = ACTIONS(1316),
    [anon_sym_super] = ACTIONS(1316),
    [sym_void_type] = ACTIONS(1316),
    [anon_sym_var] = ACTIONS(1316),
    [sym__break_builtin] = ACTIONS(1316),
    [sym__assert_builtin] = ACTIONS(1316),
    [anon_sym_covariant] = ACTIONS(1316),
    [anon_sym_Function] = ACTIONS(1316),
    [anon_sym_get] = ACTIONS(1316),
    [anon_sym_mixin] = ACTIONS(1316),
    [anon_sym_set] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_new] = ACTIONS(1316),
    [sym_const_builtin] = ACTIONS(1316),
    [sym_final_builtin] = ACTIONS(1316),
    [anon_sym_late] = ACTIONS(1316),
    [anon_sym_external] = ACTIONS(1316),
    [anon_sym_this] = ACTIONS(1316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [466] = {
    [sym_comment] = STATE(466),
    [sym_documentation_comment] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1318),
    [sym_identifier] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1318),
    [sym_decimal_integer_literal] = ACTIONS(1320),
    [sym_hex_integer_literal] = ACTIONS(1318),
    [sym_decimal_floating_point_literal] = ACTIONS(1320),
    [anon_sym_true] = ACTIONS(1320),
    [anon_sym_false] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1318),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1318),
    [anon_sym_r_DQUOTE] = ACTIONS(1320),
    [anon_sym_r_SQUOTE] = ACTIONS(1320),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1318),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1318),
    [anon_sym_null] = ACTIONS(1320),
    [anon_sym_throw] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1318),
    [anon_sym_LT] = ACTIONS(1318),
    [sym_increment_operator] = ACTIONS(1318),
    [sym_minus_operator] = ACTIONS(1320),
    [sym__exclamation_operator] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1318),
    [anon_sym_await] = ACTIONS(1320),
    [anon_sym_switch] = ACTIONS(1320),
    [anon_sym_do] = ACTIONS(1320),
    [anon_sym_while] = ACTIONS(1320),
    [anon_sym_continue] = ACTIONS(1320),
    [anon_sym_yield] = ACTIONS(1320),
    [anon_sym_return] = ACTIONS(1320),
    [anon_sym_try] = ACTIONS(1320),
    [anon_sym_if] = ACTIONS(1320),
    [anon_sym_for] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1320),
    [anon_sym_abstract] = ACTIONS(1320),
    [anon_sym_class] = ACTIONS(1320),
    [anon_sym_extension] = ACTIONS(1320),
    [anon_sym_super] = ACTIONS(1320),
    [sym_void_type] = ACTIONS(1320),
    [anon_sym_var] = ACTIONS(1320),
    [sym__break_builtin] = ACTIONS(1320),
    [sym__assert_builtin] = ACTIONS(1320),
    [anon_sym_covariant] = ACTIONS(1320),
    [anon_sym_Function] = ACTIONS(1320),
    [anon_sym_get] = ACTIONS(1320),
    [anon_sym_mixin] = ACTIONS(1320),
    [anon_sym_set] = ACTIONS(1320),
    [anon_sym_typedef] = ACTIONS(1320),
    [anon_sym_new] = ACTIONS(1320),
    [sym_const_builtin] = ACTIONS(1320),
    [sym_final_builtin] = ACTIONS(1320),
    [anon_sym_late] = ACTIONS(1320),
    [anon_sym_external] = ACTIONS(1320),
    [anon_sym_this] = ACTIONS(1320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [467] = {
    [sym_comment] = STATE(467),
    [sym_documentation_comment] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1322),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_POUND] = ACTIONS(1322),
    [sym_decimal_integer_literal] = ACTIONS(1324),
    [sym_hex_integer_literal] = ACTIONS(1322),
    [sym_decimal_floating_point_literal] = ACTIONS(1324),
    [anon_sym_true] = ACTIONS(1324),
    [anon_sym_false] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1322),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1322),
    [anon_sym_r_DQUOTE] = ACTIONS(1324),
    [anon_sym_r_SQUOTE] = ACTIONS(1324),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1322),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1322),
    [anon_sym_null] = ACTIONS(1324),
    [anon_sym_throw] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1322),
    [sym_increment_operator] = ACTIONS(1322),
    [sym_minus_operator] = ACTIONS(1324),
    [sym__exclamation_operator] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1322),
    [anon_sym_await] = ACTIONS(1324),
    [anon_sym_switch] = ACTIONS(1324),
    [anon_sym_do] = ACTIONS(1324),
    [anon_sym_while] = ACTIONS(1324),
    [anon_sym_continue] = ACTIONS(1324),
    [anon_sym_yield] = ACTIONS(1324),
    [anon_sym_return] = ACTIONS(1324),
    [anon_sym_try] = ACTIONS(1324),
    [anon_sym_if] = ACTIONS(1324),
    [anon_sym_for] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1324),
    [anon_sym_abstract] = ACTIONS(1324),
    [anon_sym_class] = ACTIONS(1324),
    [anon_sym_extension] = ACTIONS(1324),
    [anon_sym_super] = ACTIONS(1324),
    [sym_void_type] = ACTIONS(1324),
    [anon_sym_var] = ACTIONS(1324),
    [sym__break_builtin] = ACTIONS(1324),
    [sym__assert_builtin] = ACTIONS(1324),
    [anon_sym_covariant] = ACTIONS(1324),
    [anon_sym_Function] = ACTIONS(1324),
    [anon_sym_get] = ACTIONS(1324),
    [anon_sym_mixin] = ACTIONS(1324),
    [anon_sym_set] = ACTIONS(1324),
    [anon_sym_typedef] = ACTIONS(1324),
    [anon_sym_new] = ACTIONS(1324),
    [sym_const_builtin] = ACTIONS(1324),
    [sym_final_builtin] = ACTIONS(1324),
    [anon_sym_late] = ACTIONS(1324),
    [anon_sym_external] = ACTIONS(1324),
    [anon_sym_this] = ACTIONS(1324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [468] = {
    [sym_comment] = STATE(468),
    [sym_documentation_comment] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1326),
    [sym_identifier] = ACTIONS(1328),
    [anon_sym_POUND] = ACTIONS(1326),
    [sym_decimal_integer_literal] = ACTIONS(1328),
    [sym_hex_integer_literal] = ACTIONS(1326),
    [sym_decimal_floating_point_literal] = ACTIONS(1328),
    [anon_sym_true] = ACTIONS(1328),
    [anon_sym_false] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1326),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1326),
    [anon_sym_r_DQUOTE] = ACTIONS(1328),
    [anon_sym_r_SQUOTE] = ACTIONS(1328),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1326),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1326),
    [anon_sym_null] = ACTIONS(1328),
    [anon_sym_throw] = ACTIONS(1328),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LT] = ACTIONS(1326),
    [sym_increment_operator] = ACTIONS(1326),
    [sym_minus_operator] = ACTIONS(1328),
    [sym__exclamation_operator] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1326),
    [anon_sym_await] = ACTIONS(1328),
    [anon_sym_switch] = ACTIONS(1328),
    [anon_sym_do] = ACTIONS(1328),
    [anon_sym_while] = ACTIONS(1328),
    [anon_sym_continue] = ACTIONS(1328),
    [anon_sym_yield] = ACTIONS(1328),
    [anon_sym_return] = ACTIONS(1328),
    [anon_sym_try] = ACTIONS(1328),
    [anon_sym_if] = ACTIONS(1328),
    [anon_sym_for] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1328),
    [anon_sym_abstract] = ACTIONS(1328),
    [anon_sym_class] = ACTIONS(1328),
    [anon_sym_extension] = ACTIONS(1328),
    [anon_sym_super] = ACTIONS(1328),
    [sym_void_type] = ACTIONS(1328),
    [anon_sym_var] = ACTIONS(1328),
    [sym__break_builtin] = ACTIONS(1328),
    [sym__assert_builtin] = ACTIONS(1328),
    [anon_sym_covariant] = ACTIONS(1328),
    [anon_sym_Function] = ACTIONS(1328),
    [anon_sym_get] = ACTIONS(1328),
    [anon_sym_mixin] = ACTIONS(1328),
    [anon_sym_set] = ACTIONS(1328),
    [anon_sym_typedef] = ACTIONS(1328),
    [anon_sym_new] = ACTIONS(1328),
    [sym_const_builtin] = ACTIONS(1328),
    [sym_final_builtin] = ACTIONS(1328),
    [anon_sym_late] = ACTIONS(1328),
    [anon_sym_external] = ACTIONS(1328),
    [anon_sym_this] = ACTIONS(1328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [469] = {
    [sym_comment] = STATE(469),
    [sym_documentation_comment] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1332),
    [anon_sym_POUND] = ACTIONS(1330),
    [sym_decimal_integer_literal] = ACTIONS(1332),
    [sym_hex_integer_literal] = ACTIONS(1330),
    [sym_decimal_floating_point_literal] = ACTIONS(1332),
    [anon_sym_true] = ACTIONS(1332),
    [anon_sym_false] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1330),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1330),
    [anon_sym_r_DQUOTE] = ACTIONS(1332),
    [anon_sym_r_SQUOTE] = ACTIONS(1332),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1330),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1330),
    [anon_sym_null] = ACTIONS(1332),
    [anon_sym_throw] = ACTIONS(1332),
    [anon_sym_LPAREN] = ACTIONS(1330),
    [anon_sym_LT] = ACTIONS(1330),
    [sym_increment_operator] = ACTIONS(1330),
    [sym_minus_operator] = ACTIONS(1332),
    [sym__exclamation_operator] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1330),
    [anon_sym_await] = ACTIONS(1332),
    [anon_sym_switch] = ACTIONS(1332),
    [anon_sym_do] = ACTIONS(1332),
    [anon_sym_while] = ACTIONS(1332),
    [anon_sym_continue] = ACTIONS(1332),
    [anon_sym_yield] = ACTIONS(1332),
    [anon_sym_return] = ACTIONS(1332),
    [anon_sym_try] = ACTIONS(1332),
    [anon_sym_if] = ACTIONS(1332),
    [anon_sym_for] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1332),
    [anon_sym_abstract] = ACTIONS(1332),
    [anon_sym_class] = ACTIONS(1332),
    [anon_sym_extension] = ACTIONS(1332),
    [anon_sym_super] = ACTIONS(1332),
    [sym_void_type] = ACTIONS(1332),
    [anon_sym_var] = ACTIONS(1332),
    [sym__break_builtin] = ACTIONS(1332),
    [sym__assert_builtin] = ACTIONS(1332),
    [anon_sym_covariant] = ACTIONS(1332),
    [anon_sym_Function] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_mixin] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_typedef] = ACTIONS(1332),
    [anon_sym_new] = ACTIONS(1332),
    [sym_const_builtin] = ACTIONS(1332),
    [sym_final_builtin] = ACTIONS(1332),
    [anon_sym_late] = ACTIONS(1332),
    [anon_sym_external] = ACTIONS(1332),
    [anon_sym_this] = ACTIONS(1332),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [470] = {
    [sym_comment] = STATE(470),
    [sym_documentation_comment] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1334),
    [sym_identifier] = ACTIONS(1336),
    [anon_sym_POUND] = ACTIONS(1334),
    [sym_decimal_integer_literal] = ACTIONS(1336),
    [sym_hex_integer_literal] = ACTIONS(1334),
    [sym_decimal_floating_point_literal] = ACTIONS(1336),
    [anon_sym_true] = ACTIONS(1336),
    [anon_sym_false] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1334),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1334),
    [anon_sym_r_DQUOTE] = ACTIONS(1336),
    [anon_sym_r_SQUOTE] = ACTIONS(1336),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1334),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1334),
    [anon_sym_null] = ACTIONS(1336),
    [anon_sym_throw] = ACTIONS(1336),
    [anon_sym_LPAREN] = ACTIONS(1334),
    [anon_sym_LT] = ACTIONS(1334),
    [sym_increment_operator] = ACTIONS(1334),
    [sym_minus_operator] = ACTIONS(1336),
    [sym__exclamation_operator] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1334),
    [anon_sym_await] = ACTIONS(1336),
    [anon_sym_switch] = ACTIONS(1336),
    [anon_sym_do] = ACTIONS(1336),
    [anon_sym_while] = ACTIONS(1336),
    [anon_sym_continue] = ACTIONS(1336),
    [anon_sym_yield] = ACTIONS(1336),
    [anon_sym_return] = ACTIONS(1336),
    [anon_sym_try] = ACTIONS(1336),
    [anon_sym_if] = ACTIONS(1336),
    [anon_sym_for] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1336),
    [anon_sym_abstract] = ACTIONS(1336),
    [anon_sym_class] = ACTIONS(1336),
    [anon_sym_extension] = ACTIONS(1336),
    [anon_sym_super] = ACTIONS(1336),
    [sym_void_type] = ACTIONS(1336),
    [anon_sym_var] = ACTIONS(1336),
    [sym__break_builtin] = ACTIONS(1336),
    [sym__assert_builtin] = ACTIONS(1336),
    [anon_sym_covariant] = ACTIONS(1336),
    [anon_sym_Function] = ACTIONS(1336),
    [anon_sym_get] = ACTIONS(1336),
    [anon_sym_mixin] = ACTIONS(1336),
    [anon_sym_set] = ACTIONS(1336),
    [anon_sym_typedef] = ACTIONS(1336),
    [anon_sym_new] = ACTIONS(1336),
    [sym_const_builtin] = ACTIONS(1336),
    [sym_final_builtin] = ACTIONS(1336),
    [anon_sym_late] = ACTIONS(1336),
    [anon_sym_external] = ACTIONS(1336),
    [anon_sym_this] = ACTIONS(1336),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [471] = {
    [sym_comment] = STATE(471),
    [sym_documentation_comment] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1338),
    [sym_identifier] = ACTIONS(1340),
    [anon_sym_POUND] = ACTIONS(1338),
    [sym_decimal_integer_literal] = ACTIONS(1340),
    [sym_hex_integer_literal] = ACTIONS(1338),
    [sym_decimal_floating_point_literal] = ACTIONS(1340),
    [anon_sym_true] = ACTIONS(1340),
    [anon_sym_false] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1338),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1338),
    [anon_sym_r_DQUOTE] = ACTIONS(1340),
    [anon_sym_r_SQUOTE] = ACTIONS(1340),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1338),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1338),
    [anon_sym_null] = ACTIONS(1340),
    [anon_sym_throw] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(1338),
    [anon_sym_LT] = ACTIONS(1338),
    [sym_increment_operator] = ACTIONS(1338),
    [sym_minus_operator] = ACTIONS(1340),
    [sym__exclamation_operator] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1338),
    [anon_sym_await] = ACTIONS(1340),
    [anon_sym_switch] = ACTIONS(1340),
    [anon_sym_do] = ACTIONS(1340),
    [anon_sym_while] = ACTIONS(1340),
    [anon_sym_continue] = ACTIONS(1340),
    [anon_sym_yield] = ACTIONS(1340),
    [anon_sym_return] = ACTIONS(1340),
    [anon_sym_try] = ACTIONS(1340),
    [anon_sym_if] = ACTIONS(1340),
    [anon_sym_for] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1340),
    [anon_sym_abstract] = ACTIONS(1340),
    [anon_sym_class] = ACTIONS(1340),
    [anon_sym_extension] = ACTIONS(1340),
    [anon_sym_super] = ACTIONS(1340),
    [sym_void_type] = ACTIONS(1340),
    [anon_sym_var] = ACTIONS(1340),
    [sym__break_builtin] = ACTIONS(1340),
    [sym__assert_builtin] = ACTIONS(1340),
    [anon_sym_covariant] = ACTIONS(1340),
    [anon_sym_Function] = ACTIONS(1340),
    [anon_sym_get] = ACTIONS(1340),
    [anon_sym_mixin] = ACTIONS(1340),
    [anon_sym_set] = ACTIONS(1340),
    [anon_sym_typedef] = ACTIONS(1340),
    [anon_sym_new] = ACTIONS(1340),
    [sym_const_builtin] = ACTIONS(1340),
    [sym_final_builtin] = ACTIONS(1340),
    [anon_sym_late] = ACTIONS(1340),
    [anon_sym_external] = ACTIONS(1340),
    [anon_sym_this] = ACTIONS(1340),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [472] = {
    [sym_comment] = STATE(472),
    [sym_documentation_comment] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1342),
    [sym_identifier] = ACTIONS(1344),
    [anon_sym_POUND] = ACTIONS(1342),
    [sym_decimal_integer_literal] = ACTIONS(1344),
    [sym_hex_integer_literal] = ACTIONS(1342),
    [sym_decimal_floating_point_literal] = ACTIONS(1344),
    [anon_sym_true] = ACTIONS(1344),
    [anon_sym_false] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1342),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1342),
    [anon_sym_r_DQUOTE] = ACTIONS(1344),
    [anon_sym_r_SQUOTE] = ACTIONS(1344),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1342),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1342),
    [anon_sym_null] = ACTIONS(1344),
    [anon_sym_throw] = ACTIONS(1344),
    [anon_sym_LPAREN] = ACTIONS(1342),
    [anon_sym_LT] = ACTIONS(1342),
    [sym_increment_operator] = ACTIONS(1342),
    [sym_minus_operator] = ACTIONS(1344),
    [sym__exclamation_operator] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1342),
    [anon_sym_await] = ACTIONS(1344),
    [anon_sym_switch] = ACTIONS(1344),
    [anon_sym_do] = ACTIONS(1344),
    [anon_sym_while] = ACTIONS(1344),
    [anon_sym_continue] = ACTIONS(1344),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_return] = ACTIONS(1344),
    [anon_sym_try] = ACTIONS(1344),
    [anon_sym_if] = ACTIONS(1344),
    [anon_sym_for] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1344),
    [anon_sym_abstract] = ACTIONS(1344),
    [anon_sym_class] = ACTIONS(1344),
    [anon_sym_extension] = ACTIONS(1344),
    [anon_sym_super] = ACTIONS(1344),
    [sym_void_type] = ACTIONS(1344),
    [anon_sym_var] = ACTIONS(1344),
    [sym__break_builtin] = ACTIONS(1344),
    [sym__assert_builtin] = ACTIONS(1344),
    [anon_sym_covariant] = ACTIONS(1344),
    [anon_sym_Function] = ACTIONS(1344),
    [anon_sym_get] = ACTIONS(1344),
    [anon_sym_mixin] = ACTIONS(1344),
    [anon_sym_set] = ACTIONS(1344),
    [anon_sym_typedef] = ACTIONS(1344),
    [anon_sym_new] = ACTIONS(1344),
    [sym_const_builtin] = ACTIONS(1344),
    [sym_final_builtin] = ACTIONS(1344),
    [anon_sym_late] = ACTIONS(1344),
    [anon_sym_external] = ACTIONS(1344),
    [anon_sym_this] = ACTIONS(1344),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [473] = {
    [sym_comment] = STATE(473),
    [sym_documentation_comment] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1346),
    [sym_identifier] = ACTIONS(1348),
    [anon_sym_POUND] = ACTIONS(1346),
    [sym_decimal_integer_literal] = ACTIONS(1348),
    [sym_hex_integer_literal] = ACTIONS(1346),
    [sym_decimal_floating_point_literal] = ACTIONS(1348),
    [anon_sym_true] = ACTIONS(1348),
    [anon_sym_false] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1346),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1346),
    [anon_sym_r_DQUOTE] = ACTIONS(1348),
    [anon_sym_r_SQUOTE] = ACTIONS(1348),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1346),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1346),
    [anon_sym_null] = ACTIONS(1348),
    [anon_sym_throw] = ACTIONS(1348),
    [anon_sym_LPAREN] = ACTIONS(1346),
    [anon_sym_LT] = ACTIONS(1346),
    [sym_increment_operator] = ACTIONS(1346),
    [sym_minus_operator] = ACTIONS(1348),
    [sym__exclamation_operator] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1346),
    [anon_sym_await] = ACTIONS(1348),
    [anon_sym_switch] = ACTIONS(1348),
    [anon_sym_do] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1348),
    [anon_sym_continue] = ACTIONS(1348),
    [anon_sym_yield] = ACTIONS(1348),
    [anon_sym_return] = ACTIONS(1348),
    [anon_sym_try] = ACTIONS(1348),
    [anon_sym_if] = ACTIONS(1348),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1348),
    [anon_sym_abstract] = ACTIONS(1348),
    [anon_sym_class] = ACTIONS(1348),
    [anon_sym_extension] = ACTIONS(1348),
    [anon_sym_super] = ACTIONS(1348),
    [sym_void_type] = ACTIONS(1348),
    [anon_sym_var] = ACTIONS(1348),
    [sym__break_builtin] = ACTIONS(1348),
    [sym__assert_builtin] = ACTIONS(1348),
    [anon_sym_covariant] = ACTIONS(1348),
    [anon_sym_Function] = ACTIONS(1348),
    [anon_sym_get] = ACTIONS(1348),
    [anon_sym_mixin] = ACTIONS(1348),
    [anon_sym_set] = ACTIONS(1348),
    [anon_sym_typedef] = ACTIONS(1348),
    [anon_sym_new] = ACTIONS(1348),
    [sym_const_builtin] = ACTIONS(1348),
    [sym_final_builtin] = ACTIONS(1348),
    [anon_sym_late] = ACTIONS(1348),
    [anon_sym_external] = ACTIONS(1348),
    [anon_sym_this] = ACTIONS(1348),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [474] = {
    [sym_comment] = STATE(474),
    [sym_documentation_comment] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_POUND] = ACTIONS(1350),
    [sym_decimal_integer_literal] = ACTIONS(1352),
    [sym_hex_integer_literal] = ACTIONS(1350),
    [sym_decimal_floating_point_literal] = ACTIONS(1352),
    [anon_sym_true] = ACTIONS(1352),
    [anon_sym_false] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1350),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1350),
    [anon_sym_r_DQUOTE] = ACTIONS(1352),
    [anon_sym_r_SQUOTE] = ACTIONS(1352),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1350),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_null] = ACTIONS(1352),
    [anon_sym_throw] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_LT] = ACTIONS(1350),
    [sym_increment_operator] = ACTIONS(1350),
    [sym_minus_operator] = ACTIONS(1352),
    [sym__exclamation_operator] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1350),
    [anon_sym_await] = ACTIONS(1352),
    [anon_sym_switch] = ACTIONS(1352),
    [anon_sym_do] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_yield] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_try] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_abstract] = ACTIONS(1352),
    [anon_sym_class] = ACTIONS(1352),
    [anon_sym_extension] = ACTIONS(1352),
    [anon_sym_super] = ACTIONS(1352),
    [sym_void_type] = ACTIONS(1352),
    [anon_sym_var] = ACTIONS(1352),
    [sym__break_builtin] = ACTIONS(1352),
    [sym__assert_builtin] = ACTIONS(1352),
    [anon_sym_covariant] = ACTIONS(1352),
    [anon_sym_Function] = ACTIONS(1352),
    [anon_sym_get] = ACTIONS(1352),
    [anon_sym_mixin] = ACTIONS(1352),
    [anon_sym_set] = ACTIONS(1352),
    [anon_sym_typedef] = ACTIONS(1352),
    [anon_sym_new] = ACTIONS(1352),
    [sym_const_builtin] = ACTIONS(1352),
    [sym_final_builtin] = ACTIONS(1352),
    [anon_sym_late] = ACTIONS(1352),
    [anon_sym_external] = ACTIONS(1352),
    [anon_sym_this] = ACTIONS(1352),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [475] = {
    [sym_comment] = STATE(475),
    [sym_documentation_comment] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1356),
    [anon_sym_POUND] = ACTIONS(1354),
    [sym_decimal_integer_literal] = ACTIONS(1356),
    [sym_hex_integer_literal] = ACTIONS(1354),
    [sym_decimal_floating_point_literal] = ACTIONS(1356),
    [anon_sym_true] = ACTIONS(1356),
    [anon_sym_false] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1354),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1354),
    [anon_sym_r_DQUOTE] = ACTIONS(1356),
    [anon_sym_r_SQUOTE] = ACTIONS(1356),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1354),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_null] = ACTIONS(1356),
    [anon_sym_throw] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_LT] = ACTIONS(1354),
    [sym_increment_operator] = ACTIONS(1354),
    [sym_minus_operator] = ACTIONS(1356),
    [sym__exclamation_operator] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1354),
    [anon_sym_await] = ACTIONS(1356),
    [anon_sym_switch] = ACTIONS(1356),
    [anon_sym_do] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_yield] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_try] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_abstract] = ACTIONS(1356),
    [anon_sym_class] = ACTIONS(1356),
    [anon_sym_extension] = ACTIONS(1356),
    [anon_sym_super] = ACTIONS(1356),
    [sym_void_type] = ACTIONS(1356),
    [anon_sym_var] = ACTIONS(1356),
    [sym__break_builtin] = ACTIONS(1356),
    [sym__assert_builtin] = ACTIONS(1356),
    [anon_sym_covariant] = ACTIONS(1356),
    [anon_sym_Function] = ACTIONS(1356),
    [anon_sym_get] = ACTIONS(1356),
    [anon_sym_mixin] = ACTIONS(1356),
    [anon_sym_set] = ACTIONS(1356),
    [anon_sym_typedef] = ACTIONS(1356),
    [anon_sym_new] = ACTIONS(1356),
    [sym_const_builtin] = ACTIONS(1356),
    [sym_final_builtin] = ACTIONS(1356),
    [anon_sym_late] = ACTIONS(1356),
    [anon_sym_external] = ACTIONS(1356),
    [anon_sym_this] = ACTIONS(1356),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [476] = {
    [sym_comment] = STATE(476),
    [sym_documentation_comment] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1358),
    [sym_identifier] = ACTIONS(1360),
    [anon_sym_POUND] = ACTIONS(1358),
    [sym_decimal_integer_literal] = ACTIONS(1360),
    [sym_hex_integer_literal] = ACTIONS(1358),
    [sym_decimal_floating_point_literal] = ACTIONS(1360),
    [anon_sym_true] = ACTIONS(1360),
    [anon_sym_false] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1358),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1358),
    [anon_sym_r_DQUOTE] = ACTIONS(1360),
    [anon_sym_r_SQUOTE] = ACTIONS(1360),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1358),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1358),
    [anon_sym_null] = ACTIONS(1360),
    [anon_sym_throw] = ACTIONS(1360),
    [anon_sym_LPAREN] = ACTIONS(1358),
    [anon_sym_LT] = ACTIONS(1358),
    [sym_increment_operator] = ACTIONS(1358),
    [sym_minus_operator] = ACTIONS(1360),
    [sym__exclamation_operator] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1358),
    [anon_sym_await] = ACTIONS(1360),
    [anon_sym_switch] = ACTIONS(1360),
    [anon_sym_do] = ACTIONS(1360),
    [anon_sym_while] = ACTIONS(1360),
    [anon_sym_continue] = ACTIONS(1360),
    [anon_sym_yield] = ACTIONS(1360),
    [anon_sym_return] = ACTIONS(1360),
    [anon_sym_try] = ACTIONS(1360),
    [anon_sym_if] = ACTIONS(1360),
    [anon_sym_for] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1360),
    [anon_sym_abstract] = ACTIONS(1360),
    [anon_sym_class] = ACTIONS(1360),
    [anon_sym_extension] = ACTIONS(1360),
    [anon_sym_super] = ACTIONS(1360),
    [sym_void_type] = ACTIONS(1360),
    [anon_sym_var] = ACTIONS(1360),
    [sym__break_builtin] = ACTIONS(1360),
    [sym__assert_builtin] = ACTIONS(1360),
    [anon_sym_covariant] = ACTIONS(1360),
    [anon_sym_Function] = ACTIONS(1360),
    [anon_sym_get] = ACTIONS(1360),
    [anon_sym_mixin] = ACTIONS(1360),
    [anon_sym_set] = ACTIONS(1360),
    [anon_sym_typedef] = ACTIONS(1360),
    [anon_sym_new] = ACTIONS(1360),
    [sym_const_builtin] = ACTIONS(1360),
    [sym_final_builtin] = ACTIONS(1360),
    [anon_sym_late] = ACTIONS(1360),
    [anon_sym_external] = ACTIONS(1360),
    [anon_sym_this] = ACTIONS(1360),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [477] = {
    [sym_comment] = STATE(477),
    [sym_documentation_comment] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1365),
    [anon_sym_POUND] = ACTIONS(1362),
    [sym_decimal_integer_literal] = ACTIONS(1365),
    [sym_hex_integer_literal] = ACTIONS(1362),
    [sym_decimal_floating_point_literal] = ACTIONS(1365),
    [anon_sym_true] = ACTIONS(1365),
    [anon_sym_false] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1362),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1362),
    [anon_sym_r_DQUOTE] = ACTIONS(1365),
    [anon_sym_r_SQUOTE] = ACTIONS(1365),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1362),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_null] = ACTIONS(1365),
    [anon_sym_throw] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_LT] = ACTIONS(1362),
    [sym_increment_operator] = ACTIONS(1362),
    [sym_minus_operator] = ACTIONS(1365),
    [sym__exclamation_operator] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1362),
    [anon_sym_await] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1365),
    [anon_sym_do] = ACTIONS(1365),
    [anon_sym_while] = ACTIONS(1365),
    [anon_sym_continue] = ACTIONS(1365),
    [anon_sym_yield] = ACTIONS(1365),
    [anon_sym_return] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_AT] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_abstract] = ACTIONS(1368),
    [anon_sym_class] = ACTIONS(1368),
    [anon_sym_extension] = ACTIONS(1368),
    [anon_sym_super] = ACTIONS(1365),
    [sym_void_type] = ACTIONS(1365),
    [anon_sym_var] = ACTIONS(1365),
    [sym__break_builtin] = ACTIONS(1365),
    [sym__assert_builtin] = ACTIONS(1365),
    [anon_sym_covariant] = ACTIONS(1365),
    [anon_sym_Function] = ACTIONS(1365),
    [anon_sym_get] = ACTIONS(1365),
    [anon_sym_mixin] = ACTIONS(1368),
    [anon_sym_set] = ACTIONS(1365),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_new] = ACTIONS(1365),
    [sym_const_builtin] = ACTIONS(1365),
    [sym_final_builtin] = ACTIONS(1365),
    [anon_sym_late] = ACTIONS(1365),
    [anon_sym_external] = ACTIONS(1368),
    [anon_sym_this] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [478] = {
    [sym_comment] = STATE(478),
    [sym_documentation_comment] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1372),
    [anon_sym_POUND] = ACTIONS(1370),
    [sym_decimal_integer_literal] = ACTIONS(1372),
    [sym_hex_integer_literal] = ACTIONS(1370),
    [sym_decimal_floating_point_literal] = ACTIONS(1372),
    [anon_sym_true] = ACTIONS(1372),
    [anon_sym_false] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1370),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1370),
    [anon_sym_r_DQUOTE] = ACTIONS(1372),
    [anon_sym_r_SQUOTE] = ACTIONS(1372),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1370),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_null] = ACTIONS(1372),
    [anon_sym_throw] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_LT] = ACTIONS(1370),
    [sym_increment_operator] = ACTIONS(1370),
    [sym_minus_operator] = ACTIONS(1372),
    [sym__exclamation_operator] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1370),
    [anon_sym_await] = ACTIONS(1372),
    [anon_sym_switch] = ACTIONS(1372),
    [anon_sym_do] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_yield] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_abstract] = ACTIONS(1372),
    [anon_sym_class] = ACTIONS(1372),
    [anon_sym_extension] = ACTIONS(1372),
    [anon_sym_super] = ACTIONS(1372),
    [sym_void_type] = ACTIONS(1372),
    [anon_sym_var] = ACTIONS(1372),
    [sym__break_builtin] = ACTIONS(1372),
    [sym__assert_builtin] = ACTIONS(1372),
    [anon_sym_covariant] = ACTIONS(1372),
    [anon_sym_Function] = ACTIONS(1372),
    [anon_sym_get] = ACTIONS(1372),
    [anon_sym_mixin] = ACTIONS(1372),
    [anon_sym_set] = ACTIONS(1372),
    [anon_sym_typedef] = ACTIONS(1372),
    [anon_sym_new] = ACTIONS(1372),
    [sym_const_builtin] = ACTIONS(1372),
    [sym_final_builtin] = ACTIONS(1372),
    [anon_sym_late] = ACTIONS(1372),
    [anon_sym_external] = ACTIONS(1372),
    [anon_sym_this] = ACTIONS(1372),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [479] = {
    [sym_comment] = STATE(479),
    [sym_documentation_comment] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_POUND] = ACTIONS(1374),
    [sym_decimal_integer_literal] = ACTIONS(1376),
    [sym_hex_integer_literal] = ACTIONS(1374),
    [sym_decimal_floating_point_literal] = ACTIONS(1376),
    [anon_sym_true] = ACTIONS(1376),
    [anon_sym_false] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1374),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1374),
    [anon_sym_r_DQUOTE] = ACTIONS(1376),
    [anon_sym_r_SQUOTE] = ACTIONS(1376),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1374),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_null] = ACTIONS(1376),
    [anon_sym_throw] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1374),
    [sym_increment_operator] = ACTIONS(1374),
    [sym_minus_operator] = ACTIONS(1376),
    [sym__exclamation_operator] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1374),
    [anon_sym_await] = ACTIONS(1376),
    [anon_sym_switch] = ACTIONS(1376),
    [anon_sym_do] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_try] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_abstract] = ACTIONS(1376),
    [anon_sym_class] = ACTIONS(1376),
    [anon_sym_extension] = ACTIONS(1376),
    [anon_sym_super] = ACTIONS(1376),
    [sym_void_type] = ACTIONS(1376),
    [anon_sym_var] = ACTIONS(1376),
    [sym__break_builtin] = ACTIONS(1376),
    [sym__assert_builtin] = ACTIONS(1376),
    [anon_sym_covariant] = ACTIONS(1376),
    [anon_sym_Function] = ACTIONS(1376),
    [anon_sym_get] = ACTIONS(1376),
    [anon_sym_mixin] = ACTIONS(1376),
    [anon_sym_set] = ACTIONS(1376),
    [anon_sym_typedef] = ACTIONS(1376),
    [anon_sym_new] = ACTIONS(1376),
    [sym_const_builtin] = ACTIONS(1376),
    [sym_final_builtin] = ACTIONS(1376),
    [anon_sym_late] = ACTIONS(1376),
    [anon_sym_external] = ACTIONS(1376),
    [anon_sym_this] = ACTIONS(1376),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [480] = {
    [sym__top_level_definition] = STATE(520),
    [sym_lambda_expression] = STATE(542),
    [sym__annotation] = STATE(1564),
    [sym_marker_annotation] = STATE(1565),
    [sym_annotation] = STATE(1565),
    [sym_import_specification] = STATE(441),
    [sym_enum_declaration] = STATE(515),
    [sym_type_alias] = STATE(515),
    [sym_class_definition] = STATE(515),
    [sym_extension_declaration] = STATE(515),
    [sym__metadata] = STATE(2990),
    [sym_mixin_declaration] = STATE(515),
    [sym_getter_signature] = STATE(2223),
    [sym_setter_signature] = STATE(2223),
    [sym__final_const_var_or_type] = STATE(3193),
    [sym__type] = STATE(2305),
    [sym__type_not_function] = STATE(2027),
    [sym__type_not_void_not_function] = STATE(2092),
    [sym_function_type] = STATE(2065),
    [aux_sym__function_type_tails] = STATE(1871),
    [sym__function_type_tail] = STATE(1943),
    [sym__type_name] = STATE(1839),
    [sym__var_or_type] = STATE(2821),
    [sym_inferred_type] = STATE(2064),
    [sym_function_signature] = STATE(2221),
    [sym__covariant] = STATE(1955),
    [sym__export] = STATE(1935),
    [sym__function_builtin_identifier] = STATE(1819),
    [sym__get] = STATE(2320),
    [sym__import] = STATE(1895),
    [sym__mixin] = STATE(3249),
    [sym__set] = STATE(2350),
    [sym__typedef] = STATE(2128),
    [sym__late_builtin] = STATE(2030),
    [sym__external_builtin] = STATE(1974),
    [sym_comment] = STATE(480),
    [sym_documentation_comment] = STATE(480),
    [aux_sym__metadata_repeat1] = STATE(2147),
    [sym_identifier] = ACTIONS(1378),
    [anon_sym_AT] = ACTIONS(1380),
    [anon_sym_part] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(87),
    [anon_sym_abstract] = ACTIONS(1384),
    [anon_sym_class] = ACTIONS(1386),
    [anon_sym_extension] = ACTIONS(93),
    [sym_void_type] = ACTIONS(97),
    [anon_sym_var] = ACTIONS(99),
    [anon_sym_library] = ACTIONS(1388),
    [anon_sym_covariant] = ACTIONS(109),
    [anon_sym_export] = ACTIONS(111),
    [anon_sym_Function] = ACTIONS(113),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_import] = ACTIONS(117),
    [anon_sym_mixin] = ACTIONS(119),
    [anon_sym_set] = ACTIONS(121),
    [anon_sym_typedef] = ACTIONS(123),
    [sym_const_builtin] = ACTIONS(129),
    [sym_final_builtin] = ACTIONS(129),
    [anon_sym_late] = ACTIONS(131),
    [anon_sym_external] = ACTIONS(133),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [481] = {
    [sym_comment] = STATE(481),
    [sym_documentation_comment] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1156),
    [anon_sym_POUND] = ACTIONS(1154),
    [sym_decimal_integer_literal] = ACTIONS(1156),
    [sym_hex_integer_literal] = ACTIONS(1154),
    [sym_decimal_floating_point_literal] = ACTIONS(1156),
    [anon_sym_true] = ACTIONS(1156),
    [anon_sym_false] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1154),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1154),
    [anon_sym_r_DQUOTE] = ACTIONS(1156),
    [anon_sym_r_SQUOTE] = ACTIONS(1156),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1154),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1154),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1154),
    [anon_sym_null] = ACTIONS(1156),
    [anon_sym_throw] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1154),
    [sym_increment_operator] = ACTIONS(1154),
    [sym_minus_operator] = ACTIONS(1156),
    [sym__exclamation_operator] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_await] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_yield] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_on] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_catch] = ACTIONS(1156),
    [anon_sym_finally] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1154),
    [anon_sym_super] = ACTIONS(1156),
    [sym_void_type] = ACTIONS(1156),
    [anon_sym_var] = ACTIONS(1156),
    [sym__break_builtin] = ACTIONS(1156),
    [sym__assert_builtin] = ACTIONS(1156),
    [sym_case_builtin] = ACTIONS(1156),
    [anon_sym_covariant] = ACTIONS(1156),
    [anon_sym_Function] = ACTIONS(1156),
    [anon_sym_get] = ACTIONS(1156),
    [anon_sym_set] = ACTIONS(1156),
    [anon_sym_new] = ACTIONS(1156),
    [sym_const_builtin] = ACTIONS(1156),
    [sym_final_builtin] = ACTIONS(1156),
    [anon_sym_late] = ACTIONS(1156),
    [anon_sym_this] = ACTIONS(1156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [482] = {
    [sym_comment] = STATE(482),
    [sym_documentation_comment] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1105),
    [sym_identifier] = ACTIONS(1107),
    [anon_sym_POUND] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1107),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [anon_sym_true] = ACTIONS(1107),
    [anon_sym_false] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1107),
    [anon_sym_SQUOTE] = ACTIONS(1107),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_r_DQUOTE] = ACTIONS(1107),
    [anon_sym_r_SQUOTE] = ACTIONS(1107),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1105),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1105),
    [anon_sym_RBRACE] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1105),
    [anon_sym_null] = ACTIONS(1107),
    [anon_sym_throw] = ACTIONS(1107),
    [anon_sym_LPAREN] = ACTIONS(1105),
    [anon_sym_LT] = ACTIONS(1105),
    [sym_increment_operator] = ACTIONS(1105),
    [sym_minus_operator] = ACTIONS(1107),
    [sym__exclamation_operator] = ACTIONS(1105),
    [anon_sym_TILDE] = ACTIONS(1105),
    [anon_sym_await] = ACTIONS(1107),
    [anon_sym_switch] = ACTIONS(1107),
    [anon_sym_default] = ACTIONS(1107),
    [anon_sym_do] = ACTIONS(1107),
    [anon_sym_while] = ACTIONS(1107),
    [anon_sym_continue] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1107),
    [anon_sym_return] = ACTIONS(1107),
    [anon_sym_on] = ACTIONS(1107),
    [anon_sym_try] = ACTIONS(1107),
    [anon_sym_catch] = ACTIONS(1107),
    [anon_sym_finally] = ACTIONS(1107),
    [anon_sym_if] = ACTIONS(1107),
    [anon_sym_else] = ACTIONS(1107),
    [anon_sym_for] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_super] = ACTIONS(1107),
    [sym_void_type] = ACTIONS(1107),
    [anon_sym_var] = ACTIONS(1107),
    [sym__break_builtin] = ACTIONS(1107),
    [sym__assert_builtin] = ACTIONS(1107),
    [sym_case_builtin] = ACTIONS(1107),
    [anon_sym_covariant] = ACTIONS(1107),
    [anon_sym_Function] = ACTIONS(1107),
    [anon_sym_get] = ACTIONS(1107),
    [anon_sym_set] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1107),
    [sym_const_builtin] = ACTIONS(1107),
    [sym_final_builtin] = ACTIONS(1107),
    [anon_sym_late] = ACTIONS(1107),
    [anon_sym_this] = ACTIONS(1107),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [483] = {
    [sym_comment] = STATE(483),
    [sym_documentation_comment] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_POUND] = ACTIONS(1390),
    [sym_decimal_integer_literal] = ACTIONS(1392),
    [sym_hex_integer_literal] = ACTIONS(1390),
    [sym_decimal_floating_point_literal] = ACTIONS(1392),
    [anon_sym_true] = ACTIONS(1392),
    [anon_sym_false] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1390),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1390),
    [anon_sym_r_DQUOTE] = ACTIONS(1392),
    [anon_sym_r_SQUOTE] = ACTIONS(1392),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1390),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_null] = ACTIONS(1392),
    [anon_sym_throw] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(1390),
    [sym_increment_operator] = ACTIONS(1390),
    [sym_minus_operator] = ACTIONS(1392),
    [sym__exclamation_operator] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1390),
    [anon_sym_await] = ACTIONS(1392),
    [anon_sym_switch] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_yield] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_abstract] = ACTIONS(1392),
    [anon_sym_class] = ACTIONS(1392),
    [anon_sym_extension] = ACTIONS(1392),
    [anon_sym_super] = ACTIONS(1392),
    [sym_void_type] = ACTIONS(1392),
    [anon_sym_var] = ACTIONS(1392),
    [sym__break_builtin] = ACTIONS(1392),
    [sym__assert_builtin] = ACTIONS(1392),
    [anon_sym_covariant] = ACTIONS(1392),
    [anon_sym_Function] = ACTIONS(1392),
    [anon_sym_get] = ACTIONS(1392),
    [anon_sym_mixin] = ACTIONS(1392),
    [anon_sym_set] = ACTIONS(1392),
    [anon_sym_typedef] = ACTIONS(1392),
    [anon_sym_new] = ACTIONS(1392),
    [sym_const_builtin] = ACTIONS(1392),
    [sym_final_builtin] = ACTIONS(1392),
    [anon_sym_late] = ACTIONS(1392),
    [anon_sym_external] = ACTIONS(1392),
    [anon_sym_this] = ACTIONS(1392),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [484] = {
    [sym_comment] = STATE(484),
    [sym_documentation_comment] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_POUND] = ACTIONS(1394),
    [sym_decimal_integer_literal] = ACTIONS(1396),
    [sym_hex_integer_literal] = ACTIONS(1394),
    [sym_decimal_floating_point_literal] = ACTIONS(1396),
    [anon_sym_true] = ACTIONS(1396),
    [anon_sym_false] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1394),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1394),
    [anon_sym_r_DQUOTE] = ACTIONS(1396),
    [anon_sym_r_SQUOTE] = ACTIONS(1396),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1394),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_null] = ACTIONS(1396),
    [anon_sym_throw] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_LT] = ACTIONS(1394),
    [sym_increment_operator] = ACTIONS(1394),
    [sym_minus_operator] = ACTIONS(1396),
    [sym__exclamation_operator] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1394),
    [anon_sym_await] = ACTIONS(1396),
    [anon_sym_switch] = ACTIONS(1396),
    [anon_sym_do] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_yield] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_try] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_abstract] = ACTIONS(1396),
    [anon_sym_class] = ACTIONS(1396),
    [anon_sym_extension] = ACTIONS(1396),
    [anon_sym_super] = ACTIONS(1396),
    [sym_void_type] = ACTIONS(1396),
    [anon_sym_var] = ACTIONS(1396),
    [sym__break_builtin] = ACTIONS(1396),
    [sym__assert_builtin] = ACTIONS(1396),
    [anon_sym_covariant] = ACTIONS(1396),
    [anon_sym_Function] = ACTIONS(1396),
    [anon_sym_get] = ACTIONS(1396),
    [anon_sym_mixin] = ACTIONS(1396),
    [anon_sym_set] = ACTIONS(1396),
    [anon_sym_typedef] = ACTIONS(1396),
    [anon_sym_new] = ACTIONS(1396),
    [sym_const_builtin] = ACTIONS(1396),
    [sym_final_builtin] = ACTIONS(1396),
    [anon_sym_late] = ACTIONS(1396),
    [anon_sym_external] = ACTIONS(1396),
    [anon_sym_this] = ACTIONS(1396),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [485] = {
    [sym_comment] = STATE(485),
    [sym_documentation_comment] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_POUND] = ACTIONS(1398),
    [sym_decimal_integer_literal] = ACTIONS(1400),
    [sym_hex_integer_literal] = ACTIONS(1398),
    [sym_decimal_floating_point_literal] = ACTIONS(1400),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1398),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1398),
    [anon_sym_r_DQUOTE] = ACTIONS(1400),
    [anon_sym_r_SQUOTE] = ACTIONS(1400),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1398),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_null] = ACTIONS(1400),
    [anon_sym_throw] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_LT] = ACTIONS(1398),
    [sym_increment_operator] = ACTIONS(1398),
    [sym_minus_operator] = ACTIONS(1400),
    [sym__exclamation_operator] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1398),
    [anon_sym_await] = ACTIONS(1400),
    [anon_sym_switch] = ACTIONS(1400),
    [anon_sym_do] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_abstract] = ACTIONS(1400),
    [anon_sym_class] = ACTIONS(1400),
    [anon_sym_extension] = ACTIONS(1400),
    [anon_sym_super] = ACTIONS(1400),
    [sym_void_type] = ACTIONS(1400),
    [anon_sym_var] = ACTIONS(1400),
    [sym__break_builtin] = ACTIONS(1400),
    [sym__assert_builtin] = ACTIONS(1400),
    [anon_sym_covariant] = ACTIONS(1400),
    [anon_sym_Function] = ACTIONS(1400),
    [anon_sym_get] = ACTIONS(1400),
    [anon_sym_mixin] = ACTIONS(1400),
    [anon_sym_set] = ACTIONS(1400),
    [anon_sym_typedef] = ACTIONS(1400),
    [anon_sym_new] = ACTIONS(1400),
    [sym_const_builtin] = ACTIONS(1400),
    [sym_final_builtin] = ACTIONS(1400),
    [anon_sym_late] = ACTIONS(1400),
    [anon_sym_external] = ACTIONS(1400),
    [anon_sym_this] = ACTIONS(1400),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [486] = {
    [sym_comment] = STATE(486),
    [sym_documentation_comment] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_POUND] = ACTIONS(1402),
    [sym_decimal_integer_literal] = ACTIONS(1404),
    [sym_hex_integer_literal] = ACTIONS(1402),
    [sym_decimal_floating_point_literal] = ACTIONS(1404),
    [anon_sym_true] = ACTIONS(1404),
    [anon_sym_false] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1402),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1402),
    [anon_sym_r_DQUOTE] = ACTIONS(1404),
    [anon_sym_r_SQUOTE] = ACTIONS(1404),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1402),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_null] = ACTIONS(1404),
    [anon_sym_throw] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(1402),
    [sym_increment_operator] = ACTIONS(1402),
    [sym_minus_operator] = ACTIONS(1404),
    [sym__exclamation_operator] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1402),
    [anon_sym_await] = ACTIONS(1404),
    [anon_sym_switch] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_try] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_abstract] = ACTIONS(1404),
    [anon_sym_class] = ACTIONS(1404),
    [anon_sym_extension] = ACTIONS(1404),
    [anon_sym_super] = ACTIONS(1404),
    [sym_void_type] = ACTIONS(1404),
    [anon_sym_var] = ACTIONS(1404),
    [sym__break_builtin] = ACTIONS(1404),
    [sym__assert_builtin] = ACTIONS(1404),
    [anon_sym_covariant] = ACTIONS(1404),
    [anon_sym_Function] = ACTIONS(1404),
    [anon_sym_get] = ACTIONS(1404),
    [anon_sym_mixin] = ACTIONS(1404),
    [anon_sym_set] = ACTIONS(1404),
    [anon_sym_typedef] = ACTIONS(1404),
    [anon_sym_new] = ACTIONS(1404),
    [sym_const_builtin] = ACTIONS(1404),
    [sym_final_builtin] = ACTIONS(1404),
    [anon_sym_late] = ACTIONS(1404),
    [anon_sym_external] = ACTIONS(1404),
    [anon_sym_this] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [487] = {
    [sym_comment] = STATE(487),
    [sym_documentation_comment] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1406),
    [sym_identifier] = ACTIONS(1408),
    [anon_sym_POUND] = ACTIONS(1406),
    [sym_decimal_integer_literal] = ACTIONS(1408),
    [sym_hex_integer_literal] = ACTIONS(1406),
    [sym_decimal_floating_point_literal] = ACTIONS(1408),
    [anon_sym_true] = ACTIONS(1408),
    [anon_sym_false] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1406),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1406),
    [anon_sym_r_DQUOTE] = ACTIONS(1408),
    [anon_sym_r_SQUOTE] = ACTIONS(1408),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1406),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1406),
    [anon_sym_null] = ACTIONS(1408),
    [anon_sym_throw] = ACTIONS(1408),
    [anon_sym_LPAREN] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1406),
    [sym_increment_operator] = ACTIONS(1406),
    [sym_minus_operator] = ACTIONS(1408),
    [sym__exclamation_operator] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1406),
    [anon_sym_await] = ACTIONS(1408),
    [anon_sym_switch] = ACTIONS(1408),
    [anon_sym_do] = ACTIONS(1408),
    [anon_sym_while] = ACTIONS(1408),
    [anon_sym_continue] = ACTIONS(1408),
    [anon_sym_yield] = ACTIONS(1408),
    [anon_sym_return] = ACTIONS(1408),
    [anon_sym_try] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(1408),
    [anon_sym_for] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1408),
    [anon_sym_abstract] = ACTIONS(1408),
    [anon_sym_class] = ACTIONS(1408),
    [anon_sym_extension] = ACTIONS(1408),
    [anon_sym_super] = ACTIONS(1408),
    [sym_void_type] = ACTIONS(1408),
    [anon_sym_var] = ACTIONS(1408),
    [sym__break_builtin] = ACTIONS(1408),
    [sym__assert_builtin] = ACTIONS(1408),
    [anon_sym_covariant] = ACTIONS(1408),
    [anon_sym_Function] = ACTIONS(1408),
    [anon_sym_get] = ACTIONS(1408),
    [anon_sym_mixin] = ACTIONS(1408),
    [anon_sym_set] = ACTIONS(1408),
    [anon_sym_typedef] = ACTIONS(1408),
    [anon_sym_new] = ACTIONS(1408),
    [sym_const_builtin] = ACTIONS(1408),
    [sym_final_builtin] = ACTIONS(1408),
    [anon_sym_late] = ACTIONS(1408),
    [anon_sym_external] = ACTIONS(1408),
    [anon_sym_this] = ACTIONS(1408),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [488] = {
    [sym_comment] = STATE(488),
    [sym_documentation_comment] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1410),
    [sym_identifier] = ACTIONS(1412),
    [anon_sym_POUND] = ACTIONS(1410),
    [sym_decimal_integer_literal] = ACTIONS(1412),
    [sym_hex_integer_literal] = ACTIONS(1410),
    [sym_decimal_floating_point_literal] = ACTIONS(1412),
    [anon_sym_true] = ACTIONS(1412),
    [anon_sym_false] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1410),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1410),
    [anon_sym_r_DQUOTE] = ACTIONS(1412),
    [anon_sym_r_SQUOTE] = ACTIONS(1412),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1410),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1410),
    [anon_sym_null] = ACTIONS(1412),
    [anon_sym_throw] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1410),
    [anon_sym_LT] = ACTIONS(1410),
    [sym_increment_operator] = ACTIONS(1410),
    [sym_minus_operator] = ACTIONS(1412),
    [sym__exclamation_operator] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1410),
    [anon_sym_await] = ACTIONS(1412),
    [anon_sym_switch] = ACTIONS(1412),
    [anon_sym_do] = ACTIONS(1412),
    [anon_sym_while] = ACTIONS(1412),
    [anon_sym_continue] = ACTIONS(1412),
    [anon_sym_yield] = ACTIONS(1412),
    [anon_sym_return] = ACTIONS(1412),
    [anon_sym_try] = ACTIONS(1412),
    [anon_sym_if] = ACTIONS(1412),
    [anon_sym_for] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1412),
    [anon_sym_abstract] = ACTIONS(1412),
    [anon_sym_class] = ACTIONS(1412),
    [anon_sym_extension] = ACTIONS(1412),
    [anon_sym_super] = ACTIONS(1412),
    [sym_void_type] = ACTIONS(1412),
    [anon_sym_var] = ACTIONS(1412),
    [sym__break_builtin] = ACTIONS(1412),
    [sym__assert_builtin] = ACTIONS(1412),
    [anon_sym_covariant] = ACTIONS(1412),
    [anon_sym_Function] = ACTIONS(1412),
    [anon_sym_get] = ACTIONS(1412),
    [anon_sym_mixin] = ACTIONS(1412),
    [anon_sym_set] = ACTIONS(1412),
    [anon_sym_typedef] = ACTIONS(1412),
    [anon_sym_new] = ACTIONS(1412),
    [sym_const_builtin] = ACTIONS(1412),
    [sym_final_builtin] = ACTIONS(1412),
    [anon_sym_late] = ACTIONS(1412),
    [anon_sym_external] = ACTIONS(1412),
    [anon_sym_this] = ACTIONS(1412),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [489] = {
    [sym_comment] = STATE(489),
    [sym_documentation_comment] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1414),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_POUND] = ACTIONS(1414),
    [sym_decimal_integer_literal] = ACTIONS(1416),
    [sym_hex_integer_literal] = ACTIONS(1414),
    [sym_decimal_floating_point_literal] = ACTIONS(1416),
    [anon_sym_true] = ACTIONS(1416),
    [anon_sym_false] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1414),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1414),
    [anon_sym_r_DQUOTE] = ACTIONS(1416),
    [anon_sym_r_SQUOTE] = ACTIONS(1416),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1414),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1414),
    [anon_sym_null] = ACTIONS(1416),
    [anon_sym_throw] = ACTIONS(1416),
    [anon_sym_LPAREN] = ACTIONS(1414),
    [anon_sym_LT] = ACTIONS(1414),
    [sym_increment_operator] = ACTIONS(1414),
    [sym_minus_operator] = ACTIONS(1416),
    [sym__exclamation_operator] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1414),
    [anon_sym_await] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_yield] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_try] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_abstract] = ACTIONS(1416),
    [anon_sym_class] = ACTIONS(1416),
    [anon_sym_extension] = ACTIONS(1416),
    [anon_sym_super] = ACTIONS(1416),
    [sym_void_type] = ACTIONS(1416),
    [anon_sym_var] = ACTIONS(1416),
    [sym__break_builtin] = ACTIONS(1416),
    [sym__assert_builtin] = ACTIONS(1416),
    [anon_sym_covariant] = ACTIONS(1416),
    [anon_sym_Function] = ACTIONS(1416),
    [anon_sym_get] = ACTIONS(1416),
    [anon_sym_mixin] = ACTIONS(1416),
    [anon_sym_set] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_new] = ACTIONS(1416),
    [sym_const_builtin] = ACTIONS(1416),
    [sym_final_builtin] = ACTIONS(1416),
    [anon_sym_late] = ACTIONS(1416),
    [anon_sym_external] = ACTIONS(1416),
    [anon_sym_this] = ACTIONS(1416),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [490] = {
    [sym_comment] = STATE(490),
    [sym_documentation_comment] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1420),
    [anon_sym_POUND] = ACTIONS(1418),
    [sym_decimal_integer_literal] = ACTIONS(1420),
    [sym_hex_integer_literal] = ACTIONS(1418),
    [sym_decimal_floating_point_literal] = ACTIONS(1420),
    [anon_sym_true] = ACTIONS(1420),
    [anon_sym_false] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1418),
    [anon_sym_r_DQUOTE] = ACTIONS(1420),
    [anon_sym_r_SQUOTE] = ACTIONS(1420),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1418),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_null] = ACTIONS(1420),
    [anon_sym_throw] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(1418),
    [sym_increment_operator] = ACTIONS(1418),
    [sym_minus_operator] = ACTIONS(1420),
    [sym__exclamation_operator] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_await] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_yield] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_try] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1418),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_abstract] = ACTIONS(1420),
    [anon_sym_class] = ACTIONS(1420),
    [anon_sym_extension] = ACTIONS(1420),
    [anon_sym_super] = ACTIONS(1420),
    [sym_void_type] = ACTIONS(1420),
    [anon_sym_var] = ACTIONS(1420),
    [sym__break_builtin] = ACTIONS(1420),
    [sym__assert_builtin] = ACTIONS(1420),
    [anon_sym_covariant] = ACTIONS(1420),
    [anon_sym_Function] = ACTIONS(1420),
    [anon_sym_get] = ACTIONS(1420),
    [anon_sym_mixin] = ACTIONS(1420),
    [anon_sym_set] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_new] = ACTIONS(1420),
    [sym_const_builtin] = ACTIONS(1420),
    [sym_final_builtin] = ACTIONS(1420),
    [anon_sym_late] = ACTIONS(1420),
    [anon_sym_external] = ACTIONS(1420),
    [anon_sym_this] = ACTIONS(1420),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [491] = {
    [sym_comment] = STATE(491),
    [sym_documentation_comment] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1422),
    [sym_decimal_integer_literal] = ACTIONS(1424),
    [sym_hex_integer_literal] = ACTIONS(1422),
    [sym_decimal_floating_point_literal] = ACTIONS(1424),
    [anon_sym_true] = ACTIONS(1424),
    [anon_sym_false] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1422),
    [anon_sym_r_DQUOTE] = ACTIONS(1424),
    [anon_sym_r_SQUOTE] = ACTIONS(1424),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1422),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1422),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1422),
    [anon_sym_null] = ACTIONS(1424),
    [anon_sym_throw] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1422),
    [sym_increment_operator] = ACTIONS(1422),
    [sym_minus_operator] = ACTIONS(1424),
    [sym__exclamation_operator] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_await] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_yield] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_try] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_abstract] = ACTIONS(1424),
    [anon_sym_class] = ACTIONS(1424),
    [anon_sym_extension] = ACTIONS(1424),
    [anon_sym_super] = ACTIONS(1424),
    [sym_void_type] = ACTIONS(1424),
    [anon_sym_var] = ACTIONS(1424),
    [sym__break_builtin] = ACTIONS(1424),
    [sym__assert_builtin] = ACTIONS(1424),
    [anon_sym_covariant] = ACTIONS(1424),
    [anon_sym_Function] = ACTIONS(1424),
    [anon_sym_get] = ACTIONS(1424),
    [anon_sym_mixin] = ACTIONS(1424),
    [anon_sym_set] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_new] = ACTIONS(1424),
    [sym_const_builtin] = ACTIONS(1424),
    [sym_final_builtin] = ACTIONS(1424),
    [anon_sym_late] = ACTIONS(1424),
    [anon_sym_external] = ACTIONS(1424),
    [anon_sym_this] = ACTIONS(1424),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [492] = {
    [sym_comment] = STATE(492),
    [sym_documentation_comment] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1429),
    [anon_sym_POUND] = ACTIONS(1426),
    [sym_decimal_integer_literal] = ACTIONS(1429),
    [sym_hex_integer_literal] = ACTIONS(1426),
    [sym_decimal_floating_point_literal] = ACTIONS(1429),
    [anon_sym_true] = ACTIONS(1429),
    [anon_sym_false] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1429),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1426),
    [anon_sym_r_DQUOTE] = ACTIONS(1429),
    [anon_sym_r_SQUOTE] = ACTIONS(1429),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1426),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1426),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_null] = ACTIONS(1429),
    [anon_sym_throw] = ACTIONS(1429),
    [anon_sym_LPAREN] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1426),
    [sym_increment_operator] = ACTIONS(1426),
    [sym_minus_operator] = ACTIONS(1429),
    [sym__exclamation_operator] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_await] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_yield] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_try] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_AT] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_abstract] = ACTIONS(1429),
    [anon_sym_class] = ACTIONS(1429),
    [anon_sym_extension] = ACTIONS(1429),
    [anon_sym_super] = ACTIONS(1429),
    [sym_void_type] = ACTIONS(1429),
    [anon_sym_var] = ACTIONS(1429),
    [sym__break_builtin] = ACTIONS(1429),
    [sym__assert_builtin] = ACTIONS(1429),
    [anon_sym_covariant] = ACTIONS(1429),
    [anon_sym_Function] = ACTIONS(1429),
    [anon_sym_get] = ACTIONS(1429),
    [anon_sym_mixin] = ACTIONS(1429),
    [anon_sym_set] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_new] = ACTIONS(1429),
    [sym_const_builtin] = ACTIONS(1429),
    [sym_final_builtin] = ACTIONS(1429),
    [anon_sym_late] = ACTIONS(1429),
    [anon_sym_external] = ACTIONS(1429),
    [anon_sym_this] = ACTIONS(1429),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [493] = {
    [sym_comment] = STATE(493),
    [sym_documentation_comment] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_POUND] = ACTIONS(1432),
    [sym_decimal_integer_literal] = ACTIONS(1434),
    [sym_hex_integer_literal] = ACTIONS(1432),
    [sym_decimal_floating_point_literal] = ACTIONS(1434),
    [anon_sym_true] = ACTIONS(1434),
    [anon_sym_false] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1432),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1432),
    [anon_sym_r_DQUOTE] = ACTIONS(1434),
    [anon_sym_r_SQUOTE] = ACTIONS(1434),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1432),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_null] = ACTIONS(1434),
    [anon_sym_throw] = ACTIONS(1434),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [sym_increment_operator] = ACTIONS(1432),
    [sym_minus_operator] = ACTIONS(1434),
    [sym__exclamation_operator] = ACTIONS(1432),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_await] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_do] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_on] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1434),
    [anon_sym_catch] = ACTIONS(1434),
    [anon_sym_finally] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_AT] = ACTIONS(1432),
    [anon_sym_super] = ACTIONS(1434),
    [sym_void_type] = ACTIONS(1434),
    [anon_sym_var] = ACTIONS(1434),
    [sym__break_builtin] = ACTIONS(1434),
    [sym__assert_builtin] = ACTIONS(1434),
    [sym_case_builtin] = ACTIONS(1434),
    [anon_sym_covariant] = ACTIONS(1434),
    [anon_sym_Function] = ACTIONS(1434),
    [anon_sym_get] = ACTIONS(1434),
    [anon_sym_set] = ACTIONS(1434),
    [anon_sym_new] = ACTIONS(1434),
    [sym_const_builtin] = ACTIONS(1434),
    [sym_final_builtin] = ACTIONS(1434),
    [anon_sym_late] = ACTIONS(1434),
    [anon_sym_this] = ACTIONS(1434),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [494] = {
    [sym_comment] = STATE(494),
    [sym_documentation_comment] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_POUND] = ACTIONS(1436),
    [sym_decimal_integer_literal] = ACTIONS(1438),
    [sym_hex_integer_literal] = ACTIONS(1436),
    [sym_decimal_floating_point_literal] = ACTIONS(1438),
    [anon_sym_true] = ACTIONS(1438),
    [anon_sym_false] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1436),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1436),
    [anon_sym_r_DQUOTE] = ACTIONS(1438),
    [anon_sym_r_SQUOTE] = ACTIONS(1438),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1436),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_null] = ACTIONS(1438),
    [anon_sym_throw] = ACTIONS(1438),
    [anon_sym_LPAREN] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(1436),
    [sym_increment_operator] = ACTIONS(1436),
    [sym_minus_operator] = ACTIONS(1438),
    [sym__exclamation_operator] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1438),
    [anon_sym_do] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1438),
    [anon_sym_continue] = ACTIONS(1438),
    [anon_sym_yield] = ACTIONS(1438),
    [anon_sym_return] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1438),
    [anon_sym_if] = ACTIONS(1438),
    [anon_sym_for] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1438),
    [anon_sym_abstract] = ACTIONS(1438),
    [anon_sym_class] = ACTIONS(1438),
    [anon_sym_extension] = ACTIONS(1438),
    [anon_sym_super] = ACTIONS(1438),
    [sym_void_type] = ACTIONS(1438),
    [anon_sym_var] = ACTIONS(1438),
    [sym__break_builtin] = ACTIONS(1438),
    [sym__assert_builtin] = ACTIONS(1438),
    [anon_sym_covariant] = ACTIONS(1438),
    [anon_sym_Function] = ACTIONS(1438),
    [anon_sym_get] = ACTIONS(1438),
    [anon_sym_mixin] = ACTIONS(1438),
    [anon_sym_set] = ACTIONS(1438),
    [anon_sym_typedef] = ACTIONS(1438),
    [anon_sym_new] = ACTIONS(1438),
    [sym_const_builtin] = ACTIONS(1438),
    [sym_final_builtin] = ACTIONS(1438),
    [anon_sym_late] = ACTIONS(1438),
    [anon_sym_external] = ACTIONS(1438),
    [anon_sym_this] = ACTIONS(1438),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [495] = {
    [sym_comment] = STATE(495),
    [sym_documentation_comment] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_POUND] = ACTIONS(1440),
    [sym_decimal_integer_literal] = ACTIONS(1442),
    [sym_hex_integer_literal] = ACTIONS(1440),
    [sym_decimal_floating_point_literal] = ACTIONS(1442),
    [anon_sym_true] = ACTIONS(1442),
    [anon_sym_false] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1440),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1440),
    [anon_sym_r_DQUOTE] = ACTIONS(1442),
    [anon_sym_r_SQUOTE] = ACTIONS(1442),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1440),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_null] = ACTIONS(1442),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1440),
    [anon_sym_LT] = ACTIONS(1440),
    [sym_increment_operator] = ACTIONS(1440),
    [sym_minus_operator] = ACTIONS(1442),
    [sym__exclamation_operator] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_await] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_try] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_abstract] = ACTIONS(1442),
    [anon_sym_class] = ACTIONS(1442),
    [anon_sym_extension] = ACTIONS(1442),
    [anon_sym_super] = ACTIONS(1442),
    [sym_void_type] = ACTIONS(1442),
    [anon_sym_var] = ACTIONS(1442),
    [sym__break_builtin] = ACTIONS(1442),
    [sym__assert_builtin] = ACTIONS(1442),
    [anon_sym_covariant] = ACTIONS(1442),
    [anon_sym_Function] = ACTIONS(1442),
    [anon_sym_get] = ACTIONS(1442),
    [anon_sym_mixin] = ACTIONS(1442),
    [anon_sym_set] = ACTIONS(1442),
    [anon_sym_typedef] = ACTIONS(1442),
    [anon_sym_new] = ACTIONS(1442),
    [sym_const_builtin] = ACTIONS(1442),
    [sym_final_builtin] = ACTIONS(1442),
    [anon_sym_late] = ACTIONS(1442),
    [anon_sym_external] = ACTIONS(1442),
    [anon_sym_this] = ACTIONS(1442),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [496] = {
    [sym_comment] = STATE(496),
    [sym_documentation_comment] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1446),
    [anon_sym_POUND] = ACTIONS(1444),
    [sym_decimal_integer_literal] = ACTIONS(1446),
    [sym_hex_integer_literal] = ACTIONS(1444),
    [sym_decimal_floating_point_literal] = ACTIONS(1446),
    [anon_sym_true] = ACTIONS(1446),
    [anon_sym_false] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1444),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1444),
    [anon_sym_r_DQUOTE] = ACTIONS(1446),
    [anon_sym_r_SQUOTE] = ACTIONS(1446),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1444),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_null] = ACTIONS(1446),
    [anon_sym_throw] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [sym_increment_operator] = ACTIONS(1444),
    [sym_minus_operator] = ACTIONS(1446),
    [sym__exclamation_operator] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_await] = ACTIONS(1446),
    [anon_sym_switch] = ACTIONS(1446),
    [anon_sym_default] = ACTIONS(1446),
    [anon_sym_do] = ACTIONS(1446),
    [anon_sym_while] = ACTIONS(1446),
    [anon_sym_continue] = ACTIONS(1446),
    [anon_sym_yield] = ACTIONS(1446),
    [anon_sym_return] = ACTIONS(1446),
    [anon_sym_on] = ACTIONS(1446),
    [anon_sym_try] = ACTIONS(1446),
    [anon_sym_catch] = ACTIONS(1446),
    [anon_sym_finally] = ACTIONS(1446),
    [anon_sym_if] = ACTIONS(1446),
    [anon_sym_else] = ACTIONS(1446),
    [anon_sym_for] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1444),
    [anon_sym_super] = ACTIONS(1446),
    [sym_void_type] = ACTIONS(1446),
    [anon_sym_var] = ACTIONS(1446),
    [sym__break_builtin] = ACTIONS(1446),
    [sym__assert_builtin] = ACTIONS(1446),
    [sym_case_builtin] = ACTIONS(1446),
    [anon_sym_covariant] = ACTIONS(1446),
    [anon_sym_Function] = ACTIONS(1446),
    [anon_sym_get] = ACTIONS(1446),
    [anon_sym_set] = ACTIONS(1446),
    [anon_sym_new] = ACTIONS(1446),
    [sym_const_builtin] = ACTIONS(1446),
    [sym_final_builtin] = ACTIONS(1446),
    [anon_sym_late] = ACTIONS(1446),
    [anon_sym_this] = ACTIONS(1446),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [497] = {
    [sym_comment] = STATE(497),
    [sym_documentation_comment] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_identifier] = ACTIONS(1450),
    [anon_sym_POUND] = ACTIONS(1448),
    [sym_decimal_integer_literal] = ACTIONS(1450),
    [sym_hex_integer_literal] = ACTIONS(1448),
    [sym_decimal_floating_point_literal] = ACTIONS(1450),
    [anon_sym_true] = ACTIONS(1450),
    [anon_sym_false] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1448),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1448),
    [anon_sym_r_DQUOTE] = ACTIONS(1450),
    [anon_sym_r_SQUOTE] = ACTIONS(1450),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1448),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_null] = ACTIONS(1450),
    [anon_sym_throw] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(1448),
    [sym_increment_operator] = ACTIONS(1448),
    [sym_minus_operator] = ACTIONS(1450),
    [sym__exclamation_operator] = ACTIONS(1448),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_await] = ACTIONS(1450),
    [anon_sym_switch] = ACTIONS(1450),
    [anon_sym_do] = ACTIONS(1450),
    [anon_sym_while] = ACTIONS(1450),
    [anon_sym_continue] = ACTIONS(1450),
    [anon_sym_yield] = ACTIONS(1450),
    [anon_sym_return] = ACTIONS(1450),
    [anon_sym_try] = ACTIONS(1450),
    [anon_sym_if] = ACTIONS(1450),
    [anon_sym_for] = ACTIONS(1450),
    [anon_sym_AT] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1450),
    [anon_sym_abstract] = ACTIONS(1450),
    [anon_sym_class] = ACTIONS(1450),
    [anon_sym_extension] = ACTIONS(1450),
    [anon_sym_super] = ACTIONS(1450),
    [sym_void_type] = ACTIONS(1450),
    [anon_sym_var] = ACTIONS(1450),
    [sym__break_builtin] = ACTIONS(1450),
    [sym__assert_builtin] = ACTIONS(1450),
    [anon_sym_covariant] = ACTIONS(1450),
    [anon_sym_Function] = ACTIONS(1450),
    [anon_sym_get] = ACTIONS(1450),
    [anon_sym_mixin] = ACTIONS(1450),
    [anon_sym_set] = ACTIONS(1450),
    [anon_sym_typedef] = ACTIONS(1450),
    [anon_sym_new] = ACTIONS(1450),
    [sym_const_builtin] = ACTIONS(1450),
    [sym_final_builtin] = ACTIONS(1450),
    [anon_sym_late] = ACTIONS(1450),
    [anon_sym_external] = ACTIONS(1450),
    [anon_sym_this] = ACTIONS(1450),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [498] = {
    [sym_comment] = STATE(498),
    [sym_documentation_comment] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_POUND] = ACTIONS(1452),
    [sym_decimal_integer_literal] = ACTIONS(1454),
    [sym_hex_integer_literal] = ACTIONS(1452),
    [sym_decimal_floating_point_literal] = ACTIONS(1454),
    [anon_sym_true] = ACTIONS(1454),
    [anon_sym_false] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1452),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1452),
    [anon_sym_r_DQUOTE] = ACTIONS(1454),
    [anon_sym_r_SQUOTE] = ACTIONS(1454),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1452),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_null] = ACTIONS(1454),
    [anon_sym_throw] = ACTIONS(1454),
    [anon_sym_LPAREN] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [sym_increment_operator] = ACTIONS(1452),
    [sym_minus_operator] = ACTIONS(1454),
    [sym__exclamation_operator] = ACTIONS(1452),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_await] = ACTIONS(1454),
    [anon_sym_switch] = ACTIONS(1454),
    [anon_sym_do] = ACTIONS(1454),
    [anon_sym_while] = ACTIONS(1454),
    [anon_sym_continue] = ACTIONS(1454),
    [anon_sym_yield] = ACTIONS(1454),
    [anon_sym_return] = ACTIONS(1454),
    [anon_sym_try] = ACTIONS(1454),
    [anon_sym_if] = ACTIONS(1454),
    [anon_sym_for] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1454),
    [anon_sym_abstract] = ACTIONS(1454),
    [anon_sym_class] = ACTIONS(1454),
    [anon_sym_extension] = ACTIONS(1454),
    [anon_sym_super] = ACTIONS(1454),
    [sym_void_type] = ACTIONS(1454),
    [anon_sym_var] = ACTIONS(1454),
    [sym__break_builtin] = ACTIONS(1454),
    [sym__assert_builtin] = ACTIONS(1454),
    [anon_sym_covariant] = ACTIONS(1454),
    [anon_sym_Function] = ACTIONS(1454),
    [anon_sym_get] = ACTIONS(1454),
    [anon_sym_mixin] = ACTIONS(1454),
    [anon_sym_set] = ACTIONS(1454),
    [anon_sym_typedef] = ACTIONS(1454),
    [anon_sym_new] = ACTIONS(1454),
    [sym_const_builtin] = ACTIONS(1454),
    [sym_final_builtin] = ACTIONS(1454),
    [anon_sym_late] = ACTIONS(1454),
    [anon_sym_external] = ACTIONS(1454),
    [anon_sym_this] = ACTIONS(1454),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [499] = {
    [sym_comment] = STATE(499),
    [sym_documentation_comment] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_POUND] = ACTIONS(1456),
    [sym_decimal_integer_literal] = ACTIONS(1458),
    [sym_hex_integer_literal] = ACTIONS(1456),
    [sym_decimal_floating_point_literal] = ACTIONS(1458),
    [anon_sym_true] = ACTIONS(1458),
    [anon_sym_false] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1456),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1456),
    [anon_sym_r_DQUOTE] = ACTIONS(1458),
    [anon_sym_r_SQUOTE] = ACTIONS(1458),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1456),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_null] = ACTIONS(1458),
    [anon_sym_throw] = ACTIONS(1458),
    [anon_sym_LPAREN] = ACTIONS(1456),
    [anon_sym_LT] = ACTIONS(1456),
    [sym_increment_operator] = ACTIONS(1456),
    [sym_minus_operator] = ACTIONS(1458),
    [sym__exclamation_operator] = ACTIONS(1456),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_await] = ACTIONS(1458),
    [anon_sym_switch] = ACTIONS(1458),
    [anon_sym_do] = ACTIONS(1458),
    [anon_sym_while] = ACTIONS(1458),
    [anon_sym_continue] = ACTIONS(1458),
    [anon_sym_yield] = ACTIONS(1458),
    [anon_sym_return] = ACTIONS(1458),
    [anon_sym_try] = ACTIONS(1458),
    [anon_sym_if] = ACTIONS(1458),
    [anon_sym_for] = ACTIONS(1458),
    [anon_sym_AT] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1458),
    [anon_sym_abstract] = ACTIONS(1458),
    [anon_sym_class] = ACTIONS(1458),
    [anon_sym_extension] = ACTIONS(1458),
    [anon_sym_super] = ACTIONS(1458),
    [sym_void_type] = ACTIONS(1458),
    [anon_sym_var] = ACTIONS(1458),
    [sym__break_builtin] = ACTIONS(1458),
    [sym__assert_builtin] = ACTIONS(1458),
    [anon_sym_covariant] = ACTIONS(1458),
    [anon_sym_Function] = ACTIONS(1458),
    [anon_sym_get] = ACTIONS(1458),
    [anon_sym_mixin] = ACTIONS(1458),
    [anon_sym_set] = ACTIONS(1458),
    [anon_sym_typedef] = ACTIONS(1458),
    [anon_sym_new] = ACTIONS(1458),
    [sym_const_builtin] = ACTIONS(1458),
    [sym_final_builtin] = ACTIONS(1458),
    [anon_sym_late] = ACTIONS(1458),
    [anon_sym_external] = ACTIONS(1458),
    [anon_sym_this] = ACTIONS(1458),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [500] = {
    [sym_comment] = STATE(500),
    [sym_documentation_comment] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_POUND] = ACTIONS(1460),
    [sym_decimal_integer_literal] = ACTIONS(1462),
    [sym_hex_integer_literal] = ACTIONS(1460),
    [sym_decimal_floating_point_literal] = ACTIONS(1462),
    [anon_sym_true] = ACTIONS(1462),
    [anon_sym_false] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1460),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1460),
    [anon_sym_r_DQUOTE] = ACTIONS(1462),
    [anon_sym_r_SQUOTE] = ACTIONS(1462),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1460),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_null] = ACTIONS(1462),
    [anon_sym_throw] = ACTIONS(1462),
    [anon_sym_LPAREN] = ACTIONS(1460),
    [anon_sym_LT] = ACTIONS(1460),
    [sym_increment_operator] = ACTIONS(1460),
    [sym_minus_operator] = ACTIONS(1462),
    [sym__exclamation_operator] = ACTIONS(1460),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_await] = ACTIONS(1462),
    [anon_sym_switch] = ACTIONS(1462),
    [anon_sym_do] = ACTIONS(1462),
    [anon_sym_while] = ACTIONS(1462),
    [anon_sym_continue] = ACTIONS(1462),
    [anon_sym_yield] = ACTIONS(1462),
    [anon_sym_return] = ACTIONS(1462),
    [anon_sym_try] = ACTIONS(1462),
    [anon_sym_if] = ACTIONS(1462),
    [anon_sym_for] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1462),
    [anon_sym_abstract] = ACTIONS(1462),
    [anon_sym_class] = ACTIONS(1462),
    [anon_sym_extension] = ACTIONS(1462),
    [anon_sym_super] = ACTIONS(1462),
    [sym_void_type] = ACTIONS(1462),
    [anon_sym_var] = ACTIONS(1462),
    [sym__break_builtin] = ACTIONS(1462),
    [sym__assert_builtin] = ACTIONS(1462),
    [anon_sym_covariant] = ACTIONS(1462),
    [anon_sym_Function] = ACTIONS(1462),
    [anon_sym_get] = ACTIONS(1462),
    [anon_sym_mixin] = ACTIONS(1462),
    [anon_sym_set] = ACTIONS(1462),
    [anon_sym_typedef] = ACTIONS(1462),
    [anon_sym_new] = ACTIONS(1462),
    [sym_const_builtin] = ACTIONS(1462),
    [sym_final_builtin] = ACTIONS(1462),
    [anon_sym_late] = ACTIONS(1462),
    [anon_sym_external] = ACTIONS(1462),
    [anon_sym_this] = ACTIONS(1462),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [501] = {
    [sym_comment] = STATE(501),
    [sym_documentation_comment] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_POUND] = ACTIONS(1464),
    [sym_decimal_integer_literal] = ACTIONS(1466),
    [sym_hex_integer_literal] = ACTIONS(1464),
    [sym_decimal_floating_point_literal] = ACTIONS(1466),
    [anon_sym_true] = ACTIONS(1466),
    [anon_sym_false] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1464),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1464),
    [anon_sym_r_DQUOTE] = ACTIONS(1466),
    [anon_sym_r_SQUOTE] = ACTIONS(1466),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1464),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_null] = ACTIONS(1466),
    [anon_sym_throw] = ACTIONS(1466),
    [anon_sym_LPAREN] = ACTIONS(1464),
    [anon_sym_LT] = ACTIONS(1464),
    [sym_increment_operator] = ACTIONS(1464),
    [sym_minus_operator] = ACTIONS(1466),
    [sym__exclamation_operator] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_await] = ACTIONS(1466),
    [anon_sym_switch] = ACTIONS(1466),
    [anon_sym_default] = ACTIONS(1466),
    [anon_sym_do] = ACTIONS(1466),
    [anon_sym_while] = ACTIONS(1466),
    [anon_sym_continue] = ACTIONS(1466),
    [anon_sym_yield] = ACTIONS(1466),
    [anon_sym_return] = ACTIONS(1466),
    [anon_sym_on] = ACTIONS(1466),
    [anon_sym_try] = ACTIONS(1466),
    [anon_sym_catch] = ACTIONS(1466),
    [anon_sym_finally] = ACTIONS(1466),
    [anon_sym_if] = ACTIONS(1466),
    [anon_sym_else] = ACTIONS(1466),
    [anon_sym_for] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1464),
    [anon_sym_super] = ACTIONS(1466),
    [sym_void_type] = ACTIONS(1466),
    [anon_sym_var] = ACTIONS(1466),
    [sym__break_builtin] = ACTIONS(1466),
    [sym__assert_builtin] = ACTIONS(1466),
    [sym_case_builtin] = ACTIONS(1466),
    [anon_sym_covariant] = ACTIONS(1466),
    [anon_sym_Function] = ACTIONS(1466),
    [anon_sym_get] = ACTIONS(1466),
    [anon_sym_set] = ACTIONS(1466),
    [anon_sym_new] = ACTIONS(1466),
    [sym_const_builtin] = ACTIONS(1466),
    [sym_final_builtin] = ACTIONS(1466),
    [anon_sym_late] = ACTIONS(1466),
    [anon_sym_this] = ACTIONS(1466),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [502] = {
    [sym_comment] = STATE(502),
    [sym_documentation_comment] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_identifier] = ACTIONS(1470),
    [anon_sym_POUND] = ACTIONS(1468),
    [sym_decimal_integer_literal] = ACTIONS(1470),
    [sym_hex_integer_literal] = ACTIONS(1468),
    [sym_decimal_floating_point_literal] = ACTIONS(1470),
    [anon_sym_true] = ACTIONS(1470),
    [anon_sym_false] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1468),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1468),
    [anon_sym_r_DQUOTE] = ACTIONS(1470),
    [anon_sym_r_SQUOTE] = ACTIONS(1470),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1468),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_null] = ACTIONS(1470),
    [anon_sym_throw] = ACTIONS(1470),
    [anon_sym_LPAREN] = ACTIONS(1468),
    [anon_sym_LT] = ACTIONS(1468),
    [sym_increment_operator] = ACTIONS(1468),
    [sym_minus_operator] = ACTIONS(1470),
    [sym__exclamation_operator] = ACTIONS(1468),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_await] = ACTIONS(1470),
    [anon_sym_switch] = ACTIONS(1470),
    [anon_sym_do] = ACTIONS(1470),
    [anon_sym_while] = ACTIONS(1470),
    [anon_sym_continue] = ACTIONS(1470),
    [anon_sym_yield] = ACTIONS(1470),
    [anon_sym_return] = ACTIONS(1470),
    [anon_sym_try] = ACTIONS(1470),
    [anon_sym_if] = ACTIONS(1470),
    [anon_sym_for] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1470),
    [anon_sym_abstract] = ACTIONS(1470),
    [anon_sym_class] = ACTIONS(1470),
    [anon_sym_extension] = ACTIONS(1470),
    [anon_sym_super] = ACTIONS(1470),
    [sym_void_type] = ACTIONS(1470),
    [anon_sym_var] = ACTIONS(1470),
    [sym__break_builtin] = ACTIONS(1470),
    [sym__assert_builtin] = ACTIONS(1470),
    [anon_sym_covariant] = ACTIONS(1470),
    [anon_sym_Function] = ACTIONS(1470),
    [anon_sym_get] = ACTIONS(1470),
    [anon_sym_mixin] = ACTIONS(1470),
    [anon_sym_set] = ACTIONS(1470),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_new] = ACTIONS(1470),
    [sym_const_builtin] = ACTIONS(1470),
    [sym_final_builtin] = ACTIONS(1470),
    [anon_sym_late] = ACTIONS(1470),
    [anon_sym_external] = ACTIONS(1470),
    [anon_sym_this] = ACTIONS(1470),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [503] = {
    [sym_comment] = STATE(503),
    [sym_documentation_comment] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_identifier] = ACTIONS(1474),
    [anon_sym_POUND] = ACTIONS(1472),
    [sym_decimal_integer_literal] = ACTIONS(1474),
    [sym_hex_integer_literal] = ACTIONS(1472),
    [sym_decimal_floating_point_literal] = ACTIONS(1474),
    [anon_sym_true] = ACTIONS(1474),
    [anon_sym_false] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1472),
    [anon_sym_r_DQUOTE] = ACTIONS(1474),
    [anon_sym_r_SQUOTE] = ACTIONS(1474),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1472),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_null] = ACTIONS(1474),
    [anon_sym_throw] = ACTIONS(1474),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [sym_increment_operator] = ACTIONS(1472),
    [sym_minus_operator] = ACTIONS(1474),
    [sym__exclamation_operator] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_await] = ACTIONS(1474),
    [anon_sym_switch] = ACTIONS(1474),
    [anon_sym_do] = ACTIONS(1474),
    [anon_sym_while] = ACTIONS(1474),
    [anon_sym_continue] = ACTIONS(1474),
    [anon_sym_yield] = ACTIONS(1474),
    [anon_sym_return] = ACTIONS(1474),
    [anon_sym_try] = ACTIONS(1474),
    [anon_sym_if] = ACTIONS(1474),
    [anon_sym_for] = ACTIONS(1474),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1474),
    [anon_sym_abstract] = ACTIONS(1474),
    [anon_sym_class] = ACTIONS(1474),
    [anon_sym_extension] = ACTIONS(1474),
    [anon_sym_super] = ACTIONS(1474),
    [sym_void_type] = ACTIONS(1474),
    [anon_sym_var] = ACTIONS(1474),
    [sym__break_builtin] = ACTIONS(1474),
    [sym__assert_builtin] = ACTIONS(1474),
    [anon_sym_covariant] = ACTIONS(1474),
    [anon_sym_Function] = ACTIONS(1474),
    [anon_sym_get] = ACTIONS(1474),
    [anon_sym_mixin] = ACTIONS(1474),
    [anon_sym_set] = ACTIONS(1474),
    [anon_sym_typedef] = ACTIONS(1474),
    [anon_sym_new] = ACTIONS(1474),
    [sym_const_builtin] = ACTIONS(1474),
    [sym_final_builtin] = ACTIONS(1474),
    [anon_sym_late] = ACTIONS(1474),
    [anon_sym_external] = ACTIONS(1474),
    [anon_sym_this] = ACTIONS(1474),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [504] = {
    [sym_comment] = STATE(504),
    [sym_documentation_comment] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_POUND] = ACTIONS(1476),
    [sym_decimal_integer_literal] = ACTIONS(1478),
    [sym_hex_integer_literal] = ACTIONS(1476),
    [sym_decimal_floating_point_literal] = ACTIONS(1478),
    [anon_sym_true] = ACTIONS(1478),
    [anon_sym_false] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1476),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1476),
    [anon_sym_r_DQUOTE] = ACTIONS(1478),
    [anon_sym_r_SQUOTE] = ACTIONS(1478),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1476),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_null] = ACTIONS(1478),
    [anon_sym_throw] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1476),
    [sym_increment_operator] = ACTIONS(1476),
    [sym_minus_operator] = ACTIONS(1478),
    [sym__exclamation_operator] = ACTIONS(1476),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_await] = ACTIONS(1478),
    [anon_sym_switch] = ACTIONS(1478),
    [anon_sym_do] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_try] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1478),
    [anon_sym_abstract] = ACTIONS(1478),
    [anon_sym_class] = ACTIONS(1478),
    [anon_sym_extension] = ACTIONS(1478),
    [anon_sym_super] = ACTIONS(1478),
    [sym_void_type] = ACTIONS(1478),
    [anon_sym_var] = ACTIONS(1478),
    [sym__break_builtin] = ACTIONS(1478),
    [sym__assert_builtin] = ACTIONS(1478),
    [anon_sym_covariant] = ACTIONS(1478),
    [anon_sym_Function] = ACTIONS(1478),
    [anon_sym_get] = ACTIONS(1478),
    [anon_sym_mixin] = ACTIONS(1478),
    [anon_sym_set] = ACTIONS(1478),
    [anon_sym_typedef] = ACTIONS(1478),
    [anon_sym_new] = ACTIONS(1478),
    [sym_const_builtin] = ACTIONS(1478),
    [sym_final_builtin] = ACTIONS(1478),
    [anon_sym_late] = ACTIONS(1478),
    [anon_sym_external] = ACTIONS(1478),
    [anon_sym_this] = ACTIONS(1478),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [505] = {
    [sym__assignment_operator] = STATE(218),
    [sym_arguments] = STATE(766),
    [sym__cascade_subsection] = STATE(769),
    [sym__cascade_assignment_section] = STATE(1477),
    [sym_index_selector] = STATE(758),
    [sym_argument_part] = STATE(773),
    [sym_unconditional_assignable_selector] = STATE(759),
    [sym_conditional_assignable_selector] = STATE(759),
    [sym__assignable_selector] = STATE(674),
    [sym_type_arguments] = STATE(3081),
    [sym__nullable_type] = STATE(3022),
    [sym_comment] = STATE(505),
    [sym_documentation_comment] = STATE(505),
    [aux_sym_cascade_section_repeat1] = STATE(677),
    [aux_sym_cascade_section_repeat2] = STATE(582),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_QMARK_QMARK] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [sym_equality_operator] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1200),
    [anon_sym_GT] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1200),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1200),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [sym__additive_operator] = ACTIONS(1200),
    [anon_sym_STAR] = ACTIONS(1200),
    [anon_sym_SLASH] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_TILDE_SLASH] = ACTIONS(1200),
    [sym__exclamation_operator] = ACTIONS(1200),
    [anon_sym_is] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1200),
    [anon_sym_QMARK_DOT] = ACTIONS(1200),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__automatic_semicolon] = ACTIONS(1194),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [506] = {
    [sym_comment] = STATE(506),
    [sym_documentation_comment] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1480),
    [sym_decimal_integer_literal] = ACTIONS(1482),
    [sym_hex_integer_literal] = ACTIONS(1480),
    [sym_decimal_floating_point_literal] = ACTIONS(1482),
    [anon_sym_true] = ACTIONS(1482),
    [anon_sym_false] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1480),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1480),
    [anon_sym_r_DQUOTE] = ACTIONS(1482),
    [anon_sym_r_SQUOTE] = ACTIONS(1482),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1480),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_null] = ACTIONS(1482),
    [anon_sym_throw] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [anon_sym_LT] = ACTIONS(1480),
    [sym_increment_operator] = ACTIONS(1480),
    [sym_minus_operator] = ACTIONS(1482),
    [sym__exclamation_operator] = ACTIONS(1480),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_switch] = ACTIONS(1482),
    [anon_sym_do] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_yield] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_try] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1482),
    [anon_sym_abstract] = ACTIONS(1482),
    [anon_sym_class] = ACTIONS(1482),
    [anon_sym_extension] = ACTIONS(1482),
    [anon_sym_super] = ACTIONS(1482),
    [sym_void_type] = ACTIONS(1482),
    [anon_sym_var] = ACTIONS(1482),
    [sym__break_builtin] = ACTIONS(1482),
    [sym__assert_builtin] = ACTIONS(1482),
    [anon_sym_covariant] = ACTIONS(1482),
    [anon_sym_Function] = ACTIONS(1482),
    [anon_sym_get] = ACTIONS(1482),
    [anon_sym_mixin] = ACTIONS(1482),
    [anon_sym_set] = ACTIONS(1482),
    [anon_sym_typedef] = ACTIONS(1482),
    [anon_sym_new] = ACTIONS(1482),
    [sym_const_builtin] = ACTIONS(1482),
    [sym_final_builtin] = ACTIONS(1482),
    [anon_sym_late] = ACTIONS(1482),
    [anon_sym_external] = ACTIONS(1482),
    [anon_sym_this] = ACTIONS(1482),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [507] = {
    [sym__assignment_operator] = STATE(218),
    [sym_arguments] = STATE(766),
    [sym__cascade_subsection] = STATE(769),
    [sym__cascade_assignment_section] = STATE(1446),
    [sym_index_selector] = STATE(758),
    [sym_argument_part] = STATE(773),
    [sym_unconditional_assignable_selector] = STATE(759),
    [sym_conditional_assignable_selector] = STATE(759),
    [sym__assignable_selector] = STATE(674),
    [sym_type_arguments] = STATE(3081),
    [sym__nullable_type] = STATE(3022),
    [sym_comment] = STATE(507),
    [sym_documentation_comment] = STATE(507),
    [aux_sym_cascade_section_repeat1] = STATE(505),
    [aux_sym_cascade_section_repeat2] = STATE(577),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_QMARK_QMARK] = ACTIONS(1204),
    [anon_sym_QMARK] = ACTIONS(1204),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [sym_equality_operator] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1204),
    [anon_sym_GT] = ACTIONS(1204),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1204),
    [anon_sym_CARET] = ACTIONS(1204),
    [anon_sym_AMP] = ACTIONS(1204),
    [anon_sym_LT_LT] = ACTIONS(1204),
    [anon_sym_GT_GT] = ACTIONS(1204),
    [anon_sym_GT_GT_GT] = ACTIONS(1204),
    [sym__additive_operator] = ACTIONS(1204),
    [anon_sym_STAR] = ACTIONS(1204),
    [anon_sym_SLASH] = ACTIONS(1204),
    [anon_sym_PERCENT] = ACTIONS(1204),
    [anon_sym_TILDE_SLASH] = ACTIONS(1204),
    [sym__exclamation_operator] = ACTIONS(1204),
    [anon_sym_is] = ACTIONS(1202),
    [anon_sym_as] = ACTIONS(1202),
    [anon_sym_DOT] = ACTIONS(1204),
    [anon_sym_QMARK_DOT] = ACTIONS(1204),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__automatic_semicolon] = ACTIONS(1202),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [508] = {
    [sym_comment] = STATE(508),
    [sym_documentation_comment] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_identifier] = ACTIONS(1368),
    [anon_sym_POUND] = ACTIONS(1484),
    [sym_decimal_integer_literal] = ACTIONS(1368),
    [sym_hex_integer_literal] = ACTIONS(1484),
    [sym_decimal_floating_point_literal] = ACTIONS(1368),
    [anon_sym_true] = ACTIONS(1368),
    [anon_sym_false] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1484),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1484),
    [anon_sym_r_DQUOTE] = ACTIONS(1368),
    [anon_sym_r_SQUOTE] = ACTIONS(1368),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1484),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_null] = ACTIONS(1368),
    [anon_sym_throw] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_LT] = ACTIONS(1484),
    [sym_increment_operator] = ACTIONS(1484),
    [sym_minus_operator] = ACTIONS(1368),
    [sym__exclamation_operator] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_await] = ACTIONS(1368),
    [anon_sym_switch] = ACTIONS(1368),
    [anon_sym_do] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_yield] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_try] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_abstract] = ACTIONS(1368),
    [anon_sym_class] = ACTIONS(1368),
    [anon_sym_extension] = ACTIONS(1368),
    [anon_sym_super] = ACTIONS(1368),
    [sym_void_type] = ACTIONS(1368),
    [anon_sym_var] = ACTIONS(1368),
    [sym__break_builtin] = ACTIONS(1368),
    [sym__assert_builtin] = ACTIONS(1368),
    [anon_sym_covariant] = ACTIONS(1368),
    [anon_sym_Function] = ACTIONS(1368),
    [anon_sym_get] = ACTIONS(1368),
    [anon_sym_mixin] = ACTIONS(1368),
    [anon_sym_set] = ACTIONS(1368),
    [anon_sym_typedef] = ACTIONS(1368),
    [anon_sym_new] = ACTIONS(1368),
    [sym_const_builtin] = ACTIONS(1368),
    [sym_final_builtin] = ACTIONS(1368),
    [anon_sym_late] = ACTIONS(1368),
    [anon_sym_external] = ACTIONS(1368),
    [anon_sym_this] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [509] = {
    [sym_comment] = STATE(509),
    [sym_documentation_comment] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_POUND] = ACTIONS(1486),
    [sym_decimal_integer_literal] = ACTIONS(1488),
    [sym_hex_integer_literal] = ACTIONS(1486),
    [sym_decimal_floating_point_literal] = ACTIONS(1488),
    [anon_sym_true] = ACTIONS(1488),
    [anon_sym_false] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1486),
    [anon_sym_r_DQUOTE] = ACTIONS(1488),
    [anon_sym_r_SQUOTE] = ACTIONS(1488),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1486),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1486),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1486),
    [anon_sym_null] = ACTIONS(1488),
    [anon_sym_throw] = ACTIONS(1488),
    [anon_sym_LPAREN] = ACTIONS(1486),
    [anon_sym_LT] = ACTIONS(1486),
    [sym_increment_operator] = ACTIONS(1486),
    [sym_minus_operator] = ACTIONS(1488),
    [sym__exclamation_operator] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_await] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_yield] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_try] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1486),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_abstract] = ACTIONS(1488),
    [anon_sym_class] = ACTIONS(1488),
    [anon_sym_extension] = ACTIONS(1488),
    [anon_sym_super] = ACTIONS(1488),
    [sym_void_type] = ACTIONS(1488),
    [anon_sym_var] = ACTIONS(1488),
    [sym__break_builtin] = ACTIONS(1488),
    [sym__assert_builtin] = ACTIONS(1488),
    [anon_sym_covariant] = ACTIONS(1488),
    [anon_sym_Function] = ACTIONS(1488),
    [anon_sym_get] = ACTIONS(1488),
    [anon_sym_mixin] = ACTIONS(1488),
    [anon_sym_set] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_new] = ACTIONS(1488),
    [sym_const_builtin] = ACTIONS(1488),
    [sym_final_builtin] = ACTIONS(1488),
    [anon_sym_late] = ACTIONS(1488),
    [anon_sym_external] = ACTIONS(1488),
    [anon_sym_this] = ACTIONS(1488),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [510] = {
    [sym_comment] = STATE(510),
    [sym_documentation_comment] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1492),
    [anon_sym_POUND] = ACTIONS(1490),
    [sym_decimal_integer_literal] = ACTIONS(1492),
    [sym_hex_integer_literal] = ACTIONS(1490),
    [sym_decimal_floating_point_literal] = ACTIONS(1492),
    [anon_sym_true] = ACTIONS(1492),
    [anon_sym_false] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1490),
    [anon_sym_r_DQUOTE] = ACTIONS(1492),
    [anon_sym_r_SQUOTE] = ACTIONS(1492),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1490),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1490),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1490),
    [anon_sym_null] = ACTIONS(1492),
    [anon_sym_throw] = ACTIONS(1492),
    [anon_sym_LPAREN] = ACTIONS(1490),
    [anon_sym_LT] = ACTIONS(1490),
    [sym_increment_operator] = ACTIONS(1490),
    [sym_minus_operator] = ACTIONS(1492),
    [sym__exclamation_operator] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_await] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_yield] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1490),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_abstract] = ACTIONS(1492),
    [anon_sym_class] = ACTIONS(1492),
    [anon_sym_extension] = ACTIONS(1492),
    [anon_sym_super] = ACTIONS(1492),
    [sym_void_type] = ACTIONS(1492),
    [anon_sym_var] = ACTIONS(1492),
    [sym__break_builtin] = ACTIONS(1492),
    [sym__assert_builtin] = ACTIONS(1492),
    [anon_sym_covariant] = ACTIONS(1492),
    [anon_sym_Function] = ACTIONS(1492),
    [anon_sym_get] = ACTIONS(1492),
    [anon_sym_mixin] = ACTIONS(1492),
    [anon_sym_set] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_new] = ACTIONS(1492),
    [sym_const_builtin] = ACTIONS(1492),
    [sym_final_builtin] = ACTIONS(1492),
    [anon_sym_late] = ACTIONS(1492),
    [anon_sym_external] = ACTIONS(1492),
    [anon_sym_this] = ACTIONS(1492),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [511] = {
    [sym_comment] = STATE(511),
    [sym_documentation_comment] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_POUND] = ACTIONS(1494),
    [sym_decimal_integer_literal] = ACTIONS(1497),
    [sym_hex_integer_literal] = ACTIONS(1494),
    [sym_decimal_floating_point_literal] = ACTIONS(1497),
    [anon_sym_true] = ACTIONS(1497),
    [anon_sym_false] = ACTIONS(1497),
    [anon_sym_DQUOTE] = ACTIONS(1497),
    [anon_sym_SQUOTE] = ACTIONS(1497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1494),
    [anon_sym_r_DQUOTE] = ACTIONS(1497),
    [anon_sym_r_SQUOTE] = ACTIONS(1497),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1494),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1494),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_null] = ACTIONS(1497),
    [anon_sym_throw] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_LT] = ACTIONS(1494),
    [sym_increment_operator] = ACTIONS(1494),
    [sym_minus_operator] = ACTIONS(1497),
    [sym__exclamation_operator] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_await] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_yield] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_try] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_AT] = ACTIONS(1494),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_abstract] = ACTIONS(1497),
    [anon_sym_class] = ACTIONS(1497),
    [anon_sym_extension] = ACTIONS(1497),
    [anon_sym_super] = ACTIONS(1497),
    [sym_void_type] = ACTIONS(1497),
    [anon_sym_var] = ACTIONS(1497),
    [sym__break_builtin] = ACTIONS(1497),
    [sym__assert_builtin] = ACTIONS(1497),
    [anon_sym_covariant] = ACTIONS(1497),
    [anon_sym_Function] = ACTIONS(1497),
    [anon_sym_get] = ACTIONS(1497),
    [anon_sym_mixin] = ACTIONS(1497),
    [anon_sym_set] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_new] = ACTIONS(1497),
    [sym_const_builtin] = ACTIONS(1497),
    [sym_final_builtin] = ACTIONS(1497),
    [anon_sym_late] = ACTIONS(1497),
    [anon_sym_external] = ACTIONS(1497),
    [anon_sym_this] = ACTIONS(1497),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [512] = {
    [sym_comment] = STATE(512),
    [sym_documentation_comment] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_identifier] = ACTIONS(1502),
    [anon_sym_POUND] = ACTIONS(1500),
    [sym_decimal_integer_literal] = ACTIONS(1502),
    [sym_hex_integer_literal] = ACTIONS(1500),
    [sym_decimal_floating_point_literal] = ACTIONS(1502),
    [anon_sym_true] = ACTIONS(1502),
    [anon_sym_false] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1500),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1500),
    [anon_sym_r_DQUOTE] = ACTIONS(1502),
    [anon_sym_r_SQUOTE] = ACTIONS(1502),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1500),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_null] = ACTIONS(1502),
    [anon_sym_throw] = ACTIONS(1502),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_LT] = ACTIONS(1500),
    [sym_increment_operator] = ACTIONS(1500),
    [sym_minus_operator] = ACTIONS(1502),
    [sym__exclamation_operator] = ACTIONS(1500),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_await] = ACTIONS(1502),
    [anon_sym_switch] = ACTIONS(1502),
    [anon_sym_do] = ACTIONS(1502),
    [anon_sym_while] = ACTIONS(1502),
    [anon_sym_continue] = ACTIONS(1502),
    [anon_sym_yield] = ACTIONS(1502),
    [anon_sym_return] = ACTIONS(1502),
    [anon_sym_try] = ACTIONS(1502),
    [anon_sym_if] = ACTIONS(1502),
    [anon_sym_for] = ACTIONS(1502),
    [anon_sym_AT] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1502),
    [anon_sym_abstract] = ACTIONS(1502),
    [anon_sym_class] = ACTIONS(1502),
    [anon_sym_extension] = ACTIONS(1502),
    [anon_sym_super] = ACTIONS(1502),
    [sym_void_type] = ACTIONS(1502),
    [anon_sym_var] = ACTIONS(1502),
    [sym__break_builtin] = ACTIONS(1502),
    [sym__assert_builtin] = ACTIONS(1502),
    [anon_sym_covariant] = ACTIONS(1502),
    [anon_sym_Function] = ACTIONS(1502),
    [anon_sym_get] = ACTIONS(1502),
    [anon_sym_mixin] = ACTIONS(1502),
    [anon_sym_set] = ACTIONS(1502),
    [anon_sym_typedef] = ACTIONS(1502),
    [anon_sym_new] = ACTIONS(1502),
    [sym_const_builtin] = ACTIONS(1502),
    [sym_final_builtin] = ACTIONS(1502),
    [anon_sym_late] = ACTIONS(1502),
    [anon_sym_external] = ACTIONS(1502),
    [anon_sym_this] = ACTIONS(1502),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [513] = {
    [sym_comment] = STATE(513),
    [sym_documentation_comment] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_identifier] = ACTIONS(1506),
    [anon_sym_POUND] = ACTIONS(1504),
    [sym_decimal_integer_literal] = ACTIONS(1506),
    [sym_hex_integer_literal] = ACTIONS(1504),
    [sym_decimal_floating_point_literal] = ACTIONS(1506),
    [anon_sym_true] = ACTIONS(1506),
    [anon_sym_false] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1504),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1504),
    [anon_sym_r_DQUOTE] = ACTIONS(1506),
    [anon_sym_r_SQUOTE] = ACTIONS(1506),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1504),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_null] = ACTIONS(1506),
    [anon_sym_throw] = ACTIONS(1506),
    [anon_sym_LPAREN] = ACTIONS(1504),
    [anon_sym_LT] = ACTIONS(1504),
    [sym_increment_operator] = ACTIONS(1504),
    [sym_minus_operator] = ACTIONS(1506),
    [sym__exclamation_operator] = ACTIONS(1504),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_await] = ACTIONS(1506),
    [anon_sym_switch] = ACTIONS(1506),
    [anon_sym_do] = ACTIONS(1506),
    [anon_sym_while] = ACTIONS(1506),
    [anon_sym_continue] = ACTIONS(1506),
    [anon_sym_yield] = ACTIONS(1506),
    [anon_sym_return] = ACTIONS(1506),
    [anon_sym_try] = ACTIONS(1506),
    [anon_sym_if] = ACTIONS(1506),
    [anon_sym_for] = ACTIONS(1506),
    [anon_sym_AT] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1506),
    [anon_sym_abstract] = ACTIONS(1506),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_extension] = ACTIONS(1506),
    [anon_sym_super] = ACTIONS(1506),
    [sym_void_type] = ACTIONS(1506),
    [anon_sym_var] = ACTIONS(1506),
    [sym__break_builtin] = ACTIONS(1506),
    [sym__assert_builtin] = ACTIONS(1506),
    [anon_sym_covariant] = ACTIONS(1506),
    [anon_sym_Function] = ACTIONS(1506),
    [anon_sym_get] = ACTIONS(1506),
    [anon_sym_mixin] = ACTIONS(1506),
    [anon_sym_set] = ACTIONS(1506),
    [anon_sym_typedef] = ACTIONS(1506),
    [anon_sym_new] = ACTIONS(1506),
    [sym_const_builtin] = ACTIONS(1506),
    [sym_final_builtin] = ACTIONS(1506),
    [anon_sym_late] = ACTIONS(1506),
    [anon_sym_external] = ACTIONS(1506),
    [anon_sym_this] = ACTIONS(1506),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [514] = {
    [sym_comment] = STATE(514),
    [sym_documentation_comment] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_identifier] = ACTIONS(1510),
    [anon_sym_POUND] = ACTIONS(1508),
    [sym_decimal_integer_literal] = ACTIONS(1510),
    [sym_hex_integer_literal] = ACTIONS(1508),
    [sym_decimal_floating_point_literal] = ACTIONS(1510),
    [anon_sym_true] = ACTIONS(1510),
    [anon_sym_false] = ACTIONS(1510),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1510),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1508),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1508),
    [anon_sym_r_DQUOTE] = ACTIONS(1510),
    [anon_sym_r_SQUOTE] = ACTIONS(1510),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1508),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_null] = ACTIONS(1510),
    [anon_sym_throw] = ACTIONS(1510),
    [anon_sym_LPAREN] = ACTIONS(1508),
    [anon_sym_LT] = ACTIONS(1508),
    [sym_increment_operator] = ACTIONS(1508),
    [sym_minus_operator] = ACTIONS(1510),
    [sym__exclamation_operator] = ACTIONS(1508),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_await] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1510),
    [anon_sym_do] = ACTIONS(1510),
    [anon_sym_while] = ACTIONS(1510),
    [anon_sym_continue] = ACTIONS(1510),
    [anon_sym_yield] = ACTIONS(1510),
    [anon_sym_return] = ACTIONS(1510),
    [anon_sym_try] = ACTIONS(1510),
    [anon_sym_if] = ACTIONS(1510),
    [anon_sym_for] = ACTIONS(1510),
    [anon_sym_AT] = ACTIONS(1508),
    [anon_sym_enum] = ACTIONS(1510),
    [anon_sym_abstract] = ACTIONS(1510),
    [anon_sym_class] = ACTIONS(1510),
    [anon_sym_extension] = ACTIONS(1510),
    [anon_sym_super] = ACTIONS(1510),
    [sym_void_type] = ACTIONS(1510),
    [anon_sym_var] = ACTIONS(1510),
    [sym__break_builtin] = ACTIONS(1510),
    [sym__assert_builtin] = ACTIONS(1510),
    [anon_sym_covariant] = ACTIONS(1510),
    [anon_sym_Function] = ACTIONS(1510),
    [anon_sym_get] = ACTIONS(1510),
    [anon_sym_mixin] = ACTIONS(1510),
    [anon_sym_set] = ACTIONS(1510),
    [anon_sym_typedef] = ACTIONS(1510),
    [anon_sym_new] = ACTIONS(1510),
    [sym_const_builtin] = ACTIONS(1510),
    [sym_final_builtin] = ACTIONS(1510),
    [anon_sym_late] = ACTIONS(1510),
    [anon_sym_external] = ACTIONS(1510),
    [anon_sym_this] = ACTIONS(1510),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [515] = {
    [sym_comment] = STATE(515),
    [sym_documentation_comment] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_POUND] = ACTIONS(1512),
    [sym_decimal_integer_literal] = ACTIONS(1514),
    [sym_hex_integer_literal] = ACTIONS(1512),
    [sym_decimal_floating_point_literal] = ACTIONS(1514),
    [anon_sym_true] = ACTIONS(1514),
    [anon_sym_false] = ACTIONS(1514),
    [anon_sym_DQUOTE] = ACTIONS(1514),
    [anon_sym_SQUOTE] = ACTIONS(1514),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1512),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1512),
    [anon_sym_r_DQUOTE] = ACTIONS(1514),
    [anon_sym_r_SQUOTE] = ACTIONS(1514),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1512),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_null] = ACTIONS(1514),
    [anon_sym_throw] = ACTIONS(1514),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_LT] = ACTIONS(1512),
    [sym_increment_operator] = ACTIONS(1512),
    [sym_minus_operator] = ACTIONS(1514),
    [sym__exclamation_operator] = ACTIONS(1512),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_await] = ACTIONS(1514),
    [anon_sym_switch] = ACTIONS(1514),
    [anon_sym_do] = ACTIONS(1514),
    [anon_sym_while] = ACTIONS(1514),
    [anon_sym_continue] = ACTIONS(1514),
    [anon_sym_yield] = ACTIONS(1514),
    [anon_sym_return] = ACTIONS(1514),
    [anon_sym_try] = ACTIONS(1514),
    [anon_sym_if] = ACTIONS(1514),
    [anon_sym_for] = ACTIONS(1514),
    [anon_sym_AT] = ACTIONS(1512),
    [anon_sym_enum] = ACTIONS(1514),
    [anon_sym_abstract] = ACTIONS(1514),
    [anon_sym_class] = ACTIONS(1514),
    [anon_sym_extension] = ACTIONS(1514),
    [anon_sym_super] = ACTIONS(1514),
    [sym_void_type] = ACTIONS(1514),
    [anon_sym_var] = ACTIONS(1514),
    [sym__break_builtin] = ACTIONS(1514),
    [sym__assert_builtin] = ACTIONS(1514),
    [anon_sym_covariant] = ACTIONS(1514),
    [anon_sym_Function] = ACTIONS(1514),
    [anon_sym_get] = ACTIONS(1514),
    [anon_sym_mixin] = ACTIONS(1514),
    [anon_sym_set] = ACTIONS(1514),
    [anon_sym_typedef] = ACTIONS(1514),
    [anon_sym_new] = ACTIONS(1514),
    [sym_const_builtin] = ACTIONS(1514),
    [sym_final_builtin] = ACTIONS(1514),
    [anon_sym_late] = ACTIONS(1514),
    [anon_sym_external] = ACTIONS(1514),
    [anon_sym_this] = ACTIONS(1514),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [516] = {
    [sym_type_parameters] = STATE(2827),
    [sym__type_dot_identifier] = STATE(1852),
    [sym__formal_parameter_part] = STATE(2301),
    [sym_formal_parameter_list] = STATE(2040),
    [sym__strict_formal_parameter_list] = STATE(2042),
    [sym_comment] = STATE(516),
    [sym_documentation_comment] = STATE(516),
    [sym_identifier] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1518),
    [anon_sym_COMMA] = ACTIONS(1518),
    [anon_sym_COLON] = ACTIONS(1518),
    [anon_sym_EQ] = ACTIONS(1520),
    [anon_sym_PLUS_EQ] = ACTIONS(1522),
    [anon_sym_DASH_EQ] = ACTIONS(1522),
    [anon_sym_STAR_EQ] = ACTIONS(1522),
    [anon_sym_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_PERCENT_EQ] = ACTIONS(1522),
    [anon_sym_TILDE_SLASH_EQ] = ACTIONS(1522),
    [anon_sym_LT_LT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1522),
    [anon_sym_AMP_EQ] = ACTIONS(1522),
    [anon_sym_CARET_EQ] = ACTIONS(1522),
    [anon_sym_PIPE_EQ] = ACTIONS(1522),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1522),
    [anon_sym_LPAREN] = ACTIONS(1524),
    [anon_sym_QMARK_QMARK] = ACTIONS(1527),
    [anon_sym_QMARK] = ACTIONS(1529),
    [anon_sym_PIPE_PIPE] = ACTIONS(1518),
    [anon_sym_AMP_AMP] = ACTIONS(1518),
    [sym_equality_operator] = ACTIONS(1518),
    [anon_sym_LT] = ACTIONS(1532),
    [anon_sym_GT] = ACTIONS(1527),
    [anon_sym_LT_EQ] = ACTIONS(1518),
    [anon_sym_GT_EQ] = ACTIONS(1518),
    [anon_sym_PIPE] = ACTIONS(1527),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_LT_LT] = ACTIONS(1527),
    [anon_sym_GT_GT] = ACTIONS(1527),
    [anon_sym_GT_GT_GT] = ACTIONS(1527),
    [sym__additive_operator] = ACTIONS(1527),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_SLASH] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(1527),
    [anon_sym_TILDE_SLASH] = ACTIONS(1527),
    [sym_increment_operator] = ACTIONS(1522),
    [sym__exclamation_operator] = ACTIONS(1527),
    [anon_sym_is] = ACTIONS(1527),
    [anon_sym_as] = ACTIONS(1527),
    [anon_sym_DOT] = ACTIONS(1536),
    [anon_sym_QMARK_DOT] = ACTIONS(1527),
    [anon_sym_DOT_DOT] = ACTIONS(1518),
    [anon_sym_QMARK_DOT_DOT] = ACTIONS(1518),
    [anon_sym_SEMI] = ACTIONS(1518),
    [anon_sym_else] = ACTIONS(1527),
    [anon_sym_Function] = ACTIONS(1516),
    [anon_sym_get] = ACTIONS(1516),
    [anon_sym_set] = ACTIONS(1516),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [517] = {
    [sym_comment] = STATE(517),
    [sym_documentation_comment] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_POUND] = ACTIONS(1539),
    [sym_decimal_integer_literal] = ACTIONS(1541),
    [sym_hex_integer_literal] = ACTIONS(1539),
    [sym_decimal_floating_point_literal] = ACTIONS(1541),
    [anon_sym_true] = ACTIONS(1541),
    [anon_sym_false] = ACTIONS(1541),
    [anon_sym_DQUOTE] = ACTIONS(1541),
    [anon_sym_SQUOTE] = ACTIONS(1541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1539),
    [anon_sym_r_DQUOTE] = ACTIONS(1541),
    [anon_sym_r_SQUOTE] = ACTIONS(1541),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1539),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_null] = ACTIONS(1541),
    [anon_sym_throw] = ACTIONS(1541),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1539),
    [sym_increment_operator] = ACTIONS(1539),
    [sym_minus_operator] = ACTIONS(1541),
    [sym__exclamation_operator] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_await] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_yield] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_try] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1539),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_abstract] = ACTIONS(1541),
    [anon_sym_class] = ACTIONS(1541),
    [anon_sym_extension] = ACTIONS(1541),
    [anon_sym_super] = ACTIONS(1541),
    [sym_void_type] = ACTIONS(1541),
    [anon_sym_var] = ACTIONS(1541),
    [sym__break_builtin] = ACTIONS(1541),
    [sym__assert_builtin] = ACTIONS(1541),
    [anon_sym_covariant] = ACTIONS(1541),
    [anon_sym_Function] = ACTIONS(1541),
    [anon_sym_get] = ACTIONS(1541),
    [anon_sym_mixin] = ACTIONS(1541),
    [anon_sym_set] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_new] = ACTIONS(1541),
    [sym_const_builtin] = ACTIONS(1541),
    [sym_final_builtin] = ACTIONS(1541),
    [anon_sym_late] = ACTIONS(1541),
    [anon_sym_external] = ACTIONS(1541),
    [anon_sym_this] = ACTIONS(1541),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [518] = {
    [sym_comment] = STATE(518),
    [sym_documentation_comment] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1543),
    [sym_identifier] = ACTIONS(1545),
    [anon_sym_POUND] = ACTIONS(1543),
    [sym_decimal_integer_literal] = ACTIONS(1545),
    [sym_hex_integer_literal] = ACTIONS(1543),
    [sym_decimal_floating_point_literal] = ACTIONS(1545),
    [anon_sym_true] = ACTIONS(1545),
    [anon_sym_false] = ACTIONS(1545),
    [anon_sym_DQUOTE] = ACTIONS(1545),
    [anon_sym_SQUOTE] = ACTIONS(1545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1543),
    [anon_sym_r_DQUOTE] = ACTIONS(1545),
    [anon_sym_r_SQUOTE] = ACTIONS(1545),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1543),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_null] = ACTIONS(1545),
    [anon_sym_throw] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1543),
    [sym_increment_operator] = ACTIONS(1543),
    [sym_minus_operator] = ACTIONS(1545),
    [sym__exclamation_operator] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_await] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_yield] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_try] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_abstract] = ACTIONS(1545),
    [anon_sym_class] = ACTIONS(1545),
    [anon_sym_extension] = ACTIONS(1545),
    [anon_sym_super] = ACTIONS(1545),
    [sym_void_type] = ACTIONS(1545),
    [anon_sym_var] = ACTIONS(1545),
    [sym__break_builtin] = ACTIONS(1545),
    [sym__assert_builtin] = ACTIONS(1545),
    [anon_sym_covariant] = ACTIONS(1545),
    [anon_sym_Function] = ACTIONS(1545),
    [anon_sym_get] = ACTIONS(1545),
    [anon_sym_mixin] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_new] = ACTIONS(1545),
    [sym_const_builtin] = ACTIONS(1545),
    [sym_final_builtin] = ACTIONS(1545),
    [anon_sym_late] = ACTIONS(1545),
    [anon_sym_external] = ACTIONS(1545),
    [anon_sym_this] = ACTIONS(1545),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [519] = {
    [sym_comment] = STATE(519),
    [sym_documentation_comment] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1549),
    [anon_sym_POUND] = ACTIONS(1547),
    [sym_decimal_integer_literal] = ACTIONS(1549),
    [sym_hex_integer_literal] = ACTIONS(1547),
    [sym_decimal_floating_point_literal] = ACTIONS(1549),
    [anon_sym_true] = ACTIONS(1549),
    [anon_sym_false] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1547),
    [anon_sym_r_DQUOTE] = ACTIONS(1549),
    [anon_sym_r_SQUOTE] = ACTIONS(1549),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1547),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1547),
    [anon_sym_null] = ACTIONS(1549),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_LT] = ACTIONS(1547),
    [sym_increment_operator] = ACTIONS(1547),
    [sym_minus_operator] = ACTIONS(1549),
    [sym__exclamation_operator] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_await] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_yield] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_on] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1549),
    [anon_sym_catch] = ACTIONS(1549),
    [anon_sym_finally] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1547),
    [anon_sym_super] = ACTIONS(1549),
    [sym_void_type] = ACTIONS(1549),
    [anon_sym_var] = ACTIONS(1549),
    [sym__break_builtin] = ACTIONS(1549),
    [sym__assert_builtin] = ACTIONS(1549),
    [sym_case_builtin] = ACTIONS(1549),
    [anon_sym_covariant] = ACTIONS(1549),
    [anon_sym_Function] = ACTIONS(1549),
    [anon_sym_get] = ACTIONS(1549),
    [anon_sym_set] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1549),
    [sym_const_builtin] = ACTIONS(1549),
    [sym_final_builtin] = ACTIONS(1549),
    [anon_sym_late] = ACTIONS(1549),
    [anon_sym_this] = ACTIONS(1549),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [520] = {
    [sym_comment] = STATE(520),
    [sym_documentation_comment] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [anon_sym_POUND] = ACTIONS(1551),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1551),
    [sym_decimal_floating_point_literal] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE] = ACTIONS(1553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_r_DQUOTE] = ACTIONS(1553),
    [anon_sym_r_SQUOTE] = ACTIONS(1553),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_null] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LT] = ACTIONS(1551),
    [sym_increment_operator] = ACTIONS(1551),
    [sym_minus_operator] = ACTIONS(1553),
    [sym__exclamation_operator] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_await] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1551),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_extension] = ACTIONS(1553),
    [anon_sym_super] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_var] = ACTIONS(1553),
    [sym__break_builtin] = ACTIONS(1553),
    [sym__assert_builtin] = ACTIONS(1553),
    [anon_sym_covariant] = ACTIONS(1553),
    [anon_sym_Function] = ACTIONS(1553),
    [anon_sym_get] = ACTIONS(1553),
    [anon_sym_mixin] = ACTIONS(1553),
    [anon_sym_set] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1553),
    [sym_const_builtin] = ACTIONS(1553),
    [sym_final_builtin] = ACTIONS(1553),
    [anon_sym_late] = ACTIONS(1553),
    [anon_sym_external] = ACTIONS(1553),
    [anon_sym_this] = ACTIONS(1553),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [521] = {
    [sym_comment] = STATE(521),
    [sym_documentation_comment] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1557),
    [anon_sym_POUND] = ACTIONS(1555),
    [sym_decimal_integer_literal] = ACTIONS(1557),
    [sym_hex_integer_literal] = ACTIONS(1555),
    [sym_decimal_floating_point_literal] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(1557),
    [anon_sym_false] = ACTIONS(1557),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [anon_sym_SQUOTE] = ACTIONS(1557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1555),
    [anon_sym_r_DQUOTE] = ACTIONS(1557),
    [anon_sym_r_SQUOTE] = ACTIONS(1557),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1555),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_null] = ACTIONS(1557),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_LT] = ACTIONS(1555),
    [sym_increment_operator] = ACTIONS(1555),
    [sym_minus_operator] = ACTIONS(1557),
    [sym__exclamation_operator] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_yield] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1555),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_abstract] = ACTIONS(1557),
    [anon_sym_class] = ACTIONS(1557),
    [anon_sym_extension] = ACTIONS(1557),
    [anon_sym_super] = ACTIONS(1557),
    [sym_void_type] = ACTIONS(1557),
    [anon_sym_var] = ACTIONS(1557),
    [sym__break_builtin] = ACTIONS(1557),
    [sym__assert_builtin] = ACTIONS(1557),
    [anon_sym_covariant] = ACTIONS(1557),
    [anon_sym_Function] = ACTIONS(1557),
    [anon_sym_get] = ACTIONS(1557),
    [anon_sym_mixin] = ACTIONS(1557),
    [anon_sym_set] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_new] = ACTIONS(1557),
    [sym_const_builtin] = ACTIONS(1557),
    [sym_final_builtin] = ACTIONS(1557),
    [anon_sym_late] = ACTIONS(1557),
    [anon_sym_external] = ACTIONS(1557),
    [anon_sym_this] = ACTIONS(1557),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [522] = {
    [sym_comment] = STATE(522),
    [sym_documentation_comment] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1561),
    [anon_sym_POUND] = ACTIONS(1559),
    [sym_decimal_integer_literal] = ACTIONS(1561),
    [sym_hex_integer_literal] = ACTIONS(1559),
    [sym_decimal_floating_point_literal] = ACTIONS(1561),
    [anon_sym_true] = ACTIONS(1561),
    [anon_sym_false] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_SQUOTE] = ACTIONS(1561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1559),
    [anon_sym_r_DQUOTE] = ACTIONS(1561),
    [anon_sym_r_SQUOTE] = ACTIONS(1561),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1559),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_null] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_LT] = ACTIONS(1559),
    [sym_increment_operator] = ACTIONS(1559),
    [sym_minus_operator] = ACTIONS(1561),
    [sym__exclamation_operator] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_await] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_abstract] = ACTIONS(1561),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_extension] = ACTIONS(1561),
    [anon_sym_super] = ACTIONS(1561),
    [sym_void_type] = ACTIONS(1561),
    [anon_sym_var] = ACTIONS(1561),
    [sym__break_builtin] = ACTIONS(1561),
    [sym__assert_builtin] = ACTIONS(1561),
    [anon_sym_covariant] = ACTIONS(1561),
    [anon_sym_Function] = ACTIONS(1561),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_mixin] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_new] = ACTIONS(1561),
    [sym_const_builtin] = ACTIONS(1561),
    [sym_final_builtin] = ACTIONS(1561),
    [anon_sym_late] = ACTIONS(1561),
    [anon_sym_external] = ACTIONS(1561),
    [anon_sym_this] = ACTIONS(1561),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [523] = {
    [sym_comment] = STATE(523),
    [sym_documentation_comment] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [anon_sym_POUND] = ACTIONS(1563),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [anon_sym_true] = ACTIONS(1565),
    [anon_sym_false] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_r_DQUOTE] = ACTIONS(1565),
    [anon_sym_r_SQUOTE] = ACTIONS(1565),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_null] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_LT] = ACTIONS(1563),
    [sym_increment_operator] = ACTIONS(1563),
    [sym_minus_operator] = ACTIONS(1565),
    [sym__exclamation_operator] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_await] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1563),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_extension] = ACTIONS(1565),
    [anon_sym_super] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_var] = ACTIONS(1565),
    [sym__break_builtin] = ACTIONS(1565),
    [sym__assert_builtin] = ACTIONS(1565),
    [anon_sym_covariant] = ACTIONS(1565),
    [anon_sym_Function] = ACTIONS(1565),
    [anon_sym_get] = ACTIONS(1565),
    [anon_sym_mixin] = ACTIONS(1565),
    [anon_sym_set] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_new] = ACTIONS(1565),
    [sym_const_builtin] = ACTIONS(1565),
    [sym_final_builtin] = ACTIONS(1565),
    [anon_sym_late] = ACTIONS(1565),
    [anon_sym_external] = ACTIONS(1565),
    [anon_sym_this] = ACTIONS(1565),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [524] = {
    [sym_comment] = STATE(524),
    [sym_documentation_comment] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1569),
    [anon_sym_POUND] = ACTIONS(1567),
    [sym_decimal_integer_literal] = ACTIONS(1569),
    [sym_hex_integer_literal] = ACTIONS(1567),
    [sym_decimal_floating_point_literal] = ACTIONS(1569),
    [anon_sym_true] = ACTIONS(1569),
    [anon_sym_false] = ACTIONS(1569),
    [anon_sym_DQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1567),
    [anon_sym_r_DQUOTE] = ACTIONS(1569),
    [anon_sym_r_SQUOTE] = ACTIONS(1569),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1567),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [anon_sym_null] = ACTIONS(1569),
    [anon_sym_throw] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_LT] = ACTIONS(1567),
    [sym_increment_operator] = ACTIONS(1567),
    [sym_minus_operator] = ACTIONS(1569),
    [sym__exclamation_operator] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_await] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_AT] = ACTIONS(1567),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_abstract] = ACTIONS(1569),
    [anon_sym_class] = ACTIONS(1569),
    [anon_sym_extension] = ACTIONS(1569),
    [anon_sym_super] = ACTIONS(1569),
    [sym_void_type] = ACTIONS(1569),
    [anon_sym_var] = ACTIONS(1569),
    [sym__break_builtin] = ACTIONS(1569),
    [sym__assert_builtin] = ACTIONS(1569),
    [anon_sym_covariant] = ACTIONS(1569),
    [anon_sym_Function] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_mixin] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1569),
    [sym_const_builtin] = ACTIONS(1569),
    [sym_final_builtin] = ACTIONS(1569),
    [anon_sym_late] = ACTIONS(1569),
    [anon_sym_external] = ACTIONS(1569),
    [anon_sym_this] = ACTIONS(1569),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
  [525] = {
    [sym_comment] = STATE(525),
    [sym_documentation_comment] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [anon_sym_POUND] = ACTIONS(1571),
    [sym_decimal_integer_literal] = ACTIONS(1573),
    [sym_hex_integer_literal] = ACTIONS(1571),
    [sym_decimal_floating_point_literal] = ACTIONS(1573),
    [anon_sym_true] = ACTIONS(1573),
    [anon_sym_false] = ACTIONS(1573),
    [anon_sym_DQUOTE] = ACTIONS(1573),
    [anon_sym_SQUOTE] = ACTIONS(1573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1571),
    [anon_sym_r_DQUOTE] = ACTIONS(1573),
    [anon_sym_r_SQUOTE] = ACTIONS(1573),
    [anon_sym_r_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1571),
    [anon_sym_r_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_null] = ACTIONS(1573),
    [anon_sym_throw] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1571),
    [anon_sym_LT] = ACTIONS(1571),
    [sym_increment_operator] = ACTIONS(1571),
    [sym_minus_operator] = ACTIONS(1573),
    [sym__exclamation_operator] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_await] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_yield] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_try] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_AT] = ACTIONS(1571),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_abstract] = ACTIONS(1573),
    [anon_sym_class] = ACTIONS(1573),
    [anon_sym_extension] = ACTIONS(1573),
    [anon_sym_super] = ACTIONS(1573),
    [sym_void_type] = ACTIONS(1573),
    [anon_sym_var] = ACTIONS(1573),
    [sym__break_builtin] = ACTIONS(1573),
    [sym__assert_builtin] = ACTIONS(1573),
    [anon_sym_covariant] = ACTIONS(1573),
    [anon_sym_Function] = ACTIONS(1573),
    [anon_sym_get] = ACTIONS(1573),
    [anon_sym_mixin] = ACTIONS(1573),
    [anon_sym_set] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_new] = ACTIONS(1573),
    [sym_const_builtin] = ACTIONS(1573),
    [sym_final_builtin] = ACTIONS(1573),
    [anon_sym_late] = ACTIONS(1573),
    [anon_sym_external] = ACTIONS(1573),
    [anon_sym_this] = ACTIONS(1573),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [anon_sym_SLASH_SLASH_SLASH] = ACTIONS(7),
    [sym__block_comment] = ACTIONS(9),
    [sym__documentation_block_comment] = ACTIONS(11),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 56,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(111), 1,
      anon_sym_export,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(117), 1,
      anon_sym_import,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1380), 1,
      anon_sym_AT,
    ACTIONS(1382), 1,
      anon_sym_part,
    ACTIONS(1384), 1,
      anon_sym_abstract,
    ACTIONS(1386), 1,
      anon_sym_class,
    STATE(441), 1,
      sym_import_specification,
    STATE(520), 1,
      sym__top_level_definition,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1895), 1,
      sym__import,
    STATE(1935), 1,
      sym__export,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(1974), 1,
      sym__external_builtin,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2030), 1,
      sym__late_builtin,
    STATE(2064), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2128), 1,
      sym__typedef,
    STATE(2147), 1,
      aux_sym__metadata_repeat1,
    STATE(2221), 1,
      sym_function_signature,
    STATE(2305), 1,
      sym__type,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2990), 1,
      sym__metadata,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    STATE(3249), 1,
      sym__mixin,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(526), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2223), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(515), 5,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [177] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      sym_identifier,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    STATE(1202), 1,
      sym_assignable_expression,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2424), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(527), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1979), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [328] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1617), 1,
      anon_sym_LBRACK,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(1625), 1,
      anon_sym_DOT,
    ACTIONS(1628), 1,
      anon_sym_QMARK_DOT,
    STATE(581), 1,
      sym__assignable_selector,
    STATE(647), 1,
      sym__cascade_subsection,
    STATE(652), 1,
      sym_index_selector,
    STATE(3020), 1,
      sym__nullable_type,
    STATE(644), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(528), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1620), 16,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1615), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [427] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1631), 1,
      sym_identifier,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(1784), 1,
      sym_assignable_expression,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2478), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(529), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1981), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [578] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1633), 1,
      sym_identifier,
    STATE(1374), 1,
      sym_assignable_expression,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2436), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(530), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1983), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [729] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(536), 1,
      aux_sym_string_literal_repeat1,
    STATE(531), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1637), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1635), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [830] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1639), 1,
      sym_identifier,
    STATE(1424), 1,
      sym_assignable_expression,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2397), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(532), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1973), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [981] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(1644), 1,
      anon_sym_DOT,
    ACTIONS(1647), 1,
      anon_sym_QMARK_DOT,
    STATE(571), 1,
      sym__assignable_selector,
    STATE(663), 1,
      sym_index_selector,
    STATE(665), 1,
      sym__cascade_subsection,
    STATE(3012), 1,
      sym__nullable_type,
    STATE(666), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(533), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1620), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1615), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [1080] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1650), 1,
      sym_identifier,
    STATE(1133), 1,
      sym_assignable_expression,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2470), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(534), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1978), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [1231] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1652), 1,
      sym_identifier,
    STATE(1388), 1,
      sym_assignable_expression,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2412), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(535), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1982), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [1382] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1654), 1,
      anon_sym_DQUOTE,
    ACTIONS(1657), 1,
      anon_sym_SQUOTE,
    ACTIONS(1660), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1663), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1666), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1669), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1672), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1675), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(536), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1680), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1678), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [1481] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(125), 1,
      anon_sym_new,
    ACTIONS(1577), 1,
      anon_sym_POUND,
    ACTIONS(1581), 1,
      sym_hex_integer_literal,
    ACTIONS(1583), 1,
      anon_sym_true,
    ACTIONS(1585), 1,
      anon_sym_false,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1607), 1,
      anon_sym_null,
    ACTIONS(1609), 1,
      anon_sym_LPAREN,
    ACTIONS(1611), 1,
      sym_const_builtin,
    ACTIONS(1613), 1,
      anon_sym_this,
    ACTIONS(1682), 1,
      sym_identifier,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(1700), 1,
      sym_assignable_expression,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2117), 1,
      sym__new_builtin,
    STATE(2322), 1,
      sym__formal_parameter_part,
    STATE(2468), 1,
      sym_super,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2863), 1,
      sym__type_name,
    STATE(2939), 1,
      sym_type_arguments,
    ACTIONS(1579), 2,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
    STATE(537), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1976), 2,
      sym__primary,
      sym_constructor_invocation,
    STATE(2370), 6,
      sym__literal,
      sym_function_expression,
      sym_new_expression,
      sym_const_object_expression,
      sym_parenthesized_expression,
      sym_this,
    STATE(2346), 7,
      sym_symbol_literal,
      sym_true,
      sym_false,
      sym_string_literal,
      sym_list_literal,
      sym_set_or_map_literal,
      sym_null_literal,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [1632] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(538), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1684), 17,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1686), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [1712] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_QMARK,
    ACTIONS(1532), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(1691), 1,
      anon_sym_EQ,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2267), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(539), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1688), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1516), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1518), 8,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1818] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_QMARK,
    ACTIONS(1532), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(1691), 1,
      anon_sym_EQ,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2267), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    ACTIONS(1688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(540), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1518), 9,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [1924] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(541), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1694), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1696), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(542), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1698), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1700), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2082] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(543), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1702), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1704), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2161] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_QMARK,
    ACTIONS(1532), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(1688), 1,
      anon_sym_RPAREN,
    ACTIONS(1706), 1,
      anon_sym_COMMA,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2267), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(544), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1518), 8,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [2268] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_QMARK,
    ACTIONS(1532), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(1708), 1,
      anon_sym_COLON,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2301), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(545), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
    ACTIONS(1518), 9,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [2373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(546), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1710), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1712), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(547), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1714), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1716), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2531] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(548), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1718), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1720), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2610] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(549), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1722), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1724), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(550), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1726), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1728), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(551), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1730), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1732), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2847] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(552), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1734), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1736), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [2926] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(553), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1738), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1740), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3005] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(554), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1210), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1212), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(555), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1742), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1744), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3163] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(556), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1746), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1748), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3242] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(557), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1750), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1752), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3321] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(558), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1754), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1756), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3400] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(559), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1758), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1760), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3479] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(560), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1762), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1764), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(561), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1766), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1768), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(562), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1770), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1772), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3716] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(563), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1774), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1776), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3795] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(564), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1778), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1780), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [3874] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1524), 1,
      anon_sym_LPAREN,
    ACTIONS(1529), 1,
      anon_sym_QMARK,
    ACTIONS(1532), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2301), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(565), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
    ACTIONS(1518), 10,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [3977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(566), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1782), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1784), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4056] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(567), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1786), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1788), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(568), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1790), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1792), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4214] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(569), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1794), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1796), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4293] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(570), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1798), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1800), 39,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_else,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4372] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1806), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_LT,
    STATE(580), 1,
      aux_sym_cascade_section_repeat1,
    STATE(655), 1,
      sym_arguments,
    STATE(661), 1,
      sym_argument_part,
    STATE(3041), 1,
      sym_type_arguments,
    STATE(571), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1802), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [4462] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(962), 1,
      aux_sym__expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1166), 1,
      sym_cascade_section,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1846), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(572), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1812), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [4608] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1853), 1,
      anon_sym_LPAREN,
    ACTIONS(1856), 1,
      anon_sym_LT,
    STATE(660), 1,
      sym_arguments,
    STATE(667), 1,
      sym_argument_part,
    STATE(3062), 1,
      sym_type_arguments,
    STATE(573), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1851), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1849), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [4696] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1863), 1,
      anon_sym_LPAREN,
    ACTIONS(1866), 1,
      anon_sym_LT,
    STATE(573), 1,
      aux_sym_cascade_section_repeat1,
    STATE(660), 1,
      sym_arguments,
    STATE(667), 1,
      sym_argument_part,
    STATE(3062), 1,
      sym_type_arguments,
    STATE(574), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1859), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [4786] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1873), 1,
      anon_sym_else,
    STATE(575), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1871), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1869), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4866] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(576), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1877), 16,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      anon_sym_DOT_DOT_DOT,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(1875), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      anon_sym_QMARK,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_DOT,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [4944] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    STATE(218), 1,
      sym__assignment_operator,
    STATE(622), 1,
      aux_sym_cascade_section_repeat2,
    STATE(674), 1,
      sym__assignable_selector,
    STATE(758), 1,
      sym_index_selector,
    STATE(769), 1,
      sym__cascade_subsection,
    STATE(1477), 1,
      sym__cascade_assignment_section,
    STATE(3022), 1,
      sym__nullable_type,
    STATE(577), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(759), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1200), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [5042] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(940), 1,
      aux_sym__expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1897), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(578), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1812), 12,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_SEMI,
      anon_sym_else,
  [5188] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1856), 1,
      anon_sym_LT,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(655), 1,
      sym_arguments,
    STATE(661), 1,
      sym_argument_part,
    STATE(3041), 1,
      sym_type_arguments,
    STATE(579), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1851), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1849), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [5276] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1866), 1,
      anon_sym_LT,
    ACTIONS(1903), 1,
      anon_sym_LPAREN,
    STATE(579), 1,
      aux_sym_cascade_section_repeat1,
    STATE(655), 1,
      sym_arguments,
    STATE(661), 1,
      sym_argument_part,
    STATE(3041), 1,
      sym_type_arguments,
    STATE(580), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 20,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1859), 28,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [5366] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1809), 1,
      anon_sym_LT,
    ACTIONS(1906), 1,
      anon_sym_LPAREN,
    STATE(574), 1,
      aux_sym_cascade_section_repeat1,
    STATE(660), 1,
      sym_arguments,
    STATE(667), 1,
      sym_argument_part,
    STATE(3062), 1,
      sym_type_arguments,
    STATE(581), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1802), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [5456] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    STATE(218), 1,
      sym__assignment_operator,
    STATE(622), 1,
      aux_sym_cascade_section_repeat2,
    STATE(674), 1,
      sym__assignable_selector,
    STATE(758), 1,
      sym_index_selector,
    STATE(769), 1,
      sym__cascade_subsection,
    STATE(1460), 1,
      sym__cascade_assignment_section,
    STATE(3022), 1,
      sym__nullable_type,
    STATE(582), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(759), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1298), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1300), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [5554] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(583), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1911), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1909), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [5631] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(584), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1915), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1913), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [5708] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1917), 1,
      anon_sym_DQUOTE,
    ACTIONS(1920), 1,
      anon_sym_SQUOTE,
    ACTIONS(1923), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1926), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1929), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1932), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1935), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1938), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(585), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(779), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1680), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1678), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [5803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(586), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1943), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1941), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [5880] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(587), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1947), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1945), 38,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_default,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      sym_case_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [5957] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(923), 1,
      anon_sym_DQUOTE,
    ACTIONS(925), 1,
      anon_sym_SQUOTE,
    ACTIONS(927), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(929), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(931), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(933), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(935), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(585), 1,
      aux_sym_string_literal_repeat1,
    STATE(588), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(779), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1637), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1635), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6054] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1949), 1,
      anon_sym_else,
    STATE(589), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1871), 15,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(1869), 36,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [6132] = 53,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1951), 1,
      sym_identifier,
    ACTIONS(1954), 1,
      anon_sym_RBRACE,
    ACTIONS(1956), 1,
      anon_sym_AT,
    ACTIONS(1959), 1,
      sym_void_type,
    ACTIONS(1962), 1,
      anon_sym_var,
    ACTIONS(1965), 1,
      anon_sym_covariant,
    ACTIONS(1968), 1,
      anon_sym_factory,
    ACTIONS(1971), 1,
      anon_sym_Function,
    ACTIONS(1974), 1,
      anon_sym_get,
    ACTIONS(1977), 1,
      anon_sym_operator,
    ACTIONS(1980), 1,
      anon_sym_set,
    ACTIONS(1983), 1,
      anon_sym_static,
    ACTIONS(1986), 1,
      sym_const_builtin,
    ACTIONS(1989), 1,
      sym_final_builtin,
    ACTIONS(1992), 1,
      anon_sym_late,
    ACTIONS(1995), 1,
      anon_sym_external,
    STATE(787), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2343), 1,
      sym_method_signature,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(3042), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(590), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_class_body_repeat1,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [6298] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(591), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1998), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6436] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(592), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 6,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2002), 17,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6564] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(593), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2014), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2012), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [6702] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(594), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2018), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6840] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(595), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2022), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [6978] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(596), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2024), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [7116] = 54,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2030), 1,
      anon_sym_RBRACE,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    STATE(590), 1,
      aux_sym_class_body_repeat1,
    STATE(787), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2343), 1,
      sym_method_signature,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(3042), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(597), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [7284] = 54,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    ACTIONS(2042), 1,
      anon_sym_RBRACE,
    STATE(604), 1,
      aux_sym_extension_body_repeat1,
    STATE(784), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2367), 1,
      sym_method_signature,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(2963), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(598), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [7452] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2048), 1,
      sym_equality_operator,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(599), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2046), 6,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2044), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7582] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(600), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2022), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2020), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7720] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(601), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2053), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [7858] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(602), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2024), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [7996] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(603), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2057), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2055), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8134] = 53,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2062), 1,
      anon_sym_RBRACE,
    ACTIONS(2064), 1,
      anon_sym_AT,
    ACTIONS(2067), 1,
      sym_void_type,
    ACTIONS(2070), 1,
      anon_sym_var,
    ACTIONS(2073), 1,
      anon_sym_covariant,
    ACTIONS(2076), 1,
      anon_sym_factory,
    ACTIONS(2079), 1,
      anon_sym_Function,
    ACTIONS(2082), 1,
      anon_sym_get,
    ACTIONS(2085), 1,
      anon_sym_operator,
    ACTIONS(2088), 1,
      anon_sym_set,
    ACTIONS(2091), 1,
      anon_sym_static,
    ACTIONS(2094), 1,
      sym_const_builtin,
    ACTIONS(2097), 1,
      sym_final_builtin,
    ACTIONS(2100), 1,
      anon_sym_late,
    ACTIONS(2103), 1,
      anon_sym_external,
    STATE(784), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2367), 1,
      sym_method_signature,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(2963), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(604), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_extension_body_repeat1,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [8300] = 51,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1380), 1,
      anon_sym_AT,
    ACTIONS(1384), 1,
      anon_sym_abstract,
    ACTIONS(1386), 1,
      anon_sym_class,
    ACTIONS(2106), 1,
      anon_sym_part,
    STATE(520), 1,
      sym__top_level_definition,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(1974), 1,
      sym__external_builtin,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2030), 1,
      sym__late_builtin,
    STATE(2064), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2128), 1,
      sym__typedef,
    STATE(2147), 1,
      aux_sym__metadata_repeat1,
    STATE(2221), 1,
      sym_function_signature,
    STATE(2305), 1,
      sym__type,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2990), 1,
      sym__metadata,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    STATE(3249), 1,
      sym__mixin,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(605), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2223), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(515), 5,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [8462] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(606), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2110), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2108), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [8600] = 51,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1380), 1,
      anon_sym_AT,
    ACTIONS(1382), 1,
      anon_sym_part,
    ACTIONS(1384), 1,
      anon_sym_abstract,
    ACTIONS(1386), 1,
      anon_sym_class,
    STATE(520), 1,
      sym__top_level_definition,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(1974), 1,
      sym__external_builtin,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2030), 1,
      sym__late_builtin,
    STATE(2064), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2128), 1,
      sym__typedef,
    STATE(2147), 1,
      aux_sym__metadata_repeat1,
    STATE(2221), 1,
      sym_function_signature,
    STATE(2305), 1,
      sym__type,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2990), 1,
      sym__metadata,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    STATE(3249), 1,
      sym__mixin,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(607), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2223), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(515), 5,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [8762] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(608), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 18,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8848] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(609), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2002), 18,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [8976] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(610), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2114), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2112), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [9114] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(611), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2014), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9252] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2116), 1,
      sym_equality_operator,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(612), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2046), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2044), 17,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9382] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(613), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1518), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1527), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [9468] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(614), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2110), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2108), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [9606] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(615), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2018), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2016), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [9744] = 54,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    ACTIONS(2119), 1,
      anon_sym_RBRACE,
    STATE(598), 1,
      aux_sym_extension_body_repeat1,
    STATE(784), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2367), 1,
      sym_method_signature,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(2963), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(616), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [9912] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(617), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2114), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [10050] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(618), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2121), 16,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(2123), 36,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [10126] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(619), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2057), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [10264] = 54,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    ACTIONS(2125), 1,
      anon_sym_RBRACE,
    STATE(597), 1,
      aux_sym_class_body_repeat1,
    STATE(787), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2343), 1,
      sym_method_signature,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(3042), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(620), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [10432] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(621), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 14,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [10570] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(2127), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2133), 1,
      anon_sym_QMARK_DOT,
    STATE(674), 1,
      sym__assignable_selector,
    STATE(758), 1,
      sym_index_selector,
    STATE(769), 1,
      sym__cascade_subsection,
    STATE(3022), 1,
      sym__nullable_type,
    STATE(759), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(622), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1620), 16,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(1615), 25,
      sym__automatic_semicolon,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [10664] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1814), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1816), 1,
      anon_sym_QMARK,
    ACTIONS(1818), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1820), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1828), 1,
      anon_sym_PIPE,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1832), 1,
      anon_sym_AMP,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(994), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(995), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1001), 1,
      aux_sym__if_null_expression,
    STATE(1064), 1,
      sym_type_test,
    STATE(1078), 1,
      sym_type_cast,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2095), 1,
      sym_is_operator,
    STATE(2106), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(623), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2053), 5,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2051), 13,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [10802] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2149), 1,
      anon_sym_LT,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2425), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(624), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2136), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2147), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 24,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [10893] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(625), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [10968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(626), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [11043] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2162), 1,
      anon_sym_EQ,
    STATE(627), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2164), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2160), 18,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(2166), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [11122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(628), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [11197] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(629), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2168), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11272] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(630), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2172), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11347] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(631), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2139), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11422] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(632), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2152), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11497] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(633), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2156), 30,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [11572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(634), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [11647] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    STATE(635), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2180), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2176), 18,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(2182), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [11726] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(636), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2186), 15,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      anon_sym_DOT_DOT_DOT,
      sym__exclamation_operator,
      anon_sym_TILDE,
      anon_sym_AT,
    ACTIONS(2184), 36,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_switch,
      anon_sym_do,
      anon_sym_while,
      anon_sym_continue,
      anon_sym_yield,
      anon_sym_return,
      anon_sym_try,
      anon_sym_if,
      anon_sym_for,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      sym__break_builtin,
      sym__assert_builtin,
      anon_sym_covariant,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_new,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [11801] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    STATE(637), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2180), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2176), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(2182), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [11880] = 50,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1380), 1,
      anon_sym_AT,
    ACTIONS(1384), 1,
      anon_sym_abstract,
    ACTIONS(1386), 1,
      anon_sym_class,
    STATE(520), 1,
      sym__top_level_definition,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(1974), 1,
      sym__external_builtin,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2030), 1,
      sym__late_builtin,
    STATE(2064), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2128), 1,
      sym__typedef,
    STATE(2147), 1,
      aux_sym__metadata_repeat1,
    STATE(2221), 1,
      sym_function_signature,
    STATE(2305), 1,
      sym__type,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2990), 1,
      sym__metadata,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    STATE(3249), 1,
      sym__mixin,
    ACTIONS(129), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(638), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2223), 2,
      sym_getter_signature,
      sym_setter_signature,
    STATE(515), 5,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [12039] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2188), 1,
      anon_sym_EQ,
    STATE(639), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2190), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2176), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(2182), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [12118] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(640), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12193] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2188), 1,
      anon_sym_EQ,
    STATE(641), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2190), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2176), 18,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(2182), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [12272] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2162), 1,
      anon_sym_EQ,
    STATE(642), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2164), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2160), 16,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(2166), 20,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
  [12351] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2149), 1,
      anon_sym_LT,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2425), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    ACTIONS(2136), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(643), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 25,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [12442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(644), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12516] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(645), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2192), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12590] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(646), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2168), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [12664] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(647), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2198), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2196), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12738] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(648), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2200), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(649), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2204), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [12886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(650), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2172), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [12960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(651), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13034] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(652), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13108] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(653), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2210), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2208), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13182] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(654), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13256] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(655), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2212), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(656), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(657), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2210), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2208), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13478] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(658), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2204), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13552] = 15,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(2216), 1,
      anon_sym_in,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(1529), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(659), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 11,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 17,
      anon_sym_QMARK_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [13640] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(660), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2212), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13714] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(661), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2220), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2218), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13788] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(662), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2222), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [13862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(663), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2156), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [13936] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(664), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2228), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2226), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14010] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(665), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2198), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2196), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(666), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2152), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(667), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2220), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2218), 31,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [14232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(668), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2139), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14306] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(669), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2222), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14380] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(670), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2192), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14454] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(671), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2200), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14528] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2136), 1,
      anon_sym_RPAREN,
    ACTIONS(2144), 1,
      anon_sym_LPAREN,
    ACTIONS(2149), 1,
      anon_sym_LT,
    ACTIONS(2230), 1,
      anon_sym_COMMA,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2425), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(672), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 24,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [14618] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(673), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2228), 21,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2226), 29,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [14692] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1809), 1,
      anon_sym_LT,
    ACTIONS(2232), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      aux_sym_cascade_section_repeat1,
    STATE(766), 1,
      sym_arguments,
    STATE(773), 1,
      sym_argument_part,
    STATE(3081), 1,
      sym_type_arguments,
    STATE(674), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1802), 25,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [14777] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1306), 1,
      aux_sym__expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1392), 1,
      sym_cascade_section,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2251), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(675), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1812), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_SEMI,
  [14918] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1866), 1,
      anon_sym_LT,
    ACTIONS(2254), 1,
      anon_sym_LPAREN,
    STATE(677), 1,
      aux_sym_cascade_section_repeat1,
    STATE(766), 1,
      sym_arguments,
    STATE(773), 1,
      sym_argument_part,
    STATE(3081), 1,
      sym_type_arguments,
    STATE(676), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1859), 25,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [15003] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1856), 1,
      anon_sym_LT,
    ACTIONS(2257), 1,
      anon_sym_LPAREN,
    STATE(766), 1,
      sym_arguments,
    STATE(773), 1,
      sym_argument_part,
    STATE(3081), 1,
      sym_type_arguments,
    STATE(677), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1851), 18,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1849), 25,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [15086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(678), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2260), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2262), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15158] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(679), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2264), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2266), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15230] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(680), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2268), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2270), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15302] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(1708), 1,
      anon_sym_COLON,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(681), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 13,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
  [15386] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(682), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2272), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2274), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15458] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2276), 1,
      anon_sym_DQUOTE,
    ACTIONS(2279), 1,
      anon_sym_SQUOTE,
    ACTIONS(2282), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2285), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2288), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(2291), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(2294), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2297), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(683), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(916), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1680), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1678), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [15548] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1879), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1881), 1,
      anon_sym_QMARK,
    ACTIONS(1883), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1885), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1889), 1,
      anon_sym_PIPE,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(1893), 1,
      anon_sym_AMP,
    ACTIONS(1895), 1,
      anon_sym_as,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(972), 1,
      aux_sym__if_null_expression,
    STATE(974), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(976), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(1363), 1,
      aux_sym__expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2300), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(684), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1812), 6,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [15688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(685), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2302), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2304), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15760] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(686), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2306), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2308), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15832] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(687), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2310), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2312), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(688), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2314), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2316), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [15976] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(689), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2318), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2320), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(690), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2322), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2324), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16120] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(27), 1,
      anon_sym_DQUOTE,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(33), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(35), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(37), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(39), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(41), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(683), 1,
      aux_sym_string_literal_repeat1,
    STATE(691), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(916), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1637), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1635), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [16212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(692), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2326), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2328), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16284] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(693), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2330), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2332), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16356] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(694), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2334), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2336), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16428] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(695), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2338), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2340), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(696), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2342), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2344), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(697), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2346), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2348), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16644] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(698), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2350), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2352), 34,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_else,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [16716] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(699), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2114), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [16849] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    ACTIONS(2372), 1,
      anon_sym_QMARK_DOT,
    STATE(753), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1002), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(700), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2354), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [16954] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2380), 1,
      anon_sym_DOT,
    ACTIONS(2382), 1,
      anon_sym_QMARK_DOT,
    STATE(728), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(998), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(701), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17059] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2396), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(635), 1,
      sym__assignable_selector,
    STATE(745), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(702), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17164] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2396), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(635), 1,
      sym__assignable_selector,
    STATE(736), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(703), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17269] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2380), 1,
      anon_sym_DOT,
    ACTIONS(2382), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    STATE(727), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(998), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(704), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [17374] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    ACTIONS(2372), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    STATE(747), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1002), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(705), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2384), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17479] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2400), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      anon_sym_LPAREN,
    ACTIONS(2406), 1,
      sym__exclamation_operator,
    ACTIONS(2409), 1,
      anon_sym_DOT,
    ACTIONS(2412), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(637), 1,
      sym__assignable_selector,
    STATE(751), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(706), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2354), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17584] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LBRACK,
    ACTIONS(2418), 1,
      anon_sym_LPAREN,
    ACTIONS(2421), 1,
      sym__exclamation_operator,
    ACTIONS(2424), 1,
      anon_sym_DOT,
    ACTIONS(2427), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(637), 1,
      sym__assignable_selector,
    STATE(731), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(707), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2384), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17689] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2418), 1,
      anon_sym_LPAREN,
    ACTIONS(2421), 1,
      sym__exclamation_operator,
    ACTIONS(2430), 1,
      anon_sym_LBRACK,
    ACTIONS(2433), 1,
      anon_sym_DOT,
    ACTIONS(2436), 1,
      anon_sym_QMARK_DOT,
    STATE(750), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1002), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(708), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2384), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17794] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2403), 1,
      anon_sym_LPAREN,
    ACTIONS(2406), 1,
      sym__exclamation_operator,
    ACTIONS(2439), 1,
      anon_sym_LBRACK,
    ACTIONS(2442), 1,
      anon_sym_DOT,
    ACTIONS(2445), 1,
      anon_sym_QMARK_DOT,
    STATE(749), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1002), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(709), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2354), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [17899] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(710), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
  [17980] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(711), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [18113] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(712), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2014), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [18246] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(713), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2002), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [18369] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(714), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2018), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [18502] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2448), 1,
      anon_sym_LBRACK,
    ACTIONS(2451), 1,
      anon_sym_LPAREN,
    ACTIONS(2454), 1,
      sym__exclamation_operator,
    ACTIONS(2457), 1,
      anon_sym_DOT,
    ACTIONS(2460), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(635), 1,
      sym__assignable_selector,
    STATE(752), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(715), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [18607] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2463), 1,
      anon_sym_LBRACK,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      sym__exclamation_operator,
    ACTIONS(2472), 1,
      anon_sym_DOT,
    ACTIONS(2475), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(635), 1,
      sym__assignable_selector,
    STATE(748), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(716), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [18712] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2480), 1,
      anon_sym_DOT,
    ACTIONS(2482), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(637), 1,
      sym__assignable_selector,
    STATE(744), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(717), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2384), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [18817] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(718), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2053), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [18950] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(719), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2022), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [19083] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    ACTIONS(2484), 1,
      sym_equality_operator,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(720), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2046), 5,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2044), 12,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [19208] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(721), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2057), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [19341] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2480), 1,
      anon_sym_DOT,
    ACTIONS(2482), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(637), 1,
      sym__assignable_selector,
    STATE(743), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(722), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2354), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [19446] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(723), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2110), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2108), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [19579] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2451), 1,
      anon_sym_LPAREN,
    ACTIONS(2454), 1,
      sym__exclamation_operator,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2490), 1,
      anon_sym_DOT,
    ACTIONS(2493), 1,
      anon_sym_QMARK_DOT,
    STATE(729), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(998), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(724), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19684] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2466), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      sym__exclamation_operator,
    ACTIONS(2496), 1,
      anon_sym_LBRACK,
    ACTIONS(2499), 1,
      anon_sym_DOT,
    ACTIONS(2502), 1,
      anon_sym_QMARK_DOT,
    STATE(735), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(998), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(725), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [19789] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2235), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2237), 1,
      anon_sym_QMARK,
    ACTIONS(2239), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2241), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2245), 1,
      anon_sym_PIPE,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2249), 1,
      anon_sym_AMP,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1328), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1329), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1331), 1,
      aux_sym__if_null_expression,
    STATE(1421), 1,
      sym_type_cast,
    STATE(1422), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(2119), 1,
      sym_is_operator,
    STATE(2136), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(726), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 4,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2024), 9,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [19922] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2380), 1,
      anon_sym_DOT,
    ACTIONS(2382), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(1010), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(727), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20024] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2380), 1,
      anon_sym_DOT,
    ACTIONS(2382), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(1010), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(728), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20126] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2525), 1,
      anon_sym_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_LPAREN,
    ACTIONS(2531), 1,
      sym__exclamation_operator,
    ACTIONS(2534), 1,
      anon_sym_DOT,
    ACTIONS(2537), 1,
      anon_sym_QMARK_DOT,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(1010), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(729), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20228] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2162), 1,
      anon_sym_EQ,
    STATE(730), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2160), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(2164), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2166), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [20302] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2540), 1,
      anon_sym_LBRACK,
    ACTIONS(2543), 1,
      anon_sym_LPAREN,
    ACTIONS(2546), 1,
      sym__exclamation_operator,
    ACTIONS(2549), 1,
      anon_sym_DOT,
    ACTIONS(2552), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(639), 1,
      sym__assignable_selector,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(731), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [20404] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    STATE(732), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(2180), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2182), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [20478] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(733), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 27,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [20548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(734), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 27,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [20618] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2555), 1,
      anon_sym_LBRACK,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      sym__exclamation_operator,
    ACTIONS(2564), 1,
      anon_sym_DOT,
    ACTIONS(2567), 1,
      anon_sym_QMARK_DOT,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(1010), 1,
      sym__assignable_selector,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(735), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1043), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20720] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2396), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    STATE(626), 1,
      sym_index_selector,
    STATE(641), 1,
      sym__assignable_selector,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(736), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20822] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACK,
    ACTIONS(2575), 1,
      anon_sym_LPAREN,
    ACTIONS(2578), 1,
      anon_sym_QMARK,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2586), 1,
      sym__exclamation_operator,
    ACTIONS(2589), 1,
      anon_sym_DOT,
    ACTIONS(2592), 1,
      anon_sym_QMARK_DOT,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(1101), 1,
      sym_index_selector,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(1088), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(1100), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(737), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2584), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2570), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [20920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(738), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 27,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [20990] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2188), 1,
      anon_sym_EQ,
    STATE(739), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 13,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(2190), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2182), 18,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [21064] = 44,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(87), 1,
      anon_sym_enum,
    ACTIONS(93), 1,
      anon_sym_extension,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(119), 1,
      anon_sym_mixin,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(123), 1,
      anon_sym_typedef,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(1378), 1,
      sym_identifier,
    ACTIONS(1380), 1,
      anon_sym_AT,
    ACTIONS(1384), 1,
      anon_sym_abstract,
    ACTIONS(1386), 1,
      anon_sym_class,
    STATE(520), 1,
      sym__top_level_definition,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1974), 1,
      sym__external_builtin,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2048), 1,
      sym__late_builtin,
    STATE(2058), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2128), 1,
      sym__typedef,
    STATE(2147), 1,
      aux_sym__metadata_repeat1,
    STATE(2318), 1,
      sym__type,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2990), 1,
      sym__metadata,
    STATE(3249), 1,
      sym__mixin,
    ACTIONS(2595), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(740), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2223), 3,
      sym_getter_signature,
      sym_setter_signature,
      sym_function_signature,
    STATE(515), 5,
      sym_enum_declaration,
      sym_type_alias,
      sym_class_definition,
      sym_extension_declaration,
      sym_mixin_declaration,
  [21206] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(741), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 27,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [21276] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(742), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 27,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [21346] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2480), 1,
      anon_sym_DOT,
    ACTIONS(2482), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    STATE(633), 1,
      sym_index_selector,
    STATE(639), 1,
      sym__assignable_selector,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(743), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2515), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21448] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2480), 1,
      anon_sym_DOT,
    ACTIONS(2482), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    STATE(633), 1,
      sym_index_selector,
    STATE(639), 1,
      sym__assignable_selector,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(744), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21550] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(2378), 1,
      sym__exclamation_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2396), 1,
      anon_sym_DOT,
    ACTIONS(2398), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    STATE(626), 1,
      sym_index_selector,
    STATE(641), 1,
      sym__assignable_selector,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(745), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [21652] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2578), 1,
      anon_sym_QMARK,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2597), 1,
      anon_sym_LBRACK,
    ACTIONS(2600), 1,
      anon_sym_LPAREN,
    ACTIONS(2603), 1,
      sym__exclamation_operator,
    ACTIONS(2606), 1,
      anon_sym_DOT,
    ACTIONS(2609), 1,
      anon_sym_QMARK_DOT,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(1105), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(1119), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(746), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2584), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2570), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21750] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    ACTIONS(2372), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1034), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(747), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [21852] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2561), 1,
      sym__exclamation_operator,
    ACTIONS(2612), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_DOT,
    ACTIONS(2618), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(641), 1,
      sym__assignable_selector,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(748), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [21954] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2621), 1,
      anon_sym_LBRACK,
    ACTIONS(2624), 1,
      anon_sym_LPAREN,
    ACTIONS(2627), 1,
      sym__exclamation_operator,
    ACTIONS(2630), 1,
      anon_sym_DOT,
    ACTIONS(2633), 1,
      anon_sym_QMARK_DOT,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1034), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(749), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2515), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [22056] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2543), 1,
      anon_sym_LPAREN,
    ACTIONS(2546), 1,
      sym__exclamation_operator,
    ACTIONS(2636), 1,
      anon_sym_LBRACK,
    ACTIONS(2639), 1,
      anon_sym_DOT,
    ACTIONS(2642), 1,
      anon_sym_QMARK_DOT,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1034), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(750), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [22158] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2624), 1,
      anon_sym_LPAREN,
    ACTIONS(2627), 1,
      sym__exclamation_operator,
    ACTIONS(2645), 1,
      anon_sym_LBRACK,
    ACTIONS(2648), 1,
      anon_sym_DOT,
    ACTIONS(2651), 1,
      anon_sym_QMARK_DOT,
    STATE(633), 1,
      sym_index_selector,
    STATE(639), 1,
      sym__assignable_selector,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3016), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(632), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(751), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2515), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [22260] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2528), 1,
      anon_sym_LPAREN,
    ACTIONS(2531), 1,
      sym__exclamation_operator,
    ACTIONS(2654), 1,
      anon_sym_LBRACK,
    ACTIONS(2657), 1,
      anon_sym_DOT,
    ACTIONS(2660), 1,
      anon_sym_QMARK_DOT,
    STATE(626), 1,
      sym_index_selector,
    STATE(641), 1,
      sym__assignable_selector,
    STATE(737), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1088), 1,
      sym_argument_part,
    STATE(1092), 1,
      sym_selector,
    STATE(1095), 1,
      sym_arguments,
    STATE(3034), 1,
      sym__nullable_type,
    STATE(3037), 1,
      sym_type_arguments,
    STATE(625), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(752), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [22362] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(2368), 1,
      sym__exclamation_operator,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    ACTIONS(2372), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    STATE(746), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(1034), 1,
      sym__assignable_selector,
    STATE(1065), 1,
      sym_arguments,
    STATE(1104), 1,
      sym_selector,
    STATE(1105), 1,
      sym_argument_part,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(3051), 1,
      sym_type_arguments,
    STATE(753), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(980), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2515), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [22464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(754), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2210), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2208), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [22533] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2663), 1,
      anon_sym_DQUOTE,
    ACTIONS(2666), 1,
      anon_sym_SQUOTE,
    ACTIONS(2669), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2672), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2675), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(2678), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(2681), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2684), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(755), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    ACTIONS(1680), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    STATE(1137), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1678), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [22620] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    STATE(2133), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(756), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1812), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [22755] = 46,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(628), 1,
      anon_sym_RPAREN,
    ACTIONS(2705), 1,
      sym_identifier,
    ACTIONS(2707), 1,
      anon_sym_LBRACE,
    ACTIONS(2709), 1,
      anon_sym_LBRACK,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2670), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3028), 1,
      sym__normal_formal_parameters,
    STATE(3145), 1,
      sym_optional_formal_parameters,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(757), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(3137), 2,
      sym__optional_postional_formal_parameters,
      sym__named_formal_parameters,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [22900] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(758), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [22969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(759), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23038] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(981), 1,
      anon_sym_DQUOTE,
    ACTIONS(983), 1,
      anon_sym_SQUOTE,
    ACTIONS(985), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(987), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(989), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(991), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(993), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(995), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(755), 1,
      aux_sym_string_literal_repeat1,
    STATE(760), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1637), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    STATE(1137), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1635), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [23127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(761), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23196] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(762), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2200), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23265] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(763), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2228), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2226), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23334] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(764), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23403] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    ACTIONS(2731), 1,
      anon_sym_async,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    STATE(2125), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2729), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(765), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2711), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [23540] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(766), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2212), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23609] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    ACTIONS(2735), 1,
      anon_sym_async,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    STATE(2121), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2729), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(767), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2733), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [23746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(768), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2204), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23815] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(769), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2198), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2196), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(770), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2192), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [23953] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(771), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2222), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [24022] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(772), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [24091] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(773), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2220), 19,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2218), 26,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [24160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(774), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2264), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2266), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(775), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2272), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2274), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24296] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(776), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2302), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2304), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24364] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(777), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2260), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2262), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24432] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(778), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2350), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2352), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(779), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2346), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2348), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24568] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(780), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2318), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2320), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24636] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(781), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2314), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2316), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24704] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(782), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2326), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2328), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(783), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2330), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2332), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [24840] = 47,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2326), 1,
      sym_method_signature,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(2941), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(784), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [24986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(785), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2334), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2336), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(786), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2306), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2308), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25122] = 47,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(133), 1,
      anon_sym_external,
    ACTIONS(2028), 1,
      sym_identifier,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(2038), 1,
      sym_const_builtin,
    ACTIONS(2040), 1,
      sym_final_builtin,
    STATE(1590), 1,
      sym__operator,
    STATE(1746), 1,
      sym__static,
    STATE(1777), 1,
      sym__external,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1891), 1,
      sym__external_builtin,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1986), 1,
      sym__external_and_static,
    STATE(2026), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2032), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2219), 1,
      sym_constructor_signature,
    STATE(2320), 1,
      sym__get,
    STATE(2347), 1,
      sym_factory_constructor_signature,
    STATE(2350), 1,
      sym__set,
    STATE(2357), 1,
      sym__type,
    STATE(2380), 1,
      sym_method_signature,
    STATE(2560), 1,
      sym_constant_constructor_signature,
    STATE(2668), 1,
      sym__var_or_type,
    STATE(2976), 1,
      sym_declaration,
    STATE(3130), 1,
      sym__factory,
    STATE(3131), 1,
      sym_redirecting_factory_constructor_signature,
    STATE(787), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2432), 4,
      sym_getter_signature,
      sym_setter_signature,
      sym_operator_signature,
      sym_function_signature,
  [25268] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(788), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2310), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2312), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25336] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(789), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2338), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2340), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25404] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(790), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2342), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2344), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25472] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1520), 1,
      anon_sym_EQ,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(2737), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(791), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 11,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
    ACTIONS(1522), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(1527), 15,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [25550] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(792), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2268), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2270), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25618] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(793), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2322), 16,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2324), 28,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25686] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2110), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(794), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [25815] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2004), 1,
      anon_sym_QMARK,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(795), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2002), 13,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [25934] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(796), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [26061] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2022), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(797), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [26190] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(798), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1998), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [26317] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2000), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(799), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1998), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [26446] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2053), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(800), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2051), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [26575] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(801), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(2156), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [26642] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2026), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(802), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2024), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [26771] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(803), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [26898] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2018), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(804), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [27027] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2188), 1,
      anon_sym_EQ,
    STATE(805), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2190), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2182), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [27098] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(806), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2055), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [27225] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(807), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(2152), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [27292] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2057), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(808), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2055), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [27421] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(809), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [27548] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(810), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2051), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [27675] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(811), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2112), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [27802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(812), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(2168), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [27869] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    STATE(2127), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1812), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2756), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(813), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [28004] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2046), 1,
      anon_sym_QMARK,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    ACTIONS(2758), 1,
      sym_equality_operator,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(814), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 12,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28125] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2162), 1,
      anon_sym_EQ,
    STATE(815), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2160), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2164), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2166), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [28196] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(816), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [28323] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2004), 2,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(817), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2002), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28442] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2014), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(818), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28571] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2178), 1,
      anon_sym_EQ,
    STATE(819), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 12,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2180), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
    ACTIONS(2182), 16,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
  [28642] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    ACTIONS(2761), 1,
      sym_equality_operator,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2046), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(820), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28763] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1844), 1,
      anon_sym_as,
    ACTIONS(2114), 1,
      anon_sym_async,
    ACTIONS(2713), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2715), 1,
      anon_sym_QMARK,
    ACTIONS(2717), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2719), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2723), 1,
      anon_sym_PIPE,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(2727), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1603), 1,
      aux_sym__if_null_expression,
    STATE(1620), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1634), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1680), 1,
      sym_type_cast,
    STATE(1683), 1,
      sym_type_test,
    STATE(2103), 1,
      sym_as_operator,
    STATE(2109), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(821), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2112), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [28892] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(822), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(2172), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [28959] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(823), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2024), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [29086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(824), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 17,
      anon_sym_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym__exclamation_operator,
    ACTIONS(2139), 26,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [29153] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(255), 1,
      sym__assignment_operator,
    STATE(831), 1,
      aux_sym_cascade_section_repeat1,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1128), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1141), 1,
      sym__cascade_assignment_section,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(825), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1202), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [29255] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2776), 1,
      anon_sym_LBRACK,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      sym__exclamation_operator,
    ACTIONS(2785), 1,
      anon_sym_DOT,
    ACTIONS(2788), 1,
      anon_sym_QMARK_DOT,
    STATE(860), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1309), 1,
      sym__assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(826), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [29355] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2797), 1,
      anon_sym_DOT,
    ACTIONS(2799), 1,
      anon_sym_QMARK_DOT,
    STATE(732), 1,
      sym__assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(847), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(827), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [29455] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(828), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2192), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [29521] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2797), 1,
      anon_sym_DOT,
    ACTIONS(2799), 1,
      anon_sym_QMARK_DOT,
    STATE(732), 1,
      sym__assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(848), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(829), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [29621] = 44,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(2705), 1,
      sym_identifier,
    ACTIONS(2801), 1,
      anon_sym_RBRACE,
    STATE(935), 1,
      sym__required,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2577), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3046), 1,
      sym__default_named_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(830), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [29759] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(255), 1,
      sym__assignment_operator,
    STATE(886), 1,
      aux_sym_cascade_section_repeat1,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1094), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1102), 1,
      sym__cascade_assignment_section,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(831), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [29861] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      sym__exclamation_operator,
    ACTIONS(2803), 1,
      anon_sym_LBRACK,
    ACTIONS(2806), 1,
      anon_sym_DOT,
    ACTIONS(2809), 1,
      anon_sym_QMARK_DOT,
    STATE(732), 1,
      sym__assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(859), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(832), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [29961] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(833), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2222), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [30027] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_async,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(265), 1,
      sym__assignment_operator,
    STATE(886), 1,
      aux_sym_cascade_section_repeat1,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1146), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(2016), 1,
      sym__cascade_assignment_section,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(834), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [30133] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    ACTIONS(2815), 1,
      anon_sym_LPAREN,
    ACTIONS(2818), 1,
      sym__exclamation_operator,
    ACTIONS(2821), 1,
      anon_sym_DOT,
    ACTIONS(2824), 1,
      anon_sym_QMARK_DOT,
    STATE(862), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1309), 1,
      sym__assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(835), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [30233] = 28,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1204), 1,
      anon_sym_async,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(265), 1,
      sym__assignment_operator,
    STATE(834), 1,
      aux_sym_cascade_section_repeat1,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1143), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(2023), 1,
      sym__cascade_assignment_section,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(836), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1202), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [30339] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2815), 1,
      anon_sym_LPAREN,
    ACTIONS(2818), 1,
      sym__exclamation_operator,
    ACTIONS(2827), 1,
      anon_sym_LBRACK,
    ACTIONS(2830), 1,
      anon_sym_DOT,
    ACTIONS(2833), 1,
      anon_sym_QMARK_DOT,
    STATE(732), 1,
      sym__assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(842), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(837), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [30439] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(838), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2204), 32,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [30505] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(2838), 1,
      anon_sym_DOT,
    ACTIONS(2840), 1,
      anon_sym_QMARK_DOT,
    STATE(844), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1309), 1,
      sym__assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(839), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [30605] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(2838), 1,
      anon_sym_DOT,
    ACTIONS(2840), 1,
      anon_sym_QMARK_DOT,
    STATE(846), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1309), 1,
      sym__assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(840), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [30705] = 44,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(2705), 1,
      sym_identifier,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
    STATE(935), 1,
      sym__required,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2577), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3046), 1,
      sym__default_named_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(841), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [30843] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2847), 1,
      anon_sym_LPAREN,
    ACTIONS(2850), 1,
      sym__exclamation_operator,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(2856), 1,
      anon_sym_QMARK_DOT,
    STATE(734), 1,
      sym_index_selector,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(842), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [30940] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2578), 1,
      anon_sym_QMARK,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(2859), 1,
      anon_sym_LBRACK,
    ACTIONS(2862), 1,
      anon_sym_LPAREN,
    ACTIONS(2865), 1,
      sym__exclamation_operator,
    ACTIONS(2868), 1,
      anon_sym_DOT,
    ACTIONS(2871), 1,
      anon_sym_QMARK_DOT,
    STATE(1367), 1,
      sym_selector,
    STATE(1394), 1,
      sym_arguments,
    STATE(1464), 1,
      sym_index_selector,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(1366), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1393), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(843), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2584), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2570), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [31033] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(2838), 1,
      anon_sym_DOT,
    ACTIONS(2840), 1,
      anon_sym_QMARK_DOT,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1333), 1,
      sym__assignable_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(844), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [31130] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(935), 1,
      sym__required,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2577), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2811), 1,
      sym__default_named_parameter,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(845), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [31265] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(2838), 1,
      anon_sym_DOT,
    ACTIONS(2840), 1,
      anon_sym_QMARK_DOT,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1333), 1,
      sym__assignable_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(846), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [31362] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2797), 1,
      anon_sym_DOT,
    ACTIONS(2799), 1,
      anon_sym_QMARK_DOT,
    STATE(734), 1,
      sym_index_selector,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(847), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [31459] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(2795), 1,
      sym__exclamation_operator,
    ACTIONS(2797), 1,
      anon_sym_DOT,
    ACTIONS(2799), 1,
      anon_sym_QMARK_DOT,
    STATE(734), 1,
      sym_index_selector,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(848), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [31556] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(849), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2022), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [31683] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    ACTIONS(2874), 1,
      sym_equality_operator,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(850), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2046), 4,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2044), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [31802] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(851), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2057), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [31929] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(852), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2000), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32056] = 43,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(935), 1,
      sym__required,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2577), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3046), 1,
      sym__default_named_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(853), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [32191] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(854), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2004), 4,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2002), 8,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32308] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(855), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2018), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32435] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(856), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2114), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32562] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(857), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2053), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32689] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(858), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2014), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [32816] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2877), 1,
      anon_sym_LBRACK,
    ACTIONS(2880), 1,
      anon_sym_LPAREN,
    ACTIONS(2883), 1,
      sym__exclamation_operator,
    ACTIONS(2886), 1,
      anon_sym_DOT,
    ACTIONS(2889), 1,
      anon_sym_QMARK_DOT,
    STATE(734), 1,
      sym_index_selector,
    STATE(739), 1,
      sym__assignable_selector,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(3011), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(733), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(859), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [32913] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(2880), 1,
      anon_sym_LPAREN,
    ACTIONS(2883), 1,
      sym__exclamation_operator,
    ACTIONS(2892), 1,
      anon_sym_LBRACK,
    ACTIONS(2895), 1,
      anon_sym_DOT,
    ACTIONS(2898), 1,
      anon_sym_QMARK_DOT,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1333), 1,
      sym__assignable_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(860), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [33010] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(861), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2024), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [33137] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(2847), 1,
      anon_sym_LPAREN,
    ACTIONS(2850), 1,
      sym__exclamation_operator,
    ACTIONS(2901), 1,
      anon_sym_LBRACK,
    ACTIONS(2904), 1,
      anon_sym_DOT,
    ACTIONS(2907), 1,
      anon_sym_QMARK_DOT,
    STATE(843), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1333), 1,
      sym__assignable_selector,
    STATE(1367), 1,
      sym_selector,
    STATE(1393), 1,
      sym_argument_part,
    STATE(1394), 1,
      sym_arguments,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(3014), 1,
      sym_type_arguments,
    STATE(862), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1314), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [33234] = 39,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2740), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2742), 1,
      anon_sym_QMARK,
    ACTIONS(2744), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2746), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2750), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(2754), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1126), 1,
      sym_type_cast,
    STATE(1127), 1,
      sym_type_test,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1702), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1711), 1,
      aux_sym__if_null_expression,
    STATE(1719), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(2098), 1,
      sym_as_operator,
    STATE(2100), 1,
      sym_is_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(863), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2110), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2108), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [33361] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2914), 1,
      anon_sym_Function,
    STATE(871), 1,
      sym__function_builtin_identifier,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(864), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2910), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [33431] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2919), 1,
      anon_sym_LPAREN,
    ACTIONS(2922), 1,
      anon_sym_QMARK,
    ACTIONS(2925), 1,
      anon_sym_LT,
    STATE(889), 1,
      sym_type_parameters,
    STATE(896), 1,
      sym__nullable_type,
    STATE(944), 1,
      sym_parameter_type_list,
    STATE(865), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2917), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [33507] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1392), 1,
      sym_cascade_section,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    STATE(2473), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1812), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2946), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(866), 2,
      sym_comment,
      sym_documentation_comment,
  [33637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(867), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1107), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1105), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_while,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
  [33701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2948), 1,
      anon_sym_Function,
    STATE(865), 1,
      sym__function_builtin_identifier,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(868), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2910), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [33771] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2954), 1,
      anon_sym_LPAREN,
    ACTIONS(2958), 1,
      anon_sym_QMARK,
    ACTIONS(2962), 1,
      anon_sym_LT,
    STATE(913), 1,
      sym__nullable_type,
    STATE(924), 1,
      sym_type_parameters,
    STATE(951), 1,
      sym_parameter_type_list,
    STATE(869), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2951), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [33847] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2973), 1,
      anon_sym_Function,
    STATE(865), 1,
      sym__function_builtin_identifier,
    STATE(868), 1,
      aux_sym__function_type_tails,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(870), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2969), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [33919] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2978), 1,
      anon_sym_QMARK,
    ACTIONS(2981), 1,
      anon_sym_LT,
    STATE(887), 1,
      sym__nullable_type,
    STATE(924), 1,
      sym_type_parameters,
    STATE(951), 1,
      sym_parameter_type_list,
    STATE(871), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2917), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [33995] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2984), 1,
      anon_sym_Function,
    STATE(864), 1,
      aux_sym__function_type_tails,
    STATE(871), 1,
      sym__function_builtin_identifier,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(872), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2969), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34067] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    ACTIONS(2986), 1,
      anon_sym_RBRACK,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2831), 1,
      sym_formal_parameter,
    STATE(3033), 1,
      sym__default_formal_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(873), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [34199] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2973), 1,
      anon_sym_Function,
    STATE(865), 1,
      sym__function_builtin_identifier,
    STATE(868), 1,
      aux_sym__function_type_tails,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(874), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2988), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [34271] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    STATE(2490), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(2733), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(875), 2,
      sym_comment,
      sym_documentation_comment,
  [34401] = 42,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    ACTIONS(2992), 1,
      anon_sym_RBRACK,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2831), 1,
      sym_formal_parameter,
    STATE(3033), 1,
      sym__default_formal_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(876), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [34533] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2984), 1,
      anon_sym_Function,
    STATE(864), 1,
      aux_sym__function_type_tails,
    STATE(871), 1,
      sym__function_builtin_identifier,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(877), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2988), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34605] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2687), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2689), 1,
      anon_sym_QMARK,
    ACTIONS(2691), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1553), 1,
      aux_sym__if_null_expression,
    STATE(1605), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1606), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1676), 1,
      sym_type_test,
    STATE(1688), 1,
      sym_type_cast,
    STATE(2113), 1,
      sym_is_operator,
    STATE(2114), 1,
      sym_as_operator,
    STATE(2493), 1,
      aux_sym__expression_repeat1,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(2711), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(878), 2,
      sym_comment,
      sym_documentation_comment,
  [34735] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(879), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1156), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1154), 30,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_while,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
  [34799] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2994), 1,
      anon_sym_LPAREN,
    ACTIONS(2998), 1,
      anon_sym_QMARK,
    ACTIONS(3002), 1,
      anon_sym_LT,
    STATE(889), 1,
      sym_type_parameters,
    STATE(891), 1,
      sym__nullable_type,
    STATE(944), 1,
      sym_parameter_type_list,
    STATE(880), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2951), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [34875] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(909), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(881), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3008), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3006), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [34944] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(410), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(882), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3010), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35015] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(410), 1,
      sym_multiplicative_operator,
    STATE(888), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(883), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3020), 21,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(884), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2310), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2312), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [35151] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3036), 1,
      anon_sym_QMARK_DOT,
    STATE(937), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1535), 1,
      sym__assignable_selector,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym__nullable_type,
    STATE(885), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1513), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [35248] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1856), 1,
      anon_sym_LT,
    ACTIONS(3038), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym_arguments,
    STATE(1238), 1,
      sym_argument_part,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(886), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1851), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1849), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35321] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3043), 1,
      anon_sym_LPAREN,
    ACTIONS(3046), 1,
      anon_sym_QMARK,
    STATE(939), 1,
      sym_parameter_type_list,
    STATE(1041), 1,
      sym__nullable_type,
    STATE(887), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [35392] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(410), 1,
      sym_multiplicative_operator,
    STATE(882), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(888), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3008), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3006), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35461] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3051), 1,
      anon_sym_LPAREN,
    ACTIONS(3054), 1,
      anon_sym_QMARK,
    STATE(898), 1,
      sym__nullable_type,
    STATE(945), 1,
      sym_parameter_type_list,
    STATE(889), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3041), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [35532] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(364), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(890), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 24,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [35603] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3066), 1,
      anon_sym_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_QMARK,
    STATE(945), 1,
      sym_parameter_type_list,
    STATE(1036), 1,
      sym__nullable_type,
    STATE(891), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3063), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [35674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(892), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2350), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2352), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [35737] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3079), 1,
      anon_sym_LPAREN,
    ACTIONS(3082), 1,
      anon_sym_QMARK,
    STATE(934), 1,
      sym_parameter_type_list,
    STATE(1026), 1,
      sym__nullable_type,
    STATE(893), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [35808] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(375), 1,
      sym_shift_operator,
    STATE(897), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(894), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3087), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [35877] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3036), 1,
      anon_sym_QMARK_DOT,
    STATE(938), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1535), 1,
      sym__assignable_selector,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym__nullable_type,
    STATE(895), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1513), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [35974] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3051), 1,
      anon_sym_LPAREN,
    ACTIONS(3054), 1,
      anon_sym_QMARK,
    STATE(945), 1,
      sym_parameter_type_list,
    STATE(1036), 1,
      sym__nullable_type,
    STATE(896), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3041), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [36045] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(375), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(897), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2112), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [36116] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3091), 1,
      anon_sym_LPAREN,
    ACTIONS(3094), 1,
      anon_sym_QMARK,
    STATE(949), 1,
      sym_parameter_type_list,
    STATE(1022), 1,
      sym__nullable_type,
    STATE(898), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3077), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [36187] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(364), 1,
      sym_shift_operator,
    STATE(890), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(899), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3087), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [36256] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2831), 1,
      sym_formal_parameter,
    STATE(3033), 1,
      sym__default_formal_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(900), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [36385] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2360), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_QMARK_DOT,
    STATE(801), 1,
      sym_index_selector,
    STATE(819), 1,
      sym__assignable_selector,
    STATE(948), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3082), 1,
      sym__nullable_type,
    STATE(807), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(901), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [36482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(902), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2302), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2304), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [36545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(903), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2306), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2308), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [36608] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2388), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_QMARK_DOT,
    STATE(801), 1,
      sym_index_selector,
    STATE(819), 1,
      sym__assignable_selector,
    STATE(946), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2029), 1,
      sym__assignable_selector_part,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3082), 1,
      sym__nullable_type,
    STATE(807), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(904), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2394), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2384), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [36705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(905), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2314), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2316), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [36768] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3105), 1,
      anon_sym_QMARK,
    ACTIONS(3108), 1,
      anon_sym_LT,
    STATE(947), 1,
      sym_type_arguments,
    STATE(999), 1,
      sym__nullable_type,
    STATE(906), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3103), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [36839] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3116), 1,
      anon_sym_DOT,
    ACTIONS(3119), 1,
      anon_sym_QMARK_DOT,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(3048), 1,
      sym__nullable_type,
    ACTIONS(1620), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(907), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1615), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [36920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(908), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2318), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2320), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [36983] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(909), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3010), 23,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37054] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(910), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2322), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2324), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37117] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(911), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2272), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2274), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37180] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(912), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2268), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2270), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3122), 1,
      anon_sym_LPAREN,
    ACTIONS(3126), 1,
      anon_sym_QMARK,
    STATE(939), 1,
      sym_parameter_type_list,
    STATE(1041), 1,
      sym__nullable_type,
    STATE(913), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3063), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [37314] = 41,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2830), 1,
      sym__default_formal_parameter,
    STATE(2831), 1,
      sym_formal_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(914), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [37443] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3130), 1,
      anon_sym_QMARK,
    ACTIONS(3133), 1,
      anon_sym_LT,
    STATE(928), 1,
      sym_type_arguments,
    STATE(1055), 1,
      sym__nullable_type,
    STATE(915), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3103), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [37514] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(916), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2346), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2348), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37577] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(917), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2260), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2262), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37640] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(918), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2326), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2328), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(919), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2264), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2266), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37766] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(920), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2330), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2332), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37829] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(881), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(921), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 23,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [37902] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(922), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2334), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2336), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [37965] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(923), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2338), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2340), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [38028] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3043), 1,
      anon_sym_LPAREN,
    ACTIONS(3046), 1,
      anon_sym_QMARK,
    STATE(893), 1,
      sym__nullable_type,
    STATE(939), 1,
      sym_parameter_type_list,
    STATE(924), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [38099] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(925), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2342), 14,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2344), 25,
      sym__automatic_semicolon,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [38162] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2046), 1,
      anon_sym_QMARK,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    ACTIONS(3136), 1,
      sym_equality_operator,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(926), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 7,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [38278] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(361), 1,
      sym_additive_operator,
    STATE(927), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [38344] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3144), 1,
      anon_sym_QMARK,
    STATE(1045), 1,
      sym__nullable_type,
    STATE(928), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3142), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [38410] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2770), 1,
      anon_sym_LT,
    STATE(886), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1233), 1,
      sym_arguments,
    STATE(1238), 1,
      sym_argument_part,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(929), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1859), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38484] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(930), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2108), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [38606] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1166), 1,
      sym_cascade_section,
    ACTIONS(3153), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(931), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3151), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3149), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38672] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2770), 1,
      anon_sym_LT,
    STATE(929), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1233), 1,
      sym_arguments,
    STATE(1238), 1,
      sym_argument_part,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(932), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 5,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1802), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [38746] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(2974), 1,
      sym_formal_parameter,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(933), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [38872] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3158), 1,
      anon_sym_QMARK,
    STATE(1017), 1,
      sym__nullable_type,
    STATE(934), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3156), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [38938] = 40,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(1204), 1,
      sym__metadata,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1956), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2433), 1,
      sym__normal_formal_parameter,
    STATE(2437), 1,
      sym__simple_formal_parameter,
    STATE(2508), 1,
      sym__final_const_var_or_type,
    STATE(2591), 1,
      sym_formal_parameter,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(935), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2435), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [39064] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2578), 1,
      anon_sym_QMARK,
    ACTIONS(2581), 1,
      anon_sym_LT,
    ACTIONS(3163), 1,
      anon_sym_LBRACK,
    ACTIONS(3166), 1,
      anon_sym_LPAREN,
    ACTIONS(3169), 1,
      sym__exclamation_operator,
    ACTIONS(3172), 1,
      anon_sym_DOT,
    ACTIONS(3175), 1,
      anon_sym_QMARK_DOT,
    STATE(1586), 1,
      sym_index_selector,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3029), 1,
      sym__nullable_type,
    STATE(1593), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1595), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(936), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
    ACTIONS(2584), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2570), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [39154] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3036), 1,
      anon_sym_QMARK_DOT,
    STATE(936), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1534), 1,
      sym__assignable_selector,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym__nullable_type,
    STATE(937), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1513), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [39248] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3036), 1,
      anon_sym_QMARK_DOT,
    STATE(936), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1534), 1,
      sym__assignable_selector,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3027), 1,
      sym__nullable_type,
    STATE(938), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1513), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [39342] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3082), 1,
      anon_sym_QMARK,
    STATE(1026), 1,
      sym__nullable_type,
    STATE(939), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [39408] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(941), 1,
      aux_sym__expression_repeat1,
    STATE(1156), 1,
      sym_cascade_section,
    ACTIONS(3182), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(940), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3180), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3178), 24,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_else,
  [39476] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 1,
      sym_cascade_section,
    ACTIONS(3185), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(941), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3151), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3149), 24,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_else,
  [39542] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(942), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1998), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [39608] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3190), 1,
      anon_sym_DOT,
    STATE(992), 1,
      sym__type_dot_identifier,
    STATE(943), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3188), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3054), 1,
      anon_sym_QMARK,
    STATE(1036), 1,
      sym__nullable_type,
    STATE(944), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3041), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39740] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3094), 1,
      anon_sym_QMARK,
    STATE(1022), 1,
      sym__nullable_type,
    STATE(945), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3077), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [39806] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2507), 1,
      anon_sym_QMARK,
    ACTIONS(2510), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_QMARK_DOT,
    STATE(801), 1,
      sym_index_selector,
    STATE(805), 1,
      sym__assignable_selector,
    STATE(936), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3082), 1,
      sym__nullable_type,
    STATE(807), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(946), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [39900] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3193), 1,
      anon_sym_QMARK,
    STATE(967), 1,
      sym__nullable_type,
    STATE(947), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3142), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [39966] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2517), 1,
      anon_sym_QMARK,
    ACTIONS(2520), 1,
      anon_sym_LT,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(3032), 1,
      sym__exclamation_operator,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3101), 1,
      anon_sym_QMARK_DOT,
    STATE(801), 1,
      sym_index_selector,
    STATE(805), 1,
      sym__assignable_selector,
    STATE(936), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(1595), 1,
      sym_argument_part,
    STATE(1599), 1,
      sym_selector,
    STATE(1600), 1,
      sym_arguments,
    STATE(2879), 1,
      sym_type_arguments,
    STATE(3082), 1,
      sym__nullable_type,
    STATE(807), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(948), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2523), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2515), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [40060] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3196), 1,
      anon_sym_QMARK,
    STATE(1015), 1,
      sym__nullable_type,
    STATE(949), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3156), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [40126] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(950), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1998), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [40248] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3046), 1,
      anon_sym_QMARK,
    STATE(1041), 1,
      sym__nullable_type,
    STATE(951), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [40314] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1522), 1,
      sym_increment_operator,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(952), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 9,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [40384] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(953), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2020), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [40506] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(954), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2051), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [40628] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1522), 1,
      sym_increment_operator,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(955), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 11,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1518), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40698] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3199), 1,
      anon_sym_DOT,
    STATE(969), 1,
      sym__type_dot_identifier,
    STATE(956), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(3188), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [40764] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(376), 1,
      sym_additive_operator,
    STATE(942), 1,
      aux_sym_additive_expression_repeat1,
    STATE(957), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3202), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [40830] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(958), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2016), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [40952] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(959), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2012), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [41074] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2004), 1,
      anon_sym_QMARK,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(960), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2002), 8,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [41188] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(961), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2055), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [41310] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(931), 1,
      aux_sym__expression_repeat1,
    STATE(1166), 1,
      sym_cascade_section,
    ACTIONS(3206), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(962), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3180), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3178), 22,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [41378] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(361), 1,
      sym_additive_operator,
    STATE(927), 1,
      aux_sym_additive_expression_repeat1,
    STATE(963), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3202), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [41444] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(964), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2112), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [41566] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2930), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2932), 1,
      anon_sym_QMARK,
    ACTIONS(2934), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2936), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2940), 1,
      anon_sym_PIPE,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(2944), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1789), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1803), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1811), 1,
      aux_sym__if_null_expression,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1830), 1,
      sym_type_test,
    STATE(1833), 1,
      sym_type_cast,
    STATE(2129), 1,
      sym_is_operator,
    STATE(2131), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(965), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2024), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [41688] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(966), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3209), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [41751] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(967), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3215), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [41812] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(968), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [41873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(969), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3219), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [41934] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(970), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3223), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [41995] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_QMARK,
    ACTIONS(3230), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1518), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1527), 2,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    STATE(971), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1520), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1522), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42068] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1019), 1,
      aux_sym__if_null_expression,
    STATE(972), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3234), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42131] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3230), 1,
      anon_sym_LT,
    ACTIONS(3241), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(3238), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(973), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3227), 3,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1520), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1522), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42202] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1024), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(974), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3245), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42265] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(975), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3223), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [42326] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1027), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(976), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3249), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42389] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1032), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(977), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3253), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42452] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1033), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(978), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3257), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42515] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(979), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2156), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42576] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(980), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2152), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42637] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3230), 1,
      anon_sym_LT,
    ACTIONS(3241), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(3238), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(981), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3227), 3,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1520), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1522), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(982), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2139), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42769] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(983), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2172), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42830] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(984), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [42891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(985), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2168), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [42952] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1018), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(986), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3261), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43015] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1005), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(987), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3257), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43078] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(988), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3265), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [43139] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_DOT,
    ACTIONS(3275), 1,
      anon_sym_QMARK_DOT,
    STATE(297), 1,
      sym__assignment_operator,
    STATE(1028), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1446), 1,
      sym__cascade_assignment_section,
    STATE(1447), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1655), 1,
      sym__assignable_selector,
    STATE(1755), 1,
      sym_argument_part,
    STATE(1767), 1,
      sym_arguments,
    STATE(1773), 1,
      sym_index_selector,
    STATE(1843), 1,
      sym__cascade_subsection,
    STATE(2978), 1,
      sym_type_arguments,
    STATE(3061), 1,
      sym__nullable_type,
    STATE(989), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1771), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1202), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43236] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1003), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(990), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3253), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43299] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3277), 1,
      anon_sym_AMP_AMP,
    STATE(991), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2055), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43362] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(992), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3219), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [43423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(993), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3280), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [43484] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(991), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(994), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3249), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43547] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(997), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(995), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3245), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43610] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(996), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1875), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1877), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [43671] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3284), 1,
      anon_sym_PIPE_PIPE,
    STATE(997), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2012), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43734] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2180), 1,
      sym_increment_operator,
    STATE(998), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [43797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(999), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3142), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [43858] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1000), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3280), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [43919] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1046), 1,
      aux_sym__if_null_expression,
    STATE(1001), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3234), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [43982] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2180), 1,
      sym_increment_operator,
    STATE(1002), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2176), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44045] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3287), 1,
      anon_sym_PIPE,
    STATE(1003), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2020), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44108] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2164), 1,
      sym_increment_operator,
    STATE(1004), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2160), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44171] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3290), 1,
      anon_sym_CARET,
    STATE(1005), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2051), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44234] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1006), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3293), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [44295] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1007), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3297), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [44356] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1008), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3301), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [44417] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3305), 1,
      anon_sym_QMARK,
    STATE(1085), 1,
      sym__nullable_type,
    STATE(1009), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3209), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [44482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2190), 1,
      sym_increment_operator,
    STATE(1010), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [44545] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1011), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [44606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1012), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3308), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [44667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1013), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3293), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [44728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1014), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3301), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [44789] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1015), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3312), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [44850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1016), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3316), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [44911] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1017), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3312), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [44972] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3320), 1,
      anon_sym_AMP,
    STATE(1018), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2016), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45035] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3325), 1,
      anon_sym_QMARK_QMARK,
    STATE(1019), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3323), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [45098] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1020), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3330), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [45159] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1021), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3316), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [45220] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1022), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3156), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [45281] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1023), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3297), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [45342] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3334), 1,
      anon_sym_PIPE_PIPE,
    STATE(1024), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [45405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1025), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3209), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [45468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1026), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3156), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [45529] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3337), 1,
      anon_sym_AMP_AMP,
    STATE(1027), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [45592] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_DOT,
    ACTIONS(3275), 1,
      anon_sym_QMARK_DOT,
    STATE(297), 1,
      sym__assignment_operator,
    STATE(1477), 1,
      sym__cascade_assignment_section,
    STATE(1478), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1546), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1655), 1,
      sym__assignable_selector,
    STATE(1755), 1,
      sym_argument_part,
    STATE(1767), 1,
      sym_arguments,
    STATE(1773), 1,
      sym_index_selector,
    STATE(1843), 1,
      sym__cascade_subsection,
    STATE(2978), 1,
      sym_type_arguments,
    STATE(3061), 1,
      sym__nullable_type,
    STATE(1028), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1771), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [45689] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1029), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3340), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [45750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1030), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3344), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [45811] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1035), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1031), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3261), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [45874] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3348), 1,
      anon_sym_PIPE,
    STATE(1032), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [45937] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3351), 1,
      anon_sym_CARET,
    STATE(1033), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [46000] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2190), 1,
      sym_increment_operator,
    STATE(1034), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 13,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2176), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46063] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3354), 1,
      anon_sym_AMP,
    STATE(1035), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [46126] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1036), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3077), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [46187] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1037), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3265), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [46248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1038), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3308), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [46309] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_QMARK,
    ACTIONS(3230), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1518), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1527), 2,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    STATE(1039), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1520), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1522), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46382] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3357), 1,
      anon_sym_QMARK,
    STATE(1068), 1,
      sym__nullable_type,
    STATE(1040), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3209), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [46447] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1041), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [46508] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1042), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3330), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [46569] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1043), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [46630] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2164), 1,
      sym_increment_operator,
    STATE(1044), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2160), 25,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [46693] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1045), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3215), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [46754] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3360), 1,
      anon_sym_QMARK_QMARK,
    STATE(1046), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3323), 23,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [46817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1047), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3344), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [46878] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1048), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3340), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [46939] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1049), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [47000] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1050), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3367), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [47061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1051), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3363), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [47122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1052), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47183] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1053), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3371), 27,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [47244] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1054), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3367), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [47305] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1055), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3142), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [47366] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1056), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3371), 25,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [47427] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1057), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2306), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2308), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [47487] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1058), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3377), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3375), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47547] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1059), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2200), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47607] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1060), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2164), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1061), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3381), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3379), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1062), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3383), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47787] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2160), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3387), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1063), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2162), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [47853] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1064), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3390), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47913] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1065), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2212), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [47973] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1066), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3396), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3394), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48033] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1067), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3400), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3398), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48093] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1068), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3402), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48153] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1069), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3408), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3406), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48213] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1070), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3410), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48273] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1071), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2204), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48333] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1072), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3416), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3414), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48393] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1073), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3408), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3406), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48453] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1074), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3416), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3414), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48513] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1075), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3420), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3418), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1076), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3424), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3422), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1077), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3428), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3426), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48693] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1078), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3430), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48753] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1079), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3436), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3434), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [48813] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1080), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2192), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48873] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1081), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2222), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1082), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2024), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [48993] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1083), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3438), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49053] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1084), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3424), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3422), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49113] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1085), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3402), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49173] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1086), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3428), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3426), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49233] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3442), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1087), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2178), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2180), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49299] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1088), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49359] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3445), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1089), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2178), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3442), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2180), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49423] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3448), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1090), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3387), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2164), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49487] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3451), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1091), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2188), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3454), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2190), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49551] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1092), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3459), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3457), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49611] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1093), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3463), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3461), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49671] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(255), 1,
      sym__assignment_operator,
    STATE(907), 1,
      aux_sym_cascade_section_repeat2,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1075), 1,
      sym__cascade_assignment_section,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1094), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1298), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [49755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1095), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2212), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49815] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1096), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3436), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3434), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [49875] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1097), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3438), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [49935] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3442), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1098), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2178), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2180), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50001] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2160), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3387), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1099), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2162), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2164), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50067] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1100), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1101), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50187] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1102), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1300), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1298), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50247] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3454), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1103), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2188), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2190), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50313] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1104), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3459), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3457), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50373] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1105), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2176), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50433] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1106), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2505), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50493] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1107), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3467), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3465), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3445), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1108), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3442), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2178), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2180), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1109), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3471), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3469), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50677] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1110), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3475), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3473), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50737] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1111), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3479), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3477), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1112), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3483), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50857] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1113), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3485), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [50917] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3448), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1114), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3387), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2162), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2164), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [50981] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3451), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1115), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3454), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2188), 7,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2190), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51045] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1116), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2164), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51105] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1117), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3489), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51165] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1118), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2156), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51225] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1119), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2152), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51285] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1120), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2139), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51345] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1121), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2172), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51405] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1122), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2168), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1123), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3489), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51525] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1124), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3495), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3493), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51585] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1125), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2505), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51645] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1126), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3430), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1127), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3390), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51765] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(255), 1,
      sym__assignment_operator,
    STATE(907), 1,
      aux_sym_cascade_section_repeat2,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1102), 1,
      sym__cascade_assignment_section,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1128), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 9,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [51849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1129), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3497), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [51909] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1130), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3471), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3469), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [51969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1131), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3475), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3473), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1132), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3503), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3501), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52089] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1133), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3505), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52149] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1134), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3479), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3477), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52209] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1135), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3383), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52269] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1136), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3495), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3493), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52329] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1137), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2346), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2348), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [52389] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1138), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3483), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3481), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52449] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(237), 1,
      sym__assignment_operator,
    STATE(886), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(1347), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1684), 1,
      sym__assignable_selector,
    STATE(2016), 1,
      sym__cascade_assignment_section,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1139), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1200), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1194), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [52535] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1140), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3511), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3509), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52595] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1141), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1200), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1194), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52655] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1142), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3410), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [52715] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_async,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(265), 1,
      sym__assignment_operator,
    STATE(907), 1,
      aux_sym_cascade_section_repeat2,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(2016), 1,
      sym__cascade_assignment_section,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1143), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [52803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1144), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3515), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3513), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52863] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1145), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3485), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [52923] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1300), 1,
      anon_sym_async,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(2772), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_QMARK_DOT,
    STATE(265), 1,
      sym__assignment_operator,
    STATE(907), 1,
      aux_sym_cascade_section_repeat2,
    STATE(932), 1,
      sym__assignable_selector,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(2013), 1,
      sym__cascade_assignment_section,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1146), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1298), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    ACTIONS(1198), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [53011] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1147), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2350), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2352), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53071] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1148), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1107), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1105), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53131] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1149), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2310), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2312), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1150), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2302), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2304), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53251] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1151), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2264), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2266), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53311] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1152), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2260), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2262), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53371] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1153), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3519), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3517), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53431] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1154), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2318), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2320), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53491] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1155), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2314), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2316), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [53551] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3523), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3521), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53611] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1157), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3519), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3517), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53671] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1158), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3377), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3375), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53731] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1159), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3527), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3525), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53791] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1160), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3381), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3379), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [53851] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1161), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3515), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3513), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53911] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1162), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3531), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3529), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [53971] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1163), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2326), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2328), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [54031] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1164), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3535), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3533), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54091] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1165), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3527), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3525), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54151] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1166), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3523), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3521), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54211] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1167), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3531), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3529), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54271] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1168), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3511), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3509), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54331] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1169), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3396), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3394), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54391] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1170), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3535), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3533), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54451] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3454), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1171), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2188), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54517] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1172), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3497), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54577] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1173), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3010), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [54637] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1174), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1812), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1175), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54757] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1176), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1177), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54877] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1178), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3010), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54937] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1179), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3539), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3537), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [54997] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1180), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55057] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1181), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3547), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3545), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55117] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1182), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3549), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1183), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1156), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1154), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55237] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1184), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2354), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1185), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3553), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55357] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1186), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2268), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2270), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1187), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2272), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2274), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55477] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1188), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2322), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2324), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1189), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2342), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2344), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55597] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1190), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2338), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2340), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55657] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1191), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2334), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2336), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55717] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1192), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2330), 12,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2332), 24,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [55777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1193), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3559), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3557), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [55837] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1194), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2200), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55897] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1195), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3549), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [55957] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1196), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3563), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3561), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1197), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3567), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3565), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56077] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1198), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3571), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3569), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56137] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1199), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3559), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3557), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56197] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1200), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3553), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56257] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1201), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56317] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1202), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3505), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56377] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(237), 1,
      sym__assignment_operator,
    STATE(1139), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1233), 1,
      sym_arguments,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1259), 1,
      sym_index_selector,
    STATE(1335), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1684), 1,
      sym__assignable_selector,
    STATE(2023), 1,
      sym__cascade_assignment_section,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1203), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1204), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1202), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [56463] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(2705), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1857), 1,
      sym__metadata,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1961), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2419), 1,
      sym__declared_identifier,
    STATE(2482), 1,
      sym__simple_formal_parameter,
    STATE(2505), 1,
      sym__final_const_var_or_type,
    STATE(2732), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3337), 1,
      sym_super,
    STATE(3344), 1,
      sym_this,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1204), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2486), 3,
      sym__function_formal_parameter,
      sym_super_formal_parameter,
      sym_constructor_param,
  [56583] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1205), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1114), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1112), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1206), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3020), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56703] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1207), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2024), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [56763] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1208), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3573), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56823] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1209), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1200), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1194), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56883] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1210), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2354), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [56943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1211), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3541), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1212), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3463), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3461), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57063] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1213), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3573), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [57123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1214), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3547), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3545), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [57183] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1215), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3467), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3465), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57243] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1216), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1300), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1298), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57303] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1217), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3420), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3418), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57363] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1218), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3503), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3501), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1219), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3571), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3569), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57483] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1220), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3567), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3565), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57543] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1221), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 26,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [57603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1222), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1875), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1877), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57663] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1223), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3563), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3561), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1224), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3400), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3398), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57783] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1225), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3539), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3537), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57843] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1226), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1518), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57903] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1227), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1812), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [57963] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1228), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1114), 12,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1112), 24,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58023] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2016), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1229), 2,
      sym_comment,
      sym_documentation_comment,
  [58142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1230), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2139), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58201] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1231), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2222), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58260] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2024), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1232), 2,
      sym_comment,
      sym_documentation_comment,
  [58379] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1233), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2212), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58438] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3593), 1,
      anon_sym_Function,
    STATE(1245), 1,
      sym__function_builtin_identifier,
    STATE(1247), 1,
      aux_sym__function_type_tails,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(1234), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2969), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [58505] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1235), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2192), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1236), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2210), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2208), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58623] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1237), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2198), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2196), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58682] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1238), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2220), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2218), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [58741] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1239), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2222), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2224), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [58800] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1240), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2192), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2194), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [58859] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1241), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2204), 7,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AT,
    ACTIONS(2206), 28,
      anon_sym_QMARK,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [58918] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(1998), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1242), 2,
      sym_comment,
      sym_documentation_comment,
  [59037] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2112), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1243), 2,
      sym_comment,
      sym_documentation_comment,
  [59156] = 34,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2004), 1,
      anon_sym_QMARK,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2006), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2009), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    STATE(1244), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2002), 5,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
  [59267] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3595), 1,
      anon_sym_LPAREN,
    ACTIONS(3598), 1,
      anon_sym_QMARK,
    ACTIONS(3601), 1,
      anon_sym_LT,
    STATE(1276), 1,
      sym_type_parameters,
    STATE(1296), 1,
      sym__nullable_type,
    STATE(1300), 1,
      sym_parameter_type_list,
    STATE(1245), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2917), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [59338] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3604), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_QMARK,
    ACTIONS(3612), 1,
      anon_sym_LT,
    STATE(1276), 1,
      sym_type_parameters,
    STATE(1277), 1,
      sym__nullable_type,
    STATE(1300), 1,
      sym_parameter_type_list,
    STATE(1246), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2951), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [59409] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3616), 1,
      anon_sym_Function,
    STATE(1245), 1,
      sym__function_builtin_identifier,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(1247), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2910), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [59474] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2046), 1,
      anon_sym_QMARK,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    ACTIONS(3619), 1,
      sym_equality_operator,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1248), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2044), 4,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [59587] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2055), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1249), 2,
      sym_comment,
      sym_documentation_comment,
  [59706] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2012), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1250), 2,
      sym_comment,
      sym_documentation_comment,
  [59825] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2108), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1251), 2,
      sym_comment,
      sym_documentation_comment,
  [59944] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1252), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2204), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60003] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2051), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1253), 2,
      sym_comment,
      sym_documentation_comment,
  [60122] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3593), 1,
      anon_sym_Function,
    STATE(1245), 1,
      sym__function_builtin_identifier,
    STATE(1247), 1,
      aux_sym__function_type_tails,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(1254), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2988), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [60189] = 38,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1842), 1,
      anon_sym_is,
    ACTIONS(1895), 1,
      anon_sym_as,
    ACTIONS(2020), 1,
      anon_sym_COLON,
    ACTIONS(3577), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3579), 1,
      anon_sym_QMARK,
    ACTIONS(3581), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3583), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3587), 1,
      anon_sym_PIPE,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3591), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1906), 1,
      aux_sym__if_null_expression,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1924), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1931), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1949), 1,
      sym_type_cast,
    STATE(1957), 1,
      sym_type_test,
    STATE(2107), 1,
      sym_is_operator,
    STATE(2108), 1,
      sym_as_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1255), 2,
      sym_comment,
      sym_documentation_comment,
  [60308] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1256), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2200), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60367] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1257), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2168), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60426] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1258), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2228), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2226), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60485] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1259), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2156), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1260), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2152), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60603] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1261), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 6,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2172), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [60662] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3624), 1,
      anon_sym_PIPE,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(414), 1,
      sym_multiplicative_operator,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1519), 1,
      sym_unconditional_assignable_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1703), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(3027), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1262), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [60774] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3628), 1,
      anon_sym_DOT,
    STATE(1263), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 24,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [60834] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(424), 1,
      sym_multiplicative_operator,
    STATE(1281), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1264), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3008), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3006), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [60898] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    ACTIONS(3635), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(984), 1,
      sym_index_selector,
    STATE(1044), 1,
      sym_unconditional_assignable_selector,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(2855), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1265), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [61010] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3637), 1,
      anon_sym_QMARK,
    ACTIONS(3640), 1,
      anon_sym_LT,
    STATE(1301), 1,
      sym_type_arguments,
    STATE(1355), 1,
      sym__nullable_type,
    STATE(1266), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 8,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3103), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [61076] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(412), 1,
      sym_multiplicative_operator,
    STATE(1271), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1267), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3020), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [61144] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(387), 1,
      sym_shift_operator,
    STATE(1275), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1268), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3087), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [61208] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1269), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [61276] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3643), 1,
      anon_sym_PIPE,
    ACTIONS(3645), 1,
      anon_sym_AMP,
    ACTIONS(3647), 1,
      anon_sym_DOT,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(881), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1270), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [61388] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(412), 1,
      sym_multiplicative_operator,
    STATE(1273), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1271), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3008), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3006), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [61456] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(1286), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1272), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3008), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3006), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [61524] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(412), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1273), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3010), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [61590] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3647), 1,
      anon_sym_DOT,
    ACTIONS(3649), 1,
      anon_sym_PIPE,
    ACTIONS(3651), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(1364), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1274), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [61702] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(387), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1275), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [61768] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3653), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_QMARK,
    STATE(1291), 1,
      sym__nullable_type,
    STATE(1308), 1,
      sym_parameter_type_list,
    STATE(1276), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [61834] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3659), 1,
      anon_sym_LPAREN,
    ACTIONS(3663), 1,
      anon_sym_QMARK,
    STATE(1308), 1,
      sym_parameter_type_list,
    STATE(1325), 1,
      sym__nullable_type,
    STATE(1277), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3063), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [61900] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    ACTIONS(3647), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1278), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62012] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3667), 1,
      anon_sym_PIPE,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(424), 1,
      sym_multiplicative_operator,
    STATE(730), 1,
      sym_unconditional_assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(1264), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(3011), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1279), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62124] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1280), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62236] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(424), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1281), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3010), 18,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [62302] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(424), 1,
      sym_multiplicative_operator,
    STATE(1264), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1282), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 18,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [62370] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    ACTIONS(3675), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1283), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62482] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    ACTIONS(2695), 1,
      sym_equality_operator,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3631), 1,
      anon_sym_PIPE,
    ACTIONS(3633), 1,
      anon_sym_AMP,
    ACTIONS(3677), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_additive_operator,
    STATE(388), 1,
      sym_relational_operator,
    STATE(390), 1,
      sym_shift_operator,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(626), 1,
      sym_index_selector,
    STATE(627), 1,
      sym_unconditional_assignable_selector,
    STATE(1272), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1491), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1528), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1547), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1615), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1646), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(3034), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1284), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62594] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      anon_sym_DOT,
    ACTIONS(3679), 1,
      anon_sym_PIPE,
    ACTIONS(3681), 1,
      anon_sym_AMP,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(422), 1,
      sym_multiplicative_operator,
    STATE(730), 1,
      sym_unconditional_assignable_selector,
    STATE(734), 1,
      sym_index_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1533), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(3011), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1285), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62706] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(413), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1286), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3010), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [62772] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      sym_equality_operator,
    ACTIONS(2942), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3679), 1,
      anon_sym_PIPE,
    ACTIONS(3681), 1,
      anon_sym_AMP,
    ACTIONS(3683), 1,
      anon_sym_DOT,
    STATE(318), 1,
      sym_relational_operator,
    STATE(319), 1,
      sym_shift_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(422), 1,
      sym_multiplicative_operator,
    STATE(1311), 1,
      sym_unconditional_assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1533), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1749), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1764), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1804), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1806), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1825), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2880), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1287), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62884] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOT,
    ACTIONS(3585), 1,
      sym_equality_operator,
    ACTIONS(3589), 1,
      anon_sym_CARET,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3624), 1,
      anon_sym_PIPE,
    ACTIONS(3626), 1,
      anon_sym_AMP,
    STATE(315), 1,
      sym_relational_operator,
    STATE(316), 1,
      sym_shift_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(414), 1,
      sym_multiplicative_operator,
    STATE(801), 1,
      sym_index_selector,
    STATE(815), 1,
      sym_unconditional_assignable_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1703), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1832), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1859), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1894), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1908), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1933), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(3082), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1288), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [62996] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3687), 1,
      anon_sym_AMP,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(410), 1,
      sym_multiplicative_operator,
    STATE(888), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(979), 1,
      sym_index_selector,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1004), 1,
      sym_unconditional_assignable_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(3018), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1289), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63108] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2243), 1,
      sym_equality_operator,
    ACTIONS(2247), 1,
      anon_sym_CARET,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3667), 1,
      anon_sym_PIPE,
    ACTIONS(3669), 1,
      anon_sym_AMP,
    ACTIONS(3683), 1,
      anon_sym_DOT,
    STATE(381), 1,
      sym_relational_operator,
    STATE(387), 1,
      sym_shift_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(424), 1,
      sym_multiplicative_operator,
    STATE(1264), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1268), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1307), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1311), 1,
      sym_unconditional_assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(1320), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1322), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1326), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2880), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1290), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63220] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3691), 1,
      anon_sym_LPAREN,
    ACTIONS(3694), 1,
      anon_sym_QMARK,
    STATE(1304), 1,
      sym_parameter_type_list,
    STATE(1339), 1,
      sym__nullable_type,
    STATE(1291), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [63286] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(1887), 1,
      sym_equality_operator,
    ACTIONS(1891), 1,
      anon_sym_CARET,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_DOT,
    ACTIONS(3643), 1,
      anon_sym_PIPE,
    ACTIONS(3645), 1,
      anon_sym_AMP,
    STATE(361), 1,
      sym_additive_operator,
    STATE(364), 1,
      sym_shift_operator,
    STATE(365), 1,
      sym_relational_operator,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(881), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(899), 1,
      aux_sym_shift_expression_repeat1,
    STATE(963), 1,
      aux_sym_additive_expression_repeat1,
    STATE(977), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(978), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(984), 1,
      sym_index_selector,
    STATE(1031), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1044), 1,
      sym_unconditional_assignable_selector,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2855), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1292), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63398] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(2748), 1,
      sym_equality_operator,
    ACTIONS(2752), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_DOT,
    ACTIONS(3649), 1,
      anon_sym_PIPE,
    ACTIONS(3651), 1,
      anon_sym_AMP,
    STATE(352), 1,
      sym_relational_operator,
    STATE(353), 1,
      sym_shift_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(984), 1,
      sym_index_selector,
    STATE(1044), 1,
      sym_unconditional_assignable_selector,
    STATE(1364), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1580), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1689), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1692), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1697), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1705), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(2855), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1293), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63510] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    ACTIONS(3697), 1,
      anon_sym_PIPE,
    ACTIONS(3699), 1,
      anon_sym_AMP,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(412), 1,
      sym_multiplicative_operator,
    STATE(979), 1,
      sym_index_selector,
    STATE(1004), 1,
      sym_unconditional_assignable_selector,
    STATE(1271), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(3018), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1294), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63622] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1822), 1,
      sym_equality_operator,
    ACTIONS(1830), 1,
      anon_sym_CARET,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3685), 1,
      anon_sym_PIPE,
    ACTIONS(3687), 1,
      anon_sym_AMP,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    STATE(374), 1,
      sym_relational_operator,
    STATE(375), 1,
      sym_shift_operator,
    STATE(376), 1,
      sym_additive_operator,
    STATE(410), 1,
      sym_multiplicative_operator,
    STATE(633), 1,
      sym_index_selector,
    STATE(642), 1,
      sym_unconditional_assignable_selector,
    STATE(888), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(894), 1,
      aux_sym_shift_expression_repeat1,
    STATE(957), 1,
      aux_sym_additive_expression_repeat1,
    STATE(986), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(987), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(990), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(3016), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1295), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63734] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3653), 1,
      anon_sym_LPAREN,
    ACTIONS(3656), 1,
      anon_sym_QMARK,
    STATE(1308), 1,
      sym_parameter_type_list,
    STATE(1325), 1,
      sym__nullable_type,
    STATE(1296), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [63800] = 35,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2721), 1,
      sym_equality_operator,
    ACTIONS(2725), 1,
      anon_sym_CARET,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3697), 1,
      anon_sym_PIPE,
    ACTIONS(3699), 1,
      anon_sym_AMP,
    ACTIONS(3701), 1,
      anon_sym_DOT,
    STATE(335), 1,
      sym_additive_operator,
    STATE(336), 1,
      sym_shift_operator,
    STATE(337), 1,
      sym_relational_operator,
    STATE(412), 1,
      sym_multiplicative_operator,
    STATE(633), 1,
      sym_index_selector,
    STATE(642), 1,
      sym_unconditional_assignable_selector,
    STATE(1271), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1498), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1504), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1636), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1637), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1649), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(3016), 1,
      sym__nullable_type,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1297), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
  [63912] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1522), 1,
      sym_increment_operator,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(1298), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 9,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [63977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1299), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3402), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_else,
      anon_sym_with,
      anon_sym_implements,
  [64034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3656), 1,
      anon_sym_QMARK,
    STATE(1325), 1,
      sym__nullable_type,
    STATE(1300), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3041), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64095] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3703), 1,
      anon_sym_QMARK,
    STATE(1321), 1,
      sym__nullable_type,
    STATE(1301), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3142), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64156] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1302), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64217] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1392), 1,
      sym_cascade_section,
    ACTIONS(3706), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1303), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3151), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3149), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
  [64278] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3709), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym__nullable_type,
    STATE(1304), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3156), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64339] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3712), 1,
      anon_sym_DOT,
    STATE(1316), 1,
      sym__type_dot_identifier,
    STATE(1305), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(3188), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64400] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1303), 1,
      aux_sym__expression_repeat1,
    STATE(1392), 1,
      sym_cascade_section,
    ACTIONS(3715), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1306), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3180), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3178), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_SEMI,
  [64463] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(389), 1,
      sym_additive_operator,
    STATE(1302), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1307), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3202), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64524] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3694), 1,
      anon_sym_QMARK,
    STATE(1339), 1,
      sym__nullable_type,
    STATE(1308), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64585] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2180), 1,
      sym_increment_operator,
    STATE(1309), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64643] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1310), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3297), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [64699] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2164), 1,
      sym_increment_operator,
    STATE(1311), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2160), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64757] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3720), 1,
      anon_sym_QMARK,
    ACTIONS(3723), 1,
      anon_sym_LT,
    STATE(1404), 1,
      sym__nullable_type,
    STATE(1414), 1,
      sym_type_parameters,
    STATE(1502), 1,
      sym_parameter_type_list,
    STATE(1312), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2917), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [64825] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    STATE(1337), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1313), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    ACTIONS(3726), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [64887] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1314), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1315), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [64999] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1316), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3219), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [65055] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3728), 1,
      anon_sym_PIPE_PIPE,
    STATE(1317), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65113] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3731), 1,
      anon_sym_AMP_AMP,
    STATE(1318), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65171] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3734), 1,
      anon_sym_PIPE,
    STATE(1319), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65229] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1327), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1320), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3261), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65287] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1321), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3215), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [65343] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1323), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1322), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3257), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65401] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3737), 1,
      anon_sym_CARET,
    STATE(1323), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65459] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1324), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3330), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [65515] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1325), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3077), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [65571] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1319), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1326), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3253), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65629] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3740), 1,
      anon_sym_AMP,
    STATE(1327), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65687] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1318), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1328), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3249), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65745] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1317), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1329), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3245), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65803] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1330), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65859] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1353), 1,
      aux_sym__if_null_expression,
    STATE(1331), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3234), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1332), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [65973] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2190), 1,
      sym_increment_operator,
    STATE(1333), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [66031] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3745), 1,
      anon_sym_QMARK,
    ACTIONS(3748), 1,
      anon_sym_LT,
    STATE(1471), 1,
      sym__nullable_type,
    STATE(1473), 1,
      sym_type_parameters,
    STATE(1509), 1,
      sym_parameter_type_list,
    STATE(1334), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2917), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [66099] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(237), 1,
      sym__assignment_operator,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(1483), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1684), 1,
      sym__assignable_selector,
    STATE(2016), 1,
      sym__cascade_assignment_section,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1335), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1200), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1194), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [66173] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3751), 1,
      anon_sym_QMARK,
    ACTIONS(3755), 1,
      anon_sym_LT,
    STATE(1413), 1,
      sym__nullable_type,
    STATE(1414), 1,
      sym_type_parameters,
    STATE(1502), 1,
      sym_parameter_type_list,
    STATE(1336), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2951), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [66241] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3761), 1,
      anon_sym_AT,
    STATE(1564), 1,
      sym__annotation,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1337), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__metadata_repeat1,
    ACTIONS(3759), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [66301] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1105), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(1338), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1114), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1112), 20,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [66359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1339), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3156), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66415] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1340), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 11,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [66471] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(1364), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1341), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [66537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1342), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3340), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66593] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1343), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3344), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66649] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1344), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3367), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66705] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1345), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3766), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3764), 19,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_default,
      anon_sym_super,
      sym_case_builtin,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [66761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1346), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66817] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(237), 1,
      sym__assignment_operator,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(1483), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1684), 1,
      sym__assignable_selector,
    STATE(2013), 1,
      sym__cascade_assignment_section,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1347), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1300), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1298), 5,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [66891] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1348), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3280), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [66947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1349), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3316), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1350), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3223), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67059] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1351), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3371), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67115] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1352), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3265), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67171] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3768), 1,
      anon_sym_QMARK_QMARK,
    STATE(1353), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3323), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [67229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1354), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3312), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67285] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1355), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3142), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67341] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1356), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3308), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67397] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1357), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3301), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67453] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1536), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_QMARK,
    ACTIONS(3230), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1518), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(1527), 2,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    STATE(1358), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1520), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1522), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [67521] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3230), 1,
      anon_sym_LT,
    ACTIONS(3241), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(3238), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1359), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3227), 3,
      anon_sym_QMARK,
      sym__exclamation_operator,
      anon_sym_QMARK_DOT,
    ACTIONS(1520), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1522), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [67587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1360), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3293), 22,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [67643] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3771), 1,
      anon_sym_QMARK,
    ACTIONS(3775), 1,
      anon_sym_LT,
    STATE(1472), 1,
      sym__nullable_type,
    STATE(1473), 1,
      sym_type_parameters,
    STATE(1509), 1,
      sym_parameter_type_list,
    STATE(1361), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2951), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [67711] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1362), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3209), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [67769] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(941), 1,
      aux_sym__expression_repeat1,
    STATE(1156), 1,
      sym_cascade_section,
    ACTIONS(2300), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(1363), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3180), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3178), 18,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [67831] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(405), 1,
      sym_multiplicative_operator,
    STATE(909), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1364), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3008), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3006), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [67897] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3779), 1,
      anon_sym_QMARK,
    STATE(1442), 1,
      sym__nullable_type,
    STATE(1365), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 9,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3209), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [67957] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1366), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68012] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1367), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3459), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3457), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68067] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1368), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3559), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3557), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68122] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1369), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3571), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3569), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68177] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1370), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3567), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3565), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1371), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68287] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1372), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3489), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1373), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3497), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68397] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1374), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3505), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1375), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3563), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3561), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68507] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1376), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3489), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [68562] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1377), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3541), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1378), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [68672] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1379), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2354), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1380), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3573), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [68782] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1381), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3539), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3537), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68837] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1382), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1518), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68892] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1383), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1812), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [68947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1384), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3515), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3513), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69002] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1385), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3503), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3501), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69057] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1386), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3495), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3493), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1387), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3497), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [69167] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1388), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3505), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [69222] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(3786), 1,
      anon_sym_DOT,
    ACTIONS(3788), 1,
      anon_sym_AT,
    STATE(1657), 1,
      sym_arguments,
    STATE(1389), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3782), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [69283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1390), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2164), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1391), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(792), 14,
      ts_builtin_sym_end,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3790), 17,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [69393] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1392), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3523), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3521), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69448] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1393), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2176), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69503] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1394), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2212), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1395), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3383), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69613] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1396), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3396), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3394), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1397), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3485), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1398), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3511), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3509), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [69778] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1399), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3541), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [69833] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3792), 1,
      anon_sym_QMARK,
    STATE(1538), 1,
      sym_parameter_type_list,
    STATE(1573), 1,
      sym__nullable_type,
    STATE(1400), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [69896] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1401), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [69951] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1402), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3573), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [70006] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1403), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3381), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3379), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70061] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3795), 1,
      anon_sym_QMARK,
    STATE(1518), 1,
      sym_parameter_type_list,
    STATE(1614), 1,
      sym__nullable_type,
    STATE(1404), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [70124] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1405), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3400), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3398), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1406), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3010), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70234] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1407), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1875), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1877), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70289] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1408), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3383), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70344] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1409), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3549), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70399] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1410), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3553), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70454] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1411), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3463), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3461), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70509] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3798), 1,
      anon_sym_Function,
    STATE(1334), 1,
      sym__function_builtin_identifier,
    STATE(1435), 1,
      aux_sym__function_type_tails,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(1412), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2969), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [70572] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3800), 1,
      anon_sym_QMARK,
    STATE(1518), 1,
      sym_parameter_type_list,
    STATE(1614), 1,
      sym__nullable_type,
    STATE(1413), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3063), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [70635] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3718), 1,
      anon_sym_LPAREN,
    ACTIONS(3795), 1,
      anon_sym_QMARK,
    STATE(1400), 1,
      sym__nullable_type,
    STATE(1518), 1,
      sym_parameter_type_list,
    STATE(1414), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [70698] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1415), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3547), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3545), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70753] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1416), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2505), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70808] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1417), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3489), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70863] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1418), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1114), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1112), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70918] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1419), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2204), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [70973] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1420), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2200), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71028] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1421), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3430), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71083] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1422), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3390), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71138] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1423), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3497), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71193] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1424), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3505), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1425), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3408), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3406), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71303] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1426), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3535), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3533), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71358] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1427), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3416), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3414), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71413] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1428), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3541), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1429), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2354), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71523] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1430), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3573), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1431), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3020), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71633] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1432), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3527), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3525), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71688] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1433), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2164), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [71743] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3798), 1,
      anon_sym_Function,
    STATE(1334), 1,
      sym__function_builtin_identifier,
    STATE(1435), 1,
      aux_sym__function_type_tails,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(1434), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2988), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [71806] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3804), 1,
      anon_sym_Function,
    STATE(1334), 1,
      sym__function_builtin_identifier,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(1435), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2910), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [71867] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1436), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3377), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3375), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71922] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1437), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3531), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3529), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [71977] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1438), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3438), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1439), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1440), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3410), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72142] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1441), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3519), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3517), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72197] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1442), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3402), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72252] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3454), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1443), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2188), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2190), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72313] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1444), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72368] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1445), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72423] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1446), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1200), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1194), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72478] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    ACTIONS(3273), 1,
      anon_sym_DOT,
    ACTIONS(3275), 1,
      anon_sym_QMARK_DOT,
    STATE(297), 1,
      sym__assignment_operator,
    STATE(1477), 1,
      sym__cascade_assignment_section,
    STATE(1516), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1655), 1,
      sym__assignable_selector,
    STATE(1773), 1,
      sym_index_selector,
    STATE(1843), 1,
      sym__cascade_subsection,
    STATE(3061), 1,
      sym__nullable_type,
    STATE(1447), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1771), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1194), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [72557] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1448), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2192), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72612] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1449), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2024), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72667] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1450), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1107), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1105), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72722] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1451), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3479), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3477), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72777] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1452), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3483), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3481), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72832] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1453), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1156), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1154), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72887] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2160), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3387), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1454), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2162), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [72948] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1455), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3010), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [73003] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1456), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3010), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [73058] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3807), 1,
      anon_sym_Function,
    STATE(1312), 1,
      sym__function_builtin_identifier,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(1457), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2910), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [73119] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3810), 1,
      anon_sym_Function,
    STATE(1312), 1,
      sym__function_builtin_identifier,
    STATE(1457), 1,
      aux_sym__function_type_tails,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(1458), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2988), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [73182] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2176), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3442), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1459), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 3,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2178), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2180), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73243] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1460), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3420), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3418), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73298] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1461), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3424), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3422), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73353] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1462), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3428), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3426), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1463), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3475), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3473), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73463] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1464), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73518] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1465), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3471), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3469), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1466), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [73628] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3451), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1467), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2188), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3454), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2190), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73687] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3448), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1468), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3387), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2164), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73746] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3445), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    STATE(1469), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2178), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3442), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2180), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [73805] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3812), 1,
      anon_sym_QMARK,
    STATE(1539), 1,
      sym_parameter_type_list,
    STATE(1562), 1,
      sym__nullable_type,
    STATE(1470), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3077), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [73868] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    STATE(1525), 1,
      sym_parameter_type_list,
    STATE(1558), 1,
      sym__nullable_type,
    STATE(1471), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3041), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [73931] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3818), 1,
      anon_sym_QMARK,
    STATE(1525), 1,
      sym_parameter_type_list,
    STATE(1558), 1,
      sym__nullable_type,
    STATE(1472), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3063), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [73994] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3743), 1,
      anon_sym_LPAREN,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    STATE(1470), 1,
      sym__nullable_type,
    STATE(1525), 1,
      sym_parameter_type_list,
    STATE(1473), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3041), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [74057] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3810), 1,
      anon_sym_Function,
    STATE(1312), 1,
      sym__function_builtin_identifier,
    STATE(1457), 1,
      aux_sym__function_type_tails,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(1474), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2969), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [74120] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1475), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3383), 24,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [74175] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1476), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3467), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3465), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [74230] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1477), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1300), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1298), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [74285] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    ACTIONS(3273), 1,
      anon_sym_DOT,
    ACTIONS(3275), 1,
      anon_sym_QMARK_DOT,
    STATE(297), 1,
      sym__assignment_operator,
    STATE(1460), 1,
      sym__cascade_assignment_section,
    STATE(1516), 1,
      aux_sym_cascade_section_repeat2,
    STATE(1655), 1,
      sym__assignable_selector,
    STATE(1773), 1,
      sym_index_selector,
    STATE(1843), 1,
      sym__cascade_subsection,
    STATE(3061), 1,
      sym__nullable_type,
    STATE(1478), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1771), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    ACTIONS(1298), 4,
      sym__automatic_semicolon,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [74364] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1479), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2222), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [74419] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1480), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3436), 10,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3434), 21,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [74474] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(1501), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(1637), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(1481), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1635), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [74548] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1482), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3824), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_AT,
    ACTIONS(3822), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [74602] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1620), 1,
      anon_sym_LT,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3116), 1,
      anon_sym_DOT,
    ACTIONS(3119), 1,
      anon_sym_QMARK_DOT,
    STATE(1237), 1,
      sym__cascade_subsection,
    STATE(1259), 1,
      sym_index_selector,
    STATE(1684), 1,
      sym__assignable_selector,
    STATE(3048), 1,
      sym__nullable_type,
    STATE(1260), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1483), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1615), 18,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [74674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3830), 1,
      anon_sym_super,
    STATE(1784), 1,
      sym_super,
    STATE(1484), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [74732] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3832), 1,
      anon_sym_QMARK,
    ACTIONS(3835), 1,
      anon_sym_LT,
    STATE(1520), 1,
      sym_type_arguments,
    STATE(1560), 1,
      sym__nullable_type,
    STATE(1485), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 6,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3103), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [74794] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3838), 1,
      anon_sym_super,
    STATE(1388), 1,
      sym_super,
    STATE(1486), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [74852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3840), 1,
      anon_sym_super,
    STATE(1374), 1,
      sym_super,
    STATE(1487), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [74910] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3842), 1,
      anon_sym_super,
    STATE(1202), 1,
      sym_super,
    STATE(1488), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [74968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1489), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3846), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3844), 17,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      anon_sym_throw,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [75022] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3848), 1,
      anon_sym_super,
    STATE(1700), 1,
      sym_super,
    STATE(1490), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [75080] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1496), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1491), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3087), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [75140] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3850), 1,
      anon_sym_QMARK,
    ACTIONS(3853), 1,
      anon_sym_LT,
    STATE(1506), 1,
      sym_type_arguments,
    STATE(1608), 1,
      sym__nullable_type,
    STATE(1492), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3103), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [75202] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1522), 1,
      sym_increment_operator,
    ACTIONS(1529), 1,
      anon_sym_LT,
    ACTIONS(2737), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(1493), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 8,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1518), 18,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_QMARK_DOT,
  [75264] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3856), 1,
      anon_sym_super,
    STATE(1133), 1,
      sym_super,
    STATE(1494), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [75322] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3858), 1,
      anon_sym_DOT,
    STATE(1578), 1,
      sym__type_dot_identifier,
    STATE(1495), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3188), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [75380] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(390), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1496), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2112), 19,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [75442] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(336), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1497), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2112), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [75504] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(336), 1,
      sym_shift_operator,
    STATE(1497), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1498), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3087), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [75564] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3860), 1,
      anon_sym_DOT,
    STATE(1589), 1,
      sym__type_dot_identifier,
    STATE(1499), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3188), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [75622] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3862), 1,
      anon_sym_super,
    STATE(1424), 1,
      sym_super,
    STATE(1500), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 15,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [75680] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3864), 1,
      anon_sym_DQUOTE,
    ACTIONS(3867), 1,
      anon_sym_SQUOTE,
    ACTIONS(3870), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3873), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(3876), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(3879), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(3882), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(3885), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1680), 2,
      anon_sym_QMARK,
      anon_sym_async,
    STATE(1501), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_string_literal_repeat1,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
    ACTIONS(1678), 11,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [75752] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3795), 1,
      anon_sym_QMARK,
    STATE(1614), 1,
      sym__nullable_type,
    STATE(1502), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [75809] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1503), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3890), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3888), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [75862] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(335), 1,
      sym_additive_operator,
    STATE(1511), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1504), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3202), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [75919] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1505), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3363), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [75972] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3892), 1,
      anon_sym_QMARK,
    STATE(1626), 1,
      sym__nullable_type,
    STATE(1506), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [76029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1507), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2168), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [76082] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(363), 1,
      sym_additive_operator,
    STATE(1508), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1998), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [76139] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    STATE(1558), 1,
      sym__nullable_type,
    STATE(1509), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3041), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [76196] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1510), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3344), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [76249] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(335), 1,
      sym_additive_operator,
    STATE(1511), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(1998), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [76306] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1512), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2139), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [76359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1513), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2152), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [76412] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1514), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3223), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [76465] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1515), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2156), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [76518] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1622), 1,
      anon_sym_QMARK,
    ACTIONS(3895), 1,
      anon_sym_LBRACK,
    ACTIONS(3898), 1,
      anon_sym_DOT,
    ACTIONS(3901), 1,
      anon_sym_QMARK_DOT,
    STATE(1655), 1,
      sym__assignable_selector,
    STATE(1773), 1,
      sym_index_selector,
    STATE(1843), 1,
      sym__cascade_subsection,
    STATE(3061), 1,
      sym__nullable_type,
    STATE(1771), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1516), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat2,
    ACTIONS(1615), 18,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [76587] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1517), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3344), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [76640] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3792), 1,
      anon_sym_QMARK,
    STATE(1573), 1,
      sym__nullable_type,
    STATE(1518), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [76697] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2164), 1,
      sym_increment_operator,
    STATE(1519), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2166), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2160), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [76752] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3904), 1,
      anon_sym_QMARK,
    STATE(1581), 1,
      sym__nullable_type,
    STATE(1520), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3142), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [76809] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1521), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3828), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3826), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [76862] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1522), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3265), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [76915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1523), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3223), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [76968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1524), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3909), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3907), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [77021] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3812), 1,
      anon_sym_QMARK,
    STATE(1562), 1,
      sym__nullable_type,
    STATE(1525), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3077), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [77078] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1526), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3913), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3911), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [77131] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1527), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3363), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [77184] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(363), 1,
      sym_additive_operator,
    STATE(1508), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1528), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3202), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [77241] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1527), 1,
      sym__exclamation_operator,
    ACTIONS(2737), 1,
      anon_sym_DOT,
    ACTIONS(3227), 1,
      anon_sym_QMARK,
    ACTIONS(3230), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(1529), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 3,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
    ACTIONS(1520), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(1522), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [77306] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1530), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3917), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3915), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [77359] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1531), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3921), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3919), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [77412] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(422), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1532), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3010), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [77473] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(422), 1,
      sym_multiplicative_operator,
    STATE(1532), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1533), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3008), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3006), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [77536] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2190), 1,
      sym_increment_operator,
    STATE(1534), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2176), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [77591] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2180), 1,
      sym_increment_operator,
    STATE(1535), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2176), 19,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [77646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1536), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3925), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3923), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [77699] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(422), 1,
      sym_multiplicative_operator,
    STATE(1533), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1537), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [77762] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3927), 1,
      anon_sym_QMARK,
    STATE(1602), 1,
      sym__nullable_type,
    STATE(1538), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [77819] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3930), 1,
      anon_sym_QMARK,
    STATE(1572), 1,
      sym__nullable_type,
    STATE(1539), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3156), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [77876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1540), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__additive_operator,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2172), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      sym_increment_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [77929] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1541), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3265), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [77982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1542), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3935), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3933), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [78035] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1543), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3939), 13,
      anon_sym_POUND,
      sym_hex_integer_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_increment_operator,
      sym__exclamation_operator,
      anon_sym_TILDE,
    ACTIONS(3937), 16,
      sym_decimal_integer_literal,
      sym_decimal_floating_point_literal,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_null,
      sym_minus_operator,
      anon_sym_await,
      anon_sym_super,
      anon_sym_new,
      sym_const_builtin,
      anon_sym_this,
      sym_identifier,
  [78088] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1544), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3408), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3406), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1545), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3396), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3394), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78192] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1856), 1,
      anon_sym_LT,
    ACTIONS(3941), 1,
      anon_sym_LPAREN,
    STATE(1755), 1,
      sym_argument_part,
    STATE(1767), 1,
      sym_arguments,
    STATE(2978), 1,
      sym_type_arguments,
    ACTIONS(1851), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    STATE(1546), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_cascade_section_repeat1,
    ACTIONS(1849), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [78254] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1635), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1547), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3261), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [78308] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    STATE(1546), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1755), 1,
      sym_argument_part,
    STATE(1767), 1,
      sym_arguments,
    STATE(2978), 1,
      sym_type_arguments,
    STATE(1548), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1859), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [78372] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1549), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3316), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [78424] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3948), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3950), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2785), 1,
      sym_binary_operator,
    STATE(3208), 1,
      sym__bitwise_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3946), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1550), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3944), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(3207), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [78504] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1551), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3563), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3561), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78556] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1552), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3567), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3565), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78608] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1592), 1,
      aux_sym__if_null_expression,
    STATE(1553), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3234), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [78662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1554), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3571), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3569), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78714] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1555), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3559), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3557), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [78766] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3952), 1,
      anon_sym_QMARK,
    STATE(1665), 1,
      sym__nullable_type,
    STATE(1556), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 7,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3209), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [78822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1557), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3293), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [78874] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1558), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3077), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [78926] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1559), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3371), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [78978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1560), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3142), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79030] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1561), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1527), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1518), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [79082] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1562), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3156), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1563), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3301), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [79186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3957), 1,
      anon_sym_AT,
    STATE(1564), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3955), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [79238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3961), 1,
      anon_sym_AT,
    STATE(1565), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3959), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [79290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1566), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3539), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3537), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [79342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1567), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3316), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79394] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(353), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1568), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2112), 14,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [79454] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1569), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1840), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1812), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [79506] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3948), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3965), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2816), 1,
      sym_binary_operator,
    STATE(3208), 1,
      sym__bitwise_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3963), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1570), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3944), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(3207), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [79586] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1571), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3330), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79638] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1572), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3312), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79690] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1573), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [79742] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1574), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3297), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [79794] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1575), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3515), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3513), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [79846] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1576), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3301), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [79898] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1577), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [79952] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1578), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3219), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [80004] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1579), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3280), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [80056] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(353), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1568), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1580), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3087), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [80114] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1581), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3215), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [80166] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1582), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3503), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3501), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80218] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1583), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3495), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3493), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80270] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1584), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1107), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1105), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80322] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1585), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3308), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [80374] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1586), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2156), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80426] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1587), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3293), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [80478] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1588), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1156), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1154), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80530] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1589), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3219), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [80582] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3948), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3969), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2745), 1,
      sym_binary_operator,
    STATE(3208), 1,
      sym__bitwise_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3967), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1590), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3944), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(3207), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [80662] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1591), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3209), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [80716] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3971), 1,
      anon_sym_QMARK_QMARK,
    STATE(1592), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3323), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [80770] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1593), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2152), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1594), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2139), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80874] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1595), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2182), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2176), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80926] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1596), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2172), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [80978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1597), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2168), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81030] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1598), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3297), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [81082] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1599), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3459), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3457), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1600), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2212), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81186] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3974), 1,
      anon_sym_QMARK_QMARK,
    STATE(1601), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3323), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [81240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1602), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3312), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [81292] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1601), 1,
      aux_sym__if_null_expression,
    STATE(1603), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3234), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [81346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1604), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3416), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3414), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81398] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1654), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1605), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3245), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [81452] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1651), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1606), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3249), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [81506] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1607), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3424), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3422), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81558] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1608), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [81610] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2182), 1,
      sym__exclamation_operator,
    ACTIONS(3454), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1609), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2188), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2190), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [81668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1610), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3428), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3426), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1611), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3436), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3434), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1612), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2222), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1613), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3511), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3509), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [81876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1614), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [81928] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1644), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1615), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3253), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [81982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1616), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3330), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [82034] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3977), 1,
      anon_sym_QMARK,
    STATE(1299), 1,
      sym__nullable_type,
    STATE(1617), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [82090] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1618), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3471), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3469), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82142] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1836), 1,
      anon_sym_GT_GT,
    ACTIONS(1838), 1,
      sym__additive_operator,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    ACTIONS(3948), 1,
      anon_sym_EQ_EQ,
    ACTIONS(3982), 1,
      anon_sym_LBRACK_RBRACK_EQ,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(2791), 1,
      sym_binary_operator,
    STATE(3208), 1,
      sym__bitwise_operator,
    ACTIONS(1824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1826), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1834), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3980), 2,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    STATE(1619), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3944), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    STATE(3207), 5,
      sym_relational_operator,
      sym_bitwise_operator,
      sym_shift_operator,
      sym_additive_operator,
      sym_multiplicative_operator,
  [82222] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1639), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1620), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3245), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82276] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3984), 1,
      anon_sym_AMP,
    STATE(1621), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2016), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82330] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1622), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3475), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3473), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82382] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1623), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3479), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3477), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82434] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1624), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3483), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3481), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82486] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1625), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2192), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82538] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1626), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3215), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [82590] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1627), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3519), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3517), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [82642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1628), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3340), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [82694] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2166), 1,
      sym__exclamation_operator,
    ACTIONS(3387), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1629), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2160), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2162), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [82752] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3987), 1,
      anon_sym_CARET,
    STATE(1630), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2051), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82806] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1631), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3340), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [82858] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3990), 1,
      anon_sym_PIPE,
    STATE(1632), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2020), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82912] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3993), 1,
      anon_sym_AMP_AMP,
    STATE(1633), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2055), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [82966] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1633), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1634), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3249), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [83020] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3996), 1,
      anon_sym_AMP,
    STATE(1635), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2016), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [83074] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1632), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1636), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3253), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [83128] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1630), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1637), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3257), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [83182] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3999), 1,
      anon_sym_CARET,
    STATE(1638), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2051), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [83236] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4002), 1,
      anon_sym_PIPE_PIPE,
    STATE(1639), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2012), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [83290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1640), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3367), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [83342] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1641), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3377), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3375), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83394] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1642), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3527), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3525), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83446] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1643), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3531), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3529), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83498] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4005), 1,
      anon_sym_PIPE,
    STATE(1644), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2020), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [83552] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1645), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3535), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3533), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83604] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1638), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1646), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3257), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [83658] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1647), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3367), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [83710] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1648), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2200), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83762] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1621), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1649), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3261), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [83816] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1650), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(2204), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [83868] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4008), 1,
      anon_sym_AMP_AMP,
    STATE(1651), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2055), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [83922] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1652), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3308), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [83974] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1653), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3547), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3545), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84026] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4011), 1,
      anon_sym_PIPE_PIPE,
    STATE(1654), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2012), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [84080] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2770), 1,
      anon_sym_LT,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    STATE(1548), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1755), 1,
      sym_argument_part,
    STATE(1767), 1,
      sym_arguments,
    STATE(2978), 1,
      sym_type_arguments,
    STATE(1655), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1802), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [84144] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1656), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3371), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_Function,
  [84196] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4016), 1,
      anon_sym_AT,
    STATE(1657), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4014), 27,
      anon_sym_part,
      anon_sym_enum,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_extension,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_library,
      anon_sym_covariant,
      anon_sym_export,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_import,
      anon_sym_operator,
      anon_sym_mixin,
      anon_sym_required,
      anon_sym_set,
      anon_sym_static,
      anon_sym_typedef,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      anon_sym_this,
      sym_identifier,
  [84248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1658), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3463), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3461), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84300] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1659), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3280), 22,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_Function,
  [84352] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2182), 1,
      sym__exclamation_operator,
    ACTIONS(3442), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(1660), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2178), 5,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2180), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [84410] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1661), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1875), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1877), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1662), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3400), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3398), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84514] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1663), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1114), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(1112), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84566] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1664), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3381), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      sym__exclamation_operator,
    ACTIONS(3379), 20,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [84618] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1665), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3402), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [84669] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1666), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2024), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [84720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1667), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3549), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [84771] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1668), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3485), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [84822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1669), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3438), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [84873] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1378), 1,
      sym_identifier,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2387), 1,
      sym_function_signature,
    STATE(2513), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1670), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2402), 2,
      sym__get,
      sym__set,
  [84970] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1671), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3549), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85021] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1672), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3553), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1673), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3553), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85123] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1674), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85174] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1675), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3410), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85225] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1676), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3390), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85276] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1677), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3020), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85327] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1866), 1,
      anon_sym_LT,
    ACTIONS(4018), 1,
      anon_sym_LPAREN,
    STATE(886), 1,
      aux_sym_cascade_section_repeat1,
    STATE(1233), 1,
      sym_arguments,
    STATE(1238), 1,
      sym_argument_part,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(1678), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1861), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1859), 18,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [85390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1679), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3410), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85441] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1680), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3430), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85492] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4023), 1,
      anon_sym_QMARK,
    ACTIONS(4027), 1,
      anon_sym_LT,
    STATE(1712), 1,
      sym_type_parameters,
    STATE(1717), 1,
      sym__nullable_type,
    STATE(1762), 1,
      sym_parameter_type_list,
    STATE(1681), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2951), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [85555] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1682), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3438), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85606] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1683), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3390), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85657] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1809), 1,
      anon_sym_LT,
    ACTIONS(4031), 1,
      anon_sym_LPAREN,
    STATE(1233), 1,
      sym_arguments,
    STATE(1238), 1,
      sym_argument_part,
    STATE(1678), 1,
      aux_sym_cascade_section_repeat1,
    STATE(3045), 1,
      sym_type_arguments,
    STATE(1684), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1804), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1802), 18,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [85720] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4034), 1,
      anon_sym_QMARK,
    ACTIONS(4037), 1,
      anon_sym_LT,
    STATE(1712), 1,
      sym_type_parameters,
    STATE(1722), 1,
      sym__nullable_type,
    STATE(1762), 1,
      sym_parameter_type_list,
    STATE(1685), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2917), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [85783] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1686), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(2024), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [85834] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1687), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(1998), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [85889] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1688), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3430), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_else,
  [85940] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(354), 1,
      sym_additive_operator,
    STATE(1687), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1689), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3202), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [85995] = 31,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1378), 1,
      sym_identifier,
    STATE(542), 1,
      sym_lambda_expression,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2386), 1,
      sym_function_signature,
    STATE(2513), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1690), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2402), 2,
      sym__get,
      sym__set,
  [86092] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1691), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_as,
      anon_sym_async,
    ACTIONS(3485), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [86143] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1693), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1692), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3253), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86195] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4040), 1,
      anon_sym_PIPE,
    STATE(1693), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2020), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86247] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1694), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3489), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86297] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1695), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3010), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86347] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4043), 1,
      anon_sym_Function,
    STATE(1685), 1,
      sym__function_builtin_identifier,
    STATE(1710), 1,
      aux_sym__function_type_tails,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(1696), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2988), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86405] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1708), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1697), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3257), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86457] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1698), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3497), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86507] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4045), 1,
      anon_sym_PIPE_PIPE,
    STATE(1699), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2012), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86559] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1700), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86609] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3017), 1,
      anon_sym_SLASH,
    STATE(414), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    ACTIONS(3014), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    STATE(1701), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_multiplicative_expression_repeat1,
    ACTIONS(3012), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3010), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [86667] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1706), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1702), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3249), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86719] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(414), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1701), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1703), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3008), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3006), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [86779] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4048), 1,
      anon_sym_QMARK_QMARK,
    STATE(1704), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3323), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86831] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1709), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1705), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3261), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86883] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4051), 1,
      anon_sym_AMP_AMP,
    STATE(1706), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2055), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [86935] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1707), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [86985] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4054), 1,
      anon_sym_CARET,
    STATE(1708), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2051), 15,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [87037] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4057), 1,
      anon_sym_AMP,
    STATE(1709), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 8,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2016), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [87089] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4060), 1,
      anon_sym_Function,
    STATE(1685), 1,
      sym__function_builtin_identifier,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(1710), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2910), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87145] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1704), 1,
      aux_sym__if_null_expression,
    STATE(1711), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3234), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [87197] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4063), 1,
      anon_sym_QMARK,
    STATE(1716), 1,
      sym__nullable_type,
    STATE(1763), 1,
      sym_parameter_type_list,
    STATE(1712), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [87255] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1713), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3541), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87305] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1714), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87355] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1715), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3573), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87405] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4066), 1,
      anon_sym_QMARK,
    STATE(1766), 1,
      sym_parameter_type_list,
    STATE(1828), 1,
      sym__nullable_type,
    STATE(1716), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [87463] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4069), 1,
      anon_sym_QMARK,
    STATE(1763), 1,
      sym_parameter_type_list,
    STATE(1814), 1,
      sym__nullable_type,
    STATE(1717), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3063), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [87521] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1718), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87571] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1699), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1719), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 9,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3245), 16,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
  [87623] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(414), 1,
      sym_multiplicative_operator,
    STATE(1536), 1,
      sym__multiplicative_operator,
    STATE(1703), 1,
      aux_sym_multiplicative_expression_repeat1,
    STATE(1720), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3024), 3,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [87683] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4043), 1,
      anon_sym_Function,
    STATE(1685), 1,
      sym__function_builtin_identifier,
    STATE(1710), 1,
      aux_sym__function_type_tails,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(1721), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2969), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87741] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4021), 1,
      anon_sym_LPAREN,
    ACTIONS(4063), 1,
      anon_sym_QMARK,
    STATE(1763), 1,
      sym_parameter_type_list,
    STATE(1814), 1,
      sym__nullable_type,
    STATE(1722), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [87799] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1723), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3383), 19,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [87849] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4079), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3233), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1724), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [87940] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4081), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2673), 1,
      sym_normal_parameter_type,
    STATE(3115), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1725), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88031] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4083), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2638), 1,
      sym_normal_parameter_type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(3184), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1726), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88122] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4085), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3267), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1727), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88213] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4087), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3156), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1728), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88304] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4089), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3311), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1729), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88395] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4091), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3310), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1730), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88486] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4093), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2772), 1,
      sym_normal_parameter_type,
    STATE(3295), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1731), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88577] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4095), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3123), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1732), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88668] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4097), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3121), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1733), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88759] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3194), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1734), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88850] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4101), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3195), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1735), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [88941] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3274), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1736), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89032] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4105), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2721), 1,
      sym_normal_parameter_type,
    STATE(3117), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1737), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89123] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2775), 1,
      sym_normal_parameter_type,
    STATE(3305), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1738), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89214] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4109), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3270), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1739), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89305] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4111), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2674), 1,
      sym_normal_parameter_type,
    STATE(3242), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1740), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4113), 1,
      anon_sym_DOT,
    STATE(1795), 1,
      sym__type_dot_identifier,
    STATE(1741), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3188), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [89449] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4115), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3096), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1742), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89540] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4117), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2702), 1,
      sym_normal_parameter_type,
    STATE(3220), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1743), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89631] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4119), 1,
      anon_sym_QMARK,
    ACTIONS(4122), 1,
      anon_sym_LT,
    STATE(1775), 1,
      sym_type_arguments,
    STATE(1786), 1,
      sym__nullable_type,
    STATE(1744), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3103), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [89688] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(319), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1745), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2112), 14,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [89745] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(1378), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2045), 1,
      sym__late_builtin,
    STATE(2050), 1,
      sym__final_or_const,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2320), 1,
      sym__get,
    STATE(2350), 1,
      sym__set,
    STATE(2371), 1,
      sym__type,
    STATE(2525), 1,
      sym_setter_signature,
    STATE(2740), 1,
      sym_inferred_type,
    ACTIONS(4125), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1746), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2406), 2,
      sym_getter_signature,
      sym_function_signature,
  [89836] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3098), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1747), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [89927] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4129), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2630), 1,
      sym_normal_parameter_type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(3188), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1748), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [90018] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(319), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1745), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1749), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3087), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90073] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4131), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3110), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1750), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [90164] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3108), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1751), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [90255] = 29,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4075), 1,
      anon_sym_LBRACE,
    ACTIONS(4077), 1,
      anon_sym_LBRACK,
    ACTIONS(4135), 1,
      anon_sym_RPAREN,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(3164), 1,
      sym_optional_parameter_types,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1752), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3241), 2,
      sym_optional_positional_parameter_types,
      sym_named_parameter_types,
  [90346] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      anon_sym_SQUOTE,
    ACTIONS(1591), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1593), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1595), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(1597), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(1599), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1601), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4139), 1,
      anon_sym_async,
    STATE(1481), 1,
      aux_sym_string_literal_repeat1,
    STATE(2483), 1,
      sym_string_literal,
    STATE(1753), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4137), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(1865), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [90416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1754), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2224), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2222), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90464] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1755), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2220), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2218), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90512] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1756), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2228), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2226), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90560] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1757), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3363), 18,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [90608] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1758), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2202), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2200), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1759), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2206), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2204), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90704] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1760), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2170), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2168), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1761), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2194), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2192), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90800] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4063), 1,
      anon_sym_QMARK,
    STATE(1814), 1,
      sym__nullable_type,
    STATE(1762), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [90852] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4066), 1,
      anon_sym_QMARK,
    STATE(1828), 1,
      sym__nullable_type,
    STATE(1763), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [90904] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1772), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1764), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3202), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [90956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1765), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3344), 18,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [91004] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4141), 1,
      anon_sym_QMARK,
    STATE(1792), 1,
      sym__nullable_type,
    STATE(1766), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [91056] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1767), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2214), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2212), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91104] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1768), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2210), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2208), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91152] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1769), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2147), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2139), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91200] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4146), 1,
      anon_sym_QMARK,
    ACTIONS(4149), 1,
      anon_sym_LT,
    STATE(1788), 1,
      sym_type_parameters,
    STATE(1815), 1,
      sym__nullable_type,
    STATE(1866), 1,
      sym_parameter_type_list,
    STATE(1770), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2917), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [91260] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1771), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2154), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2152), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91308] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(323), 1,
      sym_additive_operator,
    STATE(1772), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1998), 15,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91360] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1773), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2158), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2156), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91408] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1774), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 11,
      anon_sym_extends,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3265), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [91456] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4152), 1,
      anon_sym_QMARK,
    STATE(1785), 1,
      sym__nullable_type,
    STATE(1775), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [91508] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4155), 1,
      anon_sym_QMARK,
    ACTIONS(4159), 1,
      anon_sym_LT,
    STATE(1788), 1,
      sym_type_parameters,
    STATE(1826), 1,
      sym__nullable_type,
    STATE(1866), 1,
      sym_parameter_type_list,
    STATE(1776), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2951), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [91568] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(2036), 1,
      anon_sym_static,
    ACTIONS(4163), 1,
      sym_identifier,
    ACTIONS(4166), 1,
      sym_void_type,
    ACTIONS(4169), 1,
      anon_sym_Function,
    ACTIONS(4174), 1,
      sym_const_builtin,
    STATE(1550), 1,
      sym__operator,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2519), 1,
      sym__static,
    STATE(2970), 1,
      sym__type,
    STATE(3239), 1,
      sym__factory,
    ACTIONS(4172), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1777), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3198), 4,
      sym_operator_signature,
      sym_factory_constructor_signature,
      sym_constructor_signature,
      sym_constant_constructor_signature,
  [91652] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1778), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3265), 18,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [91700] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1779), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2174), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2172), 20,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [91748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1780), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3223), 18,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [91796] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4176), 1,
      anon_sym_Function,
    STATE(1770), 1,
      sym__function_builtin_identifier,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(1781), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2912), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2910), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [91849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1782), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3012), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3010), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [91896] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4179), 1,
      anon_sym_QMARK,
    STATE(1885), 1,
      sym_parameter_type_list,
    STATE(1902), 1,
      sym__nullable_type,
    STATE(1783), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [91951] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1784), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3507), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3505), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [91998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1785), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3215), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92045] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1786), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92092] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1787), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3280), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92139] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4182), 1,
      anon_sym_QMARK,
    STATE(1783), 1,
      sym__nullable_type,
    STATE(1853), 1,
      sym_parameter_type_list,
    STATE(1788), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [92194] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1808), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1789), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3245), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92243] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1790), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3575), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3573), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [92290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1791), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2366), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2354), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [92337] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1792), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3312), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92384] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 1,
      anon_sym_LT,
    STATE(1850), 1,
      sym_type_parameters,
    STATE(1855), 1,
      sym__nullable_type,
    STATE(1907), 1,
      sym_parameter_type_list,
    STATE(1793), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2917), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2928), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [92443] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1794), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2162), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2164), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [92490] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1795), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3219), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92537] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1796), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3316), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [92584] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4192), 1,
      anon_sym_AMP,
    STATE(1797), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2016), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92633] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4195), 1,
      anon_sym_CARET,
    STATE(1798), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2051), 15,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92682] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4198), 1,
      anon_sym_PIPE,
    STATE(1799), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2020), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92731] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4201), 1,
      anon_sym_Function,
    STATE(1770), 1,
      sym__function_builtin_identifier,
    STATE(1781), 1,
      aux_sym__function_type_tails,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(1800), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2990), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2988), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [92786] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4203), 1,
      anon_sym_AMP_AMP,
    STATE(1801), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2055), 15,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92835] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1802), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3499), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3497), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [92882] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1801), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1803), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3249), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92931] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1799), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1804), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3253), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [92980] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4201), 1,
      anon_sym_Function,
    STATE(1770), 1,
      sym__function_builtin_identifier,
    STATE(1781), 1,
      aux_sym__function_type_tails,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(1805), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2971), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2969), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [93035] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1798), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1806), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3257), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1807), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3543), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3541), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [93131] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4206), 1,
      anon_sym_PIPE_PIPE,
    STATE(1808), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2012), 15,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93180] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1809), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3301), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1810), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93276] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1813), 1,
      aux_sym__if_null_expression,
    STATE(1811), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3234), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93325] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1812), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3293), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93372] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4209), 1,
      anon_sym_QMARK_QMARK,
    STATE(1813), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3323), 15,
      sym__automatic_semicolon,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93421] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1814), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93468] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4182), 1,
      anon_sym_QMARK,
    STATE(1853), 1,
      sym_parameter_type_list,
    STATE(1921), 1,
      sym__nullable_type,
    STATE(1815), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [93523] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1816), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3367), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1817), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3340), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1818), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2513), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(2505), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [93664] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 1,
      anon_sym_LT,
    STATE(1850), 1,
      sym_type_parameters,
    STATE(1883), 1,
      sym__nullable_type,
    STATE(1907), 1,
      sym_parameter_type_list,
    STATE(1819), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2951), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2966), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [93723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1820), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3308), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93770] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1821), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3383), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [93817] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1822), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3297), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93864] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1823), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3371), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [93911] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4212), 1,
      anon_sym_QMARK,
    STATE(1840), 1,
      sym__nullable_type,
    STATE(1824), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [93962] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1797), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1825), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3261), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94011] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4144), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_QMARK,
    STATE(1853), 1,
      sym_parameter_type_list,
    STATE(1921), 1,
      sym__nullable_type,
    STATE(1826), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3063), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [94066] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1827), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3491), 7,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3489), 16,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_is,
      anon_sym_as,
  [94113] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1828), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [94160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1829), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3330), 17,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_Function,
  [94207] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1830), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3390), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94253] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1831), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3344), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3346), 12,
      anon_sym_extends,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [94299] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(316), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    STATE(1834), 1,
      aux_sym_shift_expression_repeat1,
    STATE(1832), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3089), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3087), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [94351] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1833), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3430), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94397] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3060), 1,
      anon_sym_GT_GT,
    STATE(316), 1,
      sym_shift_operator,
    STATE(1526), 1,
      sym__shift_operator,
    ACTIONS(3057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    STATE(1834), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_shift_expression_repeat1,
    ACTIONS(2114), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2112), 11,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [94451] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1835), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3438), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94497] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4219), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2047), 1,
      sym__metadata,
    STATE(2065), 1,
      sym_function_type,
    STATE(2086), 1,
      sym__required,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2930), 1,
      sym__named_parameter_type,
    STATE(3057), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1836), 2,
      sym_comment,
      sym_documentation_comment,
  [94581] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1837), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3485), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94627] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1838), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3553), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94673] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(1977), 1,
      sym__nullable_type,
    STATE(1839), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3103), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3111), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [94727] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1840), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3402), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94773] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1841), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3549), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94819] = 27,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4223), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2047), 1,
      sym__metadata,
    STATE(2065), 1,
      sym_function_type,
    STATE(2086), 1,
      sym__required,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2930), 1,
      sym__named_parameter_type,
    STATE(3057), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1842), 2,
      sym_comment,
      sym_documentation_comment,
  [94903] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1843), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2198), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(2196), 19,
      sym__automatic_semicolon,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94949] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1844), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [94995] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1845), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2024), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [95041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1846), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3410), 16,
      sym__automatic_semicolon,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
  [95087] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4225), 1,
      anon_sym_DOT,
    STATE(1927), 1,
      sym__type_dot_identifier,
    STATE(1847), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3188), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [95137] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4227), 1,
      anon_sym_QMARK,
    ACTIONS(4230), 1,
      anon_sym_LT,
    STATE(1886), 1,
      sym_type_arguments,
    STATE(1928), 1,
      sym__nullable_type,
    STATE(1848), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 4,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3103), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [95191] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1849), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3223), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3225), 12,
      anon_sym_extends,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [95237] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    STATE(1858), 1,
      sym__nullable_type,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(1850), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3049), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [95290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1851), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2272), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2274), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [95335] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1852), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3219), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [95380] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4179), 1,
      anon_sym_QMARK,
    STATE(1902), 1,
      sym__nullable_type,
    STATE(1853), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [95429] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1854), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3365), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3363), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [95474] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(1855), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3049), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [95527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1856), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2326), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2328), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [95572] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(109), 1,
      anon_sym_covariant,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1955), 1,
      sym__covariant,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2692), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1857), 2,
      sym_comment,
      sym_documentation_comment,
  [95653] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4236), 1,
      anon_sym_QMARK,
    STATE(1892), 1,
      sym_parameter_type_list,
    STATE(1954), 1,
      sym__nullable_type,
    STATE(1858), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3077), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3085), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [95706] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1889), 1,
      aux_sym_additive_expression_repeat1,
    STATE(1859), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3204), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3202), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [95755] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2047), 1,
      sym__metadata,
    STATE(2065), 1,
      sym_function_type,
    STATE(2086), 1,
      sym__required,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2712), 1,
      sym__named_parameter_type,
    STATE(3057), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1860), 2,
      sym_comment,
      sym_documentation_comment,
  [95836] = 26,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2047), 1,
      sym__metadata,
    STATE(2065), 1,
      sym_function_type,
    STATE(2086), 1,
      sym__required,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2930), 1,
      sym__named_parameter_type,
    STATE(3057), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1861), 2,
      sym_comment,
      sym_documentation_comment,
  [95917] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1862), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3346), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3344), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [95962] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1863), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3267), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3265), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [96007] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4239), 1,
      sym_identifier,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(1864), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3080), 2,
      sym_uri,
      sym_dotted_identifier_list,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [96074] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1865), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2346), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2348), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96119] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4182), 1,
      anon_sym_QMARK,
    STATE(1921), 1,
      sym__nullable_type,
    STATE(1866), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3041), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [96168] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1867), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2306), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2308), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96213] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4239), 1,
      sym_identifier,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(1868), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2876), 2,
      sym_uri,
      sym_dotted_identifier_list,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [96280] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1869), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2314), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2316), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96325] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1793), 1,
      sym__function_builtin_identifier,
    STATE(1872), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1870), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2988), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2990), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [96378] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1793), 1,
      sym__function_builtin_identifier,
    STATE(1872), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1871), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2971), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [96431] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_Function,
    STATE(1793), 1,
      sym__function_builtin_identifier,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(1872), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2910), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(2912), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [96482] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1873), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2350), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2352), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96527] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1874), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3225), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3223), 15,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [96572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1875), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2310), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2312), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96617] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1876), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2318), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2320), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96662] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1877), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2302), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2304), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96707] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1878), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2268), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2270), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1879), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2338), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2340), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96797] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1880), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2342), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2344), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96842] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1881), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2260), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2262), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96887] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1882), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2330), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2332), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [96932] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(1883), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3063), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3074), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [96985] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1884), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2334), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2336), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [97030] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4244), 1,
      anon_sym_QMARK,
    STATE(1912), 1,
      sym__nullable_type,
    STATE(1885), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [97079] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4247), 1,
      anon_sym_QMARK,
    STATE(1930), 1,
      sym__nullable_type,
    STATE(1886), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [97128] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1887), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2264), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2266), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [97173] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1888), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2322), 6,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
      anon_sym_QMARK,
      anon_sym_async,
    ACTIONS(2324), 15,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [97218] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3139), 1,
      sym__additive_operator,
    STATE(321), 1,
      sym_additive_operator,
    STATE(1889), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_additive_expression_repeat1,
    ACTIONS(2000), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(1998), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_is,
      anon_sym_as,
  [97267] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1890), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3318), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3316), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [97311] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4250), 1,
      sym_identifier,
    ACTIONS(4253), 1,
      sym_void_type,
    ACTIONS(4258), 1,
      anon_sym_Function,
    ACTIONS(4261), 1,
      anon_sym_get,
    ACTIONS(4264), 1,
      anon_sym_static,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2036), 1,
      sym__static,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2968), 1,
      sym__type,
    STATE(3198), 1,
      sym_getter_signature,
    STATE(3210), 1,
      sym__get,
    STATE(1891), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4256), 4,
      anon_sym_factory,
      anon_sym_operator,
      anon_sym_set,
      sym_const_builtin,
  [97385] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4267), 1,
      anon_sym_QMARK,
    STATE(1950), 1,
      sym__nullable_type,
    STATE(1892), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3156), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3161), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [97433] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1893), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3340), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3342), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [97477] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1904), 1,
      aux_sym_bitwise_and_expression_repeat1,
    STATE(1894), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3263), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3261), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [97523] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2187), 1,
      sym_uri,
    STATE(2242), 1,
      sym_configurable_uri,
    STATE(2400), 1,
      sym_string_literal,
    STATE(1895), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [97589] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4270), 1,
      anon_sym_PIPE_PIPE,
    STATE(1896), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_or_expression_repeat1,
    ACTIONS(2014), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2012), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [97635] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4273), 1,
      anon_sym_RBRACK,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1897), 2,
      sym_comment,
      sym_documentation_comment,
  [97713] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1898), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3308), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3310), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [97757] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4275), 1,
      anon_sym_AMP_AMP,
    STATE(1899), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_logical_and_expression_repeat1,
    ACTIONS(2057), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2055), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [97803] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4278), 1,
      anon_sym_PIPE,
    STATE(1900), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_or_expression_repeat1,
    ACTIONS(2022), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2020), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [97849] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1901), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3299), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3297), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [97893] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1902), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3161), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3156), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [97937] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4281), 1,
      anon_sym_CARET,
    STATE(1903), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_xor_expression_repeat1,
    ACTIONS(2053), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2051), 12,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [97983] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4284), 1,
      anon_sym_AMP,
    STATE(1904), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_bitwise_and_expression_repeat1,
    ACTIONS(2018), 5,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2016), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98029] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1905), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3373), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3371), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98073] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1914), 1,
      aux_sym__if_null_expression,
    STATE(1906), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3236), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3234), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98119] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(1907), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3041), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3049), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [98167] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1903), 1,
      aux_sym_bitwise_xor_expression_repeat1,
    STATE(1908), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3259), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3257), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98213] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4236), 1,
      anon_sym_QMARK,
    STATE(1954), 1,
      sym__nullable_type,
    STATE(1909), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3077), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3085), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [98261] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1910), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 9,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3367), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [98305] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1911), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3310), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3308), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98349] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1912), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3314), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3312), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98393] = 25,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4287), 1,
      anon_sym_RBRACK,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1913), 2,
      sym_comment,
      sym_documentation_comment,
  [98471] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4289), 1,
      anon_sym_QMARK_QMARK,
    STATE(1914), 3,
      aux_sym__if_null_expression,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3328), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3323), 12,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98517] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(1915), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 8,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3188), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SEMI,
  [98565] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1916), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3303), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3301), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98609] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(2417), 1,
      sym_uri,
    STATE(2484), 1,
      sym_configurable_uri,
    STATE(1917), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [98675] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1980), 1,
      sym__nullable_type,
    STATE(1918), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3142), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3147), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [98723] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1919), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3295), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3293), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98767] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1920), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3282), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3280), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98811] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1921), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3077), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98855] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1922), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3342), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3340), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [98899] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4294), 1,
      anon_sym_QMARK,
    STATE(1953), 1,
      sym__nullable_type,
    STATE(1923), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98947] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1896), 1,
      aux_sym_logical_or_expression_repeat1,
    STATE(1924), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3247), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3245), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [98993] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1925), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3367), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [99037] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3213), 1,
      anon_sym_Function,
    STATE(1926), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3209), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [99083] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1927), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3221), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3219), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [99127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1928), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3142), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [99171] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1929), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3332), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3330), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [99215] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1930), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3217), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3215), 14,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
      anon_sym_Function,
  [99259] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1899), 1,
      aux_sym_logical_and_expression_repeat1,
    STATE(1931), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3251), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3249), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [99305] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1932), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3363), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3365), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [99349] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1900), 1,
      aux_sym_bitwise_or_expression_repeat1,
    STATE(1933), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3255), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3253), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [99395] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1934), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3280), 10,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3282), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [99439] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(2417), 1,
      sym_uri,
    STATE(2458), 1,
      sym_configurable_uri,
    STATE(1935), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [99505] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4297), 1,
      anon_sym_of,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(2938), 1,
      sym_uri,
    STATE(1936), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [99571] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4299), 1,
      anon_sym_of,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(3069), 1,
      sym_uri,
    STATE(1937), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [99637] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2714), 1,
      sym_normal_parameter_type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1938), 2,
      sym_comment,
      sym_documentation_comment,
  [99712] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1939), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3316), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3318), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [99755] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1940), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3293), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3295), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [99798] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(2546), 1,
      sym_uri,
    STATE(1941), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [99861] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1942), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3551), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3549), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [99904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1943), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3371), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3373), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [99947] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1944), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3385), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_SLASH,
    ACTIONS(3383), 15,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_DOT,
  [99990] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1945), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3022), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3020), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100033] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4301), 1,
      sym_identifier,
    ACTIONS(4303), 1,
      anon_sym_GT,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2707), 1,
      sym__type,
    STATE(2720), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1946), 2,
      sym_comment,
      sym_documentation_comment,
  [100108] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2075), 1,
      sym__metadata,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2579), 1,
      sym__type,
    STATE(2671), 1,
      sym_typed_identifier,
    STATE(2800), 1,
      sym_normal_parameter_type,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(1947), 2,
      sym_comment,
      sym_documentation_comment,
  [100183] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1948), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(2024), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100226] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1949), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3432), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3430), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100269] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1950), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3312), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3314), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [100312] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1951), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3297), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3299), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [100355] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(2938), 1,
      sym_uri,
    STATE(1952), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [100418] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1953), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3404), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3402), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100461] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1954), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3156), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3161), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [100504] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2692), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3221), 1,
      sym__final_const_var_or_type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1955), 2,
      sym_comment,
      sym_documentation_comment,
  [100579] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4305), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    STATE(3334), 1,
      sym__type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1956), 2,
      sym_comment,
      sym_documentation_comment,
  [100654] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1957), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3392), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3390), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1958), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3487), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3485), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [100740] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1959), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3077), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3085), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [100783] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4309), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2267), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(1960), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(1706), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [100844] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4305), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3211), 1,
      sym__final_const_var_or_type,
    STATE(3334), 1,
      sym__type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1961), 2,
      sym_comment,
      sym_documentation_comment,
  [100919] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2400), 1,
      sym_string_literal,
    STATE(3069), 1,
      sym_uri,
    STATE(1962), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [100982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1963), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3438), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [101025] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1964), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3330), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3332), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [101068] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1965), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3410), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [101111] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2033), 1,
      sym__late_builtin,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2692), 1,
      sym__type,
    STATE(2821), 1,
      sym__var_or_type,
    STATE(3193), 1,
      sym__final_const_var_or_type,
    ACTIONS(209), 2,
      sym_const_builtin,
      sym_final_builtin,
    STATE(1966), 2,
      sym_comment,
      sym_documentation_comment,
  [101186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1967), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3555), 6,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT_GT,
    ACTIONS(3553), 13,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      sym_equality_operator,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_is,
      anon_sym_as,
  [101229] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1968), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3301), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3303), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [101272] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1969), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4312), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_SLASH,
      anon_sym_TILDE,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(4314), 13,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      sym__additive_operator,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_TILDE_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_LBRACK_RBRACK_EQ,
  [101315] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4137), 1,
      anon_sym_SEMI,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(2483), 1,
      sym_string_literal,
    STATE(1970), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [101378] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4316), 1,
      sym_identifier,
    ACTIONS(4319), 1,
      anon_sym_LBRACE,
    ACTIONS(4321), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2314), 1,
      sym_function_type,
    STATE(2335), 1,
      sym__type_not_function,
    STATE(2574), 1,
      sym__type_not_void,
    STATE(2760), 1,
      sym__type,
    STATE(2977), 1,
      sym_type_arguments,
    ACTIONS(4323), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(1971), 2,
      sym_comment,
      sym_documentation_comment,
  [101450] = 24,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4325), 1,
      sym_identifier,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2314), 1,
      sym_function_type,
    STATE(2335), 1,
      sym__type_not_function,
    STATE(2568), 1,
      sym__type_not_void,
    STATE(2664), 1,
      sym__type,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(3036), 1,
      sym_static_final_declaration_list,
    STATE(3040), 1,
      sym_type_arguments,
    STATE(1972), 2,
      sym_comment,
      sym_documentation_comment,
  [101524] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    ACTIONS(4338), 1,
      anon_sym_QMARK_DOT,
    STATE(1390), 1,
      sym__assignable_selector_part,
    STATE(1464), 1,
      sym_index_selector,
    STATE(1469), 1,
      sym__assignable_selector,
    STATE(1998), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(1366), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1973), 2,
      sym_comment,
      sym_documentation_comment,
  [101596] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4340), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2389), 1,
      sym__get,
    STATE(2395), 1,
      sym__set,
    STATE(2541), 1,
      sym__type,
    STATE(1974), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3036), 3,
      sym_getter_signature,
      sym_setter_signature,
      sym_function_signature,
  [101666] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(165), 1,
      anon_sym_DQUOTE,
    ACTIONS(167), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(171), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(173), 1,
      anon_sym_r_DQUOTE,
    ACTIONS(175), 1,
      anon_sym_r_SQUOTE,
    ACTIONS(177), 1,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
    STATE(531), 1,
      aux_sym_string_literal_repeat1,
    STATE(3289), 1,
      sym_string_literal,
    STATE(1975), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(697), 8,
      sym__string_literal_double_quotes,
      sym__string_literal_single_quotes,
      sym__string_literal_double_quotes_multiple,
      sym__string_literal_single_quotes_multiple,
      sym__raw_string_literal_double_quotes,
      sym__raw_string_literal_single_quotes,
      sym__raw_string_literal_double_quotes_multiple,
      sym__raw_string_literal_single_quotes_multiple,
  [101726] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    ACTIONS(4338), 1,
      anon_sym_QMARK_DOT,
    STATE(1459), 1,
      sym__assignable_selector,
    STATE(1464), 1,
      sym_index_selector,
    STATE(1718), 1,
      sym__assignable_selector_part,
    STATE(2009), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(1366), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1976), 2,
      sym_comment,
      sym_documentation_comment,
  [101798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1977), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3142), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3147), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [101840] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    ACTIONS(4346), 1,
      anon_sym_QMARK_DOT,
    STATE(1060), 1,
      sym__assignable_selector_part,
    STATE(1089), 1,
      sym__assignable_selector,
    STATE(1101), 1,
      sym_index_selector,
    STATE(1994), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(1100), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1978), 2,
      sym_comment,
      sym_documentation_comment,
  [101912] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    ACTIONS(4352), 1,
      anon_sym_QMARK_DOT,
    STATE(1108), 1,
      sym__assignable_selector,
    STATE(1116), 1,
      sym__assignable_selector_part,
    STATE(1118), 1,
      sym_index_selector,
    STATE(1985), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(1119), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1979), 2,
      sym_comment,
      sym_documentation_comment,
  [101984] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1980), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3215), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
    ACTIONS(3217), 10,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_implements,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [102026] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4354), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_DOT,
    ACTIONS(4358), 1,
      anon_sym_QMARK_DOT,
    STATE(1586), 1,
      sym_index_selector,
    STATE(1660), 1,
      sym__assignable_selector,
    STATE(1794), 1,
      sym__assignable_selector_part,
    STATE(2003), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3029), 1,
      sym__nullable_type,
    STATE(1593), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1981), 2,
      sym_comment,
      sym_documentation_comment,
  [102098] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    ACTIONS(4346), 1,
      anon_sym_QMARK_DOT,
    STATE(1087), 1,
      sym__assignable_selector,
    STATE(1101), 1,
      sym_index_selector,
    STATE(1466), 1,
      sym__assignable_selector_part,
    STATE(2010), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(1100), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1982), 2,
      sym_comment,
      sym_documentation_comment,
  [102170] = 23,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    ACTIONS(4352), 1,
      anon_sym_QMARK_DOT,
    STATE(1098), 1,
      sym__assignable_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(1433), 1,
      sym__assignable_selector_part,
    STATE(1990), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(1119), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1983), 2,
      sym_comment,
      sym_documentation_comment,
  [102242] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4360), 1,
      sym_increment_operator,
    STATE(293), 1,
      sym__assignment_operator,
    STATE(1125), 1,
      sym_postfix_operator,
    STATE(1984), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102287] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    ACTIONS(4352), 1,
      anon_sym_QMARK_DOT,
    STATE(1115), 1,
      sym__assignable_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(1119), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1985), 2,
      sym_comment,
      sym_documentation_comment,
  [102356] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(4340), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2395), 1,
      sym__set,
    STATE(2474), 1,
      sym__get,
    STATE(2515), 1,
      sym__type,
    STATE(1986), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3198), 2,
      sym_setter_signature,
      sym_function_signature,
  [102425] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4362), 1,
      sym_increment_operator,
    STATE(199), 1,
      sym__assignment_operator,
    STATE(1416), 1,
      sym_postfix_operator,
    STATE(1987), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102470] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4360), 1,
      sym_increment_operator,
    STATE(271), 1,
      sym__assignment_operator,
    STATE(1125), 1,
      sym_postfix_operator,
    STATE(1988), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102515] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(256), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(1989), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102560] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    ACTIONS(4352), 1,
      anon_sym_QMARK_DOT,
    STATE(1103), 1,
      sym__assignable_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(1119), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1990), 2,
      sym_comment,
      sym_documentation_comment,
  [102629] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(284), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(1991), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(281), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(1992), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102719] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(226), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(1993), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102764] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    ACTIONS(4346), 1,
      anon_sym_QMARK_DOT,
    STATE(1091), 1,
      sym__assignable_selector,
    STATE(1101), 1,
      sym_index_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(1100), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1994), 2,
      sym_comment,
      sym_documentation_comment,
  [102833] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4366), 1,
      sym_increment_operator,
    STATE(257), 1,
      sym__assignment_operator,
    STATE(1378), 1,
      sym_postfix_operator,
    STATE(1995), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102878] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4368), 1,
      sym_increment_operator,
    STATE(304), 1,
      sym__assignment_operator,
    STATE(1707), 1,
      sym_postfix_operator,
    STATE(1996), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102923] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4370), 1,
      sym_increment_operator,
    STATE(217), 1,
      sym__assignment_operator,
    STATE(1818), 1,
      sym_postfix_operator,
    STATE(1997), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [102968] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    ACTIONS(4338), 1,
      anon_sym_QMARK_DOT,
    STATE(1464), 1,
      sym_index_selector,
    STATE(1467), 1,
      sym__assignable_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(1366), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(1998), 2,
      sym_comment,
      sym_documentation_comment,
  [103037] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4366), 1,
      sym_increment_operator,
    STATE(266), 1,
      sym__assignment_operator,
    STATE(1378), 1,
      sym_postfix_operator,
    STATE(1999), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103082] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2578), 1,
      anon_sym_QMARK,
    ACTIONS(4372), 1,
      anon_sym_LBRACK,
    ACTIONS(4375), 1,
      anon_sym_LPAREN,
    ACTIONS(4378), 1,
      anon_sym_LT,
    ACTIONS(4381), 1,
      sym__exclamation_operator,
    ACTIONS(4384), 1,
      anon_sym_DOT,
    ACTIONS(4387), 1,
      anon_sym_QMARK_DOT,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2391), 1,
      sym_index_selector,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3039), 1,
      sym__nullable_type,
    STATE(2341), 2,
      sym_argument_part,
      sym__assignable_selector,
    STATE(2392), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(2000), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__assignable_selector_part_repeat1,
  [103147] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(242), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(2001), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103192] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4370), 1,
      sym_increment_operator,
    STATE(295), 1,
      sym__assignment_operator,
    STATE(1818), 1,
      sym_postfix_operator,
    STATE(2002), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103237] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4354), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_DOT,
    ACTIONS(4358), 1,
      anon_sym_QMARK_DOT,
    STATE(1586), 1,
      sym_index_selector,
    STATE(1609), 1,
      sym__assignable_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(3029), 1,
      sym__nullable_type,
    STATE(1593), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(2003), 2,
      sym_comment,
      sym_documentation_comment,
  [103306] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4362), 1,
      sym_increment_operator,
    STATE(250), 1,
      sym__assignment_operator,
    STATE(1416), 1,
      sym_postfix_operator,
    STATE(2004), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103351] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(258), 1,
      sym__assignment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(2005), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103396] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4390), 1,
      sym_increment_operator,
    STATE(264), 1,
      sym__assignment_operator,
    STATE(1371), 1,
      sym_postfix_operator,
    STATE(2006), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103441] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4368), 1,
      sym_increment_operator,
    STATE(267), 1,
      sym__assignment_operator,
    STATE(1707), 1,
      sym_postfix_operator,
    STATE(2007), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103486] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4390), 1,
      sym_increment_operator,
    STATE(270), 1,
      sym__assignment_operator,
    STATE(1371), 1,
      sym_postfix_operator,
    STATE(2008), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [103531] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    ACTIONS(4338), 1,
      anon_sym_QMARK_DOT,
    STATE(1443), 1,
      sym__assignable_selector,
    STATE(1464), 1,
      sym_index_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(1366), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(2009), 2,
      sym_comment,
      sym_documentation_comment,
  [103600] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2768), 1,
      anon_sym_QMARK,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4334), 1,
      sym__exclamation_operator,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    ACTIONS(4346), 1,
      anon_sym_QMARK_DOT,
    STATE(1101), 1,
      sym_index_selector,
    STATE(1171), 1,
      sym__assignable_selector,
    STATE(2000), 1,
      aux_sym__assignable_selector_part_repeat1,
    STATE(2334), 1,
      sym_arguments,
    STATE(2339), 1,
      sym_selector,
    STATE(2341), 1,
      sym_argument_part,
    STATE(2921), 1,
      sym_type_arguments,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(1100), 2,
      sym_unconditional_assignable_selector,
      sym_conditional_assignable_selector,
    STATE(2010), 2,
      sym_comment,
      sym_documentation_comment,
  [103669] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4309), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2261), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(2011), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4392), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [103728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2012), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3412), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3410), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [103768] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2013), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3420), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3418), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [103808] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1954), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(2014), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4394), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [103848] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2015), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2026), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(2024), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [103888] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2016), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1300), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1298), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [103928] = 22,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4316), 1,
      sym_identifier,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2314), 1,
      sym_function_type,
    STATE(2335), 1,
      sym__type_not_function,
    STATE(2568), 1,
      sym__type_not_void,
    STATE(2760), 1,
      sym__type,
    STATE(3040), 1,
      sym_type_arguments,
    STATE(2017), 2,
      sym_comment,
      sym_documentation_comment,
  [103996] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2018), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3440), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3438), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [104036] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4398), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(2019), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4396), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [104076] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2020), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3467), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3465), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [104116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2021), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3523), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(3521), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [104156] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2062), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(2022), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4400), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [104196] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2023), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1200), 4,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_async,
    ACTIONS(1194), 12,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [104236] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4404), 2,
      anon_sym_RBRACE,
      anon_sym_AT,
    STATE(2024), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4402), 14,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_external,
      sym_identifier,
  [104276] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4406), 1,
      sym_identifier,
    ACTIONS(4408), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2566), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2925), 1,
      sym_type_arguments,
    STATE(2025), 2,
      sym_comment,
      sym_documentation_comment,
  [104341] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(131), 1,
      anon_sym_late,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2039), 1,
      sym__late_builtin,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2026), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2740), 2,
      sym__type,
      sym_inferred_type,
  [104404] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1793), 1,
      sym__function_builtin_identifier,
    STATE(1870), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4414), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(4412), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [104451] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4406), 1,
      sym_identifier,
    ACTIONS(4416), 1,
      anon_sym_LBRACE,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2602), 1,
      sym__type_not_void,
    STATE(2916), 1,
      sym_type_arguments,
    STATE(2028), 2,
      sym_comment,
      sym_documentation_comment,
  [104516] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2029), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2164), 15,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_TILDE_SLASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      sym_increment_operator,
  [104553] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4420), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2057), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2756), 1,
      sym__type,
    STATE(2760), 1,
      sym__var_or_type,
    STATE(2030), 2,
      sym_comment,
      sym_documentation_comment,
  [104618] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4406), 1,
      sym_identifier,
    ACTIONS(4422), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      anon_sym_LBRACK,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2595), 1,
      sym__type_not_void,
    STATE(2932), 1,
      sym_type_arguments,
    STATE(2031), 2,
      sym_comment,
      sym_documentation_comment,
  [104683] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4426), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2692), 1,
      sym__type,
    STATE(2740), 1,
      sym__var_or_type,
    STATE(2032), 2,
      sym_comment,
      sym_documentation_comment,
  [104748] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4428), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2052), 1,
      sym_inferred_type,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2692), 1,
      sym__type,
    STATE(2760), 1,
      sym__var_or_type,
    STATE(2033), 2,
      sym_comment,
      sym_documentation_comment,
  [104813] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2568), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(3040), 1,
      sym_type_arguments,
    STATE(2034), 2,
      sym_comment,
      sym_documentation_comment,
  [104878] = 21,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4221), 1,
      anon_sym_LT,
    ACTIONS(4319), 1,
      anon_sym_LBRACE,
    ACTIONS(4321), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2574), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2977), 1,
      sym_type_arguments,
    STATE(2035), 2,
      sym_comment,
      sym_documentation_comment,
  [104943] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2968), 1,
      sym__type,
    STATE(3210), 1,
      sym__get,
    STATE(3245), 1,
      sym_getter_signature,
    STATE(2036), 2,
      sym_comment,
      sym_documentation_comment,
  [105005] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4432), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2037), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4430), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105043] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4436), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2038), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4434), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105081] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4438), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2039), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2817), 2,
      sym__type,
      sym_inferred_type,
  [105141] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4442), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2040), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4440), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105179] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4446), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2041), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4444), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105217] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4450), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2042), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4448), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105255] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4309), 1,
      anon_sym_LT,
    ACTIONS(4452), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2247), 1,
      sym_formal_parameter_list,
    STATE(2301), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2043), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 5,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      sym_identifier,
  [105309] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4456), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2044), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4454), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105347] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4458), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2045), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2817), 2,
      sym__type,
      sym_inferred_type,
  [105407] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4462), 2,
      anon_sym_EQ,
      anon_sym_async,
    STATE(2046), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4460), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [105445] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(616), 1,
      anon_sym_required,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2082), 1,
      sym__required,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2955), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(2047), 2,
      sym_comment,
      sym_documentation_comment,
  [105507] = 20,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(99), 1,
      anon_sym_var,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4464), 1,
      sym_final_builtin,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2066), 1,
      sym_inferred_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2724), 1,
      sym__type,
    STATE(2048), 2,
      sym_comment,
      sym_documentation_comment,
  [105569] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4309), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2741), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2049), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [105622] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4466), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(2820), 1,
      sym__type,
    STATE(3245), 1,
      sym_static_final_declaration_list,
    STATE(2050), 2,
      sym_comment,
      sym_documentation_comment,
  [105681] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4468), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2641), 1,
      sym__type,
    ACTIONS(4471), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(2051), 2,
      sym_comment,
      sym_documentation_comment,
  [105738] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4473), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2845), 1,
      sym__type,
    ACTIONS(4476), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(2052), 2,
      sym_comment,
      sym_documentation_comment,
  [105795] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4478), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2655), 1,
      sym__type,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2053), 2,
      sym_comment,
      sym_documentation_comment,
  [105854] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4481), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2817), 1,
      sym__type,
    STATE(3245), 1,
      sym_initialized_identifier_list,
    STATE(2054), 2,
      sym_comment,
      sym_documentation_comment,
  [105913] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3188), 1,
      anon_sym_QMARK,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4309), 1,
      anon_sym_LT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2301), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2055), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [105966] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2056), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3211), 3,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_implements,
    ACTIONS(4483), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3209), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SEMI,
  [106005] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4485), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2654), 1,
      sym__type,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2057), 2,
      sym_comment,
      sym_documentation_comment,
  [106064] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4481), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2724), 1,
      sym__type,
    STATE(3036), 1,
      sym_initialized_identifier_list,
    STATE(2058), 2,
      sym_comment,
      sym_documentation_comment,
  [106123] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4466), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(2723), 1,
      sym__type,
    STATE(3036), 1,
      sym_static_final_declaration_list,
    STATE(2059), 2,
      sym_comment,
      sym_documentation_comment,
  [106182] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4481), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2840), 1,
      sym__type,
    STATE(3280), 1,
      sym_initialized_identifier_list,
    STATE(2060), 2,
      sym_comment,
      sym_documentation_comment,
  [106241] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4488), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2664), 1,
      sym__type,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(3036), 1,
      sym_static_final_declaration_list,
    STATE(2061), 2,
      sym_comment,
      sym_documentation_comment,
  [106300] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4481), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2740), 1,
      sym__type,
    STATE(3198), 1,
      sym_initialized_identifier_list,
    STATE(2062), 2,
      sym_comment,
      sym_documentation_comment,
  [106359] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4491), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2760), 1,
      sym__type,
    ACTIONS(4323), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(2063), 2,
      sym_comment,
      sym_documentation_comment,
  [106416] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4485), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2681), 1,
      sym__type,
    STATE(3036), 1,
      sym_initialized_identifier_list,
    STATE(2064), 2,
      sym_comment,
      sym_documentation_comment,
  [106475] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2110), 1,
      sym__nullable_type,
    STATE(2065), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4414), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(4412), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [106516] = 19,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4481), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2802), 1,
      sym__type,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2066), 2,
      sym_comment,
      sym_documentation_comment,
  [106575] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4494), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2914), 1,
      sym__type,
    STATE(3280), 1,
      sym_identifier_list,
    STATE(2067), 2,
      sym_comment,
      sym_documentation_comment,
  [106631] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_EQ,
    ACTIONS(4500), 1,
      anon_sym_extends,
    ACTIONS(4502), 1,
      anon_sym_with,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(518), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2142), 1,
      sym_type_parameters,
    STATE(2537), 1,
      sym_superclass,
    STATE(2883), 1,
      sym_mixins,
    STATE(3032), 1,
      sym_interfaces,
    STATE(2068), 2,
      sym_comment,
      sym_documentation_comment,
  [106687] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2962), 1,
      sym__type_not_void,
    STATE(3049), 1,
      sym_mixin_application,
    STATE(2069), 2,
      sym_comment,
      sym_documentation_comment,
  [106743] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4506), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2822), 1,
      sym__type,
    STATE(2070), 2,
      sym_comment,
      sym_documentation_comment,
  [106799] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2461), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2071), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4508), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [106845] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2502), 1,
      sym__type_not_void_list,
    STATE(2531), 1,
      sym__type_not_void,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2072), 2,
      sym_comment,
      sym_documentation_comment,
  [106901] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2531), 1,
      sym__type_not_void,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2672), 1,
      sym__type_not_void_list,
    STATE(2073), 2,
      sym_comment,
      sym_documentation_comment,
  [106957] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2531), 1,
      sym__type_not_void,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(3070), 1,
      sym__type_not_void_list,
    STATE(2074), 2,
      sym_comment,
      sym_documentation_comment,
  [107013] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2603), 1,
      sym__type,
    STATE(2717), 1,
      sym_typed_identifier,
    STATE(2075), 2,
      sym_comment,
      sym_documentation_comment,
  [107069] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2451), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2076), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4510), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [107115] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4512), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2683), 1,
      sym__type,
    STATE(2077), 2,
      sym_comment,
      sym_documentation_comment,
  [107171] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4514), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2648), 1,
      sym__type,
    STATE(2078), 2,
      sym_comment,
      sym_documentation_comment,
  [107227] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4516), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2666), 1,
      sym__type,
    STATE(2079), 2,
      sym_comment,
      sym_documentation_comment,
  [107283] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2425), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2080), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2230), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [107329] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4303), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2707), 1,
      sym__type,
    STATE(2081), 2,
      sym_comment,
      sym_documentation_comment,
  [107385] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2936), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(2082), 2,
      sym_comment,
      sym_documentation_comment,
  [107441] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4518), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2705), 1,
      sym__type,
    STATE(2083), 2,
      sym_comment,
      sym_documentation_comment,
  [107497] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4520), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2731), 1,
      sym__type,
    STATE(2084), 2,
      sym_comment,
      sym_documentation_comment,
  [107553] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4498), 1,
      anon_sym_EQ,
    ACTIONS(4500), 1,
      anon_sym_extends,
    ACTIONS(4502), 1,
      anon_sym_with,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(487), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2158), 1,
      sym_type_parameters,
    STATE(2549), 1,
      sym_superclass,
    STATE(2883), 1,
      sym_mixins,
    STATE(2884), 1,
      sym_interfaces,
    STATE(2085), 2,
      sym_comment,
      sym_documentation_comment,
  [107609] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2955), 1,
      sym_typed_identifier,
    STATE(3112), 1,
      sym__type,
    STATE(2086), 2,
      sym_comment,
      sym_documentation_comment,
  [107665] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2531), 1,
      sym__type_not_void,
    STATE(2545), 1,
      sym__type_not_void_list,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2087), 2,
      sym_comment,
      sym_documentation_comment,
  [107721] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2426), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2088), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4522), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [107767] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4524), 1,
      anon_sym_GT,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2676), 1,
      sym__type,
    STATE(2089), 2,
      sym_comment,
      sym_documentation_comment,
  [107823] = 18,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2962), 1,
      sym__type_not_void,
    STATE(2966), 1,
      sym_mixin_application,
    STATE(2090), 2,
      sym_comment,
      sym_documentation_comment,
  [107879] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(53), 1,
      anon_sym_LT,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4526), 1,
      anon_sym_EQ,
    STATE(1918), 1,
      sym_type_arguments,
    STATE(1977), 1,
      sym__nullable_type,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2572), 1,
      sym_type_parameters,
    STATE(3226), 1,
      sym__formal_parameter_part,
    ACTIONS(3111), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(2091), 2,
      sym_comment,
      sym_documentation_comment,
  [107933] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2092), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3213), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(4483), 7,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [107969] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4530), 1,
      anon_sym_AT,
    STATE(2093), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4528), 10,
      anon_sym_super,
      sym_void_type,
      anon_sym_var,
      anon_sym_covariant,
      anon_sym_Function,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      anon_sym_this,
      sym_identifier,
  [108004] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 1,
      sym_cascade_section,
    ACTIONS(4532), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2094), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3149), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [108041] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4535), 1,
      sym_identifier,
    ACTIONS(4537), 1,
      anon_sym_Function,
    STATE(870), 1,
      aux_sym__function_type_tails,
    STATE(880), 1,
      sym__function_builtin_identifier,
    STATE(915), 1,
      sym__type_name,
    STATE(1009), 1,
      sym_function_type,
    STATE(1025), 1,
      sym__type_not_void_not_function,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(1185), 1,
      sym__type_not_void,
    STATE(2559), 1,
      sym__type_not_function,
    STATE(2095), 2,
      sym_comment,
      sym_documentation_comment,
  [108094] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2600), 1,
      sym__type_not_void,
    STATE(2096), 2,
      sym_comment,
      sym_documentation_comment,
  [108147] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2961), 1,
      sym__type,
    STATE(2097), 2,
      sym_comment,
      sym_documentation_comment,
  [108200] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4539), 1,
      sym_identifier,
    ACTIONS(4541), 1,
      anon_sym_Function,
    STATE(869), 1,
      sym__function_builtin_identifier,
    STATE(872), 1,
      aux_sym__function_type_tails,
    STATE(906), 1,
      sym__type_name,
    STATE(966), 1,
      sym__type_not_void_not_function,
    STATE(1040), 1,
      sym_function_type,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(1195), 1,
      sym__type_not_void,
    STATE(2554), 1,
      sym__type_not_function,
    STATE(2098), 2,
      sym_comment,
      sym_documentation_comment,
  [108253] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2551), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2099), 2,
      sym_comment,
      sym_documentation_comment,
  [108306] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4539), 1,
      sym_identifier,
    ACTIONS(4541), 1,
      anon_sym_Function,
    STATE(869), 1,
      sym__function_builtin_identifier,
    STATE(872), 1,
      aux_sym__function_type_tails,
    STATE(906), 1,
      sym__type_name,
    STATE(966), 1,
      sym__type_not_void_not_function,
    STATE(1040), 1,
      sym_function_type,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(1200), 1,
      sym__type_not_void,
    STATE(2554), 1,
      sym__type_not_function,
    STATE(2100), 2,
      sym_comment,
      sym_documentation_comment,
  [108359] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2874), 1,
      sym__type_not_void,
    STATE(2101), 2,
      sym_comment,
      sym_documentation_comment,
  [108412] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2604), 1,
      sym__type_not_void,
    STATE(2102), 2,
      sym_comment,
      sym_documentation_comment,
  [108465] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4543), 1,
      sym_identifier,
    ACTIONS(4545), 1,
      anon_sym_Function,
    STATE(1361), 1,
      sym__function_builtin_identifier,
    STATE(1412), 1,
      aux_sym__function_type_tails,
    STATE(1485), 1,
      sym__type_name,
    STATE(1556), 1,
      sym_function_type,
    STATE(1591), 1,
      sym__type_not_void_not_function,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(1667), 1,
      sym__type_not_void,
    STATE(2597), 1,
      sym__type_not_function,
    STATE(2103), 2,
      sym_comment,
      sym_documentation_comment,
  [108518] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2565), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2104), 2,
      sym_comment,
      sym_documentation_comment,
  [108571] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2871), 1,
      sym__type_not_void,
    STATE(2105), 2,
      sym_comment,
      sym_documentation_comment,
  [108624] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4535), 1,
      sym_identifier,
    ACTIONS(4537), 1,
      anon_sym_Function,
    STATE(870), 1,
      aux_sym__function_type_tails,
    STATE(880), 1,
      sym__function_builtin_identifier,
    STATE(915), 1,
      sym__type_name,
    STATE(1009), 1,
      sym_function_type,
    STATE(1025), 1,
      sym__type_not_void_not_function,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(1182), 1,
      sym__type_not_void,
    STATE(2559), 1,
      sym__type_not_function,
    STATE(2106), 2,
      sym_comment,
      sym_documentation_comment,
  [108677] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4547), 1,
      sym_identifier,
    ACTIONS(4549), 1,
      anon_sym_Function,
    STATE(1776), 1,
      sym__function_builtin_identifier,
    STATE(1805), 1,
      aux_sym__function_type_tails,
    STATE(1848), 1,
      sym__type_name,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(1923), 1,
      sym_function_type,
    STATE(1926), 1,
      sym__type_not_void_not_function,
    STATE(1967), 1,
      sym__type_not_void,
    STATE(2584), 1,
      sym__type_not_function,
    STATE(2107), 2,
      sym_comment,
      sym_documentation_comment,
  [108730] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4547), 1,
      sym_identifier,
    ACTIONS(4549), 1,
      anon_sym_Function,
    STATE(1776), 1,
      sym__function_builtin_identifier,
    STATE(1805), 1,
      aux_sym__function_type_tails,
    STATE(1848), 1,
      sym__type_name,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(1923), 1,
      sym_function_type,
    STATE(1926), 1,
      sym__type_not_void_not_function,
    STATE(1942), 1,
      sym__type_not_void,
    STATE(2584), 1,
      sym__type_not_function,
    STATE(2108), 2,
      sym_comment,
      sym_documentation_comment,
  [108783] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4543), 1,
      sym_identifier,
    ACTIONS(4545), 1,
      anon_sym_Function,
    STATE(1361), 1,
      sym__function_builtin_identifier,
    STATE(1412), 1,
      aux_sym__function_type_tails,
    STATE(1485), 1,
      sym__type_name,
    STATE(1556), 1,
      sym_function_type,
    STATE(1591), 1,
      sym__type_not_void_not_function,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(1673), 1,
      sym__type_not_void,
    STATE(2597), 1,
      sym__type_not_function,
    STATE(2109), 2,
      sym_comment,
      sym_documentation_comment,
  [108836] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2110), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4553), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_GT,
    ACTIONS(4551), 6,
      anon_sym_super,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [108871] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2588), 1,
      sym__type_not_void,
    STATE(2111), 2,
      sym_comment,
      sym_documentation_comment,
  [108924] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(3073), 1,
      sym__type,
    STATE(2112), 2,
      sym_comment,
      sym_documentation_comment,
  [108977] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4555), 1,
      sym_identifier,
    ACTIONS(4557), 1,
      anon_sym_Function,
    STATE(1336), 1,
      sym__function_builtin_identifier,
    STATE(1474), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__type_name,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(1577), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym_function_type,
    STATE(1672), 1,
      sym__type_not_void,
    STATE(2601), 1,
      sym__type_not_function,
    STATE(2113), 2,
      sym_comment,
      sym_documentation_comment,
  [109030] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4555), 1,
      sym_identifier,
    ACTIONS(4557), 1,
      anon_sym_Function,
    STATE(1336), 1,
      sym__function_builtin_identifier,
    STATE(1474), 1,
      aux_sym__function_type_tails,
    STATE(1492), 1,
      sym__type_name,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(1577), 1,
      sym__type_not_void_not_function,
    STATE(1617), 1,
      sym_function_type,
    STATE(1671), 1,
      sym__type_not_void,
    STATE(2601), 1,
      sym__type_not_function,
    STATE(2114), 2,
      sym_comment,
      sym_documentation_comment,
  [109083] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2021), 1,
      sym_cascade_section,
    ACTIONS(4559), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(3151), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    STATE(2115), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3149), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
  [109122] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(3072), 1,
      sym__type,
    STATE(2116), 2,
      sym_comment,
      sym_documentation_comment,
  [109175] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2562), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2117), 2,
      sym_comment,
      sym_documentation_comment,
  [109228] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2573), 1,
      sym__type_not_void,
    STATE(2118), 2,
      sym_comment,
      sym_documentation_comment,
  [109281] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4562), 1,
      sym_identifier,
    ACTIONS(4564), 1,
      anon_sym_Function,
    STATE(1234), 1,
      aux_sym__function_type_tails,
    STATE(1246), 1,
      sym__function_builtin_identifier,
    STATE(1266), 1,
      sym__type_name,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(1362), 1,
      sym__type_not_void_not_function,
    STATE(1365), 1,
      sym_function_type,
    STATE(1410), 1,
      sym__type_not_void,
    STATE(2571), 1,
      sym__type_not_function,
    STATE(2119), 2,
      sym_comment,
      sym_documentation_comment,
  [109334] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(3023), 1,
      sym__type,
    STATE(2120), 2,
      sym_comment,
      sym_documentation_comment,
  [109387] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4568), 1,
      anon_sym_async,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2132), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2729), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2121), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4566), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [109428] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2564), 1,
      sym_function_type,
    STATE(2983), 1,
      sym__type_not_void,
    STATE(2122), 2,
      sym_comment,
      sym_documentation_comment,
  [109481] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2875), 1,
      sym__type_not_void,
    STATE(2123), 2,
      sym_comment,
      sym_documentation_comment,
  [109534] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2886), 1,
      sym__type,
    STATE(2124), 2,
      sym_comment,
      sym_documentation_comment,
  [109587] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4572), 1,
      anon_sym_async,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2132), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2729), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2125), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4570), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [109628] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2951), 1,
      anon_sym_DOT,
    ACTIONS(4187), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4574), 1,
      anon_sym_LPAREN,
    STATE(1907), 1,
      sym_parameter_type_list,
    STATE(2174), 1,
      sym__nullable_type,
    STATE(2205), 1,
      sym_type_parameters,
    STATE(2126), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2966), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [109675] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2021), 1,
      sym_cascade_section,
    STATE(2115), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2756), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2127), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3180), 3,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
    ACTIONS(3178), 4,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
  [109716] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2027), 1,
      sym__type_not_function,
    STATE(2065), 1,
      sym_function_type,
    STATE(2091), 1,
      sym__type_name,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2924), 1,
      sym__type,
    STATE(2128), 2,
      sym_comment,
      sym_documentation_comment,
  [109769] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4578), 1,
      sym_identifier,
    ACTIONS(4580), 1,
      anon_sym_Function,
    STATE(1681), 1,
      sym__function_builtin_identifier,
    STATE(1721), 1,
      aux_sym__function_type_tails,
    STATE(1744), 1,
      sym__type_name,
    STATE(1810), 1,
      sym__type_not_void_not_function,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(1824), 1,
      sym_function_type,
    STATE(1838), 1,
      sym__type_not_void,
    STATE(2557), 1,
      sym__type_not_function,
    STATE(2129), 2,
      sym_comment,
      sym_documentation_comment,
  [109822] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4406), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2126), 1,
      sym__function_builtin_identifier,
    STATE(2160), 1,
      aux_sym__function_type_tails,
    STATE(2165), 1,
      sym_function_type,
    STATE(2570), 1,
      sym__type_not_void,
    STATE(2581), 1,
      sym__type_not_function,
    STATE(2130), 2,
      sym_comment,
      sym_documentation_comment,
  [109875] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4578), 1,
      sym_identifier,
    ACTIONS(4580), 1,
      anon_sym_Function,
    STATE(1681), 1,
      sym__function_builtin_identifier,
    STATE(1721), 1,
      aux_sym__function_type_tails,
    STATE(1744), 1,
      sym__type_name,
    STATE(1810), 1,
      sym__type_not_void_not_function,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(1824), 1,
      sym_function_type,
    STATE(1841), 1,
      sym__type_not_void,
    STATE(2557), 1,
      sym__type_not_function,
    STATE(2131), 2,
      sym_comment,
      sym_documentation_comment,
  [109928] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3151), 1,
      anon_sym_async,
    STATE(2021), 1,
      sym_cascade_section,
    ACTIONS(4582), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2132), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
    ACTIONS(3149), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [109967] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(2094), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2133), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3178), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
  [110006] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2917), 1,
      anon_sym_DOT,
    ACTIONS(4187), 1,
      anon_sym_QMARK,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4585), 1,
      anon_sym_LPAREN,
    STATE(1907), 1,
      sym_parameter_type_list,
    STATE(2195), 1,
      sym__nullable_type,
    STATE(2205), 1,
      sym_type_parameters,
    STATE(2134), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2928), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [110053] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1819), 1,
      sym__function_builtin_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1871), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2056), 1,
      sym__type_not_void_not_function,
    STATE(2165), 1,
      sym_function_type,
    STATE(2563), 1,
      sym__type_not_function,
    STATE(2587), 1,
      sym__type_not_void,
    STATE(2135), 2,
      sym_comment,
      sym_documentation_comment,
  [110106] = 17,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(4562), 1,
      sym_identifier,
    ACTIONS(4564), 1,
      anon_sym_Function,
    STATE(1234), 1,
      aux_sym__function_type_tails,
    STATE(1246), 1,
      sym__function_builtin_identifier,
    STATE(1266), 1,
      sym__type_name,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(1362), 1,
      sym__type_not_void_not_function,
    STATE(1365), 1,
      sym_function_type,
    STATE(1409), 1,
      sym__type_not_void,
    STATE(2571), 1,
      sym__type_not_function,
    STATE(2136), 2,
      sym_comment,
      sym_documentation_comment,
  [110159] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4592), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    STATE(2161), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2137), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110203] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4602), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    STATE(2162), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2138), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110247] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4608), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2162), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2139), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110291] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4610), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2143), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2140), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110335] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2262), 1,
      sym__function_builtin_identifier,
    STATE(2500), 1,
      aux_sym__function_type_tails,
    STATE(2567), 1,
      sym__type_not_function,
    STATE(3122), 1,
      sym_function_type,
    STATE(2141), 2,
      sym_comment,
      sym_documentation_comment,
  [110385] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4500), 1,
      anon_sym_extends,
    ACTIONS(4502), 1,
      anon_sym_with,
    ACTIONS(4504), 1,
      anon_sym_implements,
    ACTIONS(4612), 1,
      anon_sym_EQ,
    STATE(499), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2512), 1,
      sym_superclass,
    STATE(2883), 1,
      sym_mixins,
    STATE(2992), 1,
      sym_interfaces,
    STATE(2142), 2,
      sym_comment,
      sym_documentation_comment,
  [110435] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4614), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2161), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2143), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110479] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4241), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2134), 1,
      sym__function_builtin_identifier,
    ACTIONS(2910), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2912), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
    STATE(2144), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
  [110519] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2134), 1,
      sym__function_builtin_identifier,
    STATE(2144), 1,
      aux_sym__function_type_tails,
    STATE(2145), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2988), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2990), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [110561] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4616), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2139), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2146), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110605] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1380), 1,
      anon_sym_AT,
    STATE(1564), 1,
      sym__annotation,
    STATE(2149), 1,
      aux_sym__metadata_repeat1,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2147), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4618), 5,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [110645] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2359), 1,
      sym_formal_parameter_list,
    ACTIONS(3367), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(2148), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3369), 5,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      sym_identifier,
  [110685] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4620), 1,
      anon_sym_AT,
    STATE(1564), 1,
      sym__annotation,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2149), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__metadata_repeat1,
    ACTIONS(4623), 5,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [110723] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4625), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2156), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2150), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110767] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4627), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2161), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2151), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110811] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4629), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2162), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2152), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110855] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4631), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2155), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2153), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110899] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4633), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2154), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1516), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
    ACTIONS(3188), 4,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_SEMI,
  [110937] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4636), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2162), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2155), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [110981] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4638), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2161), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2156), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111025] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4640), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2162), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2157), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111069] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4500), 1,
      anon_sym_extends,
    ACTIONS(4502), 1,
      anon_sym_with,
    ACTIONS(4504), 1,
      anon_sym_implements,
    ACTIONS(4612), 1,
      anon_sym_EQ,
    STATE(525), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2528), 1,
      sym_superclass,
    STATE(2883), 1,
      sym_mixins,
    STATE(3063), 1,
      sym_interfaces,
    STATE(2158), 2,
      sym_comment,
      sym_documentation_comment,
  [111119] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(1977), 1,
      sym__nullable_type,
    STATE(2220), 1,
      sym_type_arguments,
    STATE(2159), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 6,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [111159] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2134), 1,
      sym__function_builtin_identifier,
    STATE(2144), 1,
      aux_sym__function_type_tails,
    STATE(2160), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2969), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_DOT,
    ACTIONS(2971), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [111201] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4645), 1,
      anon_sym_SQUOTE,
    ACTIONS(4648), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4650), 1,
      anon_sym_DOLLAR,
    ACTIONS(4653), 1,
      sym__unused_escape_sequence,
    ACTIONS(4642), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2161), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111243] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4656), 1,
      anon_sym_DQUOTE,
    ACTIONS(4662), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4667), 1,
      sym__unused_escape_sequence,
    ACTIONS(4659), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2162), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111285] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4670), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2137), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2163), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111329] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2157), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2164), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111373] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1299), 1,
      sym__nullable_type,
    STATE(2165), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3209), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_catch,
      anon_sym_with,
      anon_sym_implements,
  [111409] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4674), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2161), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2166), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111453] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4676), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2151), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2167), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111497] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4678), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2152), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2168), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111541] = 16,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(97), 1,
      sym_void_type,
    ACTIONS(113), 1,
      anon_sym_Function,
    ACTIONS(4073), 1,
      sym_identifier,
    STATE(1839), 1,
      sym__type_name,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2092), 1,
      sym__type_not_void_not_function,
    STATE(2262), 1,
      sym__function_builtin_identifier,
    STATE(2500), 1,
      aux_sym__function_type_tails,
    STATE(2567), 1,
      sym__type_not_function,
    STATE(3235), 1,
      sym_function_type,
    STATE(2169), 2,
      sym_comment,
      sym_documentation_comment,
  [111591] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4683), 1,
      anon_sym_QMARK,
    ACTIONS(4686), 1,
      anon_sym_extends,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2575), 1,
      sym__nullable_type,
    STATE(2859), 1,
      sym_type_bound,
    ACTIONS(3188), 2,
      anon_sym_LT,
      anon_sym_Function,
    ACTIONS(4680), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2170), 2,
      sym_comment,
      sym_documentation_comment,
  [111637] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4598), 1,
      anon_sym_DQUOTE,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR,
    ACTIONS(4606), 1,
      sym__unused_escape_sequence,
    ACTIONS(4688), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2138), 1,
      aux_sym__string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4600), 2,
      sym__template_chars_double,
      anon_sym_SQUOTE,
    STATE(2171), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2454), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111681] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4594), 1,
      anon_sym_DOLLAR,
    ACTIONS(4596), 1,
      sym__unused_escape_sequence,
    ACTIONS(4690), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2166), 1,
      aux_sym__string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4588), 2,
      sym__template_chars_single,
      anon_sym_DQUOTE,
    STATE(2172), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2452), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111725] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4692), 1,
      anon_sym_DQUOTE,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    STATE(2211), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2173), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111766] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3063), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    ACTIONS(4700), 1,
      anon_sym_LPAREN,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(2174), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3074), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [111807] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4708), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    STATE(2227), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2175), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [111848] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4716), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    STATE(2225), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2176), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [111889] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4720), 1,
      anon_sym_DQUOTE,
    STATE(2181), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2177), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111930] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4724), 1,
      anon_sym_SQUOTE,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    STATE(2182), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2178), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [111971] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4730), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2183), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2179), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [112012] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4732), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2184), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2180), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [112053] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4734), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2181), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112094] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4736), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2182), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112135] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4738), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2207), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2183), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [112176] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4740), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2215), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2184), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [112217] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4742), 1,
      anon_sym_SQUOTE,
    STATE(2212), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2185), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112258] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4744), 1,
      anon_sym_SQUOTE,
    STATE(2233), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2186), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112299] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4748), 1,
      anon_sym_if,
    ACTIONS(4750), 1,
      anon_sym_deferred,
    STATE(2372), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2520), 1,
      sym_configuration_uri,
    STATE(2953), 1,
      sym__deferred,
    STATE(2187), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4746), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [112340] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4752), 1,
      sym_identifier,
    ACTIONS(4754), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2947), 1,
      sym_enum_constant,
    STATE(3149), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2188), 2,
      sym_comment,
      sym_documentation_comment,
  [112385] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(3786), 1,
      anon_sym_DOT,
    STATE(1657), 1,
      sym_arguments,
    STATE(2189), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3788), 6,
      anon_sym_AT,
      anon_sym_part,
      anon_sym_abstract,
      anon_sym_class,
      anon_sym_export,
      anon_sym_import,
  [112422] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4452), 1,
      anon_sym_DOT,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(3250), 1,
      sym_formal_parameter_list,
    STATE(2190), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3188), 4,
      anon_sym_QMARK,
      anon_sym_LT,
      anon_sym_Function,
      anon_sym_operator,
  [112463] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(4758), 1,
      anon_sym_EQ,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2293), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2191), 2,
      sym_comment,
      sym_documentation_comment,
  [112508] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4760), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2215), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2192), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [112549] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4762), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2207), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2193), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [112590] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4764), 1,
      anon_sym_DQUOTE,
    ACTIONS(4769), 1,
      anon_sym_DOLLAR,
    ACTIONS(4772), 1,
      sym__unused_escape_sequence,
    ACTIONS(4766), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2194), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_double_quotes_repeat1,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112629] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3041), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_LPAREN,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(2195), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [112670] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4781), 1,
      anon_sym_SQUOTE,
    ACTIONS(4783), 1,
      anon_sym_DOLLAR,
    ACTIONS(4786), 1,
      sym__unused_escape_sequence,
    ACTIONS(4778), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2196), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__string_literal_single_quotes_repeat1,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112709] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4789), 1,
      anon_sym_SQUOTE,
    STATE(2202), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2197), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112750] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4791), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2203), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2198), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [112791] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3077), 1,
      anon_sym_DOT,
    ACTIONS(4236), 1,
      anon_sym_QMARK,
    ACTIONS(4793), 1,
      anon_sym_LPAREN,
    STATE(1892), 1,
      sym_parameter_type_list,
    STATE(1954), 1,
      sym__nullable_type,
    STATE(2199), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3085), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [112832] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4796), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2206), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2200), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [112873] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4798), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2201), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112914] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4800), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2202), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [112955] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4802), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2207), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2203), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [112996] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4804), 1,
      anon_sym_DQUOTE,
    STATE(2201), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2204), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113037] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3041), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_QMARK,
    ACTIONS(4775), 1,
      anon_sym_LPAREN,
    STATE(1909), 1,
      sym_parameter_type_list,
    STATE(2199), 1,
      sym__nullable_type,
    STATE(2205), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3049), 4,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [113078] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4806), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2215), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2206), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [113119] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4808), 1,
      anon_sym_DQUOTE,
    ACTIONS(4814), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4816), 1,
      anon_sym_DOLLAR,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2207), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    ACTIONS(4811), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [113158] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4819), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2208), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113199] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4821), 1,
      anon_sym_DQUOTE,
    STATE(2216), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2209), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113240] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4823), 1,
      anon_sym_SQUOTE,
    STATE(2208), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2210), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113281] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4825), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2211), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113322] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4827), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2212), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113363] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4829), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2207), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2213), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [113404] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4752), 1,
      sym_identifier,
    ACTIONS(4831), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2947), 1,
      sym_enum_constant,
    STATE(3149), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2214), 2,
      sym_comment,
      sym_documentation_comment,
  [113449] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4836), 1,
      anon_sym_SQUOTE,
    ACTIONS(4839), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4841), 1,
      anon_sym_DOLLAR,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2215), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    ACTIONS(4833), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [113488] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4844), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2216), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [113529] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4846), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2193), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2217), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [113570] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4848), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2215), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2218), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [113611] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    ACTIONS(4856), 1,
      anon_sym_async,
    STATE(2406), 1,
      sym_initializers,
    STATE(3198), 1,
      sym_redirection,
    STATE(2219), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4850), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [113652] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4858), 1,
      anon_sym_DOT,
    STATE(1980), 1,
      sym__nullable_type,
    STATE(2220), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 6,
      anon_sym_super,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      anon_sym_this,
      sym_identifier,
  [113689] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(477), 1,
      sym_function_body,
    STATE(508), 1,
      sym__semicolon,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2221), 2,
      sym_comment,
      sym_documentation_comment,
  [113734] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4868), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2192), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2222), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [113775] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(508), 2,
      sym_function_body,
      sym__semicolon,
    STATE(2223), 2,
      sym_comment,
      sym_documentation_comment,
  [113818] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2224), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4870), 9,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      sym_identifier,
  [113849] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4872), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2207), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2225), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [113890] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4874), 1,
      anon_sym_on,
    ACTIONS(4876), 1,
      anon_sym_catch,
    ACTIONS(4878), 1,
      anon_sym_finally,
    STATE(496), 1,
      sym__on_part,
    STATE(560), 1,
      sym_finally_clause,
    STATE(2286), 1,
      aux_sym_try_statement_repeat1,
    STATE(3031), 1,
      sym_catch_clause,
    ACTIONS(1210), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(2226), 2,
      sym_comment,
      sym_documentation_comment,
  [113935] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4880), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2215), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2227), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [113976] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4758), 1,
      anon_sym_EQ,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(3188), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2228), 2,
      sym_comment,
      sym_documentation_comment,
  [114017] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4706), 1,
      anon_sym_SQUOTE,
    ACTIONS(4710), 1,
      anon_sym_DOLLAR,
    ACTIONS(4882), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(2218), 1,
      aux_sym__raw_string_literal_single_quotes_multiple_repeat1,
    STATE(2366), 1,
      sym__sub_string_test,
    STATE(2229), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4704), 4,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [114058] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2230), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4884), 9,
      sym_void_type,
      anon_sym_factory,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_operator,
      anon_sym_set,
      anon_sym_static,
      sym_const_builtin,
      sym_identifier,
  [114089] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4886), 1,
      anon_sym_DQUOTE,
    STATE(2234), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2231), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [114130] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4712), 1,
      anon_sym_DQUOTE,
    ACTIONS(4718), 1,
      anon_sym_DOLLAR,
    ACTIONS(4888), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(2213), 1,
      aux_sym__raw_string_literal_double_quotes_multiple_repeat1,
    STATE(2331), 1,
      sym__sub_string_test,
    STATE(2232), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4714), 4,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [114171] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4726), 1,
      anon_sym_DOLLAR,
    ACTIONS(4728), 1,
      sym__unused_escape_sequence,
    ACTIONS(4890), 1,
      anon_sym_SQUOTE,
    STATE(2196), 1,
      aux_sym__string_literal_single_quotes_repeat1,
    ACTIONS(4722), 2,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
    STATE(2233), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2536), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [114212] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4696), 1,
      anon_sym_DOLLAR,
    ACTIONS(4698), 1,
      sym__unused_escape_sequence,
    ACTIONS(4892), 1,
      anon_sym_DQUOTE,
    STATE(2194), 1,
      aux_sym__string_literal_double_quotes_repeat1,
    ACTIONS(4694), 2,
      sym__template_chars_double_single,
      anon_sym_SQUOTE,
    STATE(2234), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2532), 3,
      sym_template_substitution,
      sym__sub_string_test,
      sym_escape_sequence,
  [114253] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    ACTIONS(4896), 1,
      anon_sym_SEMI,
    STATE(1852), 1,
      sym__type_dot_identifier,
    STATE(2851), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(3188), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(2235), 2,
      sym_comment,
      sym_documentation_comment,
  [114296] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(4898), 1,
      sym_identifier,
    ACTIONS(4900), 1,
      anon_sym_super,
    STATE(2393), 1,
      sym_initializer_list_entry,
    STATE(3309), 1,
      sym_this,
    STATE(2236), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2309), 2,
      sym_assertion,
      sym_field_initializer,
  [114338] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2988), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2237), 2,
      sym_comment,
      sym_documentation_comment,
  [114380] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4906), 1,
      anon_sym_async,
    ACTIONS(4908), 1,
      anon_sym_native,
    STATE(2418), 1,
      sym__native,
    STATE(2238), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4904), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [114416] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4912), 1,
      anon_sym_COMMA,
    ACTIONS(4915), 1,
      anon_sym_async,
    STATE(2239), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initializers_repeat1,
    ACTIONS(4910), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [114450] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(4919), 1,
      anon_sym_async,
    STATE(2420), 1,
      sym__native,
    STATE(2240), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4917), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [114486] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2730), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2241), 2,
      sym_comment,
      sym_documentation_comment,
  [114528] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(4921), 1,
      anon_sym_as,
    STATE(443), 1,
      sym__semicolon,
    STATE(2444), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    STATE(3229), 1,
      sym__as,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2242), 2,
      sym_comment,
      sym_documentation_comment,
  [114570] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4925), 1,
      anon_sym_DQUOTE,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    STATE(2272), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2243), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [114608] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    ACTIONS(4931), 1,
      anon_sym_on,
    STATE(467), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2447), 1,
      sym_type_parameters,
    STATE(2887), 1,
      sym_interfaces,
    STATE(2244), 2,
      sym_comment,
      sym_documentation_comment,
  [114652] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4935), 1,
      anon_sym_SQUOTE,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    STATE(2248), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2245), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [114690] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2246), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4939), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [114720] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4440), 1,
      anon_sym_native,
    ACTIONS(4944), 1,
      anon_sym_COLON,
    ACTIONS(4946), 1,
      anon_sym_async,
    STATE(2247), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4941), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [114756] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4949), 1,
      anon_sym_SQUOTE,
    STATE(2289), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2248), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [114794] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(4951), 1,
      anon_sym_DQUOTE,
    STATE(2243), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2249), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [114832] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(4898), 1,
      sym_identifier,
    ACTIONS(4900), 1,
      anon_sym_super,
    STATE(2299), 1,
      sym_initializer_list_entry,
    STATE(2815), 1,
      sym_this,
    STATE(2250), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2309), 2,
      sym_assertion,
      sym_field_initializer,
  [114874] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4955), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    STATE(2251), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4957), 3,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
    ACTIONS(4953), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
  [114908] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2252), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4963), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(4965), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [114940] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4967), 1,
      anon_sym_SQUOTE,
    STATE(2303), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2253), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [114978] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2254), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4969), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(4971), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [115010] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(4975), 1,
      anon_sym_async,
    STATE(2416), 1,
      sym__native,
    STATE(2255), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4973), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [115046] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(4977), 1,
      anon_sym_DQUOTE,
    STATE(2281), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2256), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [115084] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4981), 1,
      anon_sym_COMMA,
    ACTIONS(4983), 1,
      anon_sym_async,
    STATE(2239), 1,
      aux_sym_initializers_repeat1,
    STATE(2257), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4979), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [115120] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2678), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2258), 2,
      sym_comment,
      sym_documentation_comment,
  [115162] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(4987), 1,
      anon_sym_async,
    STATE(2465), 1,
      sym__native,
    STATE(2259), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4985), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [115198] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(4989), 1,
      anon_sym_DQUOTE,
    STATE(2272), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2260), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [115236] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2428), 1,
      sym__nullable_type,
    STATE(2261), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4991), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [115270] = 14,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2917), 1,
      anon_sym_SEMI,
    ACTIONS(2951), 1,
      anon_sym_Function,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4190), 1,
      anon_sym_LT,
    STATE(2457), 1,
      sym_type_parameters,
    STATE(2459), 1,
      sym__nullable_type,
    STATE(2558), 1,
      sym_parameter_type_list,
    STATE(2262), 2,
      sym_comment,
      sym_documentation_comment,
  [115314] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2947), 1,
      sym_enum_constant,
    STATE(3149), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2263), 2,
      sym_comment,
      sym_documentation_comment,
  [115356] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2650), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2264), 2,
      sym_comment,
      sym_documentation_comment,
  [115398] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(4995), 1,
      aux_sym__sub_string_test_token1,
    STATE(2265), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4997), 3,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
    ACTIONS(4993), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
  [115432] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(4999), 1,
      anon_sym_SQUOTE,
    STATE(2289), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2266), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [115470] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2479), 1,
      sym__nullable_type,
    STATE(2267), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5001), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [115504] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2453), 1,
      sym__nullable_type,
    STATE(2268), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5003), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [115538] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2269), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5005), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [115568] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4633), 1,
      anon_sym_DOT,
    ACTIONS(5007), 1,
      anon_sym_EQ,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    STATE(2270), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3188), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_LT,
  [115606] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(5009), 1,
      sym_identifier,
    ACTIONS(5011), 1,
      anon_sym_super,
    STATE(2393), 1,
      sym_initializer_list_entry,
    STATE(3326), 1,
      sym_this,
    STATE(2271), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2309), 2,
      sym_assertion,
      sym_field_initializer,
  [115648] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5013), 1,
      anon_sym_DQUOTE,
    ACTIONS(5018), 1,
      anon_sym_DOLLAR,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2272), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    ACTIONS(5015), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [115684] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5021), 1,
      anon_sym_SQUOTE,
    STATE(2276), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2273), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [115722] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2665), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2274), 2,
      sym_comment,
      sym_documentation_comment,
  [115764] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5023), 1,
      anon_sym_SQUOTE,
    STATE(2289), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2275), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [115802] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5025), 1,
      anon_sym_SQUOTE,
    STATE(2289), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2276), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [115840] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5027), 1,
      anon_sym_DQUOTE,
    STATE(2272), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2277), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [115878] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2720), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2278), 2,
      sym_comment,
      sym_documentation_comment,
  [115920] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2279), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5029), 4,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_r_DQUOTE,
      anon_sym_r_SQUOTE,
    ACTIONS(5031), 4,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_r_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_r_SQUOTE_SQUOTE_SQUOTE,
  [115952] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(1977), 1,
      sym__nullable_type,
    STATE(2307), 1,
      sym_type_arguments,
    STATE(2280), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3111), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [115990] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5033), 1,
      anon_sym_DQUOTE,
    STATE(2272), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2281), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [116028] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5035), 1,
      anon_sym_DQUOTE,
    STATE(2272), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2282), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [116066] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5037), 1,
      anon_sym_DQUOTE,
    STATE(2282), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2283), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [116104] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5039), 1,
      anon_sym_SQUOTE,
    STATE(2275), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2284), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [116142] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5043), 1,
      anon_sym_async,
    STATE(2466), 1,
      sym__native,
    STATE(2285), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5041), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116178] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5045), 1,
      anon_sym_on,
    ACTIONS(5048), 1,
      anon_sym_catch,
    STATE(496), 1,
      sym__on_part,
    STATE(3031), 1,
      sym_catch_clause,
    ACTIONS(1244), 3,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_else,
    STATE(2286), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_try_statement_repeat1,
  [116216] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2287), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5051), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
  [116246] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4752), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2658), 1,
      sym_enum_constant,
    STATE(3149), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2288), 2,
      sym_comment,
      sym_documentation_comment,
  [116288] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5056), 1,
      anon_sym_SQUOTE,
    ACTIONS(5058), 1,
      anon_sym_DOLLAR,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2289), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    ACTIONS(5053), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [116324] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2704), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2290), 2,
      sym_comment,
      sym_documentation_comment,
  [116366] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5063), 1,
      anon_sym_async,
    STATE(2491), 1,
      sym__native,
    STATE(2291), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5061), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116402] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5067), 1,
      anon_sym_async,
    STATE(2430), 1,
      sym__native,
    STATE(2292), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5065), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116438] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5071), 1,
      anon_sym_async,
    STATE(2467), 1,
      sym__native,
    STATE(2293), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5069), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116474] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2680), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2294), 2,
      sym_comment,
      sym_documentation_comment,
  [116516] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5075), 1,
      anon_sym_async,
    STATE(2445), 1,
      sym__native,
    STATE(2295), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5073), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116552] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(83), 1,
      anon_sym_AT,
    ACTIONS(4902), 1,
      sym_identifier,
    STATE(1313), 1,
      aux_sym__metadata_repeat1,
    STATE(1564), 1,
      sym__annotation,
    STATE(2823), 1,
      sym_type_parameter,
    STATE(3119), 1,
      sym__metadata,
    STATE(1565), 2,
      sym_marker_annotation,
      sym_annotation,
    STATE(2296), 2,
      sym_comment,
      sym_documentation_comment,
  [116594] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    ACTIONS(4190), 1,
      anon_sym_LT,
    STATE(2421), 1,
      sym__nullable_type,
    STATE(2457), 1,
      sym_type_parameters,
    STATE(2558), 1,
      sym_parameter_type_list,
    ACTIONS(2917), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2297), 2,
      sym_comment,
      sym_documentation_comment,
  [116636] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5077), 1,
      anon_sym_DQUOTE,
    STATE(2260), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2298), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [116674] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4981), 1,
      anon_sym_COMMA,
    ACTIONS(5081), 1,
      anon_sym_async,
    STATE(2257), 1,
      aux_sym_initializers_repeat1,
    STATE(2299), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5079), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116710] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5083), 1,
      anon_sym_SQUOTE,
    STATE(2266), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2300), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [116748] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4908), 1,
      anon_sym_native,
    ACTIONS(5087), 1,
      anon_sym_async,
    STATE(2413), 1,
      sym__native,
    STATE(2301), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5085), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [116784] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(107), 1,
      sym__assert_builtin,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(5009), 1,
      sym_identifier,
    ACTIONS(5011), 1,
      anon_sym_super,
    STATE(2825), 1,
      sym_this,
    STATE(2854), 1,
      sym_initializer_list_entry,
    STATE(2302), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(2309), 2,
      sym_assertion,
      sym_field_initializer,
  [116826] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4937), 1,
      anon_sym_DOLLAR,
    ACTIONS(5089), 1,
      anon_sym_SQUOTE,
    STATE(2289), 1,
      aux_sym__raw_string_literal_single_quotes_repeat1,
    STATE(2443), 1,
      sym__sub_string_test,
    STATE(2303), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4933), 4,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      sym__unused_escape_sequence,
  [116864] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4929), 1,
      anon_sym_DOLLAR,
    ACTIONS(5091), 1,
      anon_sym_DQUOTE,
    STATE(2277), 1,
      aux_sym__raw_string_literal_double_quotes_repeat1,
    STATE(2446), 1,
      sym__sub_string_test,
    STATE(2304), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4927), 4,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      sym__unused_escape_sequence,
  [116902] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5093), 1,
      sym_identifier,
    STATE(2316), 1,
      sym__set,
    STATE(2352), 1,
      sym__get,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3036), 1,
      sym_initialized_identifier_list,
    STATE(2305), 2,
      sym_comment,
      sym_documentation_comment,
  [116943] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5098), 1,
      anon_sym_SQUOTE,
    STATE(2306), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 6,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [116974] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5100), 1,
      anon_sym_DOT,
    STATE(1980), 1,
      sym__nullable_type,
    STATE(2307), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3147), 4,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [117009] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3515), 1,
      anon_sym_QMARK,
    STATE(2308), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3513), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117040] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5104), 1,
      anon_sym_async,
    STATE(2309), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5102), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [117071] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3463), 1,
      anon_sym_QMARK,
    STATE(2310), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3461), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117102] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5108), 1,
      anon_sym_if,
    STATE(2520), 1,
      sym_configuration_uri,
    STATE(2311), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_configurable_uri_repeat1,
    ACTIONS(5106), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [117135] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5113), 1,
      anon_sym_async,
    STATE(2312), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5111), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [117166] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3400), 1,
      anon_sym_QMARK,
    STATE(2313), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3398), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117197] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2539), 1,
      sym__nullable_type,
    ACTIONS(3209), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    STATE(2314), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4412), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [117232] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1114), 1,
      anon_sym_QMARK,
    STATE(2315), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1112), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117263] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5115), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2259), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2316), 2,
      sym_comment,
      sym_documentation_comment,
  [117304] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3436), 1,
      anon_sym_QMARK,
    STATE(2317), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3434), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117335] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5117), 1,
      sym_identifier,
    STATE(2316), 1,
      sym__set,
    STATE(2352), 1,
      sym__get,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3036), 1,
      sym_initialized_identifier_list,
    STATE(2318), 2,
      sym_comment,
      sym_documentation_comment,
  [117376] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5121), 1,
      anon_sym_EQ,
    ACTIONS(5123), 1,
      anon_sym_async,
    STATE(2319), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5119), 5,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [117409] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5125), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2240), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2320), 2,
      sym_comment,
      sym_documentation_comment,
  [117450] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4292), 1,
      anon_sym_DOT,
    ACTIONS(5007), 1,
      anon_sym_EQ,
    STATE(1852), 1,
      sym__type_dot_identifier,
    ACTIONS(1516), 2,
      anon_sym_Function,
      sym_identifier,
    ACTIONS(3188), 2,
      anon_sym_QMARK,
      anon_sym_LT,
    STATE(2321), 2,
      sym_comment,
      sym_documentation_comment,
  [117487] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(5127), 1,
      anon_sym_async,
    ACTIONS(5129), 1,
      anon_sym_EQ_GT,
    STATE(2328), 1,
      sym_function_expression_body,
    STATE(2332), 1,
      sym_block,
    ACTIONS(5131), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2322), 2,
      sym_comment,
      sym_documentation_comment,
  [117526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3381), 1,
      anon_sym_QMARK,
    STATE(2323), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3379), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117557] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5133), 1,
      anon_sym_LBRACE,
    ACTIONS(5135), 1,
      anon_sym_async,
    ACTIONS(5137), 1,
      anon_sym_EQ_GT,
    STATE(1396), 1,
      sym_function_expression_body,
    STATE(1398), 1,
      sym_block,
    ACTIONS(5139), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2324), 2,
      sym_comment,
      sym_documentation_comment,
  [117596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5143), 1,
      anon_sym_async,
    STATE(2325), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5141), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [117627] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(2019), 1,
      sym_function_body,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2326), 2,
      sym_comment,
      sym_documentation_comment,
  [117666] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5147), 1,
      aux_sym__sub_string_test_token1,
    STATE(2327), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5145), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(5149), 3,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
  [117699] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3396), 1,
      anon_sym_QMARK,
    STATE(2328), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3394), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117730] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5153), 1,
      anon_sym_async,
    STATE(2329), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5151), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [117761] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3535), 1,
      anon_sym_QMARK,
    STATE(2330), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3533), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117792] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4993), 1,
      anon_sym_DQUOTE,
    STATE(2331), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4997), 6,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [117823] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3511), 1,
      anon_sym_QMARK,
    STATE(2332), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3509), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3424), 1,
      anon_sym_QMARK,
    STATE(2333), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3422), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117885] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2214), 1,
      anon_sym_QMARK,
    STATE(2334), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2212), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [117916] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(113), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2134), 1,
      sym__function_builtin_identifier,
    STATE(2145), 1,
      aux_sym__function_type_tails,
    STATE(2335), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4412), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [117953] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5157), 1,
      aux_sym__sub_string_test_token1,
    STATE(2336), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5155), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(5159), 3,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      sym__unused_escape_sequence,
  [117986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3531), 1,
      anon_sym_QMARK,
    STATE(2337), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3529), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118017] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3527), 1,
      anon_sym_QMARK,
    STATE(2338), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3525), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118048] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3459), 1,
      anon_sym_QMARK,
    STATE(2339), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3457), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118079] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3428), 1,
      anon_sym_QMARK,
    STATE(2340), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3426), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2182), 1,
      anon_sym_QMARK,
    STATE(2341), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2176), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118141] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2202), 1,
      anon_sym_QMARK,
    STATE(2342), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2200), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118172] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(2014), 1,
      sym_function_body,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2343), 2,
      sym_comment,
      sym_documentation_comment,
  [118211] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3377), 1,
      anon_sym_QMARK,
    STATE(2344), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3375), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118242] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4876), 1,
      anon_sym_catch,
    ACTIONS(5161), 1,
      anon_sym_on,
    ACTIONS(5163), 1,
      anon_sym_finally,
    STATE(439), 1,
      aux_sym_try_statement_repeat1,
    STATE(496), 1,
      sym__on_part,
    STATE(554), 1,
      sym_finally_clause,
    STATE(2998), 1,
      sym_catch_clause,
    STATE(2345), 2,
      sym_comment,
      sym_documentation_comment,
  [118283] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3559), 1,
      anon_sym_QMARK,
    STATE(2346), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3557), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118314] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4856), 1,
      anon_sym_async,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(3198), 1,
      sym__native,
    STATE(2347), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4850), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [118349] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5169), 1,
      anon_sym_async,
    STATE(2348), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5167), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [118380] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3519), 1,
      anon_sym_QMARK,
    STATE(2349), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3517), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118411] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5171), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2240), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2350), 2,
      sym_comment,
      sym_documentation_comment,
  [118452] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3571), 1,
      anon_sym_QMARK,
    STATE(2351), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3569), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118483] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2259), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2352), 2,
      sym_comment,
      sym_documentation_comment,
  [118524] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2170), 1,
      anon_sym_QMARK,
    STATE(2353), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2168), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118555] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3495), 1,
      anon_sym_QMARK,
    STATE(2354), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3493), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118586] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5098), 1,
      anon_sym_DQUOTE,
    STATE(2355), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 6,
      sym__template_chars_double,
      sym__template_chars_raw_slash,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [118617] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(5177), 1,
      anon_sym_async,
    ACTIONS(5179), 1,
      anon_sym_EQ_GT,
    STATE(1168), 1,
      sym_block,
    STATE(1169), 1,
      sym_function_expression_body,
    ACTIONS(5181), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2356), 2,
      sym_comment,
      sym_documentation_comment,
  [118656] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(2034), 1,
      anon_sym_operator,
    ACTIONS(5183), 1,
      sym_identifier,
    STATE(1570), 1,
      sym__operator,
    STATE(2316), 1,
      sym__set,
    STATE(2352), 1,
      sym__get,
    STATE(2357), 2,
      sym_comment,
      sym_documentation_comment,
  [118697] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3483), 1,
      anon_sym_QMARK,
    STATE(2358), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3481), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118728] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5188), 1,
      anon_sym_async,
    STATE(2359), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5186), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [118759] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2174), 1,
      anon_sym_QMARK,
    STATE(2360), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2172), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118790] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3563), 1,
      anon_sym_QMARK,
    STATE(2361), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3561), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118821] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2147), 1,
      anon_sym_QMARK,
    STATE(2362), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2139), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [118852] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5192), 1,
      anon_sym_async,
    STATE(2363), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5190), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [118883] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4874), 1,
      anon_sym_on,
    ACTIONS(4876), 1,
      anon_sym_catch,
    ACTIONS(4878), 1,
      anon_sym_finally,
    STATE(496), 1,
      sym__on_part,
    STATE(554), 1,
      sym_finally_clause,
    STATE(2226), 1,
      aux_sym_try_statement_repeat1,
    STATE(3031), 1,
      sym_catch_clause,
    STATE(2364), 2,
      sym_comment,
      sym_documentation_comment,
  [118924] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5196), 1,
      anon_sym_async,
    STATE(2365), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5194), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [118955] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4953), 1,
      anon_sym_SQUOTE,
    STATE(2366), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4957), 6,
      sym__template_chars_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [118986] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(2022), 1,
      sym_function_body,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2367), 2,
      sym_comment,
      sym_documentation_comment,
  [119025] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3479), 1,
      anon_sym_QMARK,
    STATE(2368), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3477), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119056] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3539), 1,
      anon_sym_QMARK,
    STATE(2369), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3537), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119087] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1527), 1,
      anon_sym_QMARK,
    STATE(2370), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1518), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119118] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5117), 1,
      sym_identifier,
    STATE(2316), 1,
      sym__set,
    STATE(2352), 1,
      sym__get,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3245), 1,
      sym_initialized_identifier_list,
    STATE(2371), 2,
      sym_comment,
      sym_documentation_comment,
  [119159] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4748), 1,
      anon_sym_if,
    STATE(2311), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2520), 1,
      sym_configuration_uri,
    STATE(2372), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5198), 4,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [119194] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5200), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2640), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2373), 2,
      sym_comment,
      sym_documentation_comment,
  [119235] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5202), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2640), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2374), 2,
      sym_comment,
      sym_documentation_comment,
  [119276] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(5206), 1,
      anon_sym_async,
    ACTIONS(5208), 1,
      anon_sym_EQ_GT,
    STATE(1066), 1,
      sym_function_expression_body,
    STATE(1140), 1,
      sym_block,
    ACTIONS(5210), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2375), 2,
      sym_comment,
      sym_documentation_comment,
  [119315] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3547), 1,
      anon_sym_QMARK,
    STATE(2376), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3545), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119346] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1840), 1,
      anon_sym_QMARK,
    STATE(2377), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(1812), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119377] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3475), 1,
      anon_sym_QMARK,
    STATE(2378), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3473), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119408] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5214), 1,
      anon_sym_EQ,
    ACTIONS(5216), 1,
      anon_sym_async,
    STATE(2379), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5212), 5,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
      anon_sym_native,
  [119441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(2024), 1,
      sym_function_body,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2380), 2,
      sym_comment,
      sym_documentation_comment,
  [119480] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5220), 1,
      anon_sym_async,
    STATE(2381), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5218), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [119511] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2382), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5222), 7,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      sym_const_builtin,
      sym_final_builtin,
      anon_sym_late,
      sym_identifier,
  [119540] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3471), 1,
      anon_sym_QMARK,
    STATE(2383), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3469), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119571] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3567), 1,
      anon_sym_QMARK,
    STATE(2384), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3565), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119602] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5224), 1,
      anon_sym_LBRACE,
    ACTIONS(5226), 1,
      anon_sym_async,
    ACTIONS(5228), 1,
      anon_sym_EQ_GT,
    STATE(1545), 1,
      sym_function_expression_body,
    STATE(1613), 1,
      sym_block,
    ACTIONS(5230), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2385), 2,
      sym_comment,
      sym_documentation_comment,
  [119641] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(4862), 1,
      anon_sym_async,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    STATE(431), 1,
      sym_block,
    STATE(561), 1,
      sym_function_body,
    ACTIONS(4866), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2386), 2,
      sym_comment,
      sym_documentation_comment,
  [119680] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4864), 1,
      anon_sym_EQ_GT,
    ACTIONS(5232), 1,
      anon_sym_LBRACE,
    ACTIONS(5234), 1,
      anon_sym_async,
    STATE(431), 1,
      sym_block,
    STATE(561), 1,
      sym_function_body,
    ACTIONS(5236), 2,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
    STATE(2387), 2,
      sym_comment,
      sym_documentation_comment,
  [119719] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3408), 1,
      anon_sym_QMARK,
    STATE(2388), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3406), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119750] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5238), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2750), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2389), 2,
      sym_comment,
      sym_documentation_comment,
  [119791] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3503), 1,
      anon_sym_QMARK,
    STATE(2390), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3501), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119822] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2158), 1,
      anon_sym_QMARK,
    STATE(2391), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2156), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119853] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2154), 1,
      anon_sym_QMARK,
    STATE(2392), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(2152), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119884] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4915), 1,
      anon_sym_async,
    STATE(2393), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4910), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [119915] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3416), 1,
      anon_sym_QMARK,
    STATE(2394), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(3414), 6,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym__exclamation_operator,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
  [119946] = 13,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5240), 1,
      sym_identifier,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2750), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2395), 2,
      sym_comment,
      sym_documentation_comment,
  [119987] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2640), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2396), 2,
      sym_comment,
      sym_documentation_comment,
  [120025] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    STATE(1464), 1,
      sym_index_selector,
    STATE(1468), 1,
      sym_unconditional_assignable_selector,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2397), 2,
      sym_comment,
      sym_documentation_comment,
  [120063] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    STATE(549), 1,
      sym__semicolon,
    STATE(2398), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5242), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_else,
  [120097] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2292), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2399), 2,
      sym_comment,
      sym_documentation_comment,
  [120135] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2400), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5246), 6,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
      anon_sym_deferred,
  [120163] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5250), 1,
      anon_sym_SQUOTE,
    STATE(2401), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5248), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [120193] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2240), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2402), 2,
      sym_comment,
      sym_documentation_comment,
  [120231] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(451), 1,
      sym__semicolon,
    STATE(2498), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2403), 2,
      sym_comment,
      sym_documentation_comment,
  [120267] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5254), 1,
      anon_sym_SQUOTE,
    STATE(2404), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5252), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [120297] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1392), 1,
      sym_cascade_section,
    ACTIONS(3149), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5256), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    STATE(2405), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__expression_repeat1,
  [120329] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5261), 1,
      anon_sym_SEMI,
    ACTIONS(5263), 1,
      anon_sym_async,
    STATE(2406), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5259), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [120361] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5254), 1,
      anon_sym_DQUOTE,
    STATE(2407), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5252), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [120391] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2635), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2408), 2,
      sym_comment,
      sym_documentation_comment,
  [120429] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3683), 1,
      anon_sym_DOT,
    STATE(1311), 1,
      sym_unconditional_assignable_selector,
    STATE(1315), 1,
      sym_index_selector,
    STATE(2880), 1,
      sym__nullable_type,
    STATE(2409), 2,
      sym_comment,
      sym_documentation_comment,
  [120467] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5265), 1,
      sym_identifier,
    ACTIONS(5267), 1,
      anon_sym_LBRACK,
    STATE(507), 1,
      sym_cascade_selector,
    STATE(754), 1,
      sym_index_selector,
    STATE(2908), 1,
      sym__nullable_type,
    STATE(2410), 2,
      sym_comment,
      sym_documentation_comment,
  [120505] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5098), 1,
      anon_sym_SQUOTE,
    STATE(2411), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [120535] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    STATE(1063), 1,
      sym_unconditional_assignable_selector,
    STATE(1101), 1,
      sym_index_selector,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(2412), 2,
      sym_comment,
      sym_documentation_comment,
  [120573] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5271), 1,
      anon_sym_async,
    STATE(2413), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5269), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [120603] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2295), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2414), 2,
      sym_comment,
      sym_documentation_comment,
  [120641] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2643), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2415), 2,
      sym_comment,
      sym_documentation_comment,
  [120679] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5275), 1,
      anon_sym_async,
    STATE(2416), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5273), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [120709] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4748), 1,
      anon_sym_if,
    STATE(2372), 1,
      aux_sym_configurable_uri_repeat1,
    STATE(2520), 1,
      sym_configuration_uri,
    STATE(2417), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4746), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [120743] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5279), 1,
      anon_sym_async,
    STATE(2418), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5277), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [120773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2419), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5281), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [120801] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5285), 1,
      anon_sym_async,
    STATE(2420), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5283), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [120831] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(2569), 1,
      sym_parameter_type_list,
    ACTIONS(3041), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2421), 2,
      sym_comment,
      sym_documentation_comment,
  [120867] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(825), 1,
      sym_cascade_selector,
    STATE(1236), 1,
      sym_index_selector,
    STATE(3019), 1,
      sym__nullable_type,
    STATE(2422), 2,
      sym_comment,
      sym_documentation_comment,
  [120905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2423), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 6,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [120933] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    STATE(1114), 1,
      sym_unconditional_assignable_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(2424), 2,
      sym_comment,
      sym_documentation_comment,
  [120971] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2425), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4508), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [120999] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2426), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4510), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121027] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2608), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2427), 2,
      sym_comment,
      sym_documentation_comment,
  [121065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2428), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5003), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121093] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2429), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5289), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121121] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5294), 1,
      anon_sym_async,
    STATE(2430), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5292), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [121151] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3689), 1,
      anon_sym_DOT,
    STATE(979), 1,
      sym_index_selector,
    STATE(1004), 1,
      sym_unconditional_assignable_selector,
    STATE(3018), 1,
      sym__nullable_type,
    STATE(2431), 2,
      sym_comment,
      sym_documentation_comment,
  [121189] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    ACTIONS(4856), 1,
      anon_sym_async,
    STATE(2432), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4850), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [121221] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2433), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5296), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121249] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4686), 1,
      anon_sym_extends,
    STATE(2575), 1,
      sym__nullable_type,
    STATE(2859), 1,
      sym_type_bound,
    ACTIONS(5298), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2434), 2,
      sym_comment,
      sym_documentation_comment,
  [121285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2435), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5300), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121313] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    ACTIONS(4350), 1,
      anon_sym_DOT,
    STATE(1099), 1,
      sym_unconditional_assignable_selector,
    STATE(1118), 1,
      sym_index_selector,
    STATE(3017), 1,
      sym__nullable_type,
    STATE(2436), 2,
      sym_comment,
      sym_documentation_comment,
  [121351] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2437), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5302), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121379] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(836), 1,
      sym_cascade_selector,
    STATE(1236), 1,
      sym_index_selector,
    STATE(3019), 1,
      sym__nullable_type,
    STATE(2438), 2,
      sym_comment,
      sym_documentation_comment,
  [121417] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5306), 1,
      anon_sym_DOT,
    STATE(2439), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_factory_constructor_signature_repeat1,
    ACTIONS(5304), 4,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [121447] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1515), 1,
      sym_index_selector,
    STATE(1519), 1,
      sym_unconditional_assignable_selector,
    STATE(3027), 1,
      sym__nullable_type,
    STATE(2440), 2,
      sym_comment,
      sym_documentation_comment,
  [121485] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(444), 1,
      sym__semicolon,
    STATE(2485), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2441), 2,
      sym_comment,
      sym_documentation_comment,
  [121521] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(444), 1,
      sym__semicolon,
    STATE(2498), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2442), 2,
      sym_comment,
      sym_documentation_comment,
  [121557] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2443), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5159), 6,
      sym__template_chars_single_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121585] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(450), 1,
      sym__semicolon,
    STATE(2498), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2444), 2,
      sym_comment,
      sym_documentation_comment,
  [121621] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5311), 1,
      anon_sym_async,
    STATE(2445), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5309), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [121651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2446), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5149), 6,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121679] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    ACTIONS(5313), 1,
      anon_sym_on,
    STATE(517), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(3055), 1,
      sym_interfaces,
    STATE(2447), 2,
      sym_comment,
      sym_documentation_comment,
  [121717] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(452), 1,
      sym__semicolon,
    STATE(2442), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2448), 2,
      sym_comment,
      sym_documentation_comment,
  [121753] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5098), 1,
      anon_sym_DQUOTE,
    STATE(2449), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121783] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5250), 1,
      anon_sym_DQUOTE,
    STATE(2450), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5248), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121813] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2451), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5315), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121841] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5319), 1,
      anon_sym_SQUOTE,
    STATE(2452), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5317), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2453), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5321), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [121899] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5323), 1,
      anon_sym_DQUOTE,
    STATE(2454), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5325), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121929] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5329), 1,
      anon_sym_SQUOTE,
    STATE(2455), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5327), 5,
      sym__template_chars_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [121959] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5331), 1,
      sym_identifier,
    ACTIONS(5333), 1,
      anon_sym_LBRACK,
    STATE(437), 1,
      sym_cascade_selector,
    STATE(657), 1,
      sym_index_selector,
    STATE(2900), 1,
      sym__nullable_type,
    STATE(2456), 2,
      sym_comment,
      sym_documentation_comment,
  [121997] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    STATE(2475), 1,
      sym__nullable_type,
    STATE(2569), 1,
      sym_parameter_type_list,
    ACTIONS(3041), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2457), 2,
      sym_comment,
      sym_documentation_comment,
  [122033] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(451), 1,
      sym__semicolon,
    STATE(2471), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2458), 2,
      sym_comment,
      sym_documentation_comment,
  [122069] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3041), 1,
      anon_sym_SEMI,
    ACTIONS(3063), 1,
      anon_sym_Function,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    STATE(1959), 1,
      sym__nullable_type,
    STATE(2569), 1,
      sym_parameter_type_list,
    STATE(2459), 2,
      sym_comment,
      sym_documentation_comment,
  [122107] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5335), 1,
      sym_identifier,
    ACTIONS(5337), 1,
      anon_sym_LBRACK,
    STATE(436), 1,
      sym_cascade_selector,
    STATE(653), 1,
      sym_index_selector,
    STATE(2999), 1,
      sym__nullable_type,
    STATE(2460), 2,
      sym_comment,
      sym_documentation_comment,
  [122145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2461), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5339), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [122173] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(3122), 1,
      sym__formal_parameter_part,
    STATE(2462), 2,
      sym_comment,
      sym_documentation_comment,
  [122211] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4686), 1,
      anon_sym_extends,
    STATE(2599), 1,
      sym__nullable_type,
    STATE(2987), 1,
      sym_type_bound,
    ACTIONS(5341), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2463), 2,
      sym_comment,
      sym_documentation_comment,
  [122247] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2464), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 6,
      sym__template_chars_double_single,
      sym__template_chars_raw_slash,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [122275] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5345), 1,
      anon_sym_async,
    STATE(2465), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5343), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [122305] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5349), 1,
      anon_sym_async,
    STATE(2466), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5347), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [122335] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5353), 1,
      anon_sym_async,
    STATE(2467), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5351), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [122365] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    ACTIONS(4336), 1,
      anon_sym_DOT,
    STATE(1454), 1,
      sym_unconditional_assignable_selector,
    STATE(1464), 1,
      sym_index_selector,
    STATE(2920), 1,
      sym__nullable_type,
    STATE(2468), 2,
      sym_comment,
      sym_documentation_comment,
  [122403] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5355), 1,
      sym_identifier,
    STATE(989), 1,
      sym_cascade_selector,
    STATE(1768), 1,
      sym_index_selector,
    STATE(2929), 1,
      sym__nullable_type,
    STATE(2469), 2,
      sym_comment,
      sym_documentation_comment,
  [122441] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    ACTIONS(4344), 1,
      anon_sym_DOT,
    STATE(1090), 1,
      sym_unconditional_assignable_selector,
    STATE(1101), 1,
      sym_index_selector,
    STATE(2979), 1,
      sym__nullable_type,
    STATE(2470), 2,
      sym_comment,
      sym_documentation_comment,
  [122479] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(442), 1,
      sym__semicolon,
    STATE(2498), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2471), 2,
      sym_comment,
      sym_documentation_comment,
  [122515] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(3635), 1,
      anon_sym_DOT,
    STATE(984), 1,
      sym_index_selector,
    STATE(1044), 1,
      sym_unconditional_assignable_selector,
    STATE(2855), 1,
      sym__nullable_type,
    STATE(2472), 2,
      sym_comment,
      sym_documentation_comment,
  [122553] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1392), 1,
      sym_cascade_section,
    STATE(2405), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2946), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(3178), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(2473), 2,
      sym_comment,
      sym_documentation_comment,
  [122587] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2750), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2474), 2,
      sym_comment,
      sym_documentation_comment,
  [122625] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4185), 1,
      anon_sym_LPAREN,
    STATE(1954), 1,
      sym__nullable_type,
    STATE(2550), 1,
      sym_parameter_type_list,
    ACTIONS(3077), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2475), 2,
      sym_comment,
      sym_documentation_comment,
  [122661] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2707), 1,
      anon_sym_LBRACE,
    ACTIONS(2709), 1,
      anon_sym_LBRACK,
    ACTIONS(5357), 1,
      anon_sym_RPAREN,
    STATE(3202), 1,
      sym_optional_formal_parameters,
    STATE(2476), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3137), 2,
      sym__optional_postional_formal_parameters,
      sym__named_formal_parameters,
  [122697] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2261), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2477), 2,
      sym_comment,
      sym_documentation_comment,
  [122735] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(4354), 1,
      anon_sym_LBRACK,
    ACTIONS(4356), 1,
      anon_sym_DOT,
    STATE(1586), 1,
      sym_index_selector,
    STATE(1629), 1,
      sym_unconditional_assignable_selector,
    STATE(3029), 1,
      sym__nullable_type,
    STATE(2478), 2,
      sym_comment,
      sym_documentation_comment,
  [122773] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2479), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4991), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [122801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2480), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5359), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [122829] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2293), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2481), 2,
      sym_comment,
      sym_documentation_comment,
  [122867] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2482), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5362), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [122895] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5366), 1,
      anon_sym_async,
    STATE(2483), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5364), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [122925] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(445), 1,
      sym__semicolon,
    STATE(2403), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2484), 2,
      sym_comment,
      sym_documentation_comment,
  [122961] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(447), 1,
      sym__semicolon,
    STATE(2498), 1,
      aux_sym_library_export_repeat1,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(4923), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2485), 2,
      sym_comment,
      sym_documentation_comment,
  [122997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2486), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5368), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [123025] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2259), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2487), 2,
      sym_comment,
      sym_documentation_comment,
  [123063] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5329), 1,
      anon_sym_DQUOTE,
    STATE(2488), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5327), 5,
      sym__template_chars_double,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [123093] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2268), 1,
      sym__formal_parameter_part,
    STATE(2827), 1,
      sym_type_parameters,
    STATE(2489), 2,
      sym_comment,
      sym_documentation_comment,
  [123131] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(2094), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(4566), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2490), 2,
      sym_comment,
      sym_documentation_comment,
  [123165] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4975), 1,
      anon_sym_async,
    STATE(2491), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4973), 5,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [123195] = 12,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    ACTIONS(5287), 1,
      sym_identifier,
    STATE(1203), 1,
      sym_cascade_selector,
    STATE(1236), 1,
      sym_index_selector,
    STATE(3019), 1,
      sym__nullable_type,
    STATE(2492), 2,
      sym_comment,
      sym_documentation_comment,
  [123233] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(1156), 1,
      sym_cascade_section,
    STATE(2094), 1,
      aux_sym__expression_repeat1,
    ACTIONS(2703), 2,
      anon_sym_DOT_DOT,
      anon_sym_QMARK_DOT_DOT,
    ACTIONS(4570), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2493), 2,
      sym_comment,
      sym_documentation_comment,
  [123267] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2494), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [123294] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2319), 1,
      sym_formal_parameter_list,
    STATE(2522), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2495), 2,
      sym_comment,
      sym_documentation_comment,
  [123329] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2496), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5372), 5,
      anon_sym_super,
      sym_void_type,
      anon_sym_Function,
      anon_sym_this,
      sym_identifier,
  [123356] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    STATE(2547), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2497), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5374), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [123387] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5376), 1,
      anon_sym_SEMI,
    STATE(2677), 1,
      sym_combinator,
    ACTIONS(5378), 2,
      anon_sym_show,
      anon_sym_hide,
    STATE(2498), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_library_export_repeat1,
  [123418] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2439), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(3314), 1,
      sym_formal_parameter_list,
    STATE(2499), 2,
      sym_comment,
      sym_documentation_comment,
  [123453] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2969), 1,
      anon_sym_SEMI,
    ACTIONS(5381), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2297), 1,
      sym__function_builtin_identifier,
    STATE(2530), 1,
      aux_sym__function_type_tails,
    STATE(2500), 2,
      sym_comment,
      sym_documentation_comment,
  [123488] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2439), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2890), 1,
      sym_formal_parameter_list,
    STATE(2501), 2,
      sym_comment,
      sym_documentation_comment,
  [123523] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(502), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2954), 1,
      sym_interfaces,
    STATE(2502), 2,
      sym_comment,
      sym_documentation_comment,
  [123558] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2503), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5383), 5,
      sym_void_type,
      anon_sym_var,
      anon_sym_Function,
      sym_final_builtin,
      sym_identifier,
  [123585] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2504), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5327), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [123612] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(5385), 1,
      sym_identifier,
    STATE(3335), 1,
      sym_super,
    STATE(3336), 1,
      sym_this,
    STATE(2505), 2,
      sym_comment,
      sym_documentation_comment,
  [123647] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2506), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5327), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [123674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2507), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5304), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [123701] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(95), 1,
      anon_sym_super,
    ACTIONS(211), 1,
      anon_sym_this,
    ACTIONS(5387), 1,
      sym_identifier,
    STATE(3335), 1,
      sym_super,
    STATE(3336), 1,
      sym_this,
    STATE(2508), 2,
      sym_comment,
      sym_documentation_comment,
  [123736] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5389), 1,
      sym_identifier,
    STATE(2632), 1,
      sym_label,
    ACTIONS(5392), 2,
      anon_sym_default,
      sym_case_builtin,
    STATE(2509), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_switch_case_repeat1,
  [123767] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5396), 1,
      anon_sym_RPAREN,
    STATE(183), 1,
      sym__semicolon,
    STATE(2803), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2510), 2,
      sym_comment,
      sym_documentation_comment,
  [123802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5244), 1,
      anon_sym_COLON,
    STATE(2511), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5242), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [123831] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(484), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2878), 1,
      sym_interfaces,
    STATE(2512), 2,
      sym_comment,
      sym_documentation_comment,
  [123866] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5183), 1,
      sym_identifier,
    STATE(2487), 2,
      sym__get,
      sym__set,
    STATE(2513), 2,
      sym_comment,
      sym_documentation_comment,
  [123899] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5398), 1,
      anon_sym_COMMA,
    ACTIONS(5401), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
    STATE(2514), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_inferred_parameters_repeat1,
  [123928] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5403), 1,
      sym_identifier,
    STATE(2373), 1,
      sym__set,
    STATE(2396), 1,
      sym__get,
    STATE(2515), 2,
      sym_comment,
      sym_documentation_comment,
  [123963] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(5405), 1,
      sym_identifier,
    STATE(2739), 1,
      sym_qualified,
    STATE(3239), 1,
      sym__factory,
    STATE(3245), 1,
      sym_factory_constructor_signature,
    STATE(2516), 2,
      sym_comment,
      sym_documentation_comment,
  [123998] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5409), 1,
      anon_sym_COMMA,
    ACTIONS(5407), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
    STATE(2517), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__type_not_void_list_repeat1,
  [124027] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5412), 1,
      sym_identifier,
    ACTIONS(5414), 1,
      anon_sym_default,
    ACTIONS(5416), 1,
      sym_case_builtin,
    STATE(2509), 1,
      aux_sym_switch_case_repeat1,
    STATE(2632), 1,
      sym_label,
    STATE(2518), 2,
      sym_comment,
      sym_documentation_comment,
  [124062] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2519), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5418), 5,
      sym_void_type,
      anon_sym_Function,
      anon_sym_get,
      anon_sym_set,
      sym_identifier,
  [124089] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2520), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5420), 5,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
  [124116] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2521), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5248), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124143] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2379), 1,
      sym_formal_parameter_list,
    STATE(2439), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2522), 2,
      sym_comment,
      sym_documentation_comment,
  [124178] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2499), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(3283), 1,
      sym_formal_parameter_list,
    STATE(2523), 2,
      sym_comment,
      sym_documentation_comment,
  [124213] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    STATE(190), 1,
      sym__semicolon,
    STATE(2735), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2524), 2,
      sym_comment,
      sym_documentation_comment,
  [124248] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5263), 1,
      anon_sym_async,
    STATE(2525), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5259), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_async_STAR,
      anon_sym_sync_STAR,
  [124277] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2988), 1,
      anon_sym_SEMI,
    ACTIONS(5381), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2297), 1,
      sym__function_builtin_identifier,
    STATE(2530), 1,
      aux_sym__function_type_tails,
    STATE(2526), 2,
      sym_comment,
      sym_documentation_comment,
  [124312] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5424), 1,
      anon_sym_export,
    ACTIONS(5426), 1,
      anon_sym_import,
    STATE(441), 1,
      sym_import_specification,
    STATE(1895), 1,
      sym__import,
    STATE(1935), 1,
      sym__export,
    STATE(2527), 2,
      sym_comment,
      sym_documentation_comment,
  [124347] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(494), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2964), 1,
      sym_interfaces,
    STATE(2528), 2,
      sym_comment,
      sym_documentation_comment,
  [124382] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5430), 1,
      anon_sym_COMMA,
    STATE(2517), 1,
      aux_sym__type_not_void_list_repeat1,
    STATE(2529), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5428), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [124413] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2910), 1,
      anon_sym_SEMI,
    ACTIONS(5432), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2297), 1,
      sym__function_builtin_identifier,
    STATE(2530), 3,
      aux_sym__function_type_tails,
      sym_comment,
      sym_documentation_comment,
  [124446] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5430), 1,
      anon_sym_COMMA,
    STATE(2529), 1,
      aux_sym__type_not_void_list_repeat1,
    STATE(2531), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5435), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [124477] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2532), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5437), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124504] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2544), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2533), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5439), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [124535] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2501), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2923), 1,
      sym_formal_parameter_list,
    STATE(2534), 2,
      sym_comment,
      sym_documentation_comment,
  [124570] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2535), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5252), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2536), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5441), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124624] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(506), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2986), 1,
      sym_interfaces,
    STATE(2537), 2,
      sym_comment,
      sym_documentation_comment,
  [124659] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5445), 1,
      anon_sym_EQ,
    ACTIONS(5447), 1,
      anon_sym_SEMI,
    ACTIONS(5449), 1,
      anon_sym_in,
    STATE(2621), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2538), 2,
      sym_comment,
      sym_documentation_comment,
  [124694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3402), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    STATE(2539), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4551), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [124723] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2540), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5252), 5,
      sym__template_chars_single_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124750] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(115), 1,
      anon_sym_get,
    ACTIONS(121), 1,
      anon_sym_set,
    ACTIONS(5403), 1,
      sym_identifier,
    STATE(2373), 1,
      sym__set,
    STATE(2374), 1,
      sym__get,
    STATE(2541), 2,
      sym_comment,
      sym_documentation_comment,
  [124785] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2542), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5096), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124812] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2543), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5248), 5,
      sym__template_chars_double_single,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOLLAR,
      sym__unused_escape_sequence,
  [124839] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5370), 1,
      anon_sym_DOT,
    STATE(2439), 1,
      aux_sym_factory_constructor_signature_repeat1,
    STATE(2544), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5451), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
  [124870] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(486), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(2926), 1,
      sym_interfaces,
    STATE(2545), 2,
      sym_comment,
      sym_documentation_comment,
  [124905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2546), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5453), 5,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_if,
      anon_sym_show,
      anon_sym_hide,
  [124932] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    STATE(2514), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2547), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5455), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [124963] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2032), 1,
      anon_sym_factory,
    ACTIONS(5405), 1,
      sym_identifier,
    STATE(2739), 1,
      sym_qualified,
    STATE(2980), 1,
      sym_factory_constructor_signature,
    STATE(3196), 1,
      sym__factory,
    STATE(2548), 2,
      sym_comment,
      sym_documentation_comment,
  [124998] = 11,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_implements,
    STATE(491), 1,
      sym_class_body,
    STATE(2074), 1,
      sym__implements,
    STATE(3068), 1,
      sym_interfaces,
    STATE(2549), 2,
      sym_comment,
      sym_documentation_comment,
  [125033] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1950), 1,
      sym__nullable_type,
    ACTIONS(3156), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2550), 2,
      sym_comment,
      sym_documentation_comment,
  [125063] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1643), 1,
      sym_arguments,
    STATE(2905), 1,
      sym__dot_identifier,
    STATE(2551), 2,
      sym_comment,
      sym_documentation_comment,
  [125095] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4504), 1,
      anon_sym_implements,
    ACTIONS(5459), 1,
      anon_sym_SEMI,
    STATE(2074), 1,
      sym__implements,
    STATE(3252), 1,
      sym_interfaces,
    STATE(2552), 2,
      sym_comment,
      sym_documentation_comment,
  [125127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5461), 1,
      anon_sym_COMMA,
    ACTIONS(5464), 2,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
    STATE(2553), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_parameter_type_list_repeat1,
  [125155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2984), 1,
      anon_sym_Function,
    STATE(871), 1,
      sym__function_builtin_identifier,
    STATE(877), 1,
      aux_sym__function_type_tails,
    STATE(1053), 1,
      sym__function_type_tail,
    STATE(2554), 2,
      sym_comment,
      sym_documentation_comment,
  [125187] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5466), 1,
      anon_sym_COMMA,
    ACTIONS(5469), 1,
      anon_sym_RPAREN,
    STATE(2758), 1,
      aux_sym__argument_list_repeat2,
    STATE(2770), 1,
      aux_sym__argument_list_repeat3,
    STATE(2555), 2,
      sym_comment,
      sym_documentation_comment,
  [125219] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2556), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5471), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [125245] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4043), 1,
      anon_sym_Function,
    STATE(1685), 1,
      sym__function_builtin_identifier,
    STATE(1696), 1,
      aux_sym__function_type_tails,
    STATE(1823), 1,
      sym__function_type_tail,
    STATE(2557), 2,
      sym_comment,
      sym_documentation_comment,
  [125277] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1959), 1,
      sym__nullable_type,
    ACTIONS(3041), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2558), 2,
      sym_comment,
      sym_documentation_comment,
  [125307] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2973), 1,
      anon_sym_Function,
    STATE(865), 1,
      sym__function_builtin_identifier,
    STATE(874), 1,
      aux_sym__function_type_tails,
    STATE(1056), 1,
      sym__function_type_tail,
    STATE(2559), 2,
      sym_comment,
      sym_documentation_comment,
  [125339] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    ACTIONS(5473), 1,
      anon_sym_COLON,
    STATE(2560), 2,
      sym_comment,
      sym_documentation_comment,
    STATE(3198), 2,
      sym_initializers,
      sym_redirection,
  [125369] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5475), 1,
      anon_sym_COMMA,
    STATE(167), 1,
      sym__semicolon,
    STATE(2580), 1,
      aux_sym__for_loop_parts_repeat1,
    STATE(2561), 2,
      sym_comment,
      sym_documentation_comment,
  [125401] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(2337), 1,
      sym_arguments,
    STATE(2893), 1,
      sym__dot_identifier,
    STATE(2562), 2,
      sym_comment,
      sym_documentation_comment,
  [125433] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5381), 1,
      anon_sym_Function,
    STATE(1793), 1,
      sym__function_builtin_identifier,
    STATE(1870), 1,
      aux_sym__function_type_tails,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2563), 2,
      sym_comment,
      sym_documentation_comment,
  [125465] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(2937), 1,
      sym__nullable_type,
    ACTIONS(3209), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2564), 2,
      sym_comment,
      sym_documentation_comment,
  [125495] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1162), 1,
      sym_arguments,
    STATE(3009), 1,
      sym__dot_identifier,
    STATE(2565), 2,
      sym_comment,
      sym_documentation_comment,
  [125527] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1658), 1,
      sym_arguments,
    STATE(2896), 1,
      sym__dot_identifier,
    STATE(2566), 2,
      sym_comment,
      sym_documentation_comment,
  [125559] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5381), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2297), 1,
      sym__function_builtin_identifier,
    STATE(2526), 1,
      aux_sym__function_type_tails,
    STATE(2567), 2,
      sym_comment,
      sym_documentation_comment,
  [125591] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1411), 1,
      sym_arguments,
    STATE(2918), 1,
      sym__dot_identifier,
    STATE(2568), 2,
      sym_comment,
      sym_documentation_comment,
  [125623] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3622), 1,
      anon_sym_QMARK,
    STATE(1954), 1,
      sym__nullable_type,
    ACTIONS(3077), 2,
      anon_sym_SEMI,
      anon_sym_Function,
    STATE(2569), 2,
      sym_comment,
      sym_documentation_comment,
  [125653] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1437), 1,
      sym_arguments,
    STATE(2958), 1,
      sym__dot_identifier,
    STATE(2570), 2,
      sym_comment,
      sym_documentation_comment,
  [125685] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3593), 1,
      anon_sym_Function,
    STATE(1245), 1,
      sym__function_builtin_identifier,
    STATE(1254), 1,
      aux_sym__function_type_tails,
    STATE(1351), 1,
      sym__function_type_tail,
    STATE(2571), 2,
      sym_comment,
      sym_documentation_comment,
  [125717] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    ACTIONS(5477), 1,
      anon_sym_EQ,
    STATE(2038), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2572), 2,
      sym_comment,
      sym_documentation_comment,
  [125749] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4502), 1,
      anon_sym_with,
    STATE(2967), 1,
      sym_mixins,
    ACTIONS(5479), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2573), 2,
      sym_comment,
      sym_documentation_comment,
  [125779] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1093), 1,
      sym_arguments,
    STATE(3025), 1,
      sym__dot_identifier,
    STATE(2574), 2,
      sym_comment,
      sym_documentation_comment,
  [125811] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4686), 1,
      anon_sym_extends,
    STATE(2984), 1,
      sym_type_bound,
    ACTIONS(5481), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2575), 2,
      sym_comment,
      sym_documentation_comment,
  [125841] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5485), 1,
      sym__exclamation_operator,
    STATE(2576), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5483), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [125869] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5487), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(5489), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2577), 2,
      sym_comment,
      sym_documentation_comment,
  [125897] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2578), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5491), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [125923] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5493), 1,
      sym_identifier,
    STATE(2579), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5495), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [125951] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5475), 1,
      anon_sym_COMMA,
    STATE(177), 1,
      sym__semicolon,
    STATE(2733), 1,
      aux_sym__for_loop_parts_repeat1,
    STATE(2580), 2,
      sym_comment,
      sym_documentation_comment,
  [125983] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5381), 1,
      anon_sym_Function,
    STATE(1943), 1,
      sym__function_type_tail,
    STATE(2134), 1,
      sym__function_builtin_identifier,
    STATE(2145), 1,
      aux_sym__function_type_tails,
    STATE(2581), 2,
      sym_comment,
      sym_documentation_comment,
  [126015] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2582), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5497), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [126041] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5501), 1,
      anon_sym_else,
    STATE(2583), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5499), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126069] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4201), 1,
      anon_sym_Function,
    STATE(1770), 1,
      sym__function_builtin_identifier,
    STATE(1800), 1,
      aux_sym__function_type_tails,
    STATE(1905), 1,
      sym__function_type_tail,
    STATE(2584), 2,
      sym_comment,
      sym_documentation_comment,
  [126101] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2585), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5503), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [126127] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5507), 1,
      anon_sym_COMMA,
    ACTIONS(5505), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    STATE(2586), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_list_literal_repeat1,
  [126155] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4876), 1,
      anon_sym_catch,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_block,
    STATE(2991), 1,
      sym_catch_clause,
    STATE(2587), 2,
      sym_comment,
      sym_documentation_comment,
  [126187] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2588), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5407), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_implements,
  [126213] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2589), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5510), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [126239] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2590), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5512), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [126265] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5514), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(5516), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2591), 2,
      sym_comment,
      sym_documentation_comment,
  [126293] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2592), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [126319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2593), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5242), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [126345] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5445), 1,
      anon_sym_EQ,
    ACTIONS(5447), 1,
      anon_sym_SEMI,
    STATE(2621), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2594), 2,
      sym_comment,
      sym_documentation_comment,
  [126377] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(2310), 1,
      sym_arguments,
    STATE(2911), 1,
      sym__dot_identifier,
    STATE(2595), 2,
      sym_comment,
      sym_documentation_comment,
  [126409] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5518), 1,
      anon_sym_COMMA,
    ACTIONS(5521), 1,
      anon_sym_RPAREN,
    STATE(2555), 1,
      aux_sym__argument_list_repeat2,
    STATE(2699), 1,
      aux_sym__argument_list_repeat3,
    STATE(2596), 2,
      sym_comment,
      sym_documentation_comment,
  [126441] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3798), 1,
      anon_sym_Function,
    STATE(1334), 1,
      sym__function_builtin_identifier,
    STATE(1434), 1,
      aux_sym__function_type_tails,
    STATE(1656), 1,
      sym__function_type_tail,
    STATE(2597), 2,
      sym_comment,
      sym_documentation_comment,
  [126473] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2598), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5523), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_else,
  [126499] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4686), 1,
      anon_sym_extends,
    STATE(3024), 1,
      sym_type_bound,
    ACTIONS(5525), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2599), 2,
      sym_comment,
      sym_documentation_comment,
  [126529] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1167), 1,
      sym_arguments,
    STATE(3004), 1,
      sym__dot_identifier,
    STATE(2600), 2,
      sym_comment,
      sym_documentation_comment,
  [126561] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3810), 1,
      anon_sym_Function,
    STATE(1312), 1,
      sym__function_builtin_identifier,
    STATE(1458), 1,
      aux_sym__function_type_tails,
    STATE(1559), 1,
      sym__function_type_tail,
    STATE(2601), 2,
      sym_comment,
      sym_documentation_comment,
  [126593] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    ACTIONS(5457), 1,
      anon_sym_DOT,
    STATE(1212), 1,
      sym_arguments,
    STATE(2995), 1,
      sym__dot_identifier,
    STATE(2602), 2,
      sym_comment,
      sym_documentation_comment,
  [126625] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5493), 1,
      sym_identifier,
    STATE(2603), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5527), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [126653] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4876), 1,
      anon_sym_catch,
    ACTIONS(5529), 1,
      anon_sym_LBRACE,
    STATE(493), 1,
      sym_block,
    STATE(3087), 1,
      sym_catch_clause,
    STATE(2604), 2,
      sym_comment,
      sym_documentation_comment,
  [126685] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(5531), 1,
      sym_identifier,
    ACTIONS(5533), 1,
      anon_sym_on,
    STATE(3219), 1,
      sym_type_parameters,
    STATE(2605), 2,
      sym_comment,
      sym_documentation_comment,
  [126717] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5535), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2606), 2,
      sym_comment,
      sym_documentation_comment,
  [126746] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5539), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2607), 2,
      sym_comment,
      sym_documentation_comment,
  [126775] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5065), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2430), 1,
      sym__native,
    STATE(2608), 2,
      sym_comment,
      sym_documentation_comment,
  [126804] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5543), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2609), 2,
      sym_comment,
      sym_documentation_comment,
  [126833] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(638), 1,
      anon_sym_RBRACK,
    ACTIONS(5545), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2610), 2,
      sym_comment,
      sym_documentation_comment,
  [126862] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    ACTIONS(5547), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2611), 2,
      sym_comment,
      sym_documentation_comment,
  [126891] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(754), 1,
      anon_sym_RBRACE,
    ACTIONS(5549), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2612), 2,
      sym_comment,
      sym_documentation_comment,
  [126920] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(642), 1,
      anon_sym_RBRACE,
    ACTIONS(5551), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2613), 2,
      sym_comment,
      sym_documentation_comment,
  [126949] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(750), 1,
      anon_sym_RBRACE,
    ACTIONS(5553), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2614), 2,
      sym_comment,
      sym_documentation_comment,
  [126978] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(744), 1,
      anon_sym_RBRACK,
    ACTIONS(5555), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2615), 2,
      sym_comment,
      sym_documentation_comment,
  [127007] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(5557), 1,
      anon_sym_EQ_GT,
    STATE(432), 1,
      sym_block,
    STATE(2616), 2,
      sym_comment,
      sym_documentation_comment,
  [127036] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(752), 1,
      anon_sym_RBRACK,
    ACTIONS(5559), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2617), 2,
      sym_comment,
      sym_documentation_comment,
  [127065] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5061), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2491), 1,
      sym__native,
    STATE(2618), 2,
      sym_comment,
      sym_documentation_comment,
  [127094] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      anon_sym_EQ_GT,
    STATE(1170), 1,
      sym_block,
    STATE(2619), 2,
      sym_comment,
      sym_documentation_comment,
  [127123] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(754), 1,
      anon_sym_RBRACE,
    ACTIONS(5549), 1,
      anon_sym_COMMA,
    STATE(2614), 1,
      aux_sym_list_literal_repeat1,
    STATE(2620), 2,
      sym_comment,
      sym_documentation_comment,
  [127152] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5563), 1,
      anon_sym_SEMI,
    STATE(2688), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2621), 2,
      sym_comment,
      sym_documentation_comment,
  [127181] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5565), 1,
      anon_sym_COMMA,
    ACTIONS(5568), 1,
      anon_sym_RPAREN,
    STATE(2622), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__normal_formal_parameters_repeat1,
  [127208] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4973), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2416), 1,
      sym__native,
    STATE(2623), 2,
      sym_comment,
      sym_documentation_comment,
  [127237] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(752), 1,
      anon_sym_RBRACK,
    ACTIONS(5559), 1,
      anon_sym_COMMA,
    STATE(2615), 1,
      aux_sym_list_literal_repeat1,
    STATE(2624), 2,
      sym_comment,
      sym_documentation_comment,
  [127266] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5570), 1,
      anon_sym_COMMA,
    ACTIONS(5573), 1,
      anon_sym_GT,
    STATE(2625), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_type_arguments_repeat1,
  [127293] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(638), 1,
      anon_sym_RBRACK,
    ACTIONS(5545), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      aux_sym_list_literal_repeat1,
    STATE(2626), 2,
      sym_comment,
      sym_documentation_comment,
  [127322] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5575), 1,
      anon_sym_COMMA,
    ACTIONS(5578), 1,
      anon_sym_GT,
    STATE(2627), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_type_parameters_repeat1,
  [127349] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(642), 1,
      anon_sym_RBRACE,
    ACTIONS(5551), 1,
      anon_sym_COMMA,
    STATE(2633), 1,
      aux_sym_list_literal_repeat1,
    STATE(2628), 2,
      sym_comment,
      sym_documentation_comment,
  [127378] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5580), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2629), 2,
      sym_comment,
      sym_documentation_comment,
  [127407] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5582), 1,
      anon_sym_COMMA,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    STATE(2646), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2630), 2,
      sym_comment,
      sym_documentation_comment,
  [127436] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5586), 1,
      anon_sym_SEMI,
    STATE(2686), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2631), 2,
      sym_comment,
      sym_documentation_comment,
  [127465] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2632), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5588), 3,
      anon_sym_default,
      sym_case_builtin,
      sym_identifier,
  [127490] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    ACTIONS(5590), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2633), 2,
      sym_comment,
      sym_documentation_comment,
  [127519] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    ACTIONS(5592), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2634), 2,
      sym_comment,
      sym_documentation_comment,
  [127548] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5073), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2445), 1,
      sym__native,
    STATE(2635), 2,
      sym_comment,
      sym_documentation_comment,
  [127577] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2992), 1,
      anon_sym_RBRACK,
    ACTIONS(5594), 1,
      anon_sym_COMMA,
    STATE(2729), 1,
      aux_sym_positional_parameters_repeat1,
    STATE(2636), 2,
      sym_comment,
      sym_documentation_comment,
  [127606] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(718), 1,
      anon_sym_RBRACE,
    ACTIONS(5590), 1,
      anon_sym_COMMA,
    STATE(2647), 1,
      aux_sym_list_literal_repeat1,
    STATE(2637), 2,
      sym_comment,
      sym_documentation_comment,
  [127635] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(2611), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2638), 2,
      sym_comment,
      sym_documentation_comment,
  [127664] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2842), 1,
      anon_sym_RBRACE,
    ACTIONS(5600), 1,
      anon_sym_COMMA,
    STATE(2726), 1,
      aux_sym__named_formal_parameters_repeat1,
    STATE(2639), 2,
      sym_comment,
      sym_documentation_comment,
  [127693] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4985), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2465), 1,
      sym__native,
    STATE(2640), 2,
      sym_comment,
      sym_documentation_comment,
  [127722] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2641), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5602), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [127747] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5041), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2466), 1,
      sym__native,
    STATE(2642), 2,
      sym_comment,
      sym_documentation_comment,
  [127776] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5069), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2467), 1,
      sym__native,
    STATE(2643), 2,
      sym_comment,
      sym_documentation_comment,
  [127805] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2644), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5505), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127830] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    ACTIONS(5592), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_list_literal_repeat1,
    STATE(2645), 2,
      sym_comment,
      sym_documentation_comment,
  [127859] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4135), 1,
      anon_sym_RPAREN,
    ACTIONS(5604), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2646), 2,
      sym_comment,
      sym_documentation_comment,
  [127888] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(732), 1,
      anon_sym_RBRACE,
    ACTIONS(5606), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2647), 2,
      sym_comment,
      sym_documentation_comment,
  [127917] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5608), 1,
      anon_sym_GT,
    STATE(2607), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2648), 2,
      sym_comment,
      sym_documentation_comment,
  [127946] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(736), 1,
      anon_sym_RBRACK,
    ACTIONS(5610), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2649), 2,
      sym_comment,
      sym_documentation_comment,
  [127975] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5612), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2650), 2,
      sym_comment,
      sym_documentation_comment,
  [128004] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(712), 1,
      anon_sym_RBRACK,
    ACTIONS(5614), 1,
      anon_sym_COMMA,
    STATE(2610), 1,
      aux_sym_list_literal_repeat1,
    STATE(2651), 2,
      sym_comment,
      sym_documentation_comment,
  [128033] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2652), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5616), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [128058] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(734), 1,
      anon_sym_RBRACK,
    ACTIONS(5618), 1,
      anon_sym_COMMA,
    STATE(2617), 1,
      aux_sym_list_literal_repeat1,
    STATE(2653), 2,
      sym_comment,
      sym_documentation_comment,
  [128087] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5620), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3053), 1,
      sym_initialized_identifier_list,
    STATE(2654), 2,
      sym_comment,
      sym_documentation_comment,
  [128116] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5623), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3053), 1,
      sym_initialized_identifier_list,
    STATE(2655), 2,
      sym_comment,
      sym_documentation_comment,
  [128145] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(726), 1,
      anon_sym_RBRACE,
    ACTIONS(5626), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      aux_sym_list_literal_repeat1,
    STATE(2656), 2,
      sym_comment,
      sym_documentation_comment,
  [128174] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(710), 1,
      anon_sym_RBRACE,
    ACTIONS(5628), 1,
      anon_sym_COMMA,
    STATE(2613), 1,
      aux_sym_list_literal_repeat1,
    STATE(2657), 2,
      sym_comment,
      sym_documentation_comment,
  [128203] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5630), 1,
      anon_sym_RBRACE,
    ACTIONS(5632), 1,
      anon_sym_COMMA,
    STATE(2727), 1,
      aux_sym_enum_body_repeat1,
    STATE(2658), 2,
      sym_comment,
      sym_documentation_comment,
  [128232] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5634), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2659), 2,
      sym_comment,
      sym_documentation_comment,
  [128261] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5636), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2660), 2,
      sym_comment,
      sym_documentation_comment,
  [128290] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(734), 1,
      anon_sym_RBRACK,
    ACTIONS(5618), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2661), 2,
      sym_comment,
      sym_documentation_comment,
  [128319] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(726), 1,
      anon_sym_RBRACE,
    ACTIONS(5626), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2662), 2,
      sym_comment,
      sym_documentation_comment,
  [128348] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    ACTIONS(5638), 1,
      anon_sym_EQ_GT,
    STATE(1164), 1,
      sym_block,
    STATE(2663), 2,
      sym_comment,
      sym_documentation_comment,
  [128377] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5640), 1,
      sym_identifier,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(2913), 1,
      sym_static_final_declaration_list,
    STATE(2664), 2,
      sym_comment,
      sym_documentation_comment,
  [128406] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5643), 1,
      anon_sym_GT,
    STATE(2669), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2665), 2,
      sym_comment,
      sym_documentation_comment,
  [128435] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5645), 1,
      anon_sym_GT,
    STATE(2629), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2666), 2,
      sym_comment,
      sym_documentation_comment,
  [128464] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5647), 1,
      anon_sym_COMMA,
    ACTIONS(5649), 1,
      anon_sym_SEMI,
    STATE(2767), 1,
      aux_sym_static_final_declaration_list_repeat1,
    STATE(2667), 2,
      sym_comment,
      sym_documentation_comment,
  [128493] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3198), 1,
      sym_initialized_identifier_list,
    STATE(2668), 2,
      sym_comment,
      sym_documentation_comment,
  [128522] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5653), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2669), 2,
      sym_comment,
      sym_documentation_comment,
  [128551] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5655), 1,
      anon_sym_COMMA,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(2819), 1,
      aux_sym__normal_formal_parameters_repeat1,
    STATE(2670), 2,
      sym_comment,
      sym_documentation_comment,
  [128580] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2671), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5495), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [128605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2672), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5660), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
  [128630] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5662), 1,
      anon_sym_COMMA,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(2675), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2673), 2,
      sym_comment,
      sym_documentation_comment,
  [128659] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5666), 1,
      anon_sym_COMMA,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(2719), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2674), 2,
      sym_comment,
      sym_documentation_comment,
  [128688] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4131), 1,
      anon_sym_RPAREN,
    ACTIONS(5670), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2675), 2,
      sym_comment,
      sym_documentation_comment,
  [128717] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5672), 1,
      anon_sym_GT,
    STATE(2659), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2676), 2,
      sym_comment,
      sym_documentation_comment,
  [128746] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2677), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5674), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [128771] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5676), 1,
      anon_sym_GT,
    STATE(2660), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2678), 2,
      sym_comment,
      sym_documentation_comment,
  [128800] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(5678), 1,
      anon_sym_on,
    STATE(3302), 1,
      sym_type_parameters,
    STATE(2679), 2,
      sym_comment,
      sym_documentation_comment,
  [128829] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5680), 1,
      anon_sym_GT,
    STATE(2697), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2680), 2,
      sym_comment,
      sym_documentation_comment,
  [128858] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5620), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2681), 2,
      sym_comment,
      sym_documentation_comment,
  [128887] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(714), 1,
      anon_sym_RBRACK,
    ACTIONS(5682), 1,
      anon_sym_COMMA,
    STATE(2661), 1,
      aux_sym_list_literal_repeat1,
    STATE(2682), 2,
      sym_comment,
      sym_documentation_comment,
  [128916] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5684), 1,
      anon_sym_GT,
    STATE(2698), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2683), 2,
      sym_comment,
      sym_documentation_comment,
  [128945] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(5686), 1,
      anon_sym_COMMA,
    STATE(2662), 1,
      aux_sym_list_literal_repeat1,
    STATE(2684), 2,
      sym_comment,
      sym_documentation_comment,
  [128974] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5688), 1,
      anon_sym_LBRACE,
    ACTIONS(5690), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5692), 1,
      sym_identifier_dollar_escaped,
    STATE(2685), 2,
      sym_comment,
      sym_documentation_comment,
  [129003] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5694), 1,
      anon_sym_SEMI,
    STATE(2688), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2686), 2,
      sym_comment,
      sym_documentation_comment,
  [129032] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(724), 1,
      anon_sym_RBRACE,
    ACTIONS(5696), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2687), 2,
      sym_comment,
      sym_documentation_comment,
  [129061] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5698), 1,
      anon_sym_COMMA,
    ACTIONS(5701), 1,
      anon_sym_SEMI,
    STATE(2688), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initialized_identifier_list_repeat1,
  [129088] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5703), 1,
      anon_sym_SEMI,
    STATE(2718), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2689), 2,
      sym_comment,
      sym_documentation_comment,
  [129117] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(728), 1,
      anon_sym_RBRACK,
    ACTIONS(5705), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2690), 2,
      sym_comment,
      sym_documentation_comment,
  [129146] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4758), 1,
      anon_sym_EQ,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2691), 2,
      sym_comment,
      sym_documentation_comment,
  [129173] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2692), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4476), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [129198] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(724), 1,
      anon_sym_RBRACE,
    ACTIONS(5696), 1,
      anon_sym_COMMA,
    STATE(2752), 1,
      aux_sym_list_literal_repeat1,
    STATE(2693), 2,
      sym_comment,
      sym_documentation_comment,
  [129227] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(728), 1,
      anon_sym_RBRACK,
    ACTIONS(5705), 1,
      anon_sym_COMMA,
    STATE(2754), 1,
      aux_sym_list_literal_repeat1,
    STATE(2694), 2,
      sym_comment,
      sym_documentation_comment,
  [129256] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5707), 1,
      anon_sym_COMMA,
    ACTIONS(5710), 1,
      anon_sym_SEMI,
    STATE(2695), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_static_final_declaration_list_repeat1,
  [129283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2696), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5712), 3,
      anon_sym_on,
      anon_sym_catch,
      anon_sym_finally,
  [129308] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5714), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2697), 2,
      sym_comment,
      sym_documentation_comment,
  [129337] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5716), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2698), 2,
      sym_comment,
      sym_documentation_comment,
  [129366] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5469), 1,
      anon_sym_RPAREN,
    ACTIONS(5718), 1,
      anon_sym_COMMA,
    STATE(2774), 1,
      aux_sym__argument_list_repeat3,
    STATE(2699), 2,
      sym_comment,
      sym_documentation_comment,
  [129395] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5721), 1,
      sym_identifier,
    STATE(302), 1,
      sym_label,
    STATE(2959), 1,
      sym_named_argument,
    STATE(2700), 2,
      sym_comment,
      sym_documentation_comment,
  [129424] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5469), 1,
      anon_sym_RPAREN,
    ACTIONS(5723), 1,
      anon_sym_COMMA,
    STATE(2778), 1,
      aux_sym__argument_list_repeat1,
    STATE(2701), 2,
      sym_comment,
      sym_documentation_comment,
  [129453] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5726), 1,
      anon_sym_COMMA,
    ACTIONS(5728), 1,
      anon_sym_RPAREN,
    STATE(2703), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2702), 2,
      sym_comment,
      sym_documentation_comment,
  [129482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4115), 1,
      anon_sym_RPAREN,
    ACTIONS(5730), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2703), 2,
      sym_comment,
      sym_documentation_comment,
  [129511] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5732), 1,
      anon_sym_GT,
    STATE(2711), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2704), 2,
      sym_comment,
      sym_documentation_comment,
  [129540] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5734), 1,
      anon_sym_GT,
    STATE(2713), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2705), 2,
      sym_comment,
      sym_documentation_comment,
  [129569] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4190), 1,
      anon_sym_LT,
    ACTIONS(4498), 1,
      anon_sym_EQ,
    STATE(3223), 1,
      sym_type_parameters,
    STATE(2706), 2,
      sym_comment,
      sym_documentation_comment,
  [129598] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5736), 1,
      anon_sym_GT,
    STATE(2810), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2707), 2,
      sym_comment,
      sym_documentation_comment,
  [129627] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5738), 1,
      sym_identifier,
    STATE(2957), 1,
      sym_dotted_identifier_list,
    STATE(3092), 1,
      sym_uri_test,
    STATE(2708), 2,
      sym_comment,
      sym_documentation_comment,
  [129656] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5740), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2709), 2,
      sym_comment,
      sym_documentation_comment,
  [129685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2710), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5742), 3,
      anon_sym_SEMI,
      anon_sym_show,
      anon_sym_hide,
  [129710] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5744), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2711), 2,
      sym_comment,
      sym_documentation_comment,
  [129739] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5746), 1,
      anon_sym_RBRACE,
    ACTIONS(5748), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_named_parameter_types_repeat1,
    STATE(2712), 2,
      sym_comment,
      sym_documentation_comment,
  [129768] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5750), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2713), 2,
      sym_comment,
      sym_documentation_comment,
  [129797] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5752), 1,
      anon_sym_COMMA,
    ACTIONS(5754), 1,
      anon_sym_RBRACK,
    STATE(2799), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2714), 2,
      sym_comment,
      sym_documentation_comment,
  [129826] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5521), 1,
      anon_sym_RPAREN,
    ACTIONS(5756), 1,
      anon_sym_COMMA,
    STATE(2701), 1,
      aux_sym__argument_list_repeat1,
    STATE(2715), 2,
      sym_comment,
      sym_documentation_comment,
  [129855] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5759), 1,
      anon_sym_LBRACE,
    ACTIONS(5761), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5763), 1,
      sym_identifier_dollar_escaped,
    STATE(2716), 2,
      sym_comment,
      sym_documentation_comment,
  [129884] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2717), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5527), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [129909] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5443), 1,
      anon_sym_COMMA,
    ACTIONS(5765), 1,
      anon_sym_SEMI,
    STATE(2688), 1,
      aux_sym_initialized_identifier_list_repeat1,
    STATE(2718), 2,
      sym_comment,
      sym_documentation_comment,
  [129938] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4079), 1,
      anon_sym_RPAREN,
    ACTIONS(5767), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2719), 2,
      sym_comment,
      sym_documentation_comment,
  [129967] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5769), 1,
      anon_sym_GT,
    STATE(2709), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2720), 2,
      sym_comment,
      sym_documentation_comment,
  [129996] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5771), 1,
      anon_sym_COMMA,
    ACTIONS(5773), 1,
      anon_sym_RPAREN,
    STATE(2722), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2721), 2,
      sym_comment,
      sym_documentation_comment,
  [130025] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4097), 1,
      anon_sym_RPAREN,
    ACTIONS(5775), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2722), 2,
      sym_comment,
      sym_documentation_comment,
  [130054] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5777), 1,
      sym_identifier,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(2913), 1,
      sym_static_final_declaration_list,
    STATE(2723), 2,
      sym_comment,
      sym_documentation_comment,
  [130083] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2724), 2,
      sym_comment,
      sym_documentation_comment,
  [130112] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(708), 1,
      anon_sym_RBRACE,
    ACTIONS(5779), 1,
      anon_sym_COMMA,
    STATE(2757), 1,
      aux_sym_list_literal_repeat1,
    STATE(2725), 2,
      sym_comment,
      sym_documentation_comment,
  [130141] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5781), 1,
      anon_sym_RBRACE,
    ACTIONS(5783), 1,
      anon_sym_COMMA,
    STATE(2726), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__named_formal_parameters_repeat1,
  [130168] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4754), 1,
      anon_sym_RBRACE,
    ACTIONS(5786), 1,
      anon_sym_COMMA,
    STATE(2812), 1,
      aux_sym_enum_body_repeat1,
    STATE(2727), 2,
      sym_comment,
      sym_documentation_comment,
  [130197] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(704), 1,
      anon_sym_RBRACK,
    ACTIONS(5788), 1,
      anon_sym_COMMA,
    STATE(2759), 1,
      aux_sym_list_literal_repeat1,
    STATE(2728), 2,
      sym_comment,
      sym_documentation_comment,
  [130226] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5790), 1,
      anon_sym_COMMA,
    ACTIONS(5793), 1,
      anon_sym_RBRACK,
    STATE(2729), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_positional_parameters_repeat1,
  [130253] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5795), 1,
      anon_sym_GT,
    STATE(2761), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2730), 2,
      sym_comment,
      sym_documentation_comment,
  [130282] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5797), 1,
      anon_sym_GT,
    STATE(2762), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2731), 2,
      sym_comment,
      sym_documentation_comment,
  [130311] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5799), 1,
      sym_identifier,
    ACTIONS(4476), 2,
      anon_sym_super,
      anon_sym_this,
    STATE(2732), 2,
      sym_comment,
      sym_documentation_comment,
  [130338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5802), 1,
      anon_sym_COMMA,
    ACTIONS(5805), 1,
      anon_sym_SEMI,
    STATE(2733), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__for_loop_parts_repeat1,
  [130365] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5807), 1,
      anon_sym_RPAREN,
    STATE(2606), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2734), 2,
      sym_comment,
      sym_documentation_comment,
  [130394] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5809), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2735), 2,
      sym_comment,
      sym_documentation_comment,
  [130423] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5811), 1,
      anon_sym_RPAREN,
    STATE(2809), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2736), 2,
      sym_comment,
      sym_documentation_comment,
  [130452] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5813), 1,
      anon_sym_COMMA,
    ACTIONS(5816), 1,
      anon_sym_RPAREN,
    STATE(2778), 1,
      aux_sym__argument_list_repeat1,
    STATE(2737), 2,
      sym_comment,
      sym_documentation_comment,
  [130481] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(746), 1,
      anon_sym_RBRACK,
    ACTIONS(5818), 1,
      anon_sym_COMMA,
    STATE(2843), 1,
      aux_sym_list_literal_repeat1,
    STATE(2738), 2,
      sym_comment,
      sym_documentation_comment,
  [130510] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2943), 1,
      sym_formal_parameter_list,
    STATE(2739), 2,
      sym_comment,
      sym_documentation_comment,
  [130539] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3245), 1,
      sym_initialized_identifier_list,
    STATE(2740), 2,
      sym_comment,
      sym_documentation_comment,
  [130568] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5085), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2413), 1,
      sym__native,
    STATE(2741), 2,
      sym_comment,
      sym_documentation_comment,
  [130597] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2742), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5820), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [130622] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(748), 1,
      anon_sym_RBRACE,
    ACTIONS(5822), 1,
      anon_sym_COMMA,
    STATE(2818), 1,
      aux_sym_list_literal_repeat1,
    STATE(2743), 2,
      sym_comment,
      sym_documentation_comment,
  [130651] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5232), 1,
      anon_sym_LBRACE,
    ACTIONS(5557), 1,
      anon_sym_EQ_GT,
    STATE(432), 1,
      sym_block,
    STATE(2744), 2,
      sym_comment,
      sym_documentation_comment,
  [130680] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2291), 1,
      sym_formal_parameter_list,
    STATE(2745), 2,
      sym_comment,
      sym_documentation_comment,
  [130709] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(682), 1,
      anon_sym_RBRACK,
    ACTIONS(5824), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2746), 2,
      sym_comment,
      sym_documentation_comment,
  [130738] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(680), 1,
      anon_sym_RBRACE,
    ACTIONS(5826), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2747), 2,
      sym_comment,
      sym_documentation_comment,
  [130767] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2748), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5828), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [130792] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4904), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2418), 1,
      sym__native,
    STATE(2749), 2,
      sym_comment,
      sym_documentation_comment,
  [130821] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4917), 1,
      anon_sym_SEMI,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(2420), 1,
      sym__native,
    STATE(2750), 2,
      sym_comment,
      sym_documentation_comment,
  [130850] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    ACTIONS(5830), 1,
      anon_sym_EQ_GT,
    STATE(2330), 1,
      sym_block,
    STATE(2751), 2,
      sym_comment,
      sym_documentation_comment,
  [130879] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(644), 1,
      anon_sym_RBRACE,
    ACTIONS(5832), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2752), 2,
      sym_comment,
      sym_documentation_comment,
  [130908] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    ACTIONS(5834), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2753), 2,
      sym_comment,
      sym_documentation_comment,
  [130937] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(646), 1,
      anon_sym_RBRACK,
    ACTIONS(5836), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2754), 2,
      sym_comment,
      sym_documentation_comment,
  [130966] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5838), 1,
      anon_sym_COMMA,
    ACTIONS(5841), 1,
      anon_sym_RPAREN,
    STATE(2737), 1,
      aux_sym__argument_list_repeat1,
    STATE(2755), 2,
      sym_comment,
      sym_documentation_comment,
  [130995] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5843), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(2913), 1,
      sym_initialized_identifier_list,
    STATE(2756), 2,
      sym_comment,
      sym_documentation_comment,
  [131024] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(700), 1,
      anon_sym_RBRACE,
    ACTIONS(5846), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2757), 2,
      sym_comment,
      sym_documentation_comment,
  [131053] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5848), 1,
      anon_sym_COMMA,
    ACTIONS(5851), 1,
      anon_sym_RPAREN,
    STATE(2758), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat2,
  [131080] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(698), 1,
      anon_sym_RBRACK,
    ACTIONS(5853), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2759), 2,
      sym_comment,
      sym_documentation_comment,
  [131109] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2760), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4471), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [131134] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5855), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2761), 2,
      sym_comment,
      sym_documentation_comment,
  [131163] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5857), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2762), 2,
      sym_comment,
      sym_documentation_comment,
  [131192] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(678), 1,
      anon_sym_RBRACK,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    STATE(2746), 1,
      aux_sym_list_literal_repeat1,
    STATE(2763), 2,
      sym_comment,
      sym_documentation_comment,
  [131221] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(700), 1,
      anon_sym_RBRACE,
    ACTIONS(5846), 1,
      anon_sym_COMMA,
    STATE(2781), 1,
      aux_sym_list_literal_repeat1,
    STATE(2764), 2,
      sym_comment,
      sym_documentation_comment,
  [131250] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(698), 1,
      anon_sym_RBRACK,
    ACTIONS(5853), 1,
      anon_sym_COMMA,
    STATE(2782), 1,
      aux_sym_list_literal_repeat1,
    STATE(2765), 2,
      sym_comment,
      sym_documentation_comment,
  [131279] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(5861), 1,
      anon_sym_COMMA,
    STATE(2747), 1,
      aux_sym_list_literal_repeat1,
    STATE(2766), 2,
      sym_comment,
      sym_documentation_comment,
  [131308] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5647), 1,
      anon_sym_COMMA,
    ACTIONS(5863), 1,
      anon_sym_SEMI,
    STATE(2695), 1,
      aux_sym_static_final_declaration_list_repeat1,
    STATE(2767), 2,
      sym_comment,
      sym_documentation_comment,
  [131337] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(678), 1,
      anon_sym_RBRACK,
    ACTIONS(5859), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2768), 2,
      sym_comment,
      sym_documentation_comment,
  [131366] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(5861), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2769), 2,
      sym_comment,
      sym_documentation_comment,
  [131395] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5865), 1,
      anon_sym_COMMA,
    ACTIONS(5868), 1,
      anon_sym_RPAREN,
    STATE(2774), 1,
      aux_sym__argument_list_repeat3,
    STATE(2770), 2,
      sym_comment,
      sym_documentation_comment,
  [131424] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(696), 1,
      anon_sym_RBRACK,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    STATE(2690), 1,
      aux_sym_list_literal_repeat1,
    STATE(2771), 2,
      sym_comment,
      sym_documentation_comment,
  [131453] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5872), 1,
      anon_sym_COMMA,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(2753), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2772), 2,
      sym_comment,
      sym_documentation_comment,
  [131482] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5721), 1,
      sym_identifier,
    STATE(302), 1,
      sym_label,
    STATE(2755), 1,
      sym_named_argument,
    STATE(2773), 2,
      sym_comment,
      sym_documentation_comment,
  [131511] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5841), 1,
      anon_sym_RPAREN,
    ACTIONS(5876), 1,
      anon_sym_COMMA,
    STATE(2774), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat3,
  [131538] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5879), 1,
      anon_sym_COMMA,
    ACTIONS(5881), 1,
      anon_sym_RPAREN,
    STATE(2789), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2775), 2,
      sym_comment,
      sym_documentation_comment,
  [131567] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(666), 1,
      anon_sym_RBRACK,
    ACTIONS(5883), 1,
      anon_sym_COMMA,
    STATE(2768), 1,
      aux_sym_list_literal_repeat1,
    STATE(2776), 2,
      sym_comment,
      sym_documentation_comment,
  [131596] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(664), 1,
      anon_sym_RBRACE,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_list_literal_repeat1,
    STATE(2777), 2,
      sym_comment,
      sym_documentation_comment,
  [131625] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5887), 1,
      anon_sym_COMMA,
    ACTIONS(5890), 1,
      anon_sym_RPAREN,
    STATE(2778), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__argument_list_repeat1,
  [131652] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(5892), 1,
      anon_sym_COMMA,
    STATE(2687), 1,
      aux_sym_list_literal_repeat1,
    STATE(2779), 2,
      sym_comment,
      sym_documentation_comment,
  [131681] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5894), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2780), 2,
      sym_comment,
      sym_documentation_comment,
  [131710] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(694), 1,
      anon_sym_RBRACE,
    ACTIONS(5896), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2781), 2,
      sym_comment,
      sym_documentation_comment,
  [131739] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(690), 1,
      anon_sym_RBRACK,
    ACTIONS(5898), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2782), 2,
      sym_comment,
      sym_documentation_comment,
  [131768] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(694), 1,
      anon_sym_RBRACE,
    ACTIONS(5896), 1,
      anon_sym_COMMA,
    STATE(2792), 1,
      aux_sym_list_literal_repeat1,
    STATE(2783), 2,
      sym_comment,
      sym_documentation_comment,
  [131797] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(690), 1,
      anon_sym_RBRACK,
    ACTIONS(5898), 1,
      anon_sym_COMMA,
    STATE(2793), 1,
      aux_sym_list_literal_repeat1,
    STATE(2784), 2,
      sym_comment,
      sym_documentation_comment,
  [131826] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2618), 1,
      sym_formal_parameter_list,
    STATE(2785), 2,
      sym_comment,
      sym_documentation_comment,
  [131855] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5900), 1,
      anon_sym_GT,
    STATE(2627), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2786), 2,
      sym_comment,
      sym_documentation_comment,
  [131884] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(666), 1,
      anon_sym_RBRACK,
    ACTIONS(5883), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2787), 2,
      sym_comment,
      sym_documentation_comment,
  [131913] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5902), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_arguments,
    STATE(2788), 2,
      sym_comment,
      sym_documentation_comment,
  [131942] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4091), 1,
      anon_sym_RPAREN,
    ACTIONS(5904), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2789), 2,
      sym_comment,
      sym_documentation_comment,
  [131971] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(664), 1,
      anon_sym_RBRACE,
    ACTIONS(5885), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2790), 2,
      sym_comment,
      sym_documentation_comment,
  [132000] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2623), 1,
      sym_formal_parameter_list,
    STATE(2791), 2,
      sym_comment,
      sym_documentation_comment,
  [132029] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(688), 1,
      anon_sym_RBRACE,
    ACTIONS(5906), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2792), 2,
      sym_comment,
      sym_documentation_comment,
  [132058] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(674), 1,
      anon_sym_RBRACK,
    ACTIONS(5908), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2793), 2,
      sym_comment,
      sym_documentation_comment,
  [132087] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4979), 1,
      anon_sym_SEMI,
    ACTIONS(5910), 1,
      anon_sym_COMMA,
    STATE(2795), 1,
      aux_sym_initializers_repeat1,
    STATE(2794), 2,
      sym_comment,
      sym_documentation_comment,
  [132116] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4910), 1,
      anon_sym_SEMI,
    ACTIONS(5912), 1,
      anon_sym_COMMA,
    STATE(2795), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_initializers_repeat1,
  [132143] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4223), 1,
      anon_sym_RBRACE,
    ACTIONS(5915), 1,
      anon_sym_COMMA,
    STATE(2826), 1,
      aux_sym_named_parameter_types_repeat1,
    STATE(2796), 2,
      sym_comment,
      sym_documentation_comment,
  [132172] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5224), 1,
      anon_sym_LBRACE,
    ACTIONS(5917), 1,
      anon_sym_EQ_GT,
    STATE(1645), 1,
      sym_block,
    STATE(2797), 2,
      sym_comment,
      sym_documentation_comment,
  [132201] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5919), 1,
      anon_sym_EQ,
    STATE(3320), 1,
      sym_arguments,
    STATE(2798), 2,
      sym_comment,
      sym_documentation_comment,
  [132230] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4273), 1,
      anon_sym_RBRACK,
    ACTIONS(5921), 1,
      anon_sym_COMMA,
    STATE(2553), 1,
      aux_sym_parameter_type_list_repeat1,
    STATE(2799), 2,
      sym_comment,
      sym_documentation_comment,
  [132259] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2800), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5464), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
  [132284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2801), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(5923), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [132309] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3053), 1,
      sym_initialized_identifier_list,
    STATE(2802), 2,
      sym_comment,
      sym_documentation_comment,
  [132338] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5925), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2803), 2,
      sym_comment,
      sym_documentation_comment,
  [132367] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5927), 1,
      anon_sym_RPAREN,
    STATE(2832), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2804), 2,
      sym_comment,
      sym_documentation_comment,
  [132396] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5929), 1,
      anon_sym_RPAREN,
    STATE(2834), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2805), 2,
      sym_comment,
      sym_documentation_comment,
  [132425] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(658), 1,
      anon_sym_RBRACE,
    ACTIONS(5931), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_list_literal_repeat1,
    STATE(2806), 2,
      sym_comment,
      sym_documentation_comment,
  [132454] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5933), 1,
      anon_sym_RPAREN,
    STATE(2835), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2807), 2,
      sym_comment,
      sym_documentation_comment,
  [132483] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5935), 1,
      anon_sym_COMMA,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
    STATE(2808), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym__for_loop_parts_repeat2,
  [132510] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5940), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2809), 2,
      sym_comment,
      sym_documentation_comment,
  [132539] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5942), 1,
      anon_sym_GT,
    STATE(2625), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2810), 2,
      sym_comment,
      sym_documentation_comment,
  [132568] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5944), 1,
      anon_sym_RBRACE,
    ACTIONS(5946), 1,
      anon_sym_COMMA,
    STATE(2639), 1,
      aux_sym__named_formal_parameters_repeat1,
    STATE(2811), 2,
      sym_comment,
      sym_documentation_comment,
  [132597] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5948), 1,
      anon_sym_RBRACE,
    ACTIONS(5950), 1,
      anon_sym_COMMA,
    STATE(2812), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_enum_body_repeat1,
  [132624] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(5953), 1,
      anon_sym_LBRACE,
    ACTIONS(5955), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(5957), 1,
      sym_identifier_dollar_escaped,
    STATE(2813), 2,
      sym_comment,
      sym_documentation_comment,
  [132653] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(5959), 1,
      anon_sym_DOT,
    STATE(2363), 1,
      sym_arguments,
    STATE(2814), 2,
      sym_comment,
      sym_documentation_comment,
  [132682] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5961), 1,
      anon_sym_DOT,
    STATE(3279), 1,
      sym_arguments,
    STATE(2815), 2,
      sym_comment,
      sym_documentation_comment,
  [132711] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2255), 1,
      sym_formal_parameter_list,
    STATE(2816), 2,
      sym_comment,
      sym_documentation_comment,
  [132740] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3280), 1,
      sym_initialized_identifier_list,
    STATE(2817), 2,
      sym_comment,
      sym_documentation_comment,
  [132769] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(5892), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2818), 2,
      sym_comment,
      sym_documentation_comment,
  [132798] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5963), 1,
      anon_sym_COMMA,
    ACTIONS(5966), 1,
      anon_sym_RPAREN,
    STATE(2622), 1,
      aux_sym__normal_formal_parameters_repeat1,
    STATE(2819), 2,
      sym_comment,
      sym_documentation_comment,
  [132827] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5777), 1,
      sym_identifier,
    STATE(2667), 1,
      sym_static_final_declaration,
    STATE(3280), 1,
      sym_static_final_declaration_list,
    STATE(2820), 2,
      sym_comment,
      sym_documentation_comment,
  [132856] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2821), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(4323), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [132881] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5537), 1,
      anon_sym_COMMA,
    ACTIONS(5968), 1,
      anon_sym_GT,
    STATE(2780), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2822), 2,
      sym_comment,
      sym_documentation_comment,
  [132910] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5541), 1,
      anon_sym_COMMA,
    ACTIONS(5970), 1,
      anon_sym_GT,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2823), 2,
      sym_comment,
      sym_documentation_comment,
  [132939] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACK,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(2787), 1,
      aux_sym_list_literal_repeat1,
    STATE(2824), 2,
      sym_comment,
      sym_documentation_comment,
  [132968] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(5974), 1,
      anon_sym_DOT,
    STATE(3279), 1,
      sym_arguments,
    STATE(2825), 2,
      sym_comment,
      sym_documentation_comment,
  [132997] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5976), 1,
      anon_sym_RBRACE,
    ACTIONS(5978), 1,
      anon_sym_COMMA,
    STATE(2826), 3,
      sym_comment,
      sym_documentation_comment,
      aux_sym_named_parameter_types_repeat1,
  [133024] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4307), 1,
      anon_sym_LPAREN,
    STATE(2038), 1,
      sym_formal_parameter_list,
    STATE(2042), 1,
      sym__strict_formal_parameter_list,
    STATE(2827), 2,
      sym_comment,
      sym_documentation_comment,
  [133053] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(5981), 1,
      sym__automatic_semicolon,
    STATE(549), 1,
      sym__semicolon,
    STATE(2828), 2,
      sym_comment,
      sym_documentation_comment,
  [133082] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5983), 1,
      anon_sym_RPAREN,
    STATE(2844), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2829), 2,
      sym_comment,
      sym_documentation_comment,
  [133111] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5985), 1,
      anon_sym_COMMA,
    ACTIONS(5987), 1,
      anon_sym_RBRACK,
    STATE(2636), 1,
      aux_sym_positional_parameters_repeat1,
    STATE(2830), 2,
      sym_comment,
      sym_documentation_comment,
  [133140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5991), 1,
      anon_sym_EQ,
    ACTIONS(5989), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2831), 2,
      sym_comment,
      sym_documentation_comment,
  [133167] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5993), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2832), 2,
      sym_comment,
      sym_documentation_comment,
  [133196] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5995), 1,
      anon_sym_RPAREN,
    STATE(2848), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2833), 2,
      sym_comment,
      sym_documentation_comment,
  [133225] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5997), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2834), 2,
      sym_comment,
      sym_documentation_comment,
  [133254] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(5999), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2835), 2,
      sym_comment,
      sym_documentation_comment,
  [133283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2836), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(6001), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [133308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2837), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(6003), 3,
      sym_void_type,
      anon_sym_Function,
      sym_identifier,
  [133333] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2838), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(6005), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_identifier,
  [133358] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2839), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(6007), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      sym_identifier,
  [133383] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2631), 1,
      sym_initialized_identifier,
    STATE(3304), 1,
      sym_initialized_identifier_list,
    STATE(2840), 2,
      sym_comment,
      sym_documentation_comment,
  [133412] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5133), 1,
      anon_sym_LBRACE,
    ACTIONS(6009), 1,
      anon_sym_EQ_GT,
    STATE(1426), 1,
      sym_block,
    STATE(2841), 2,
      sym_comment,
      sym_documentation_comment,
  [133441] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(6011), 1,
      sym_identifier,
    STATE(568), 1,
      sym__semicolon,
    STATE(2842), 2,
      sym_comment,
      sym_documentation_comment,
  [133470] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(696), 1,
      anon_sym_RBRACK,
    ACTIONS(5870), 1,
      anon_sym_COMMA,
    STATE(2586), 1,
      aux_sym_list_literal_repeat1,
    STATE(2843), 2,
      sym_comment,
      sym_documentation_comment,
  [133499] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(6013), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2844), 2,
      sym_comment,
      sym_documentation_comment,
  [133528] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    STATE(2845), 2,
      sym_comment,
      sym_documentation_comment,
    ACTIONS(6015), 3,
      anon_sym_super,
      anon_sym_this,
      sym_identifier,
  [133553] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6017), 1,
      anon_sym_LBRACE,
    ACTIONS(6019), 1,
      aux_sym__sub_string_test_token1,
    ACTIONS(6021), 1,
      sym_identifier_dollar_escaped,
    STATE(2846), 2,
      sym_comment,
      sym_documentation_comment,
  [133582] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(6023), 1,
      anon_sym_RPAREN,
    STATE(2853), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2847), 2,
      sym_comment,
      sym_documentation_comment,
  [133611] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(6025), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2848), 2,
      sym_comment,
      sym_documentation_comment,
  [133640] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    ACTIONS(6027), 1,
      sym_identifier,
    STATE(547), 1,
      sym__semicolon,
    STATE(2849), 2,
      sym_comment,
      sym_documentation_comment,
  [133669] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    ACTIONS(6029), 1,
      anon_sym_EQ,
    STATE(3320), 1,
      sym_arguments,
    STATE(2850), 2,
      sym_comment,
      sym_documentation_comment,
  [133698] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    ACTIONS(6031), 1,
      anon_sym_SEMI,
    STATE(2514), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2851), 2,
      sym_comment,
      sym_documentation_comment,
  [133727] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    ACTIONS(4896), 1,
      anon_sym_SEMI,
    STATE(2851), 1,
      aux_sym_inferred_parameters_repeat1,
    STATE(2852), 2,
      sym_comment,
      sym_documentation_comment,
  [133756] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5394), 1,
      anon_sym_COMMA,
    ACTIONS(6033), 1,
      anon_sym_RPAREN,
    STATE(2808), 1,
      aux_sym__for_loop_parts_repeat2,
    STATE(2853), 2,
      sym_comment,
      sym_documentation_comment,
  [133785] = 9,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5079), 1,
      anon_sym_SEMI,
    ACTIONS(5910), 1,
      anon_sym_COMMA,
    STATE(2794), 1,
      aux_sym_initializers_repeat1,
    STATE(2854), 2,
      sym_comment,
      sym_documentation_comment,
  [133814] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2374), 1,
      anon_sym_LBRACK,
    STATE(1011), 1,
      sym_index_selector,
    STATE(2855), 2,
      sym_comment,
      sym_documentation_comment,
  [133840] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6035), 1,
      sym_identifier,
    STATE(495), 1,
      sym_mixin_application_class,
    STATE(2856), 2,
      sym_comment,
      sym_documentation_comment,
  [133866] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4362), 1,
      sym_increment_operator,
    STATE(1416), 1,
      sym_postfix_operator,
    STATE(2857), 2,
      sym_comment,
      sym_documentation_comment,
  [133892] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_for_loop_parts,
    STATE(2858), 2,
      sym_comment,
      sym_documentation_comment,
  [133918] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5481), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2859), 2,
      sym_comment,
      sym_documentation_comment,
  [133942] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6039), 1,
      anon_sym_LPAREN,
    STATE(3021), 1,
      sym_parenthesized_expression,
    STATE(2860), 2,
      sym_comment,
      sym_documentation_comment,
  [133968] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(3341), 1,
      sym_type_arguments,
    STATE(2861), 2,
      sym_comment,
      sym_documentation_comment,
  [133994] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(3340), 1,
      sym_type_arguments,
    STATE(2862), 2,
      sym_comment,
      sym_documentation_comment,
  [134020] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(3338), 1,
      sym_type_arguments,
    STATE(2863), 2,
      sym_comment,
      sym_documentation_comment,
  [134046] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(3318), 1,
      sym_type_arguments,
    STATE(2864), 2,
      sym_comment,
      sym_documentation_comment,
  [134072] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1871), 1,
      anon_sym_while,
    ACTIONS(6041), 1,
      anon_sym_else,
    STATE(2865), 2,
      sym_comment,
      sym_documentation_comment,
  [134098] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(70), 1,
      sym_for_loop_parts,
    STATE(2866), 2,
      sym_comment,
      sym_documentation_comment,
  [134124] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(71), 1,
      sym_for_loop_parts,
    STATE(2867), 2,
      sym_comment,
      sym_documentation_comment,
  [134150] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parenthesized_expression,
    STATE(2868), 2,
      sym_comment,
      sym_documentation_comment,
  [134176] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(68), 1,
      sym_parenthesized_expression,
    STATE(2869), 2,
      sym_comment,
      sym_documentation_comment,
  [134202] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6045), 1,
      sym_identifier,
    STATE(2956), 1,
      sym_qualified,
    STATE(2870), 2,
      sym_comment,
      sym_documentation_comment,
  [134228] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6047), 1,
      anon_sym_DOT,
    ACTIONS(6049), 1,
      anon_sym_SEMI,
    STATE(2871), 2,
      sym_comment,
      sym_documentation_comment,
  [134254] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_for_loop_parts,
    STATE(2872), 2,
      sym_comment,
      sym_documentation_comment,
  [134280] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(570), 1,
      sym__semicolon,
    STATE(2873), 2,
      sym_comment,
      sym_documentation_comment,
  [134306] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6051), 1,
      anon_sym_DOT,
    ACTIONS(6053), 1,
      anon_sym_SEMI,
    STATE(2874), 2,
      sym_comment,
      sym_documentation_comment,
  [134332] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      anon_sym_SEMI,
    STATE(2875), 2,
      sym_comment,
      sym_documentation_comment,
  [134358] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(455), 1,
      sym__semicolon,
    STATE(2876), 2,
      sym_comment,
      sym_documentation_comment,
  [134384] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(58), 1,
      sym_for_loop_parts,
    STATE(2877), 2,
      sym_comment,
      sym_documentation_comment,
  [134410] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_class_body,
    STATE(2878), 2,
      sym_comment,
      sym_documentation_comment,
  [134436] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1648), 1,
      sym_arguments,
    STATE(2879), 2,
      sym_comment,
      sym_documentation_comment,
  [134462] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2836), 1,
      anon_sym_LBRACK,
    STATE(1330), 1,
      sym_index_selector,
    STATE(2880), 2,
      sym_comment,
      sym_documentation_comment,
  [134488] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6039), 1,
      anon_sym_LPAREN,
    STATE(3064), 1,
      sym_parenthesized_expression,
    STATE(2881), 2,
      sym_comment,
      sym_documentation_comment,
  [134514] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5224), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_block,
    STATE(2882), 2,
      sym_comment,
      sym_documentation_comment,
  [134540] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6059), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2883), 2,
      sym_comment,
      sym_documentation_comment,
  [134564] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_class_body,
    STATE(2884), 2,
      sym_comment,
      sym_documentation_comment,
  [134590] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_for_loop_parts,
    STATE(2885), 2,
      sym_comment,
      sym_documentation_comment,
  [134616] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACE,
    STATE(509), 1,
      sym_extension_body,
    STATE(2886), 2,
      sym_comment,
      sym_documentation_comment,
  [134642] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_class_body,
    STATE(2887), 2,
      sym_comment,
      sym_documentation_comment,
  [134668] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_arguments,
    STATE(2888), 2,
      sym_comment,
      sym_documentation_comment,
  [134694] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    STATE(2317), 1,
      sym_arguments,
    STATE(2889), 2,
      sym_comment,
      sym_documentation_comment,
  [134720] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5212), 1,
      anon_sym_native,
    ACTIONS(6063), 1,
      anon_sym_EQ,
    STATE(2890), 2,
      sym_comment,
      sym_documentation_comment,
  [134746] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6065), 1,
      anon_sym_COMMA,
    ACTIONS(6067), 1,
      anon_sym_RPAREN,
    STATE(2891), 2,
      sym_comment,
      sym_documentation_comment,
  [134772] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6069), 1,
      sym_identifier,
    STATE(2189), 1,
      sym_scoped_identifier,
    STATE(2892), 2,
      sym_comment,
      sym_documentation_comment,
  [134798] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    STATE(2368), 1,
      sym_arguments,
    STATE(2893), 2,
      sym_comment,
      sym_documentation_comment,
  [134824] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_for_loop_parts,
    STATE(2894), 2,
      sym_comment,
      sym_documentation_comment,
  [134850] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6071), 1,
      anon_sym_COMMA,
    ACTIONS(6073), 1,
      anon_sym_RPAREN,
    STATE(2895), 2,
      sym_comment,
      sym_documentation_comment,
  [134876] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1627), 1,
      sym_arguments,
    STATE(2896), 2,
      sym_comment,
      sym_documentation_comment,
  [134902] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(67), 1,
      sym_parenthesized_expression,
    STATE(2897), 2,
      sym_comment,
      sym_documentation_comment,
  [134928] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(65), 1,
      sym_parenthesized_expression,
    STATE(2898), 2,
      sym_comment,
      sym_documentation_comment,
  [134954] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
    STATE(2899), 2,
      sym_comment,
      sym_documentation_comment,
  [134980] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5333), 1,
      anon_sym_LBRACK,
    STATE(664), 1,
      sym_index_selector,
    STATE(2900), 2,
      sym_comment,
      sym_documentation_comment,
  [135006] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(2696), 1,
      sym_block,
    STATE(2901), 2,
      sym_comment,
      sym_documentation_comment,
  [135032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6075), 1,
      anon_sym_COMMA,
    ACTIONS(6077), 1,
      anon_sym_RPAREN,
    STATE(2902), 2,
      sym_comment,
      sym_documentation_comment,
  [135058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(64), 1,
      sym_parenthesized_expression,
    STATE(2903), 2,
      sym_comment,
      sym_documentation_comment,
  [135084] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(60), 1,
      sym_for_loop_parts,
    STATE(2904), 2,
      sym_comment,
      sym_documentation_comment,
  [135110] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1623), 1,
      sym_arguments,
    STATE(2905), 2,
      sym_comment,
      sym_documentation_comment,
  [135136] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6079), 1,
      sym_identifier,
    STATE(1389), 1,
      sym_scoped_identifier,
    STATE(2906), 2,
      sym_comment,
      sym_documentation_comment,
  [135162] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6081), 1,
      sym_identifier,
    STATE(470), 1,
      sym_mixin_application_class,
    STATE(2907), 2,
      sym_comment,
      sym_documentation_comment,
  [135188] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACK,
    STATE(763), 1,
      sym_index_selector,
    STATE(2908), 2,
      sym_comment,
      sym_documentation_comment,
  [135214] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5738), 1,
      sym_identifier,
    STATE(3050), 1,
      sym_dotted_identifier_list,
    STATE(2909), 2,
      sym_comment,
      sym_documentation_comment,
  [135240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5777), 1,
      sym_identifier,
    STATE(3076), 1,
      sym_static_final_declaration,
    STATE(2910), 2,
      sym_comment,
      sym_documentation_comment,
  [135266] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    STATE(2349), 1,
      sym_arguments,
    STATE(2911), 2,
      sym_comment,
      sym_documentation_comment,
  [135292] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6083), 1,
      anon_sym_LPAREN,
    STATE(2348), 1,
      sym_assertion_arguments,
    STATE(2912), 2,
      sym_comment,
      sym_documentation_comment,
  [135318] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(468), 1,
      sym__semicolon,
    STATE(2913), 2,
      sym_comment,
      sym_documentation_comment,
  [135344] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6085), 1,
      sym_identifier,
    STATE(3304), 1,
      sym_identifier_list,
    STATE(2914), 2,
      sym_comment,
      sym_documentation_comment,
  [135370] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_arguments,
    STATE(2915), 2,
      sym_comment,
      sym_documentation_comment,
  [135396] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6087), 1,
      anon_sym_LBRACE,
    ACTIONS(6089), 1,
      anon_sym_LBRACK,
    STATE(2916), 2,
      sym_comment,
      sym_documentation_comment,
  [135422] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4416), 1,
      anon_sym_LBRACE,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2917), 2,
      sym_comment,
      sym_documentation_comment,
  [135448] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1441), 1,
      sym_arguments,
    STATE(2918), 2,
      sym_comment,
      sym_documentation_comment,
  [135474] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(2330), 1,
      sym_block,
    STATE(2919), 2,
      sym_comment,
      sym_documentation_comment,
  [135500] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4332), 1,
      anon_sym_LBRACK,
    STATE(1445), 1,
      sym_index_selector,
    STATE(2920), 2,
      sym_comment,
      sym_documentation_comment,
  [135526] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3784), 1,
      anon_sym_LPAREN,
    STATE(2342), 1,
      sym_arguments,
    STATE(2921), 2,
      sym_comment,
      sym_documentation_comment,
  [135552] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6045), 1,
      sym_identifier,
    STATE(2888), 1,
      sym_qualified,
    STATE(2922), 2,
      sym_comment,
      sym_documentation_comment,
  [135578] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5119), 1,
      anon_sym_native,
    ACTIONS(6091), 1,
      anon_sym_EQ,
    STATE(2923), 2,
      sym_comment,
      sym_documentation_comment,
  [135604] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6093), 1,
      sym_identifier,
    STATE(2462), 1,
      sym__type_name,
    STATE(2924), 2,
      sym_comment,
      sym_documentation_comment,
  [135630] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6095), 1,
      anon_sym_LBRACE,
    ACTIONS(6097), 1,
      anon_sym_LBRACK,
    STATE(2925), 2,
      sym_comment,
      sym_documentation_comment,
  [135656] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(490), 1,
      sym_class_body,
    STATE(2926), 2,
      sym_comment,
      sym_documentation_comment,
  [135682] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(2927), 2,
      sym_comment,
      sym_documentation_comment,
  [135708] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    ACTIONS(4330), 1,
      anon_sym_LBRACK,
    STATE(2928), 2,
      sym_comment,
      sym_documentation_comment,
  [135734] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    STATE(1756), 1,
      sym_index_selector,
    STATE(2929), 2,
      sym_comment,
      sym_documentation_comment,
  [135760] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5976), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2930), 2,
      sym_comment,
      sym_documentation_comment,
  [135784] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4370), 1,
      sym_increment_operator,
    STATE(1818), 1,
      sym_postfix_operator,
    STATE(2931), 2,
      sym_comment,
      sym_documentation_comment,
  [135810] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6099), 1,
      anon_sym_LBRACE,
    ACTIONS(6101), 1,
      anon_sym_LBRACK,
    STATE(2932), 2,
      sym_comment,
      sym_documentation_comment,
  [135836] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2933), 2,
      sym_comment,
      sym_documentation_comment,
  [135860] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(538), 1,
      sym__semicolon,
    STATE(2934), 2,
      sym_comment,
      sym_documentation_comment,
  [135886] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6105), 1,
      anon_sym_COMMA,
    ACTIONS(6107), 1,
      anon_sym_RPAREN,
    STATE(2935), 2,
      sym_comment,
      sym_documentation_comment,
  [135912] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6109), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2936), 2,
      sym_comment,
      sym_documentation_comment,
  [135936] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3402), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2937), 2,
      sym_comment,
      sym_documentation_comment,
  [135960] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(456), 1,
      sym__semicolon,
    STATE(2938), 2,
      sym_comment,
      sym_documentation_comment,
  [135986] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4422), 1,
      anon_sym_LBRACE,
    ACTIONS(4424), 1,
      anon_sym_LBRACK,
    STATE(2939), 2,
      sym_comment,
      sym_documentation_comment,
  [136012] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(454), 1,
      sym__semicolon,
    STATE(2940), 2,
      sym_comment,
      sym_documentation_comment,
  [136038] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(2019), 1,
      sym__semicolon,
    STATE(2941), 2,
      sym_comment,
      sym_documentation_comment,
  [136064] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6035), 1,
      sym_identifier,
    STATE(503), 1,
      sym_mixin_application_class,
    STATE(2942), 2,
      sym_comment,
      sym_documentation_comment,
  [136090] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6111), 2,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(2943), 2,
      sym_comment,
      sym_documentation_comment,
  [136114] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5133), 1,
      anon_sym_LBRACE,
    STATE(1426), 1,
      sym_block,
    STATE(2944), 2,
      sym_comment,
      sym_documentation_comment,
  [136140] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(430), 1,
      sym__semicolon,
    STATE(2945), 2,
      sym_comment,
      sym_documentation_comment,
  [136166] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5701), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2946), 2,
      sym_comment,
      sym_documentation_comment,
  [136190] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5948), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2947), 2,
      sym_comment,
      sym_documentation_comment,
  [136214] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6113), 1,
      anon_sym_LPAREN,
    STATE(1941), 1,
      sym_configuration_uri_condition,
    STATE(2948), 2,
      sym_comment,
      sym_documentation_comment,
  [136240] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6115), 1,
      sym_identifier,
    STATE(2710), 1,
      sym__identifier_list,
    STATE(2949), 2,
      sym_comment,
      sym_documentation_comment,
  [136266] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6117), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2950), 2,
      sym_comment,
      sym_documentation_comment,
  [136290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(184), 1,
      sym__semicolon,
    STATE(2951), 2,
      sym_comment,
      sym_documentation_comment,
  [136316] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6119), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2952), 2,
      sym_comment,
      sym_documentation_comment,
  [136340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4921), 1,
      anon_sym_as,
    STATE(3116), 1,
      sym__as,
    STATE(2953), 2,
      sym_comment,
      sym_documentation_comment,
  [136366] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_class_body,
    STATE(2954), 2,
      sym_comment,
      sym_documentation_comment,
  [136392] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6121), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2955), 2,
      sym_comment,
      sym_documentation_comment,
  [136416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_arguments,
    STATE(2956), 2,
      sym_comment,
      sym_documentation_comment,
  [136442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6123), 1,
      anon_sym_RPAREN,
    ACTIONS(6125), 1,
      anon_sym_EQ_EQ,
    STATE(2957), 2,
      sym_comment,
      sym_documentation_comment,
  [136468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1451), 1,
      sym_arguments,
    STATE(2958), 2,
      sym_comment,
      sym_documentation_comment,
  [136494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5890), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2959), 2,
      sym_comment,
      sym_documentation_comment,
  [136518] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6127), 1,
      anon_sym_COMMA,
    ACTIONS(6129), 1,
      anon_sym_RPAREN,
    STATE(2960), 2,
      sym_comment,
      sym_documentation_comment,
  [136544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACE,
    STATE(475), 1,
      sym_extension_body,
    STATE(2961), 2,
      sym_comment,
      sym_documentation_comment,
  [136570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4502), 1,
      anon_sym_with,
    STATE(2552), 1,
      sym_mixins,
    STATE(2962), 2,
      sym_comment,
      sym_documentation_comment,
  [136596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(2022), 1,
      sym__semicolon,
    STATE(2963), 2,
      sym_comment,
      sym_documentation_comment,
  [136622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(483), 1,
      sym_class_body,
    STATE(2964), 2,
      sym_comment,
      sym_documentation_comment,
  [136648] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4364), 1,
      sym_increment_operator,
    STATE(1106), 1,
      sym_postfix_operator,
    STATE(2965), 2,
      sym_comment,
      sym_documentation_comment,
  [136674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(485), 1,
      sym__semicolon,
    STATE(2966), 2,
      sym_comment,
      sym_documentation_comment,
  [136700] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6131), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(2967), 2,
      sym_comment,
      sym_documentation_comment,
  [136724] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6133), 1,
      anon_sym_get,
    STATE(3251), 1,
      sym__get,
    STATE(2968), 2,
      sym_comment,
      sym_documentation_comment,
  [136750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5232), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_block,
    STATE(2969), 2,
      sym_comment,
      sym_documentation_comment,
  [136776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6135), 1,
      anon_sym_operator,
    STATE(1619), 1,
      sym__operator,
    STATE(2970), 2,
      sym_comment,
      sym_documentation_comment,
  [136802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    STATE(2971), 2,
      sym_comment,
      sym_documentation_comment,
  [136828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5232), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_block,
    STATE(2972), 2,
      sym_comment,
      sym_documentation_comment,
  [136854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_for_loop_parts,
    STATE(2973), 2,
      sym_comment,
      sym_documentation_comment,
  [136880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2974), 2,
      sym_comment,
      sym_documentation_comment,
  [136904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(2946), 1,
      sym_initialized_identifier,
    STATE(2975), 2,
      sym_comment,
      sym_documentation_comment,
  [136930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(2024), 1,
      sym__semicolon,
    STATE(2976), 2,
      sym_comment,
      sym_documentation_comment,
  [136956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6137), 1,
      anon_sym_LBRACE,
    ACTIONS(6139), 1,
      anon_sym_LBRACK,
    STATE(2977), 2,
      sym_comment,
      sym_documentation_comment,
  [136982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3271), 1,
      anon_sym_LPAREN,
    STATE(1758), 1,
      sym_arguments,
    STATE(2978), 2,
      sym_comment,
      sym_documentation_comment,
  [137008] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4342), 1,
      anon_sym_LBRACK,
    STATE(1176), 1,
      sym_index_selector,
    STATE(2979), 2,
      sym_comment,
      sym_documentation_comment,
  [137034] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5165), 1,
      anon_sym_native,
    STATE(3245), 1,
      sym__native,
    STATE(2980), 2,
      sym_comment,
      sym_documentation_comment,
  [137060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5204), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_block,
    STATE(2981), 2,
      sym_comment,
      sym_documentation_comment,
  [137086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_block,
    STATE(2982), 2,
      sym_comment,
      sym_documentation_comment,
  [137112] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6141), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2983), 2,
      sym_comment,
      sym_documentation_comment,
  [137136] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6143), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2984), 2,
      sym_comment,
      sym_documentation_comment,
  [137160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6145), 1,
      anon_sym_LPAREN,
    ACTIONS(6147), 1,
      anon_sym_DOT,
    STATE(2985), 2,
      sym_comment,
      sym_documentation_comment,
  [137186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_class_body,
    STATE(2986), 2,
      sym_comment,
      sym_documentation_comment,
  [137212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5525), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2987), 2,
      sym_comment,
      sym_documentation_comment,
  [137236] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5578), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(2988), 2,
      sym_comment,
      sym_documentation_comment,
  [137260] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    STATE(1079), 1,
      sym_arguments,
    STATE(2989), 2,
      sym_comment,
      sym_documentation_comment,
  [137286] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6149), 1,
      anon_sym_abstract,
    ACTIONS(6151), 1,
      anon_sym_class,
    STATE(2990), 2,
      sym_comment,
      sym_documentation_comment,
  [137312] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_block,
    STATE(2991), 2,
      sym_comment,
      sym_documentation_comment,
  [137338] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_class_body,
    STATE(2992), 2,
      sym_comment,
      sym_documentation_comment,
  [137364] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5738), 1,
      sym_identifier,
    STATE(2940), 1,
      sym_dotted_identifier_list,
    STATE(2993), 2,
      sym_comment,
      sym_documentation_comment,
  [137390] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6081), 1,
      sym_identifier,
    STATE(511), 1,
      sym_mixin_application_class,
    STATE(2994), 2,
      sym_comment,
      sym_documentation_comment,
  [137416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    STATE(1157), 1,
      sym_arguments,
    STATE(2995), 2,
      sym_comment,
      sym_documentation_comment,
  [137442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6043), 1,
      anon_sym_LPAREN,
    STATE(153), 1,
      sym_parenthesized_expression,
    STATE(2996), 2,
      sym_comment,
      sym_documentation_comment,
  [137468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(156), 1,
      sym_for_loop_parts,
    STATE(2997), 2,
      sym_comment,
      sym_documentation_comment,
  [137494] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_block,
    STATE(2998), 2,
      sym_comment,
      sym_documentation_comment,
  [137520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5337), 1,
      anon_sym_LBRACK,
    STATE(673), 1,
      sym_index_selector,
    STATE(2999), 2,
      sym_comment,
      sym_documentation_comment,
  [137546] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6153), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3000), 2,
      sym_comment,
      sym_documentation_comment,
  [137570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6155), 1,
      anon_sym_COMMA,
    ACTIONS(6157), 1,
      anon_sym_RPAREN,
    STATE(3001), 2,
      sym_comment,
      sym_documentation_comment,
  [137596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6159), 1,
      sym_identifier,
    STATE(492), 1,
      sym_mixin_application_class,
    STATE(3002), 2,
      sym_comment,
      sym_documentation_comment,
  [137622] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5851), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3003), 2,
      sym_comment,
      sym_documentation_comment,
  [137646] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    STATE(1134), 1,
      sym_arguments,
    STATE(3004), 2,
      sym_comment,
      sym_documentation_comment,
  [137672] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4860), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_block,
    STATE(3005), 2,
      sym_comment,
      sym_documentation_comment,
  [137698] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6161), 1,
      anon_sym_LPAREN,
    STATE(3256), 1,
      sym_catch_parameters,
    STATE(3006), 2,
      sym_comment,
      sym_documentation_comment,
  [137724] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6163), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3007), 2,
      sym_comment,
      sym_documentation_comment,
  [137748] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4319), 1,
      anon_sym_LBRACE,
    ACTIONS(4321), 1,
      anon_sym_LBRACK,
    STATE(3008), 2,
      sym_comment,
      sym_documentation_comment,
  [137774] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    STATE(1111), 1,
      sym_arguments,
    STATE(3009), 2,
      sym_comment,
      sym_documentation_comment,
  [137800] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4221), 1,
      anon_sym_LT,
    STATE(3301), 1,
      sym_type_arguments,
    STATE(3010), 2,
      sym_comment,
      sym_documentation_comment,
  [137826] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2791), 1,
      anon_sym_LBRACK,
    STATE(742), 1,
      sym_index_selector,
    STATE(3011), 2,
      sym_comment,
      sym_documentation_comment,
  [137852] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5337), 1,
      anon_sym_LBRACK,
    STATE(668), 1,
      sym_index_selector,
    STATE(3012), 2,
      sym_comment,
      sym_documentation_comment,
  [137878] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    STATE(1096), 1,
      sym_arguments,
    STATE(3013), 2,
      sym_comment,
      sym_documentation_comment,
  [137904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_arguments,
    STATE(3014), 2,
      sym_comment,
      sym_documentation_comment,
  [137930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6165), 1,
      anon_sym_COMMA,
    ACTIONS(6167), 1,
      anon_sym_RPAREN,
    STATE(3015), 2,
      sym_comment,
      sym_documentation_comment,
  [137956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    STATE(631), 1,
      sym_index_selector,
    STATE(3016), 2,
      sym_comment,
      sym_documentation_comment,
  [137982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4348), 1,
      anon_sym_LBRACK,
    STATE(1120), 1,
      sym_index_selector,
    STATE(3017), 2,
      sym_comment,
      sym_documentation_comment,
  [138008] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2356), 1,
      anon_sym_LBRACK,
    STATE(982), 1,
      sym_index_selector,
    STATE(3018), 2,
      sym_comment,
      sym_documentation_comment,
  [138034] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    STATE(1258), 1,
      sym_index_selector,
    STATE(3019), 2,
      sym_comment,
      sym_documentation_comment,
  [138060] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5333), 1,
      anon_sym_LBRACK,
    STATE(651), 1,
      sym_index_selector,
    STATE(3020), 2,
      sym_comment,
      sym_documentation_comment,
  [138086] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(562), 1,
      sym__semicolon,
    STATE(3021), 2,
      sym_comment,
      sym_documentation_comment,
  [138112] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5267), 1,
      anon_sym_LBRACK,
    STATE(761), 1,
      sym_index_selector,
    STATE(3022), 2,
      sym_comment,
      sym_documentation_comment,
  [138138] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5573), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(3023), 2,
      sym_comment,
      sym_documentation_comment,
  [138162] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6169), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    STATE(3024), 2,
      sym_comment,
      sym_documentation_comment,
  [138186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    STATE(1153), 1,
      sym_arguments,
    STATE(3025), 2,
      sym_comment,
      sym_documentation_comment,
  [138212] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6171), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3026), 2,
      sym_comment,
      sym_documentation_comment,
  [138236] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    STATE(1512), 1,
      sym_index_selector,
    STATE(3027), 2,
      sym_comment,
      sym_documentation_comment,
  [138262] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6173), 1,
      anon_sym_COMMA,
    ACTIONS(6175), 1,
      anon_sym_RPAREN,
    STATE(3028), 2,
      sym_comment,
      sym_documentation_comment,
  [138288] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4354), 1,
      anon_sym_LBRACK,
    STATE(1594), 1,
      sym_index_selector,
    STATE(3029), 2,
      sym_comment,
      sym_documentation_comment,
  [138314] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(1164), 1,
      sym_block,
    STATE(3030), 2,
      sym_comment,
      sym_documentation_comment,
  [138340] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5175), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_block,
    STATE(3031), 2,
      sym_comment,
      sym_documentation_comment,
  [138366] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_class_body,
    STATE(3032), 2,
      sym_comment,
      sym_documentation_comment,
  [138392] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5793), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(3033), 2,
      sym_comment,
      sym_documentation_comment,
  [138416] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2386), 1,
      anon_sym_LBRACK,
    STATE(628), 1,
      sym_index_selector,
    STATE(3034), 2,
      sym_comment,
      sym_documentation_comment,
  [138442] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4390), 1,
      sym_increment_operator,
    STATE(1371), 1,
      sym_postfix_operator,
    STATE(3035), 2,
      sym_comment,
      sym_documentation_comment,
  [138468] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(469), 1,
      sym__semicolon,
    STATE(3036), 2,
      sym_comment,
      sym_documentation_comment,
  [138494] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2376), 1,
      anon_sym_LPAREN,
    STATE(1194), 1,
      sym_arguments,
    STATE(3037), 2,
      sym_comment,
      sym_documentation_comment,
  [138520] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6177), 1,
      anon_sym_COMMA,
    ACTIONS(6179), 1,
      anon_sym_RPAREN,
    STATE(3038), 2,
      sym_comment,
      sym_documentation_comment,
  [138546] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6181), 1,
      anon_sym_LBRACK,
    STATE(2362), 1,
      sym_index_selector,
    STATE(3039), 2,
      sym_comment,
      sym_documentation_comment,
  [138572] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6183), 1,
      anon_sym_LBRACE,
    ACTIONS(6185), 1,
      anon_sym_LBRACK,
    STATE(3040), 2,
      sym_comment,
      sym_documentation_comment,
  [138598] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6187), 1,
      anon_sym_LPAREN,
    STATE(671), 1,
      sym_arguments,
    STATE(3041), 2,
      sym_comment,
      sym_documentation_comment,
  [138624] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(2014), 1,
      sym__semicolon,
    STATE(3042), 2,
      sym_comment,
      sym_documentation_comment,
  [138650] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6189), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(3043), 2,
      sym_comment,
      sym_documentation_comment,
  [138674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6191), 1,
      anon_sym_COMMA,
    ACTIONS(6193), 1,
      anon_sym_RPAREN,
    STATE(3044), 2,
      sym_comment,
      sym_documentation_comment,
  [138700] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    STATE(1256), 1,
      sym_arguments,
    STATE(3045), 2,
      sym_comment,
      sym_documentation_comment,
  [138726] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5781), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3046), 2,
      sym_comment,
      sym_documentation_comment,
  [138750] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(567), 1,
      sym__semicolon,
    STATE(3047), 2,
      sym_comment,
      sym_documentation_comment,
  [138776] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2764), 1,
      anon_sym_LBRACK,
    STATE(1230), 1,
      sym_index_selector,
    STATE(3048), 2,
      sym_comment,
      sym_documentation_comment,
  [138802] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(466), 1,
      sym__semicolon,
    STATE(3049), 2,
      sym_comment,
      sym_documentation_comment,
  [138828] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(448), 1,
      sym__semicolon,
    STATE(3050), 2,
      sym_comment,
      sym_documentation_comment,
  [138854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2358), 1,
      anon_sym_LPAREN,
    STATE(1059), 1,
      sym_arguments,
    STATE(3051), 2,
      sym_comment,
      sym_documentation_comment,
  [138880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6195), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3052), 2,
      sym_comment,
      sym_documentation_comment,
  [138904] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(521), 1,
      sym__semicolon,
    STATE(3053), 2,
      sym_comment,
      sym_documentation_comment,
  [138930] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6197), 1,
      anon_sym_COMMA,
    ACTIONS(6199), 1,
      anon_sym_RPAREN,
    STATE(3054), 2,
      sym_comment,
      sym_documentation_comment,
  [138956] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(502), 1,
      sym_class_body,
    STATE(3055), 2,
      sym_comment,
      sym_documentation_comment,
  [138982] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6201), 1,
      anon_sym_COMMA,
    ACTIONS(6203), 1,
      anon_sym_RPAREN,
    STATE(3056), 2,
      sym_comment,
      sym_documentation_comment,
  [139008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6205), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3057), 2,
      sym_comment,
      sym_documentation_comment,
  [139032] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(2793), 1,
      anon_sym_LPAREN,
    STATE(1480), 1,
      sym_arguments,
    STATE(3058), 2,
      sym_comment,
      sym_documentation_comment,
  [139058] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4366), 1,
      sym_increment_operator,
    STATE(1378), 1,
      sym_postfix_operator,
    STATE(3059), 2,
      sym_comment,
      sym_documentation_comment,
  [139084] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6207), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3060), 2,
      sym_comment,
      sym_documentation_comment,
  [139108] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3269), 1,
      anon_sym_LBRACK,
    STATE(1769), 1,
      sym_index_selector,
    STATE(3061), 2,
      sym_comment,
      sym_documentation_comment,
  [139134] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6209), 1,
      anon_sym_LPAREN,
    STATE(648), 1,
      sym_arguments,
    STATE(3062), 2,
      sym_comment,
      sym_documentation_comment,
  [139160] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(465), 1,
      sym_class_body,
    STATE(3063), 2,
      sym_comment,
      sym_documentation_comment,
  [139186] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6211), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_switch_block,
    STATE(3064), 2,
      sym_comment,
      sym_documentation_comment,
  [139212] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6159), 1,
      sym_identifier,
    STATE(503), 1,
      sym_mixin_application_class,
    STATE(3065), 2,
      sym_comment,
      sym_documentation_comment,
  [139238] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6213), 1,
      anon_sym_LBRACE,
    STATE(510), 1,
      sym_enum_body,
    STATE(3066), 2,
      sym_comment,
      sym_documentation_comment,
  [139264] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(191), 1,
      sym__semicolon,
    STATE(3067), 2,
      sym_comment,
      sym_documentation_comment,
  [139290] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_class_body,
    STATE(3068), 2,
      sym_comment,
      sym_documentation_comment,
  [139316] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(462), 1,
      sym__semicolon,
    STATE(3069), 2,
      sym_comment,
      sym_documentation_comment,
  [139342] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6215), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    STATE(3070), 2,
      sym_comment,
      sym_documentation_comment,
  [139366] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4360), 1,
      sym_increment_operator,
    STATE(1125), 1,
      sym_postfix_operator,
    STATE(3071), 2,
      sym_comment,
      sym_documentation_comment,
  [139392] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACE,
    STATE(474), 1,
      sym_extension_body,
    STATE(3072), 2,
      sym_comment,
      sym_documentation_comment,
  [139418] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6061), 1,
      anon_sym_LBRACE,
    STATE(471), 1,
      sym_extension_body,
    STATE(3073), 2,
      sym_comment,
      sym_documentation_comment,
  [139444] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(433), 1,
      sym__semicolon,
    STATE(3074), 2,
      sym_comment,
      sym_documentation_comment,
  [139470] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6217), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3075), 2,
      sym_comment,
      sym_documentation_comment,
  [139494] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5710), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3076), 2,
      sym_comment,
      sym_documentation_comment,
  [139518] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(569), 1,
      sym__semicolon,
    STATE(3077), 2,
      sym_comment,
      sym_documentation_comment,
  [139544] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(553), 1,
      sym__semicolon,
    STATE(3078), 2,
      sym_comment,
      sym_documentation_comment,
  [139570] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(152), 1,
      sym_for_loop_parts,
    STATE(3079), 2,
      sym_comment,
      sym_documentation_comment,
  [139596] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(457), 1,
      sym__semicolon,
    STATE(3080), 2,
      sym_comment,
      sym_documentation_comment,
  [139622] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6219), 1,
      anon_sym_LPAREN,
    STATE(762), 1,
      sym_arguments,
    STATE(3081), 2,
      sym_comment,
      sym_documentation_comment,
  [139648] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(3097), 1,
      anon_sym_LBRACK,
    STATE(824), 1,
      sym_index_selector,
    STATE(3082), 2,
      sym_comment,
      sym_documentation_comment,
  [139674] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(556), 1,
      sym__semicolon,
    STATE(3083), 2,
      sym_comment,
      sym_documentation_comment,
  [139700] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6221), 1,
      anon_sym_COMMA,
    ACTIONS(6223), 1,
      anon_sym_RPAREN,
    STATE(3084), 2,
      sym_comment,
      sym_documentation_comment,
  [139726] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6037), 1,
      anon_sym_LPAREN,
    STATE(59), 1,
      sym_for_loop_parts,
    STATE(3085), 2,
      sym_comment,
      sym_documentation_comment,
  [139752] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4368), 1,
      sym_increment_operator,
    STATE(1707), 1,
      sym_postfix_operator,
    STATE(3086), 2,
      sym_comment,
      sym_documentation_comment,
  [139778] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5529), 1,
      anon_sym_LBRACE,
    STATE(501), 1,
      sym_block,
    STATE(3087), 2,
      sym_comment,
      sym_documentation_comment,
  [139804] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(634), 1,
      anon_sym_SEMI,
    STATE(549), 1,
      sym__semicolon,
    STATE(3088), 2,
      sym_comment,
      sym_documentation_comment,
  [139830] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6225), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3089), 2,
      sym_comment,
      sym_documentation_comment,
  [139854] = 8,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6227), 1,
      anon_sym_COMMA,
    ACTIONS(6229), 1,
      anon_sym_RPAREN,
    STATE(3090), 2,
      sym_comment,
      sym_documentation_comment,
  [139880] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6231), 1,
      anon_sym_part,
    STATE(3091), 2,
      sym_comment,
      sym_documentation_comment,
  [139903] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6233), 1,
      anon_sym_RPAREN,
    STATE(3092), 2,
      sym_comment,
      sym_documentation_comment,
  [139926] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6235), 1,
      anon_sym_RPAREN,
    STATE(3093), 2,
      sym_comment,
      sym_documentation_comment,
  [139949] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6237), 1,
      anon_sym_RBRACK,
    STATE(3094), 2,
      sym_comment,
      sym_documentation_comment,
  [139972] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6239), 1,
      anon_sym_COLON,
    STATE(3095), 2,
      sym_comment,
      sym_documentation_comment,
  [139995] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4127), 1,
      anon_sym_RPAREN,
    STATE(3096), 2,
      sym_comment,
      sym_documentation_comment,
  [140018] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6241), 1,
      anon_sym_while,
    STATE(3097), 2,
      sym_comment,
      sym_documentation_comment,
  [140041] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6243), 1,
      anon_sym_RPAREN,
    STATE(3098), 2,
      sym_comment,
      sym_documentation_comment,
  [140064] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6245), 1,
      anon_sym_LPAREN,
    STATE(3099), 2,
      sym_comment,
      sym_documentation_comment,
  [140087] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6247), 1,
      sym_identifier,
    STATE(3100), 2,
      sym_comment,
      sym_documentation_comment,
  [140110] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6249), 1,
      sym_identifier,
    STATE(3101), 2,
      sym_comment,
      sym_documentation_comment,
  [140133] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6251), 1,
      sym_identifier,
    STATE(3102), 2,
      sym_comment,
      sym_documentation_comment,
  [140156] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6253), 1,
      sym_identifier,
    STATE(3103), 2,
      sym_comment,
      sym_documentation_comment,
  [140179] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6255), 1,
      sym_identifier,
    STATE(3104), 2,
      sym_comment,
      sym_documentation_comment,
  [140202] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6257), 1,
      anon_sym_RPAREN,
    STATE(3105), 2,
      sym_comment,
      sym_documentation_comment,
  [140225] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6259), 1,
      sym_identifier,
    STATE(3106), 2,
      sym_comment,
      sym_documentation_comment,
  [140248] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6261), 1,
      sym_identifier,
    STATE(3107), 2,
      sym_comment,
      sym_documentation_comment,
  [140271] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6263), 1,
      anon_sym_RPAREN,
    STATE(3108), 2,
      sym_comment,
      sym_documentation_comment,
  [140294] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6265), 1,
      anon_sym_RPAREN,
    STATE(3109), 2,
      sym_comment,
      sym_documentation_comment,
  [140317] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4133), 1,
      anon_sym_RPAREN,
    STATE(3110), 2,
      sym_comment,
      sym_documentation_comment,
  [140340] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6267), 1,
      anon_sym_LF,
    STATE(3111), 2,
      sym_comment,
      sym_documentation_comment,
  [140363] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5493), 1,
      sym_identifier,
    STATE(3112), 2,
      sym_comment,
      sym_documentation_comment,
  [140386] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6269), 1,
      anon_sym_RPAREN,
    STATE(3113), 2,
      sym_comment,
      sym_documentation_comment,
  [140409] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6271), 1,
      anon_sym_RBRACK,
    STATE(3114), 2,
      sym_comment,
      sym_documentation_comment,
  [140432] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(3115), 2,
      sym_comment,
      sym_documentation_comment,
  [140455] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6273), 1,
      sym_identifier,
    STATE(3116), 2,
      sym_comment,
      sym_documentation_comment,
  [140478] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5773), 1,
      anon_sym_RPAREN,
    STATE(3117), 2,
      sym_comment,
      sym_documentation_comment,
  [140501] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6275), 1,
      anon_sym_RPAREN,
    STATE(3118), 2,
      sym_comment,
      sym_documentation_comment,
  [140524] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6277), 1,
      sym_identifier,
    STATE(3119), 2,
      sym_comment,
      sym_documentation_comment,
  [140547] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6279), 1,
      sym_identifier,
    STATE(3120), 2,
      sym_comment,
      sym_documentation_comment,
  [140570] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4095), 1,
      anon_sym_RPAREN,
    STATE(3121), 2,
      sym_comment,
      sym_documentation_comment,
  [140593] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6281), 1,
      anon_sym_SEMI,
    STATE(3122), 2,
      sym_comment,
      sym_documentation_comment,
  [140616] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6283), 1,
      anon_sym_RPAREN,
    STATE(3123), 2,
      sym_comment,
      sym_documentation_comment,
  [140639] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6285), 1,
      anon_sym_RBRACK,
    STATE(3124), 2,
      sym_comment,
      sym_documentation_comment,
  [140662] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6287), 1,
      anon_sym_RPAREN,
    STATE(3125), 2,
      sym_comment,
      sym_documentation_comment,
  [140685] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6289), 1,
      anon_sym_RPAREN,
    STATE(3126), 2,
      sym_comment,
      sym_documentation_comment,
  [140708] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6291), 1,
      sym_identifier,
    STATE(3127), 2,
      sym_comment,
      sym_documentation_comment,
  [140731] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6293), 1,
      sym_identifier,
    STATE(3128), 2,
      sym_comment,
      sym_documentation_comment,
  [140754] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6295), 1,
      anon_sym_COLON,
    STATE(3129), 2,
      sym_comment,
      sym_documentation_comment,
  [140777] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6297), 1,
      sym_identifier,
    STATE(3130), 2,
      sym_comment,
      sym_documentation_comment,
  [140800] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    STATE(3131), 2,
      sym_comment,
      sym_documentation_comment,
  [140823] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6299), 1,
      anon_sym_RBRACK,
    STATE(3132), 2,
      sym_comment,
      sym_documentation_comment,
  [140846] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6301), 1,
      sym_identifier,
    STATE(3133), 2,
      sym_comment,
      sym_documentation_comment,
  [140869] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6303), 1,
      anon_sym_RPAREN,
    STATE(3134), 2,
      sym_comment,
      sym_documentation_comment,
  [140892] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6305), 1,
      sym_identifier,
    STATE(3135), 2,
      sym_comment,
      sym_documentation_comment,
  [140915] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6307), 1,
      anon_sym_RPAREN,
    STATE(3136), 2,
      sym_comment,
      sym_documentation_comment,
  [140938] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6309), 1,
      anon_sym_RPAREN,
    STATE(3137), 2,
      sym_comment,
      sym_documentation_comment,
  [140961] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6311), 1,
      sym_identifier,
    STATE(3138), 2,
      sym_comment,
      sym_documentation_comment,
  [140984] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6313), 1,
      sym_identifier,
    STATE(3139), 2,
      sym_comment,
      sym_documentation_comment,
  [141007] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6315), 1,
      sym_identifier,
    STATE(3140), 2,
      sym_comment,
      sym_documentation_comment,
  [141030] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6317), 1,
      sym_identifier,
    STATE(3141), 2,
      sym_comment,
      sym_documentation_comment,
  [141053] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6319), 1,
      anon_sym_RBRACK,
    STATE(3142), 2,
      sym_comment,
      sym_documentation_comment,
  [141076] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6321), 1,
      sym_identifier,
    STATE(3143), 2,
      sym_comment,
      sym_documentation_comment,
  [141099] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6323), 1,
      anon_sym_RPAREN,
    STATE(3144), 2,
      sym_comment,
      sym_documentation_comment,
  [141122] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6175), 1,
      anon_sym_RPAREN,
    STATE(3145), 2,
      sym_comment,
      sym_documentation_comment,
  [141145] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6325), 1,
      sym_identifier,
    STATE(3146), 2,
      sym_comment,
      sym_documentation_comment,
  [141168] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6327), 1,
      sym_identifier,
    STATE(3147), 2,
      sym_comment,
      sym_documentation_comment,
  [141191] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6329), 1,
      sym_identifier,
    STATE(3148), 2,
      sym_comment,
      sym_documentation_comment,
  [141214] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6331), 1,
      sym_identifier,
    STATE(3149), 2,
      sym_comment,
      sym_documentation_comment,
  [141237] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6333), 1,
      anon_sym_RBRACK,
    STATE(3150), 2,
      sym_comment,
      sym_documentation_comment,
  [141260] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6335), 1,
      sym_identifier,
    STATE(3151), 2,
      sym_comment,
      sym_documentation_comment,
  [141283] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6337), 1,
      sym_identifier,
    STATE(3152), 2,
      sym_comment,
      sym_documentation_comment,
  [141306] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6339), 1,
      sym_identifier,
    STATE(3153), 2,
      sym_comment,
      sym_documentation_comment,
  [141329] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6341), 1,
      sym_identifier,
    STATE(3154), 2,
      sym_comment,
      sym_documentation_comment,
  [141352] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6343), 1,
      anon_sym_RBRACK,
    STATE(3155), 2,
      sym_comment,
      sym_documentation_comment,
  [141375] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6345), 1,
      anon_sym_RPAREN,
    STATE(3156), 2,
      sym_comment,
      sym_documentation_comment,
  [141398] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6347), 1,
      sym_identifier,
    STATE(3157), 2,
      sym_comment,
      sym_documentation_comment,
  [141421] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6349), 1,
      sym_identifier,
    STATE(3158), 2,
      sym_comment,
      sym_documentation_comment,
  [141444] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6351), 1,
      anon_sym_COLON,
    STATE(3159), 2,
      sym_comment,
      sym_documentation_comment,
  [141467] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6353), 1,
      anon_sym_RBRACK,
    STATE(3160), 2,
      sym_comment,
      sym_documentation_comment,
  [141490] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6355), 1,
      anon_sym_COLON,
    STATE(3161), 2,
      sym_comment,
      sym_documentation_comment,
  [141513] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6357), 1,
      sym_identifier,
    STATE(3162), 2,
      sym_comment,
      sym_documentation_comment,
  [141536] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6359), 1,
      sym_identifier,
    STATE(3163), 2,
      sym_comment,
      sym_documentation_comment,
  [141559] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4087), 1,
      anon_sym_RPAREN,
    STATE(3164), 2,
      sym_comment,
      sym_documentation_comment,
  [141582] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6361), 1,
      anon_sym_RBRACK,
    STATE(3165), 2,
      sym_comment,
      sym_documentation_comment,
  [141605] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(1708), 1,
      anon_sym_COLON,
    STATE(3166), 2,
      sym_comment,
      sym_documentation_comment,
  [141628] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6363), 1,
      sym_identifier,
    STATE(3167), 2,
      sym_comment,
      sym_documentation_comment,
  [141651] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6365), 1,
      sym_identifier,
    STATE(3168), 2,
      sym_comment,
      sym_documentation_comment,
  [141674] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6367), 1,
      anon_sym_RBRACK,
    STATE(3169), 2,
      sym_comment,
      sym_documentation_comment,
  [141697] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6369), 1,
      anon_sym_RBRACK,
    STATE(3170), 2,
      sym_comment,
      sym_documentation_comment,
  [141720] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6371), 1,
      anon_sym_RPAREN,
    STATE(3171), 2,
      sym_comment,
      sym_documentation_comment,
  [141743] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6373), 1,
      sym_identifier,
    STATE(3172), 2,
      sym_comment,
      sym_documentation_comment,
  [141766] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6375), 1,
      sym_identifier,
    STATE(3173), 2,
      sym_comment,
      sym_documentation_comment,
  [141789] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6377), 1,
      sym_identifier,
    STATE(3174), 2,
      sym_comment,
      sym_documentation_comment,
  [141812] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6379), 1,
      anon_sym_RBRACK,
    STATE(3175), 2,
      sym_comment,
      sym_documentation_comment,
  [141835] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6381), 1,
      sym_identifier,
    STATE(3176), 2,
      sym_comment,
      sym_documentation_comment,
  [141858] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6383), 1,
      sym_identifier,
    STATE(3177), 2,
      sym_comment,
      sym_documentation_comment,
  [141881] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6385), 1,
      sym_identifier,
    STATE(3178), 2,
      sym_comment,
      sym_documentation_comment,
  [141904] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6387), 1,
      anon_sym_RBRACK,
    STATE(3179), 2,
      sym_comment,
      sym_documentation_comment,
  [141927] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6389), 1,
      sym_identifier,
    STATE(3180), 2,
      sym_comment,
      sym_documentation_comment,
  [141950] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6391), 1,
      sym_identifier,
    STATE(3181), 2,
      sym_comment,
      sym_documentation_comment,
  [141973] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6393), 1,
      anon_sym_RPAREN,
    STATE(3182), 2,
      sym_comment,
      sym_documentation_comment,
  [141996] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6395), 1,
      anon_sym_RBRACK,
    STATE(3183), 2,
      sym_comment,
      sym_documentation_comment,
  [142019] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(3184), 2,
      sym_comment,
      sym_documentation_comment,
  [142042] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6397), 1,
      anon_sym_RBRACE,
    STATE(3185), 2,
      sym_comment,
      sym_documentation_comment,
  [142065] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6399), 1,
      anon_sym_RPAREN,
    STATE(3186), 2,
      sym_comment,
      sym_documentation_comment,
  [142088] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6401), 1,
      anon_sym_COLON,
    STATE(3187), 2,
      sym_comment,
      sym_documentation_comment,
  [142111] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5584), 1,
      anon_sym_RPAREN,
    STATE(3188), 2,
      sym_comment,
      sym_documentation_comment,
  [142134] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6403), 1,
      anon_sym_RBRACK,
    STATE(3189), 2,
      sym_comment,
      sym_documentation_comment,
  [142157] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6405), 1,
      anon_sym_COLON,
    STATE(3190), 2,
      sym_comment,
      sym_documentation_comment,
  [142180] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6407), 1,
      anon_sym_class,
    STATE(3191), 2,
      sym_comment,
      sym_documentation_comment,
  [142203] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6409), 1,
      anon_sym_RPAREN,
    STATE(3192), 2,
      sym_comment,
      sym_documentation_comment,
  [142226] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6411), 1,
      sym_identifier,
    STATE(3193), 2,
      sym_comment,
      sym_documentation_comment,
  [142249] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4101), 1,
      anon_sym_RPAREN,
    STATE(3194), 2,
      sym_comment,
      sym_documentation_comment,
  [142272] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6413), 1,
      anon_sym_RPAREN,
    STATE(3195), 2,
      sym_comment,
      sym_documentation_comment,
  [142295] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6415), 1,
      sym_identifier,
    STATE(3196), 2,
      sym_comment,
      sym_documentation_comment,
  [142318] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6417), 1,
      sym_identifier,
    STATE(3197), 2,
      sym_comment,
      sym_documentation_comment,
  [142341] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5261), 1,
      anon_sym_SEMI,
    STATE(3198), 2,
      sym_comment,
      sym_documentation_comment,
  [142364] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6419), 1,
      sym_identifier,
    STATE(3199), 2,
      sym_comment,
      sym_documentation_comment,
  [142387] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6421), 1,
      sym_identifier,
    STATE(3200), 2,
      sym_comment,
      sym_documentation_comment,
  [142410] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5919), 1,
      anon_sym_EQ,
    STATE(3201), 2,
      sym_comment,
      sym_documentation_comment,
  [142433] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6423), 1,
      anon_sym_RPAREN,
    STATE(3202), 2,
      sym_comment,
      sym_documentation_comment,
  [142456] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6425), 1,
      sym_identifier,
    STATE(3203), 2,
      sym_comment,
      sym_documentation_comment,
  [142479] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6427), 1,
      sym_identifier,
    STATE(3204), 2,
      sym_comment,
      sym_documentation_comment,
  [142502] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6429), 1,
      sym_identifier,
    STATE(3205), 2,
      sym_comment,
      sym_documentation_comment,
  [142525] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6431), 1,
      anon_sym_LPAREN,
    STATE(3206), 2,
      sym_comment,
      sym_documentation_comment,
  [142548] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6433), 1,
      anon_sym_LPAREN,
    STATE(3207), 2,
      sym_comment,
      sym_documentation_comment,
  [142571] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    STATE(3208), 2,
      sym_comment,
      sym_documentation_comment,
  [142594] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6437), 1,
      sym_identifier,
    STATE(3209), 2,
      sym_comment,
      sym_documentation_comment,
  [142617] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5238), 1,
      sym_identifier,
    STATE(3210), 2,
      sym_comment,
      sym_documentation_comment,
  [142640] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6439), 1,
      sym_identifier,
    STATE(3211), 2,
      sym_comment,
      sym_documentation_comment,
  [142663] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6441), 1,
      anon_sym_RPAREN,
    STATE(3212), 2,
      sym_comment,
      sym_documentation_comment,
  [142686] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6443), 1,
      anon_sym_RPAREN,
    STATE(3213), 2,
      sym_comment,
      sym_documentation_comment,
  [142709] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6445), 1,
      anon_sym_RBRACE,
    STATE(3214), 2,
      sym_comment,
      sym_documentation_comment,
  [142732] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4297), 1,
      anon_sym_of,
    STATE(3215), 2,
      sym_comment,
      sym_documentation_comment,
  [142755] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6447), 1,
      anon_sym_RPAREN,
    STATE(3216), 2,
      sym_comment,
      sym_documentation_comment,
  [142778] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6449), 1,
      anon_sym_COLON,
    STATE(3217), 2,
      sym_comment,
      sym_documentation_comment,
  [142801] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6451), 1,
      anon_sym_RPAREN,
    STATE(3218), 2,
      sym_comment,
      sym_documentation_comment,
  [142824] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6453), 1,
      anon_sym_on,
    STATE(3219), 2,
      sym_comment,
      sym_documentation_comment,
  [142847] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5728), 1,
      anon_sym_RPAREN,
    STATE(3220), 2,
      sym_comment,
      sym_documentation_comment,
  [142870] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6455), 1,
      sym_identifier,
    STATE(3221), 2,
      sym_comment,
      sym_documentation_comment,
  [142893] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6457), 1,
      anon_sym_LBRACE,
    STATE(3222), 2,
      sym_comment,
      sym_documentation_comment,
  [142916] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4612), 1,
      anon_sym_EQ,
    STATE(3223), 2,
      sym_comment,
      sym_documentation_comment,
  [142939] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(3224), 2,
      sym_comment,
      sym_documentation_comment,
  [142962] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6461), 1,
      sym_identifier,
    STATE(3225), 2,
      sym_comment,
      sym_documentation_comment,
  [142985] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6463), 1,
      anon_sym_SEMI,
    STATE(3226), 2,
      sym_comment,
      sym_documentation_comment,
  [143008] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6465), 1,
      sym_identifier,
    STATE(3227), 2,
      sym_comment,
      sym_documentation_comment,
  [143031] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6467), 1,
      anon_sym_part,
    STATE(3228), 2,
      sym_comment,
      sym_documentation_comment,
  [143054] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6469), 1,
      sym_identifier,
    STATE(3229), 2,
      sym_comment,
      sym_documentation_comment,
  [143077] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6471), 1,
      anon_sym_RPAREN,
    STATE(3230), 2,
      sym_comment,
      sym_documentation_comment,
  [143100] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6473), 1,
      sym_identifier,
    STATE(3231), 2,
      sym_comment,
      sym_documentation_comment,
  [143123] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6475), 1,
      anon_sym_RPAREN,
    STATE(3232), 2,
      sym_comment,
      sym_documentation_comment,
  [143146] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4085), 1,
      anon_sym_RPAREN,
    STATE(3233), 2,
      sym_comment,
      sym_documentation_comment,
  [143169] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6477), 1,
      sym_identifier,
    STATE(3234), 2,
      sym_comment,
      sym_documentation_comment,
  [143192] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6479), 1,
      anon_sym_SEMI,
    STATE(3235), 2,
      sym_comment,
      sym_documentation_comment,
  [143215] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6481), 1,
      anon_sym_RPAREN,
    STATE(3236), 2,
      sym_comment,
      sym_documentation_comment,
  [143238] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6483), 1,
      anon_sym_as,
    STATE(3237), 2,
      sym_comment,
      sym_documentation_comment,
  [143261] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6485), 1,
      anon_sym_RPAREN,
    STATE(3238), 2,
      sym_comment,
      sym_documentation_comment,
  [143284] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6487), 1,
      sym_identifier,
    STATE(3239), 2,
      sym_comment,
      sym_documentation_comment,
  [143307] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6489), 1,
      anon_sym_COLON,
    STATE(3240), 2,
      sym_comment,
      sym_documentation_comment,
  [143330] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6491), 1,
      anon_sym_RPAREN,
    STATE(3241), 2,
      sym_comment,
      sym_documentation_comment,
  [143353] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(3242), 2,
      sym_comment,
      sym_documentation_comment,
  [143376] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6493), 1,
      sym_identifier,
    STATE(3243), 2,
      sym_comment,
      sym_documentation_comment,
  [143399] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6495), 1,
      sym_identifier,
    STATE(3244), 2,
      sym_comment,
      sym_documentation_comment,
  [143422] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6497), 1,
      anon_sym_SEMI,
    STATE(3245), 2,
      sym_comment,
      sym_documentation_comment,
  [143445] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6499), 1,
      sym_identifier,
    STATE(3246), 2,
      sym_comment,
      sym_documentation_comment,
  [143468] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6501), 1,
      anon_sym_SLASH,
    STATE(3247), 2,
      sym_comment,
      sym_documentation_comment,
  [143491] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6503), 1,
      anon_sym_EQ,
    STATE(3248), 2,
      sym_comment,
      sym_documentation_comment,
  [143514] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6505), 1,
      sym_identifier,
    STATE(3249), 2,
      sym_comment,
      sym_documentation_comment,
  [143537] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4944), 1,
      anon_sym_SEMI,
    STATE(3250), 2,
      sym_comment,
      sym_documentation_comment,
  [143560] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5202), 1,
      sym_identifier,
    STATE(3251), 2,
      sym_comment,
      sym_documentation_comment,
  [143583] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6507), 1,
      anon_sym_SEMI,
    STATE(3252), 2,
      sym_comment,
      sym_documentation_comment,
  [143606] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6509), 1,
      anon_sym_class,
    STATE(3253), 2,
      sym_comment,
      sym_documentation_comment,
  [143629] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6511), 1,
      sym_identifier,
    STATE(3254), 2,
      sym_comment,
      sym_documentation_comment,
  [143652] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6513), 1,
      anon_sym_RPAREN,
    STATE(3255), 2,
      sym_comment,
      sym_documentation_comment,
  [143675] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6515), 1,
      anon_sym_LBRACE,
    STATE(3256), 2,
      sym_comment,
      sym_documentation_comment,
  [143698] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6517), 1,
      sym_identifier,
    STATE(3257), 2,
      sym_comment,
      sym_documentation_comment,
  [143721] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6519), 1,
      sym_identifier,
    STATE(3258), 2,
      sym_comment,
      sym_documentation_comment,
  [143744] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6521), 1,
      anon_sym_RPAREN,
    STATE(3259), 2,
      sym_comment,
      sym_documentation_comment,
  [143767] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6523), 1,
      anon_sym_RPAREN,
    STATE(3260), 2,
      sym_comment,
      sym_documentation_comment,
  [143790] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6525), 1,
      sym_identifier,
    STATE(3261), 2,
      sym_comment,
      sym_documentation_comment,
  [143813] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6527), 1,
      anon_sym_RBRACK,
    STATE(3262), 2,
      sym_comment,
      sym_documentation_comment,
  [143836] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6529), 1,
      anon_sym_RPAREN,
    STATE(3263), 2,
      sym_comment,
      sym_documentation_comment,
  [143859] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6531), 1,
      anon_sym_SEMI,
    STATE(3264), 2,
      sym_comment,
      sym_documentation_comment,
  [143882] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6533), 1,
      sym_identifier,
    STATE(3265), 2,
      sym_comment,
      sym_documentation_comment,
  [143905] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6535), 1,
      sym_identifier,
    STATE(3266), 2,
      sym_comment,
      sym_documentation_comment,
  [143928] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6537), 1,
      anon_sym_RPAREN,
    STATE(3267), 2,
      sym_comment,
      sym_documentation_comment,
  [143951] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6539), 1,
      ts_builtin_sym_end,
    STATE(3268), 2,
      sym_comment,
      sym_documentation_comment,
  [143974] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6541), 1,
      anon_sym_COLON,
    STATE(3269), 2,
      sym_comment,
      sym_documentation_comment,
  [143997] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6543), 1,
      anon_sym_RPAREN,
    STATE(3270), 2,
      sym_comment,
      sym_documentation_comment,
  [144020] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6545), 1,
      anon_sym_LPAREN,
    STATE(3271), 2,
      sym_comment,
      sym_documentation_comment,
  [144043] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6547), 1,
      sym_identifier,
    STATE(3272), 2,
      sym_comment,
      sym_documentation_comment,
  [144066] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6549), 1,
      sym_identifier,
    STATE(3273), 2,
      sym_comment,
      sym_documentation_comment,
  [144089] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4109), 1,
      anon_sym_RPAREN,
    STATE(3274), 2,
      sym_comment,
      sym_documentation_comment,
  [144112] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6551), 1,
      sym_identifier,
    STATE(3275), 2,
      sym_comment,
      sym_documentation_comment,
  [144135] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6553), 1,
      sym_identifier,
    STATE(3276), 2,
      sym_comment,
      sym_documentation_comment,
  [144158] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6555), 1,
      sym_identifier,
    STATE(3277), 2,
      sym_comment,
      sym_documentation_comment,
  [144181] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6557), 1,
      sym_identifier,
    STATE(3278), 2,
      sym_comment,
      sym_documentation_comment,
  [144204] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6559), 1,
      anon_sym_SEMI,
    STATE(3279), 2,
      sym_comment,
      sym_documentation_comment,
  [144227] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6561), 1,
      anon_sym_SEMI,
    STATE(3280), 2,
      sym_comment,
      sym_documentation_comment,
  [144250] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6563), 1,
      sym_identifier,
    STATE(3281), 2,
      sym_comment,
      sym_documentation_comment,
  [144273] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6565), 1,
      anon_sym_RPAREN,
    STATE(3282), 2,
      sym_comment,
      sym_documentation_comment,
  [144296] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5119), 1,
      anon_sym_SEMI,
    STATE(3283), 2,
      sym_comment,
      sym_documentation_comment,
  [144319] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6567), 1,
      sym_identifier,
    STATE(3284), 2,
      sym_comment,
      sym_documentation_comment,
  [144342] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5007), 1,
      anon_sym_EQ,
    STATE(3285), 2,
      sym_comment,
      sym_documentation_comment,
  [144365] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6569), 1,
      anon_sym_LBRACE,
    STATE(3286), 2,
      sym_comment,
      sym_documentation_comment,
  [144388] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6571), 1,
      anon_sym_COLON,
    STATE(3287), 2,
      sym_comment,
      sym_documentation_comment,
  [144411] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6573), 1,
      aux_sym_script_tag_token1,
    STATE(3288), 2,
      sym_comment,
      sym_documentation_comment,
  [144434] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6575), 1,
      anon_sym_RPAREN,
    STATE(3289), 2,
      sym_comment,
      sym_documentation_comment,
  [144457] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6577), 1,
      anon_sym_RPAREN,
    STATE(3290), 2,
      sym_comment,
      sym_documentation_comment,
  [144480] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4299), 1,
      anon_sym_of,
    STATE(3291), 2,
      sym_comment,
      sym_documentation_comment,
  [144503] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6579), 1,
      anon_sym_class,
    STATE(3292), 2,
      sym_comment,
      sym_documentation_comment,
  [144526] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6581), 1,
      sym_identifier,
    STATE(3293), 2,
      sym_comment,
      sym_documentation_comment,
  [144549] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6583), 1,
      anon_sym_RBRACE,
    STATE(3294), 2,
      sym_comment,
      sym_documentation_comment,
  [144572] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(3295), 2,
      sym_comment,
      sym_documentation_comment,
  [144595] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6585), 1,
      anon_sym_RBRACK,
    STATE(3296), 2,
      sym_comment,
      sym_documentation_comment,
  [144618] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6587), 1,
      anon_sym_RBRACK,
    STATE(3297), 2,
      sym_comment,
      sym_documentation_comment,
  [144641] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6589), 1,
      anon_sym_RPAREN,
    STATE(3298), 2,
      sym_comment,
      sym_documentation_comment,
  [144664] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5981), 1,
      sym__automatic_semicolon,
    STATE(3299), 2,
      sym_comment,
      sym_documentation_comment,
  [144687] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6591), 1,
      anon_sym_COLON,
    STATE(3300), 2,
      sym_comment,
      sym_documentation_comment,
  [144710] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4858), 1,
      anon_sym_DOT,
    STATE(3301), 2,
      sym_comment,
      sym_documentation_comment,
  [144733] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6593), 1,
      anon_sym_on,
    STATE(3302), 2,
      sym_comment,
      sym_documentation_comment,
  [144756] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6595), 1,
      sym_identifier,
    STATE(3303), 2,
      sym_comment,
      sym_documentation_comment,
  [144779] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6597), 1,
      anon_sym_SEMI,
    STATE(3304), 2,
      sym_comment,
      sym_documentation_comment,
  [144802] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5881), 1,
      anon_sym_RPAREN,
    STATE(3305), 2,
      sym_comment,
      sym_documentation_comment,
  [144825] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6599), 1,
      anon_sym_RBRACE,
    STATE(3306), 2,
      sym_comment,
      sym_documentation_comment,
  [144848] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6601), 1,
      anon_sym_RPAREN,
    STATE(3307), 2,
      sym_comment,
      sym_documentation_comment,
  [144871] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6603), 1,
      sym_identifier,
    STATE(3308), 2,
      sym_comment,
      sym_documentation_comment,
  [144894] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6605), 1,
      anon_sym_DOT,
    STATE(3309), 2,
      sym_comment,
      sym_documentation_comment,
  [144917] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4089), 1,
      anon_sym_RPAREN,
    STATE(3310), 2,
      sym_comment,
      sym_documentation_comment,
  [144940] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6607), 1,
      anon_sym_RPAREN,
    STATE(3311), 2,
      sym_comment,
      sym_documentation_comment,
  [144963] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6609), 1,
      sym_identifier,
    STATE(3312), 2,
      sym_comment,
      sym_documentation_comment,
  [144986] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6611), 1,
      sym_identifier,
    STATE(3313), 2,
      sym_comment,
      sym_documentation_comment,
  [145009] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5212), 1,
      anon_sym_SEMI,
    STATE(3314), 2,
      sym_comment,
      sym_documentation_comment,
  [145032] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6613), 1,
      sym_identifier,
    STATE(3315), 2,
      sym_comment,
      sym_documentation_comment,
  [145055] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6615), 1,
      anon_sym_RPAREN,
    STATE(3316), 2,
      sym_comment,
      sym_documentation_comment,
  [145078] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6617), 1,
      sym_identifier,
    STATE(3317), 2,
      sym_comment,
      sym_documentation_comment,
  [145101] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(5100), 1,
      anon_sym_DOT,
    STATE(3318), 2,
      sym_comment,
      sym_documentation_comment,
  [145124] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6619), 1,
      sym_identifier,
    STATE(3319), 2,
      sym_comment,
      sym_documentation_comment,
  [145147] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6621), 1,
      anon_sym_SEMI,
    STATE(3320), 2,
      sym_comment,
      sym_documentation_comment,
  [145170] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6623), 1,
      sym_identifier,
    STATE(3321), 2,
      sym_comment,
      sym_documentation_comment,
  [145193] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6625), 1,
      sym_identifier,
    STATE(3322), 2,
      sym_comment,
      sym_documentation_comment,
  [145216] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6627), 1,
      sym_identifier,
    STATE(3323), 2,
      sym_comment,
      sym_documentation_comment,
  [145239] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6629), 1,
      sym_identifier,
    STATE(3324), 2,
      sym_comment,
      sym_documentation_comment,
  [145262] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6631), 1,
      sym_identifier,
    STATE(3325), 2,
      sym_comment,
      sym_documentation_comment,
  [145285] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6633), 1,
      anon_sym_DOT,
    STATE(3326), 2,
      sym_comment,
      sym_documentation_comment,
  [145308] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6029), 1,
      anon_sym_EQ,
    STATE(3327), 2,
      sym_comment,
      sym_documentation_comment,
  [145331] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6049), 1,
      anon_sym_SEMI,
    STATE(3328), 2,
      sym_comment,
      sym_documentation_comment,
  [145354] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6635), 1,
      anon_sym_SEMI,
    STATE(3329), 2,
      sym_comment,
      sym_documentation_comment,
  [145377] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6637), 1,
      sym_identifier,
    STATE(3330), 2,
      sym_comment,
      sym_documentation_comment,
  [145400] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6639), 1,
      sym_identifier,
    STATE(3331), 2,
      sym_comment,
      sym_documentation_comment,
  [145423] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6641), 1,
      aux_sym_documentation_comment_token1,
    STATE(3332), 2,
      sym_comment,
      sym_documentation_comment,
  [145446] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6643), 1,
      aux_sym_comment_token2,
    STATE(3333), 2,
      sym_comment,
      sym_documentation_comment,
  [145469] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6645), 1,
      sym_identifier,
    STATE(3334), 2,
      sym_comment,
      sym_documentation_comment,
  [145492] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6648), 1,
      anon_sym_DOT,
    STATE(3335), 2,
      sym_comment,
      sym_documentation_comment,
  [145515] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6650), 1,
      anon_sym_DOT,
    STATE(3336), 2,
      sym_comment,
      sym_documentation_comment,
  [145538] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6652), 1,
      anon_sym_DOT,
    STATE(3337), 2,
      sym_comment,
      sym_documentation_comment,
  [145561] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6654), 1,
      anon_sym_DOT,
    STATE(3338), 2,
      sym_comment,
      sym_documentation_comment,
  [145584] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6656), 1,
      anon_sym_RPAREN,
    STATE(3339), 2,
      sym_comment,
      sym_documentation_comment,
  [145607] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6658), 1,
      anon_sym_DOT,
    STATE(3340), 2,
      sym_comment,
      sym_documentation_comment,
  [145630] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6660), 1,
      anon_sym_DOT,
    STATE(3341), 2,
      sym_comment,
      sym_documentation_comment,
  [145653] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6662), 1,
      anon_sym_SEMI,
    STATE(3342), 2,
      sym_comment,
      sym_documentation_comment,
  [145676] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(4959), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4961), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(6664), 1,
      aux_sym_comment_token1,
    STATE(3343), 2,
      sym_comment,
      sym_documentation_comment,
  [145699] = 7,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7), 1,
      anon_sym_SLASH_SLASH_SLASH,
    ACTIONS(9), 1,
      sym__block_comment,
    ACTIONS(11), 1,
      sym__documentation_block_comment,
    ACTIONS(6666), 1,
      anon_sym_DOT,
    STATE(3344), 2,
      sym_comment,
      sym_documentation_comment,
  [145722] = 1,
    ACTIONS(6668), 1,
      ts_builtin_sym_end,
  [145726] = 1,
    ACTIONS(6670), 1,
      ts_builtin_sym_end,
  [145730] = 1,
    ACTIONS(6672), 1,
      ts_builtin_sym_end,
  [145734] = 1,
    ACTIONS(6674), 1,
      ts_builtin_sym_end,
  [145738] = 1,
    ACTIONS(6676), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(526)] = 0,
  [SMALL_STATE(527)] = 177,
  [SMALL_STATE(528)] = 328,
  [SMALL_STATE(529)] = 427,
  [SMALL_STATE(530)] = 578,
  [SMALL_STATE(531)] = 729,
  [SMALL_STATE(532)] = 830,
  [SMALL_STATE(533)] = 981,
  [SMALL_STATE(534)] = 1080,
  [SMALL_STATE(535)] = 1231,
  [SMALL_STATE(536)] = 1382,
  [SMALL_STATE(537)] = 1481,
  [SMALL_STATE(538)] = 1632,
  [SMALL_STATE(539)] = 1712,
  [SMALL_STATE(540)] = 1818,
  [SMALL_STATE(541)] = 1924,
  [SMALL_STATE(542)] = 2003,
  [SMALL_STATE(543)] = 2082,
  [SMALL_STATE(544)] = 2161,
  [SMALL_STATE(545)] = 2268,
  [SMALL_STATE(546)] = 2373,
  [SMALL_STATE(547)] = 2452,
  [SMALL_STATE(548)] = 2531,
  [SMALL_STATE(549)] = 2610,
  [SMALL_STATE(550)] = 2689,
  [SMALL_STATE(551)] = 2768,
  [SMALL_STATE(552)] = 2847,
  [SMALL_STATE(553)] = 2926,
  [SMALL_STATE(554)] = 3005,
  [SMALL_STATE(555)] = 3084,
  [SMALL_STATE(556)] = 3163,
  [SMALL_STATE(557)] = 3242,
  [SMALL_STATE(558)] = 3321,
  [SMALL_STATE(559)] = 3400,
  [SMALL_STATE(560)] = 3479,
  [SMALL_STATE(561)] = 3558,
  [SMALL_STATE(562)] = 3637,
  [SMALL_STATE(563)] = 3716,
  [SMALL_STATE(564)] = 3795,
  [SMALL_STATE(565)] = 3874,
  [SMALL_STATE(566)] = 3977,
  [SMALL_STATE(567)] = 4056,
  [SMALL_STATE(568)] = 4135,
  [SMALL_STATE(569)] = 4214,
  [SMALL_STATE(570)] = 4293,
  [SMALL_STATE(571)] = 4372,
  [SMALL_STATE(572)] = 4462,
  [SMALL_STATE(573)] = 4608,
  [SMALL_STATE(574)] = 4696,
  [SMALL_STATE(575)] = 4786,
  [SMALL_STATE(576)] = 4866,
  [SMALL_STATE(577)] = 4944,
  [SMALL_STATE(578)] = 5042,
  [SMALL_STATE(579)] = 5188,
  [SMALL_STATE(580)] = 5276,
  [SMALL_STATE(581)] = 5366,
  [SMALL_STATE(582)] = 5456,
  [SMALL_STATE(583)] = 5554,
  [SMALL_STATE(584)] = 5631,
  [SMALL_STATE(585)] = 5708,
  [SMALL_STATE(586)] = 5803,
  [SMALL_STATE(587)] = 5880,
  [SMALL_STATE(588)] = 5957,
  [SMALL_STATE(589)] = 6054,
  [SMALL_STATE(590)] = 6132,
  [SMALL_STATE(591)] = 6298,
  [SMALL_STATE(592)] = 6436,
  [SMALL_STATE(593)] = 6564,
  [SMALL_STATE(594)] = 6702,
  [SMALL_STATE(595)] = 6840,
  [SMALL_STATE(596)] = 6978,
  [SMALL_STATE(597)] = 7116,
  [SMALL_STATE(598)] = 7284,
  [SMALL_STATE(599)] = 7452,
  [SMALL_STATE(600)] = 7582,
  [SMALL_STATE(601)] = 7720,
  [SMALL_STATE(602)] = 7858,
  [SMALL_STATE(603)] = 7996,
  [SMALL_STATE(604)] = 8134,
  [SMALL_STATE(605)] = 8300,
  [SMALL_STATE(606)] = 8462,
  [SMALL_STATE(607)] = 8600,
  [SMALL_STATE(608)] = 8762,
  [SMALL_STATE(609)] = 8848,
  [SMALL_STATE(610)] = 8976,
  [SMALL_STATE(611)] = 9114,
  [SMALL_STATE(612)] = 9252,
  [SMALL_STATE(613)] = 9382,
  [SMALL_STATE(614)] = 9468,
  [SMALL_STATE(615)] = 9606,
  [SMALL_STATE(616)] = 9744,
  [SMALL_STATE(617)] = 9912,
  [SMALL_STATE(618)] = 10050,
  [SMALL_STATE(619)] = 10126,
  [SMALL_STATE(620)] = 10264,
  [SMALL_STATE(621)] = 10432,
  [SMALL_STATE(622)] = 10570,
  [SMALL_STATE(623)] = 10664,
  [SMALL_STATE(624)] = 10802,
  [SMALL_STATE(625)] = 10893,
  [SMALL_STATE(626)] = 10968,
  [SMALL_STATE(627)] = 11043,
  [SMALL_STATE(628)] = 11122,
  [SMALL_STATE(629)] = 11197,
  [SMALL_STATE(630)] = 11272,
  [SMALL_STATE(631)] = 11347,
  [SMALL_STATE(632)] = 11422,
  [SMALL_STATE(633)] = 11497,
  [SMALL_STATE(634)] = 11572,
  [SMALL_STATE(635)] = 11647,
  [SMALL_STATE(636)] = 11726,
  [SMALL_STATE(637)] = 11801,
  [SMALL_STATE(638)] = 11880,
  [SMALL_STATE(639)] = 12039,
  [SMALL_STATE(640)] = 12118,
  [SMALL_STATE(641)] = 12193,
  [SMALL_STATE(642)] = 12272,
  [SMALL_STATE(643)] = 12351,
  [SMALL_STATE(644)] = 12442,
  [SMALL_STATE(645)] = 12516,
  [SMALL_STATE(646)] = 12590,
  [SMALL_STATE(647)] = 12664,
  [SMALL_STATE(648)] = 12738,
  [SMALL_STATE(649)] = 12812,
  [SMALL_STATE(650)] = 12886,
  [SMALL_STATE(651)] = 12960,
  [SMALL_STATE(652)] = 13034,
  [SMALL_STATE(653)] = 13108,
  [SMALL_STATE(654)] = 13182,
  [SMALL_STATE(655)] = 13256,
  [SMALL_STATE(656)] = 13330,
  [SMALL_STATE(657)] = 13404,
  [SMALL_STATE(658)] = 13478,
  [SMALL_STATE(659)] = 13552,
  [SMALL_STATE(660)] = 13640,
  [SMALL_STATE(661)] = 13714,
  [SMALL_STATE(662)] = 13788,
  [SMALL_STATE(663)] = 13862,
  [SMALL_STATE(664)] = 13936,
  [SMALL_STATE(665)] = 14010,
  [SMALL_STATE(666)] = 14084,
  [SMALL_STATE(667)] = 14158,
  [SMALL_STATE(668)] = 14232,
  [SMALL_STATE(669)] = 14306,
  [SMALL_STATE(670)] = 14380,
  [SMALL_STATE(671)] = 14454,
  [SMALL_STATE(672)] = 14528,
  [SMALL_STATE(673)] = 14618,
  [SMALL_STATE(674)] = 14692,
  [SMALL_STATE(675)] = 14777,
  [SMALL_STATE(676)] = 14918,
  [SMALL_STATE(677)] = 15003,
  [SMALL_STATE(678)] = 15086,
  [SMALL_STATE(679)] = 15158,
  [SMALL_STATE(680)] = 15230,
  [SMALL_STATE(681)] = 15302,
  [SMALL_STATE(682)] = 15386,
  [SMALL_STATE(683)] = 15458,
  [SMALL_STATE(684)] = 15548,
  [SMALL_STATE(685)] = 15688,
  [SMALL_STATE(686)] = 15760,
  [SMALL_STATE(687)] = 15832,
  [SMALL_STATE(688)] = 15904,
  [SMALL_STATE(689)] = 15976,
  [SMALL_STATE(690)] = 16048,
  [SMALL_STATE(691)] = 16120,
  [SMALL_STATE(692)] = 16212,
  [SMALL_STATE(693)] = 16284,
  [SMALL_STATE(694)] = 16356,
  [SMALL_STATE(695)] = 16428,
  [SMALL_STATE(696)] = 16500,
  [SMALL_STATE(697)] = 16572,
  [SMALL_STATE(698)] = 16644,
  [SMALL_STATE(699)] = 16716,
  [SMALL_STATE(700)] = 16849,
  [SMALL_STATE(701)] = 16954,
  [SMALL_STATE(702)] = 17059,
  [SMALL_STATE(703)] = 17164,
  [SMALL_STATE(704)] = 17269,
  [SMALL_STATE(705)] = 17374,
  [SMALL_STATE(706)] = 17479,
  [SMALL_STATE(707)] = 17584,
  [SMALL_STATE(708)] = 17689,
  [SMALL_STATE(709)] = 17794,
  [SMALL_STATE(710)] = 17899,
  [SMALL_STATE(711)] = 17980,
  [SMALL_STATE(712)] = 18113,
  [SMALL_STATE(713)] = 18246,
  [SMALL_STATE(714)] = 18369,
  [SMALL_STATE(715)] = 18502,
  [SMALL_STATE(716)] = 18607,
  [SMALL_STATE(717)] = 18712,
  [SMALL_STATE(718)] = 18817,
  [SMALL_STATE(719)] = 18950,
  [SMALL_STATE(720)] = 19083,
  [SMALL_STATE(721)] = 19208,
  [SMALL_STATE(722)] = 19341,
  [SMALL_STATE(723)] = 19446,
  [SMALL_STATE(724)] = 19579,
  [SMALL_STATE(725)] = 19684,
  [SMALL_STATE(726)] = 19789,
  [SMALL_STATE(727)] = 19922,
  [SMALL_STATE(728)] = 20024,
  [SMALL_STATE(729)] = 20126,
  [SMALL_STATE(730)] = 20228,
  [SMALL_STATE(731)] = 20302,
  [SMALL_STATE(732)] = 20404,
  [SMALL_STATE(733)] = 20478,
  [SMALL_STATE(734)] = 20548,
  [SMALL_STATE(735)] = 20618,
  [SMALL_STATE(736)] = 20720,
  [SMALL_STATE(737)] = 20822,
  [SMALL_STATE(738)] = 20920,
  [SMALL_STATE(739)] = 20990,
  [SMALL_STATE(740)] = 21064,
  [SMALL_STATE(741)] = 21206,
  [SMALL_STATE(742)] = 21276,
  [SMALL_STATE(743)] = 21346,
  [SMALL_STATE(744)] = 21448,
  [SMALL_STATE(745)] = 21550,
  [SMALL_STATE(746)] = 21652,
  [SMALL_STATE(747)] = 21750,
  [SMALL_STATE(748)] = 21852,
  [SMALL_STATE(749)] = 21954,
  [SMALL_STATE(750)] = 22056,
  [SMALL_STATE(751)] = 22158,
  [SMALL_STATE(752)] = 22260,
  [SMALL_STATE(753)] = 22362,
  [SMALL_STATE(754)] = 22464,
  [SMALL_STATE(755)] = 22533,
  [SMALL_STATE(756)] = 22620,
  [SMALL_STATE(757)] = 22755,
  [SMALL_STATE(758)] = 22900,
  [SMALL_STATE(759)] = 22969,
  [SMALL_STATE(760)] = 23038,
  [SMALL_STATE(761)] = 23127,
  [SMALL_STATE(762)] = 23196,
  [SMALL_STATE(763)] = 23265,
  [SMALL_STATE(764)] = 23334,
  [SMALL_STATE(765)] = 23403,
  [SMALL_STATE(766)] = 23540,
  [SMALL_STATE(767)] = 23609,
  [SMALL_STATE(768)] = 23746,
  [SMALL_STATE(769)] = 23815,
  [SMALL_STATE(770)] = 23884,
  [SMALL_STATE(771)] = 23953,
  [SMALL_STATE(772)] = 24022,
  [SMALL_STATE(773)] = 24091,
  [SMALL_STATE(774)] = 24160,
  [SMALL_STATE(775)] = 24228,
  [SMALL_STATE(776)] = 24296,
  [SMALL_STATE(777)] = 24364,
  [SMALL_STATE(778)] = 24432,
  [SMALL_STATE(779)] = 24500,
  [SMALL_STATE(780)] = 24568,
  [SMALL_STATE(781)] = 24636,
  [SMALL_STATE(782)] = 24704,
  [SMALL_STATE(783)] = 24772,
  [SMALL_STATE(784)] = 24840,
  [SMALL_STATE(785)] = 24986,
  [SMALL_STATE(786)] = 25054,
  [SMALL_STATE(787)] = 25122,
  [SMALL_STATE(788)] = 25268,
  [SMALL_STATE(789)] = 25336,
  [SMALL_STATE(790)] = 25404,
  [SMALL_STATE(791)] = 25472,
  [SMALL_STATE(792)] = 25550,
  [SMALL_STATE(793)] = 25618,
  [SMALL_STATE(794)] = 25686,
  [SMALL_STATE(795)] = 25815,
  [SMALL_STATE(796)] = 25934,
  [SMALL_STATE(797)] = 26061,
  [SMALL_STATE(798)] = 26190,
  [SMALL_STATE(799)] = 26317,
  [SMALL_STATE(800)] = 26446,
  [SMALL_STATE(801)] = 26575,
  [SMALL_STATE(802)] = 26642,
  [SMALL_STATE(803)] = 26771,
  [SMALL_STATE(804)] = 26898,
  [SMALL_STATE(805)] = 27027,
  [SMALL_STATE(806)] = 27098,
  [SMALL_STATE(807)] = 27225,
  [SMALL_STATE(808)] = 27292,
  [SMALL_STATE(809)] = 27421,
  [SMALL_STATE(810)] = 27548,
  [SMALL_STATE(811)] = 27675,
  [SMALL_STATE(812)] = 27802,
  [SMALL_STATE(813)] = 27869,
  [SMALL_STATE(814)] = 28004,
  [SMALL_STATE(815)] = 28125,
  [SMALL_STATE(816)] = 28196,
  [SMALL_STATE(817)] = 28323,
  [SMALL_STATE(818)] = 28442,
  [SMALL_STATE(819)] = 28571,
  [SMALL_STATE(820)] = 28642,
  [SMALL_STATE(821)] = 28763,
  [SMALL_STATE(822)] = 28892,
  [SMALL_STATE(823)] = 28959,
  [SMALL_STATE(824)] = 29086,
  [SMALL_STATE(825)] = 29153,
  [SMALL_STATE(826)] = 29255,
  [SMALL_STATE(827)] = 29355,
  [SMALL_STATE(828)] = 29455,
  [SMALL_STATE(829)] = 29521,
  [SMALL_STATE(830)] = 29621,
  [SMALL_STATE(831)] = 29759,
  [SMALL_STATE(832)] = 29861,
  [SMALL_STATE(833)] = 29961,
  [SMALL_STATE(834)] = 30027,
  [SMALL_STATE(835)] = 30133,
  [SMALL_STATE(836)] = 30233,
  [SMALL_STATE(837)] = 30339,
  [SMALL_STATE(838)] = 30439,
  [SMALL_STATE(839)] = 30505,
  [SMALL_STATE(840)] = 30605,
  [SMALL_STATE(841)] = 30705,
  [SMALL_STATE(842)] = 30843,
  [SMALL_STATE(843)] = 30940,
  [SMALL_STATE(844)] = 31033,
  [SMALL_STATE(845)] = 31130,
  [SMALL_STATE(846)] = 31265,
  [SMALL_STATE(847)] = 31362,
  [SMALL_STATE(848)] = 31459,
  [SMALL_STATE(849)] = 31556,
  [SMALL_STATE(850)] = 31683,
  [SMALL_STATE(851)] = 31802,
  [SMALL_STATE(852)] = 31929,
  [SMALL_STATE(853)] = 32056,
  [SMALL_STATE(854)] = 32191,
  [SMALL_STATE(855)] = 32308,
  [SMALL_STATE(856)] = 32435,
  [SMALL_STATE(857)] = 32562,
  [SMALL_STATE(858)] = 32689,
  [SMALL_STATE(859)] = 32816,
  [SMALL_STATE(860)] = 32913,
  [SMALL_STATE(861)] = 33010,
  [SMALL_STATE(862)] = 33137,
  [SMALL_STATE(863)] = 33234,
  [SMALL_STATE(864)] = 33361,
  [SMALL_STATE(865)] = 33431,
  [SMALL_STATE(866)] = 33507,
  [SMALL_STATE(867)] = 33637,
  [SMALL_STATE(868)] = 33701,
  [SMALL_STATE(869)] = 33771,
  [SMALL_STATE(870)] = 33847,
  [SMALL_STATE(871)] = 33919,
  [SMALL_STATE(872)] = 33995,
  [SMALL_STATE(873)] = 34067,
  [SMALL_STATE(874)] = 34199,
  [SMALL_STATE(875)] = 34271,
  [SMALL_STATE(876)] = 34401,
  [SMALL_STATE(877)] = 34533,
  [SMALL_STATE(878)] = 34605,
  [SMALL_STATE(879)] = 34735,
  [SMALL_STATE(880)] = 34799,
  [SMALL_STATE(881)] = 34875,
  [SMALL_STATE(882)] = 34944,
  [SMALL_STATE(883)] = 35015,
  [SMALL_STATE(884)] = 35088,
  [SMALL_STATE(885)] = 35151,
  [SMALL_STATE(886)] = 35248,
  [SMALL_STATE(887)] = 35321,
  [SMALL_STATE(888)] = 35392,
  [SMALL_STATE(889)] = 35461,
  [SMALL_STATE(890)] = 35532,
  [SMALL_STATE(891)] = 35603,
  [SMALL_STATE(892)] = 35674,
  [SMALL_STATE(893)] = 35737,
  [SMALL_STATE(894)] = 35808,
  [SMALL_STATE(895)] = 35877,
  [SMALL_STATE(896)] = 35974,
  [SMALL_STATE(897)] = 36045,
  [SMALL_STATE(898)] = 36116,
  [SMALL_STATE(899)] = 36187,
  [SMALL_STATE(900)] = 36256,
  [SMALL_STATE(901)] = 36385,
  [SMALL_STATE(902)] = 36482,
  [SMALL_STATE(903)] = 36545,
  [SMALL_STATE(904)] = 36608,
  [SMALL_STATE(905)] = 36705,
  [SMALL_STATE(906)] = 36768,
  [SMALL_STATE(907)] = 36839,
  [SMALL_STATE(908)] = 36920,
  [SMALL_STATE(909)] = 36983,
  [SMALL_STATE(910)] = 37054,
  [SMALL_STATE(911)] = 37117,
  [SMALL_STATE(912)] = 37180,
  [SMALL_STATE(913)] = 37243,
  [SMALL_STATE(914)] = 37314,
  [SMALL_STATE(915)] = 37443,
  [SMALL_STATE(916)] = 37514,
  [SMALL_STATE(917)] = 37577,
  [SMALL_STATE(918)] = 37640,
  [SMALL_STATE(919)] = 37703,
  [SMALL_STATE(920)] = 37766,
  [SMALL_STATE(921)] = 37829,
  [SMALL_STATE(922)] = 37902,
  [SMALL_STATE(923)] = 37965,
  [SMALL_STATE(924)] = 38028,
  [SMALL_STATE(925)] = 38099,
  [SMALL_STATE(926)] = 38162,
  [SMALL_STATE(927)] = 38278,
  [SMALL_STATE(928)] = 38344,
  [SMALL_STATE(929)] = 38410,
  [SMALL_STATE(930)] = 38484,
  [SMALL_STATE(931)] = 38606,
  [SMALL_STATE(932)] = 38672,
  [SMALL_STATE(933)] = 38746,
  [SMALL_STATE(934)] = 38872,
  [SMALL_STATE(935)] = 38938,
  [SMALL_STATE(936)] = 39064,
  [SMALL_STATE(937)] = 39154,
  [SMALL_STATE(938)] = 39248,
  [SMALL_STATE(939)] = 39342,
  [SMALL_STATE(940)] = 39408,
  [SMALL_STATE(941)] = 39476,
  [SMALL_STATE(942)] = 39542,
  [SMALL_STATE(943)] = 39608,
  [SMALL_STATE(944)] = 39674,
  [SMALL_STATE(945)] = 39740,
  [SMALL_STATE(946)] = 39806,
  [SMALL_STATE(947)] = 39900,
  [SMALL_STATE(948)] = 39966,
  [SMALL_STATE(949)] = 40060,
  [SMALL_STATE(950)] = 40126,
  [SMALL_STATE(951)] = 40248,
  [SMALL_STATE(952)] = 40314,
  [SMALL_STATE(953)] = 40384,
  [SMALL_STATE(954)] = 40506,
  [SMALL_STATE(955)] = 40628,
  [SMALL_STATE(956)] = 40698,
  [SMALL_STATE(957)] = 40764,
  [SMALL_STATE(958)] = 40830,
  [SMALL_STATE(959)] = 40952,
  [SMALL_STATE(960)] = 41074,
  [SMALL_STATE(961)] = 41188,
  [SMALL_STATE(962)] = 41310,
  [SMALL_STATE(963)] = 41378,
  [SMALL_STATE(964)] = 41444,
  [SMALL_STATE(965)] = 41566,
  [SMALL_STATE(966)] = 41688,
  [SMALL_STATE(967)] = 41751,
  [SMALL_STATE(968)] = 41812,
  [SMALL_STATE(969)] = 41873,
  [SMALL_STATE(970)] = 41934,
  [SMALL_STATE(971)] = 41995,
  [SMALL_STATE(972)] = 42068,
  [SMALL_STATE(973)] = 42131,
  [SMALL_STATE(974)] = 42202,
  [SMALL_STATE(975)] = 42265,
  [SMALL_STATE(976)] = 42326,
  [SMALL_STATE(977)] = 42389,
  [SMALL_STATE(978)] = 42452,
  [SMALL_STATE(979)] = 42515,
  [SMALL_STATE(980)] = 42576,
  [SMALL_STATE(981)] = 42637,
  [SMALL_STATE(982)] = 42708,
  [SMALL_STATE(983)] = 42769,
  [SMALL_STATE(984)] = 42830,
  [SMALL_STATE(985)] = 42891,
  [SMALL_STATE(986)] = 42952,
  [SMALL_STATE(987)] = 43015,
  [SMALL_STATE(988)] = 43078,
  [SMALL_STATE(989)] = 43139,
  [SMALL_STATE(990)] = 43236,
  [SMALL_STATE(991)] = 43299,
  [SMALL_STATE(992)] = 43362,
  [SMALL_STATE(993)] = 43423,
  [SMALL_STATE(994)] = 43484,
  [SMALL_STATE(995)] = 43547,
  [SMALL_STATE(996)] = 43610,
  [SMALL_STATE(997)] = 43671,
  [SMALL_STATE(998)] = 43734,
  [SMALL_STATE(999)] = 43797,
  [SMALL_STATE(1000)] = 43858,
  [SMALL_STATE(1001)] = 43919,
  [SMALL_STATE(1002)] = 43982,
  [SMALL_STATE(1003)] = 44045,
  [SMALL_STATE(1004)] = 44108,
  [SMALL_STATE(1005)] = 44171,
  [SMALL_STATE(1006)] = 44234,
  [SMALL_STATE(1007)] = 44295,
  [SMALL_STATE(1008)] = 44356,
  [SMALL_STATE(1009)] = 44417,
  [SMALL_STATE(1010)] = 44482,
  [SMALL_STATE(1011)] = 44545,
  [SMALL_STATE(1012)] = 44606,
  [SMALL_STATE(1013)] = 44667,
  [SMALL_STATE(1014)] = 44728,
  [SMALL_STATE(1015)] = 44789,
  [SMALL_STATE(1016)] = 44850,
  [SMALL_STATE(1017)] = 44911,
  [SMALL_STATE(1018)] = 44972,
  [SMALL_STATE(1019)] = 45035,
  [SMALL_STATE(1020)] = 45098,
  [SMALL_STATE(1021)] = 45159,
  [SMALL_STATE(1022)] = 45220,
  [SMALL_STATE(1023)] = 45281,
  [SMALL_STATE(1024)] = 45342,
  [SMALL_STATE(1025)] = 45405,
  [SMALL_STATE(1026)] = 45468,
  [SMALL_STATE(1027)] = 45529,
  [SMALL_STATE(1028)] = 45592,
  [SMALL_STATE(1029)] = 45689,
  [SMALL_STATE(1030)] = 45750,
  [SMALL_STATE(1031)] = 45811,
  [SMALL_STATE(1032)] = 45874,
  [SMALL_STATE(1033)] = 45937,
  [SMALL_STATE(1034)] = 46000,
  [SMALL_STATE(1035)] = 46063,
  [SMALL_STATE(1036)] = 46126,
  [SMALL_STATE(1037)] = 46187,
  [SMALL_STATE(1038)] = 46248,
  [SMALL_STATE(1039)] = 46309,
  [SMALL_STATE(1040)] = 46382,
  [SMALL_STATE(1041)] = 46447,
  [SMALL_STATE(1042)] = 46508,
  [SMALL_STATE(1043)] = 46569,
  [SMALL_STATE(1044)] = 46630,
  [SMALL_STATE(1045)] = 46693,
  [SMALL_STATE(1046)] = 46754,
  [SMALL_STATE(1047)] = 46817,
  [SMALL_STATE(1048)] = 46878,
  [SMALL_STATE(1049)] = 46939,
  [SMALL_STATE(1050)] = 47000,
  [SMALL_STATE(1051)] = 47061,
  [SMALL_STATE(1052)] = 47122,
  [SMALL_STATE(1053)] = 47183,
  [SMALL_STATE(1054)] = 47244,
  [SMALL_STATE(1055)] = 47305,
  [SMALL_STATE(1056)] = 47366,
  [SMALL_STATE(1057)] = 47427,
  [SMALL_STATE(1058)] = 47487,
  [SMALL_STATE(1059)] = 47547,
  [SMALL_STATE(1060)] = 47607,
  [SMALL_STATE(1061)] = 47667,
  [SMALL_STATE(1062)] = 47727,
  [SMALL_STATE(1063)] = 47787,
  [SMALL_STATE(1064)] = 47853,
  [SMALL_STATE(1065)] = 47913,
  [SMALL_STATE(1066)] = 47973,
  [SMALL_STATE(1067)] = 48033,
  [SMALL_STATE(1068)] = 48093,
  [SMALL_STATE(1069)] = 48153,
  [SMALL_STATE(1070)] = 48213,
  [SMALL_STATE(1071)] = 48273,
  [SMALL_STATE(1072)] = 48333,
  [SMALL_STATE(1073)] = 48393,
  [SMALL_STATE(1074)] = 48453,
  [SMALL_STATE(1075)] = 48513,
  [SMALL_STATE(1076)] = 48573,
  [SMALL_STATE(1077)] = 48633,
  [SMALL_STATE(1078)] = 48693,
  [SMALL_STATE(1079)] = 48753,
  [SMALL_STATE(1080)] = 48813,
  [SMALL_STATE(1081)] = 48873,
  [SMALL_STATE(1082)] = 48933,
  [SMALL_STATE(1083)] = 48993,
  [SMALL_STATE(1084)] = 49053,
  [SMALL_STATE(1085)] = 49113,
  [SMALL_STATE(1086)] = 49173,
  [SMALL_STATE(1087)] = 49233,
  [SMALL_STATE(1088)] = 49299,
  [SMALL_STATE(1089)] = 49359,
  [SMALL_STATE(1090)] = 49423,
  [SMALL_STATE(1091)] = 49487,
  [SMALL_STATE(1092)] = 49551,
  [SMALL_STATE(1093)] = 49611,
  [SMALL_STATE(1094)] = 49671,
  [SMALL_STATE(1095)] = 49755,
  [SMALL_STATE(1096)] = 49815,
  [SMALL_STATE(1097)] = 49875,
  [SMALL_STATE(1098)] = 49935,
  [SMALL_STATE(1099)] = 50001,
  [SMALL_STATE(1100)] = 50067,
  [SMALL_STATE(1101)] = 50127,
  [SMALL_STATE(1102)] = 50187,
  [SMALL_STATE(1103)] = 50247,
  [SMALL_STATE(1104)] = 50313,
  [SMALL_STATE(1105)] = 50373,
  [SMALL_STATE(1106)] = 50433,
  [SMALL_STATE(1107)] = 50493,
  [SMALL_STATE(1108)] = 50553,
  [SMALL_STATE(1109)] = 50617,
  [SMALL_STATE(1110)] = 50677,
  [SMALL_STATE(1111)] = 50737,
  [SMALL_STATE(1112)] = 50797,
  [SMALL_STATE(1113)] = 50857,
  [SMALL_STATE(1114)] = 50917,
  [SMALL_STATE(1115)] = 50981,
  [SMALL_STATE(1116)] = 51045,
  [SMALL_STATE(1117)] = 51105,
  [SMALL_STATE(1118)] = 51165,
  [SMALL_STATE(1119)] = 51225,
  [SMALL_STATE(1120)] = 51285,
  [SMALL_STATE(1121)] = 51345,
  [SMALL_STATE(1122)] = 51405,
  [SMALL_STATE(1123)] = 51465,
  [SMALL_STATE(1124)] = 51525,
  [SMALL_STATE(1125)] = 51585,
  [SMALL_STATE(1126)] = 51645,
  [SMALL_STATE(1127)] = 51705,
  [SMALL_STATE(1128)] = 51765,
  [SMALL_STATE(1129)] = 51849,
  [SMALL_STATE(1130)] = 51909,
  [SMALL_STATE(1131)] = 51969,
  [SMALL_STATE(1132)] = 52029,
  [SMALL_STATE(1133)] = 52089,
  [SMALL_STATE(1134)] = 52149,
  [SMALL_STATE(1135)] = 52209,
  [SMALL_STATE(1136)] = 52269,
  [SMALL_STATE(1137)] = 52329,
  [SMALL_STATE(1138)] = 52389,
  [SMALL_STATE(1139)] = 52449,
  [SMALL_STATE(1140)] = 52535,
  [SMALL_STATE(1141)] = 52595,
  [SMALL_STATE(1142)] = 52655,
  [SMALL_STATE(1143)] = 52715,
  [SMALL_STATE(1144)] = 52803,
  [SMALL_STATE(1145)] = 52863,
  [SMALL_STATE(1146)] = 52923,
  [SMALL_STATE(1147)] = 53011,
  [SMALL_STATE(1148)] = 53071,
  [SMALL_STATE(1149)] = 53131,
  [SMALL_STATE(1150)] = 53191,
  [SMALL_STATE(1151)] = 53251,
  [SMALL_STATE(1152)] = 53311,
  [SMALL_STATE(1153)] = 53371,
  [SMALL_STATE(1154)] = 53431,
  [SMALL_STATE(1155)] = 53491,
  [SMALL_STATE(1156)] = 53551,
  [SMALL_STATE(1157)] = 53611,
  [SMALL_STATE(1158)] = 53671,
  [SMALL_STATE(1159)] = 53731,
  [SMALL_STATE(1160)] = 53791,
  [SMALL_STATE(1161)] = 53851,
  [SMALL_STATE(1162)] = 53911,
  [SMALL_STATE(1163)] = 53971,
  [SMALL_STATE(1164)] = 54031,
  [SMALL_STATE(1165)] = 54091,
  [SMALL_STATE(1166)] = 54151,
  [SMALL_STATE(1167)] = 54211,
  [SMALL_STATE(1168)] = 54271,
  [SMALL_STATE(1169)] = 54331,
  [SMALL_STATE(1170)] = 54391,
  [SMALL_STATE(1171)] = 54451,
  [SMALL_STATE(1172)] = 54517,
  [SMALL_STATE(1173)] = 54577,
  [SMALL_STATE(1174)] = 54637,
  [SMALL_STATE(1175)] = 54697,
  [SMALL_STATE(1176)] = 54757,
  [SMALL_STATE(1177)] = 54817,
  [SMALL_STATE(1178)] = 54877,
  [SMALL_STATE(1179)] = 54937,
  [SMALL_STATE(1180)] = 54997,
  [SMALL_STATE(1181)] = 55057,
  [SMALL_STATE(1182)] = 55117,
  [SMALL_STATE(1183)] = 55177,
  [SMALL_STATE(1184)] = 55237,
  [SMALL_STATE(1185)] = 55297,
  [SMALL_STATE(1186)] = 55357,
  [SMALL_STATE(1187)] = 55417,
  [SMALL_STATE(1188)] = 55477,
  [SMALL_STATE(1189)] = 55537,
  [SMALL_STATE(1190)] = 55597,
  [SMALL_STATE(1191)] = 55657,
  [SMALL_STATE(1192)] = 55717,
  [SMALL_STATE(1193)] = 55777,
  [SMALL_STATE(1194)] = 55837,
  [SMALL_STATE(1195)] = 55897,
  [SMALL_STATE(1196)] = 55957,
  [SMALL_STATE(1197)] = 56017,
  [SMALL_STATE(1198)] = 56077,
  [SMALL_STATE(1199)] = 56137,
  [SMALL_STATE(1200)] = 56197,
  [SMALL_STATE(1201)] = 56257,
  [SMALL_STATE(1202)] = 56317,
  [SMALL_STATE(1203)] = 56377,
  [SMALL_STATE(1204)] = 56463,
  [SMALL_STATE(1205)] = 56583,
  [SMALL_STATE(1206)] = 56643,
  [SMALL_STATE(1207)] = 56703,
  [SMALL_STATE(1208)] = 56763,
  [SMALL_STATE(1209)] = 56823,
  [SMALL_STATE(1210)] = 56883,
  [SMALL_STATE(1211)] = 56943,
  [SMALL_STATE(1212)] = 57003,
  [SMALL_STATE(1213)] = 57063,
  [SMALL_STATE(1214)] = 57123,
  [SMALL_STATE(1215)] = 57183,
  [SMALL_STATE(1216)] = 57243,
  [SMALL_STATE(1217)] = 57303,
  [SMALL_STATE(1218)] = 57363,
  [SMALL_STATE(1219)] = 57423,
  [SMALL_STATE(1220)] = 57483,
  [SMALL_STATE(1221)] = 57543,
  [SMALL_STATE(1222)] = 57603,
  [SMALL_STATE(1223)] = 57663,
  [SMALL_STATE(1224)] = 57723,
  [SMALL_STATE(1225)] = 57783,
  [SMALL_STATE(1226)] = 57843,
  [SMALL_STATE(1227)] = 57903,
  [SMALL_STATE(1228)] = 57963,
  [SMALL_STATE(1229)] = 58023,
  [SMALL_STATE(1230)] = 58142,
  [SMALL_STATE(1231)] = 58201,
  [SMALL_STATE(1232)] = 58260,
  [SMALL_STATE(1233)] = 58379,
  [SMALL_STATE(1234)] = 58438,
  [SMALL_STATE(1235)] = 58505,
  [SMALL_STATE(1236)] = 58564,
  [SMALL_STATE(1237)] = 58623,
  [SMALL_STATE(1238)] = 58682,
  [SMALL_STATE(1239)] = 58741,
  [SMALL_STATE(1240)] = 58800,
  [SMALL_STATE(1241)] = 58859,
  [SMALL_STATE(1242)] = 58918,
  [SMALL_STATE(1243)] = 59037,
  [SMALL_STATE(1244)] = 59156,
  [SMALL_STATE(1245)] = 59267,
  [SMALL_STATE(1246)] = 59338,
  [SMALL_STATE(1247)] = 59409,
  [SMALL_STATE(1248)] = 59474,
  [SMALL_STATE(1249)] = 59587,
  [SMALL_STATE(1250)] = 59706,
  [SMALL_STATE(1251)] = 59825,
  [SMALL_STATE(1252)] = 59944,
  [SMALL_STATE(1253)] = 60003,
  [SMALL_STATE(1254)] = 60122,
  [SMALL_STATE(1255)] = 60189,
  [SMALL_STATE(1256)] = 60308,
  [SMALL_STATE(1257)] = 60367,
  [SMALL_STATE(1258)] = 60426,
  [SMALL_STATE(1259)] = 60485,
  [SMALL_STATE(1260)] = 60544,
  [SMALL_STATE(1261)] = 60603,
  [SMALL_STATE(1262)] = 60662,
  [SMALL_STATE(1263)] = 60774,
  [SMALL_STATE(1264)] = 60834,
  [SMALL_STATE(1265)] = 60898,
  [SMALL_STATE(1266)] = 61010,
  [SMALL_STATE(1267)] = 61076,
  [SMALL_STATE(1268)] = 61144,
  [SMALL_STATE(1269)] = 61208,
  [SMALL_STATE(1270)] = 61276,
  [SMALL_STATE(1271)] = 61388,
  [SMALL_STATE(1272)] = 61456,
  [SMALL_STATE(1273)] = 61524,
  [SMALL_STATE(1274)] = 61590,
  [SMALL_STATE(1275)] = 61702,
  [SMALL_STATE(1276)] = 61768,
  [SMALL_STATE(1277)] = 61834,
  [SMALL_STATE(1278)] = 61900,
  [SMALL_STATE(1279)] = 62012,
  [SMALL_STATE(1280)] = 62124,
  [SMALL_STATE(1281)] = 62236,
  [SMALL_STATE(1282)] = 62302,
  [SMALL_STATE(1283)] = 62370,
  [SMALL_STATE(1284)] = 62482,
  [SMALL_STATE(1285)] = 62594,
  [SMALL_STATE(1286)] = 62706,
  [SMALL_STATE(1287)] = 62772,
  [SMALL_STATE(1288)] = 62884,
  [SMALL_STATE(1289)] = 62996,
  [SMALL_STATE(1290)] = 63108,
  [SMALL_STATE(1291)] = 63220,
  [SMALL_STATE(1292)] = 63286,
  [SMALL_STATE(1293)] = 63398,
  [SMALL_STATE(1294)] = 63510,
  [SMALL_STATE(1295)] = 63622,
  [SMALL_STATE(1296)] = 63734,
  [SMALL_STATE(1297)] = 63800,
  [SMALL_STATE(1298)] = 63912,
  [SMALL_STATE(1299)] = 63977,
  [SMALL_STATE(1300)] = 64034,
  [SMALL_STATE(1301)] = 64095,
  [SMALL_STATE(1302)] = 64156,
  [SMALL_STATE(1303)] = 64217,
  [SMALL_STATE(1304)] = 64278,
  [SMALL_STATE(1305)] = 64339,
  [SMALL_STATE(1306)] = 64400,
  [SMALL_STATE(1307)] = 64463,
  [SMALL_STATE(1308)] = 64524,
  [SMALL_STATE(1309)] = 64585,
  [SMALL_STATE(1310)] = 64643,
  [SMALL_STATE(1311)] = 64699,
  [SMALL_STATE(1312)] = 64757,
  [SMALL_STATE(1313)] = 64825,
  [SMALL_STATE(1314)] = 64887,
  [SMALL_STATE(1315)] = 64943,
  [SMALL_STATE(1316)] = 64999,
  [SMALL_STATE(1317)] = 65055,
  [SMALL_STATE(1318)] = 65113,
  [SMALL_STATE(1319)] = 65171,
  [SMALL_STATE(1320)] = 65229,
  [SMALL_STATE(1321)] = 65287,
  [SMALL_STATE(1322)] = 65343,
  [SMALL_STATE(1323)] = 65401,
  [SMALL_STATE(1324)] = 65459,
  [SMALL_STATE(1325)] = 65515,
  [SMALL_STATE(1326)] = 65571,
  [SMALL_STATE(1327)] = 65629,
  [SMALL_STATE(1328)] = 65687,
  [SMALL_STATE(1329)] = 65745,
  [SMALL_STATE(1330)] = 65803,
  [SMALL_STATE(1331)] = 65859,
  [SMALL_STATE(1332)] = 65917,
  [SMALL_STATE(1333)] = 65973,
  [SMALL_STATE(1334)] = 66031,
  [SMALL_STATE(1335)] = 66099,
  [SMALL_STATE(1336)] = 66173,
  [SMALL_STATE(1337)] = 66241,
  [SMALL_STATE(1338)] = 66301,
  [SMALL_STATE(1339)] = 66359,
  [SMALL_STATE(1340)] = 66415,
  [SMALL_STATE(1341)] = 66471,
  [SMALL_STATE(1342)] = 66537,
  [SMALL_STATE(1343)] = 66593,
  [SMALL_STATE(1344)] = 66649,
  [SMALL_STATE(1345)] = 66705,
  [SMALL_STATE(1346)] = 66761,
  [SMALL_STATE(1347)] = 66817,
  [SMALL_STATE(1348)] = 66891,
  [SMALL_STATE(1349)] = 66947,
  [SMALL_STATE(1350)] = 67003,
  [SMALL_STATE(1351)] = 67059,
  [SMALL_STATE(1352)] = 67115,
  [SMALL_STATE(1353)] = 67171,
  [SMALL_STATE(1354)] = 67229,
  [SMALL_STATE(1355)] = 67285,
  [SMALL_STATE(1356)] = 67341,
  [SMALL_STATE(1357)] = 67397,
  [SMALL_STATE(1358)] = 67453,
  [SMALL_STATE(1359)] = 67521,
  [SMALL_STATE(1360)] = 67587,
  [SMALL_STATE(1361)] = 67643,
  [SMALL_STATE(1362)] = 67711,
  [SMALL_STATE(1363)] = 67769,
  [SMALL_STATE(1364)] = 67831,
  [SMALL_STATE(1365)] = 67897,
  [SMALL_STATE(1366)] = 67957,
  [SMALL_STATE(1367)] = 68012,
  [SMALL_STATE(1368)] = 68067,
  [SMALL_STATE(1369)] = 68122,
  [SMALL_STATE(1370)] = 68177,
  [SMALL_STATE(1371)] = 68232,
  [SMALL_STATE(1372)] = 68287,
  [SMALL_STATE(1373)] = 68342,
  [SMALL_STATE(1374)] = 68397,
  [SMALL_STATE(1375)] = 68452,
  [SMALL_STATE(1376)] = 68507,
  [SMALL_STATE(1377)] = 68562,
  [SMALL_STATE(1378)] = 68617,
  [SMALL_STATE(1379)] = 68672,
  [SMALL_STATE(1380)] = 68727,
  [SMALL_STATE(1381)] = 68782,
  [SMALL_STATE(1382)] = 68837,
  [SMALL_STATE(1383)] = 68892,
  [SMALL_STATE(1384)] = 68947,
  [SMALL_STATE(1385)] = 69002,
  [SMALL_STATE(1386)] = 69057,
  [SMALL_STATE(1387)] = 69112,
  [SMALL_STATE(1388)] = 69167,
  [SMALL_STATE(1389)] = 69222,
  [SMALL_STATE(1390)] = 69283,
  [SMALL_STATE(1391)] = 69338,
  [SMALL_STATE(1392)] = 69393,
  [SMALL_STATE(1393)] = 69448,
  [SMALL_STATE(1394)] = 69503,
  [SMALL_STATE(1395)] = 69558,
  [SMALL_STATE(1396)] = 69613,
  [SMALL_STATE(1397)] = 69668,
  [SMALL_STATE(1398)] = 69723,
  [SMALL_STATE(1399)] = 69778,
  [SMALL_STATE(1400)] = 69833,
  [SMALL_STATE(1401)] = 69896,
  [SMALL_STATE(1402)] = 69951,
  [SMALL_STATE(1403)] = 70006,
  [SMALL_STATE(1404)] = 70061,
  [SMALL_STATE(1405)] = 70124,
  [SMALL_STATE(1406)] = 70179,
  [SMALL_STATE(1407)] = 70234,
  [SMALL_STATE(1408)] = 70289,
  [SMALL_STATE(1409)] = 70344,
  [SMALL_STATE(1410)] = 70399,
  [SMALL_STATE(1411)] = 70454,
  [SMALL_STATE(1412)] = 70509,
  [SMALL_STATE(1413)] = 70572,
  [SMALL_STATE(1414)] = 70635,
  [SMALL_STATE(1415)] = 70698,
  [SMALL_STATE(1416)] = 70753,
  [SMALL_STATE(1417)] = 70808,
  [SMALL_STATE(1418)] = 70863,
  [SMALL_STATE(1419)] = 70918,
  [SMALL_STATE(1420)] = 70973,
  [SMALL_STATE(1421)] = 71028,
  [SMALL_STATE(1422)] = 71083,
  [SMALL_STATE(1423)] = 71138,
  [SMALL_STATE(1424)] = 71193,
  [SMALL_STATE(1425)] = 71248,
  [SMALL_STATE(1426)] = 71303,
  [SMALL_STATE(1427)] = 71358,
  [SMALL_STATE(1428)] = 71413,
  [SMALL_STATE(1429)] = 71468,
  [SMALL_STATE(1430)] = 71523,
  [SMALL_STATE(1431)] = 71578,
  [SMALL_STATE(1432)] = 71633,
  [SMALL_STATE(1433)] = 71688,
  [SMALL_STATE(1434)] = 71743,
  [SMALL_STATE(1435)] = 71806,
  [SMALL_STATE(1436)] = 71867,
  [SMALL_STATE(1437)] = 71922,
  [SMALL_STATE(1438)] = 71977,
  [SMALL_STATE(1439)] = 72032,
  [SMALL_STATE(1440)] = 72087,
  [SMALL_STATE(1441)] = 72142,
  [SMALL_STATE(1442)] = 72197,
  [SMALL_STATE(1443)] = 72252,
  [SMALL_STATE(1444)] = 72313,
  [SMALL_STATE(1445)] = 72368,
  [SMALL_STATE(1446)] = 72423,
  [SMALL_STATE(1447)] = 72478,
  [SMALL_STATE(1448)] = 72557,
  [SMALL_STATE(1449)] = 72612,
  [SMALL_STATE(1450)] = 72667,
  [SMALL_STATE(1451)] = 72722,
  [SMALL_STATE(1452)] = 72777,
  [SMALL_STATE(1453)] = 72832,
  [SMALL_STATE(1454)] = 72887,
  [SMALL_STATE(1455)] = 72948,
  [SMALL_STATE(1456)] = 73003,
  [SMALL_STATE(1457)] = 73058,
  [SMALL_STATE(1458)] = 73119,
  [SMALL_STATE(1459)] = 73182,
  [SMALL_STATE(1460)] = 73243,
  [SMALL_STATE(1461)] = 73298,
  [SMALL_STATE(1462)] = 73353,
  [SMALL_STATE(1463)] = 73408,
  [SMALL_STATE(1464)] = 73463,
  [SMALL_STATE(1465)] = 73518,
  [SMALL_STATE(1466)] = 73573,
  [SMALL_STATE(1467)] = 73628,
  [SMALL_STATE(1468)] = 73687,
  [SMALL_STATE(1469)] = 73746,
  [SMALL_STATE(1470)] = 73805,
  [SMALL_STATE(1471)] = 73868,
  [SMALL_STATE(1472)] = 73931,
  [SMALL_STATE(1473)] = 73994,
  [SMALL_STATE(1474)] = 74057,
  [SMALL_STATE(1475)] = 74120,
  [SMALL_STATE(1476)] = 74175,
  [SMALL_STATE(1477)] = 74230,
  [SMALL_STATE(1478)] = 74285,
  [SMALL_STATE(1479)] = 74364,
  [SMALL_STATE(1480)] = 74419,
  [SMALL_STATE(1481)] = 74474,
  [SMALL_STATE(1482)] = 74548,
  [SMALL_STATE(1483)] = 74602,
  [SMALL_STATE(1484)] = 74674,
  [SMALL_STATE(1485)] = 74732,
  [SMALL_STATE(1486)] = 74794,
  [SMALL_STATE(1487)] = 74852,
  [SMALL_STATE(1488)] = 74910,
  [SMALL_STATE(1489)] = 74968,
  [SMALL_STATE(1490)] = 75022,
  [SMALL_STATE(1491)] = 75080,
  [SMALL_STATE(1492)] = 75140,
  [SMALL_STATE(1493)] = 75202,
  [SMALL_STATE(1494)] = 75264,
  [SMALL_STATE(1495)] = 75322,
  [SMALL_STATE(1496)] = 75380,
  [SMALL_STATE(1497)] = 75442,
  [SMALL_STATE(1498)] = 75504,
  [SMALL_STATE(1499)] = 75564,
  [SMALL_STATE(1500)] = 75622,
  [SMALL_STATE(1501)] = 75680,
  [SMALL_STATE(1502)] = 75752,
  [SMALL_STATE(1503)] = 75809,
  [SMALL_STATE(1504)] = 75862,
  [SMALL_STATE(1505)] = 75919,
  [SMALL_STATE(1506)] = 75972,
  [SMALL_STATE(1507)] = 76029,
  [SMALL_STATE(1508)] = 76082,
  [SMALL_STATE(1509)] = 76139,
  [SMALL_STATE(1510)] = 76196,
  [SMALL_STATE(1511)] = 76249,
  [SMALL_STATE(1512)] = 76306,
  [SMALL_STATE(1513)] = 76359,
  [SMALL_STATE(1514)] = 76412,
  [SMALL_STATE(1515)] = 76465,
  [SMALL_STATE(1516)] = 76518,
  [SMALL_STATE(1517)] = 76587,
  [SMALL_STATE(1518)] = 76640,
  [SMALL_STATE(1519)] = 76697,
  [SMALL_STATE(1520)] = 76752,
  [SMALL_STATE(1521)] = 76809,
  [SMALL_STATE(1522)] = 76862,
  [SMALL_STATE(1523)] = 76915,
  [SMALL_STATE(1524)] = 76968,
  [SMALL_STATE(1525)] = 77021,
  [SMALL_STATE(1526)] = 77078,
  [SMALL_STATE(1527)] = 77131,
  [SMALL_STATE(1528)] = 77184,
  [SMALL_STATE(1529)] = 77241,
  [SMALL_STATE(1530)] = 77306,
  [SMALL_STATE(1531)] = 77359,
  [SMALL_STATE(1532)] = 77412,
  [SMALL_STATE(1533)] = 77473,
  [SMALL_STATE(1534)] = 77536,
  [SMALL_STATE(1535)] = 77591,
  [SMALL_STATE(1536)] = 77646,
  [SMALL_STATE(1537)] = 77699,
  [SMALL_STATE(1538)] = 77762,
  [SMALL_STATE(1539)] = 77819,
  [SMALL_STATE(1540)] = 77876,
  [SMALL_STATE(1541)] = 77929,
  [SMALL_STATE(1542)] = 77982,
  [SMALL_STATE(1543)] = 78035,
  [SMALL_STATE(1544)] = 78088,
  [SMALL_STATE(1545)] = 78140,
  [SMALL_STATE(1546)] = 78192,
  [SMALL_STATE(1547)] = 78254,
  [SMALL_STATE(1548)] = 78308,
  [SMALL_STATE(1549)] = 78372,
  [SMALL_STATE(1550)] = 78424,
  [SMALL_STATE(1551)] = 78504,
  [SMALL_STATE(1552)] = 78556,
  [SMALL_STATE(1553)] = 78608,
  [SMALL_STATE(1554)] = 78662,
  [SMALL_STATE(1555)] = 78714,
  [SMALL_STATE(1556)] = 78766,
  [SMALL_STATE(1557)] = 78822,
  [SMALL_STATE(1558)] = 78874,
  [SMALL_STATE(1559)] = 78926,
  [SMALL_STATE(1560)] = 78978,
  [SMALL_STATE(1561)] = 79030,
  [SMALL_STATE(1562)] = 79082,
  [SMALL_STATE(1563)] = 79134,
  [SMALL_STATE(1564)] = 79186,
  [SMALL_STATE(1565)] = 79238,
  [SMALL_STATE(1566)] = 79290,
  [SMALL_STATE(1567)] = 79342,
  [SMALL_STATE(1568)] = 79394,
  [SMALL_STATE(1569)] = 79454,
  [SMALL_STATE(1570)] = 79506,
  [SMALL_STATE(1571)] = 79586,
  [SMALL_STATE(1572)] = 79638,
  [SMALL_STATE(1573)] = 79690,
  [SMALL_STATE(1574)] = 79742,
  [SMALL_STATE(1575)] = 79794,
  [SMALL_STATE(1576)] = 79846,
  [SMALL_STATE(1577)] = 79898,
  [SMALL_STATE(1578)] = 79952,
  [SMALL_STATE(1579)] = 80004,
  [SMALL_STATE(1580)] = 80056,
  [SMALL_STATE(1581)] = 80114,
  [SMALL_STATE(1582)] = 80166,
  [SMALL_STATE(1583)] = 80218,
  [SMALL_STATE(1584)] = 80270,
  [SMALL_STATE(1585)] = 80322,
  [SMALL_STATE(1586)] = 80374,
  [SMALL_STATE(1587)] = 80426,
  [SMALL_STATE(1588)] = 80478,
  [SMALL_STATE(1589)] = 80530,
  [SMALL_STATE(1590)] = 80582,
  [SMALL_STATE(1591)] = 80662,
  [SMALL_STATE(1592)] = 80716,
  [SMALL_STATE(1593)] = 80770,
  [SMALL_STATE(1594)] = 80822,
  [SMALL_STATE(1595)] = 80874,
  [SMALL_STATE(1596)] = 80926,
  [SMALL_STATE(1597)] = 80978,
  [SMALL_STATE(1598)] = 81030,
  [SMALL_STATE(1599)] = 81082,
  [SMALL_STATE(1600)] = 81134,
  [SMALL_STATE(1601)] = 81186,
  [SMALL_STATE(1602)] = 81240,
  [SMALL_STATE(1603)] = 81292,
  [SMALL_STATE(1604)] = 81346,
  [SMALL_STATE(1605)] = 81398,
  [SMALL_STATE(1606)] = 81452,
  [SMALL_STATE(1607)] = 81506,
  [SMALL_STATE(1608)] = 81558,
  [SMALL_STATE(1609)] = 81610,
  [SMALL_STATE(1610)] = 81668,
  [SMALL_STATE(1611)] = 81720,
  [SMALL_STATE(1612)] = 81772,
  [SMALL_STATE(1613)] = 81824,
  [SMALL_STATE(1614)] = 81876,
  [SMALL_STATE(1615)] = 81928,
  [SMALL_STATE(1616)] = 81982,
  [SMALL_STATE(1617)] = 82034,
  [SMALL_STATE(1618)] = 82090,
  [SMALL_STATE(1619)] = 82142,
  [SMALL_STATE(1620)] = 82222,
  [SMALL_STATE(1621)] = 82276,
  [SMALL_STATE(1622)] = 82330,
  [SMALL_STATE(1623)] = 82382,
  [SMALL_STATE(1624)] = 82434,
  [SMALL_STATE(1625)] = 82486,
  [SMALL_STATE(1626)] = 82538,
  [SMALL_STATE(1627)] = 82590,
  [SMALL_STATE(1628)] = 82642,
  [SMALL_STATE(1629)] = 82694,
  [SMALL_STATE(1630)] = 82752,
  [SMALL_STATE(1631)] = 82806,
  [SMALL_STATE(1632)] = 82858,
  [SMALL_STATE(1633)] = 82912,
  [SMALL_STATE(1634)] = 82966,
  [SMALL_STATE(1635)] = 83020,
  [SMALL_STATE(1636)] = 83074,
  [SMALL_STATE(1637)] = 83128,
  [SMALL_STATE(1638)] = 83182,
  [SMALL_STATE(1639)] = 83236,
  [SMALL_STATE(1640)] = 83290,
  [SMALL_STATE(1641)] = 83342,
  [SMALL_STATE(1642)] = 83394,
  [SMALL_STATE(1643)] = 83446,
  [SMALL_STATE(1644)] = 83498,
  [SMALL_STATE(1645)] = 83552,
  [SMALL_STATE(1646)] = 83604,
  [SMALL_STATE(1647)] = 83658,
  [SMALL_STATE(1648)] = 83710,
  [SMALL_STATE(1649)] = 83762,
  [SMALL_STATE(1650)] = 83816,
  [SMALL_STATE(1651)] = 83868,
  [SMALL_STATE(1652)] = 83922,
  [SMALL_STATE(1653)] = 83974,
  [SMALL_STATE(1654)] = 84026,
  [SMALL_STATE(1655)] = 84080,
  [SMALL_STATE(1656)] = 84144,
  [SMALL_STATE(1657)] = 84196,
  [SMALL_STATE(1658)] = 84248,
  [SMALL_STATE(1659)] = 84300,
  [SMALL_STATE(1660)] = 84352,
  [SMALL_STATE(1661)] = 84410,
  [SMALL_STATE(1662)] = 84462,
  [SMALL_STATE(1663)] = 84514,
  [SMALL_STATE(1664)] = 84566,
  [SMALL_STATE(1665)] = 84618,
  [SMALL_STATE(1666)] = 84669,
  [SMALL_STATE(1667)] = 84720,
  [SMALL_STATE(1668)] = 84771,
  [SMALL_STATE(1669)] = 84822,
  [SMALL_STATE(1670)] = 84873,
  [SMALL_STATE(1671)] = 84970,
  [SMALL_STATE(1672)] = 85021,
  [SMALL_STATE(1673)] = 85072,
  [SMALL_STATE(1674)] = 85123,
  [SMALL_STATE(1675)] = 85174,
  [SMALL_STATE(1676)] = 85225,
  [SMALL_STATE(1677)] = 85276,
  [SMALL_STATE(1678)] = 85327,
  [SMALL_STATE(1679)] = 85390,
  [SMALL_STATE(1680)] = 85441,
  [SMALL_STATE(1681)] = 85492,
  [SMALL_STATE(1682)] = 85555,
  [SMALL_STATE(1683)] = 85606,
  [SMALL_STATE(1684)] = 85657,
  [SMALL_STATE(1685)] = 85720,
  [SMALL_STATE(1686)] = 85783,
  [SMALL_STATE(1687)] = 85834,
  [SMALL_STATE(1688)] = 85889,
  [SMALL_STATE(1689)] = 85940,
  [SMALL_STATE(1690)] = 85995,
  [SMALL_STATE(1691)] = 86092,
  [SMALL_STATE(1692)] = 86143,
  [SMALL_STATE(1693)] = 86195,
  [SMALL_STATE(1694)] = 86247,
  [SMALL_STATE(1695)] = 86297,
  [SMALL_STATE(1696)] = 86347,
  [SMALL_STATE(1697)] = 86405,
  [SMALL_STATE(1698)] = 86457,
  [SMALL_STATE(1699)] = 86507,
  [SMALL_STATE(1700)] = 86559,
  [SMALL_STATE(1701)] = 86609,
  [SMALL_STATE(1702)] = 86667,
  [SMALL_STATE(1703)] = 86719,
  [SMALL_STATE(1704)] = 86779,
  [SMALL_STATE(1705)] = 86831,
  [SMALL_STATE(1706)] = 86883,
  [SMALL_STATE(1707)] = 86935,
  [SMALL_STATE(1708)] = 86985,
  [SMALL_STATE(1709)] = 87037,
  [SMALL_STATE(1710)] = 87089,
  [SMALL_STATE(1711)] = 87145,
  [SMALL_STATE(1712)] = 87197,
  [SMALL_STATE(1713)] = 87255,
  [SMALL_STATE(1714)] = 87305,
  [SMALL_STATE(1715)] = 87355,
  [SMALL_STATE(1716)] = 87405,
  [SMALL_STATE(1717)] = 87463,
  [SMALL_STATE(1718)] = 87521,
  [SMALL_STATE(1719)] = 87571,
  [SMALL_STATE(1720)] = 87623,
  [SMALL_STATE(1721)] = 87683,
  [SMALL_STATE(1722)] = 87741,
  [SMALL_STATE(1723)] = 87799,
  [SMALL_STATE(1724)] = 87849,
  [SMALL_STATE(1725)] = 87940,
  [SMALL_STATE(1726)] = 88031,
  [SMALL_STATE(1727)] = 88122,
  [SMALL_STATE(1728)] = 88213,
  [SMALL_STATE(1729)] = 88304,
  [SMALL_STATE(1730)] = 88395,
  [SMALL_STATE(1731)] = 88486,
  [SMALL_STATE(1732)] = 88577,
  [SMALL_STATE(1733)] = 88668,
  [SMALL_STATE(1734)] = 88759,
  [SMALL_STATE(1735)] = 88850,
  [SMALL_STATE(1736)] = 88941,
  [SMALL_STATE(1737)] = 89032,
  [SMALL_STATE(1738)] = 89123,
  [SMALL_STATE(1739)] = 89214,
  [SMALL_STATE(1740)] = 89305,
  [SMALL_STATE(1741)] = 89396,
  [SMALL_STATE(1742)] = 89449,
  [SMALL_STATE(1743)] = 89540,
  [SMALL_STATE(1744)] = 89631,
  [SMALL_STATE(1745)] = 89688,
  [SMALL_STATE(1746)] = 89745,
  [SMALL_STATE(1747)] = 89836,
  [SMALL_STATE(1748)] = 89927,
  [SMALL_STATE(1749)] = 90018,
  [SMALL_STATE(1750)] = 90073,
  [SMALL_STATE(1751)] = 90164,
  [SMALL_STATE(1752)] = 90255,
  [SMALL_STATE(1753)] = 90346,
  [SMALL_STATE(1754)] = 90416,
  [SMALL_STATE(1755)] = 90464,
  [SMALL_STATE(1756)] = 90512,
  [SMALL_STATE(1757)] = 90560,
  [SMALL_STATE(1758)] = 90608,
  [SMALL_STATE(1759)] = 90656,
  [SMALL_STATE(1760)] = 90704,
  [SMALL_STATE(1761)] = 90752,
  [SMALL_STATE(1762)] = 90800,
  [SMALL_STATE(1763)] = 90852,
  [SMALL_STATE(1764)] = 90904,
  [SMALL_STATE(1765)] = 90956,
  [SMALL_STATE(1766)] = 91004,
  [SMALL_STATE(1767)] = 91056,
  [SMALL_STATE(1768)] = 91104,
  [SMALL_STATE(1769)] = 91152,
  [SMALL_STATE(1770)] = 91200,
  [SMALL_STATE(1771)] = 91260,
  [SMALL_STATE(1772)] = 91308,
  [SMALL_STATE(1773)] = 91360,
  [SMALL_STATE(1774)] = 91408,
  [SMALL_STATE(1775)] = 91456,
  [SMALL_STATE(1776)] = 91508,
  [SMALL_STATE(1777)] = 91568,
  [SMALL_STATE(1778)] = 91652,
  [SMALL_STATE(1779)] = 91700,
  [SMALL_STATE(1780)] = 91748,
  [SMALL_STATE(1781)] = 91796,
  [SMALL_STATE(1782)] = 91849,
  [SMALL_STATE(1783)] = 91896,
  [SMALL_STATE(1784)] = 91951,
  [SMALL_STATE(1785)] = 91998,
  [SMALL_STATE(1786)] = 92045,
  [SMALL_STATE(1787)] = 92092,
  [SMALL_STATE(1788)] = 92139,
  [SMALL_STATE(1789)] = 92194,
  [SMALL_STATE(1790)] = 92243,
  [SMALL_STATE(1791)] = 92290,
  [SMALL_STATE(1792)] = 92337,
  [SMALL_STATE(1793)] = 92384,
  [SMALL_STATE(1794)] = 92443,
  [SMALL_STATE(1795)] = 92490,
  [SMALL_STATE(1796)] = 92537,
  [SMALL_STATE(1797)] = 92584,
  [SMALL_STATE(1798)] = 92633,
  [SMALL_STATE(1799)] = 92682,
  [SMALL_STATE(1800)] = 92731,
  [SMALL_STATE(1801)] = 92786,
  [SMALL_STATE(1802)] = 92835,
  [SMALL_STATE(1803)] = 92882,
  [SMALL_STATE(1804)] = 92931,
  [SMALL_STATE(1805)] = 92980,
  [SMALL_STATE(1806)] = 93035,
  [SMALL_STATE(1807)] = 93084,
  [SMALL_STATE(1808)] = 93131,
  [SMALL_STATE(1809)] = 93180,
  [SMALL_STATE(1810)] = 93227,
  [SMALL_STATE(1811)] = 93276,
  [SMALL_STATE(1812)] = 93325,
  [SMALL_STATE(1813)] = 93372,
  [SMALL_STATE(1814)] = 93421,
  [SMALL_STATE(1815)] = 93468,
  [SMALL_STATE(1816)] = 93523,
  [SMALL_STATE(1817)] = 93570,
  [SMALL_STATE(1818)] = 93617,
  [SMALL_STATE(1819)] = 93664,
  [SMALL_STATE(1820)] = 93723,
  [SMALL_STATE(1821)] = 93770,
  [SMALL_STATE(1822)] = 93817,
  [SMALL_STATE(1823)] = 93864,
  [SMALL_STATE(1824)] = 93911,
  [SMALL_STATE(1825)] = 93962,
  [SMALL_STATE(1826)] = 94011,
  [SMALL_STATE(1827)] = 94066,
  [SMALL_STATE(1828)] = 94113,
  [SMALL_STATE(1829)] = 94160,
  [SMALL_STATE(1830)] = 94207,
  [SMALL_STATE(1831)] = 94253,
  [SMALL_STATE(1832)] = 94299,
  [SMALL_STATE(1833)] = 94351,
  [SMALL_STATE(1834)] = 94397,
  [SMALL_STATE(1835)] = 94451,
  [SMALL_STATE(1836)] = 94497,
  [SMALL_STATE(1837)] = 94581,
  [SMALL_STATE(1838)] = 94627,
  [SMALL_STATE(1839)] = 94673,
  [SMALL_STATE(1840)] = 94727,
  [SMALL_STATE(1841)] = 94773,
  [SMALL_STATE(1842)] = 94819,
  [SMALL_STATE(1843)] = 94903,
  [SMALL_STATE(1844)] = 94949,
  [SMALL_STATE(1845)] = 94995,
  [SMALL_STATE(1846)] = 95041,
  [SMALL_STATE(1847)] = 95087,
  [SMALL_STATE(1848)] = 95137,
  [SMALL_STATE(1849)] = 95191,
  [SMALL_STATE(1850)] = 95237,
  [SMALL_STATE(1851)] = 95290,
  [SMALL_STATE(1852)] = 95335,
  [SMALL_STATE(1853)] = 95380,
  [SMALL_STATE(1854)] = 95429,
  [SMALL_STATE(1855)] = 95474,
  [SMALL_STATE(1856)] = 95527,
  [SMALL_STATE(1857)] = 95572,
  [SMALL_STATE(1858)] = 95653,
  [SMALL_STATE(1859)] = 95706,
  [SMALL_STATE(1860)] = 95755,
  [SMALL_STATE(1861)] = 95836,
  [SMALL_STATE(1862)] = 95917,
  [SMALL_STATE(1863)] = 95962,
  [SMALL_STATE(1864)] = 96007,
  [SMALL_STATE(1865)] = 96074,
  [SMALL_STATE(1866)] = 96119,
  [SMALL_STATE(1867)] = 96168,
  [SMALL_STATE(1868)] = 96213,
  [SMALL_STATE(1869)] = 96280,
  [SMALL_STATE(1870)] = 96325,
  [SMALL_STATE(1871)] = 96378,
  [SMALL_STATE(1872)] = 96431,
  [SMALL_STATE(1873)] = 96482,
  [SMALL_STATE(1874)] = 96527,
  [SMALL_STATE(1875)] = 96572,
  [SMALL_STATE(1876)] = 96617,
  [SMALL_STATE(1877)] = 96662,
  [SMALL_STATE(1878)] = 96707,
  [SMALL_STATE(1879)] = 96752,
  [SMALL_STATE(1880)] = 96797,
  [SMALL_STATE(1881)] = 96842,
  [SMALL_STATE(1882)] = 96887,
  [SMALL_STATE(1883)] = 96932,
  [SMALL_STATE(1884)] = 96985,
  [SMALL_STATE(1885)] = 97030,
  [SMALL_STATE(1886)] = 97079,
  [SMALL_STATE(1887)] = 97128,
  [SMALL_STATE(1888)] = 97173,
  [SMALL_STATE(1889)] = 97218,
  [SMALL_STATE(1890)] = 97267,
  [SMALL_STATE(1891)] = 97311,
  [SMALL_STATE(1892)] = 97385,
  [SMALL_STATE(1893)] = 97433,
  [SMALL_STATE(1894)] = 97477,
  [SMALL_STATE(1895)] = 97523,
  [SMALL_STATE(1896)] = 97589,
  [SMALL_STATE(1897)] = 97635,
  [SMALL_STATE(1898)] = 97713,
  [SMALL_STATE(1899)] = 97757,
  [SMALL_STATE(1900)] = 97803,
  [SMALL_STATE(1901)] = 97849,
  [SMALL_STATE(1902)] = 97893,
  [SMALL_STATE(1903)] = 97937,
  [SMALL_STATE(1904)] = 97983,
  [SMALL_STATE(1905)] = 98029,
  [SMALL_STATE(1906)] = 98073,
  [SMALL_STATE(1907)] = 98119,
  [SMALL_STATE(1908)] = 98167,
  [SMALL_STATE(1909)] = 98213,
  [SMALL_STATE(1910)] = 98261,
  [SMALL_STATE(1911)] = 98305,
  [SMALL_STATE(1912)] = 98349,
  [SMALL_STATE(1913)] = 98393,
  [SMALL_STATE(1914)] = 98471,
  [SMALL_STATE(1915)] = 98517,
  [SMALL_STATE(1916)] = 98565,
  [SMALL_STATE(1917)] = 98609,
  [SMALL_STATE(1918)] = 98675,
  [SMALL_STATE(1919)] = 98723,
  [SMALL_STATE(1920)] = 98767,
  [SMALL_STATE(1921)] = 98811,
  [SMALL_STATE(1922)] = 98855,
  [SMALL_STATE(1923)] = 98899,
  [SMALL_STATE(1924)] = 98947,
  [SMALL_STATE(1925)] = 98993,
  [SMALL_STATE(1926)] = 99037,
  [SMALL_STATE(1927)] = 99083,
  [SMALL_STATE(1928)] = 99127,
  [SMALL_STATE(1929)] = 99171,
  [SMALL_STATE(1930)] = 99215,
  [SMALL_STATE(1931)] = 99259,
  [SMALL_STATE(1932)] = 99305,
  [SMALL_STATE(1933)] = 99349,
  [SMALL_STATE(1934)] = 99395,
  [SMALL_STATE(1935)] = 99439,
  [SMALL_STATE(1936)] = 99505,
  [SMALL_STATE(1937)] = 99571,
  [SMALL_STATE(1938)] = 99637,
  [SMALL_STATE(1939)] = 99712,
  [SMALL_STATE(1940)] = 99755,
  [SMALL_STATE(1941)] = 99798,
  [SMALL_STATE(1942)] = 99861,
  [SMALL_STATE(1943)] = 99904,
  [SMALL_STATE(1944)] = 99947,
  [SMALL_STATE(1945)] = 99990,
  [SMALL_STATE(1946)] = 100033,
  [SMALL_STATE(1947)] = 100108,
  [SMALL_STATE(1948)] = 100183,
  [SMALL_STATE(1949)] = 100226,
  [SMALL_STATE(1950)] = 100269,
  [SMALL_STATE(1951)] = 100312,
  [SMALL_STATE(1952)] = 100355,
  [SMALL_STATE(1953)] = 100418,
  [SMALL_STATE(1954)] = 100461,
  [SMALL_STATE(1955)] = 100504,
  [SMALL_STATE(1956)] = 100579,
  [SMALL_STATE(1957)] = 100654,
  [SMALL_STATE(1958)] = 100697,
  [SMALL_STATE(1959)] = 100740,
  [SMALL_STATE(1960)] = 100783,
  [SMALL_STATE(1961)] = 100844,
  [SMALL_STATE(1962)] = 100919,
  [SMALL_STATE(1963)] = 100982,
  [SMALL_STATE(1964)] = 101025,
  [SMALL_STATE(1965)] = 101068,
  [SMALL_STATE(1966)] = 101111,
  [SMALL_STATE(1967)] = 101186,
  [SMALL_STATE(1968)] = 101229,
  [SMALL_STATE(1969)] = 101272,
  [SMALL_STATE(1970)] = 101315,
  [SMALL_STATE(1971)] = 101378,
  [SMALL_STATE(1972)] = 101450,
  [SMALL_STATE(1973)] = 101524,
  [SMALL_STATE(1974)] = 101596,
  [SMALL_STATE(1975)] = 101666,
  [SMALL_STATE(1976)] = 101726,
  [SMALL_STATE(1977)] = 101798,
  [SMALL_STATE(1978)] = 101840,
  [SMALL_STATE(1979)] = 101912,
  [SMALL_STATE(1980)] = 101984,
  [SMALL_STATE(1981)] = 102026,
  [SMALL_STATE(1982)] = 102098,
  [SMALL_STATE(1983)] = 102170,
  [SMALL_STATE(1984)] = 102242,
  [SMALL_STATE(1985)] = 102287,
  [SMALL_STATE(1986)] = 102356,
  [SMALL_STATE(1987)] = 102425,
  [SMALL_STATE(1988)] = 102470,
  [SMALL_STATE(1989)] = 102515,
  [SMALL_STATE(1990)] = 102560,
  [SMALL_STATE(1991)] = 102629,
  [SMALL_STATE(1992)] = 102674,
  [SMALL_STATE(1993)] = 102719,
  [SMALL_STATE(1994)] = 102764,
  [SMALL_STATE(1995)] = 102833,
  [SMALL_STATE(1996)] = 102878,
  [SMALL_STATE(1997)] = 102923,
  [SMALL_STATE(1998)] = 102968,
  [SMALL_STATE(1999)] = 103037,
  [SMALL_STATE(2000)] = 103082,
  [SMALL_STATE(2001)] = 103147,
  [SMALL_STATE(2002)] = 103192,
  [SMALL_STATE(2003)] = 103237,
  [SMALL_STATE(2004)] = 103306,
  [SMALL_STATE(2005)] = 103351,
  [SMALL_STATE(2006)] = 103396,
  [SMALL_STATE(2007)] = 103441,
  [SMALL_STATE(2008)] = 103486,
  [SMALL_STATE(2009)] = 103531,
  [SMALL_STATE(2010)] = 103600,
  [SMALL_STATE(2011)] = 103669,
  [SMALL_STATE(2012)] = 103728,
  [SMALL_STATE(2013)] = 103768,
  [SMALL_STATE(2014)] = 103808,
  [SMALL_STATE(2015)] = 103848,
  [SMALL_STATE(2016)] = 103888,
  [SMALL_STATE(2017)] = 103928,
  [SMALL_STATE(2018)] = 103996,
  [SMALL_STATE(2019)] = 104036,
  [SMALL_STATE(2020)] = 104076,
  [SMALL_STATE(2021)] = 104116,
  [SMALL_STATE(2022)] = 104156,
  [SMALL_STATE(2023)] = 104196,
  [SMALL_STATE(2024)] = 104236,
  [SMALL_STATE(2025)] = 104276,
  [SMALL_STATE(2026)] = 104341,
  [SMALL_STATE(2027)] = 104404,
  [SMALL_STATE(2028)] = 104451,
  [SMALL_STATE(2029)] = 104516,
  [SMALL_STATE(2030)] = 104553,
  [SMALL_STATE(2031)] = 104618,
  [SMALL_STATE(2032)] = 104683,
  [SMALL_STATE(2033)] = 104748,
  [SMALL_STATE(2034)] = 104813,
  [SMALL_STATE(2035)] = 104878,
  [SMALL_STATE(2036)] = 104943,
  [SMALL_STATE(2037)] = 105005,
  [SMALL_STATE(2038)] = 105043,
  [SMALL_STATE(2039)] = 105081,
  [SMALL_STATE(2040)] = 105141,
  [SMALL_STATE(2041)] = 105179,
  [SMALL_STATE(2042)] = 105217,
  [SMALL_STATE(2043)] = 105255,
  [SMALL_STATE(2044)] = 105309,
  [SMALL_STATE(2045)] = 105347,
  [SMALL_STATE(2046)] = 105407,
  [SMALL_STATE(2047)] = 105445,
  [SMALL_STATE(2048)] = 105507,
  [SMALL_STATE(2049)] = 105569,
  [SMALL_STATE(2050)] = 105622,
  [SMALL_STATE(2051)] = 105681,
  [SMALL_STATE(2052)] = 105738,
  [SMALL_STATE(2053)] = 105795,
  [SMALL_STATE(2054)] = 105854,
  [SMALL_STATE(2055)] = 105913,
  [SMALL_STATE(2056)] = 105966,
  [SMALL_STATE(2057)] = 106005,
  [SMALL_STATE(2058)] = 106064,
  [SMALL_STATE(2059)] = 106123,
  [SMALL_STATE(2060)] = 106182,
  [SMALL_STATE(2061)] = 106241,
  [SMALL_STATE(2062)] = 106300,
  [SMALL_STATE(2063)] = 106359,
  [SMALL_STATE(2064)] = 106416,
  [SMALL_STATE(2065)] = 106475,
  [SMALL_STATE(2066)] = 106516,
  [SMALL_STATE(2067)] = 106575,
  [SMALL_STATE(2068)] = 106631,
  [SMALL_STATE(2069)] = 106687,
  [SMALL_STATE(2070)] = 106743,
  [SMALL_STATE(2071)] = 106799,
  [SMALL_STATE(2072)] = 106845,
  [SMALL_STATE(2073)] = 106901,
  [SMALL_STATE(2074)] = 106957,
  [SMALL_STATE(2075)] = 107013,
  [SMALL_STATE(2076)] = 107069,
  [SMALL_STATE(2077)] = 107115,
  [SMALL_STATE(2078)] = 107171,
  [SMALL_STATE(2079)] = 107227,
  [SMALL_STATE(2080)] = 107283,
  [SMALL_STATE(2081)] = 107329,
  [SMALL_STATE(2082)] = 107385,
  [SMALL_STATE(2083)] = 107441,
  [SMALL_STATE(2084)] = 107497,
  [SMALL_STATE(2085)] = 107553,
  [SMALL_STATE(2086)] = 107609,
  [SMALL_STATE(2087)] = 107665,
  [SMALL_STATE(2088)] = 107721,
  [SMALL_STATE(2089)] = 107767,
  [SMALL_STATE(2090)] = 107823,
  [SMALL_STATE(2091)] = 107879,
  [SMALL_STATE(2092)] = 107933,
  [SMALL_STATE(2093)] = 107969,
  [SMALL_STATE(2094)] = 108004,
  [SMALL_STATE(2095)] = 108041,
  [SMALL_STATE(2096)] = 108094,
  [SMALL_STATE(2097)] = 108147,
  [SMALL_STATE(2098)] = 108200,
  [SMALL_STATE(2099)] = 108253,
  [SMALL_STATE(2100)] = 108306,
  [SMALL_STATE(2101)] = 108359,
  [SMALL_STATE(2102)] = 108412,
  [SMALL_STATE(2103)] = 108465,
  [SMALL_STATE(2104)] = 108518,
  [SMALL_STATE(2105)] = 108571,
  [SMALL_STATE(2106)] = 108624,
  [SMALL_STATE(2107)] = 108677,
  [SMALL_STATE(2108)] = 108730,
  [SMALL_STATE(2109)] = 108783,
  [SMALL_STATE(2110)] = 108836,
  [SMALL_STATE(2111)] = 108871,
  [SMALL_STATE(2112)] = 108924,
  [SMALL_STATE(2113)] = 108977,
  [SMALL_STATE(2114)] = 109030,
  [SMALL_STATE(2115)] = 109083,
  [SMALL_STATE(2116)] = 109122,
  [SMALL_STATE(2117)] = 109175,
  [SMALL_STATE(2118)] = 109228,
  [SMALL_STATE(2119)] = 109281,
  [SMALL_STATE(2120)] = 109334,
  [SMALL_STATE(2121)] = 109387,
  [SMALL_STATE(2122)] = 109428,
  [SMALL_STATE(2123)] = 109481,
  [SMALL_STATE(2124)] = 109534,
  [SMALL_STATE(2125)] = 109587,
  [SMALL_STATE(2126)] = 109628,
  [SMALL_STATE(2127)] = 109675,
  [SMALL_STATE(2128)] = 109716,
  [SMALL_STATE(2129)] = 109769,
  [SMALL_STATE(2130)] = 109822,
  [SMALL_STATE(2131)] = 109875,
  [SMALL_STATE(2132)] = 109928,
  [SMALL_STATE(2133)] = 109967,
  [SMALL_STATE(2134)] = 110006,
  [SMALL_STATE(2135)] = 110053,
  [SMALL_STATE(2136)] = 110106,
  [SMALL_STATE(2137)] = 110159,
  [SMALL_STATE(2138)] = 110203,
  [SMALL_STATE(2139)] = 110247,
  [SMALL_STATE(2140)] = 110291,
  [SMALL_STATE(2141)] = 110335,
  [SMALL_STATE(2142)] = 110385,
  [SMALL_STATE(2143)] = 110435,
  [SMALL_STATE(2144)] = 110479,
  [SMALL_STATE(2145)] = 110519,
  [SMALL_STATE(2146)] = 110561,
  [SMALL_STATE(2147)] = 110605,
  [SMALL_STATE(2148)] = 110645,
  [SMALL_STATE(2149)] = 110685,
  [SMALL_STATE(2150)] = 110723,
  [SMALL_STATE(2151)] = 110767,
  [SMALL_STATE(2152)] = 110811,
  [SMALL_STATE(2153)] = 110855,
  [SMALL_STATE(2154)] = 110899,
  [SMALL_STATE(2155)] = 110937,
  [SMALL_STATE(2156)] = 110981,
  [SMALL_STATE(2157)] = 111025,
  [SMALL_STATE(2158)] = 111069,
  [SMALL_STATE(2159)] = 111119,
  [SMALL_STATE(2160)] = 111159,
  [SMALL_STATE(2161)] = 111201,
  [SMALL_STATE(2162)] = 111243,
  [SMALL_STATE(2163)] = 111285,
  [SMALL_STATE(2164)] = 111329,
  [SMALL_STATE(2165)] = 111373,
  [SMALL_STATE(2166)] = 111409,
  [SMALL_STATE(2167)] = 111453,
  [SMALL_STATE(2168)] = 111497,
  [SMALL_STATE(2169)] = 111541,
  [SMALL_STATE(2170)] = 111591,
  [SMALL_STATE(2171)] = 111637,
  [SMALL_STATE(2172)] = 111681,
  [SMALL_STATE(2173)] = 111725,
  [SMALL_STATE(2174)] = 111766,
  [SMALL_STATE(2175)] = 111807,
  [SMALL_STATE(2176)] = 111848,
  [SMALL_STATE(2177)] = 111889,
  [SMALL_STATE(2178)] = 111930,
  [SMALL_STATE(2179)] = 111971,
  [SMALL_STATE(2180)] = 112012,
  [SMALL_STATE(2181)] = 112053,
  [SMALL_STATE(2182)] = 112094,
  [SMALL_STATE(2183)] = 112135,
  [SMALL_STATE(2184)] = 112176,
  [SMALL_STATE(2185)] = 112217,
  [SMALL_STATE(2186)] = 112258,
  [SMALL_STATE(2187)] = 112299,
  [SMALL_STATE(2188)] = 112340,
  [SMALL_STATE(2189)] = 112385,
  [SMALL_STATE(2190)] = 112422,
  [SMALL_STATE(2191)] = 112463,
  [SMALL_STATE(2192)] = 112508,
  [SMALL_STATE(2193)] = 112549,
  [SMALL_STATE(2194)] = 112590,
  [SMALL_STATE(2195)] = 112629,
  [SMALL_STATE(2196)] = 112670,
  [SMALL_STATE(2197)] = 112709,
  [SMALL_STATE(2198)] = 112750,
  [SMALL_STATE(2199)] = 112791,
  [SMALL_STATE(2200)] = 112832,
  [SMALL_STATE(2201)] = 112873,
  [SMALL_STATE(2202)] = 112914,
  [SMALL_STATE(2203)] = 112955,
  [SMALL_STATE(2204)] = 112996,
  [SMALL_STATE(2205)] = 113037,
  [SMALL_STATE(2206)] = 113078,
  [SMALL_STATE(2207)] = 113119,
  [SMALL_STATE(2208)] = 113158,
  [SMALL_STATE(2209)] = 113199,
  [SMALL_STATE(2210)] = 113240,
  [SMALL_STATE(2211)] = 113281,
  [SMALL_STATE(2212)] = 113322,
  [SMALL_STATE(2213)] = 113363,
  [SMALL_STATE(2214)] = 113404,
  [SMALL_STATE(2215)] = 113449,
  [SMALL_STATE(2216)] = 113488,
  [SMALL_STATE(2217)] = 113529,
  [SMALL_STATE(2218)] = 113570,
  [SMALL_STATE(2219)] = 113611,
  [SMALL_STATE(2220)] = 113652,
  [SMALL_STATE(2221)] = 113689,
  [SMALL_STATE(2222)] = 113734,
  [SMALL_STATE(2223)] = 113775,
  [SMALL_STATE(2224)] = 113818,
  [SMALL_STATE(2225)] = 113849,
  [SMALL_STATE(2226)] = 113890,
  [SMALL_STATE(2227)] = 113935,
  [SMALL_STATE(2228)] = 113976,
  [SMALL_STATE(2229)] = 114017,
  [SMALL_STATE(2230)] = 114058,
  [SMALL_STATE(2231)] = 114089,
  [SMALL_STATE(2232)] = 114130,
  [SMALL_STATE(2233)] = 114171,
  [SMALL_STATE(2234)] = 114212,
  [SMALL_STATE(2235)] = 114253,
  [SMALL_STATE(2236)] = 114296,
  [SMALL_STATE(2237)] = 114338,
  [SMALL_STATE(2238)] = 114380,
  [SMALL_STATE(2239)] = 114416,
  [SMALL_STATE(2240)] = 114450,
  [SMALL_STATE(2241)] = 114486,
  [SMALL_STATE(2242)] = 114528,
  [SMALL_STATE(2243)] = 114570,
  [SMALL_STATE(2244)] = 114608,
  [SMALL_STATE(2245)] = 114652,
  [SMALL_STATE(2246)] = 114690,
  [SMALL_STATE(2247)] = 114720,
  [SMALL_STATE(2248)] = 114756,
  [SMALL_STATE(2249)] = 114794,
  [SMALL_STATE(2250)] = 114832,
  [SMALL_STATE(2251)] = 114874,
  [SMALL_STATE(2252)] = 114908,
  [SMALL_STATE(2253)] = 114940,
  [SMALL_STATE(2254)] = 114978,
  [SMALL_STATE(2255)] = 115010,
  [SMALL_STATE(2256)] = 115046,
  [SMALL_STATE(2257)] = 115084,
  [SMALL_STATE(2258)] = 115120,
  [SMALL_STATE(2259)] = 115162,
  [SMALL_STATE(2260)] = 115198,
  [SMALL_STATE(2261)] = 115236,
  [SMALL_STATE(2262)] = 115270,
  [SMALL_STATE(2263)] = 115314,
  [SMALL_STATE(2264)] = 115356,
  [SMALL_STATE(2265)] = 115398,
  [SMALL_STATE(2266)] = 115432,
  [SMALL_STATE(2267)] = 115470,
  [SMALL_STATE(2268)] = 115504,
  [SMALL_STATE(2269)] = 115538,
  [SMALL_STATE(2270)] = 115568,
  [SMALL_STATE(2271)] = 115606,
  [SMALL_STATE(2272)] = 115648,
  [SMALL_STATE(2273)] = 115684,
  [SMALL_STATE(2274)] = 115722,
  [SMALL_STATE(2275)] = 115764,
  [SMALL_STATE(2276)] = 115802,
  [SMALL_STATE(2277)] = 115840,
  [SMALL_STATE(2278)] = 115878,
  [SMALL_STATE(2279)] = 115920,
  [SMALL_STATE(2280)] = 115952,
  [SMALL_STATE(2281)] = 115990,
  [SMALL_STATE(2282)] = 116028,
  [SMALL_STATE(2283)] = 116066,
  [SMALL_STATE(2284)] = 116104,
  [SMALL_STATE(2285)] = 116142,
  [SMALL_STATE(2286)] = 116178,
  [SMALL_STATE(2287)] = 116216,
  [SMALL_STATE(2288)] = 116246,
  [SMALL_STATE(2289)] = 116288,
  [SMALL_STATE(2290)] = 116324,
  [SMALL_STATE(2291)] = 116366,
  [SMALL_STATE(2292)] = 116402,
  [SMALL_STATE(2293)] = 116438,
  [SMALL_STATE(2294)] = 116474,
  [SMALL_STATE(2295)] = 116516,
  [SMALL_STATE(2296)] = 116552,
  [SMALL_STATE(2297)] = 116594,
  [SMALL_STATE(2298)] = 116636,
  [SMALL_STATE(2299)] = 116674,
  [SMALL_STATE(2300)] = 116710,
  [SMALL_STATE(2301)] = 116748,
  [SMALL_STATE(2302)] = 116784,
  [SMALL_STATE(2303)] = 116826,
  [SMALL_STATE(2304)] = 116864,
  [SMALL_STATE(2305)] = 116902,
  [SMALL_STATE(2306)] = 116943,
  [SMALL_STATE(2307)] = 116974,
  [SMALL_STATE(2308)] = 117009,
  [SMALL_STATE(2309)] = 117040,
  [SMALL_STATE(2310)] = 117071,
  [SMALL_STATE(2311)] = 117102,
  [SMALL_STATE(2312)] = 117135,
  [SMALL_STATE(2313)] = 117166,
  [SMALL_STATE(2314)] = 117197,
  [SMALL_STATE(2315)] = 117232,
  [SMALL_STATE(2316)] = 117263,
  [SMALL_STATE(2317)] = 117304,
  [SMALL_STATE(2318)] = 117335,
  [SMALL_STATE(2319)] = 117376,
  [SMALL_STATE(2320)] = 117409,
  [SMALL_STATE(2321)] = 117450,
  [SMALL_STATE(2322)] = 117487,
  [SMALL_STATE(2323)] = 117526,
  [SMALL_STATE(2324)] = 117557,
  [SMALL_STATE(2325)] = 117596,
  [SMALL_STATE(2326)] = 117627,
  [SMALL_STATE(2327)] = 117666,
  [SMALL_STATE(2328)] = 117699,
  [SMALL_STATE(2329)] = 117730,
  [SMALL_STATE(2330)] = 117761,
  [SMALL_STATE(2331)] = 117792,
  [SMALL_STATE(2332)] = 117823,
  [SMALL_STATE(2333)] = 117854,
  [SMALL_STATE(2334)] = 117885,
  [SMALL_STATE(2335)] = 117916,
  [SMALL_STATE(2336)] = 117953,
  [SMALL_STATE(2337)] = 117986,
  [SMALL_STATE(2338)] = 118017,
  [SMALL_STATE(2339)] = 118048,
  [SMALL_STATE(2340)] = 118079,
  [SMALL_STATE(2341)] = 118110,
  [SMALL_STATE(2342)] = 118141,
  [SMALL_STATE(2343)] = 118172,
  [SMALL_STATE(2344)] = 118211,
  [SMALL_STATE(2345)] = 118242,
  [SMALL_STATE(2346)] = 118283,
  [SMALL_STATE(2347)] = 118314,
  [SMALL_STATE(2348)] = 118349,
  [SMALL_STATE(2349)] = 118380,
  [SMALL_STATE(2350)] = 118411,
  [SMALL_STATE(2351)] = 118452,
  [SMALL_STATE(2352)] = 118483,
  [SMALL_STATE(2353)] = 118524,
  [SMALL_STATE(2354)] = 118555,
  [SMALL_STATE(2355)] = 118586,
  [SMALL_STATE(2356)] = 118617,
  [SMALL_STATE(2357)] = 118656,
  [SMALL_STATE(2358)] = 118697,
  [SMALL_STATE(2359)] = 118728,
  [SMALL_STATE(2360)] = 118759,
  [SMALL_STATE(2361)] = 118790,
  [SMALL_STATE(2362)] = 118821,
  [SMALL_STATE(2363)] = 118852,
  [SMALL_STATE(2364)] = 118883,
  [SMALL_STATE(2365)] = 118924,
  [SMALL_STATE(2366)] = 118955,
  [SMALL_STATE(2367)] = 118986,
  [SMALL_STATE(2368)] = 119025,
  [SMALL_STATE(2369)] = 119056,
  [SMALL_STATE(2370)] = 119087,
  [SMALL_STATE(2371)] = 119118,
  [SMALL_STATE(2372)] = 119159,
  [SMALL_STATE(2373)] = 119194,
  [SMALL_STATE(2374)] = 119235,
  [SMALL_STATE(2375)] = 119276,
  [SMALL_STATE(2376)] = 119315,
  [SMALL_STATE(2377)] = 119346,
  [SMALL_STATE(2378)] = 119377,
  [SMALL_STATE(2379)] = 119408,
  [SMALL_STATE(2380)] = 119441,
  [SMALL_STATE(2381)] = 119480,
  [SMALL_STATE(2382)] = 119511,
  [SMALL_STATE(2383)] = 119540,
  [SMALL_STATE(2384)] = 119571,
  [SMALL_STATE(2385)] = 119602,
  [SMALL_STATE(2386)] = 119641,
  [SMALL_STATE(2387)] = 119680,
  [SMALL_STATE(2388)] = 119719,
  [SMALL_STATE(2389)] = 119750,
  [SMALL_STATE(2390)] = 119791,
  [SMALL_STATE(2391)] = 119822,
  [SMALL_STATE(2392)] = 119853,
  [SMALL_STATE(2393)] = 119884,
  [SMALL_STATE(2394)] = 119915,
  [SMALL_STATE(2395)] = 119946,
  [SMALL_STATE(2396)] = 119987,
  [SMALL_STATE(2397)] = 120025,
  [SMALL_STATE(2398)] = 120063,
  [SMALL_STATE(2399)] = 120097,
  [SMALL_STATE(2400)] = 120135,
  [SMALL_STATE(2401)] = 120163,
  [SMALL_STATE(2402)] = 120193,
  [SMALL_STATE(2403)] = 120231,
  [SMALL_STATE(2404)] = 120267,
  [SMALL_STATE(2405)] = 120297,
  [SMALL_STATE(2406)] = 120329,
  [SMALL_STATE(2407)] = 120361,
  [SMALL_STATE(2408)] = 120391,
  [SMALL_STATE(2409)] = 120429,
  [SMALL_STATE(2410)] = 120467,
  [SMALL_STATE(2411)] = 120505,
  [SMALL_STATE(2412)] = 120535,
  [SMALL_STATE(2413)] = 120573,
  [SMALL_STATE(2414)] = 120603,
  [SMALL_STATE(2415)] = 120641,
  [SMALL_STATE(2416)] = 120679,
  [SMALL_STATE(2417)] = 120709,
  [SMALL_STATE(2418)] = 120743,
  [SMALL_STATE(2419)] = 120773,
  [SMALL_STATE(2420)] = 120801,
  [SMALL_STATE(2421)] = 120831,
  [SMALL_STATE(2422)] = 120867,
  [SMALL_STATE(2423)] = 120905,
  [SMALL_STATE(2424)] = 120933,
  [SMALL_STATE(2425)] = 120971,
  [SMALL_STATE(2426)] = 120999,
  [SMALL_STATE(2427)] = 121027,
  [SMALL_STATE(2428)] = 121065,
  [SMALL_STATE(2429)] = 121093,
  [SMALL_STATE(2430)] = 121121,
  [SMALL_STATE(2431)] = 121151,
  [SMALL_STATE(2432)] = 121189,
  [SMALL_STATE(2433)] = 121221,
  [SMALL_STATE(2434)] = 121249,
  [SMALL_STATE(2435)] = 121285,
  [SMALL_STATE(2436)] = 121313,
  [SMALL_STATE(2437)] = 121351,
  [SMALL_STATE(2438)] = 121379,
  [SMALL_STATE(2439)] = 121417,
  [SMALL_STATE(2440)] = 121447,
  [SMALL_STATE(2441)] = 121485,
  [SMALL_STATE(2442)] = 121521,
  [SMALL_STATE(2443)] = 121557,
  [SMALL_STATE(2444)] = 121585,
  [SMALL_STATE(2445)] = 121621,
  [SMALL_STATE(2446)] = 121651,
  [SMALL_STATE(2447)] = 121679,
  [SMALL_STATE(2448)] = 121717,
  [SMALL_STATE(2449)] = 121753,
  [SMALL_STATE(2450)] = 121783,
  [SMALL_STATE(2451)] = 121813,
  [SMALL_STATE(2452)] = 121841,
  [SMALL_STATE(2453)] = 121871,
  [SMALL_STATE(2454)] = 121899,
  [SMALL_STATE(2455)] = 121929,
  [SMALL_STATE(2456)] = 121959,
  [SMALL_STATE(2457)] = 121997,
  [SMALL_STATE(2458)] = 122033,
  [SMALL_STATE(2459)] = 122069,
  [SMALL_STATE(2460)] = 122107,
  [SMALL_STATE(2461)] = 122145,
  [SMALL_STATE(2462)] = 122173,
  [SMALL_STATE(2463)] = 122211,
  [SMALL_STATE(2464)] = 122247,
  [SMALL_STATE(2465)] = 122275,
  [SMALL_STATE(2466)] = 122305,
  [SMALL_STATE(2467)] = 122335,
  [SMALL_STATE(2468)] = 122365,
  [SMALL_STATE(2469)] = 122403,
  [SMALL_STATE(2470)] = 122441,
  [SMALL_STATE(2471)] = 122479,
  [SMALL_STATE(2472)] = 122515,
  [SMALL_STATE(2473)] = 122553,
  [SMALL_STATE(2474)] = 122587,
  [SMALL_STATE(2475)] = 122625,
  [SMALL_STATE(2476)] = 122661,
  [SMALL_STATE(2477)] = 122697,
  [SMALL_STATE(2478)] = 122735,
  [SMALL_STATE(2479)] = 122773,
  [SMALL_STATE(2480)] = 122801,
  [SMALL_STATE(2481)] = 122829,
  [SMALL_STATE(2482)] = 122867,
  [SMALL_STATE(2483)] = 122895,
  [SMALL_STATE(2484)] = 122925,
  [SMALL_STATE(2485)] = 122961,
  [SMALL_STATE(2486)] = 122997,
  [SMALL_STATE(2487)] = 123025,
  [SMALL_STATE(2488)] = 123063,
  [SMALL_STATE(2489)] = 123093,
  [SMALL_STATE(2490)] = 123131,
  [SMALL_STATE(2491)] = 123165,
  [SMALL_STATE(2492)] = 123195,
  [SMALL_STATE(2493)] = 123233,
  [SMALL_STATE(2494)] = 123267,
  [SMALL_STATE(2495)] = 123294,
  [SMALL_STATE(2496)] = 123329,
  [SMALL_STATE(2497)] = 123356,
  [SMALL_STATE(2498)] = 123387,
  [SMALL_STATE(2499)] = 123418,
  [SMALL_STATE(2500)] = 123453,
  [SMALL_STATE(2501)] = 123488,
  [SMALL_STATE(2502)] = 123523,
  [SMALL_STATE(2503)] = 123558,
  [SMALL_STATE(2504)] = 123585,
  [SMALL_STATE(2505)] = 123612,
  [SMALL_STATE(2506)] = 123647,
  [SMALL_STATE(2507)] = 123674,
  [SMALL_STATE(2508)] = 123701,
  [SMALL_STATE(2509)] = 123736,
  [SMALL_STATE(2510)] = 123767,
  [SMALL_STATE(2511)] = 123802,
  [SMALL_STATE(2512)] = 123831,
  [SMALL_STATE(2513)] = 123866,
  [SMALL_STATE(2514)] = 123899,
  [SMALL_STATE(2515)] = 123928,
  [SMALL_STATE(2516)] = 123963,
  [SMALL_STATE(2517)] = 123998,
  [SMALL_STATE(2518)] = 124027,
  [SMALL_STATE(2519)] = 124062,
  [SMALL_STATE(2520)] = 124089,
  [SMALL_STATE(2521)] = 124116,
  [SMALL_STATE(2522)] = 124143,
  [SMALL_STATE(2523)] = 124178,
  [SMALL_STATE(2524)] = 124213,
  [SMALL_STATE(2525)] = 124248,
  [SMALL_STATE(2526)] = 124277,
  [SMALL_STATE(2527)] = 124312,
  [SMALL_STATE(2528)] = 124347,
  [SMALL_STATE(2529)] = 124382,
  [SMALL_STATE(2530)] = 124413,
  [SMALL_STATE(2531)] = 124446,
  [SMALL_STATE(2532)] = 124477,
  [SMALL_STATE(2533)] = 124504,
  [SMALL_STATE(2534)] = 124535,
  [SMALL_STATE(2535)] = 124570,
  [SMALL_STATE(2536)] = 124597,
  [SMALL_STATE(2537)] = 124624,
  [SMALL_STATE(2538)] = 124659,
  [SMALL_STATE(2539)] = 124694,
  [SMALL_STATE(2540)] = 124723,
  [SMALL_STATE(2541)] = 124750,
  [SMALL_STATE(2542)] = 124785,
  [SMALL_STATE(2543)] = 124812,
  [SMALL_STATE(2544)] = 124839,
  [SMALL_STATE(2545)] = 124870,
  [SMALL_STATE(2546)] = 124905,
  [SMALL_STATE(2547)] = 124932,
  [SMALL_STATE(2548)] = 124963,
  [SMALL_STATE(2549)] = 124998,
  [SMALL_STATE(2550)] = 125033,
  [SMALL_STATE(2551)] = 125063,
  [SMALL_STATE(2552)] = 125095,
  [SMALL_STATE(2553)] = 125127,
  [SMALL_STATE(2554)] = 125155,
  [SMALL_STATE(2555)] = 125187,
  [SMALL_STATE(2556)] = 125219,
  [SMALL_STATE(2557)] = 125245,
  [SMALL_STATE(2558)] = 125277,
  [SMALL_STATE(2559)] = 125307,
  [SMALL_STATE(2560)] = 125339,
  [SMALL_STATE(2561)] = 125369,
  [SMALL_STATE(2562)] = 125401,
  [SMALL_STATE(2563)] = 125433,
  [SMALL_STATE(2564)] = 125465,
  [SMALL_STATE(2565)] = 125495,
  [SMALL_STATE(2566)] = 125527,
  [SMALL_STATE(2567)] = 125559,
  [SMALL_STATE(2568)] = 125591,
  [SMALL_STATE(2569)] = 125623,
  [SMALL_STATE(2570)] = 125653,
  [SMALL_STATE(2571)] = 125685,
  [SMALL_STATE(2572)] = 125717,
  [SMALL_STATE(2573)] = 125749,
  [SMALL_STATE(2574)] = 125779,
  [SMALL_STATE(2575)] = 125811,
  [SMALL_STATE(2576)] = 125841,
  [SMALL_STATE(2577)] = 125869,
  [SMALL_STATE(2578)] = 125897,
  [SMALL_STATE(2579)] = 125923,
  [SMALL_STATE(2580)] = 125951,
  [SMALL_STATE(2581)] = 125983,
  [SMALL_STATE(2582)] = 126015,
  [SMALL_STATE(2583)] = 126041,
  [SMALL_STATE(2584)] = 126069,
  [SMALL_STATE(2585)] = 126101,
  [SMALL_STATE(2586)] = 126127,
  [SMALL_STATE(2587)] = 126155,
  [SMALL_STATE(2588)] = 126187,
  [SMALL_STATE(2589)] = 126213,
  [SMALL_STATE(2590)] = 126239,
  [SMALL_STATE(2591)] = 126265,
  [SMALL_STATE(2592)] = 126293,
  [SMALL_STATE(2593)] = 126319,
  [SMALL_STATE(2594)] = 126345,
  [SMALL_STATE(2595)] = 126377,
  [SMALL_STATE(2596)] = 126409,
  [SMALL_STATE(2597)] = 126441,
  [SMALL_STATE(2598)] = 126473,
  [SMALL_STATE(2599)] = 126499,
  [SMALL_STATE(2600)] = 126529,
  [SMALL_STATE(2601)] = 126561,
  [SMALL_STATE(2602)] = 126593,
  [SMALL_STATE(2603)] = 126625,
  [SMALL_STATE(2604)] = 126653,
  [SMALL_STATE(2605)] = 126685,
  [SMALL_STATE(2606)] = 126717,
  [SMALL_STATE(2607)] = 126746,
  [SMALL_STATE(2608)] = 126775,
  [SMALL_STATE(2609)] = 126804,
  [SMALL_STATE(2610)] = 126833,
  [SMALL_STATE(2611)] = 126862,
  [SMALL_STATE(2612)] = 126891,
  [SMALL_STATE(2613)] = 126920,
  [SMALL_STATE(2614)] = 126949,
  [SMALL_STATE(2615)] = 126978,
  [SMALL_STATE(2616)] = 127007,
  [SMALL_STATE(2617)] = 127036,
  [SMALL_STATE(2618)] = 127065,
  [SMALL_STATE(2619)] = 127094,
  [SMALL_STATE(2620)] = 127123,
  [SMALL_STATE(2621)] = 127152,
  [SMALL_STATE(2622)] = 127181,
  [SMALL_STATE(2623)] = 127208,
  [SMALL_STATE(2624)] = 127237,
  [SMALL_STATE(2625)] = 127266,
  [SMALL_STATE(2626)] = 127293,
  [SMALL_STATE(2627)] = 127322,
  [SMALL_STATE(2628)] = 127349,
  [SMALL_STATE(2629)] = 127378,
  [SMALL_STATE(2630)] = 127407,
  [SMALL_STATE(2631)] = 127436,
  [SMALL_STATE(2632)] = 127465,
  [SMALL_STATE(2633)] = 127490,
  [SMALL_STATE(2634)] = 127519,
  [SMALL_STATE(2635)] = 127548,
  [SMALL_STATE(2636)] = 127577,
  [SMALL_STATE(2637)] = 127606,
  [SMALL_STATE(2638)] = 127635,
  [SMALL_STATE(2639)] = 127664,
  [SMALL_STATE(2640)] = 127693,
  [SMALL_STATE(2641)] = 127722,
  [SMALL_STATE(2642)] = 127747,
  [SMALL_STATE(2643)] = 127776,
  [SMALL_STATE(2644)] = 127805,
  [SMALL_STATE(2645)] = 127830,
  [SMALL_STATE(2646)] = 127859,
  [SMALL_STATE(2647)] = 127888,
  [SMALL_STATE(2648)] = 127917,
  [SMALL_STATE(2649)] = 127946,
  [SMALL_STATE(2650)] = 127975,
  [SMALL_STATE(2651)] = 128004,
  [SMALL_STATE(2652)] = 128033,
  [SMALL_STATE(2653)] = 128058,
  [SMALL_STATE(2654)] = 128087,
  [SMALL_STATE(2655)] = 128116,
  [SMALL_STATE(2656)] = 128145,
  [SMALL_STATE(2657)] = 128174,
  [SMALL_STATE(2658)] = 128203,
  [SMALL_STATE(2659)] = 128232,
  [SMALL_STATE(2660)] = 128261,
  [SMALL_STATE(2661)] = 128290,
  [SMALL_STATE(2662)] = 128319,
  [SMALL_STATE(2663)] = 128348,
  [SMALL_STATE(2664)] = 128377,
  [SMALL_STATE(2665)] = 128406,
  [SMALL_STATE(2666)] = 128435,
  [SMALL_STATE(2667)] = 128464,
  [SMALL_STATE(2668)] = 128493,
  [SMALL_STATE(2669)] = 128522,
  [SMALL_STATE(2670)] = 128551,
  [SMALL_STATE(2671)] = 128580,
  [SMALL_STATE(2672)] = 128605,
  [SMALL_STATE(2673)] = 128630,
  [SMALL_STATE(2674)] = 128659,
  [SMALL_STATE(2675)] = 128688,
  [SMALL_STATE(2676)] = 128717,
  [SMALL_STATE(2677)] = 128746,
  [SMALL_STATE(2678)] = 128771,
  [SMALL_STATE(2679)] = 128800,
  [SMALL_STATE(2680)] = 128829,
  [SMALL_STATE(2681)] = 128858,
  [SMALL_STATE(2682)] = 128887,
  [SMALL_STATE(2683)] = 128916,
  [SMALL_STATE(2684)] = 128945,
  [SMALL_STATE(2685)] = 128974,
  [SMALL_STATE(2686)] = 129003,
  [SMALL_STATE(2687)] = 129032,
  [SMALL_STATE(2688)] = 129061,
  [SMALL_STATE(2689)] = 129088,
  [SMALL_STATE(2690)] = 129117,
  [SMALL_STATE(2691)] = 129146,
  [SMALL_STATE(2692)] = 129173,
  [SMALL_STATE(2693)] = 129198,
  [SMALL_STATE(2694)] = 129227,
  [SMALL_STATE(2695)] = 129256,
  [SMALL_STATE(2696)] = 129283,
  [SMALL_STATE(2697)] = 129308,
  [SMALL_STATE(2698)] = 129337,
  [SMALL_STATE(2699)] = 129366,
  [SMALL_STATE(2700)] = 129395,
  [SMALL_STATE(2701)] = 129424,
  [SMALL_STATE(2702)] = 129453,
  [SMALL_STATE(2703)] = 129482,
  [SMALL_STATE(2704)] = 129511,
  [SMALL_STATE(2705)] = 129540,
  [SMALL_STATE(2706)] = 129569,
  [SMALL_STATE(2707)] = 129598,
  [SMALL_STATE(2708)] = 129627,
  [SMALL_STATE(2709)] = 129656,
  [SMALL_STATE(2710)] = 129685,
  [SMALL_STATE(2711)] = 129710,
  [SMALL_STATE(2712)] = 129739,
  [SMALL_STATE(2713)] = 129768,
  [SMALL_STATE(2714)] = 129797,
  [SMALL_STATE(2715)] = 129826,
  [SMALL_STATE(2716)] = 129855,
  [SMALL_STATE(2717)] = 129884,
  [SMALL_STATE(2718)] = 129909,
  [SMALL_STATE(2719)] = 129938,
  [SMALL_STATE(2720)] = 129967,
  [SMALL_STATE(2721)] = 129996,
  [SMALL_STATE(2722)] = 130025,
  [SMALL_STATE(2723)] = 130054,
  [SMALL_STATE(2724)] = 130083,
  [SMALL_STATE(2725)] = 130112,
  [SMALL_STATE(2726)] = 130141,
  [SMALL_STATE(2727)] = 130168,
  [SMALL_STATE(2728)] = 130197,
  [SMALL_STATE(2729)] = 130226,
  [SMALL_STATE(2730)] = 130253,
  [SMALL_STATE(2731)] = 130282,
  [SMALL_STATE(2732)] = 130311,
  [SMALL_STATE(2733)] = 130338,
  [SMALL_STATE(2734)] = 130365,
  [SMALL_STATE(2735)] = 130394,
  [SMALL_STATE(2736)] = 130423,
  [SMALL_STATE(2737)] = 130452,
  [SMALL_STATE(2738)] = 130481,
  [SMALL_STATE(2739)] = 130510,
  [SMALL_STATE(2740)] = 130539,
  [SMALL_STATE(2741)] = 130568,
  [SMALL_STATE(2742)] = 130597,
  [SMALL_STATE(2743)] = 130622,
  [SMALL_STATE(2744)] = 130651,
  [SMALL_STATE(2745)] = 130680,
  [SMALL_STATE(2746)] = 130709,
  [SMALL_STATE(2747)] = 130738,
  [SMALL_STATE(2748)] = 130767,
  [SMALL_STATE(2749)] = 130792,
  [SMALL_STATE(2750)] = 130821,
  [SMALL_STATE(2751)] = 130850,
  [SMALL_STATE(2752)] = 130879,
  [SMALL_STATE(2753)] = 130908,
  [SMALL_STATE(2754)] = 130937,
  [SMALL_STATE(2755)] = 130966,
  [SMALL_STATE(2756)] = 130995,
  [SMALL_STATE(2757)] = 131024,
  [SMALL_STATE(2758)] = 131053,
  [SMALL_STATE(2759)] = 131080,
  [SMALL_STATE(2760)] = 131109,
  [SMALL_STATE(2761)] = 131134,
  [SMALL_STATE(2762)] = 131163,
  [SMALL_STATE(2763)] = 131192,
  [SMALL_STATE(2764)] = 131221,
  [SMALL_STATE(2765)] = 131250,
  [SMALL_STATE(2766)] = 131279,
  [SMALL_STATE(2767)] = 131308,
  [SMALL_STATE(2768)] = 131337,
  [SMALL_STATE(2769)] = 131366,
  [SMALL_STATE(2770)] = 131395,
  [SMALL_STATE(2771)] = 131424,
  [SMALL_STATE(2772)] = 131453,
  [SMALL_STATE(2773)] = 131482,
  [SMALL_STATE(2774)] = 131511,
  [SMALL_STATE(2775)] = 131538,
  [SMALL_STATE(2776)] = 131567,
  [SMALL_STATE(2777)] = 131596,
  [SMALL_STATE(2778)] = 131625,
  [SMALL_STATE(2779)] = 131652,
  [SMALL_STATE(2780)] = 131681,
  [SMALL_STATE(2781)] = 131710,
  [SMALL_STATE(2782)] = 131739,
  [SMALL_STATE(2783)] = 131768,
  [SMALL_STATE(2784)] = 131797,
  [SMALL_STATE(2785)] = 131826,
  [SMALL_STATE(2786)] = 131855,
  [SMALL_STATE(2787)] = 131884,
  [SMALL_STATE(2788)] = 131913,
  [SMALL_STATE(2789)] = 131942,
  [SMALL_STATE(2790)] = 131971,
  [SMALL_STATE(2791)] = 132000,
  [SMALL_STATE(2792)] = 132029,
  [SMALL_STATE(2793)] = 132058,
  [SMALL_STATE(2794)] = 132087,
  [SMALL_STATE(2795)] = 132116,
  [SMALL_STATE(2796)] = 132143,
  [SMALL_STATE(2797)] = 132172,
  [SMALL_STATE(2798)] = 132201,
  [SMALL_STATE(2799)] = 132230,
  [SMALL_STATE(2800)] = 132259,
  [SMALL_STATE(2801)] = 132284,
  [SMALL_STATE(2802)] = 132309,
  [SMALL_STATE(2803)] = 132338,
  [SMALL_STATE(2804)] = 132367,
  [SMALL_STATE(2805)] = 132396,
  [SMALL_STATE(2806)] = 132425,
  [SMALL_STATE(2807)] = 132454,
  [SMALL_STATE(2808)] = 132483,
  [SMALL_STATE(2809)] = 132510,
  [SMALL_STATE(2810)] = 132539,
  [SMALL_STATE(2811)] = 132568,
  [SMALL_STATE(2812)] = 132597,
  [SMALL_STATE(2813)] = 132624,
  [SMALL_STATE(2814)] = 132653,
  [SMALL_STATE(2815)] = 132682,
  [SMALL_STATE(2816)] = 132711,
  [SMALL_STATE(2817)] = 132740,
  [SMALL_STATE(2818)] = 132769,
  [SMALL_STATE(2819)] = 132798,
  [SMALL_STATE(2820)] = 132827,
  [SMALL_STATE(2821)] = 132856,
  [SMALL_STATE(2822)] = 132881,
  [SMALL_STATE(2823)] = 132910,
  [SMALL_STATE(2824)] = 132939,
  [SMALL_STATE(2825)] = 132968,
  [SMALL_STATE(2826)] = 132997,
  [SMALL_STATE(2827)] = 133024,
  [SMALL_STATE(2828)] = 133053,
  [SMALL_STATE(2829)] = 133082,
  [SMALL_STATE(2830)] = 133111,
  [SMALL_STATE(2831)] = 133140,
  [SMALL_STATE(2832)] = 133167,
  [SMALL_STATE(2833)] = 133196,
  [SMALL_STATE(2834)] = 133225,
  [SMALL_STATE(2835)] = 133254,
  [SMALL_STATE(2836)] = 133283,
  [SMALL_STATE(2837)] = 133308,
  [SMALL_STATE(2838)] = 133333,
  [SMALL_STATE(2839)] = 133358,
  [SMALL_STATE(2840)] = 133383,
  [SMALL_STATE(2841)] = 133412,
  [SMALL_STATE(2842)] = 133441,
  [SMALL_STATE(2843)] = 133470,
  [SMALL_STATE(2844)] = 133499,
  [SMALL_STATE(2845)] = 133528,
  [SMALL_STATE(2846)] = 133553,
  [SMALL_STATE(2847)] = 133582,
  [SMALL_STATE(2848)] = 133611,
  [SMALL_STATE(2849)] = 133640,
  [SMALL_STATE(2850)] = 133669,
  [SMALL_STATE(2851)] = 133698,
  [SMALL_STATE(2852)] = 133727,
  [SMALL_STATE(2853)] = 133756,
  [SMALL_STATE(2854)] = 133785,
  [SMALL_STATE(2855)] = 133814,
  [SMALL_STATE(2856)] = 133840,
  [SMALL_STATE(2857)] = 133866,
  [SMALL_STATE(2858)] = 133892,
  [SMALL_STATE(2859)] = 133918,
  [SMALL_STATE(2860)] = 133942,
  [SMALL_STATE(2861)] = 133968,
  [SMALL_STATE(2862)] = 133994,
  [SMALL_STATE(2863)] = 134020,
  [SMALL_STATE(2864)] = 134046,
  [SMALL_STATE(2865)] = 134072,
  [SMALL_STATE(2866)] = 134098,
  [SMALL_STATE(2867)] = 134124,
  [SMALL_STATE(2868)] = 134150,
  [SMALL_STATE(2869)] = 134176,
  [SMALL_STATE(2870)] = 134202,
  [SMALL_STATE(2871)] = 134228,
  [SMALL_STATE(2872)] = 134254,
  [SMALL_STATE(2873)] = 134280,
  [SMALL_STATE(2874)] = 134306,
  [SMALL_STATE(2875)] = 134332,
  [SMALL_STATE(2876)] = 134358,
  [SMALL_STATE(2877)] = 134384,
  [SMALL_STATE(2878)] = 134410,
  [SMALL_STATE(2879)] = 134436,
  [SMALL_STATE(2880)] = 134462,
  [SMALL_STATE(2881)] = 134488,
  [SMALL_STATE(2882)] = 134514,
  [SMALL_STATE(2883)] = 134540,
  [SMALL_STATE(2884)] = 134564,
  [SMALL_STATE(2885)] = 134590,
  [SMALL_STATE(2886)] = 134616,
  [SMALL_STATE(2887)] = 134642,
  [SMALL_STATE(2888)] = 134668,
  [SMALL_STATE(2889)] = 134694,
  [SMALL_STATE(2890)] = 134720,
  [SMALL_STATE(2891)] = 134746,
  [SMALL_STATE(2892)] = 134772,
  [SMALL_STATE(2893)] = 134798,
  [SMALL_STATE(2894)] = 134824,
  [SMALL_STATE(2895)] = 134850,
  [SMALL_STATE(2896)] = 134876,
  [SMALL_STATE(2897)] = 134902,
  [SMALL_STATE(2898)] = 134928,
  [SMALL_STATE(2899)] = 134954,
  [SMALL_STATE(2900)] = 134980,
  [SMALL_STATE(2901)] = 135006,
  [SMALL_STATE(2902)] = 135032,
  [SMALL_STATE(2903)] = 135058,
  [SMALL_STATE(2904)] = 135084,
  [SMALL_STATE(2905)] = 135110,
  [SMALL_STATE(2906)] = 135136,
  [SMALL_STATE(2907)] = 135162,
  [SMALL_STATE(2908)] = 135188,
  [SMALL_STATE(2909)] = 135214,
  [SMALL_STATE(2910)] = 135240,
  [SMALL_STATE(2911)] = 135266,
  [SMALL_STATE(2912)] = 135292,
  [SMALL_STATE(2913)] = 135318,
  [SMALL_STATE(2914)] = 135344,
  [SMALL_STATE(2915)] = 135370,
  [SMALL_STATE(2916)] = 135396,
  [SMALL_STATE(2917)] = 135422,
  [SMALL_STATE(2918)] = 135448,
  [SMALL_STATE(2919)] = 135474,
  [SMALL_STATE(2920)] = 135500,
  [SMALL_STATE(2921)] = 135526,
  [SMALL_STATE(2922)] = 135552,
  [SMALL_STATE(2923)] = 135578,
  [SMALL_STATE(2924)] = 135604,
  [SMALL_STATE(2925)] = 135630,
  [SMALL_STATE(2926)] = 135656,
  [SMALL_STATE(2927)] = 135682,
  [SMALL_STATE(2928)] = 135708,
  [SMALL_STATE(2929)] = 135734,
  [SMALL_STATE(2930)] = 135760,
  [SMALL_STATE(2931)] = 135784,
  [SMALL_STATE(2932)] = 135810,
  [SMALL_STATE(2933)] = 135836,
  [SMALL_STATE(2934)] = 135860,
  [SMALL_STATE(2935)] = 135886,
  [SMALL_STATE(2936)] = 135912,
  [SMALL_STATE(2937)] = 135936,
  [SMALL_STATE(2938)] = 135960,
  [SMALL_STATE(2939)] = 135986,
  [SMALL_STATE(2940)] = 136012,
  [SMALL_STATE(2941)] = 136038,
  [SMALL_STATE(2942)] = 136064,
  [SMALL_STATE(2943)] = 136090,
  [SMALL_STATE(2944)] = 136114,
  [SMALL_STATE(2945)] = 136140,
  [SMALL_STATE(2946)] = 136166,
  [SMALL_STATE(2947)] = 136190,
  [SMALL_STATE(2948)] = 136214,
  [SMALL_STATE(2949)] = 136240,
  [SMALL_STATE(2950)] = 136266,
  [SMALL_STATE(2951)] = 136290,
  [SMALL_STATE(2952)] = 136316,
  [SMALL_STATE(2953)] = 136340,
  [SMALL_STATE(2954)] = 136366,
  [SMALL_STATE(2955)] = 136392,
  [SMALL_STATE(2956)] = 136416,
  [SMALL_STATE(2957)] = 136442,
  [SMALL_STATE(2958)] = 136468,
  [SMALL_STATE(2959)] = 136494,
  [SMALL_STATE(2960)] = 136518,
  [SMALL_STATE(2961)] = 136544,
  [SMALL_STATE(2962)] = 136570,
  [SMALL_STATE(2963)] = 136596,
  [SMALL_STATE(2964)] = 136622,
  [SMALL_STATE(2965)] = 136648,
  [SMALL_STATE(2966)] = 136674,
  [SMALL_STATE(2967)] = 136700,
  [SMALL_STATE(2968)] = 136724,
  [SMALL_STATE(2969)] = 136750,
  [SMALL_STATE(2970)] = 136776,
  [SMALL_STATE(2971)] = 136802,
  [SMALL_STATE(2972)] = 136828,
  [SMALL_STATE(2973)] = 136854,
  [SMALL_STATE(2974)] = 136880,
  [SMALL_STATE(2975)] = 136904,
  [SMALL_STATE(2976)] = 136930,
  [SMALL_STATE(2977)] = 136956,
  [SMALL_STATE(2978)] = 136982,
  [SMALL_STATE(2979)] = 137008,
  [SMALL_STATE(2980)] = 137034,
  [SMALL_STATE(2981)] = 137060,
  [SMALL_STATE(2982)] = 137086,
  [SMALL_STATE(2983)] = 137112,
  [SMALL_STATE(2984)] = 137136,
  [SMALL_STATE(2985)] = 137160,
  [SMALL_STATE(2986)] = 137186,
  [SMALL_STATE(2987)] = 137212,
  [SMALL_STATE(2988)] = 137236,
  [SMALL_STATE(2989)] = 137260,
  [SMALL_STATE(2990)] = 137286,
  [SMALL_STATE(2991)] = 137312,
  [SMALL_STATE(2992)] = 137338,
  [SMALL_STATE(2993)] = 137364,
  [SMALL_STATE(2994)] = 137390,
  [SMALL_STATE(2995)] = 137416,
  [SMALL_STATE(2996)] = 137442,
  [SMALL_STATE(2997)] = 137468,
  [SMALL_STATE(2998)] = 137494,
  [SMALL_STATE(2999)] = 137520,
  [SMALL_STATE(3000)] = 137546,
  [SMALL_STATE(3001)] = 137570,
  [SMALL_STATE(3002)] = 137596,
  [SMALL_STATE(3003)] = 137622,
  [SMALL_STATE(3004)] = 137646,
  [SMALL_STATE(3005)] = 137672,
  [SMALL_STATE(3006)] = 137698,
  [SMALL_STATE(3007)] = 137724,
  [SMALL_STATE(3008)] = 137748,
  [SMALL_STATE(3009)] = 137774,
  [SMALL_STATE(3010)] = 137800,
  [SMALL_STATE(3011)] = 137826,
  [SMALL_STATE(3012)] = 137852,
  [SMALL_STATE(3013)] = 137878,
  [SMALL_STATE(3014)] = 137904,
  [SMALL_STATE(3015)] = 137930,
  [SMALL_STATE(3016)] = 137956,
  [SMALL_STATE(3017)] = 137982,
  [SMALL_STATE(3018)] = 138008,
  [SMALL_STATE(3019)] = 138034,
  [SMALL_STATE(3020)] = 138060,
  [SMALL_STATE(3021)] = 138086,
  [SMALL_STATE(3022)] = 138112,
  [SMALL_STATE(3023)] = 138138,
  [SMALL_STATE(3024)] = 138162,
  [SMALL_STATE(3025)] = 138186,
  [SMALL_STATE(3026)] = 138212,
  [SMALL_STATE(3027)] = 138236,
  [SMALL_STATE(3028)] = 138262,
  [SMALL_STATE(3029)] = 138288,
  [SMALL_STATE(3030)] = 138314,
  [SMALL_STATE(3031)] = 138340,
  [SMALL_STATE(3032)] = 138366,
  [SMALL_STATE(3033)] = 138392,
  [SMALL_STATE(3034)] = 138416,
  [SMALL_STATE(3035)] = 138442,
  [SMALL_STATE(3036)] = 138468,
  [SMALL_STATE(3037)] = 138494,
  [SMALL_STATE(3038)] = 138520,
  [SMALL_STATE(3039)] = 138546,
  [SMALL_STATE(3040)] = 138572,
  [SMALL_STATE(3041)] = 138598,
  [SMALL_STATE(3042)] = 138624,
  [SMALL_STATE(3043)] = 138650,
  [SMALL_STATE(3044)] = 138674,
  [SMALL_STATE(3045)] = 138700,
  [SMALL_STATE(3046)] = 138726,
  [SMALL_STATE(3047)] = 138750,
  [SMALL_STATE(3048)] = 138776,
  [SMALL_STATE(3049)] = 138802,
  [SMALL_STATE(3050)] = 138828,
  [SMALL_STATE(3051)] = 138854,
  [SMALL_STATE(3052)] = 138880,
  [SMALL_STATE(3053)] = 138904,
  [SMALL_STATE(3054)] = 138930,
  [SMALL_STATE(3055)] = 138956,
  [SMALL_STATE(3056)] = 138982,
  [SMALL_STATE(3057)] = 139008,
  [SMALL_STATE(3058)] = 139032,
  [SMALL_STATE(3059)] = 139058,
  [SMALL_STATE(3060)] = 139084,
  [SMALL_STATE(3061)] = 139108,
  [SMALL_STATE(3062)] = 139134,
  [SMALL_STATE(3063)] = 139160,
  [SMALL_STATE(3064)] = 139186,
  [SMALL_STATE(3065)] = 139212,
  [SMALL_STATE(3066)] = 139238,
  [SMALL_STATE(3067)] = 139264,
  [SMALL_STATE(3068)] = 139290,
  [SMALL_STATE(3069)] = 139316,
  [SMALL_STATE(3070)] = 139342,
  [SMALL_STATE(3071)] = 139366,
  [SMALL_STATE(3072)] = 139392,
  [SMALL_STATE(3073)] = 139418,
  [SMALL_STATE(3074)] = 139444,
  [SMALL_STATE(3075)] = 139470,
  [SMALL_STATE(3076)] = 139494,
  [SMALL_STATE(3077)] = 139518,
  [SMALL_STATE(3078)] = 139544,
  [SMALL_STATE(3079)] = 139570,
  [SMALL_STATE(3080)] = 139596,
  [SMALL_STATE(3081)] = 139622,
  [SMALL_STATE(3082)] = 139648,
  [SMALL_STATE(3083)] = 139674,
  [SMALL_STATE(3084)] = 139700,
  [SMALL_STATE(3085)] = 139726,
  [SMALL_STATE(3086)] = 139752,
  [SMALL_STATE(3087)] = 139778,
  [SMALL_STATE(3088)] = 139804,
  [SMALL_STATE(3089)] = 139830,
  [SMALL_STATE(3090)] = 139854,
  [SMALL_STATE(3091)] = 139880,
  [SMALL_STATE(3092)] = 139903,
  [SMALL_STATE(3093)] = 139926,
  [SMALL_STATE(3094)] = 139949,
  [SMALL_STATE(3095)] = 139972,
  [SMALL_STATE(3096)] = 139995,
  [SMALL_STATE(3097)] = 140018,
  [SMALL_STATE(3098)] = 140041,
  [SMALL_STATE(3099)] = 140064,
  [SMALL_STATE(3100)] = 140087,
  [SMALL_STATE(3101)] = 140110,
  [SMALL_STATE(3102)] = 140133,
  [SMALL_STATE(3103)] = 140156,
  [SMALL_STATE(3104)] = 140179,
  [SMALL_STATE(3105)] = 140202,
  [SMALL_STATE(3106)] = 140225,
  [SMALL_STATE(3107)] = 140248,
  [SMALL_STATE(3108)] = 140271,
  [SMALL_STATE(3109)] = 140294,
  [SMALL_STATE(3110)] = 140317,
  [SMALL_STATE(3111)] = 140340,
  [SMALL_STATE(3112)] = 140363,
  [SMALL_STATE(3113)] = 140386,
  [SMALL_STATE(3114)] = 140409,
  [SMALL_STATE(3115)] = 140432,
  [SMALL_STATE(3116)] = 140455,
  [SMALL_STATE(3117)] = 140478,
  [SMALL_STATE(3118)] = 140501,
  [SMALL_STATE(3119)] = 140524,
  [SMALL_STATE(3120)] = 140547,
  [SMALL_STATE(3121)] = 140570,
  [SMALL_STATE(3122)] = 140593,
  [SMALL_STATE(3123)] = 140616,
  [SMALL_STATE(3124)] = 140639,
  [SMALL_STATE(3125)] = 140662,
  [SMALL_STATE(3126)] = 140685,
  [SMALL_STATE(3127)] = 140708,
  [SMALL_STATE(3128)] = 140731,
  [SMALL_STATE(3129)] = 140754,
  [SMALL_STATE(3130)] = 140777,
  [SMALL_STATE(3131)] = 140800,
  [SMALL_STATE(3132)] = 140823,
  [SMALL_STATE(3133)] = 140846,
  [SMALL_STATE(3134)] = 140869,
  [SMALL_STATE(3135)] = 140892,
  [SMALL_STATE(3136)] = 140915,
  [SMALL_STATE(3137)] = 140938,
  [SMALL_STATE(3138)] = 140961,
  [SMALL_STATE(3139)] = 140984,
  [SMALL_STATE(3140)] = 141007,
  [SMALL_STATE(3141)] = 141030,
  [SMALL_STATE(3142)] = 141053,
  [SMALL_STATE(3143)] = 141076,
  [SMALL_STATE(3144)] = 141099,
  [SMALL_STATE(3145)] = 141122,
  [SMALL_STATE(3146)] = 141145,
  [SMALL_STATE(3147)] = 141168,
  [SMALL_STATE(3148)] = 141191,
  [SMALL_STATE(3149)] = 141214,
  [SMALL_STATE(3150)] = 141237,
  [SMALL_STATE(3151)] = 141260,
  [SMALL_STATE(3152)] = 141283,
  [SMALL_STATE(3153)] = 141306,
  [SMALL_STATE(3154)] = 141329,
  [SMALL_STATE(3155)] = 141352,
  [SMALL_STATE(3156)] = 141375,
  [SMALL_STATE(3157)] = 141398,
  [SMALL_STATE(3158)] = 141421,
  [SMALL_STATE(3159)] = 141444,
  [SMALL_STATE(3160)] = 141467,
  [SMALL_STATE(3161)] = 141490,
  [SMALL_STATE(3162)] = 141513,
  [SMALL_STATE(3163)] = 141536,
  [SMALL_STATE(3164)] = 141559,
  [SMALL_STATE(3165)] = 141582,
  [SMALL_STATE(3166)] = 141605,
  [SMALL_STATE(3167)] = 141628,
  [SMALL_STATE(3168)] = 141651,
  [SMALL_STATE(3169)] = 141674,
  [SMALL_STATE(3170)] = 141697,
  [SMALL_STATE(3171)] = 141720,
  [SMALL_STATE(3172)] = 141743,
  [SMALL_STATE(3173)] = 141766,
  [SMALL_STATE(3174)] = 141789,
  [SMALL_STATE(3175)] = 141812,
  [SMALL_STATE(3176)] = 141835,
  [SMALL_STATE(3177)] = 141858,
  [SMALL_STATE(3178)] = 141881,
  [SMALL_STATE(3179)] = 141904,
  [SMALL_STATE(3180)] = 141927,
  [SMALL_STATE(3181)] = 141950,
  [SMALL_STATE(3182)] = 141973,
  [SMALL_STATE(3183)] = 141996,
  [SMALL_STATE(3184)] = 142019,
  [SMALL_STATE(3185)] = 142042,
  [SMALL_STATE(3186)] = 142065,
  [SMALL_STATE(3187)] = 142088,
  [SMALL_STATE(3188)] = 142111,
  [SMALL_STATE(3189)] = 142134,
  [SMALL_STATE(3190)] = 142157,
  [SMALL_STATE(3191)] = 142180,
  [SMALL_STATE(3192)] = 142203,
  [SMALL_STATE(3193)] = 142226,
  [SMALL_STATE(3194)] = 142249,
  [SMALL_STATE(3195)] = 142272,
  [SMALL_STATE(3196)] = 142295,
  [SMALL_STATE(3197)] = 142318,
  [SMALL_STATE(3198)] = 142341,
  [SMALL_STATE(3199)] = 142364,
  [SMALL_STATE(3200)] = 142387,
  [SMALL_STATE(3201)] = 142410,
  [SMALL_STATE(3202)] = 142433,
  [SMALL_STATE(3203)] = 142456,
  [SMALL_STATE(3204)] = 142479,
  [SMALL_STATE(3205)] = 142502,
  [SMALL_STATE(3206)] = 142525,
  [SMALL_STATE(3207)] = 142548,
  [SMALL_STATE(3208)] = 142571,
  [SMALL_STATE(3209)] = 142594,
  [SMALL_STATE(3210)] = 142617,
  [SMALL_STATE(3211)] = 142640,
  [SMALL_STATE(3212)] = 142663,
  [SMALL_STATE(3213)] = 142686,
  [SMALL_STATE(3214)] = 142709,
  [SMALL_STATE(3215)] = 142732,
  [SMALL_STATE(3216)] = 142755,
  [SMALL_STATE(3217)] = 142778,
  [SMALL_STATE(3218)] = 142801,
  [SMALL_STATE(3219)] = 142824,
  [SMALL_STATE(3220)] = 142847,
  [SMALL_STATE(3221)] = 142870,
  [SMALL_STATE(3222)] = 142893,
  [SMALL_STATE(3223)] = 142916,
  [SMALL_STATE(3224)] = 142939,
  [SMALL_STATE(3225)] = 142962,
  [SMALL_STATE(3226)] = 142985,
  [SMALL_STATE(3227)] = 143008,
  [SMALL_STATE(3228)] = 143031,
  [SMALL_STATE(3229)] = 143054,
  [SMALL_STATE(3230)] = 143077,
  [SMALL_STATE(3231)] = 143100,
  [SMALL_STATE(3232)] = 143123,
  [SMALL_STATE(3233)] = 143146,
  [SMALL_STATE(3234)] = 143169,
  [SMALL_STATE(3235)] = 143192,
  [SMALL_STATE(3236)] = 143215,
  [SMALL_STATE(3237)] = 143238,
  [SMALL_STATE(3238)] = 143261,
  [SMALL_STATE(3239)] = 143284,
  [SMALL_STATE(3240)] = 143307,
  [SMALL_STATE(3241)] = 143330,
  [SMALL_STATE(3242)] = 143353,
  [SMALL_STATE(3243)] = 143376,
  [SMALL_STATE(3244)] = 143399,
  [SMALL_STATE(3245)] = 143422,
  [SMALL_STATE(3246)] = 143445,
  [SMALL_STATE(3247)] = 143468,
  [SMALL_STATE(3248)] = 143491,
  [SMALL_STATE(3249)] = 143514,
  [SMALL_STATE(3250)] = 143537,
  [SMALL_STATE(3251)] = 143560,
  [SMALL_STATE(3252)] = 143583,
  [SMALL_STATE(3253)] = 143606,
  [SMALL_STATE(3254)] = 143629,
  [SMALL_STATE(3255)] = 143652,
  [SMALL_STATE(3256)] = 143675,
  [SMALL_STATE(3257)] = 143698,
  [SMALL_STATE(3258)] = 143721,
  [SMALL_STATE(3259)] = 143744,
  [SMALL_STATE(3260)] = 143767,
  [SMALL_STATE(3261)] = 143790,
  [SMALL_STATE(3262)] = 143813,
  [SMALL_STATE(3263)] = 143836,
  [SMALL_STATE(3264)] = 143859,
  [SMALL_STATE(3265)] = 143882,
  [SMALL_STATE(3266)] = 143905,
  [SMALL_STATE(3267)] = 143928,
  [SMALL_STATE(3268)] = 143951,
  [SMALL_STATE(3269)] = 143974,
  [SMALL_STATE(3270)] = 143997,
  [SMALL_STATE(3271)] = 144020,
  [SMALL_STATE(3272)] = 144043,
  [SMALL_STATE(3273)] = 144066,
  [SMALL_STATE(3274)] = 144089,
  [SMALL_STATE(3275)] = 144112,
  [SMALL_STATE(3276)] = 144135,
  [SMALL_STATE(3277)] = 144158,
  [SMALL_STATE(3278)] = 144181,
  [SMALL_STATE(3279)] = 144204,
  [SMALL_STATE(3280)] = 144227,
  [SMALL_STATE(3281)] = 144250,
  [SMALL_STATE(3282)] = 144273,
  [SMALL_STATE(3283)] = 144296,
  [SMALL_STATE(3284)] = 144319,
  [SMALL_STATE(3285)] = 144342,
  [SMALL_STATE(3286)] = 144365,
  [SMALL_STATE(3287)] = 144388,
  [SMALL_STATE(3288)] = 144411,
  [SMALL_STATE(3289)] = 144434,
  [SMALL_STATE(3290)] = 144457,
  [SMALL_STATE(3291)] = 144480,
  [SMALL_STATE(3292)] = 144503,
  [SMALL_STATE(3293)] = 144526,
  [SMALL_STATE(3294)] = 144549,
  [SMALL_STATE(3295)] = 144572,
  [SMALL_STATE(3296)] = 144595,
  [SMALL_STATE(3297)] = 144618,
  [SMALL_STATE(3298)] = 144641,
  [SMALL_STATE(3299)] = 144664,
  [SMALL_STATE(3300)] = 144687,
  [SMALL_STATE(3301)] = 144710,
  [SMALL_STATE(3302)] = 144733,
  [SMALL_STATE(3303)] = 144756,
  [SMALL_STATE(3304)] = 144779,
  [SMALL_STATE(3305)] = 144802,
  [SMALL_STATE(3306)] = 144825,
  [SMALL_STATE(3307)] = 144848,
  [SMALL_STATE(3308)] = 144871,
  [SMALL_STATE(3309)] = 144894,
  [SMALL_STATE(3310)] = 144917,
  [SMALL_STATE(3311)] = 144940,
  [SMALL_STATE(3312)] = 144963,
  [SMALL_STATE(3313)] = 144986,
  [SMALL_STATE(3314)] = 145009,
  [SMALL_STATE(3315)] = 145032,
  [SMALL_STATE(3316)] = 145055,
  [SMALL_STATE(3317)] = 145078,
  [SMALL_STATE(3318)] = 145101,
  [SMALL_STATE(3319)] = 145124,
  [SMALL_STATE(3320)] = 145147,
  [SMALL_STATE(3321)] = 145170,
  [SMALL_STATE(3322)] = 145193,
  [SMALL_STATE(3323)] = 145216,
  [SMALL_STATE(3324)] = 145239,
  [SMALL_STATE(3325)] = 145262,
  [SMALL_STATE(3326)] = 145285,
  [SMALL_STATE(3327)] = 145308,
  [SMALL_STATE(3328)] = 145331,
  [SMALL_STATE(3329)] = 145354,
  [SMALL_STATE(3330)] = 145377,
  [SMALL_STATE(3331)] = 145400,
  [SMALL_STATE(3332)] = 145423,
  [SMALL_STATE(3333)] = 145446,
  [SMALL_STATE(3334)] = 145469,
  [SMALL_STATE(3335)] = 145492,
  [SMALL_STATE(3336)] = 145515,
  [SMALL_STATE(3337)] = 145538,
  [SMALL_STATE(3338)] = 145561,
  [SMALL_STATE(3339)] = 145584,
  [SMALL_STATE(3340)] = 145607,
  [SMALL_STATE(3341)] = 145630,
  [SMALL_STATE(3342)] = 145653,
  [SMALL_STATE(3343)] = 145676,
  [SMALL_STATE(3344)] = 145699,
  [SMALL_STATE(3345)] = 145722,
  [SMALL_STATE(3346)] = 145726,
  [SMALL_STATE(3347)] = 145730,
  [SMALL_STATE(3348)] = 145734,
  [SMALL_STATE(3349)] = 145738,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3343),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [13] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3293),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3292),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 4),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 5),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 6),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(545),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(3100),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1199),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1199),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1198),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1197),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2204),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2197),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2164),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2163),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2249),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2245),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2198),
  [276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2200),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(24),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(85),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1196),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(296),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(79),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1946),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(535),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1486),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1530),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1531),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(396),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2881),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(3187),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(72),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2898),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2849),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(186),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(178),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2901),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2868),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2867),
  [344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2906),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1944),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2092),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2496),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2842),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2912),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(213),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2382),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1932),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2839),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2838),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2836),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1971),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2063),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(2503),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1179),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2885),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 7),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(516),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(3100),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1199),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1199),
  [418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1198),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1197),
  [424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2204),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2197),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2164),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2163),
  [436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2249),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2245),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2198),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2200),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(24),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2),
  [453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(85),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1196),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(296),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(79),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1946),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(535),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1486),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1530),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1531),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(396),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2881),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(72),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2898),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2849),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(186),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(178),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2901),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2868),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2867),
  [510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2906),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1944),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2092),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2496),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2842),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2912),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2382),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1932),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2839),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2838),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2836),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1971),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2063),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2503),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(1179),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(26),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(401),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2899),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2903),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 2), SHIFT_REPEAT(2904),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 25),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 1),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 8),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(710),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(3331),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1368),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1368),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1369),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1370),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2209),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2210),
  [818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2153),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2150),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2304),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2300),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2217),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2222),
  [836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(99),
  [839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(94),
  [842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1375),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(230),
  [848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(78),
  [851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1946),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(537),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1490),
  [860] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1530),
  [863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1531),
  [866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(415),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1944),
  [872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2836),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(2034),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2), SHIFT_REPEAT(1381),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 60),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 57),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 73),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 27),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 44),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 42),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 27),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2055),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2),
  [1052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2906),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(3293),
  [1058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(3292),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2907),
  [1064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2605),
  [1067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2092),
  [1070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2496),
  [1073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(1932),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2839),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(3277),
  [1082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2838),
  [1085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2837),
  [1088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2059),
  [1091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2503),
  [1094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2), SHIFT_REPEAT(2230),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_set_or_map_literal, 2), REDUCE(sym_block, 2),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 2),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 2),
  [1116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_set_or_map_literal, 2), REDUCE(sym_block, 2),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [1123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2892),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2252),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2254),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 2),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 2),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 2),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 2),
  [1162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 2), SHIFT_REPEAT(2892),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 2), SHIFT_REPEAT(1962),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 2),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 2),
  [1172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 2), SHIFT_REPEAT(2892),
  [1175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 2), SHIFT_REPEAT(3291),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 3),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 3),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 1),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 1),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 2),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 4),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_body, 4),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 3),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 3),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 2),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 2),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_script_tag, 3),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_script_tag, 3),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 7),
  [1212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 7),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_import, 1),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_import, 1),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_import, 2),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_import, 2),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 5),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 5),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 3),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 3),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 6),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 6),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 3),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 3),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2102),
  [1251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(3006),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 7),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 7),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_name, 3),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_name, 3),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 4),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 4),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_export, 4),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_export, 4),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specification, 5),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_specification, 5),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_or_export, 1),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_or_export, 1),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_library_name, 4),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_library_name, 4),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_of_directive, 4),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_of_directive, 4),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_directive, 4),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_directive, 4),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_of_directive, 5),
  [1296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_of_directive, 5),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 4),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 4),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat2, 1),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat2, 1),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_part_directive, 3),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_part_directive, 3),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat3, 1),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat3, 1),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 52),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application_class, 4),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_application_class, 4),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 3),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 3),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 4),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 4),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 3),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 3),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2),
  [1338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 5, .production_id = 55),
  [1340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 5, .production_id = 55),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 1, .dynamic_precedence = 22),
  [1344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 1, .dynamic_precedence = 22),
  [1346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [1348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 5, .production_id = 54),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 5, .production_id = 54),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 6, .production_id = 70),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 6, .production_id = 70),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [1362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__top_level_definition, 2), REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__top_level_definition, 2), REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 2),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_body, 3),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_body, 3),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_body, 2),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_body, 2),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 69),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 66),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 66),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application_class, 5),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_application_class, 5),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 6),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 6),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, .production_id = 16),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, .production_id = 16),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 6),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 6),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 53),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 7),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 7),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 32),
  [1426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_definition, 3), REDUCE(sym_class_definition, 4),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_definition, 3), REDUCE(sym_class_definition, 4),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 3),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 51),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 67),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 67),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 68),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 68),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 47),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 47),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 4),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 4),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 4),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 4),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 5),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 5),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 48),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 48),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 2),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_declaration, 4, .production_id = 34),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_declaration, 4, .production_id = 34),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 16),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 16),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class_definition, 2), REDUCE(sym_class_definition, 3),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class_definition, 2), REDUCE(sym_class_definition, 3),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, .production_id = 77),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, .production_id = 77),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 1),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 1),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 1),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignable_expression, 1),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignable_expression, 1),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), SHIFT(757),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 1),
  [1529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [1532] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(2278),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), SHIFT(3154),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_declaration, 4),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mixin_declaration, 4),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 30),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 30),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_part, 2),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__on_part, 2),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat4, 2, .dynamic_precedence = 22),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat4, 2, .dynamic_precedence = 22),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_definition, 5),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_definition, 5),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 5),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 5),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 49),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 49),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 33),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 31),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 31),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2),
  [1617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(215),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(1774),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3162),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3163),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(203),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3180),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3181),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2204),
  [1657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2197),
  [1660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2164),
  [1663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2163),
  [1666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2249),
  [1669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2245),
  [1672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2198),
  [1675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2200),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 2),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 2),
  [1688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), REDUCE(sym__simple_formal_parameter, 1),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__simple_formal_parameter, 1),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 14),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 14),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_declaration, 2),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_declaration, 2),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 12),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 12),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 1),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, .dynamic_precedence = 2),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, .dynamic_precedence = 2),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 24),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 2),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 12),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 12),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_function_declaration, 1),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_function_declaration, 1),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 7),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 8),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 36),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 36),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, .dynamic_precedence = 1),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, .dynamic_precedence = 1),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_each_statement, 4),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_each_statement, 4),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_subsection, 1),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_subsection, 1),
  [1806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(165),
  [1809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cascade_subsection, 1), SHIFT(2081),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(2460),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 2),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(159),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(2081),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_subsection, 2),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_subsection, 2),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(159),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cascade_subsection, 2), SHIFT(2081),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 13),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 13),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(2456),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(165),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(165),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(159),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 4),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 2),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2),
  [1917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2173),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2185),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2168),
  [1926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2167),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2298),
  [1932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2273),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2176),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2175),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_label, 3),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2043),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2906),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2092),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2496),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2382),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3146),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1932),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2839),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1969),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2838),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2224),
  [1986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2548),
  [1989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2062),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2503),
  [1995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2230),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_additive_expression_repeat1, 2),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_additive_expression_repeat1, 2),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3),
  [2006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_relational_expression, 3), SHIFT(1543),
  [2009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_relational_expression, 3), SHIFT(1543),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2),
  [2014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2),
  [2016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2),
  [2018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_without_cascade, 1),
  [2026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_without_cascade, 1),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3),
  [2046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(368),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2043),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_body_repeat1, 2),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2906),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2092),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2496),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2382),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(3146),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(1932),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2839),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(1969),
  [2088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2838),
  [2091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2224),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2548),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2062),
  [2100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2503),
  [2103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2), SHIFT_REPEAT(2230),
  [2106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 17),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 17),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shift_expression_repeat1, 2),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shift_expression_repeat1, 2),
  [2116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(307),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat5, 1),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat5, 1),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(219),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3157),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3158),
  [2136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2), REDUCE(sym_super_formal_parameter, 3),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2),
  [2141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2), REDUCE(sym_super_formal_parameter, 3),
  [2144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 2), SHIFT(757),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 2), SHIFT(2278),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector, 1),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector, 1),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unconditional_assignable_selector, 1),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unconditional_assignable_selector, 1),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary, 2),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignable_expression, 2),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignable_expression, 2),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary, 2),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_selector, 3),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_selector, 3),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_assignable_selector, 2),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_assignable_selector, 2),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector, 1),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector_part, 1),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector_part, 1),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector, 1),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_loop_parts, 3, .production_id = 26),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_loop_parts, 3, .production_id = 26),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignable_selector_part, 2),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignable_selector_part, 2),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 1),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 1),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_part, 2),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_part, 2),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_selector, 1),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_selector, 1),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_part, 1),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_part, 1),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 1),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat1, 1),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_selector, 2),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_selector, 2),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 3),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(158),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1), SHIFT(2410),
  [2254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(158),
  [2257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(158),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes, 2),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes, 2),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes_multiple, 2),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes_multiple, 2),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes, 3),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes, 3),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes, 3),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes, 3),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2209),
  [2279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2210),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2153),
  [2285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2150),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2304),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2300),
  [2294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2217),
  [2297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2222),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes_multiple, 2),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes_multiple, 2),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 2),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 2),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes, 2),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes, 2),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 2),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 2),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes, 2),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes, 2),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes_multiple, 3),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes_multiple, 3),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 3),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes_multiple, 3),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 3),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes_multiple, 3),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_single_quotes, 3),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_single_quotes, 3),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal_double_quotes, 3),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal_double_quotes, 3),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_single_quotes_multiple, 3),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_single_quotes_multiple, 3),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 1),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal_double_quotes, 2),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal_double_quotes, 2),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 1),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1774),
  [2363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(2081),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 1),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [2382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 1),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1774),
  [2391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(2081),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 1),
  [2396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(291),
  [2403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(157),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1105),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3176),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3177),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(291),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(157),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1105),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3176),
  [2427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3177),
  [2430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(214),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3167),
  [2436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3168),
  [2439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(214),
  [2442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3167),
  [2445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3168),
  [2448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(202),
  [2451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(162),
  [2454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1088),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3140),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3141),
  [2463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(202),
  [2466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(162),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1088),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3140),
  [2475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3141),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3176),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [2484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(358),
  [2487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(286),
  [2490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3135),
  [2493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3133),
  [2496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(286),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3135),
  [2502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3133),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2),
  [2507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1774),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(2081),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expression, 2),
  [2517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(1774),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(2081),
  [2523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__postfix_expression, 2),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(286),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(162),
  [2531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(1088),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3135),
  [2537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3133),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(291),
  [2543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(157),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1105),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3176),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3177),
  [2555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(286),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(162),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1088),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3135),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3133),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(290),
  [2575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(162),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1774),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2081),
  [2584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2),
  [2586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1088),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3200),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3197),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2059),
  [2597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(208),
  [2600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(157),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1105),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3172),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3173),
  [2612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(202),
  [2615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3140),
  [2618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3141),
  [2621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(214),
  [2624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(157),
  [2627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(1105),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3167),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3168),
  [2636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(214),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3167),
  [2642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3168),
  [2645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(291),
  [2648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3176),
  [2651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3177),
  [2654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(202),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3140),
  [2660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3141),
  [2663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2231),
  [2666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2186),
  [2669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2146),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2140),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2256),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2253),
  [2681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2232),
  [2684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2229),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 5),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [2731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 5),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 3),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary, 1), SHIFT(3154),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(324),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(347),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(287),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(161),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(1393),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3313),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3312),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 1), SHIFT(239),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3174),
  [2809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 1), SHIFT(3178),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(287),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(161),
  [2818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(1393),
  [2821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3313),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3312),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 1), SHIFT(239),
  [2830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3174),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 1), SHIFT(3178),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [2844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(239),
  [2847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(161),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(1393),
  [2853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3174),
  [2856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3178),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(221),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(161),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1393),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3272),
  [2871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3273),
  [2874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(344),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(239),
  [2880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(161),
  [2883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(1393),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3174),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3178),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__postfix_expression, 2), SHIFT(287),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3313),
  [2898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__postfix_expression, 2), SHIFT(3312),
  [2901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_postfix_expression, 2), SHIFT(287),
  [2904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3313),
  [2907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_postfix_expression, 2), SHIFT(3312),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 2),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1049),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 1),
  [2919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1737),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(988),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2290),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 1),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1051),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1),
  [2954] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1725),
  [2958] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1037),
  [2962] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2274),
  [2966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 1),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 1),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1725),
  [2978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1037),
  [2981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2274),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2),
  [2990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [2994] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1737),
  [2998] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(988),
  [3002] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2290),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_expression, 2),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_expression, 2),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2),
  [3014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2), SHIFT_REPEAT(1542),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_multiplicative_expression_repeat1, 2), SHIFT_REPEAT(1542),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__real_expression, 1),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__real_expression, 1),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(160),
  [3041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 2),
  [3043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1725),
  [3046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1037),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 2),
  [3051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1737),
  [3054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(988),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shift_expression_repeat1, 2), SHIFT_REPEAT(1503),
  [3060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shift_expression_repeat1, 2), SHIFT_REPEAT(1503),
  [3063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2),
  [3066] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1737),
  [3070] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(988),
  [3074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2),
  [3077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 3),
  [3079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1725),
  [3082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1037),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 3),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shift_expression, 2),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shift_expression, 2),
  [3091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1737),
  [3094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(988),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1),
  [3105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1037),
  [3108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2079),
  [3111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(194),
  [3116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3127),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3128),
  [3122] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1725),
  [3126] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1037),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(988),
  [3133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2083),
  [3136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(313),
  [3139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_additive_expression_repeat1, 2), SHIFT_REPEAT(1524),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(988),
  [3147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2),
  [3151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expression_repeat1, 2),
  [3153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2460),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 4),
  [3158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1037),
  [3161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 4),
  [3163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(222),
  [3166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(166),
  [3169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(1595),
  [3172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3147),
  [3175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3148),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 2),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 2),
  [3182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 2), SHIFT(2456),
  [3185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2456),
  [3188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1),
  [3190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(3104),
  [3193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1037),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(988),
  [3199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(3143),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_expression, 2),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_expression, 2),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 2), SHIFT(2460),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void, 1),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void, 1),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_function, 1),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 3),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 3),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_name, 2, .production_id = 1),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_name, 2, .production_id = 1),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [3227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1),
  [3230] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_null_expression, 2, .production_id = 6),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_null_expression, 2, .production_id = 6),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1),
  [3241] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_assignable_expression, 1), REDUCE(sym__primary, 1), SHIFT(3154),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_or_expression, 2),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_or_expression, 2),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_and_expression, 2),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_and_expression, 2),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_or_expression, 2),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_or_expression, 2),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_xor_expression, 2),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_xor_expression, 2),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_and_expression, 2),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bitwise_and_expression, 2),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nullable_type, 1),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nullable_type, 1),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(367),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [3284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(366),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(369),
  [3290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(370),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 6),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 6),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 3),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 3),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 5),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 5),
  [3305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(988),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_tail, 5),
  [3314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_type_tail, 5),
  [3316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 4),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 4),
  [3320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(373),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18),
  [3325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(382),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_type_list, 2),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_type_list, 2),
  [3334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(380),
  [3337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(379),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [3348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(377),
  [3351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(372),
  [3354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(371),
  [3357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1037),
  [3360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(362),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_builtin_identifier, 1),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_builtin_identifier, 1),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_dot_identifier, 2, .production_id = 11),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_dot_identifier, 2, .production_id = 11),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 1),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 1),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 4),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 4),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 3),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 3),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super, 1),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_super, 1),
  [3387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_assignable_expression, 2), REDUCE(sym__primary, 2),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_test_expression, 2),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_test_expression, 2),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, .production_id = 8),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, .production_id = 8),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 3),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 3),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void, 2),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_void, 2),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 7),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 7),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression_without_cascade, 2),
  [3412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression_without_cascade, 2),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 7),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 7),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cascade_section, 5),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cascade_section, 5),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 6),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 6),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 6),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 6),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expression, 2),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expression, 2),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_invocation, 5),
  [3436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_invocation, 5),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression_without_cascade, 3, .production_id = 19),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression_without_cascade, 3, .production_id = 19),
  [3442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__assignable_selector_part, 1), REDUCE(sym_selector, 1),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__assignable_selector_part, 1), REDUCE(sym_selector, 1),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_assignable_expression, 2), REDUCE(sym__primary, 2),
  [3451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_selector, 1), REDUCE(sym__assignable_selector_part, 2),
  [3454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_selector, 1), REDUCE(sym__assignable_selector_part, 2),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 1),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 1),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_object_expression, 3),
  [3463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_object_expression, 3),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cascade_assignment_section, 2),
  [3467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cascade_assignment_section, 2),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 5),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 5),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 5),
  [3475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 5),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 3),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 3),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 56),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 56),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_operator, 1),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_operator, 1),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_expression, 2),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 2),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_literal, 2),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 1),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 1),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_symbol_literal, 2),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_symbol_literal, 2),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_object_expression, 4),
  [3519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_object_expression, 4),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 1),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__expression_repeat1, 1),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_or_map_literal, 4),
  [3527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_or_map_literal, 4),
  [3529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression_body, 2),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression_body, 2),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_this, 1),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_this, 1),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 1),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 1),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 19),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 19),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast, 2),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast, 2),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_test, 2),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_test, 2),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null_literal, 1),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null_literal, 1),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_false, 1),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_false, 1),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_true, 1),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_true, 1),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1748),
  [3598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1352),
  [3601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2264),
  [3604] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1748),
  [3608] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1352),
  [3612] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2264),
  [3616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1346),
  [3619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_equality_expression, 3), SHIFT(339),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary, 1), SHIFT(3324),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1352),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2078),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1748),
  [3656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1352),
  [3659] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1748),
  [3663] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1352),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [3691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1748),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1352),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1352),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2410),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1352),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(3203),
  [3715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 2), SHIFT(2410),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1522),
  [3723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2241),
  [3726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__metadata, 1),
  [3728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(329),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(330),
  [3734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(359),
  [3737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(360),
  [3740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(378),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [3745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1541),
  [3748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2294),
  [3751] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1522),
  [3755] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2241),
  [3759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__metadata_repeat1, 2),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2), SHIFT_REPEAT(2906),
  [3764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 2),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 2),
  [3768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(326),
  [3771] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1541),
  [3775] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2294),
  [3779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1352),
  [3782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, .production_id = 4),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, .production_id = 4),
  [3790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat6, 2),
  [3792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1522),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1522),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3800] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1522),
  [3804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1505),
  [3807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1527),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1541),
  [3815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1541),
  [3818] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1541),
  [3822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, .production_id = 29),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, .production_id = 29),
  [3826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_operator, 1),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_operator, 1),
  [3830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [3832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1541),
  [3835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2077),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [3844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_operator, 1),
  [3846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_operator, 1),
  [3848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [3850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1522),
  [3853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2084),
  [3856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2177),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2178),
  [3870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2171),
  [3873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2172),
  [3876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2283),
  [3879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2284),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2179),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(2180),
  [3888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__shift_operator, 1),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__shift_operator, 1),
  [3892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1522),
  [3895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(300),
  [3898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3106),
  [3901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_cascade_section_repeat2, 2), SHIFT_REPEAT(3107),
  [3904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1541),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_additive_operator, 1),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_additive_operator, 1),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shift_operator, 1),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shift_operator, 1),
  [3915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negation_operator, 1),
  [3917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negation_operator, 1),
  [3919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tilde_operator, 1),
  [3921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tilde_operator, 1),
  [3923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_multiplicative_operator, 1),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_multiplicative_operator, 1),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1522),
  [3930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1541),
  [3933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiplicative_operator, 1),
  [3935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiplicative_operator, 1),
  [3937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_operator, 1),
  [3939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_operator, 1),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cascade_section_repeat1, 2), SHIFT_REPEAT(163),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [3952] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1541),
  [3955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__metadata_repeat1, 1),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 1),
  [3959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__annotation, 1),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__annotation, 1),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(334),
  [3974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(308),
  [3977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1522),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [3984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(338),
  [3987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(345),
  [3990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(346),
  [3993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(349),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(328),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(320),
  [4002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(355),
  [4005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(322),
  [4008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(332),
  [4011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(333),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 15),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 15),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 2), SHIFT(160),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4023] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1778),
  [4027] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2258),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cascade_subsection, 1), SHIFT(160),
  [4034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1778),
  [4037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2258),
  [4040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(348),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [4045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(342),
  [4048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(341),
  [4051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(343),
  [4054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(350),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(351),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1757),
  [4063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1778),
  [4066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1778),
  [4069] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1778),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1778),
  [4122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2089),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__native, 1),
  [4139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__native, 1),
  [4141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1778),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [4146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(1863),
  [4149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 1), SHIFT(2296),
  [4152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1778),
  [4155] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1863),
  [4159] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(2296),
  [4163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(2190),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(2092),
  [4169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external_and_static, 1), SHIFT(1932),
  [4172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_and_static, 1),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1854),
  [4179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 3), SHIFT(1863),
  [4182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 2), SHIFT(1863),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1774),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(310),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(309),
  [4198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(356),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(311),
  [4206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(325),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(327),
  [4212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1778),
  [4215] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1863),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [4227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(1863),
  [4230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 1), SHIFT(2070),
  [4233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1774),
  [4236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1774),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [4241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1932),
  [4244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__function_type_tail, 4), SHIFT(1863),
  [4247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void_not_function, 2), SHIFT(1863),
  [4250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1915),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(2092),
  [4256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external, 1),
  [4258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(1932),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(2839),
  [4264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__external, 1), SHIFT(2224),
  [4267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 4), SHIFT(1774),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_or_expression_repeat1, 2), SHIFT_REPEAT(357),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [4275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_logical_and_expression_repeat1, 2), SHIFT_REPEAT(340),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_or_expression_repeat1, 2), SHIFT_REPEAT(331),
  [4281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_bitwise_xor_expression_repeat1, 2), SHIFT_REPEAT(312),
  [4284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bitwise_and_expression_repeat1, 2), SHIFT_REPEAT(314),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [4289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__if_null_expression, 2, .production_id = 18), SHIFT_REPEAT(386),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [4294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_not_void, 1), SHIFT(1863),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(2278),
  [4312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__operator, 1),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator, 1),
  [4316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(2154),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1),
  [4325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(2270),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [4372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(234),
  [4375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(164),
  [4378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2081),
  [4381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(2341),
  [4384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3138),
  [4387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__assignable_selector_part_repeat1, 2), SHIFT_REPEAT(3139),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 2),
  [4394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 3),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_body_repeat1, 3),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extension_body_repeat1, 2),
  [4402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3),
  [4404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3),
  [4406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [4414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 5),
  [4432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 5),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter_part, 2),
  [4436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__formal_parameter_part, 2),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formal_parameter_part, 1),
  [4442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__formal_parameter_part, 1),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 2),
  [4446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 2),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter_list, 1),
  [4450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameter_list, 1),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 4),
  [4456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 4),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [4460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strict_formal_parameter_list, 3),
  [4462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strict_formal_parameter_list, 3),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [4468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(1915),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2),
  [4473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(1915),
  [4476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_or_type, 1),
  [4478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(2228),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [4483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_not_function, 1),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(2228),
  [4488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(2321),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 1), SHIFT(1915),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 4),
  [4510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 4),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 3),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [4528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__required, 1),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__required, 1),
  [4532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2422),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [4551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2),
  [4553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [4559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2492),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4),
  [4568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 4),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 6),
  [4572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer, 6),
  [4574] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 1), REDUCE(sym__function_type_tail, 1), SHIFT(1740),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2438),
  [4585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 1), SHIFT(1740),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__metadata, 1),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2), SHIFT_REPEAT(2892),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__metadata_repeat1, 2),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(3154),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2452),
  [4645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2452),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2846),
  [4653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2404),
  [4656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2454),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2454),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2),
  [4664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2716),
  [4667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2407),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 1), REDUCE(sym__type_name, 1, .production_id = 1),
  [4683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_name, 1, .production_id = 1), SHIFT(1774),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4700] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_not_void_not_function, 2), REDUCE(sym__function_type_tail, 2), SHIFT(1740),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configurable_uri, 1),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier, 1),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2532),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2813),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2535),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 2), SHIFT(1740),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2536),
  [4781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2685),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2540),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_tail, 3), SHIFT(1740),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2331),
  [4811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2331),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2),
  [4816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2265),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2366),
  [4836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2366),
  [4839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2),
  [4841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 2), SHIFT_REPEAT(2251),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 1),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [4854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [4856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_signature, 1),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__static, 1),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_builtin, 1),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 1),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3248),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 2, .production_id = 4),
  [4906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 2, .production_id = 4),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2),
  [4912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2), SHIFT_REPEAT(2236),
  [4915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_initializers_repeat1, 2),
  [4917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 2, .production_id = 9),
  [4919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 2, .production_id = 9),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 2, .production_id = 4),
  [4941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__formal_parameter_part, 1), REDUCE(sym_constructor_signature, 2, .production_id = 50),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_signature, 2, .production_id = 50),
  [4946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__formal_parameter_part, 1), REDUCE(sym_constructor_signature, 2, .production_id = 50),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 1),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_multiple_repeat1, 1),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [4963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__export, 1),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__export, 1),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import, 1),
  [4971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import, 1),
  [4973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 4),
  [4975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 4),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializers, 3),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializers, 3),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 22),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 22),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 3),
  [4993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 1),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2355),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_multiple_repeat1, 1),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 2),
  [5003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 4),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 3, .production_id = 20),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2),
  [5015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2446),
  [5018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 2), SHIFT_REPEAT(2327),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_configuration_uri_condition, 3),
  [5031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration_uri_condition, 3),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 3, .production_id = 20),
  [5043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 3, .production_id = 20),
  [5045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(2135),
  [5048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(3006),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_identifier, 4, .production_id = 35),
  [5053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2443),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2),
  [5058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 2), SHIFT_REPEAT(2336),
  [5061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 3),
  [5063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 3),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 4, .production_id = 20),
  [5067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 4, .production_id = 20),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 4),
  [5071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 4),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 3, .production_id = 4),
  [5075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 3, .production_id = 4),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializers, 2),
  [5081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializers, 2),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 2, .production_id = 5),
  [5087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 2, .production_id = 5),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(2191),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sub_string_test, 2),
  [5098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sub_string_test, 2),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 1),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 1),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 2),
  [5108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 2), SHIFT_REPEAT(2948),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 4),
  [5113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 4),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [5119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_factory_constructor_signature, 3),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [5123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_factory_constructor_signature, 3),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [5141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 3),
  [5143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 3),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 1),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [5149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_double_quotes_repeat1, 1),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 5),
  [5153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 5),
  [5155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 1),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_single_quotes_repeat1, 1),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion, 2),
  [5169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion, 2),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [5183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(2481),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_signature, 4, .production_id = 78),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_signature, 4, .production_id = 78),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list_entry, 2),
  [5192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list_entry, 2),
  [5194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 4),
  [5196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 4),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configurable_uri, 2),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [5212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_factory_constructor_signature, 4),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [5216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_factory_constructor_signature, 4),
  [5218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assertion_arguments, 6),
  [5220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assertion_arguments, 6),
  [5222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__covariant, 1),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [5242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element, 1),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [5246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri, 1),
  [5248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 2),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 2),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1),
  [5256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expression_repeat1, 2), SHIFT_REPEAT(2469),
  [5259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2),
  [5261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 2),
  [5263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_signature, 2),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 5),
  [5271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 5),
  [5273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_signature, 5),
  [5275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_signature, 5),
  [5277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 3, .production_id = 4),
  [5279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 3, .production_id = 4),
  [5281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_formal_parameter, 1, .production_id = 2),
  [5283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 3, .production_id = 9),
  [5285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 3, .production_id = 9),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [5289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declared_identifier, 3, .production_id = 20), REDUCE(sym__declared_identifier, 4, .production_id = 35),
  [5292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 5, .production_id = 20),
  [5294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 5, .production_id = 20),
  [5296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 1, .production_id = 2),
  [5298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 1),
  [5300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 1),
  [5302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 1, .production_id = 2),
  [5304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_factory_constructor_signature_repeat1, 2),
  [5306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_factory_constructor_signature_repeat1, 2), SHIFT_REPEAT(3308),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setter_signature, 4, .production_id = 4),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setter_signature, 4, .production_id = 4),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_param, 5),
  [5317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 1),
  [5319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_single_quotes_multiple_repeat1, 1),
  [5321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_formal_parameter, 5),
  [5323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 1),
  [5325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_multiple_repeat1, 1),
  [5327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 4),
  [5329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 4),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_formal_parameter, 5),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 11),
  [5343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 22),
  [5345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 22),
  [5347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_getter_signature, 4, .production_id = 20),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_getter_signature, 4, .production_id = 20),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 4),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 4),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [5359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declared_identifier, 2, .production_id = 4), REDUCE(sym__declared_identifier, 3, .production_id = 20),
  [5362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 2, .production_id = 10),
  [5364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__native, 2),
  [5366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__native, 2),
  [5368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameter, 2),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inferred_type, 1),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 1),
  [5376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 2),
  [5378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 2), SHIFT_REPEAT(2949),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [5383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__late_builtin, 1),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 2), SHIFT_REPEAT(3166),
  [5392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 2),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [5396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 40),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2), SHIFT_REPEAT(3227),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_not_void_list_repeat1, 2),
  [5409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_not_void_list_repeat1, 2), SHIFT_REPEAT(2111),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3161),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [5418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__external_and_static, 2),
  [5420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_configurable_uri_repeat1, 1),
  [5422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 2, .production_id = 28),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [5428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_list, 2),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_tails, 2), SHIFT_REPEAT(1932),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_not_void_list, 1),
  [5437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_double_quotes_repeat1, 1),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_identifier_list, 1),
  [5441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__string_literal_single_quotes_repeat1, 1),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 1, .production_id = 2),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_identifier_list, 2),
  [5453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_configuration_uri, 3),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 2),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application, 2),
  [5461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_type_list_repeat1, 2), SHIFT_REPEAT(1947),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_type_list_repeat1, 2),
  [5466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(169),
  [5469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 2),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_element, 5, .production_id = 37),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2),
  [5481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 1),
  [5483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_operator, 1),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 1),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [5495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_parameter_type, 1),
  [5497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 3),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_element, 3, .production_id = 13),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_element, 3, .production_id = 14),
  [5505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2),
  [5507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_literal_repeat1, 2), SHIFT_REPEAT(155),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 23),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_identifier, 2),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 2),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 1), SHIFT(169),
  [5521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 1),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_element, 4, .production_id = 24),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 11),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_parameter_type, 2),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 62),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 2, .production_id = 2),
  [5565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__normal_formal_parameters_repeat1, 2), SHIFT_REPEAT(933),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__normal_formal_parameters_repeat1, 2),
  [5570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(2120),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [5575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(2237),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier_list, 1),
  [5588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_case_repeat1, 1),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_const_var_or_type, 3),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_operator, 1),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 2), SHIFT(2691),
  [5623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__final_const_var_or_type, 3), SHIFT(2691),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__final_const_var_or_type, 2), SHIFT(3285),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration_list, 1),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [5655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 1), SHIFT(933),
  [5658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 1),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixins, 2),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_library_export_repeat1, 1),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [5688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [5690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [5692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier_list, 2),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initialized_identifier_list_repeat1, 2), SHIFT_REPEAT(2975),
  [5701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initialized_identifier_list_repeat1, 2),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 3, .production_id = 21),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_static_final_declaration_list_repeat1, 2), SHIFT_REPEAT(2910),
  [5710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_final_declaration_list_repeat1, 2),
  [5712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__try_head, 2, .production_id = 3),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(2773),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [5723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 2), SHIFT(2700),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [5742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_combinator, 2),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [5756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 1), SHIFT(2700),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_variable_definition, 4, .production_id = 21),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__named_formal_parameters_repeat1, 2),
  [5783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__named_formal_parameters_repeat1, 2), SHIFT_REPEAT(853),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [5790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_positional_parameters_repeat1, 2), SHIFT_REPEAT(900),
  [5793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_positional_parameters_repeat1, 2),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__var_or_type, 1), SHIFT(2477),
  [5802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 41), SHIFT_REPEAT(209),
  [5805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 41),
  [5807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 43),
  [5809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 45),
  [5811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 46),
  [5813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 3), SHIFT(2700),
  [5816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 3),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_operator, 2),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__final_or_const, 1),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [5838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2), SHIFT_REPEAT(2700),
  [5841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2),
  [5843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 1), SHIFT(2691),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [5848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat2, 2), SHIFT_REPEAT(188),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat2, 2),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [5863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration_list, 2),
  [5865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__argument_list, 3), SHIFT(2773),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_list, 3),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat3, 2), SHIFT_REPEAT(2773),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [5887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2), SHIFT_REPEAT(2700),
  [5890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__argument_list_repeat1, 2),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [5912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializers_repeat1, 2), SHIFT_REPEAT(2271),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [5923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__implements, 1),
  [5925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 58),
  [5927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 59),
  [5929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 61),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 63),
  [5935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 64), SHIFT_REPEAT(263),
  [5938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 64),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 4, .production_id = 65),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2), SHIFT_REPEAT(2263),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [5963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 2), SHIFT(933),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__normal_formal_parameters, 2),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_parameter_types_repeat1, 2),
  [5978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_parameter_types_repeat1, 2), SHIFT_REPEAT(1861),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 71),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [5989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_formal_parameter, 1),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [5993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 72),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 74),
  [5997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 75),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 5, .production_id = 76),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_builtin, 1),
  [6003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typedef, 1),
  [6005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set, 1),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__get, 1),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 79),
  [6015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_or_type, 2),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [6021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [6023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 80),
  [6025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 6, .production_id = 81),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier_list, 2),
  [6033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 7, .production_id = 82),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [6049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 7),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 6),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [6057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 5),
  [6059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 1),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 3),
  [6111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_constructor_signature, 3),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat2, 2, .production_id = 28),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 4),
  [6121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 2),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri_test, 1),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 3),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2),
  [6143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 1),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified, 1),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [6153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 4),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [6163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_loop_parts_repeat1, 2, .production_id = 39),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [6169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, .production_id = 11),
  [6171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, .production_id = 5),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [6189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_formal_parameter, 3),
  [6191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_named_parameter, 3),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [6205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_parameter_type, 1),
  [6207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initialized_identifier, 3),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interfaces, 2),
  [6217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_final_declaration, 3),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [6225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_argument, 2),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dot_identifier, 2, .dynamic_precedence = 19),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 21),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 4),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [6307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 4),
  [6309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_formal_parameters, 1),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__factory, 1),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [6399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_loop_parts, 3, .production_id = 38),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [6431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bitwise_operator, 1),
  [6433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 1),
  [6435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitwise_operator, 1),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 3),
  [6443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 3),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_parameters, 3),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [6461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [6471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 3),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 3),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as, 1),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_formal_parameters, 5),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__deferred, 1),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optional_postional_formal_parameters, 5),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_types, 1),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mixin_application, 3),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [6515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 4),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [6529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 4),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [6539] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified, 3),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mixin, 1),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [6559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 3),
  [6561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 4),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [6569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_parameters, 5),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [6575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uri_test, 3),
  [6577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter_types, 5),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_positional_parameter_types, 5),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [6597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 5),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [6621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirection, 5),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [6635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 8),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [6641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [6643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [6645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__var_or_type, 1), SHIFT(2489),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [6662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirecting_factory_constructor_signature, 9),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 3),
  [6670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation_comment, 1),
  [6672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation_comment, 2),
  [6676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 2),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_dart_external_scanner_create(void);
void tree_sitter_dart_external_scanner_destroy(void *);
bool tree_sitter_dart_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_dart_external_scanner_serialize(void *, char *);
void tree_sitter_dart_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_dart(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_dart_external_scanner_create,
      tree_sitter_dart_external_scanner_destroy,
      tree_sitter_dart_external_scanner_scan,
      tree_sitter_dart_external_scanner_serialize,
      tree_sitter_dart_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
