#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1368
#define LARGE_STATE_COUNT 207
#define SYMBOL_COUNT 241
#define ALIAS_COUNT 5
#define TOKEN_COUNT 124
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 34
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 98

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_else = 15,
  anon_sym_if = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_LT = 42,
  anon_sym_GT = 43,
  anon_sym_SLASH = 44,
  sym_jsx_text = 45,
  sym_jsx_identifier = 46,
  anon_sym_DOT = 47,
  anon_sym_class = 48,
  anon_sym_extends = 49,
  anon_sym_async = 50,
  anon_sym_function = 51,
  anon_sym_EQ_GT = 52,
  anon_sym_QMARK_DOT = 53,
  anon_sym_new = 54,
  anon_sym_PLUS_EQ = 55,
  anon_sym_DASH_EQ = 56,
  anon_sym_STAR_EQ = 57,
  anon_sym_SLASH_EQ = 58,
  anon_sym_PERCENT_EQ = 59,
  anon_sym_CARET_EQ = 60,
  anon_sym_AMP_EQ = 61,
  anon_sym_PIPE_EQ = 62,
  anon_sym_GT_GT_EQ = 63,
  anon_sym_GT_GT_GT_EQ = 64,
  anon_sym_LT_LT_EQ = 65,
  anon_sym_STAR_STAR_EQ = 66,
  anon_sym_AMP_AMP_EQ = 67,
  anon_sym_PIPE_PIPE_EQ = 68,
  anon_sym_QMARK_QMARK_EQ = 69,
  anon_sym_DOT_DOT_DOT = 70,
  anon_sym_QMARK = 71,
  anon_sym_AMP_AMP = 72,
  anon_sym_PIPE_PIPE = 73,
  anon_sym_GT_GT = 74,
  anon_sym_GT_GT_GT = 75,
  anon_sym_LT_LT = 76,
  anon_sym_AMP = 77,
  anon_sym_CARET = 78,
  anon_sym_PIPE = 79,
  anon_sym_PLUS = 80,
  anon_sym_DASH = 81,
  anon_sym_PERCENT = 82,
  anon_sym_STAR_STAR = 83,
  anon_sym_LT_EQ = 84,
  anon_sym_EQ_EQ = 85,
  anon_sym_EQ_EQ_EQ = 86,
  anon_sym_BANG_EQ = 87,
  anon_sym_BANG_EQ_EQ = 88,
  anon_sym_GT_EQ = 89,
  anon_sym_QMARK_QMARK = 90,
  anon_sym_instanceof = 91,
  anon_sym_BANG = 92,
  anon_sym_TILDE = 93,
  anon_sym_typeof = 94,
  anon_sym_void = 95,
  anon_sym_delete = 96,
  anon_sym_PLUS_PLUS = 97,
  anon_sym_DASH_DASH = 98,
  anon_sym_DQUOTE = 99,
  aux_sym_string_token1 = 100,
  anon_sym_SQUOTE = 101,
  aux_sym_string_token2 = 102,
  sym_escape_sequence = 103,
  sym_comment = 104,
  anon_sym_BQUOTE = 105,
  anon_sym_DOLLAR_LBRACE = 106,
  anon_sym_SLASH2 = 107,
  sym_regex_pattern = 108,
  sym_regex_flags = 109,
  sym_number = 110,
  anon_sym_target = 111,
  sym_this = 112,
  sym_super = 113,
  sym_true = 114,
  sym_false = 115,
  sym_null = 116,
  sym_undefined = 117,
  anon_sym_AT = 118,
  anon_sym_static = 119,
  anon_sym_get = 120,
  anon_sym_set = 121,
  sym__automatic_semicolon = 122,
  sym__template_chars = 123,
  sym_program = 124,
  sym_export_statement = 125,
  sym_export_clause = 126,
  sym__import_export_specifier = 127,
  sym_declaration = 128,
  sym_import = 129,
  sym_import_statement = 130,
  sym_import_clause = 131,
  sym__from_clause = 132,
  sym_namespace_import = 133,
  sym_named_imports = 134,
  sym_expression_statement = 135,
  sym_variable_declaration = 136,
  sym_lexical_declaration = 137,
  sym_variable_declarator = 138,
  sym_statement_block = 139,
  sym_else_clause = 140,
  sym_if_statement = 141,
  sym_switch_statement = 142,
  sym_for_statement = 143,
  sym_for_in_statement = 144,
  sym__for_header = 145,
  sym_while_statement = 146,
  sym_do_statement = 147,
  sym_try_statement = 148,
  sym_with_statement = 149,
  sym_break_statement = 150,
  sym_continue_statement = 151,
  sym_debugger_statement = 152,
  sym_return_statement = 153,
  sym_throw_statement = 154,
  sym_empty_statement = 155,
  sym_labeled_statement = 156,
  sym_switch_body = 157,
  sym_switch_case = 158,
  sym_switch_default = 159,
  sym_catch_clause = 160,
  sym_finally_clause = 161,
  sym_parenthesized_expression = 162,
  sym_expression = 163,
  sym_primary_expression = 164,
  sym_yield_expression = 165,
  sym_object = 166,
  sym_object_pattern = 167,
  sym_assignment_pattern = 168,
  sym_object_assignment_pattern = 169,
  sym_array = 170,
  sym_array_pattern = 171,
  sym_jsx_element = 172,
  sym_jsx_fragment = 173,
  sym_jsx_expression = 174,
  sym_jsx_opening_element = 175,
  sym_nested_identifier = 176,
  sym_jsx_namespace_name = 177,
  sym_jsx_closing_element = 178,
  sym_jsx_self_closing_element = 179,
  sym_jsx_attribute = 180,
  sym_class = 181,
  sym_class_declaration = 182,
  sym_class_heritage = 183,
  sym_function = 184,
  sym_function_declaration = 185,
  sym_generator_function = 186,
  sym_generator_function_declaration = 187,
  sym_arrow_function = 188,
  sym_call_expression = 189,
  sym_new_expression = 190,
  sym_await_expression = 191,
  sym_member_expression = 192,
  sym_subscript_expression = 193,
  sym_assignment_expression = 194,
  sym__augmented_assignment_lhs = 195,
  sym_augmented_assignment_expression = 196,
  sym__initializer = 197,
  sym__destructuring_pattern = 198,
  sym_spread_element = 199,
  sym_ternary_expression = 200,
  sym_binary_expression = 201,
  sym_unary_expression = 202,
  sym_update_expression = 203,
  sym_sequence_expression = 204,
  sym_string = 205,
  sym_template_string = 206,
  sym_template_substitution = 207,
  sym_regex = 208,
  sym_meta_property = 209,
  sym_arguments = 210,
  sym_decorator = 211,
  sym_decorator_member_expression = 212,
  sym_decorator_call_expression = 213,
  sym_class_body = 214,
  sym_public_field_definition = 215,
  sym_formal_parameters = 216,
  sym_pattern = 217,
  sym_rest_pattern = 218,
  sym_method_definition = 219,
  sym_pair = 220,
  sym_pair_pattern = 221,
  sym__property_name = 222,
  sym_computed_property_name = 223,
  aux_sym_program_repeat1 = 224,
  aux_sym_export_statement_repeat1 = 225,
  aux_sym_export_clause_repeat1 = 226,
  aux_sym_named_imports_repeat1 = 227,
  aux_sym_variable_declaration_repeat1 = 228,
  aux_sym_switch_body_repeat1 = 229,
  aux_sym_object_repeat1 = 230,
  aux_sym_object_pattern_repeat1 = 231,
  aux_sym_array_repeat1 = 232,
  aux_sym_array_pattern_repeat1 = 233,
  aux_sym_jsx_element_repeat1 = 234,
  aux_sym_jsx_opening_element_repeat1 = 235,
  aux_sym_string_repeat1 = 236,
  aux_sym_string_repeat2 = 237,
  aux_sym_template_string_repeat1 = 238,
  aux_sym_class_body_repeat1 = 239,
  aux_sym_formal_parameters_repeat1 = 240,
  alias_sym_import_specifier = 241,
  alias_sym_property_identifier = 242,
  alias_sym_shorthand_property_identifier = 243,
  alias_sym_shorthand_property_identifier_pattern = 244,
  alias_sym_statement_identifier = 245,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_public_field_definition] = "public_field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_declaration = 11,
  field_decorator = 12,
  field_finalizer = 13,
  field_flags = 14,
  field_function = 15,
  field_handler = 16,
  field_increment = 17,
  field_index = 18,
  field_initializer = 19,
  field_key = 20,
  field_label = 21,
  field_left = 22,
  field_member = 23,
  field_name = 24,
  field_object = 25,
  field_open_tag = 26,
  field_operator = 27,
  field_parameter = 28,
  field_parameters = 29,
  field_pattern = 30,
  field_property = 31,
  field_right = 32,
  field_source = 33,
  field_value = 34,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 1},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 2},
  [22] = {.index = 27, .length = 3},
  [23] = {.index = 30, .length = 2},
  [24] = {.index = 32, .length = 2},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 2},
  [27] = {.index = 38, .length = 1},
  [28] = {.index = 39, .length = 1},
  [29] = {.index = 40, .length = 1},
  [30] = {.index = 41, .length = 1},
  [31] = {.index = 42, .length = 1},
  [32] = {.index = 43, .length = 1},
  [33] = {.index = 44, .length = 2},
  [34] = {.index = 46, .length = 1},
  [35] = {.index = 47, .length = 2},
  [36] = {.index = 49, .length = 2},
  [37] = {.index = 16, .length = 2},
  [38] = {.index = 18, .length = 2},
  [39] = {.index = 51, .length = 3},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 58, .length = 2},
  [43] = {.index = 60, .length = 2},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 66, .length = 1},
  [47] = {.index = 67, .length = 1},
  [48] = {.index = 68, .length = 2},
  [49] = {.index = 16, .length = 2},
  [50] = {.index = 70, .length = 2},
  [51] = {.index = 72, .length = 3},
  [52] = {.index = 68, .length = 2},
  [53] = {.index = 75, .length = 1},
  [54] = {.index = 76, .length = 3},
  [55] = {.index = 79, .length = 3},
  [56] = {.index = 82, .length = 3},
  [57] = {.index = 85, .length = 2},
  [58] = {.index = 87, .length = 2},
  [59] = {.index = 89, .length = 2},
  [60] = {.index = 91, .length = 1},
  [61] = {.index = 92, .length = 2},
  [62] = {.index = 94, .length = 2},
  [63] = {.index = 96, .length = 1},
  [64] = {.index = 97, .length = 2},
  [65] = {.index = 99, .length = 2},
  [66] = {.index = 101, .length = 2},
  [67] = {.index = 103, .length = 2},
  [68] = {.index = 101, .length = 2},
  [69] = {.index = 105, .length = 2},
  [70] = {.index = 107, .length = 3},
  [71] = {.index = 110, .length = 2},
  [72] = {.index = 112, .length = 3},
  [73] = {.index = 115, .length = 2},
  [74] = {.index = 117, .length = 2},
  [75] = {.index = 119, .length = 4},
  [76] = {.index = 123, .length = 2},
  [77] = {.index = 125, .length = 2},
  [78] = {.index = 127, .length = 2},
  [79] = {.index = 129, .length = 3},
  [80] = {.index = 132, .length = 2},
  [81] = {.index = 134, .length = 3},
  [82] = {.index = 137, .length = 2},
  [83] = {.index = 139, .length = 3},
  [84] = {.index = 142, .length = 1},
  [85] = {.index = 143, .length = 2},
  [86] = {.index = 145, .length = 3},
  [87] = {.index = 148, .length = 4},
  [88] = {.index = 152, .length = 2},
  [89] = {.index = 152, .length = 2},
  [90] = {.index = 154, .length = 3},
  [91] = {.index = 157, .length = 3},
  [92] = {.index = 160, .length = 3},
  [93] = {.index = 163, .length = 4},
  [94] = {.index = 167, .length = 2},
  [95] = {.index = 169, .length = 4},
  [96] = {.index = 173, .length = 2},
  [97] = {.index = 175, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_argument, 0},
    {field_operator, 1},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_label, 0},
  [16] =
    {field_left, 0},
    {field_right, 2},
  [18] =
    {field_body, 2},
    {field_parameter, 0},
  [20] =
    {field_source, 1},
  [21] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [23] =
    {field_condition, 1},
    {field_consequence, 2},
  [25] =
    {field_body, 2},
    {field_value, 1},
  [27] =
    {field_body, 2},
    {field_left, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_body, 1},
    {field_handler, 2},
  [34] =
    {field_body, 1},
    {field_finalizer, 2},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_label, 1},
  [39] =
    {field_name, 1},
  [40] =
    {field_attribute, 0},
  [41] =
    {field_pattern, 1},
  [42] =
    {field_member, 0},
  [43] =
    {field_property, 0},
  [44] =
    {field_body, 2},
    {field_name, 1},
  [46] =
    {field_body, 2},
  [47] =
    {field_body, 2},
    {field_parameters, 1},
  [49] =
    {field_arguments, 2},
    {field_constructor, 1},
  [51] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [54] =
    {field_object, 0},
    {field_property, 2},
  [56] =
    {field_arguments, 2},
    {field_function, 0},
  [58] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [60] =
    {field_body, 2},
    {field_parameters, 0},
  [62] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [64] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [66] =
    {field_source, 2, .inherited = true},
  [67] =
    {field_value, 2},
  [68] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [70] =
    {field_key, 0},
    {field_value, 2},
  [72] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [75] =
    {field_value, 1},
  [76] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [79] =
    {field_body, 3},
    {field_left, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [82] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [85] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [87] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [89] =
    {field_flags, 3},
    {field_pattern, 1},
  [91] =
    {field_property, 1},
  [92] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [94] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [96] =
    {field_member, 1, .inherited = true},
  [97] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
  [99] =
    {field_body, 3},
    {field_name, 1},
  [101] =
    {field_body, 3},
    {field_parameter, 1},
  [103] =
    {field_body, 3},
    {field_parameters, 2},
  [105] =
    {field_body, 3},
    {field_parameters, 1},
  [107] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [110] =
    {field_index, 2},
    {field_object, 0},
  [112] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [115] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [117] =
    {field_alias, 2},
    {field_name, 0},
  [119] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [123] =
    {field_body, 1},
    {field_condition, 3},
  [125] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [127] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [129] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [132] =
    {field_body, 4},
    {field_parameters, 3},
  [134] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [137] =
    {field_index, 3},
    {field_object, 0},
  [139] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [142] =
    {field_name, 2},
  [143] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [145] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [148] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [152] =
    {field_left, 1},
    {field_right, 3},
  [154] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [157] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [160] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [163] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [167] =
    {field_left, 2},
    {field_right, 4},
  [169] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [173] =
    {field_body, 4},
    {field_parameter, 2},
  [175] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
};

static TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [13] = {
    [0] = alias_sym_statement_identifier,
  },
  [14] = {
    [0] = sym_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [27] = {
    [1] = alias_sym_statement_identifier,
  },
  [40] = {
    [2] = alias_sym_property_identifier,
  },
  [49] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [52] = {
    [1] = alias_sym_import_specifier,
  },
  [66] = {
    [1] = sym_identifier,
  },
  [88] = {
    [1] = sym_identifier,
  },
};

static uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '~' || (c < 8288
      ? (c < 8203
        ? c == 160
        : c <= 8203)
      : (c <= 8288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '|' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '$') ADVANCE(187);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(188);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(58);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(188);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(82);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#' &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(20);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(188);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0) ADVANCE(156);
      END_STATE();
    case 8:
      if (lookahead == '$') ADVANCE(25);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      END_STATE();
    case 9:
      if (lookahead == '$') ADVANCE(25);
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(162);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(110);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(90);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == '=') ADVANCE(69);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(188);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 18:
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18)
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 21:
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == ']') ADVANCE(174);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == 'u') ADVANCE(26);
      if (lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      if (lookahead != 0) ADVANCE(164);
      END_STATE();
    case 23:
      if (lookahead == 'u') ADVANCE(27);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(167);
      if (lookahead != 0) ADVANCE(164);
      END_STATE();
    case 25:
      if (lookahead == '{') ADVANCE(171);
      END_STATE();
    case 26:
      if (lookahead == '{') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 27:
      if (lookahead == '{') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 28:
      if (lookahead == '{') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == '}') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '}') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '}') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 33:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(179);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(180);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(182);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(188);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(164);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(29);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(30);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 52:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 53:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(174);
      END_STATE();
    case 54:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '$') ADVANCE(187);
      if (lookahead == '%') ADVANCE(134);
      if (lookahead == '&') ADVANCE(123);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(60);
      if (lookahead == '+') ADVANCE(130);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(132);
      if (lookahead == '.') ADVANCE(91);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(76);
      if (lookahead == '=') ADVANCE(71);
      if (lookahead == '>') ADVANCE(79);
      if (lookahead == '?') ADVANCE(111);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(126);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(127);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(188);
      END_STATE();
    case 55:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '%') ADVANCE(133);
      if (lookahead == '&') ADVANCE(124);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(61);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(77);
      if (lookahead == '=') ADVANCE(70);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '?') ADVANCE(112);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '^') ADVANCE(125);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '|') ADVANCE(128);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(55)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(188);
      END_STATE();
    case 56:
      if (eof) ADVANCE(57);
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '"') ADVANCE(150);
      if (lookahead == '#') ADVANCE(2);
      if (lookahead == '\'') ADVANCE(157);
      if (lookahead == '(') ADVANCE(65);
      if (lookahead == ')') ADVANCE(66);
      if (lookahead == '*') ADVANCE(59);
      if (lookahead == '+') ADVANCE(129);
      if (lookahead == ',') ADVANCE(63);
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(14);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '0') ADVANCE(177);
      if (lookahead == ':') ADVANCE(68);
      if (lookahead == ';') ADVANCE(67);
      if (lookahead == '<') ADVANCE(75);
      if (lookahead == '=') ADVANCE(72);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(189);
      if (lookahead == '[') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(74);
      if (lookahead == '`') ADVANCE(170);
      if (lookahead == '{') ADVANCE(62);
      if (lookahead == '}') ADVANCE(64);
      if (lookahead == '~') ADVANCE(147);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(188);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(58);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(136);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(135);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(138);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(93);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(122);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(121);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(117);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(142);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '\n') ADVANCE(88);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(169);
      if (lookahead != 0) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(86);
      if (lookahead == '/') ADVANCE(83);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '/') ADVANCE(88);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(85);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(13);
      if (lookahead != 0) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '?') ADVANCE(144);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(94);
      if (lookahead == '?') ADVANCE(143);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '>') ADVANCE(120);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(114);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(113);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(102);
      if (lookahead == '|') ADVANCE(116);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(115);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(148);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(148);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(149);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(149);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(106);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(154);
      if (lookahead == '/') ADVANCE(151);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == '/') ADVANCE(156);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(155);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(156);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\n') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(158);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(161);
      if (lookahead == '/') ADVANCE(158);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '/') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(161);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(161);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '/') ADVANCE(159);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(23);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(188);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(164);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(166);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(169);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(173);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(174);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(23);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(188);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == '0') ADVANCE(182);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(33);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(34);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(41);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(176);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(185);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == '_') ADVANCE(35);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(176);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(176);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(184);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(186);
      if (lookahead != 0 &&
          lookahead > '~' &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(188);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '{') ADVANCE(171);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(23);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 56},
  [2] = {.lex_state = 56},
  [3] = {.lex_state = 56},
  [4] = {.lex_state = 56},
  [5] = {.lex_state = 56},
  [6] = {.lex_state = 56},
  [7] = {.lex_state = 56},
  [8] = {.lex_state = 56},
  [9] = {.lex_state = 56},
  [10] = {.lex_state = 56},
  [11] = {.lex_state = 56},
  [12] = {.lex_state = 56},
  [13] = {.lex_state = 56},
  [14] = {.lex_state = 56},
  [15] = {.lex_state = 56},
  [16] = {.lex_state = 56},
  [17] = {.lex_state = 56},
  [18] = {.lex_state = 56},
  [19] = {.lex_state = 56},
  [20] = {.lex_state = 56},
  [21] = {.lex_state = 56},
  [22] = {.lex_state = 56},
  [23] = {.lex_state = 56},
  [24] = {.lex_state = 56},
  [25] = {.lex_state = 56},
  [26] = {.lex_state = 56},
  [27] = {.lex_state = 56},
  [28] = {.lex_state = 56},
  [29] = {.lex_state = 56},
  [30] = {.lex_state = 56},
  [31] = {.lex_state = 56},
  [32] = {.lex_state = 56},
  [33] = {.lex_state = 56},
  [34] = {.lex_state = 56},
  [35] = {.lex_state = 56},
  [36] = {.lex_state = 56},
  [37] = {.lex_state = 56},
  [38] = {.lex_state = 56},
  [39] = {.lex_state = 56},
  [40] = {.lex_state = 56},
  [41] = {.lex_state = 56},
  [42] = {.lex_state = 56},
  [43] = {.lex_state = 56},
  [44] = {.lex_state = 55},
  [45] = {.lex_state = 55, .external_lex_state = 2},
  [46] = {.lex_state = 55},
  [47] = {.lex_state = 55, .external_lex_state = 2},
  [48] = {.lex_state = 55, .external_lex_state = 2},
  [49] = {.lex_state = 55, .external_lex_state = 2},
  [50] = {.lex_state = 55, .external_lex_state = 2},
  [51] = {.lex_state = 55, .external_lex_state = 2},
  [52] = {.lex_state = 55, .external_lex_state = 2},
  [53] = {.lex_state = 55, .external_lex_state = 2},
  [54] = {.lex_state = 55, .external_lex_state = 2},
  [55] = {.lex_state = 55, .external_lex_state = 2},
  [56] = {.lex_state = 55, .external_lex_state = 2},
  [57] = {.lex_state = 55, .external_lex_state = 2},
  [58] = {.lex_state = 55, .external_lex_state = 2},
  [59] = {.lex_state = 55, .external_lex_state = 2},
  [60] = {.lex_state = 55, .external_lex_state = 2},
  [61] = {.lex_state = 55, .external_lex_state = 2},
  [62] = {.lex_state = 56},
  [63] = {.lex_state = 56},
  [64] = {.lex_state = 56},
  [65] = {.lex_state = 56},
  [66] = {.lex_state = 56},
  [67] = {.lex_state = 56},
  [68] = {.lex_state = 56},
  [69] = {.lex_state = 56},
  [70] = {.lex_state = 56},
  [71] = {.lex_state = 56},
  [72] = {.lex_state = 56},
  [73] = {.lex_state = 56},
  [74] = {.lex_state = 56},
  [75] = {.lex_state = 56},
  [76] = {.lex_state = 56},
  [77] = {.lex_state = 56},
  [78] = {.lex_state = 56},
  [79] = {.lex_state = 56},
  [80] = {.lex_state = 56},
  [81] = {.lex_state = 56},
  [82] = {.lex_state = 56, .external_lex_state = 2},
  [83] = {.lex_state = 56},
  [84] = {.lex_state = 56},
  [85] = {.lex_state = 56},
  [86] = {.lex_state = 56},
  [87] = {.lex_state = 56},
  [88] = {.lex_state = 3},
  [89] = {.lex_state = 56},
  [90] = {.lex_state = 56},
  [91] = {.lex_state = 56},
  [92] = {.lex_state = 56},
  [93] = {.lex_state = 56},
  [94] = {.lex_state = 56},
  [95] = {.lex_state = 56},
  [96] = {.lex_state = 56},
  [97] = {.lex_state = 56},
  [98] = {.lex_state = 4, .external_lex_state = 2},
  [99] = {.lex_state = 56},
  [100] = {.lex_state = 56},
  [101] = {.lex_state = 56},
  [102] = {.lex_state = 56},
  [103] = {.lex_state = 56},
  [104] = {.lex_state = 3},
  [105] = {.lex_state = 56},
  [106] = {.lex_state = 56},
  [107] = {.lex_state = 56},
  [108] = {.lex_state = 56},
  [109] = {.lex_state = 56},
  [110] = {.lex_state = 56},
  [111] = {.lex_state = 56},
  [112] = {.lex_state = 56},
  [113] = {.lex_state = 56},
  [114] = {.lex_state = 56},
  [115] = {.lex_state = 4, .external_lex_state = 2},
  [116] = {.lex_state = 3},
  [117] = {.lex_state = 56},
  [118] = {.lex_state = 56},
  [119] = {.lex_state = 4, .external_lex_state = 2},
  [120] = {.lex_state = 56},
  [121] = {.lex_state = 56},
  [122] = {.lex_state = 56},
  [123] = {.lex_state = 3},
  [124] = {.lex_state = 56},
  [125] = {.lex_state = 56},
  [126] = {.lex_state = 56},
  [127] = {.lex_state = 56},
  [128] = {.lex_state = 56},
  [129] = {.lex_state = 56},
  [130] = {.lex_state = 56},
  [131] = {.lex_state = 56},
  [132] = {.lex_state = 56},
  [133] = {.lex_state = 56},
  [134] = {.lex_state = 56},
  [135] = {.lex_state = 56},
  [136] = {.lex_state = 56},
  [137] = {.lex_state = 56},
  [138] = {.lex_state = 56},
  [139] = {.lex_state = 56},
  [140] = {.lex_state = 56},
  [141] = {.lex_state = 56},
  [142] = {.lex_state = 56},
  [143] = {.lex_state = 56},
  [144] = {.lex_state = 56},
  [145] = {.lex_state = 56},
  [146] = {.lex_state = 56},
  [147] = {.lex_state = 56},
  [148] = {.lex_state = 56},
  [149] = {.lex_state = 56},
  [150] = {.lex_state = 56},
  [151] = {.lex_state = 56},
  [152] = {.lex_state = 56},
  [153] = {.lex_state = 56},
  [154] = {.lex_state = 56},
  [155] = {.lex_state = 56},
  [156] = {.lex_state = 56},
  [157] = {.lex_state = 56},
  [158] = {.lex_state = 56},
  [159] = {.lex_state = 56},
  [160] = {.lex_state = 56},
  [161] = {.lex_state = 56},
  [162] = {.lex_state = 56},
  [163] = {.lex_state = 56},
  [164] = {.lex_state = 56},
  [165] = {.lex_state = 56},
  [166] = {.lex_state = 56},
  [167] = {.lex_state = 56},
  [168] = {.lex_state = 56},
  [169] = {.lex_state = 56},
  [170] = {.lex_state = 56},
  [171] = {.lex_state = 56},
  [172] = {.lex_state = 56},
  [173] = {.lex_state = 56},
  [174] = {.lex_state = 56},
  [175] = {.lex_state = 56},
  [176] = {.lex_state = 56},
  [177] = {.lex_state = 56},
  [178] = {.lex_state = 56},
  [179] = {.lex_state = 56},
  [180] = {.lex_state = 56},
  [181] = {.lex_state = 56},
  [182] = {.lex_state = 56},
  [183] = {.lex_state = 56},
  [184] = {.lex_state = 56},
  [185] = {.lex_state = 56},
  [186] = {.lex_state = 56},
  [187] = {.lex_state = 56},
  [188] = {.lex_state = 56},
  [189] = {.lex_state = 56},
  [190] = {.lex_state = 56},
  [191] = {.lex_state = 56},
  [192] = {.lex_state = 56},
  [193] = {.lex_state = 56},
  [194] = {.lex_state = 56},
  [195] = {.lex_state = 56},
  [196] = {.lex_state = 4, .external_lex_state = 2},
  [197] = {.lex_state = 4, .external_lex_state = 2},
  [198] = {.lex_state = 4, .external_lex_state = 2},
  [199] = {.lex_state = 4, .external_lex_state = 2},
  [200] = {.lex_state = 4, .external_lex_state = 2},
  [201] = {.lex_state = 4, .external_lex_state = 2},
  [202] = {.lex_state = 4, .external_lex_state = 2},
  [203] = {.lex_state = 4, .external_lex_state = 2},
  [204] = {.lex_state = 4, .external_lex_state = 2},
  [205] = {.lex_state = 4, .external_lex_state = 2},
  [206] = {.lex_state = 4, .external_lex_state = 2},
  [207] = {.lex_state = 4},
  [208] = {.lex_state = 4},
  [209] = {.lex_state = 56, .external_lex_state = 2},
  [210] = {.lex_state = 56, .external_lex_state = 2},
  [211] = {.lex_state = 4, .external_lex_state = 2},
  [212] = {.lex_state = 4, .external_lex_state = 2},
  [213] = {.lex_state = 56},
  [214] = {.lex_state = 4, .external_lex_state = 2},
  [215] = {.lex_state = 4, .external_lex_state = 2},
  [216] = {.lex_state = 56},
  [217] = {.lex_state = 56},
  [218] = {.lex_state = 4, .external_lex_state = 2},
  [219] = {.lex_state = 4},
  [220] = {.lex_state = 56},
  [221] = {.lex_state = 4},
  [222] = {.lex_state = 4},
  [223] = {.lex_state = 4},
  [224] = {.lex_state = 56},
  [225] = {.lex_state = 56, .external_lex_state = 2},
  [226] = {.lex_state = 4},
  [227] = {.lex_state = 56},
  [228] = {.lex_state = 56, .external_lex_state = 2},
  [229] = {.lex_state = 56, .external_lex_state = 2},
  [230] = {.lex_state = 56},
  [231] = {.lex_state = 56, .external_lex_state = 2},
  [232] = {.lex_state = 56, .external_lex_state = 2},
  [233] = {.lex_state = 56, .external_lex_state = 2},
  [234] = {.lex_state = 56, .external_lex_state = 2},
  [235] = {.lex_state = 56, .external_lex_state = 2},
  [236] = {.lex_state = 56, .external_lex_state = 2},
  [237] = {.lex_state = 56, .external_lex_state = 2},
  [238] = {.lex_state = 56, .external_lex_state = 2},
  [239] = {.lex_state = 56, .external_lex_state = 2},
  [240] = {.lex_state = 56, .external_lex_state = 2},
  [241] = {.lex_state = 56},
  [242] = {.lex_state = 56},
  [243] = {.lex_state = 56, .external_lex_state = 2},
  [244] = {.lex_state = 56},
  [245] = {.lex_state = 56},
  [246] = {.lex_state = 56},
  [247] = {.lex_state = 56},
  [248] = {.lex_state = 56},
  [249] = {.lex_state = 56},
  [250] = {.lex_state = 56},
  [251] = {.lex_state = 56},
  [252] = {.lex_state = 56},
  [253] = {.lex_state = 56},
  [254] = {.lex_state = 56},
  [255] = {.lex_state = 56},
  [256] = {.lex_state = 56},
  [257] = {.lex_state = 56},
  [258] = {.lex_state = 56},
  [259] = {.lex_state = 56},
  [260] = {.lex_state = 56},
  [261] = {.lex_state = 56},
  [262] = {.lex_state = 56},
  [263] = {.lex_state = 56},
  [264] = {.lex_state = 56},
  [265] = {.lex_state = 56},
  [266] = {.lex_state = 56},
  [267] = {.lex_state = 56},
  [268] = {.lex_state = 56},
  [269] = {.lex_state = 56},
  [270] = {.lex_state = 56},
  [271] = {.lex_state = 56},
  [272] = {.lex_state = 56},
  [273] = {.lex_state = 56},
  [274] = {.lex_state = 56},
  [275] = {.lex_state = 56},
  [276] = {.lex_state = 56},
  [277] = {.lex_state = 56},
  [278] = {.lex_state = 56},
  [279] = {.lex_state = 56},
  [280] = {.lex_state = 56},
  [281] = {.lex_state = 56},
  [282] = {.lex_state = 56},
  [283] = {.lex_state = 56},
  [284] = {.lex_state = 56},
  [285] = {.lex_state = 56},
  [286] = {.lex_state = 56},
  [287] = {.lex_state = 56},
  [288] = {.lex_state = 56},
  [289] = {.lex_state = 56},
  [290] = {.lex_state = 56},
  [291] = {.lex_state = 56},
  [292] = {.lex_state = 56},
  [293] = {.lex_state = 56},
  [294] = {.lex_state = 56},
  [295] = {.lex_state = 56},
  [296] = {.lex_state = 56},
  [297] = {.lex_state = 56},
  [298] = {.lex_state = 56},
  [299] = {.lex_state = 56},
  [300] = {.lex_state = 56},
  [301] = {.lex_state = 56},
  [302] = {.lex_state = 56},
  [303] = {.lex_state = 56},
  [304] = {.lex_state = 56},
  [305] = {.lex_state = 56},
  [306] = {.lex_state = 56},
  [307] = {.lex_state = 56},
  [308] = {.lex_state = 56},
  [309] = {.lex_state = 56},
  [310] = {.lex_state = 56},
  [311] = {.lex_state = 56},
  [312] = {.lex_state = 56},
  [313] = {.lex_state = 56},
  [314] = {.lex_state = 56},
  [315] = {.lex_state = 56},
  [316] = {.lex_state = 56},
  [317] = {.lex_state = 56},
  [318] = {.lex_state = 56},
  [319] = {.lex_state = 56},
  [320] = {.lex_state = 56},
  [321] = {.lex_state = 56},
  [322] = {.lex_state = 56},
  [323] = {.lex_state = 56},
  [324] = {.lex_state = 56},
  [325] = {.lex_state = 56},
  [326] = {.lex_state = 56},
  [327] = {.lex_state = 56},
  [328] = {.lex_state = 56},
  [329] = {.lex_state = 56},
  [330] = {.lex_state = 56},
  [331] = {.lex_state = 56},
  [332] = {.lex_state = 4, .external_lex_state = 2},
  [333] = {.lex_state = 4, .external_lex_state = 2},
  [334] = {.lex_state = 4, .external_lex_state = 2},
  [335] = {.lex_state = 4},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 4},
  [344] = {.lex_state = 4, .external_lex_state = 2},
  [345] = {.lex_state = 4, .external_lex_state = 2},
  [346] = {.lex_state = 4, .external_lex_state = 2},
  [347] = {.lex_state = 4, .external_lex_state = 2},
  [348] = {.lex_state = 4, .external_lex_state = 2},
  [349] = {.lex_state = 4, .external_lex_state = 2},
  [350] = {.lex_state = 4, .external_lex_state = 2},
  [351] = {.lex_state = 4, .external_lex_state = 2},
  [352] = {.lex_state = 4, .external_lex_state = 2},
  [353] = {.lex_state = 4, .external_lex_state = 2},
  [354] = {.lex_state = 4, .external_lex_state = 2},
  [355] = {.lex_state = 4, .external_lex_state = 2},
  [356] = {.lex_state = 4, .external_lex_state = 2},
  [357] = {.lex_state = 4, .external_lex_state = 2},
  [358] = {.lex_state = 4},
  [359] = {.lex_state = 4},
  [360] = {.lex_state = 56},
  [361] = {.lex_state = 4},
  [362] = {.lex_state = 4, .external_lex_state = 2},
  [363] = {.lex_state = 4, .external_lex_state = 2},
  [364] = {.lex_state = 56},
  [365] = {.lex_state = 4, .external_lex_state = 2},
  [366] = {.lex_state = 56},
  [367] = {.lex_state = 56},
  [368] = {.lex_state = 4},
  [369] = {.lex_state = 4},
  [370] = {.lex_state = 4},
  [371] = {.lex_state = 4},
  [372] = {.lex_state = 4},
  [373] = {.lex_state = 4},
  [374] = {.lex_state = 4},
  [375] = {.lex_state = 4},
  [376] = {.lex_state = 4},
  [377] = {.lex_state = 4},
  [378] = {.lex_state = 55},
  [379] = {.lex_state = 55},
  [380] = {.lex_state = 4},
  [381] = {.lex_state = 55},
  [382] = {.lex_state = 55, .external_lex_state = 2},
  [383] = {.lex_state = 55},
  [384] = {.lex_state = 55},
  [385] = {.lex_state = 55},
  [386] = {.lex_state = 55},
  [387] = {.lex_state = 55, .external_lex_state = 2},
  [388] = {.lex_state = 55, .external_lex_state = 2},
  [389] = {.lex_state = 55},
  [390] = {.lex_state = 55},
  [391] = {.lex_state = 55},
  [392] = {.lex_state = 55},
  [393] = {.lex_state = 55},
  [394] = {.lex_state = 55},
  [395] = {.lex_state = 55},
  [396] = {.lex_state = 55},
  [397] = {.lex_state = 55},
  [398] = {.lex_state = 55},
  [399] = {.lex_state = 55},
  [400] = {.lex_state = 55},
  [401] = {.lex_state = 55},
  [402] = {.lex_state = 55},
  [403] = {.lex_state = 55},
  [404] = {.lex_state = 55},
  [405] = {.lex_state = 55, .external_lex_state = 2},
  [406] = {.lex_state = 55},
  [407] = {.lex_state = 55},
  [408] = {.lex_state = 55},
  [409] = {.lex_state = 55},
  [410] = {.lex_state = 55},
  [411] = {.lex_state = 55},
  [412] = {.lex_state = 55},
  [413] = {.lex_state = 55},
  [414] = {.lex_state = 55},
  [415] = {.lex_state = 5},
  [416] = {.lex_state = 55},
  [417] = {.lex_state = 55},
  [418] = {.lex_state = 55},
  [419] = {.lex_state = 55},
  [420] = {.lex_state = 55},
  [421] = {.lex_state = 55},
  [422] = {.lex_state = 55, .external_lex_state = 2},
  [423] = {.lex_state = 55},
  [424] = {.lex_state = 55, .external_lex_state = 2},
  [425] = {.lex_state = 55, .external_lex_state = 2},
  [426] = {.lex_state = 55},
  [427] = {.lex_state = 55},
  [428] = {.lex_state = 55},
  [429] = {.lex_state = 55},
  [430] = {.lex_state = 55},
  [431] = {.lex_state = 55, .external_lex_state = 2},
  [432] = {.lex_state = 55},
  [433] = {.lex_state = 55, .external_lex_state = 2},
  [434] = {.lex_state = 55},
  [435] = {.lex_state = 55},
  [436] = {.lex_state = 55},
  [437] = {.lex_state = 55, .external_lex_state = 2},
  [438] = {.lex_state = 55, .external_lex_state = 2},
  [439] = {.lex_state = 55, .external_lex_state = 2},
  [440] = {.lex_state = 55, .external_lex_state = 2},
  [441] = {.lex_state = 55, .external_lex_state = 2},
  [442] = {.lex_state = 55},
  [443] = {.lex_state = 55},
  [444] = {.lex_state = 55},
  [445] = {.lex_state = 55, .external_lex_state = 2},
  [446] = {.lex_state = 55},
  [447] = {.lex_state = 55},
  [448] = {.lex_state = 55},
  [449] = {.lex_state = 55, .external_lex_state = 2},
  [450] = {.lex_state = 55, .external_lex_state = 2},
  [451] = {.lex_state = 55},
  [452] = {.lex_state = 55},
  [453] = {.lex_state = 55},
  [454] = {.lex_state = 55},
  [455] = {.lex_state = 55, .external_lex_state = 2},
  [456] = {.lex_state = 55, .external_lex_state = 2},
  [457] = {.lex_state = 55},
  [458] = {.lex_state = 55},
  [459] = {.lex_state = 55},
  [460] = {.lex_state = 55},
  [461] = {.lex_state = 55},
  [462] = {.lex_state = 55},
  [463] = {.lex_state = 55},
  [464] = {.lex_state = 55},
  [465] = {.lex_state = 55},
  [466] = {.lex_state = 55, .external_lex_state = 2},
  [467] = {.lex_state = 55},
  [468] = {.lex_state = 55},
  [469] = {.lex_state = 55},
  [470] = {.lex_state = 55},
  [471] = {.lex_state = 55},
  [472] = {.lex_state = 55, .external_lex_state = 2},
  [473] = {.lex_state = 55},
  [474] = {.lex_state = 55, .external_lex_state = 2},
  [475] = {.lex_state = 55},
  [476] = {.lex_state = 55, .external_lex_state = 2},
  [477] = {.lex_state = 55},
  [478] = {.lex_state = 55},
  [479] = {.lex_state = 55},
  [480] = {.lex_state = 55, .external_lex_state = 2},
  [481] = {.lex_state = 55},
  [482] = {.lex_state = 55},
  [483] = {.lex_state = 55, .external_lex_state = 2},
  [484] = {.lex_state = 55},
  [485] = {.lex_state = 55},
  [486] = {.lex_state = 55},
  [487] = {.lex_state = 55, .external_lex_state = 2},
  [488] = {.lex_state = 55, .external_lex_state = 2},
  [489] = {.lex_state = 55},
  [490] = {.lex_state = 55},
  [491] = {.lex_state = 55, .external_lex_state = 2},
  [492] = {.lex_state = 55, .external_lex_state = 2},
  [493] = {.lex_state = 55, .external_lex_state = 2},
  [494] = {.lex_state = 55, .external_lex_state = 2},
  [495] = {.lex_state = 55, .external_lex_state = 2},
  [496] = {.lex_state = 55},
  [497] = {.lex_state = 55},
  [498] = {.lex_state = 55},
  [499] = {.lex_state = 55},
  [500] = {.lex_state = 55},
  [501] = {.lex_state = 55},
  [502] = {.lex_state = 55},
  [503] = {.lex_state = 55, .external_lex_state = 2},
  [504] = {.lex_state = 55, .external_lex_state = 2},
  [505] = {.lex_state = 55, .external_lex_state = 2},
  [506] = {.lex_state = 55, .external_lex_state = 2},
  [507] = {.lex_state = 55, .external_lex_state = 2},
  [508] = {.lex_state = 55, .external_lex_state = 2},
  [509] = {.lex_state = 55},
  [510] = {.lex_state = 55},
  [511] = {.lex_state = 55},
  [512] = {.lex_state = 5, .external_lex_state = 2},
  [513] = {.lex_state = 55, .external_lex_state = 2},
  [514] = {.lex_state = 55, .external_lex_state = 2},
  [515] = {.lex_state = 55, .external_lex_state = 2},
  [516] = {.lex_state = 55},
  [517] = {.lex_state = 55, .external_lex_state = 2},
  [518] = {.lex_state = 55, .external_lex_state = 2},
  [519] = {.lex_state = 55, .external_lex_state = 2},
  [520] = {.lex_state = 55, .external_lex_state = 2},
  [521] = {.lex_state = 55, .external_lex_state = 2},
  [522] = {.lex_state = 55, .external_lex_state = 2},
  [523] = {.lex_state = 55, .external_lex_state = 2},
  [524] = {.lex_state = 55, .external_lex_state = 2},
  [525] = {.lex_state = 55, .external_lex_state = 2},
  [526] = {.lex_state = 55},
  [527] = {.lex_state = 55},
  [528] = {.lex_state = 55, .external_lex_state = 2},
  [529] = {.lex_state = 55, .external_lex_state = 2},
  [530] = {.lex_state = 55},
  [531] = {.lex_state = 55, .external_lex_state = 2},
  [532] = {.lex_state = 55, .external_lex_state = 2},
  [533] = {.lex_state = 55, .external_lex_state = 2},
  [534] = {.lex_state = 55},
  [535] = {.lex_state = 55},
  [536] = {.lex_state = 55, .external_lex_state = 2},
  [537] = {.lex_state = 55, .external_lex_state = 2},
  [538] = {.lex_state = 55, .external_lex_state = 2},
  [539] = {.lex_state = 55, .external_lex_state = 2},
  [540] = {.lex_state = 55, .external_lex_state = 2},
  [541] = {.lex_state = 55, .external_lex_state = 2},
  [542] = {.lex_state = 55, .external_lex_state = 2},
  [543] = {.lex_state = 55, .external_lex_state = 2},
  [544] = {.lex_state = 55, .external_lex_state = 2},
  [545] = {.lex_state = 55},
  [546] = {.lex_state = 55, .external_lex_state = 2},
  [547] = {.lex_state = 55, .external_lex_state = 2},
  [548] = {.lex_state = 55, .external_lex_state = 2},
  [549] = {.lex_state = 55, .external_lex_state = 2},
  [550] = {.lex_state = 55, .external_lex_state = 2},
  [551] = {.lex_state = 55, .external_lex_state = 2},
  [552] = {.lex_state = 55, .external_lex_state = 2},
  [553] = {.lex_state = 55, .external_lex_state = 2},
  [554] = {.lex_state = 55},
  [555] = {.lex_state = 55, .external_lex_state = 2},
  [556] = {.lex_state = 55, .external_lex_state = 2},
  [557] = {.lex_state = 55, .external_lex_state = 2},
  [558] = {.lex_state = 55},
  [559] = {.lex_state = 55, .external_lex_state = 2},
  [560] = {.lex_state = 55, .external_lex_state = 2},
  [561] = {.lex_state = 55},
  [562] = {.lex_state = 55},
  [563] = {.lex_state = 55},
  [564] = {.lex_state = 55, .external_lex_state = 2},
  [565] = {.lex_state = 55, .external_lex_state = 2},
  [566] = {.lex_state = 55, .external_lex_state = 2},
  [567] = {.lex_state = 55, .external_lex_state = 2},
  [568] = {.lex_state = 55, .external_lex_state = 2},
  [569] = {.lex_state = 55, .external_lex_state = 2},
  [570] = {.lex_state = 55, .external_lex_state = 2},
  [571] = {.lex_state = 55, .external_lex_state = 2},
  [572] = {.lex_state = 55, .external_lex_state = 2},
  [573] = {.lex_state = 55, .external_lex_state = 2},
  [574] = {.lex_state = 55},
  [575] = {.lex_state = 55},
  [576] = {.lex_state = 55, .external_lex_state = 2},
  [577] = {.lex_state = 55},
  [578] = {.lex_state = 55},
  [579] = {.lex_state = 55},
  [580] = {.lex_state = 55, .external_lex_state = 2},
  [581] = {.lex_state = 55, .external_lex_state = 2},
  [582] = {.lex_state = 55, .external_lex_state = 2},
  [583] = {.lex_state = 55, .external_lex_state = 2},
  [584] = {.lex_state = 55, .external_lex_state = 2},
  [585] = {.lex_state = 55},
  [586] = {.lex_state = 55, .external_lex_state = 2},
  [587] = {.lex_state = 55, .external_lex_state = 2},
  [588] = {.lex_state = 55, .external_lex_state = 2},
  [589] = {.lex_state = 55},
  [590] = {.lex_state = 55, .external_lex_state = 2},
  [591] = {.lex_state = 55, .external_lex_state = 2},
  [592] = {.lex_state = 55},
  [593] = {.lex_state = 55, .external_lex_state = 2},
  [594] = {.lex_state = 55, .external_lex_state = 2},
  [595] = {.lex_state = 55, .external_lex_state = 2},
  [596] = {.lex_state = 55, .external_lex_state = 2},
  [597] = {.lex_state = 55},
  [598] = {.lex_state = 55},
  [599] = {.lex_state = 55, .external_lex_state = 2},
  [600] = {.lex_state = 55, .external_lex_state = 2},
  [601] = {.lex_state = 55},
  [602] = {.lex_state = 55},
  [603] = {.lex_state = 55},
  [604] = {.lex_state = 55, .external_lex_state = 2},
  [605] = {.lex_state = 55, .external_lex_state = 2},
  [606] = {.lex_state = 55},
  [607] = {.lex_state = 55},
  [608] = {.lex_state = 55},
  [609] = {.lex_state = 55, .external_lex_state = 2},
  [610] = {.lex_state = 55, .external_lex_state = 2},
  [611] = {.lex_state = 55},
  [612] = {.lex_state = 55, .external_lex_state = 2},
  [613] = {.lex_state = 55},
  [614] = {.lex_state = 55},
  [615] = {.lex_state = 55, .external_lex_state = 2},
  [616] = {.lex_state = 55},
  [617] = {.lex_state = 55},
  [618] = {.lex_state = 55},
  [619] = {.lex_state = 55, .external_lex_state = 2},
  [620] = {.lex_state = 55},
  [621] = {.lex_state = 55},
  [622] = {.lex_state = 55},
  [623] = {.lex_state = 55},
  [624] = {.lex_state = 55},
  [625] = {.lex_state = 55},
  [626] = {.lex_state = 55},
  [627] = {.lex_state = 55},
  [628] = {.lex_state = 55},
  [629] = {.lex_state = 55},
  [630] = {.lex_state = 55},
  [631] = {.lex_state = 55},
  [632] = {.lex_state = 55},
  [633] = {.lex_state = 55},
  [634] = {.lex_state = 55},
  [635] = {.lex_state = 55},
  [636] = {.lex_state = 55},
  [637] = {.lex_state = 55},
  [638] = {.lex_state = 55},
  [639] = {.lex_state = 55},
  [640] = {.lex_state = 55},
  [641] = {.lex_state = 55},
  [642] = {.lex_state = 55},
  [643] = {.lex_state = 56},
  [644] = {.lex_state = 56},
  [645] = {.lex_state = 56},
  [646] = {.lex_state = 56},
  [647] = {.lex_state = 56},
  [648] = {.lex_state = 56},
  [649] = {.lex_state = 56},
  [650] = {.lex_state = 56},
  [651] = {.lex_state = 56},
  [652] = {.lex_state = 56},
  [653] = {.lex_state = 56},
  [654] = {.lex_state = 56},
  [655] = {.lex_state = 56},
  [656] = {.lex_state = 56},
  [657] = {.lex_state = 56},
  [658] = {.lex_state = 56},
  [659] = {.lex_state = 56},
  [660] = {.lex_state = 56},
  [661] = {.lex_state = 56},
  [662] = {.lex_state = 56},
  [663] = {.lex_state = 56},
  [664] = {.lex_state = 56},
  [665] = {.lex_state = 56},
  [666] = {.lex_state = 56},
  [667] = {.lex_state = 56},
  [668] = {.lex_state = 56},
  [669] = {.lex_state = 56},
  [670] = {.lex_state = 56},
  [671] = {.lex_state = 56},
  [672] = {.lex_state = 56},
  [673] = {.lex_state = 56},
  [674] = {.lex_state = 56},
  [675] = {.lex_state = 56},
  [676] = {.lex_state = 56},
  [677] = {.lex_state = 56},
  [678] = {.lex_state = 56},
  [679] = {.lex_state = 56},
  [680] = {.lex_state = 56},
  [681] = {.lex_state = 56, .external_lex_state = 2},
  [682] = {.lex_state = 56},
  [683] = {.lex_state = 56, .external_lex_state = 2},
  [684] = {.lex_state = 56, .external_lex_state = 2},
  [685] = {.lex_state = 56},
  [686] = {.lex_state = 56},
  [687] = {.lex_state = 56},
  [688] = {.lex_state = 56, .external_lex_state = 2},
  [689] = {.lex_state = 56},
  [690] = {.lex_state = 56},
  [691] = {.lex_state = 56, .external_lex_state = 2},
  [692] = {.lex_state = 56, .external_lex_state = 2},
  [693] = {.lex_state = 56, .external_lex_state = 2},
  [694] = {.lex_state = 56},
  [695] = {.lex_state = 56, .external_lex_state = 2},
  [696] = {.lex_state = 56, .external_lex_state = 2},
  [697] = {.lex_state = 56},
  [698] = {.lex_state = 56},
  [699] = {.lex_state = 56},
  [700] = {.lex_state = 56, .external_lex_state = 2},
  [701] = {.lex_state = 56},
  [702] = {.lex_state = 56, .external_lex_state = 2},
  [703] = {.lex_state = 56, .external_lex_state = 2},
  [704] = {.lex_state = 56},
  [705] = {.lex_state = 56},
  [706] = {.lex_state = 55},
  [707] = {.lex_state = 56},
  [708] = {.lex_state = 56},
  [709] = {.lex_state = 56},
  [710] = {.lex_state = 56},
  [711] = {.lex_state = 56},
  [712] = {.lex_state = 56},
  [713] = {.lex_state = 56},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 56},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 56},
  [718] = {.lex_state = 56},
  [719] = {.lex_state = 56},
  [720] = {.lex_state = 56},
  [721] = {.lex_state = 56},
  [722] = {.lex_state = 56},
  [723] = {.lex_state = 56},
  [724] = {.lex_state = 56},
  [725] = {.lex_state = 56},
  [726] = {.lex_state = 56},
  [727] = {.lex_state = 56},
  [728] = {.lex_state = 56},
  [729] = {.lex_state = 56},
  [730] = {.lex_state = 4},
  [731] = {.lex_state = 56},
  [732] = {.lex_state = 56},
  [733] = {.lex_state = 55},
  [734] = {.lex_state = 56},
  [735] = {.lex_state = 56},
  [736] = {.lex_state = 56},
  [737] = {.lex_state = 56},
  [738] = {.lex_state = 56},
  [739] = {.lex_state = 56},
  [740] = {.lex_state = 56},
  [741] = {.lex_state = 56},
  [742] = {.lex_state = 56},
  [743] = {.lex_state = 56},
  [744] = {.lex_state = 56},
  [745] = {.lex_state = 56},
  [746] = {.lex_state = 56},
  [747] = {.lex_state = 56},
  [748] = {.lex_state = 56},
  [749] = {.lex_state = 56},
  [750] = {.lex_state = 56},
  [751] = {.lex_state = 56},
  [752] = {.lex_state = 56},
  [753] = {.lex_state = 56},
  [754] = {.lex_state = 56},
  [755] = {.lex_state = 56},
  [756] = {.lex_state = 56},
  [757] = {.lex_state = 56},
  [758] = {.lex_state = 56},
  [759] = {.lex_state = 56},
  [760] = {.lex_state = 56},
  [761] = {.lex_state = 56},
  [762] = {.lex_state = 56},
  [763] = {.lex_state = 56},
  [764] = {.lex_state = 16},
  [765] = {.lex_state = 16},
  [766] = {.lex_state = 16},
  [767] = {.lex_state = 16},
  [768] = {.lex_state = 17},
  [769] = {.lex_state = 16},
  [770] = {.lex_state = 16},
  [771] = {.lex_state = 56},
  [772] = {.lex_state = 17},
  [773] = {.lex_state = 17},
  [774] = {.lex_state = 17},
  [775] = {.lex_state = 16},
  [776] = {.lex_state = 17},
  [777] = {.lex_state = 17},
  [778] = {.lex_state = 16},
  [779] = {.lex_state = 16},
  [780] = {.lex_state = 17},
  [781] = {.lex_state = 17},
  [782] = {.lex_state = 16},
  [783] = {.lex_state = 56},
  [784] = {.lex_state = 16},
  [785] = {.lex_state = 16},
  [786] = {.lex_state = 16},
  [787] = {.lex_state = 16},
  [788] = {.lex_state = 16},
  [789] = {.lex_state = 16},
  [790] = {.lex_state = 16},
  [791] = {.lex_state = 16},
  [792] = {.lex_state = 16},
  [793] = {.lex_state = 16},
  [794] = {.lex_state = 16},
  [795] = {.lex_state = 16},
  [796] = {.lex_state = 16},
  [797] = {.lex_state = 17},
  [798] = {.lex_state = 17},
  [799] = {.lex_state = 16},
  [800] = {.lex_state = 16},
  [801] = {.lex_state = 16},
  [802] = {.lex_state = 16},
  [803] = {.lex_state = 17},
  [804] = {.lex_state = 17},
  [805] = {.lex_state = 17},
  [806] = {.lex_state = 16},
  [807] = {.lex_state = 16},
  [808] = {.lex_state = 16},
  [809] = {.lex_state = 17},
  [810] = {.lex_state = 17},
  [811] = {.lex_state = 17},
  [812] = {.lex_state = 17},
  [813] = {.lex_state = 16},
  [814] = {.lex_state = 16},
  [815] = {.lex_state = 16},
  [816] = {.lex_state = 56},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 56},
  [819] = {.lex_state = 56},
  [820] = {.lex_state = 56},
  [821] = {.lex_state = 56, .external_lex_state = 2},
  [822] = {.lex_state = 56},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 16},
  [825] = {.lex_state = 56},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 56},
  [828] = {.lex_state = 56},
  [829] = {.lex_state = 56},
  [830] = {.lex_state = 56},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 56},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 56},
  [836] = {.lex_state = 56},
  [837] = {.lex_state = 56, .external_lex_state = 2},
  [838] = {.lex_state = 56},
  [839] = {.lex_state = 8, .external_lex_state = 3},
  [840] = {.lex_state = 16},
  [841] = {.lex_state = 56, .external_lex_state = 2},
  [842] = {.lex_state = 0, .external_lex_state = 2},
  [843] = {.lex_state = 8, .external_lex_state = 3},
  [844] = {.lex_state = 16},
  [845] = {.lex_state = 56, .external_lex_state = 2},
  [846] = {.lex_state = 16},
  [847] = {.lex_state = 56, .external_lex_state = 2},
  [848] = {.lex_state = 56},
  [849] = {.lex_state = 16},
  [850] = {.lex_state = 16},
  [851] = {.lex_state = 0, .external_lex_state = 2},
  [852] = {.lex_state = 56},
  [853] = {.lex_state = 16},
  [854] = {.lex_state = 0, .external_lex_state = 2},
  [855] = {.lex_state = 16},
  [856] = {.lex_state = 8, .external_lex_state = 3},
  [857] = {.lex_state = 16},
  [858] = {.lex_state = 56, .external_lex_state = 2},
  [859] = {.lex_state = 16},
  [860] = {.lex_state = 16},
  [861] = {.lex_state = 56},
  [862] = {.lex_state = 16},
  [863] = {.lex_state = 8, .external_lex_state = 3},
  [864] = {.lex_state = 16},
  [865] = {.lex_state = 8, .external_lex_state = 3},
  [866] = {.lex_state = 16},
  [867] = {.lex_state = 56},
  [868] = {.lex_state = 16},
  [869] = {.lex_state = 56, .external_lex_state = 2},
  [870] = {.lex_state = 16},
  [871] = {.lex_state = 56},
  [872] = {.lex_state = 56, .external_lex_state = 2},
  [873] = {.lex_state = 56, .external_lex_state = 2},
  [874] = {.lex_state = 0, .external_lex_state = 2},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 16},
  [877] = {.lex_state = 16},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 16},
  [880] = {.lex_state = 16},
  [881] = {.lex_state = 56},
  [882] = {.lex_state = 16},
  [883] = {.lex_state = 16},
  [884] = {.lex_state = 56},
  [885] = {.lex_state = 16},
  [886] = {.lex_state = 16},
  [887] = {.lex_state = 56},
  [888] = {.lex_state = 16},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 16},
  [891] = {.lex_state = 56},
  [892] = {.lex_state = 16},
  [893] = {.lex_state = 56},
  [894] = {.lex_state = 16},
  [895] = {.lex_state = 56},
  [896] = {.lex_state = 16},
  [897] = {.lex_state = 16},
  [898] = {.lex_state = 16},
  [899] = {.lex_state = 16},
  [900] = {.lex_state = 16},
  [901] = {.lex_state = 16},
  [902] = {.lex_state = 56},
  [903] = {.lex_state = 0, .external_lex_state = 2},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 16},
  [906] = {.lex_state = 56},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 16},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 56},
  [911] = {.lex_state = 56},
  [912] = {.lex_state = 16},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 56},
  [915] = {.lex_state = 56, .external_lex_state = 2},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 0, .external_lex_state = 2},
  [918] = {.lex_state = 56},
  [919] = {.lex_state = 56},
  [920] = {.lex_state = 56},
  [921] = {.lex_state = 56},
  [922] = {.lex_state = 56},
  [923] = {.lex_state = 10},
  [924] = {.lex_state = 7},
  [925] = {.lex_state = 7},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 56},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 7},
  [930] = {.lex_state = 10},
  [931] = {.lex_state = 56},
  [932] = {.lex_state = 10},
  [933] = {.lex_state = 7},
  [934] = {.lex_state = 7},
  [935] = {.lex_state = 0, .external_lex_state = 2},
  [936] = {.lex_state = 56},
  [937] = {.lex_state = 56},
  [938] = {.lex_state = 56},
  [939] = {.lex_state = 16},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 8, .external_lex_state = 3},
  [942] = {.lex_state = 56},
  [943] = {.lex_state = 56},
  [944] = {.lex_state = 56},
  [945] = {.lex_state = 56},
  [946] = {.lex_state = 0, .external_lex_state = 2},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 16},
  [949] = {.lex_state = 56},
  [950] = {.lex_state = 56},
  [951] = {.lex_state = 56},
  [952] = {.lex_state = 56},
  [953] = {.lex_state = 56},
  [954] = {.lex_state = 56},
  [955] = {.lex_state = 56},
  [956] = {.lex_state = 56},
  [957] = {.lex_state = 0, .external_lex_state = 2},
  [958] = {.lex_state = 0, .external_lex_state = 2},
  [959] = {.lex_state = 56},
  [960] = {.lex_state = 56},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 56},
  [963] = {.lex_state = 56},
  [964] = {.lex_state = 0, .external_lex_state = 2},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 7},
  [967] = {.lex_state = 0, .external_lex_state = 2},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 7},
  [970] = {.lex_state = 10},
  [971] = {.lex_state = 16},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 16},
  [974] = {.lex_state = 56},
  [975] = {.lex_state = 10},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 0},
  [979] = {.lex_state = 17},
  [980] = {.lex_state = 17},
  [981] = {.lex_state = 17},
  [982] = {.lex_state = 17},
  [983] = {.lex_state = 17},
  [984] = {.lex_state = 17},
  [985] = {.lex_state = 0, .external_lex_state = 2},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 56},
  [988] = {.lex_state = 56},
  [989] = {.lex_state = 56},
  [990] = {.lex_state = 56},
  [991] = {.lex_state = 56},
  [992] = {.lex_state = 17},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 17},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 17},
  [997] = {.lex_state = 17},
  [998] = {.lex_state = 17},
  [999] = {.lex_state = 17},
  [1000] = {.lex_state = 56, .external_lex_state = 2},
  [1001] = {.lex_state = 56},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 17},
  [1004] = {.lex_state = 56},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 17},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 56},
  [1011] = {.lex_state = 56, .external_lex_state = 2},
  [1012] = {.lex_state = 56, .external_lex_state = 2},
  [1013] = {.lex_state = 3},
  [1014] = {.lex_state = 56},
  [1015] = {.lex_state = 56, .external_lex_state = 2},
  [1016] = {.lex_state = 56},
  [1017] = {.lex_state = 56},
  [1018] = {.lex_state = 56, .external_lex_state = 2},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 56},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 56},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 3},
  [1026] = {.lex_state = 56},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 3},
  [1037] = {.lex_state = 56, .external_lex_state = 2},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 56, .external_lex_state = 2},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 56},
  [1044] = {.lex_state = 56, .external_lex_state = 2},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 56, .external_lex_state = 2},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0, .external_lex_state = 2},
  [1052] = {.lex_state = 56},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 17},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 17},
  [1059] = {.lex_state = 56},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 3},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 17},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 56},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 56},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 56},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 16},
  [1091] = {.lex_state = 56},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0, .external_lex_state = 2},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 56},
  [1120] = {.lex_state = 56},
  [1121] = {.lex_state = 3},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0, .external_lex_state = 2},
  [1143] = {.lex_state = 0, .external_lex_state = 2},
  [1144] = {.lex_state = 0, .external_lex_state = 2},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0, .external_lex_state = 2},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 56},
  [1150] = {.lex_state = 56},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0, .external_lex_state = 2},
  [1156] = {.lex_state = 56},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0, .external_lex_state = 2},
  [1159] = {.lex_state = 56},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0, .external_lex_state = 2},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 56},
  [1175] = {.lex_state = 56},
  [1176] = {.lex_state = 0, .external_lex_state = 2},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0, .external_lex_state = 2},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0, .external_lex_state = 2},
  [1184] = {.lex_state = 0, .external_lex_state = 2},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 56},
  [1190] = {.lex_state = 0, .external_lex_state = 2},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0, .external_lex_state = 2},
  [1193] = {.lex_state = 0, .external_lex_state = 2},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 56},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 56},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 56},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 3},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 3},
  [1222] = {.lex_state = 56},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0, .external_lex_state = 2},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0, .external_lex_state = 2},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 56},
  [1238] = {.lex_state = 0, .external_lex_state = 2},
  [1239] = {.lex_state = 3},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 56},
  [1266] = {.lex_state = 56},
  [1267] = {.lex_state = 56},
  [1268] = {.lex_state = 56},
  [1269] = {.lex_state = 8},
  [1270] = {.lex_state = 56},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 56},
  [1273] = {.lex_state = 1},
  [1274] = {.lex_state = 56},
  [1275] = {.lex_state = 56},
  [1276] = {.lex_state = 56},
  [1277] = {.lex_state = 56},
  [1278] = {.lex_state = 1},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 56},
  [1282] = {.lex_state = 56},
  [1283] = {.lex_state = 56},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 56},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 56},
  [1294] = {.lex_state = 56},
  [1295] = {.lex_state = 56},
  [1296] = {.lex_state = 56},
  [1297] = {.lex_state = 56},
  [1298] = {.lex_state = 56},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 56},
  [1301] = {.lex_state = 56},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 56},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 56},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 56},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 56},
  [1315] = {.lex_state = 56},
  [1316] = {.lex_state = 56},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 56},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 8},
  [1323] = {.lex_state = 56},
  [1324] = {.lex_state = 56},
  [1325] = {.lex_state = 56},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 56},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 56},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 56},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 56},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 56},
  [1337] = {.lex_state = 56},
  [1338] = {.lex_state = 56},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 56},
  [1341] = {.lex_state = 56},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 56},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 56},
  [1347] = {.lex_state = 56},
  [1348] = {.lex_state = 56},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 56},
  [1351] = {.lex_state = 56},
  [1352] = {.lex_state = 56},
  [1353] = {.lex_state = 56},
  [1354] = {.lex_state = 56},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 56},
  [1357] = {.lex_state = 56},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 56},
  [1360] = {.lex_state = 56},
  [1361] = {.lex_state = 56},
  [1362] = {.lex_state = 56},
  [1363] = {.lex_state = 56},
  [1364] = {.lex_state = 56},
  [1365] = {.lex_state = 56},
  [1366] = {.lex_state = 56},
  [1367] = {.lex_state = 56},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
};

static bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token__template_chars] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1264),
    [sym_export_statement] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [2] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1326),
    [sym_object_assignment_pattern] = STATE(1050),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1326),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1326),
    [sym_spread_element] = STATE(1053),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [sym_rest_pattern] = STATE(1050),
    [sym_method_definition] = STATE(1053),
    [sym_pair] = STATE(1053),
    [sym_pair_pattern] = STATE(1050),
    [sym__property_name] = STATE(1054),
    [sym_computed_property_name] = STATE(1054),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(690),
    [aux_sym_object_repeat1] = STATE(1056),
    [aux_sym_object_pattern_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [3] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1326),
    [sym_object_assignment_pattern] = STATE(1050),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1326),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1326),
    [sym_spread_element] = STATE(1053),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [sym_rest_pattern] = STATE(1050),
    [sym_method_definition] = STATE(1053),
    [sym_pair] = STATE(1053),
    [sym_pair_pattern] = STATE(1050),
    [sym__property_name] = STATE(1054),
    [sym_computed_property_name] = STATE(1054),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(690),
    [aux_sym_object_repeat1] = STATE(1056),
    [aux_sym_object_pattern_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [4] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1326),
    [sym_object_assignment_pattern] = STATE(1050),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1326),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1326),
    [sym_spread_element] = STATE(1028),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [sym_rest_pattern] = STATE(1050),
    [sym_method_definition] = STATE(1028),
    [sym_pair] = STATE(1028),
    [sym_pair_pattern] = STATE(1050),
    [sym__property_name] = STATE(1054),
    [sym_computed_property_name] = STATE(1054),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(690),
    [aux_sym_object_repeat1] = STATE(1030),
    [aux_sym_object_pattern_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(119),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
  },
  [5] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1326),
    [sym_object_assignment_pattern] = STATE(1050),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1326),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1326),
    [sym_spread_element] = STATE(1028),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [sym_rest_pattern] = STATE(1050),
    [sym_method_definition] = STATE(1028),
    [sym_pair] = STATE(1028),
    [sym_pair_pattern] = STATE(1050),
    [sym__property_name] = STATE(1054),
    [sym_computed_property_name] = STATE(1054),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(690),
    [aux_sym_object_repeat1] = STATE(1030),
    [aux_sym_object_pattern_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(125),
    [anon_sym_export] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(133),
    [anon_sym_set] = ACTIONS(133),
  },
  [6] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1326),
    [sym_object_assignment_pattern] = STATE(1050),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1326),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1326),
    [sym_spread_element] = STATE(1053),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(572),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [sym_rest_pattern] = STATE(1050),
    [sym_method_definition] = STATE(1053),
    [sym_pair] = STATE(1053),
    [sym_pair_pattern] = STATE(1050),
    [sym__property_name] = STATE(1054),
    [sym_computed_property_name] = STATE(1054),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(690),
    [aux_sym_object_repeat1] = STATE(1056),
    [aux_sym_object_pattern_repeat1] = STATE(1057),
    [sym_identifier] = ACTIONS(89),
    [anon_sym_export] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(95),
    [anon_sym_RBRACE] = ACTIONS(135),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(99),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(103),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(105),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(107),
    [anon_sym_get] = ACTIONS(109),
    [anon_sym_set] = ACTIONS(109),
  },
  [7] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(137),
    [sym_identifier] = ACTIONS(139),
    [anon_sym_export] = ACTIONS(142),
    [anon_sym_default] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(150),
    [anon_sym_var] = ACTIONS(153),
    [anon_sym_let] = ACTIONS(156),
    [anon_sym_const] = ACTIONS(156),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_switch] = ACTIONS(162),
    [anon_sym_for] = ACTIONS(165),
    [anon_sym_LPAREN] = ACTIONS(168),
    [anon_sym_await] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(174),
    [anon_sym_do] = ACTIONS(177),
    [anon_sym_try] = ACTIONS(180),
    [anon_sym_with] = ACTIONS(183),
    [anon_sym_break] = ACTIONS(186),
    [anon_sym_continue] = ACTIONS(189),
    [anon_sym_debugger] = ACTIONS(192),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_throw] = ACTIONS(198),
    [anon_sym_SEMI] = ACTIONS(201),
    [anon_sym_case] = ACTIONS(145),
    [anon_sym_yield] = ACTIONS(204),
    [anon_sym_LBRACK] = ACTIONS(207),
    [anon_sym_LT] = ACTIONS(210),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_class] = ACTIONS(216),
    [anon_sym_async] = ACTIONS(219),
    [anon_sym_function] = ACTIONS(222),
    [anon_sym_new] = ACTIONS(225),
    [anon_sym_PLUS] = ACTIONS(228),
    [anon_sym_DASH] = ACTIONS(228),
    [anon_sym_BANG] = ACTIONS(231),
    [anon_sym_TILDE] = ACTIONS(231),
    [anon_sym_typeof] = ACTIONS(234),
    [anon_sym_void] = ACTIONS(234),
    [anon_sym_delete] = ACTIONS(234),
    [anon_sym_PLUS_PLUS] = ACTIONS(237),
    [anon_sym_DASH_DASH] = ACTIONS(237),
    [anon_sym_DQUOTE] = ACTIONS(240),
    [anon_sym_SQUOTE] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(246),
    [sym_number] = ACTIONS(249),
    [sym_this] = ACTIONS(252),
    [sym_super] = ACTIONS(252),
    [sym_true] = ACTIONS(252),
    [sym_false] = ACTIONS(252),
    [sym_null] = ACTIONS(252),
    [sym_undefined] = ACTIONS(252),
    [anon_sym_AT] = ACTIONS(255),
    [anon_sym_static] = ACTIONS(258),
    [anon_sym_get] = ACTIONS(258),
    [anon_sym_set] = ACTIONS(258),
  },
  [8] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(263),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(261),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(267),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(265),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [10] = {
    [sym_export_statement] = STATE(8),
    [sym_declaration] = STATE(8),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_for_in_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_try_statement] = STATE(8),
    [sym_with_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_debugger_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_throw_statement] = STATE(8),
    [sym_empty_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(269),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(271),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(269),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [11] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(275),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [12] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [13] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [14] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(279),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [15] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(281),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [16] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [17] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(285),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [18] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(287),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [19] = {
    [sym_export_statement] = STATE(15),
    [sym_declaration] = STATE(15),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(15),
    [sym_expression_statement] = STATE(15),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(15),
    [sym_if_statement] = STATE(15),
    [sym_switch_statement] = STATE(15),
    [sym_for_statement] = STATE(15),
    [sym_for_in_statement] = STATE(15),
    [sym_while_statement] = STATE(15),
    [sym_do_statement] = STATE(15),
    [sym_try_statement] = STATE(15),
    [sym_with_statement] = STATE(15),
    [sym_break_statement] = STATE(15),
    [sym_continue_statement] = STATE(15),
    [sym_debugger_statement] = STATE(15),
    [sym_return_statement] = STATE(15),
    [sym_throw_statement] = STATE(15),
    [sym_empty_statement] = STATE(15),
    [sym_labeled_statement] = STATE(15),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [20] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [ts_builtin_sym_end] = ACTIONS(291),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [21] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(293),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [22] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(289),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [23] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(295),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [24] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(297),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [25] = {
    [sym_export_statement] = STATE(307),
    [sym_declaration] = STATE(307),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(307),
    [sym_expression_statement] = STATE(307),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(307),
    [sym_if_statement] = STATE(307),
    [sym_switch_statement] = STATE(307),
    [sym_for_statement] = STATE(307),
    [sym_for_in_statement] = STATE(307),
    [sym_while_statement] = STATE(307),
    [sym_do_statement] = STATE(307),
    [sym_try_statement] = STATE(307),
    [sym_with_statement] = STATE(307),
    [sym_break_statement] = STATE(307),
    [sym_continue_statement] = STATE(307),
    [sym_debugger_statement] = STATE(307),
    [sym_return_statement] = STATE(307),
    [sym_throw_statement] = STATE(307),
    [sym_empty_statement] = STATE(307),
    [sym_labeled_statement] = STATE(307),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [26] = {
    [sym_export_statement] = STATE(276),
    [sym_declaration] = STATE(276),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(276),
    [sym_expression_statement] = STATE(276),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(276),
    [sym_if_statement] = STATE(276),
    [sym_switch_statement] = STATE(276),
    [sym_for_statement] = STATE(276),
    [sym_for_in_statement] = STATE(276),
    [sym_while_statement] = STATE(276),
    [sym_do_statement] = STATE(276),
    [sym_try_statement] = STATE(276),
    [sym_with_statement] = STATE(276),
    [sym_break_statement] = STATE(276),
    [sym_continue_statement] = STATE(276),
    [sym_debugger_statement] = STATE(276),
    [sym_return_statement] = STATE(276),
    [sym_throw_statement] = STATE(276),
    [sym_empty_statement] = STATE(276),
    [sym_labeled_statement] = STATE(276),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [27] = {
    [sym_export_statement] = STATE(330),
    [sym_declaration] = STATE(330),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(330),
    [sym_expression_statement] = STATE(330),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(330),
    [sym_if_statement] = STATE(330),
    [sym_switch_statement] = STATE(330),
    [sym_for_statement] = STATE(330),
    [sym_for_in_statement] = STATE(330),
    [sym_while_statement] = STATE(330),
    [sym_do_statement] = STATE(330),
    [sym_try_statement] = STATE(330),
    [sym_with_statement] = STATE(330),
    [sym_break_statement] = STATE(330),
    [sym_continue_statement] = STATE(330),
    [sym_debugger_statement] = STATE(330),
    [sym_return_statement] = STATE(330),
    [sym_throw_statement] = STATE(330),
    [sym_empty_statement] = STATE(330),
    [sym_labeled_statement] = STATE(330),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [28] = {
    [sym_export_statement] = STATE(300),
    [sym_declaration] = STATE(300),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(300),
    [sym_expression_statement] = STATE(300),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_for_in_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(300),
    [sym_try_statement] = STATE(300),
    [sym_with_statement] = STATE(300),
    [sym_break_statement] = STATE(300),
    [sym_continue_statement] = STATE(300),
    [sym_debugger_statement] = STATE(300),
    [sym_return_statement] = STATE(300),
    [sym_throw_statement] = STATE(300),
    [sym_empty_statement] = STATE(300),
    [sym_labeled_statement] = STATE(300),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [29] = {
    [sym_export_statement] = STATE(276),
    [sym_declaration] = STATE(276),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(276),
    [sym_expression_statement] = STATE(276),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(276),
    [sym_if_statement] = STATE(276),
    [sym_switch_statement] = STATE(276),
    [sym_for_statement] = STATE(276),
    [sym_for_in_statement] = STATE(276),
    [sym_while_statement] = STATE(276),
    [sym_do_statement] = STATE(276),
    [sym_try_statement] = STATE(276),
    [sym_with_statement] = STATE(276),
    [sym_break_statement] = STATE(276),
    [sym_continue_statement] = STATE(276),
    [sym_debugger_statement] = STATE(276),
    [sym_return_statement] = STATE(276),
    [sym_throw_statement] = STATE(276),
    [sym_empty_statement] = STATE(276),
    [sym_labeled_statement] = STATE(276),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [30] = {
    [sym_export_statement] = STATE(230),
    [sym_declaration] = STATE(230),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(230),
    [sym_expression_statement] = STATE(230),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(230),
    [sym_if_statement] = STATE(230),
    [sym_switch_statement] = STATE(230),
    [sym_for_statement] = STATE(230),
    [sym_for_in_statement] = STATE(230),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(230),
    [sym_try_statement] = STATE(230),
    [sym_with_statement] = STATE(230),
    [sym_break_statement] = STATE(230),
    [sym_continue_statement] = STATE(230),
    [sym_debugger_statement] = STATE(230),
    [sym_return_statement] = STATE(230),
    [sym_throw_statement] = STATE(230),
    [sym_empty_statement] = STATE(230),
    [sym_labeled_statement] = STATE(230),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [31] = {
    [sym_export_statement] = STATE(310),
    [sym_declaration] = STATE(311),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(312),
    [sym_expression_statement] = STATE(313),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(314),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(316),
    [sym_for_statement] = STATE(317),
    [sym_for_in_statement] = STATE(318),
    [sym_while_statement] = STATE(319),
    [sym_do_statement] = STATE(320),
    [sym_try_statement] = STATE(321),
    [sym_with_statement] = STATE(322),
    [sym_break_statement] = STATE(323),
    [sym_continue_statement] = STATE(324),
    [sym_debugger_statement] = STATE(325),
    [sym_return_statement] = STATE(326),
    [sym_throw_statement] = STATE(327),
    [sym_empty_statement] = STATE(328),
    [sym_labeled_statement] = STATE(329),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [32] = {
    [sym_export_statement] = STATE(1297),
    [sym_declaration] = STATE(1297),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(1297),
    [sym_expression_statement] = STATE(1297),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(1297),
    [sym_if_statement] = STATE(1297),
    [sym_switch_statement] = STATE(1297),
    [sym_for_statement] = STATE(1297),
    [sym_for_in_statement] = STATE(1297),
    [sym_while_statement] = STATE(1297),
    [sym_do_statement] = STATE(1297),
    [sym_try_statement] = STATE(1297),
    [sym_with_statement] = STATE(1297),
    [sym_break_statement] = STATE(1297),
    [sym_continue_statement] = STATE(1297),
    [sym_debugger_statement] = STATE(1297),
    [sym_return_statement] = STATE(1297),
    [sym_throw_statement] = STATE(1297),
    [sym_empty_statement] = STATE(1297),
    [sym_labeled_statement] = STATE(1297),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [33] = {
    [sym_export_statement] = STATE(307),
    [sym_declaration] = STATE(307),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(307),
    [sym_expression_statement] = STATE(307),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(307),
    [sym_if_statement] = STATE(307),
    [sym_switch_statement] = STATE(307),
    [sym_for_statement] = STATE(307),
    [sym_for_in_statement] = STATE(307),
    [sym_while_statement] = STATE(307),
    [sym_do_statement] = STATE(307),
    [sym_try_statement] = STATE(307),
    [sym_with_statement] = STATE(307),
    [sym_break_statement] = STATE(307),
    [sym_continue_statement] = STATE(307),
    [sym_debugger_statement] = STATE(307),
    [sym_return_statement] = STATE(307),
    [sym_throw_statement] = STATE(307),
    [sym_empty_statement] = STATE(307),
    [sym_labeled_statement] = STATE(307),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [34] = {
    [sym_export_statement] = STATE(249),
    [sym_declaration] = STATE(248),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(247),
    [sym_expression_statement] = STATE(246),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(293),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(257),
    [sym_for_statement] = STATE(258),
    [sym_for_in_statement] = STATE(259),
    [sym_while_statement] = STATE(260),
    [sym_do_statement] = STATE(261),
    [sym_try_statement] = STATE(262),
    [sym_with_statement] = STATE(263),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(265),
    [sym_debugger_statement] = STATE(266),
    [sym_return_statement] = STATE(267),
    [sym_throw_statement] = STATE(268),
    [sym_empty_statement] = STATE(269),
    [sym_labeled_statement] = STATE(270),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [35] = {
    [sym_export_statement] = STATE(331),
    [sym_declaration] = STATE(331),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(331),
    [sym_expression_statement] = STATE(331),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(331),
    [sym_if_statement] = STATE(331),
    [sym_switch_statement] = STATE(331),
    [sym_for_statement] = STATE(331),
    [sym_for_in_statement] = STATE(331),
    [sym_while_statement] = STATE(331),
    [sym_do_statement] = STATE(331),
    [sym_try_statement] = STATE(331),
    [sym_with_statement] = STATE(331),
    [sym_break_statement] = STATE(331),
    [sym_continue_statement] = STATE(331),
    [sym_debugger_statement] = STATE(331),
    [sym_return_statement] = STATE(331),
    [sym_throw_statement] = STATE(331),
    [sym_empty_statement] = STATE(331),
    [sym_labeled_statement] = STATE(331),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [36] = {
    [sym_export_statement] = STATE(330),
    [sym_declaration] = STATE(330),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(330),
    [sym_expression_statement] = STATE(330),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(330),
    [sym_if_statement] = STATE(330),
    [sym_switch_statement] = STATE(330),
    [sym_for_statement] = STATE(330),
    [sym_for_in_statement] = STATE(330),
    [sym_while_statement] = STATE(330),
    [sym_do_statement] = STATE(330),
    [sym_try_statement] = STATE(330),
    [sym_with_statement] = STATE(330),
    [sym_break_statement] = STATE(330),
    [sym_continue_statement] = STATE(330),
    [sym_debugger_statement] = STATE(330),
    [sym_return_statement] = STATE(330),
    [sym_throw_statement] = STATE(330),
    [sym_empty_statement] = STATE(330),
    [sym_labeled_statement] = STATE(330),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [37] = {
    [sym_export_statement] = STATE(294),
    [sym_declaration] = STATE(294),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_for_in_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_try_statement] = STATE(294),
    [sym_with_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_debugger_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_throw_statement] = STATE(294),
    [sym_empty_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_async] = ACTIONS(61),
    [anon_sym_function] = ACTIONS(63),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(87),
    [anon_sym_get] = ACTIONS(87),
    [anon_sym_set] = ACTIONS(87),
  },
  [38] = {
    [sym_export_statement] = STATE(249),
    [sym_declaration] = STATE(248),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(247),
    [sym_expression_statement] = STATE(246),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(293),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(257),
    [sym_for_statement] = STATE(258),
    [sym_for_in_statement] = STATE(259),
    [sym_while_statement] = STATE(260),
    [sym_do_statement] = STATE(261),
    [sym_try_statement] = STATE(262),
    [sym_with_statement] = STATE(263),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(265),
    [sym_debugger_statement] = STATE(266),
    [sym_return_statement] = STATE(267),
    [sym_throw_statement] = STATE(268),
    [sym_empty_statement] = STATE(269),
    [sym_labeled_statement] = STATE(270),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [39] = {
    [sym_export_statement] = STATE(331),
    [sym_declaration] = STATE(331),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(331),
    [sym_expression_statement] = STATE(331),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(331),
    [sym_if_statement] = STATE(331),
    [sym_switch_statement] = STATE(331),
    [sym_for_statement] = STATE(331),
    [sym_for_in_statement] = STATE(331),
    [sym_while_statement] = STATE(331),
    [sym_do_statement] = STATE(331),
    [sym_try_statement] = STATE(331),
    [sym_with_statement] = STATE(331),
    [sym_break_statement] = STATE(331),
    [sym_continue_statement] = STATE(331),
    [sym_debugger_statement] = STATE(331),
    [sym_return_statement] = STATE(331),
    [sym_throw_statement] = STATE(331),
    [sym_empty_statement] = STATE(331),
    [sym_labeled_statement] = STATE(331),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [40] = {
    [sym_export_statement] = STATE(300),
    [sym_declaration] = STATE(300),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(300),
    [sym_expression_statement] = STATE(300),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_for_in_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(300),
    [sym_try_statement] = STATE(300),
    [sym_with_statement] = STATE(300),
    [sym_break_statement] = STATE(300),
    [sym_continue_statement] = STATE(300),
    [sym_debugger_statement] = STATE(300),
    [sym_return_statement] = STATE(300),
    [sym_throw_statement] = STATE(300),
    [sym_empty_statement] = STATE(300),
    [sym_labeled_statement] = STATE(300),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [41] = {
    [sym_export_statement] = STATE(310),
    [sym_declaration] = STATE(311),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(312),
    [sym_expression_statement] = STATE(313),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(314),
    [sym_if_statement] = STATE(315),
    [sym_switch_statement] = STATE(316),
    [sym_for_statement] = STATE(317),
    [sym_for_in_statement] = STATE(318),
    [sym_while_statement] = STATE(319),
    [sym_do_statement] = STATE(320),
    [sym_try_statement] = STATE(321),
    [sym_with_statement] = STATE(322),
    [sym_break_statement] = STATE(323),
    [sym_continue_statement] = STATE(324),
    [sym_debugger_statement] = STATE(325),
    [sym_return_statement] = STATE(326),
    [sym_throw_statement] = STATE(327),
    [sym_empty_statement] = STATE(328),
    [sym_labeled_statement] = STATE(329),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [42] = {
    [sym_export_statement] = STATE(1016),
    [sym_declaration] = STATE(1016),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(1016),
    [sym_expression_statement] = STATE(1016),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_for_in_statement] = STATE(1016),
    [sym_while_statement] = STATE(1016),
    [sym_do_statement] = STATE(1016),
    [sym_try_statement] = STATE(1016),
    [sym_with_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_debugger_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_throw_statement] = STATE(1016),
    [sym_empty_statement] = STATE(1016),
    [sym_labeled_statement] = STATE(1016),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [43] = {
    [sym_export_statement] = STATE(294),
    [sym_declaration] = STATE(294),
    [sym_import] = STATE(557),
    [sym_import_statement] = STATE(294),
    [sym_expression_statement] = STATE(294),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_statement_block] = STATE(294),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(294),
    [sym_for_statement] = STATE(294),
    [sym_for_in_statement] = STATE(294),
    [sym_while_statement] = STATE(294),
    [sym_do_statement] = STATE(294),
    [sym_try_statement] = STATE(294),
    [sym_with_statement] = STATE(294),
    [sym_break_statement] = STATE(294),
    [sym_continue_statement] = STATE(294),
    [sym_debugger_statement] = STATE(294),
    [sym_return_statement] = STATE(294),
    [sym_throw_statement] = STATE(294),
    [sym_empty_statement] = STATE(294),
    [sym_labeled_statement] = STATE(294),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_class_declaration] = STATE(273),
    [sym_function] = STATE(557),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function] = STATE(557),
    [sym_generator_function_declaration] = STATE(273),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(902),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_export] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(305),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(309),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(311),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(313),
    [anon_sym_async] = ACTIONS(315),
    [anon_sym_function] = ACTIONS(317),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(319),
    [anon_sym_get] = ACTIONS(319),
    [anon_sym_set] = ACTIONS(319),
  },
  [44] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(398),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(329),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_LT] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(355),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [45] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(445),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_STAR] = ACTIONS(377),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_RBRACE] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(383),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
    [sym__automatic_semicolon] = ACTIONS(329),
  },
  [46] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_STAR] = ACTIONS(395),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_in] = ACTIONS(337),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(343),
    [anon_sym_GT] = ACTIONS(337),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(337),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_QMARK_DOT] = ACTIONS(329),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_QMARK] = ACTIONS(337),
    [anon_sym_AMP_AMP] = ACTIONS(329),
    [anon_sym_PIPE_PIPE] = ACTIONS(329),
    [anon_sym_GT_GT] = ACTIONS(337),
    [anon_sym_GT_GT_GT] = ACTIONS(329),
    [anon_sym_LT_LT] = ACTIONS(329),
    [anon_sym_AMP] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(329),
    [anon_sym_PIPE] = ACTIONS(337),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_PERCENT] = ACTIONS(329),
    [anon_sym_STAR_STAR] = ACTIONS(329),
    [anon_sym_LT_EQ] = ACTIONS(329),
    [anon_sym_EQ_EQ] = ACTIONS(337),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(329),
    [anon_sym_BANG_EQ] = ACTIONS(337),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(329),
    [anon_sym_GT_EQ] = ACTIONS(329),
    [anon_sym_QMARK_QMARK] = ACTIONS(329),
    [anon_sym_instanceof] = ACTIONS(337),
    [anon_sym_BANG] = ACTIONS(409),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [47] = {
    [ts_builtin_sym_end] = ACTIONS(417),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(421),
    [anon_sym_default] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_var] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_const] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(421),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_try] = ACTIONS(419),
    [anon_sym_with] = ACTIONS(419),
    [anon_sym_break] = ACTIONS(419),
    [anon_sym_continue] = ACTIONS(419),
    [anon_sym_debugger] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(419),
    [anon_sym_throw] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(419),
    [anon_sym_yield] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(421),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(421),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(419),
    [anon_sym_QMARK_DOT] = ACTIONS(423),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(421),
    [anon_sym_AMP_AMP] = ACTIONS(423),
    [anon_sym_PIPE_PIPE] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(421),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_AMP] = ACTIONS(421),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(421),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_DASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_STAR_STAR] = ACTIONS(423),
    [anon_sym_LT_EQ] = ACTIONS(423),
    [anon_sym_EQ_EQ] = ACTIONS(421),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(423),
    [anon_sym_BANG_EQ] = ACTIONS(421),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(423),
    [anon_sym_QMARK_QMARK] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(421),
    [anon_sym_BANG] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(417),
    [anon_sym_DASH_DASH] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(417),
    [sym_number] = ACTIONS(417),
    [sym_this] = ACTIONS(419),
    [sym_super] = ACTIONS(419),
    [sym_true] = ACTIONS(419),
    [sym_false] = ACTIONS(419),
    [sym_null] = ACTIONS(419),
    [sym_undefined] = ACTIONS(419),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [sym__automatic_semicolon] = ACTIONS(427),
  },
  [48] = {
    [ts_builtin_sym_end] = ACTIONS(429),
    [sym_identifier] = ACTIONS(431),
    [anon_sym_export] = ACTIONS(431),
    [anon_sym_STAR] = ACTIONS(431),
    [anon_sym_default] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_COMMA] = ACTIONS(429),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_import] = ACTIONS(431),
    [anon_sym_var] = ACTIONS(431),
    [anon_sym_let] = ACTIONS(431),
    [anon_sym_const] = ACTIONS(431),
    [anon_sym_else] = ACTIONS(431),
    [anon_sym_if] = ACTIONS(431),
    [anon_sym_switch] = ACTIONS(431),
    [anon_sym_for] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(431),
    [anon_sym_while] = ACTIONS(431),
    [anon_sym_do] = ACTIONS(431),
    [anon_sym_try] = ACTIONS(431),
    [anon_sym_with] = ACTIONS(431),
    [anon_sym_break] = ACTIONS(431),
    [anon_sym_continue] = ACTIONS(431),
    [anon_sym_debugger] = ACTIONS(431),
    [anon_sym_return] = ACTIONS(431),
    [anon_sym_throw] = ACTIONS(431),
    [anon_sym_SEMI] = ACTIONS(429),
    [anon_sym_case] = ACTIONS(431),
    [anon_sym_yield] = ACTIONS(431),
    [anon_sym_LBRACK] = ACTIONS(429),
    [anon_sym_LT] = ACTIONS(431),
    [anon_sym_GT] = ACTIONS(431),
    [anon_sym_SLASH] = ACTIONS(431),
    [anon_sym_DOT] = ACTIONS(431),
    [anon_sym_class] = ACTIONS(431),
    [anon_sym_async] = ACTIONS(431),
    [anon_sym_function] = ACTIONS(431),
    [anon_sym_QMARK_DOT] = ACTIONS(429),
    [anon_sym_new] = ACTIONS(431),
    [anon_sym_QMARK] = ACTIONS(431),
    [anon_sym_AMP_AMP] = ACTIONS(429),
    [anon_sym_PIPE_PIPE] = ACTIONS(429),
    [anon_sym_GT_GT] = ACTIONS(431),
    [anon_sym_GT_GT_GT] = ACTIONS(429),
    [anon_sym_LT_LT] = ACTIONS(429),
    [anon_sym_AMP] = ACTIONS(431),
    [anon_sym_CARET] = ACTIONS(429),
    [anon_sym_PIPE] = ACTIONS(431),
    [anon_sym_PLUS] = ACTIONS(431),
    [anon_sym_DASH] = ACTIONS(431),
    [anon_sym_PERCENT] = ACTIONS(429),
    [anon_sym_STAR_STAR] = ACTIONS(429),
    [anon_sym_LT_EQ] = ACTIONS(429),
    [anon_sym_EQ_EQ] = ACTIONS(431),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(429),
    [anon_sym_BANG_EQ] = ACTIONS(431),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(429),
    [anon_sym_GT_EQ] = ACTIONS(429),
    [anon_sym_QMARK_QMARK] = ACTIONS(429),
    [anon_sym_instanceof] = ACTIONS(431),
    [anon_sym_BANG] = ACTIONS(431),
    [anon_sym_TILDE] = ACTIONS(429),
    [anon_sym_typeof] = ACTIONS(431),
    [anon_sym_void] = ACTIONS(431),
    [anon_sym_delete] = ACTIONS(431),
    [anon_sym_PLUS_PLUS] = ACTIONS(429),
    [anon_sym_DASH_DASH] = ACTIONS(429),
    [anon_sym_DQUOTE] = ACTIONS(429),
    [anon_sym_SQUOTE] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(429),
    [sym_number] = ACTIONS(429),
    [sym_this] = ACTIONS(431),
    [sym_super] = ACTIONS(431),
    [sym_true] = ACTIONS(431),
    [sym_false] = ACTIONS(431),
    [sym_null] = ACTIONS(431),
    [sym_undefined] = ACTIONS(431),
    [anon_sym_AT] = ACTIONS(429),
    [anon_sym_static] = ACTIONS(431),
    [anon_sym_get] = ACTIONS(431),
    [anon_sym_set] = ACTIONS(431),
    [sym__automatic_semicolon] = ACTIONS(429),
  },
  [49] = {
    [ts_builtin_sym_end] = ACTIONS(433),
    [sym_identifier] = ACTIONS(435),
    [anon_sym_export] = ACTIONS(435),
    [anon_sym_STAR] = ACTIONS(437),
    [anon_sym_default] = ACTIONS(435),
    [anon_sym_LBRACE] = ACTIONS(433),
    [anon_sym_COMMA] = ACTIONS(439),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_import] = ACTIONS(435),
    [anon_sym_var] = ACTIONS(435),
    [anon_sym_let] = ACTIONS(435),
    [anon_sym_const] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_switch] = ACTIONS(435),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(433),
    [anon_sym_await] = ACTIONS(435),
    [anon_sym_in] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(435),
    [anon_sym_do] = ACTIONS(435),
    [anon_sym_try] = ACTIONS(435),
    [anon_sym_with] = ACTIONS(435),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(435),
    [anon_sym_debugger] = ACTIONS(435),
    [anon_sym_return] = ACTIONS(435),
    [anon_sym_throw] = ACTIONS(435),
    [anon_sym_SEMI] = ACTIONS(433),
    [anon_sym_case] = ACTIONS(435),
    [anon_sym_yield] = ACTIONS(435),
    [anon_sym_LBRACK] = ACTIONS(433),
    [anon_sym_LT] = ACTIONS(435),
    [anon_sym_GT] = ACTIONS(437),
    [anon_sym_SLASH] = ACTIONS(435),
    [anon_sym_DOT] = ACTIONS(437),
    [anon_sym_class] = ACTIONS(435),
    [anon_sym_async] = ACTIONS(435),
    [anon_sym_function] = ACTIONS(435),
    [anon_sym_QMARK_DOT] = ACTIONS(439),
    [anon_sym_new] = ACTIONS(435),
    [anon_sym_QMARK] = ACTIONS(437),
    [anon_sym_AMP_AMP] = ACTIONS(439),
    [anon_sym_PIPE_PIPE] = ACTIONS(439),
    [anon_sym_GT_GT] = ACTIONS(437),
    [anon_sym_GT_GT_GT] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(439),
    [anon_sym_AMP] = ACTIONS(437),
    [anon_sym_CARET] = ACTIONS(439),
    [anon_sym_PIPE] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_DASH] = ACTIONS(435),
    [anon_sym_PERCENT] = ACTIONS(439),
    [anon_sym_STAR_STAR] = ACTIONS(439),
    [anon_sym_LT_EQ] = ACTIONS(439),
    [anon_sym_EQ_EQ] = ACTIONS(437),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(439),
    [anon_sym_BANG_EQ] = ACTIONS(437),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(439),
    [anon_sym_GT_EQ] = ACTIONS(439),
    [anon_sym_QMARK_QMARK] = ACTIONS(439),
    [anon_sym_instanceof] = ACTIONS(437),
    [anon_sym_BANG] = ACTIONS(435),
    [anon_sym_TILDE] = ACTIONS(433),
    [anon_sym_typeof] = ACTIONS(435),
    [anon_sym_void] = ACTIONS(435),
    [anon_sym_delete] = ACTIONS(435),
    [anon_sym_PLUS_PLUS] = ACTIONS(433),
    [anon_sym_DASH_DASH] = ACTIONS(433),
    [anon_sym_DQUOTE] = ACTIONS(433),
    [anon_sym_SQUOTE] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(433),
    [sym_number] = ACTIONS(433),
    [sym_this] = ACTIONS(435),
    [sym_super] = ACTIONS(435),
    [sym_true] = ACTIONS(435),
    [sym_false] = ACTIONS(435),
    [sym_null] = ACTIONS(435),
    [sym_undefined] = ACTIONS(435),
    [anon_sym_AT] = ACTIONS(433),
    [anon_sym_static] = ACTIONS(435),
    [anon_sym_get] = ACTIONS(435),
    [anon_sym_set] = ACTIONS(435),
    [sym__automatic_semicolon] = ACTIONS(441),
  },
  [50] = {
    [ts_builtin_sym_end] = ACTIONS(443),
    [sym_identifier] = ACTIONS(445),
    [anon_sym_export] = ACTIONS(445),
    [anon_sym_STAR] = ACTIONS(447),
    [anon_sym_default] = ACTIONS(445),
    [anon_sym_LBRACE] = ACTIONS(443),
    [anon_sym_COMMA] = ACTIONS(449),
    [anon_sym_RBRACE] = ACTIONS(443),
    [anon_sym_import] = ACTIONS(445),
    [anon_sym_var] = ACTIONS(445),
    [anon_sym_let] = ACTIONS(445),
    [anon_sym_const] = ACTIONS(445),
    [anon_sym_else] = ACTIONS(445),
    [anon_sym_if] = ACTIONS(445),
    [anon_sym_switch] = ACTIONS(445),
    [anon_sym_for] = ACTIONS(445),
    [anon_sym_LPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(445),
    [anon_sym_in] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(445),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_try] = ACTIONS(445),
    [anon_sym_with] = ACTIONS(445),
    [anon_sym_break] = ACTIONS(445),
    [anon_sym_continue] = ACTIONS(445),
    [anon_sym_debugger] = ACTIONS(445),
    [anon_sym_return] = ACTIONS(445),
    [anon_sym_throw] = ACTIONS(445),
    [anon_sym_SEMI] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(445),
    [anon_sym_yield] = ACTIONS(445),
    [anon_sym_LBRACK] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(445),
    [anon_sym_GT] = ACTIONS(447),
    [anon_sym_SLASH] = ACTIONS(445),
    [anon_sym_DOT] = ACTIONS(447),
    [anon_sym_class] = ACTIONS(445),
    [anon_sym_async] = ACTIONS(445),
    [anon_sym_function] = ACTIONS(445),
    [anon_sym_QMARK_DOT] = ACTIONS(449),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(447),
    [anon_sym_AMP_AMP] = ACTIONS(449),
    [anon_sym_PIPE_PIPE] = ACTIONS(449),
    [anon_sym_GT_GT] = ACTIONS(447),
    [anon_sym_GT_GT_GT] = ACTIONS(449),
    [anon_sym_LT_LT] = ACTIONS(449),
    [anon_sym_AMP] = ACTIONS(447),
    [anon_sym_CARET] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(447),
    [anon_sym_PLUS] = ACTIONS(445),
    [anon_sym_DASH] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(449),
    [anon_sym_STAR_STAR] = ACTIONS(449),
    [anon_sym_LT_EQ] = ACTIONS(449),
    [anon_sym_EQ_EQ] = ACTIONS(447),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(449),
    [anon_sym_BANG_EQ] = ACTIONS(447),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(449),
    [anon_sym_GT_EQ] = ACTIONS(449),
    [anon_sym_QMARK_QMARK] = ACTIONS(449),
    [anon_sym_instanceof] = ACTIONS(447),
    [anon_sym_BANG] = ACTIONS(445),
    [anon_sym_TILDE] = ACTIONS(443),
    [anon_sym_typeof] = ACTIONS(445),
    [anon_sym_void] = ACTIONS(445),
    [anon_sym_delete] = ACTIONS(445),
    [anon_sym_PLUS_PLUS] = ACTIONS(443),
    [anon_sym_DASH_DASH] = ACTIONS(443),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [anon_sym_SQUOTE] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(443),
    [sym_number] = ACTIONS(443),
    [sym_this] = ACTIONS(445),
    [sym_super] = ACTIONS(445),
    [sym_true] = ACTIONS(445),
    [sym_false] = ACTIONS(445),
    [sym_null] = ACTIONS(445),
    [sym_undefined] = ACTIONS(445),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_static] = ACTIONS(445),
    [anon_sym_get] = ACTIONS(445),
    [anon_sym_set] = ACTIONS(445),
    [sym__automatic_semicolon] = ACTIONS(451),
  },
  [51] = {
    [ts_builtin_sym_end] = ACTIONS(453),
    [sym_identifier] = ACTIONS(455),
    [anon_sym_export] = ACTIONS(455),
    [anon_sym_STAR] = ACTIONS(457),
    [anon_sym_default] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(453),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_RBRACE] = ACTIONS(453),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_var] = ACTIONS(455),
    [anon_sym_let] = ACTIONS(455),
    [anon_sym_const] = ACTIONS(455),
    [anon_sym_else] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_switch] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_await] = ACTIONS(455),
    [anon_sym_in] = ACTIONS(457),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_with] = ACTIONS(455),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_continue] = ACTIONS(455),
    [anon_sym_debugger] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(455),
    [anon_sym_throw] = ACTIONS(455),
    [anon_sym_SEMI] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(455),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_LBRACK] = ACTIONS(453),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_GT] = ACTIONS(457),
    [anon_sym_SLASH] = ACTIONS(455),
    [anon_sym_DOT] = ACTIONS(457),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_async] = ACTIONS(455),
    [anon_sym_function] = ACTIONS(455),
    [anon_sym_QMARK_DOT] = ACTIONS(459),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(459),
    [anon_sym_PIPE_PIPE] = ACTIONS(459),
    [anon_sym_GT_GT] = ACTIONS(457),
    [anon_sym_GT_GT_GT] = ACTIONS(459),
    [anon_sym_LT_LT] = ACTIONS(459),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_CARET] = ACTIONS(459),
    [anon_sym_PIPE] = ACTIONS(457),
    [anon_sym_PLUS] = ACTIONS(455),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_PERCENT] = ACTIONS(459),
    [anon_sym_STAR_STAR] = ACTIONS(459),
    [anon_sym_LT_EQ] = ACTIONS(459),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(459),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(459),
    [anon_sym_GT_EQ] = ACTIONS(459),
    [anon_sym_QMARK_QMARK] = ACTIONS(459),
    [anon_sym_instanceof] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(453),
    [anon_sym_typeof] = ACTIONS(455),
    [anon_sym_void] = ACTIONS(455),
    [anon_sym_delete] = ACTIONS(455),
    [anon_sym_PLUS_PLUS] = ACTIONS(453),
    [anon_sym_DASH_DASH] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(453),
    [anon_sym_SQUOTE] = ACTIONS(453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(453),
    [sym_number] = ACTIONS(453),
    [sym_this] = ACTIONS(455),
    [sym_super] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_null] = ACTIONS(455),
    [sym_undefined] = ACTIONS(455),
    [anon_sym_AT] = ACTIONS(453),
    [anon_sym_static] = ACTIONS(455),
    [anon_sym_get] = ACTIONS(455),
    [anon_sym_set] = ACTIONS(455),
    [sym__automatic_semicolon] = ACTIONS(461),
  },
  [52] = {
    [ts_builtin_sym_end] = ACTIONS(463),
    [sym_identifier] = ACTIONS(465),
    [anon_sym_export] = ACTIONS(465),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_default] = ACTIONS(465),
    [anon_sym_LBRACE] = ACTIONS(463),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_RBRACE] = ACTIONS(463),
    [anon_sym_import] = ACTIONS(465),
    [anon_sym_var] = ACTIONS(465),
    [anon_sym_let] = ACTIONS(465),
    [anon_sym_const] = ACTIONS(465),
    [anon_sym_else] = ACTIONS(465),
    [anon_sym_if] = ACTIONS(465),
    [anon_sym_switch] = ACTIONS(465),
    [anon_sym_for] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(463),
    [anon_sym_await] = ACTIONS(465),
    [anon_sym_in] = ACTIONS(465),
    [anon_sym_while] = ACTIONS(465),
    [anon_sym_do] = ACTIONS(465),
    [anon_sym_try] = ACTIONS(465),
    [anon_sym_with] = ACTIONS(465),
    [anon_sym_break] = ACTIONS(465),
    [anon_sym_continue] = ACTIONS(465),
    [anon_sym_debugger] = ACTIONS(465),
    [anon_sym_return] = ACTIONS(465),
    [anon_sym_throw] = ACTIONS(465),
    [anon_sym_SEMI] = ACTIONS(463),
    [anon_sym_case] = ACTIONS(465),
    [anon_sym_yield] = ACTIONS(465),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(465),
    [anon_sym_GT] = ACTIONS(465),
    [anon_sym_SLASH] = ACTIONS(465),
    [anon_sym_DOT] = ACTIONS(465),
    [anon_sym_class] = ACTIONS(465),
    [anon_sym_async] = ACTIONS(465),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_QMARK_DOT] = ACTIONS(463),
    [anon_sym_new] = ACTIONS(465),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(463),
    [anon_sym_PIPE_PIPE] = ACTIONS(463),
    [anon_sym_GT_GT] = ACTIONS(465),
    [anon_sym_GT_GT_GT] = ACTIONS(463),
    [anon_sym_LT_LT] = ACTIONS(463),
    [anon_sym_AMP] = ACTIONS(465),
    [anon_sym_CARET] = ACTIONS(463),
    [anon_sym_PIPE] = ACTIONS(465),
    [anon_sym_PLUS] = ACTIONS(465),
    [anon_sym_DASH] = ACTIONS(465),
    [anon_sym_PERCENT] = ACTIONS(463),
    [anon_sym_STAR_STAR] = ACTIONS(463),
    [anon_sym_LT_EQ] = ACTIONS(463),
    [anon_sym_EQ_EQ] = ACTIONS(465),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(463),
    [anon_sym_BANG_EQ] = ACTIONS(465),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(463),
    [anon_sym_QMARK_QMARK] = ACTIONS(463),
    [anon_sym_instanceof] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(463),
    [anon_sym_typeof] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(465),
    [anon_sym_delete] = ACTIONS(465),
    [anon_sym_PLUS_PLUS] = ACTIONS(463),
    [anon_sym_DASH_DASH] = ACTIONS(463),
    [anon_sym_DQUOTE] = ACTIONS(463),
    [anon_sym_SQUOTE] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(463),
    [sym_number] = ACTIONS(463),
    [sym_this] = ACTIONS(465),
    [sym_super] = ACTIONS(465),
    [sym_true] = ACTIONS(465),
    [sym_false] = ACTIONS(465),
    [sym_null] = ACTIONS(465),
    [sym_undefined] = ACTIONS(465),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(465),
    [anon_sym_get] = ACTIONS(465),
    [anon_sym_set] = ACTIONS(465),
    [sym__automatic_semicolon] = ACTIONS(463),
  },
  [53] = {
    [ts_builtin_sym_end] = ACTIONS(467),
    [sym_identifier] = ACTIONS(469),
    [anon_sym_export] = ACTIONS(469),
    [anon_sym_STAR] = ACTIONS(471),
    [anon_sym_default] = ACTIONS(469),
    [anon_sym_LBRACE] = ACTIONS(467),
    [anon_sym_COMMA] = ACTIONS(473),
    [anon_sym_RBRACE] = ACTIONS(467),
    [anon_sym_import] = ACTIONS(469),
    [anon_sym_var] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(469),
    [anon_sym_const] = ACTIONS(469),
    [anon_sym_else] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(469),
    [anon_sym_switch] = ACTIONS(469),
    [anon_sym_for] = ACTIONS(469),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_while] = ACTIONS(469),
    [anon_sym_do] = ACTIONS(469),
    [anon_sym_try] = ACTIONS(469),
    [anon_sym_with] = ACTIONS(469),
    [anon_sym_break] = ACTIONS(469),
    [anon_sym_continue] = ACTIONS(469),
    [anon_sym_debugger] = ACTIONS(469),
    [anon_sym_return] = ACTIONS(469),
    [anon_sym_throw] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(467),
    [anon_sym_case] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(469),
    [anon_sym_LBRACK] = ACTIONS(467),
    [anon_sym_LT] = ACTIONS(469),
    [anon_sym_GT] = ACTIONS(471),
    [anon_sym_SLASH] = ACTIONS(469),
    [anon_sym_DOT] = ACTIONS(471),
    [anon_sym_class] = ACTIONS(469),
    [anon_sym_async] = ACTIONS(469),
    [anon_sym_function] = ACTIONS(469),
    [anon_sym_QMARK_DOT] = ACTIONS(473),
    [anon_sym_new] = ACTIONS(469),
    [anon_sym_QMARK] = ACTIONS(471),
    [anon_sym_AMP_AMP] = ACTIONS(473),
    [anon_sym_PIPE_PIPE] = ACTIONS(473),
    [anon_sym_GT_GT] = ACTIONS(471),
    [anon_sym_GT_GT_GT] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(471),
    [anon_sym_CARET] = ACTIONS(473),
    [anon_sym_PIPE] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(469),
    [anon_sym_DASH] = ACTIONS(469),
    [anon_sym_PERCENT] = ACTIONS(473),
    [anon_sym_STAR_STAR] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_EQ_EQ] = ACTIONS(471),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(471),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_QMARK_QMARK] = ACTIONS(473),
    [anon_sym_instanceof] = ACTIONS(471),
    [anon_sym_BANG] = ACTIONS(469),
    [anon_sym_TILDE] = ACTIONS(467),
    [anon_sym_typeof] = ACTIONS(469),
    [anon_sym_void] = ACTIONS(469),
    [anon_sym_delete] = ACTIONS(469),
    [anon_sym_PLUS_PLUS] = ACTIONS(467),
    [anon_sym_DASH_DASH] = ACTIONS(467),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_SQUOTE] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(467),
    [sym_number] = ACTIONS(467),
    [sym_this] = ACTIONS(469),
    [sym_super] = ACTIONS(469),
    [sym_true] = ACTIONS(469),
    [sym_false] = ACTIONS(469),
    [sym_null] = ACTIONS(469),
    [sym_undefined] = ACTIONS(469),
    [anon_sym_AT] = ACTIONS(467),
    [anon_sym_static] = ACTIONS(469),
    [anon_sym_get] = ACTIONS(469),
    [anon_sym_set] = ACTIONS(469),
    [sym__automatic_semicolon] = ACTIONS(475),
  },
  [54] = {
    [ts_builtin_sym_end] = ACTIONS(417),
    [sym_identifier] = ACTIONS(419),
    [anon_sym_export] = ACTIONS(419),
    [anon_sym_STAR] = ACTIONS(419),
    [anon_sym_default] = ACTIONS(419),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_COMMA] = ACTIONS(417),
    [anon_sym_RBRACE] = ACTIONS(417),
    [anon_sym_import] = ACTIONS(419),
    [anon_sym_var] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_const] = ACTIONS(419),
    [anon_sym_else] = ACTIONS(419),
    [anon_sym_if] = ACTIONS(419),
    [anon_sym_switch] = ACTIONS(419),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(417),
    [anon_sym_await] = ACTIONS(419),
    [anon_sym_in] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(419),
    [anon_sym_do] = ACTIONS(419),
    [anon_sym_try] = ACTIONS(419),
    [anon_sym_with] = ACTIONS(419),
    [anon_sym_break] = ACTIONS(419),
    [anon_sym_continue] = ACTIONS(419),
    [anon_sym_debugger] = ACTIONS(419),
    [anon_sym_return] = ACTIONS(419),
    [anon_sym_throw] = ACTIONS(419),
    [anon_sym_SEMI] = ACTIONS(417),
    [anon_sym_case] = ACTIONS(419),
    [anon_sym_yield] = ACTIONS(419),
    [anon_sym_LBRACK] = ACTIONS(417),
    [anon_sym_LT] = ACTIONS(419),
    [anon_sym_GT] = ACTIONS(419),
    [anon_sym_SLASH] = ACTIONS(419),
    [anon_sym_DOT] = ACTIONS(419),
    [anon_sym_class] = ACTIONS(419),
    [anon_sym_async] = ACTIONS(419),
    [anon_sym_function] = ACTIONS(419),
    [anon_sym_QMARK_DOT] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(419),
    [anon_sym_QMARK] = ACTIONS(419),
    [anon_sym_AMP_AMP] = ACTIONS(417),
    [anon_sym_PIPE_PIPE] = ACTIONS(417),
    [anon_sym_GT_GT] = ACTIONS(419),
    [anon_sym_GT_GT_GT] = ACTIONS(417),
    [anon_sym_LT_LT] = ACTIONS(417),
    [anon_sym_AMP] = ACTIONS(419),
    [anon_sym_CARET] = ACTIONS(417),
    [anon_sym_PIPE] = ACTIONS(419),
    [anon_sym_PLUS] = ACTIONS(419),
    [anon_sym_DASH] = ACTIONS(419),
    [anon_sym_PERCENT] = ACTIONS(417),
    [anon_sym_STAR_STAR] = ACTIONS(417),
    [anon_sym_LT_EQ] = ACTIONS(417),
    [anon_sym_EQ_EQ] = ACTIONS(419),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(417),
    [anon_sym_BANG_EQ] = ACTIONS(419),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(417),
    [anon_sym_GT_EQ] = ACTIONS(417),
    [anon_sym_QMARK_QMARK] = ACTIONS(417),
    [anon_sym_instanceof] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(419),
    [anon_sym_TILDE] = ACTIONS(417),
    [anon_sym_typeof] = ACTIONS(419),
    [anon_sym_void] = ACTIONS(419),
    [anon_sym_delete] = ACTIONS(419),
    [anon_sym_PLUS_PLUS] = ACTIONS(417),
    [anon_sym_DASH_DASH] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(417),
    [anon_sym_SQUOTE] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(417),
    [sym_number] = ACTIONS(417),
    [sym_this] = ACTIONS(419),
    [sym_super] = ACTIONS(419),
    [sym_true] = ACTIONS(419),
    [sym_false] = ACTIONS(419),
    [sym_null] = ACTIONS(419),
    [sym_undefined] = ACTIONS(419),
    [anon_sym_AT] = ACTIONS(417),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [sym__automatic_semicolon] = ACTIONS(477),
  },
  [55] = {
    [ts_builtin_sym_end] = ACTIONS(479),
    [sym_identifier] = ACTIONS(481),
    [anon_sym_export] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_default] = ACTIONS(481),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_COMMA] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(479),
    [anon_sym_import] = ACTIONS(481),
    [anon_sym_var] = ACTIONS(481),
    [anon_sym_let] = ACTIONS(481),
    [anon_sym_const] = ACTIONS(481),
    [anon_sym_else] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(481),
    [anon_sym_switch] = ACTIONS(481),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(479),
    [anon_sym_await] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(483),
    [anon_sym_while] = ACTIONS(481),
    [anon_sym_do] = ACTIONS(481),
    [anon_sym_try] = ACTIONS(481),
    [anon_sym_with] = ACTIONS(481),
    [anon_sym_break] = ACTIONS(481),
    [anon_sym_continue] = ACTIONS(481),
    [anon_sym_debugger] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(481),
    [anon_sym_throw] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(479),
    [anon_sym_case] = ACTIONS(481),
    [anon_sym_yield] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(479),
    [anon_sym_LT] = ACTIONS(481),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(483),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(481),
    [anon_sym_QMARK_DOT] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(481),
    [anon_sym_QMARK] = ACTIONS(483),
    [anon_sym_AMP_AMP] = ACTIONS(485),
    [anon_sym_PIPE_PIPE] = ACTIONS(485),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_GT_GT_GT] = ACTIONS(485),
    [anon_sym_LT_LT] = ACTIONS(485),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_CARET] = ACTIONS(485),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_PERCENT] = ACTIONS(485),
    [anon_sym_STAR_STAR] = ACTIONS(485),
    [anon_sym_LT_EQ] = ACTIONS(485),
    [anon_sym_EQ_EQ] = ACTIONS(483),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(485),
    [anon_sym_BANG_EQ] = ACTIONS(483),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(485),
    [anon_sym_GT_EQ] = ACTIONS(485),
    [anon_sym_QMARK_QMARK] = ACTIONS(485),
    [anon_sym_instanceof] = ACTIONS(483),
    [anon_sym_BANG] = ACTIONS(481),
    [anon_sym_TILDE] = ACTIONS(479),
    [anon_sym_typeof] = ACTIONS(481),
    [anon_sym_void] = ACTIONS(481),
    [anon_sym_delete] = ACTIONS(481),
    [anon_sym_PLUS_PLUS] = ACTIONS(479),
    [anon_sym_DASH_DASH] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(479),
    [anon_sym_SQUOTE] = ACTIONS(479),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(479),
    [sym_number] = ACTIONS(479),
    [sym_this] = ACTIONS(481),
    [sym_super] = ACTIONS(481),
    [sym_true] = ACTIONS(481),
    [sym_false] = ACTIONS(481),
    [sym_null] = ACTIONS(481),
    [sym_undefined] = ACTIONS(481),
    [anon_sym_AT] = ACTIONS(479),
    [anon_sym_static] = ACTIONS(481),
    [anon_sym_get] = ACTIONS(481),
    [anon_sym_set] = ACTIONS(481),
    [sym__automatic_semicolon] = ACTIONS(487),
  },
  [56] = {
    [ts_builtin_sym_end] = ACTIONS(489),
    [sym_identifier] = ACTIONS(491),
    [anon_sym_export] = ACTIONS(491),
    [anon_sym_STAR] = ACTIONS(493),
    [anon_sym_default] = ACTIONS(491),
    [anon_sym_LBRACE] = ACTIONS(489),
    [anon_sym_COMMA] = ACTIONS(495),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_import] = ACTIONS(491),
    [anon_sym_var] = ACTIONS(491),
    [anon_sym_let] = ACTIONS(491),
    [anon_sym_const] = ACTIONS(491),
    [anon_sym_else] = ACTIONS(491),
    [anon_sym_if] = ACTIONS(491),
    [anon_sym_switch] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(491),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(491),
    [anon_sym_in] = ACTIONS(493),
    [anon_sym_while] = ACTIONS(491),
    [anon_sym_do] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(491),
    [anon_sym_with] = ACTIONS(491),
    [anon_sym_break] = ACTIONS(491),
    [anon_sym_continue] = ACTIONS(491),
    [anon_sym_debugger] = ACTIONS(491),
    [anon_sym_return] = ACTIONS(491),
    [anon_sym_throw] = ACTIONS(491),
    [anon_sym_SEMI] = ACTIONS(489),
    [anon_sym_case] = ACTIONS(491),
    [anon_sym_yield] = ACTIONS(491),
    [anon_sym_LBRACK] = ACTIONS(489),
    [anon_sym_LT] = ACTIONS(491),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_SLASH] = ACTIONS(491),
    [anon_sym_DOT] = ACTIONS(493),
    [anon_sym_class] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_QMARK_DOT] = ACTIONS(495),
    [anon_sym_new] = ACTIONS(491),
    [anon_sym_QMARK] = ACTIONS(493),
    [anon_sym_AMP_AMP] = ACTIONS(495),
    [anon_sym_PIPE_PIPE] = ACTIONS(495),
    [anon_sym_GT_GT] = ACTIONS(493),
    [anon_sym_GT_GT_GT] = ACTIONS(495),
    [anon_sym_LT_LT] = ACTIONS(495),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_PIPE] = ACTIONS(493),
    [anon_sym_PLUS] = ACTIONS(491),
    [anon_sym_DASH] = ACTIONS(491),
    [anon_sym_PERCENT] = ACTIONS(495),
    [anon_sym_STAR_STAR] = ACTIONS(495),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(493),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(493),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(495),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_QMARK_QMARK] = ACTIONS(495),
    [anon_sym_instanceof] = ACTIONS(493),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(489),
    [anon_sym_typeof] = ACTIONS(491),
    [anon_sym_void] = ACTIONS(491),
    [anon_sym_delete] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(489),
    [anon_sym_DASH_DASH] = ACTIONS(489),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_SQUOTE] = ACTIONS(489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(489),
    [sym_number] = ACTIONS(489),
    [sym_this] = ACTIONS(491),
    [sym_super] = ACTIONS(491),
    [sym_true] = ACTIONS(491),
    [sym_false] = ACTIONS(491),
    [sym_null] = ACTIONS(491),
    [sym_undefined] = ACTIONS(491),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_static] = ACTIONS(491),
    [anon_sym_get] = ACTIONS(491),
    [anon_sym_set] = ACTIONS(491),
    [sym__automatic_semicolon] = ACTIONS(497),
  },
  [57] = {
    [ts_builtin_sym_end] = ACTIONS(499),
    [sym_identifier] = ACTIONS(501),
    [anon_sym_export] = ACTIONS(501),
    [anon_sym_STAR] = ACTIONS(503),
    [anon_sym_default] = ACTIONS(501),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_COMMA] = ACTIONS(505),
    [anon_sym_RBRACE] = ACTIONS(499),
    [anon_sym_import] = ACTIONS(501),
    [anon_sym_var] = ACTIONS(501),
    [anon_sym_let] = ACTIONS(501),
    [anon_sym_const] = ACTIONS(501),
    [anon_sym_else] = ACTIONS(501),
    [anon_sym_if] = ACTIONS(501),
    [anon_sym_switch] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(499),
    [anon_sym_await] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(503),
    [anon_sym_while] = ACTIONS(501),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_try] = ACTIONS(501),
    [anon_sym_with] = ACTIONS(501),
    [anon_sym_break] = ACTIONS(501),
    [anon_sym_continue] = ACTIONS(501),
    [anon_sym_debugger] = ACTIONS(501),
    [anon_sym_return] = ACTIONS(501),
    [anon_sym_throw] = ACTIONS(501),
    [anon_sym_SEMI] = ACTIONS(499),
    [anon_sym_case] = ACTIONS(501),
    [anon_sym_yield] = ACTIONS(501),
    [anon_sym_LBRACK] = ACTIONS(499),
    [anon_sym_LT] = ACTIONS(501),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(501),
    [anon_sym_DOT] = ACTIONS(503),
    [anon_sym_class] = ACTIONS(501),
    [anon_sym_async] = ACTIONS(501),
    [anon_sym_function] = ACTIONS(501),
    [anon_sym_QMARK_DOT] = ACTIONS(505),
    [anon_sym_new] = ACTIONS(501),
    [anon_sym_QMARK] = ACTIONS(503),
    [anon_sym_AMP_AMP] = ACTIONS(505),
    [anon_sym_PIPE_PIPE] = ACTIONS(505),
    [anon_sym_GT_GT] = ACTIONS(503),
    [anon_sym_GT_GT_GT] = ACTIONS(505),
    [anon_sym_LT_LT] = ACTIONS(505),
    [anon_sym_AMP] = ACTIONS(503),
    [anon_sym_CARET] = ACTIONS(505),
    [anon_sym_PIPE] = ACTIONS(503),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_PERCENT] = ACTIONS(505),
    [anon_sym_STAR_STAR] = ACTIONS(505),
    [anon_sym_LT_EQ] = ACTIONS(505),
    [anon_sym_EQ_EQ] = ACTIONS(503),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(505),
    [anon_sym_BANG_EQ] = ACTIONS(503),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(505),
    [anon_sym_GT_EQ] = ACTIONS(505),
    [anon_sym_QMARK_QMARK] = ACTIONS(505),
    [anon_sym_instanceof] = ACTIONS(503),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(499),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(499),
    [anon_sym_DASH_DASH] = ACTIONS(499),
    [anon_sym_DQUOTE] = ACTIONS(499),
    [anon_sym_SQUOTE] = ACTIONS(499),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(499),
    [sym_number] = ACTIONS(499),
    [sym_this] = ACTIONS(501),
    [sym_super] = ACTIONS(501),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [sym_null] = ACTIONS(501),
    [sym_undefined] = ACTIONS(501),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_static] = ACTIONS(501),
    [anon_sym_get] = ACTIONS(501),
    [anon_sym_set] = ACTIONS(501),
    [sym__automatic_semicolon] = ACTIONS(507),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(509),
    [sym_identifier] = ACTIONS(511),
    [anon_sym_export] = ACTIONS(511),
    [anon_sym_STAR] = ACTIONS(511),
    [anon_sym_default] = ACTIONS(511),
    [anon_sym_LBRACE] = ACTIONS(509),
    [anon_sym_COMMA] = ACTIONS(509),
    [anon_sym_RBRACE] = ACTIONS(509),
    [anon_sym_import] = ACTIONS(511),
    [anon_sym_var] = ACTIONS(511),
    [anon_sym_let] = ACTIONS(511),
    [anon_sym_const] = ACTIONS(511),
    [anon_sym_else] = ACTIONS(511),
    [anon_sym_if] = ACTIONS(511),
    [anon_sym_switch] = ACTIONS(511),
    [anon_sym_for] = ACTIONS(511),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_await] = ACTIONS(511),
    [anon_sym_in] = ACTIONS(511),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(511),
    [anon_sym_try] = ACTIONS(511),
    [anon_sym_with] = ACTIONS(511),
    [anon_sym_break] = ACTIONS(511),
    [anon_sym_continue] = ACTIONS(511),
    [anon_sym_debugger] = ACTIONS(511),
    [anon_sym_return] = ACTIONS(511),
    [anon_sym_throw] = ACTIONS(511),
    [anon_sym_SEMI] = ACTIONS(509),
    [anon_sym_case] = ACTIONS(511),
    [anon_sym_yield] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(509),
    [anon_sym_LT] = ACTIONS(511),
    [anon_sym_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(511),
    [anon_sym_DOT] = ACTIONS(511),
    [anon_sym_class] = ACTIONS(511),
    [anon_sym_async] = ACTIONS(511),
    [anon_sym_function] = ACTIONS(511),
    [anon_sym_QMARK_DOT] = ACTIONS(509),
    [anon_sym_new] = ACTIONS(511),
    [anon_sym_QMARK] = ACTIONS(511),
    [anon_sym_AMP_AMP] = ACTIONS(509),
    [anon_sym_PIPE_PIPE] = ACTIONS(509),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_GT_GT_GT] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(509),
    [anon_sym_AMP] = ACTIONS(511),
    [anon_sym_CARET] = ACTIONS(509),
    [anon_sym_PIPE] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(511),
    [anon_sym_DASH] = ACTIONS(511),
    [anon_sym_PERCENT] = ACTIONS(509),
    [anon_sym_STAR_STAR] = ACTIONS(509),
    [anon_sym_LT_EQ] = ACTIONS(509),
    [anon_sym_EQ_EQ] = ACTIONS(511),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(509),
    [anon_sym_BANG_EQ] = ACTIONS(511),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(509),
    [anon_sym_GT_EQ] = ACTIONS(509),
    [anon_sym_QMARK_QMARK] = ACTIONS(509),
    [anon_sym_instanceof] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(511),
    [anon_sym_TILDE] = ACTIONS(509),
    [anon_sym_typeof] = ACTIONS(511),
    [anon_sym_void] = ACTIONS(511),
    [anon_sym_delete] = ACTIONS(511),
    [anon_sym_PLUS_PLUS] = ACTIONS(509),
    [anon_sym_DASH_DASH] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(509),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(509),
    [sym_this] = ACTIONS(511),
    [sym_super] = ACTIONS(511),
    [sym_true] = ACTIONS(511),
    [sym_false] = ACTIONS(511),
    [sym_null] = ACTIONS(511),
    [sym_undefined] = ACTIONS(511),
    [anon_sym_AT] = ACTIONS(509),
    [anon_sym_static] = ACTIONS(511),
    [anon_sym_get] = ACTIONS(511),
    [anon_sym_set] = ACTIONS(511),
    [sym__automatic_semicolon] = ACTIONS(509),
  },
  [59] = {
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_identifier] = ACTIONS(515),
    [anon_sym_export] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(515),
    [anon_sym_default] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(513),
    [anon_sym_COMMA] = ACTIONS(513),
    [anon_sym_RBRACE] = ACTIONS(513),
    [anon_sym_import] = ACTIONS(515),
    [anon_sym_var] = ACTIONS(515),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_const] = ACTIONS(515),
    [anon_sym_else] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_switch] = ACTIONS(515),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(513),
    [anon_sym_await] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(515),
    [anon_sym_do] = ACTIONS(515),
    [anon_sym_try] = ACTIONS(515),
    [anon_sym_with] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(515),
    [anon_sym_debugger] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_throw] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(513),
    [anon_sym_case] = ACTIONS(515),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_GT] = ACTIONS(515),
    [anon_sym_SLASH] = ACTIONS(515),
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_class] = ACTIONS(515),
    [anon_sym_async] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(515),
    [anon_sym_QMARK_DOT] = ACTIONS(513),
    [anon_sym_new] = ACTIONS(515),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(513),
    [anon_sym_PIPE_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(515),
    [anon_sym_GT_GT_GT] = ACTIONS(513),
    [anon_sym_LT_LT] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_CARET] = ACTIONS(513),
    [anon_sym_PIPE] = ACTIONS(515),
    [anon_sym_PLUS] = ACTIONS(515),
    [anon_sym_DASH] = ACTIONS(515),
    [anon_sym_PERCENT] = ACTIONS(513),
    [anon_sym_STAR_STAR] = ACTIONS(513),
    [anon_sym_LT_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(513),
    [anon_sym_GT_EQ] = ACTIONS(513),
    [anon_sym_QMARK_QMARK] = ACTIONS(513),
    [anon_sym_instanceof] = ACTIONS(515),
    [anon_sym_BANG] = ACTIONS(515),
    [anon_sym_TILDE] = ACTIONS(513),
    [anon_sym_typeof] = ACTIONS(515),
    [anon_sym_void] = ACTIONS(515),
    [anon_sym_delete] = ACTIONS(515),
    [anon_sym_PLUS_PLUS] = ACTIONS(513),
    [anon_sym_DASH_DASH] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_SQUOTE] = ACTIONS(513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(513),
    [sym_number] = ACTIONS(513),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(515),
    [anon_sym_AT] = ACTIONS(513),
    [anon_sym_static] = ACTIONS(515),
    [anon_sym_get] = ACTIONS(515),
    [anon_sym_set] = ACTIONS(515),
    [sym__automatic_semicolon] = ACTIONS(513),
  },
  [60] = {
    [ts_builtin_sym_end] = ACTIONS(517),
    [sym_identifier] = ACTIONS(519),
    [anon_sym_export] = ACTIONS(519),
    [anon_sym_STAR] = ACTIONS(521),
    [anon_sym_default] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(517),
    [anon_sym_COMMA] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(517),
    [anon_sym_import] = ACTIONS(519),
    [anon_sym_var] = ACTIONS(519),
    [anon_sym_let] = ACTIONS(519),
    [anon_sym_const] = ACTIONS(519),
    [anon_sym_else] = ACTIONS(519),
    [anon_sym_if] = ACTIONS(519),
    [anon_sym_switch] = ACTIONS(519),
    [anon_sym_for] = ACTIONS(519),
    [anon_sym_LPAREN] = ACTIONS(517),
    [anon_sym_await] = ACTIONS(519),
    [anon_sym_in] = ACTIONS(521),
    [anon_sym_while] = ACTIONS(519),
    [anon_sym_do] = ACTIONS(519),
    [anon_sym_try] = ACTIONS(519),
    [anon_sym_with] = ACTIONS(519),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(519),
    [anon_sym_debugger] = ACTIONS(519),
    [anon_sym_return] = ACTIONS(519),
    [anon_sym_throw] = ACTIONS(519),
    [anon_sym_SEMI] = ACTIONS(517),
    [anon_sym_case] = ACTIONS(519),
    [anon_sym_yield] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(517),
    [anon_sym_LT] = ACTIONS(519),
    [anon_sym_GT] = ACTIONS(521),
    [anon_sym_SLASH] = ACTIONS(519),
    [anon_sym_DOT] = ACTIONS(521),
    [anon_sym_class] = ACTIONS(519),
    [anon_sym_async] = ACTIONS(519),
    [anon_sym_function] = ACTIONS(519),
    [anon_sym_QMARK_DOT] = ACTIONS(523),
    [anon_sym_new] = ACTIONS(519),
    [anon_sym_QMARK] = ACTIONS(521),
    [anon_sym_AMP_AMP] = ACTIONS(523),
    [anon_sym_PIPE_PIPE] = ACTIONS(523),
    [anon_sym_GT_GT] = ACTIONS(521),
    [anon_sym_GT_GT_GT] = ACTIONS(523),
    [anon_sym_LT_LT] = ACTIONS(523),
    [anon_sym_AMP] = ACTIONS(521),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_PIPE] = ACTIONS(521),
    [anon_sym_PLUS] = ACTIONS(519),
    [anon_sym_DASH] = ACTIONS(519),
    [anon_sym_PERCENT] = ACTIONS(523),
    [anon_sym_STAR_STAR] = ACTIONS(523),
    [anon_sym_LT_EQ] = ACTIONS(523),
    [anon_sym_EQ_EQ] = ACTIONS(521),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(523),
    [anon_sym_BANG_EQ] = ACTIONS(521),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(523),
    [anon_sym_GT_EQ] = ACTIONS(523),
    [anon_sym_QMARK_QMARK] = ACTIONS(523),
    [anon_sym_instanceof] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(519),
    [anon_sym_TILDE] = ACTIONS(517),
    [anon_sym_typeof] = ACTIONS(519),
    [anon_sym_void] = ACTIONS(519),
    [anon_sym_delete] = ACTIONS(519),
    [anon_sym_PLUS_PLUS] = ACTIONS(517),
    [anon_sym_DASH_DASH] = ACTIONS(517),
    [anon_sym_DQUOTE] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(517),
    [sym_number] = ACTIONS(517),
    [sym_this] = ACTIONS(519),
    [sym_super] = ACTIONS(519),
    [sym_true] = ACTIONS(519),
    [sym_false] = ACTIONS(519),
    [sym_null] = ACTIONS(519),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(517),
    [anon_sym_static] = ACTIONS(519),
    [anon_sym_get] = ACTIONS(519),
    [anon_sym_set] = ACTIONS(519),
    [sym__automatic_semicolon] = ACTIONS(525),
  },
  [61] = {
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_identifier] = ACTIONS(515),
    [anon_sym_export] = ACTIONS(515),
    [anon_sym_STAR] = ACTIONS(515),
    [anon_sym_default] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(513),
    [anon_sym_COMMA] = ACTIONS(513),
    [anon_sym_RBRACE] = ACTIONS(513),
    [anon_sym_import] = ACTIONS(515),
    [anon_sym_var] = ACTIONS(515),
    [anon_sym_let] = ACTIONS(515),
    [anon_sym_const] = ACTIONS(515),
    [anon_sym_else] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(515),
    [anon_sym_switch] = ACTIONS(515),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_LPAREN] = ACTIONS(513),
    [anon_sym_await] = ACTIONS(515),
    [anon_sym_in] = ACTIONS(515),
    [anon_sym_while] = ACTIONS(515),
    [anon_sym_do] = ACTIONS(515),
    [anon_sym_try] = ACTIONS(515),
    [anon_sym_with] = ACTIONS(515),
    [anon_sym_break] = ACTIONS(515),
    [anon_sym_continue] = ACTIONS(515),
    [anon_sym_debugger] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(515),
    [anon_sym_throw] = ACTIONS(515),
    [anon_sym_SEMI] = ACTIONS(513),
    [anon_sym_case] = ACTIONS(515),
    [anon_sym_yield] = ACTIONS(515),
    [anon_sym_LBRACK] = ACTIONS(513),
    [anon_sym_LT] = ACTIONS(515),
    [anon_sym_GT] = ACTIONS(515),
    [anon_sym_SLASH] = ACTIONS(515),
    [anon_sym_DOT] = ACTIONS(515),
    [anon_sym_class] = ACTIONS(515),
    [anon_sym_async] = ACTIONS(515),
    [anon_sym_function] = ACTIONS(515),
    [anon_sym_QMARK_DOT] = ACTIONS(513),
    [anon_sym_new] = ACTIONS(515),
    [anon_sym_QMARK] = ACTIONS(515),
    [anon_sym_AMP_AMP] = ACTIONS(513),
    [anon_sym_PIPE_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(515),
    [anon_sym_GT_GT_GT] = ACTIONS(513),
    [anon_sym_LT_LT] = ACTIONS(513),
    [anon_sym_AMP] = ACTIONS(515),
    [anon_sym_CARET] = ACTIONS(513),
    [anon_sym_PIPE] = ACTIONS(515),
    [anon_sym_PLUS] = ACTIONS(515),
    [anon_sym_DASH] = ACTIONS(515),
    [anon_sym_PERCENT] = ACTIONS(513),
    [anon_sym_STAR_STAR] = ACTIONS(513),
    [anon_sym_LT_EQ] = ACTIONS(513),
    [anon_sym_EQ_EQ] = ACTIONS(515),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(513),
    [anon_sym_BANG_EQ] = ACTIONS(515),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(513),
    [anon_sym_GT_EQ] = ACTIONS(513),
    [anon_sym_QMARK_QMARK] = ACTIONS(513),
    [anon_sym_instanceof] = ACTIONS(515),
    [anon_sym_BANG] = ACTIONS(515),
    [anon_sym_TILDE] = ACTIONS(513),
    [anon_sym_typeof] = ACTIONS(515),
    [anon_sym_void] = ACTIONS(515),
    [anon_sym_delete] = ACTIONS(515),
    [anon_sym_PLUS_PLUS] = ACTIONS(513),
    [anon_sym_DASH_DASH] = ACTIONS(513),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_SQUOTE] = ACTIONS(513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(513),
    [sym_number] = ACTIONS(513),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(515),
    [anon_sym_AT] = ACTIONS(513),
    [anon_sym_static] = ACTIONS(515),
    [anon_sym_get] = ACTIONS(515),
    [anon_sym_set] = ACTIONS(515),
    [sym__automatic_semicolon] = ACTIONS(527),
  },
  [62] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1046),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1048),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [63] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1046),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1048),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [64] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1041),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1035),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [65] = {
    [sym_import] = STATE(557),
    [sym_expression_statement] = STATE(81),
    [sym_variable_declaration] = STATE(81),
    [sym_lexical_declaration] = STATE(81),
    [sym_empty_statement] = STATE(81),
    [sym_parenthesized_expression] = STATE(362),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1052),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1052),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(362),
    [sym_subscript_expression] = STATE(362),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1052),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(547),
    [anon_sym_export] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_var] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_const] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(559),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(549),
    [anon_sym_get] = ACTIONS(549),
    [anon_sym_set] = ACTIONS(549),
  },
  [66] = {
    [sym_import] = STATE(557),
    [sym_expression_statement] = STATE(80),
    [sym_variable_declaration] = STATE(80),
    [sym_lexical_declaration] = STATE(80),
    [sym_empty_statement] = STATE(80),
    [sym_parenthesized_expression] = STATE(362),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1052),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1052),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(362),
    [sym_subscript_expression] = STATE(362),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1052),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(547),
    [anon_sym_export] = ACTIONS(549),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_var] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_const] = ACTIONS(555),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(557),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(559),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(549),
    [anon_sym_get] = ACTIONS(549),
    [anon_sym_set] = ACTIONS(549),
  },
  [67] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1046),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1048),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(561),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [68] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1046),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1048),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(563),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [69] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(530),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1041),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1035),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [70] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1041),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1035),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(565),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [71] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1042),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(976),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_pattern_repeat1] = STATE(1034),
    [sym_identifier] = ACTIONS(567),
    [anon_sym_export] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(571),
    [anon_sym_COMMA] = ACTIONS(573),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_RBRACK] = ACTIONS(577),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(579),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(569),
    [anon_sym_get] = ACTIONS(569),
    [anon_sym_set] = ACTIONS(569),
  },
  [72] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(510),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1089),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_spread_element] = STATE(1077),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(1078),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_COMMA] = ACTIONS(583),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_RBRACK] = ACTIONS(583),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [73] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1063),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1319),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(961),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [74] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(558),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(972),
    [sym_assignment_pattern] = STATE(1063),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(972),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(972),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1313),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(961),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_export] = ACTIONS(531),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(539),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(531),
    [anon_sym_get] = ACTIONS(531),
    [anon_sym_set] = ACTIONS(531),
  },
  [75] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_spread_element] = STATE(1062),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1060),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [76] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(510),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_spread_element] = STATE(1077),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(594),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(594),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_RBRACK] = ACTIONS(594),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [77] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_spread_element] = STATE(1074),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [aux_sym_array_repeat1] = STATE(1075),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_COMMA] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [78] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_spread_element] = STATE(1335),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1335),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [79] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(578),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_spread_element] = STATE(1355),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1355),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_RBRACE] = ACTIONS(600),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [80] = {
    [sym_import] = STATE(557),
    [sym_expression_statement] = STATE(85),
    [sym_empty_statement] = STATE(85),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [81] = {
    [sym_import] = STATE(557),
    [sym_expression_statement] = STATE(86),
    [sym_empty_statement] = STATE(86),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(520),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1225),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [82] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(505),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1238),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(602),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
    [sym__automatic_semicolon] = ACTIONS(602),
  },
  [83] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(380),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1059),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1059),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(380),
    [sym_subscript_expression] = STATE(380),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1059),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(604),
    [anon_sym_export] = ACTIONS(606),
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_var] = ACTIONS(610),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(612),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(614),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(606),
    [anon_sym_get] = ACTIONS(606),
    [anon_sym_set] = ACTIONS(606),
  },
  [84] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1067),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1067),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1067),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [sym_pattern] = STATE(1180),
    [sym_rest_pattern] = STATE(889),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(616),
    [anon_sym_export] = ACTIONS(618),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(618),
    [anon_sym_get] = ACTIONS(618),
    [anon_sym_set] = ACTIONS(618),
  },
  [85] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(620),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1307),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [86] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(554),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1289),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [87] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1319),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [88] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(363),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(513),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(363),
    [sym_subscript_expression] = STATE(363),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(626),
    [anon_sym_export] = ACTIONS(628),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_DOT] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(628),
    [anon_sym_get] = ACTIONS(628),
    [anon_sym_set] = ACTIONS(628),
  },
  [89] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(462),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(399),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [90] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(475),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(393),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [91] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(548),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(487),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [92] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(534),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1287),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [93] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(580),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(450),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [94] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(411),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(965),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [95] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(490),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(577),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [96] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(462),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(579),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [97] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(421),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [98] = {
    [sym_export_clause] = STATE(915),
    [sym_declaration] = STATE(275),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_class_declaration] = STATE(273),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function_declaration] = STATE(273),
    [sym_decorator] = STATE(755),
    [aux_sym_export_statement_repeat1] = STATE(944),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_var] = ACTIONS(652),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(666),
    [anon_sym_async] = ACTIONS(668),
    [anon_sym_function] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [99] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(475),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [100] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(465),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(413),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [101] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(597),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1339),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [102] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(528),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1142),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [103] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(591),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(424),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [104] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(394),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(630),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [105] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1343),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [106] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(417),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(392),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [107] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(604),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(493),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [108] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(610),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(492),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [109] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(465),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [110] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(563),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1304),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [111] = {
    [sym_import] = STATE(557),
    [sym_statement_block] = STATE(612),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(491),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [112] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(574),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1286),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [113] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(545),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1285),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [114] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(417),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(606),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [115] = {
    [sym_export_clause] = STATE(915),
    [sym_declaration] = STATE(275),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_class_declaration] = STATE(273),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function_declaration] = STATE(273),
    [sym_decorator] = STATE(755),
    [aux_sym_export_statement_repeat1] = STATE(944),
    [aux_sym_object_repeat1] = STATE(1008),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_var] = ACTIONS(652),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(666),
    [anon_sym_async] = ACTIONS(668),
    [anon_sym_function] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [116] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(394),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(678),
    [anon_sym_export] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(684),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(680),
    [anon_sym_get] = ACTIONS(680),
    [anon_sym_set] = ACTIONS(680),
  },
  [117] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1349),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [118] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(421),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(390),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [119] = {
    [sym_export_clause] = STATE(915),
    [sym_declaration] = STATE(275),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_class_declaration] = STATE(273),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function_declaration] = STATE(273),
    [sym_decorator] = STATE(755),
    [aux_sym_export_statement_repeat1] = STATE(944),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_var] = ACTIONS(652),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(666),
    [anon_sym_async] = ACTIONS(668),
    [anon_sym_function] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [120] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(521),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_sequence_expression] = STATE(1183),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [121] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1263),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [122] = {
    [sym_import] = STATE(485),
    [sym_statement_block] = STATE(490),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(395),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(636),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [123] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(394),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_DOT] = ACTIONS(682),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [124] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1306),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [125] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(575),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_sequence_expression] = STATE(1358),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [126] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(451),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1061),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1061),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1061),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [127] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(624),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [128] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(456),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [129] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(389),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [130] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(483),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [131] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(474),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [132] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(495),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [133] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(509),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [134] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(455),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [135] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(476),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [136] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [137] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(472),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [138] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(488),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [139] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(480),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [140] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(544),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [141] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(397),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [142] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(401),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [143] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(451),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [144] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [145] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [146] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(386),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [147] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(402),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [148] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [149] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(451),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1021),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1021),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1021),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(690),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [150] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(404),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [151] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(518),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [152] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(384),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [153] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(634),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [154] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(383),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [155] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [156] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(400),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [157] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(407),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [158] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(562),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [159] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(466),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [160] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(385),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [161] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(384),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [162] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(383),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [163] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [164] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(616),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [165] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(406),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [166] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [167] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [168] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [169] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(385),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [170] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(422),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [171] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [172] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(425),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [173] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [174] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [175] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(431),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [176] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(386),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [177] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(433),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [178] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(410),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [179] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [180] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [181] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(437),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [182] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(438),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [183] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(439),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [184] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(440),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [185] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(441),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [186] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(408),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [187] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(414),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [188] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(627),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [189] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [190] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(412),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [191] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(561),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [192] = {
    [sym_import] = STATE(557),
    [sym_parenthesized_expression] = STATE(365),
    [sym_expression] = STATE(449),
    [sym_primary_expression] = STATE(549),
    [sym_yield_expression] = STATE(547),
    [sym_object] = STATE(557),
    [sym_object_pattern] = STATE(1288),
    [sym_array] = STATE(557),
    [sym_array_pattern] = STATE(1288),
    [sym_jsx_element] = STATE(547),
    [sym_jsx_fragment] = STATE(547),
    [sym_jsx_opening_element] = STATE(768),
    [sym_jsx_self_closing_element] = STATE(547),
    [sym_class] = STATE(557),
    [sym_function] = STATE(557),
    [sym_generator_function] = STATE(557),
    [sym_arrow_function] = STATE(557),
    [sym_call_expression] = STATE(557),
    [sym_new_expression] = STATE(547),
    [sym_await_expression] = STATE(547),
    [sym_member_expression] = STATE(365),
    [sym_subscript_expression] = STATE(365),
    [sym_assignment_expression] = STATE(547),
    [sym__augmented_assignment_lhs] = STATE(714),
    [sym_augmented_assignment_expression] = STATE(547),
    [sym__destructuring_pattern] = STATE(1288),
    [sym_ternary_expression] = STATE(547),
    [sym_binary_expression] = STATE(547),
    [sym_unary_expression] = STATE(547),
    [sym_update_expression] = STATE(547),
    [sym_string] = STATE(557),
    [sym_template_string] = STATE(557),
    [sym_regex] = STATE(557),
    [sym_meta_property] = STATE(557),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1291),
    [aux_sym_export_statement_repeat1] = STATE(955),
    [sym_identifier] = ACTIONS(373),
    [anon_sym_export] = ACTIONS(375),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_import] = ACTIONS(381),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LT] = ACTIONS(55),
    [anon_sym_SLASH] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
    [anon_sym_function] = ACTIONS(389),
    [anon_sym_new] = ACTIONS(65),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(67),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(69),
    [anon_sym_typeof] = ACTIONS(71),
    [anon_sym_void] = ACTIONS(71),
    [anon_sym_delete] = ACTIONS(71),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(83),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(375),
    [anon_sym_get] = ACTIONS(375),
    [anon_sym_set] = ACTIONS(375),
  },
  [193] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(342),
    [sym_expression] = STATE(535),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1280),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1280),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(342),
    [sym_subscript_expression] = STATE(342),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(730),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1280),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1317),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(391),
    [anon_sym_export] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(397),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(399),
    [anon_sym_yield] = ACTIONS(401),
    [anon_sym_LBRACK] = ACTIONS(403),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(405),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(407),
    [anon_sym_PLUS] = ACTIONS(409),
    [anon_sym_DASH] = ACTIONS(409),
    [anon_sym_BANG] = ACTIONS(411),
    [anon_sym_TILDE] = ACTIONS(411),
    [anon_sym_typeof] = ACTIONS(413),
    [anon_sym_void] = ACTIONS(413),
    [anon_sym_delete] = ACTIONS(413),
    [anon_sym_PLUS_PLUS] = ACTIONS(415),
    [anon_sym_DASH_DASH] = ACTIONS(415),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_get] = ACTIONS(393),
    [anon_sym_set] = ACTIONS(393),
  },
  [194] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(603),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [195] = {
    [sym_import] = STATE(485),
    [sym_parenthesized_expression] = STATE(358),
    [sym_expression] = STATE(409),
    [sym_primary_expression] = STATE(497),
    [sym_yield_expression] = STATE(498),
    [sym_object] = STATE(485),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(485),
    [sym_array_pattern] = STATE(1318),
    [sym_jsx_element] = STATE(498),
    [sym_jsx_fragment] = STATE(498),
    [sym_jsx_opening_element] = STATE(776),
    [sym_jsx_self_closing_element] = STATE(498),
    [sym_class] = STATE(485),
    [sym_function] = STATE(485),
    [sym_generator_function] = STATE(485),
    [sym_arrow_function] = STATE(485),
    [sym_call_expression] = STATE(485),
    [sym_new_expression] = STATE(498),
    [sym_await_expression] = STATE(498),
    [sym_member_expression] = STATE(358),
    [sym_subscript_expression] = STATE(358),
    [sym_assignment_expression] = STATE(498),
    [sym__augmented_assignment_lhs] = STATE(716),
    [sym_augmented_assignment_expression] = STATE(498),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(498),
    [sym_binary_expression] = STATE(498),
    [sym_unary_expression] = STATE(498),
    [sym_update_expression] = STATE(498),
    [sym_string] = STATE(485),
    [sym_template_string] = STATE(485),
    [sym_regex] = STATE(485),
    [sym_meta_property] = STATE(485),
    [sym_decorator] = STATE(755),
    [sym_formal_parameters] = STATE(1279),
    [aux_sym_export_statement_repeat1] = STATE(937),
    [sym_identifier] = ACTIONS(321),
    [anon_sym_export] = ACTIONS(323),
    [anon_sym_LBRACE] = ACTIONS(327),
    [anon_sym_import] = ACTIONS(331),
    [anon_sym_LPAREN] = ACTIONS(333),
    [anon_sym_await] = ACTIONS(335),
    [anon_sym_yield] = ACTIONS(339),
    [anon_sym_LBRACK] = ACTIONS(341),
    [anon_sym_LT] = ACTIONS(537),
    [anon_sym_SLASH] = ACTIONS(345),
    [anon_sym_class] = ACTIONS(347),
    [anon_sym_async] = ACTIONS(349),
    [anon_sym_function] = ACTIONS(351),
    [anon_sym_new] = ACTIONS(353),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_BANG] = ACTIONS(357),
    [anon_sym_TILDE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(359),
    [anon_sym_void] = ACTIONS(359),
    [anon_sym_delete] = ACTIONS(359),
    [anon_sym_PLUS_PLUS] = ACTIONS(361),
    [anon_sym_DASH_DASH] = ACTIONS(361),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(367),
    [sym_number] = ACTIONS(369),
    [sym_this] = ACTIONS(371),
    [sym_super] = ACTIONS(371),
    [sym_true] = ACTIONS(371),
    [sym_false] = ACTIONS(371),
    [sym_null] = ACTIONS(371),
    [sym_undefined] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(85),
    [anon_sym_static] = ACTIONS(323),
    [anon_sym_get] = ACTIONS(323),
    [anon_sym_set] = ACTIONS(323),
  },
  [196] = {
    [sym_export_clause] = STATE(915),
    [sym_declaration] = STATE(275),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_class_declaration] = STATE(273),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function_declaration] = STATE(273),
    [sym_decorator] = STATE(755),
    [aux_sym_export_statement_repeat1] = STATE(944),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_var] = ACTIONS(652),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(666),
    [anon_sym_async] = ACTIONS(668),
    [anon_sym_function] = ACTIONS(670),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [197] = {
    [sym_export_clause] = STATE(915),
    [sym_declaration] = STATE(275),
    [sym_variable_declaration] = STATE(273),
    [sym_lexical_declaration] = STATE(273),
    [sym_class_declaration] = STATE(273),
    [sym_function_declaration] = STATE(273),
    [sym_generator_function_declaration] = STATE(273),
    [sym_decorator] = STATE(755),
    [aux_sym_export_statement_repeat1] = STATE(943),
    [anon_sym_STAR] = ACTIONS(642),
    [anon_sym_default] = ACTIONS(644),
    [anon_sym_LBRACE] = ACTIONS(646),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_var] = ACTIONS(652),
    [anon_sym_let] = ACTIONS(654),
    [anon_sym_const] = ACTIONS(654),
    [anon_sym_LPAREN] = ACTIONS(648),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(696),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(648),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(648),
    [anon_sym_class] = ACTIONS(698),
    [anon_sym_async] = ACTIONS(700),
    [anon_sym_function] = ACTIONS(702),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(648),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [anon_sym_AT] = ACTIONS(85),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [198] = {
    [sym_string] = STATE(1213),
    [sym_formal_parameters] = STATE(1345),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [199] = {
    [sym_string] = STATE(1213),
    [sym_formal_parameters] = STATE(1345),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1008),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [200] = {
    [sym_string] = STATE(1213),
    [sym_formal_parameters] = STATE(1345),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(704),
    [anon_sym_export] = ACTIONS(706),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(706),
    [anon_sym_function] = ACTIONS(718),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(706),
    [anon_sym_get] = ACTIONS(722),
    [anon_sym_set] = ACTIONS(722),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [201] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [202] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(686),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [203] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [204] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1008),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(659),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(724),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(724),
    [anon_sym_set] = ACTIONS(724),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [205] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1008),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
  [206] = {
    [sym_string] = STATE(1213),
    [sym__property_name] = STATE(1213),
    [sym_computed_property_name] = STATE(1213),
    [aux_sym_object_repeat1] = STATE(1070),
    [aux_sym_object_pattern_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(724),
    [anon_sym_export] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(648),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(656),
    [anon_sym_in] = ACTIONS(659),
    [anon_sym_SEMI] = ACTIONS(648),
    [anon_sym_COLON] = ACTIONS(661),
    [anon_sym_EQ] = ACTIONS(664),
    [anon_sym_LBRACK] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_GT] = ACTIONS(659),
    [anon_sym_SLASH] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(726),
    [anon_sym_EQ_GT] = ACTIONS(672),
    [anon_sym_QMARK_DOT] = ACTIONS(648),
    [anon_sym_PLUS_EQ] = ACTIONS(674),
    [anon_sym_DASH_EQ] = ACTIONS(674),
    [anon_sym_STAR_EQ] = ACTIONS(674),
    [anon_sym_SLASH_EQ] = ACTIONS(674),
    [anon_sym_PERCENT_EQ] = ACTIONS(674),
    [anon_sym_CARET_EQ] = ACTIONS(674),
    [anon_sym_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(674),
    [anon_sym_LT_LT_EQ] = ACTIONS(674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(674),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(674),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(674),
    [anon_sym_QMARK] = ACTIONS(659),
    [anon_sym_AMP_AMP] = ACTIONS(659),
    [anon_sym_PIPE_PIPE] = ACTIONS(659),
    [anon_sym_GT_GT] = ACTIONS(659),
    [anon_sym_GT_GT_GT] = ACTIONS(659),
    [anon_sym_LT_LT] = ACTIONS(659),
    [anon_sym_AMP] = ACTIONS(659),
    [anon_sym_CARET] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PERCENT] = ACTIONS(659),
    [anon_sym_STAR_STAR] = ACTIONS(659),
    [anon_sym_LT_EQ] = ACTIONS(648),
    [anon_sym_EQ_EQ] = ACTIONS(659),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(648),
    [anon_sym_BANG_EQ] = ACTIONS(659),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(648),
    [anon_sym_GT_EQ] = ACTIONS(648),
    [anon_sym_QMARK_QMARK] = ACTIONS(659),
    [anon_sym_instanceof] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(648),
    [anon_sym_DASH_DASH] = ACTIONS(648),
    [anon_sym_DQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(648),
    [sym_number] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_get] = ACTIONS(728),
    [anon_sym_set] = ACTIONS(728),
    [sym__automatic_semicolon] = ACTIONS(648),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_identifier,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(737), 1,
      anon_sym_EQ,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    STATE(1333), 1,
      sym_formal_parameters,
    ACTIONS(732), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_identifier,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(743), 1,
      anon_sym_EQ,
    STATE(1333), 1,
      sym_formal_parameters,
    ACTIONS(732), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 15,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(427), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(419), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      sym__automatic_semicolon,
    ACTIONS(513), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(515), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [320] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(751), 1,
      anon_sym_function,
    STATE(1345), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [406] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(751), 1,
      anon_sym_function,
    STATE(1345), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(515), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [562] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(718), 1,
      anon_sym_function,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    STATE(1345), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [650] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(696), 1,
      anon_sym_COLON,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(753), 1,
      anon_sym_function,
    STATE(1345), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 18,
      ts_builtin_sym_end,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_catch,
    ACTIONS(761), 1,
      anon_sym_finally,
    STATE(220), 1,
      sym_catch_clause,
    STATE(309), 1,
      sym_finally_clause,
    ACTIONS(755), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(757), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [886] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(747), 1,
      sym_identifier,
    ACTIONS(751), 1,
      anon_sym_function,
    ACTIONS(763), 1,
      anon_sym_in,
    ACTIONS(766), 1,
      anon_sym_of,
    STATE(1345), 1,
      sym_formal_parameters,
    ACTIONS(749), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_identifier,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(771), 1,
      anon_sym_EQ,
    STATE(1333), 1,
      sym_formal_parameters,
    ACTIONS(768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(732), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 1,
      anon_sym_finally,
    STATE(272), 1,
      sym_finally_clause,
    ACTIONS(774), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(776), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1135] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_identifier,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(737), 1,
      anon_sym_EQ,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    STATE(1333), 1,
      sym_formal_parameters,
    ACTIONS(768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(732), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1221] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    STATE(1308), 1,
      sym_formal_parameters,
    ACTIONS(780), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 12,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1305] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_identifier,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 1,
      anon_sym_RBRACK,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(784), 1,
      anon_sym_COMMA,
    STATE(1333), 1,
      sym_formal_parameters,
    ACTIONS(732), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(786), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(788), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(431), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1527] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_LPAREN,
    ACTIONS(739), 1,
      anon_sym_function,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(763), 1,
      anon_sym_in,
    ACTIONS(766), 1,
      anon_sym_of,
    ACTIONS(778), 1,
      sym_identifier,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    STATE(1308), 1,
      sym_formal_parameters,
    ACTIONS(780), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(648), 10,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(792), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1681] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(794), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(419), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      sym__automatic_semicolon,
    ACTIONS(467), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(469), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_else,
    STATE(251), 1,
      sym_else_clause,
    ACTIONS(796), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(798), 41,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 1,
      sym__automatic_semicolon,
    ACTIONS(453), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(455), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      sym__automatic_semicolon,
    ACTIONS(499), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(501), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2028] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 1,
      sym__automatic_semicolon,
    ACTIONS(513), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(515), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(463), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(465), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(487), 1,
      sym__automatic_semicolon,
    ACTIONS(479), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(481), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      sym__automatic_semicolon,
    ACTIONS(433), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(435), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      sym__automatic_semicolon,
    ACTIONS(443), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(445), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(525), 1,
      sym__automatic_semicolon,
    ACTIONS(517), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(519), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      sym__automatic_semicolon,
    ACTIONS(489), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(491), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(511), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(806), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(808), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(810), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(513), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(515), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(814), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(818), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(824), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(826), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(830), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(832), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(834), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(836), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(838), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(842), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(840), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(842), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(846), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(848), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(850), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(854), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(858), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(862), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(866), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(870), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(874), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(874), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(876), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(878), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(882), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(886), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(888), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(890), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(892), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(894), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(898), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(874), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(874), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(902), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(902), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(904), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(906), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(910), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(912), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(914), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(820), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(822), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(916), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(918), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(920), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(922), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(926), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(930), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(932), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(934), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(936), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(938), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(940), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(942), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(946), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(950), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(954), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(958), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(960), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(962), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(964), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(966), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(970), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(972), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(974), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(976), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(978), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(982), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(986), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(990), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8585] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_COLON,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(661), 1,
      anon_sym_COLON,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_COLON,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(996), 1,
      anon_sym_LPAREN,
    ACTIONS(999), 1,
      anon_sym_EQ,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(994), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1007), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1011), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [8956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1015), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1019), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(648), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9153] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(648), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9291] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(648), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9563] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 1,
      anon_sym_COLON,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1007), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(763), 1,
      anon_sym_in,
    ACTIONS(1029), 1,
      anon_sym_of,
    ACTIONS(648), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(692), 1,
      anon_sym_COLON,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(648), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1019), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1011), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10099] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(648), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1015), 32,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym_EQ_GT,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1031), 1,
      anon_sym_in,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_EQ_GT,
    ACTIONS(694), 1,
      anon_sym_EQ,
    ACTIONS(696), 1,
      anon_sym_COLON,
    ACTIONS(648), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1039), 1,
      anon_sym_EQ,
    ACTIONS(1036), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1044), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1042), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(768), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(648), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1031), 1,
      anon_sym_in,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(994), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1005), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym_EQ,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(994), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1048), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1046), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1052), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1050), 39,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11018] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1057), 1,
      anon_sym_EQ,
    ACTIONS(1054), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1054), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1036), 1,
      anon_sym_RBRACK,
    ACTIONS(1039), 1,
      anon_sym_EQ,
    ACTIONS(1059), 1,
      anon_sym_COMMA,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 1,
      anon_sym_EQ,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(648), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_EQ_GT,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    ACTIONS(1036), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 1,
      anon_sym_EQ_GT,
    ACTIONS(768), 1,
      anon_sym_RBRACK,
    ACTIONS(771), 1,
      anon_sym_EQ,
    ACTIONS(784), 1,
      anon_sym_COMMA,
    ACTIONS(648), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1061), 1,
      anon_sym_EQ_GT,
    ACTIONS(994), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    ACTIONS(648), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11562] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 1,
      anon_sym_EQ,
    ACTIONS(763), 1,
      anon_sym_in,
    ACTIONS(782), 1,
      anon_sym_EQ_GT,
    ACTIONS(1029), 1,
      anon_sym_of,
    ACTIONS(648), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(674), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(659), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11631] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1031), 1,
      anon_sym_in,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(1061), 1,
      anon_sym_EQ_GT,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1065), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [11758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1069), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [11816] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym_EQ,
    ACTIONS(1031), 1,
      anon_sym_in,
    ACTIONS(1034), 1,
      anon_sym_of,
    ACTIONS(994), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1003), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(992), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 22,
      anon_sym_export,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1073), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
  [11940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      sym_identifier,
    ACTIONS(1077), 1,
      anon_sym_STAR,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_string,
    STATE(1149), 1,
      sym_import_clause,
    STATE(1340), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(1083), 13,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1081), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12008] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1085), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1087), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12132] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12195] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1107), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      sym__automatic_semicolon,
    ACTIONS(515), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(513), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1113), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [12447] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1139), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1145), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12585] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1150), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1152), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12757] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1158), 1,
      anon_sym_QMARK_DOT,
    STATE(459), 1,
      sym_arguments,
    ACTIONS(1154), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1156), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12815] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1160), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [12901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1166), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1162), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12953] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1171), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13039] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1173), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13125] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1175), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13211] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1177), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13297] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [13381] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1179), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13501] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13581] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13631] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1182), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [13717] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13793] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [13863] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 9,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [13937] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1184), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14023] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1188), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 17,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14175] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1190), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1192), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [14347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1198), 1,
      sym_regex_flags,
    ACTIONS(1194), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1196), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(509), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1150), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1204), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1208), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(459), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1139), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14679] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1192), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14811] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1190), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [14896] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 16,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1254), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1258), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(523), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(495), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15194] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15314] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1262), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1266), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(463), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15599] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [15678] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15745] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15806] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [15889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1270), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1274), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1278), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1173), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1282), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1286), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16256] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1171), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16341] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1152), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16426] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1292), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1300), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1085), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1087), 19,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [16711] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1113), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [16796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1308), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1312), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1316), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1175), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1326), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1330), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1190), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17219] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1177), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(485), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1336), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17539] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1344), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17647] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(1349), 1,
      anon_sym_RBRACE,
    ACTIONS(1182), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [17736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1152), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17783] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1097), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1099), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1162), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1081), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17987] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1184), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18168] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1349), 1,
      anon_sym_RBRACE,
    ACTIONS(1361), 1,
      anon_sym_COMMA,
    ACTIONS(1192), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18398] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1150), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18483] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1372), 1,
      anon_sym_COMMA,
    ACTIONS(1375), 1,
      anon_sym_RBRACE,
    ACTIONS(1192), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1160), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18666] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1160), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18751] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1175), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18836] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1139), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [18921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1270), 25,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18968] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1182), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1158), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(431), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(429), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 25,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(513), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(427), 1,
      sym__automatic_semicolon,
    ACTIONS(417), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 25,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19490] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1387), 1,
      anon_sym_COMMA,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      sym__automatic_semicolon,
    ACTIONS(489), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(493), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(495), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(487), 1,
      sym__automatic_semicolon,
    ACTIONS(479), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(483), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(485), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19724] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1391), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19808] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1393), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19892] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1395), 1,
      anon_sym_RPAREN,
    STATE(1065), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [19980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1397), 1,
      sym_regex_flags,
    ACTIONS(1194), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1196), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1399), 1,
      anon_sym_QMARK_DOT,
    STATE(588), 1,
      sym_arguments,
    ACTIONS(1154), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1156), 20,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 1,
      sym__automatic_semicolon,
    ACTIONS(453), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(457), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(459), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(475), 1,
      sym__automatic_semicolon,
    ACTIONS(467), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20184] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(1083), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 1,
      sym__automatic_semicolon,
    ACTIONS(433), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20322] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1403), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20454] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1387), 1,
      anon_sym_COMMA,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20540] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1387), 1,
      anon_sym_COMMA,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1162), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20674] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(525), 1,
      sym__automatic_semicolon,
    ACTIONS(517), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(521), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(523), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      sym__automatic_semicolon,
    ACTIONS(499), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(451), 1,
      sym__automatic_semicolon,
    ACTIONS(443), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(447), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20824] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(1079), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [20912] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1411), 1,
      anon_sym_RPAREN,
    STATE(1006), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21000] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1387), 1,
      anon_sym_COMMA,
    ACTIONS(1188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1413), 1,
      anon_sym_in,
    ACTIONS(1416), 1,
      anon_sym_of,
    ACTIONS(421), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21138] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1418), 1,
      anon_sym_RBRACK,
    STATE(1079), 1,
      aux_sym_array_repeat1,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1420), 1,
      anon_sym_in,
    ACTIONS(1423), 1,
      anon_sym_of,
    ACTIONS(1141), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(477), 1,
      sym__automatic_semicolon,
    ACTIONS(419), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(417), 23,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1425), 1,
      anon_sym_in,
    ACTIONS(1428), 1,
      anon_sym_of,
    ACTIONS(1162), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21380] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21465] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1113), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1266), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1334), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1336), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1342), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1344), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(459), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(521), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(523), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(495), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(471), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(473), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21908] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [21991] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1460), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      anon_sym_LPAREN,
    ACTIONS(1465), 1,
      anon_sym_COLON,
    ACTIONS(1202), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1204), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1150), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1399), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1383), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1385), 21,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(483), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(485), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(439), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(447), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(449), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1314), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1316), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22446] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1467), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(505), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22666] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1469), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1262), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1254), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22841] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [22924] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1349), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23007] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1250), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1065), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1274), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1204), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23452] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_LPAREN,
    ACTIONS(1476), 1,
      anon_sym_COLON,
    ACTIONS(992), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(994), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1328), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1330), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23546] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23631] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1292), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23761] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1160), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23844] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1482), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [23929] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1175), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1351), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1152), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1282), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1081), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1286), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1368), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24237] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1302), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1304), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1306), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1308), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1312), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24457] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1486), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1324), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1326), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1332), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1190), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24632] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1488), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1278), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1073), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1258), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24897] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24982] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1139), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25065] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1216), 1,
      anon_sym_in,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1226), 1,
      anon_sym_QMARK,
    ACTIONS(1228), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1234), 1,
      anon_sym_AMP,
    ACTIONS(1236), 1,
      anon_sym_PIPE,
    ACTIONS(1240), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1492), 1,
      anon_sym_SEMI,
    ACTIONS(1494), 1,
      sym__automatic_semicolon,
    ACTIONS(1230), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1238), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1246), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1212), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1232), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1220), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1242), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25195] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1152), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25278] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1182), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1496), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1139), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1296), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25534] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1150), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25617] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25702] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1208), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1175), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25877] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1173), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1381), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1160), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26005] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1184), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26088] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1177), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1300), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26216] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1192), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26299] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1190), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26382] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 14,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [26443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1069), 24,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26488] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26573] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 4,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [26644] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1186), 1,
      anon_sym_COMMA,
    ACTIONS(1504), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26729] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 11,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [26796] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1103), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1105), 6,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [26869] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1103), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 5,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1103), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1105), 11,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [27011] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1103), 1,
      anon_sym_QMARK,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1105), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27092] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1171), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27175] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1506), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27257] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1508), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27339] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1510), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      anon_sym_RBRACK,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1428), 1,
      anon_sym_COMMA,
    ACTIONS(1162), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27471] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1115), 1,
      anon_sym_in,
    ACTIONS(1119), 1,
      anon_sym_QMARK,
    ACTIONS(1121), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1127), 1,
      anon_sym_AMP,
    ACTIONS(1129), 1,
      anon_sym_PIPE,
    ACTIONS(1133), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1137), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1512), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1123), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1131), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1111), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1125), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1117), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1135), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27553] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1514), 1,
      anon_sym_LBRACE,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_RBRACK,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1423), 1,
      anon_sym_COMMA,
    ACTIONS(1141), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27685] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1516), 1,
      anon_sym_COLON,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1179), 1,
      anon_sym_RBRACK,
    ACTIONS(1416), 1,
      anon_sym_COMMA,
    ACTIONS(421), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(1218), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1224), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(538), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(367), 1,
      anon_sym_BQUOTE,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1091), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_DOT,
    ACTIONS(1095), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1434), 1,
      anon_sym_in,
    ACTIONS(1438), 1,
      anon_sym_QMARK,
    ACTIONS(1440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_PIPE,
    ACTIONS(1452), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1456), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1101), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1442), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(1450), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(473), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1432), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_GT_GT,
    ACTIONS(1444), 3,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_PERCENT,
    ACTIONS(1436), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 5,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_EQ,
    ACTIONS(1425), 1,
      anon_sym_in,
    ACTIONS(1428), 1,
      anon_sym_of,
    ACTIONS(1162), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1164), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 1,
      anon_sym_EQ,
    ACTIONS(1420), 1,
      anon_sym_in,
    ACTIONS(1423), 1,
      anon_sym_of,
    ACTIONS(1141), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1143), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 1,
      anon_sym_EQ,
    ACTIONS(1413), 1,
      anon_sym_in,
    ACTIONS(1416), 1,
      anon_sym_of,
    ACTIONS(421), 12,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(423), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28122] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1522), 1,
      anon_sym_RBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1526), 1,
      anon_sym_async,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1530), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1030), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1518), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1532), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1028), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28202] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1536), 1,
      anon_sym_RBRACE,
    ACTIONS(1538), 1,
      anon_sym_async,
    ACTIONS(1540), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1056), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1534), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1053), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28282] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1546), 1,
      anon_sym_RBRACE,
    ACTIONS(1548), 1,
      anon_sym_async,
    ACTIONS(1550), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1030), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1544), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1552), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1028), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28362] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1556), 1,
      anon_sym_RBRACE,
    ACTIONS(1558), 1,
      anon_sym_async,
    ACTIONS(1560), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1030), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1554), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1562), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1028), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28442] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1566), 1,
      anon_sym_RBRACE,
    ACTIONS(1568), 1,
      anon_sym_async,
    ACTIONS(1570), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1056), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1564), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1572), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1053), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28522] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1576), 1,
      anon_sym_RBRACE,
    ACTIONS(1578), 1,
      anon_sym_async,
    ACTIONS(1580), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1030), 1,
      aux_sym_object_repeat1,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1574), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1582), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1028), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28602] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1528), 1,
      sym_number,
    ACTIONS(1589), 1,
      anon_sym_async,
    ACTIONS(1591), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    ACTIONS(1584), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1586), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1593), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1054), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1216), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1228), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [28674] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(1599), 1,
      anon_sym_RBRACE,
    ACTIONS(1601), 1,
      sym_number,
    STATE(1057), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1050), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1321), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1595), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28728] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(1601), 1,
      sym_number,
    ACTIONS(1605), 1,
      anon_sym_RBRACE,
    STATE(1031), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1027), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1321), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1603), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28782] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1524), 1,
      anon_sym_LBRACK,
    ACTIONS(1601), 1,
      sym_number,
    ACTIONS(1609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1216), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1292), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1321), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1607), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [28831] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(592), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1617), 1,
      anon_sym_async,
    ACTIONS(1619), 1,
      sym_number,
    ACTIONS(1621), 1,
      anon_sym_static,
    STATE(701), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    ACTIONS(1611), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1613), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1623), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1228), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [28890] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [28945] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1635), 1,
      anon_sym_RBRACE,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    STATE(658), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29057] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29110] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    ACTIONS(1647), 1,
      anon_sym_RBRACE,
    STATE(662), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29169] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29224] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29279] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    ACTIONS(1651), 1,
      anon_sym_RBRACE,
    STATE(670), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29338] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_STAR,
    ACTIONS(1659), 1,
      anon_sym_RBRACE,
    ACTIONS(1661), 1,
      anon_sym_LBRACK,
    ACTIONS(1664), 1,
      anon_sym_async,
    ACTIONS(1667), 1,
      anon_sym_DQUOTE,
    ACTIONS(1670), 1,
      anon_sym_SQUOTE,
    ACTIONS(1673), 1,
      sym_number,
    ACTIONS(1676), 1,
      anon_sym_AT,
    ACTIONS(1679), 1,
      anon_sym_static,
    STATE(662), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1653), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1682), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29397] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    ACTIONS(1685), 1,
      anon_sym_RBRACE,
    STATE(669), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29509] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29562] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29672] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29725] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    ACTIONS(1689), 1,
      anon_sym_RBRACE,
    STATE(662), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29784] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(93), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1639), 1,
      anon_sym_async,
    ACTIONS(1641), 1,
      sym_number,
    ACTIONS(1643), 1,
      anon_sym_static,
    ACTIONS(1691), 1,
      anon_sym_RBRACE,
    STATE(662), 1,
      aux_sym_class_body_repeat1,
    STATE(697), 1,
      aux_sym_export_statement_repeat1,
    STATE(749), 1,
      sym_method_definition,
    STATE(755), 1,
      sym_decorator,
    STATE(1099), 1,
      sym_public_field_definition,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1645), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(851), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29843] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [29898] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [29951] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [29999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30047] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30095] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30143] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30191] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30239] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [30286] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [30331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1696), 1,
      anon_sym_async,
    ACTIONS(1698), 1,
      sym_number,
    ACTIONS(1700), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1633), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(874), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30373] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [30415] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1704), 1,
      anon_sym_STAR,
    ACTIONS(1706), 1,
      sym_number,
    ACTIONS(1708), 1,
      anon_sym_get,
    ACTIONS(1710), 1,
      anon_sym_set,
    STATE(1133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30457] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1712), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      sym_number,
    ACTIONS(1716), 1,
      anon_sym_get,
    ACTIONS(1718), 1,
      anon_sym_set,
    STATE(1245), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30539] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(726), 1,
      anon_sym_async,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [30583] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(577), 1,
      anon_sym_RBRACK,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    STATE(976), 1,
      sym_pattern,
    STATE(1034), 1,
      aux_sym_array_pattern_repeat1,
    STATE(1042), 1,
      sym_assignment_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30627] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1728), 1,
      anon_sym_async,
    ACTIONS(1730), 1,
      sym_number,
    ACTIONS(1732), 1,
      anon_sym_get,
    ACTIONS(1734), 1,
      anon_sym_set,
    ACTIONS(1633), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(842), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30671] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(1736), 1,
      anon_sym_RBRACK,
    STATE(928), 1,
      sym_pattern,
    STATE(1045), 1,
      sym_assignment_pattern,
    STATE(1049), 1,
      aux_sym_array_pattern_repeat1,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(724), 1,
      sym_identifier,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1738), 1,
      anon_sym_export,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1742), 1,
      anon_sym_class,
    ACTIONS(1744), 1,
      anon_sym_async,
    ACTIONS(1746), 1,
      sym_number,
    ACTIONS(1748), 1,
      anon_sym_static,
    ACTIONS(1750), 1,
      anon_sym_get,
    ACTIONS(1752), 1,
      anon_sym_set,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    STATE(1116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [30769] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1754), 1,
      anon_sym_STAR,
    ACTIONS(1756), 1,
      sym_number,
    ACTIONS(1758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30809] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1625), 1,
      anon_sym_STAR,
    ACTIONS(728), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [30849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_number,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30921] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1760), 1,
      sym_number,
    STATE(1244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [30991] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(1637), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1762), 1,
      anon_sym_async,
    ACTIONS(1764), 1,
      sym_number,
    ACTIONS(1766), 1,
      anon_sym_static,
    ACTIONS(1768), 1,
      anon_sym_get,
    ACTIONS(1770), 1,
      anon_sym_set,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    ACTIONS(1633), 2,
      anon_sym_export,
      sym_identifier,
    STATE(854), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [31040] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(652), 1,
      anon_sym_var,
    ACTIONS(666), 1,
      anon_sym_class,
    ACTIONS(668), 1,
      anon_sym_async,
    ACTIONS(670), 1,
      anon_sym_function,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1772), 1,
      anon_sym_default,
    STATE(290), 1,
      sym_declaration,
    STATE(755), 1,
      sym_decorator,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(654), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(273), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [31085] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    STATE(1078), 1,
      sym_pattern,
    STATE(1089), 1,
      sym_assignment_pattern,
    ACTIONS(1774), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31124] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1776), 1,
      sym_number,
    STATE(1100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31159] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1740), 1,
      anon_sym_STAR,
    ACTIONS(1744), 1,
      anon_sym_async,
    ACTIONS(1746), 1,
      sym_number,
    ACTIONS(1748), 1,
      anon_sym_static,
    ACTIONS(1750), 1,
      anon_sym_get,
    ACTIONS(1752), 1,
      anon_sym_set,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    ACTIONS(724), 2,
      anon_sym_export,
      sym_identifier,
    STATE(1116), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [31208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1778), 1,
      sym_number,
    STATE(1240), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      sym_number,
    STATE(1112), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31278] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(586), 1,
      anon_sym_RPAREN,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    STATE(961), 1,
      sym_pattern,
    STATE(1063), 1,
      sym_assignment_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31316] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(652), 1,
      anon_sym_var,
    ACTIONS(698), 1,
      anon_sym_class,
    ACTIONS(700), 1,
      anon_sym_async,
    ACTIONS(702), 1,
      anon_sym_function,
    ACTIONS(1772), 1,
      anon_sym_default,
    STATE(290), 1,
      sym_declaration,
    STATE(755), 1,
      sym_decorator,
    STATE(943), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(654), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(273), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [31358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      anon_sym_DOT,
    STATE(759), 1,
      sym_arguments,
    ACTIONS(1784), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1782), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    STATE(993), 1,
      sym_pattern,
    STATE(1154), 1,
      sym_assignment_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31426] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(652), 1,
      anon_sym_var,
    ACTIONS(666), 1,
      anon_sym_class,
    ACTIONS(668), 1,
      anon_sym_async,
    ACTIONS(670), 1,
      anon_sym_function,
    ACTIONS(1772), 1,
      anon_sym_default,
    STATE(290), 1,
      sym_declaration,
    STATE(755), 1,
      sym_decorator,
    STATE(944), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(654), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(273), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [31468] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(1790), 1,
      anon_sym_RPAREN,
    STATE(993), 1,
      sym_pattern,
    STATE(1154), 1,
      sym_assignment_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31529] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1754), 1,
      anon_sym_STAR,
    ACTIONS(1756), 1,
      sym_number,
    ACTIONS(1758), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [31566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1798), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1800), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [31633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1804), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1806), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [31677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1808), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1810), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1814), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31723] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1712), 1,
      anon_sym_STAR,
    ACTIONS(1714), 1,
      sym_number,
    ACTIONS(1716), 1,
      anon_sym_get,
    ACTIONS(1718), 1,
      anon_sym_set,
    STATE(1245), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [31762] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    STATE(993), 1,
      sym_pattern,
    STATE(1154), 1,
      sym_assignment_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [31797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1818), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1822), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31889] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1704), 1,
      anon_sym_STAR,
    ACTIONS(1706), 1,
      sym_number,
    ACTIONS(1708), 1,
      anon_sym_get,
    ACTIONS(1710), 1,
      anon_sym_set,
    STATE(1133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [31928] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1726), 1,
      anon_sym_STAR,
    ACTIONS(1824), 1,
      anon_sym_async,
    ACTIONS(1826), 1,
      sym_number,
    ACTIONS(1828), 1,
      anon_sym_get,
    ACTIONS(1830), 1,
      anon_sym_set,
    ACTIONS(724), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1129), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [31969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1822), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [31992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1822), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1832), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [32059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1822), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1818), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1836), 7,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1834), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1756), 1,
      sym_number,
    ACTIONS(1838), 1,
      anon_sym_EQ_GT,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1820), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1822), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1792), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1794), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1818), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1842), 9,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1848), 1,
      anon_sym_AT,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
    ACTIONS(1846), 5,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
    ACTIONS(1844), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1720), 1,
      sym_identifier,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    STATE(1180), 1,
      sym_pattern,
    STATE(889), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1722), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1851), 1,
      sym_number,
    STATE(1250), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1853), 1,
      sym_number,
    STATE(1164), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      sym_number,
    STATE(1244), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32435] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1776), 1,
      sym_number,
    STATE(1100), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32467] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1780), 1,
      sym_number,
    STATE(1112), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1855), 1,
      sym_number,
    STATE(1165), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32531] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1778), 1,
      sym_number,
    STATE(1240), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 1,
      anon_sym_SEMI,
    ACTIONS(1857), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1859), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1756), 1,
      sym_number,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32619] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1863), 1,
      sym_number,
    STATE(1257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1865), 1,
      sym_number,
    STATE(1253), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1867), 1,
      sym_number,
    STATE(1254), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1869), 1,
      sym_number,
    STATE(1166), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1873), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1871), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1756), 1,
      sym_number,
    STATE(1256), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1863), 1,
      sym_number,
    STATE(1257), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32820] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1875), 1,
      sym_number,
    STATE(1246), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1877), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1883), 7,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
  [32891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1784), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1782), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    ACTIONS(1885), 1,
      sym_number,
    STATE(1160), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32941] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      anon_sym_SQUOTE,
    ACTIONS(720), 1,
      sym_number,
    ACTIONS(1615), 1,
      anon_sym_LBRACK,
    STATE(1213), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(724), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [32970] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    STATE(787), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33005] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1901), 1,
      anon_sym_SLASH,
    STATE(794), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33040] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(790), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33075] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(792), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33110] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1911), 1,
      sym_jsx_text,
    ACTIONS(1913), 1,
      sym_comment,
    STATE(539), 1,
      sym_jsx_closing_element,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(781), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33136] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    STATE(806), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33168] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    STATE(815), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33200] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      anon_sym_LT,
    ACTIONS(1917), 1,
      anon_sym_DQUOTE,
    ACTIONS(1919), 1,
      anon_sym_SQUOTE,
    STATE(780), 1,
      sym_jsx_opening_element,
    STATE(912), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [33226] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LT,
    ACTIONS(1923), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(879), 1,
      sym_jsx_closing_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33252] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1925), 1,
      anon_sym_LT,
    ACTIONS(1927), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(997), 1,
      sym_jsx_closing_element,
    STATE(777), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33278] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(1929), 1,
      anon_sym_LT,
    STATE(481), 1,
      sym_jsx_closing_element,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(791), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33336] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym_LT,
    ACTIONS(1931), 1,
      sym_jsx_text,
    STATE(477), 1,
      sym_jsx_closing_element,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(774), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33362] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(1925), 1,
      anon_sym_LT,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(994), 1,
      sym_jsx_closing_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33388] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(813), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33420] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(799), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33452] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1921), 1,
      anon_sym_LT,
    ACTIONS(1933), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(877), 1,
      sym_jsx_closing_element,
    STATE(772), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33478] = 7,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1909), 1,
      anon_sym_LT,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    STATE(593), 1,
      sym_jsx_closing_element,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33504] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1901), 1,
      anon_sym_SLASH,
    STATE(789), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1915), 1,
      anon_sym_LT,
    ACTIONS(1917), 1,
      anon_sym_DQUOTE,
    ACTIONS(1919), 1,
      anon_sym_SQUOTE,
    STATE(780), 1,
      sym_jsx_opening_element,
    STATE(876), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [33562] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1901), 1,
      anon_sym_SLASH,
    STATE(802), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33594] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(795), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33626] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1895), 1,
      anon_sym_SLASH,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    STATE(814), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1935), 1,
      anon_sym_GT,
    ACTIONS(1937), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33684] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1939), 1,
      anon_sym_GT,
    ACTIONS(1941), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33713] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1943), 1,
      anon_sym_GT,
    ACTIONS(1945), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33742] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1935), 1,
      anon_sym_GT,
    ACTIONS(1947), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33771] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1943), 1,
      anon_sym_GT,
    ACTIONS(1949), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33800] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1935), 1,
      anon_sym_GT,
    ACTIONS(1951), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1939), 1,
      anon_sym_GT,
    ACTIONS(1953), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1935), 1,
      anon_sym_GT,
    ACTIONS(1955), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1943), 1,
      anon_sym_GT,
    ACTIONS(1957), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33916] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1939), 1,
      anon_sym_GT,
    ACTIONS(1959), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [33945] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_LT,
    ACTIONS(1963), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(805), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33968] = 6,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_LBRACE,
    ACTIONS(1968), 1,
      anon_sym_LT,
    ACTIONS(1971), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [33991] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1974), 1,
      anon_sym_GT,
    ACTIONS(1976), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1978), 1,
      sym_identifier,
    ACTIONS(1981), 1,
      anon_sym_LBRACE,
    ACTIONS(1984), 1,
      anon_sym_GT,
    ACTIONS(1986), 1,
      anon_sym_SLASH,
    ACTIONS(1988), 1,
      sym_jsx_identifier,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1905), 1,
      anon_sym_SLASH,
    STATE(796), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1974), 1,
      anon_sym_GT,
    ACTIONS(1991), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34107] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LT,
    ACTIONS(1995), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(804), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34130] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(1997), 1,
      anon_sym_LT,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34153] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(1999), 1,
      anon_sym_LT,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1974), 1,
      anon_sym_GT,
    ACTIONS(2001), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1903), 1,
      anon_sym_SLASH,
    STATE(793), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34234] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1893), 1,
      anon_sym_GT,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1901), 1,
      anon_sym_SLASH,
    STATE(788), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34263] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(2003), 1,
      anon_sym_LT,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34286] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2005), 1,
      anon_sym_LT,
    ACTIONS(2007), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(811), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34309] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1923), 1,
      sym_jsx_text,
    ACTIONS(2009), 1,
      anon_sym_LT,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(798), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34332] = 6,
    ACTIONS(1907), 1,
      anon_sym_LBRACE,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2011), 1,
      anon_sym_LT,
    ACTIONS(2013), 1,
      sym_jsx_text,
    STATE(773), 1,
      sym_jsx_opening_element,
    STATE(809), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [34355] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1974), 1,
      anon_sym_GT,
    ACTIONS(2015), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34384] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1939), 1,
      anon_sym_GT,
    ACTIONS(2017), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34413] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      sym_identifier,
    ACTIONS(1889), 1,
      anon_sym_LBRACE,
    ACTIONS(1897), 1,
      sym_jsx_identifier,
    ACTIONS(1943), 1,
      anon_sym_GT,
    ACTIONS(2019), 1,
      anon_sym_SLASH,
    STATE(800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(868), 1,
      sym_jsx_namespace_name,
    STATE(890), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [34442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1649), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      anon_sym_LBRACK,
    STATE(985), 1,
      sym_variable_declarator,
    STATE(903), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 1,
      sym_identifier,
    STATE(957), 1,
      sym_variable_declarator,
    STATE(821), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    STATE(1051), 1,
      sym__initializer,
    ACTIONS(2033), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [34552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      anon_sym_LBRACK,
    ACTIONS(2027), 1,
      sym_identifier,
    STATE(958), 1,
      sym_variable_declarator,
    STATE(821), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(2041), 1,
      anon_sym_EQ,
    ACTIONS(2037), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2039), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [34615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      anon_sym_LBRACK,
    STATE(957), 1,
      sym_variable_declarator,
    STATE(903), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(676), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2021), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      anon_sym_LBRACK,
    STATE(958), 1,
      sym_variable_declarator,
    STATE(903), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2045), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1687), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(686), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1070), 1,
      aux_sym_object_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(95), 1,
      anon_sym_COMMA,
    ACTIONS(1627), 1,
      anon_sym_RBRACE,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    STATE(1008), 1,
      aux_sym_object_repeat1,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [34801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [34827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [34839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(2051), 1,
      sym_identifier,
    STATE(1222), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_BQUOTE,
    ACTIONS(2057), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2053), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(843), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [34875] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2063), 1,
      anon_sym_SLASH,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [34897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2029), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [34909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1144), 1,
      sym__initializer,
    STATE(1243), 1,
      sym_formal_parameters,
    ACTIONS(2069), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [34929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2073), 1,
      anon_sym_BQUOTE,
    ACTIONS(2071), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(865), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [34947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2077), 4,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
  [34961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2049), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [34973] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2079), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [34995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [35007] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(2081), 1,
      sym_identifier,
    STATE(1311), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2083), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2085), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1176), 1,
      sym__initializer,
    STATE(1248), 1,
      sym_formal_parameters,
    ACTIONS(2087), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [35089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_default,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    ACTIONS(2093), 1,
      anon_sym_case,
    STATE(861), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [35107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2095), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_formal_parameters,
    STATE(1192), 1,
      sym__initializer,
    ACTIONS(2097), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [35149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2101), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [35163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2105), 1,
      anon_sym_BQUOTE,
    ACTIONS(2103), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(863), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [35181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2107), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [35215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2109), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2111), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 1,
      anon_sym_default,
    ACTIONS(2116), 1,
      anon_sym_RBRACE,
    ACTIONS(2118), 1,
      anon_sym_case,
    STATE(861), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [35277] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2121), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2123), 1,
      anon_sym_BQUOTE,
    ACTIONS(2071), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(865), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [35317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2125), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2130), 1,
      anon_sym_BQUOTE,
    ACTIONS(2132), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2127), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(865), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [35357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2135), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_LBRACE,
    ACTIONS(1724), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      sym_identifier,
    STATE(904), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_EQ,
    ACTIONS(2139), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2141), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2045), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [35425] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    ACTIONS(2145), 1,
      anon_sym_SLASH,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 1,
      anon_sym_default,
    ACTIONS(2093), 1,
      anon_sym_case,
    ACTIONS(2147), 1,
      anon_sym_RBRACE,
    STATE(852), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [35465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [35477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [35489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1193), 1,
      sym__initializer,
    STATE(1230), 1,
      sym_formal_parameters,
    ACTIONS(2149), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [35509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(1629), 1,
      anon_sym_COLON,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(2151), 1,
      anon_sym_RBRACE,
    STATE(1071), 1,
      aux_sym_object_pattern_repeat1,
  [35528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2155), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1355), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [35565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1359), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1320), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      sym_identifier,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    ACTIONS(2161), 1,
      anon_sym_extends,
    STATE(471), 1,
      sym_class_body,
    STATE(1177), 1,
      sym_class_heritage,
  [35610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1282), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1260), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1262), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2163), 1,
      sym_identifier,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_class_body,
    STATE(1227), 1,
      sym_class_heritage,
  [35655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1250), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1268), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1270), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35681] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2167), 1,
      sym_identifier,
    STATE(573), 1,
      sym_class_body,
    STATE(1178), 1,
      sym_class_heritage,
  [35700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2169), 1,
      sym_identifier,
    ACTIONS(2171), 1,
      anon_sym_GT,
    ACTIONS(2173), 1,
      sym_jsx_identifier,
    STATE(785), 1,
      sym_nested_identifier,
    STATE(801), 1,
      sym_jsx_namespace_name,
  [35719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [35730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2177), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2179), 1,
      anon_sym_export,
    ACTIONS(2181), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [35762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1250), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2183), 1,
      sym_identifier,
    STATE(573), 1,
      sym_class_body,
    STATE(1178), 1,
      sym_class_heritage,
  [35794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_GT,
    ACTIONS(2189), 1,
      sym_jsx_identifier,
    STATE(770), 1,
      sym_nested_identifier,
    STATE(786), 1,
      sym_jsx_namespace_name,
  [35813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2191), 1,
      sym_identifier,
    STATE(573), 1,
      sym_class_body,
    STATE(1178), 1,
      sym_class_heritage,
  [35832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1250), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1250), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2193), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2195), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1272), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1274), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1256), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1258), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [35897] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      sym_identifier,
    ACTIONS(2199), 1,
      anon_sym_GT,
    ACTIONS(2201), 1,
      sym_jsx_identifier,
    STATE(782), 1,
      sym_nested_identifier,
    STATE(808), 1,
      sym_jsx_namespace_name,
  [35916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2203), 1,
      anon_sym_export,
    ACTIONS(2205), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [35935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 1,
      anon_sym_EQ,
    STATE(1051), 1,
      sym__initializer,
    ACTIONS(2031), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [35950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [35961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 1,
      sym_identifier,
    ACTIONS(2061), 1,
      anon_sym_GT,
    ACTIONS(2065), 1,
      sym_jsx_identifier,
    STATE(775), 1,
      sym_nested_identifier,
    STATE(807), 1,
      sym_jsx_namespace_name,
  [35980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2209), 1,
      sym_identifier,
    STATE(555), 1,
      sym_class_body,
    STATE(1227), 1,
      sym_class_heritage,
  [35999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(1629), 1,
      anon_sym_COLON,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(2211), 1,
      anon_sym_RBRACE,
    STATE(1009), 1,
      aux_sym_object_pattern_repeat1,
  [36018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2213), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2215), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [36031] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1693), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [36046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2217), 1,
      sym_identifier,
    STATE(555), 1,
      sym_class_body,
    STATE(1227), 1,
      sym_class_heritage,
  [36065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    ACTIONS(2161), 1,
      anon_sym_extends,
    ACTIONS(2219), 1,
      sym_identifier,
    STATE(464), 1,
      sym_class_body,
    STATE(1101), 1,
      sym_class_heritage,
  [36084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2223), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [36097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(1702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [36109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(232), 1,
      sym_class_body,
    STATE(1188), 1,
      sym_class_heritage,
  [36125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_from,
    STATE(1190), 1,
      sym__from_clause,
    ACTIONS(2231), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36139] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_SQUOTE,
    STATE(970), 1,
      aux_sym_string_repeat2,
    ACTIONS(2235), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [36163] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2239), 1,
      anon_sym_COMMA,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    STATE(1002), 1,
      sym__import_export_specifier,
  [36179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(57), 1,
      sym_class_body,
    STATE(1103), 1,
      sym_class_heritage,
  [36195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2243), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_STAR,
    STATE(1097), 1,
      sym_formal_parameters,
  [36211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2247), 1,
      sym_identifier,
    ACTIONS(2249), 1,
      anon_sym_STAR,
    STATE(1097), 1,
      sym_formal_parameters,
  [36227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
    ACTIONS(2251), 1,
      sym_identifier,
    ACTIONS(2253), 1,
      anon_sym_LBRACK,
    STATE(484), 1,
      sym_arguments,
  [36243] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_SQUOTE,
    STATE(916), 1,
      aux_sym_string_repeat2,
    ACTIONS(2257), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36257] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_DQUOTE,
    STATE(934), 1,
      aux_sym_string_repeat1,
    ACTIONS(2259), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36271] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_DQUOTE,
    STATE(966), 1,
      aux_sym_string_repeat1,
    ACTIONS(2263), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36285] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_SQUOTE,
    STATE(975), 1,
      aux_sym_string_repeat2,
    ACTIONS(2265), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(232), 1,
      sym_class_body,
    STATE(1102), 1,
      sym_class_heritage,
  [36315] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_EQ,
    ACTIONS(2269), 1,
      anon_sym_RBRACK,
    STATE(978), 1,
      aux_sym_array_pattern_repeat1,
  [36331] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_DQUOTE,
    STATE(969), 1,
      aux_sym_string_repeat1,
    ACTIONS(2273), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36345] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_SQUOTE,
    STATE(970), 1,
      aux_sym_string_repeat2,
    ACTIONS(2235), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2275), 1,
      sym_identifier,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_formal_parameters,
  [36375] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_SQUOTE,
    STATE(930), 1,
      aux_sym_string_repeat2,
    ACTIONS(2281), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36389] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_DQUOTE,
    STATE(929), 1,
      aux_sym_string_repeat1,
    ACTIONS(2283), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36403] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_DQUOTE,
    STATE(969), 1,
      aux_sym_string_repeat1,
    ACTIONS(2273), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [36427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2285), 1,
      sym_identifier,
    ACTIONS(2287), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_formal_parameters,
  [36443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2289), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [36459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    ACTIONS(2293), 1,
      anon_sym_RBRACE,
    STATE(1038), 1,
      sym__import_export_specifier,
  [36475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      sym_identifier,
    ACTIONS(2297), 1,
      sym_jsx_identifier,
    STATE(1221), 1,
      sym_nested_identifier,
    STATE(1290), 1,
      sym_jsx_namespace_name,
  [36491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    STATE(940), 1,
      aux_sym_array_repeat1,
    ACTIONS(1393), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [36505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [36515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(556), 1,
      sym_class_body,
    STATE(1105), 1,
      sym_class_heritage,
  [36531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2304), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [36547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2306), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [36563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2308), 1,
      sym_identifier,
    ACTIONS(2310), 1,
      anon_sym_STAR,
    STATE(1097), 1,
      sym_formal_parameters,
  [36579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_COMMA,
    STATE(964), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2314), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_COLON,
    ACTIONS(1631), 1,
      anon_sym_EQ,
    ACTIONS(2316), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [36607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym_identifier,
    ACTIONS(2320), 1,
      sym_jsx_identifier,
    STATE(1121), 1,
      sym_nested_identifier,
    STATE(1348), 1,
      sym_jsx_namespace_name,
  [36623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(55), 1,
      sym_class_body,
    STATE(1223), 1,
      sym_class_heritage,
  [36639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(467), 1,
      sym_class_body,
    STATE(1203), 1,
      sym_class_heritage,
  [36655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2322), 1,
      sym_identifier,
    ACTIONS(2324), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      sym_formal_parameters,
  [36671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2326), 1,
      sym_identifier,
    ACTIONS(2328), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_formal_parameters,
  [36687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(235), 1,
      sym_class_body,
    STATE(1261), 1,
      sym_class_heritage,
  [36703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(502), 1,
      sym_class_body,
    STATE(1131), 1,
      sym_class_heritage,
  [36719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_AT,
    ACTIONS(2330), 1,
      anon_sym_class,
    STATE(740), 1,
      aux_sym_export_statement_repeat1,
    STATE(755), 1,
      sym_decorator,
  [36735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(524), 1,
      sym_class_body,
    STATE(1092), 1,
      sym_class_heritage,
  [36751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_COMMA,
    STATE(946), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2332), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2334), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(507), 1,
      sym_class_body,
    STATE(1123), 1,
      sym_class_heritage,
  [36795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(235), 1,
      sym_class_body,
    STATE(1124), 1,
      sym_class_heritage,
  [36811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_EQ,
    ACTIONS(2336), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      aux_sym_formal_parameters_repeat1,
  [36827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_LPAREN,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_LBRACK,
    STATE(600), 1,
      sym_arguments,
  [36843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    ACTIONS(2227), 1,
      anon_sym_extends,
    STATE(550), 1,
      sym_class_body,
    STATE(1128), 1,
      sym_class_heritage,
  [36859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_COMMA,
    STATE(964), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2347), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36883] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_DQUOTE,
    STATE(969), 1,
      aux_sym_string_repeat1,
    ACTIONS(2273), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_COMMA,
    STATE(964), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_LBRACE,
    ACTIONS(2353), 1,
      anon_sym_STAR,
    STATE(1361), 2,
      sym_namespace_import,
      sym_named_imports,
  [36925] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_DQUOTE,
    STATE(969), 1,
      aux_sym_string_repeat1,
    ACTIONS(2357), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [36939] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2360), 1,
      anon_sym_SQUOTE,
    STATE(970), 1,
      aux_sym_string_repeat2,
    ACTIONS(2362), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [36953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      sym_identifier,
    ACTIONS(2367), 1,
      sym_jsx_identifier,
    STATE(1219), 1,
      sym_nested_identifier,
    STATE(1294), 1,
      sym_jsx_namespace_name,
  [36969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_EQ,
    ACTIONS(1059), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [36981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      sym_identifier,
    ACTIONS(2374), 1,
      sym_jsx_identifier,
    STATE(1239), 1,
      sym_nested_identifier,
    STATE(1270), 1,
      sym_jsx_namespace_name,
  [36997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2376), 1,
      sym_identifier,
    ACTIONS(2378), 1,
      anon_sym_STAR,
    STATE(1157), 1,
      sym_formal_parameters,
  [37013] = 4,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_SQUOTE,
    STATE(970), 1,
      aux_sym_string_repeat2,
    ACTIONS(2235), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [37027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_EQ,
    ACTIONS(2380), 1,
      anon_sym_RBRACK,
    STATE(1080), 1,
      aux_sym_array_pattern_repeat1,
  [37043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE,
    STATE(1179), 1,
      sym_string,
  [37056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2382), 1,
      anon_sym_RBRACK,
    STATE(1081), 1,
      aux_sym_array_pattern_repeat1,
  [37069] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1248), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37078] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1248), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37087] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1248), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37096] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1248), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37105] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1272), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37114] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1256), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [37132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RBRACE,
    STATE(1033), 1,
      aux_sym_named_imports_repeat1,
  [37145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      sym__import_export_specifier,
  [37158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2390), 1,
      sym_identifier,
    STATE(1185), 1,
      sym_formal_parameters,
  [37171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2392), 1,
      sym_identifier,
    STATE(1125), 1,
      sym_formal_parameters,
  [37184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2394), 1,
      sym_identifier,
    STATE(1125), 1,
      sym_formal_parameters,
  [37197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2396), 1,
      sym_identifier,
    STATE(1113), 1,
      sym_formal_parameters,
  [37210] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1280), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_EQ,
    ACTIONS(2398), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [37230] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1357), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    ACTIONS(2400), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_formal_parameters_repeat1,
  [37252] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2403), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37261] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1353), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37270] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2403), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37279] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2403), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_as,
    ACTIONS(2407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [37308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    ACTIONS(2413), 1,
      anon_sym_RBRACE,
    STATE(1039), 1,
      aux_sym_export_clause_repeat1,
  [37321] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2403), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_await,
    STATE(31), 1,
      sym__for_header,
  [37343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_COLON,
    STATE(1248), 1,
      sym_formal_parameters,
  [37356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2421), 1,
      anon_sym_RPAREN,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [37369] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2213), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2425), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [37391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2427), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [37404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2429), 1,
      sym_identifier,
    STATE(1185), 1,
      sym_formal_parameters,
  [37417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      sym_identifier,
    ACTIONS(2433), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [37428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2435), 1,
      sym_identifier,
    ACTIONS(2437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [37439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_GT,
  [37452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2441), 1,
      sym_identifier,
    STATE(1125), 1,
      sym_formal_parameters,
  [37465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_while,
    ACTIONS(2445), 1,
      anon_sym_else,
    STATE(251), 1,
      sym_else_clause,
  [37487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2447), 1,
      anon_sym_RBRACE,
    STATE(1232), 1,
      sym__import_export_specifier,
  [37500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_COMMA,
    ACTIONS(2452), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_export_clause_repeat1,
  [37522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_LPAREN,
    ACTIONS(2456), 1,
      anon_sym_await,
    STATE(41), 1,
      sym__for_header,
  [37535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_EQ,
    ACTIONS(2207), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [37546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 1,
      sym_identifier,
    STATE(706), 1,
      sym_decorator_member_expression,
    STATE(761), 1,
      sym_decorator_call_expression,
  [37559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2462), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [37572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2464), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [37585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_GT,
  [37598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2468), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      sym__import_export_specifier,
  [37611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2470), 1,
      anon_sym_RBRACE,
    STATE(1072), 1,
      aux_sym_object_pattern_repeat1,
  [37624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      aux_sym_object_repeat1,
  [37637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_COMMA,
    ACTIONS(2477), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [37650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2472), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [37663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2470), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [37676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_COMMA,
    ACTIONS(2482), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [37689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    ACTIONS(2487), 1,
      anon_sym_RBRACE,
    STATE(1033), 1,
      aux_sym_named_imports_repeat1,
  [37702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2380), 1,
      anon_sym_RBRACK,
    STATE(1081), 1,
      aux_sym_array_pattern_repeat1,
  [37715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [37728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2489), 1,
      anon_sym_GT,
  [37741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(527), 1,
      sym__automatic_semicolon,
    ACTIONS(513), 2,
      anon_sym_else,
      anon_sym_while,
  [37752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2491), 1,
      anon_sym_COMMA,
    ACTIONS(2493), 1,
      anon_sym_RBRACE,
    STATE(986), 1,
      aux_sym_named_imports_repeat1,
  [37765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_COMMA,
    ACTIONS(2497), 1,
      anon_sym_RBRACE,
    STATE(1019), 1,
      aux_sym_export_clause_repeat1,
  [37778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1409), 1,
      anon_sym_RBRACK,
    STATE(1079), 1,
      aux_sym_array_repeat1,
  [37800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2380), 1,
      anon_sym_RBRACK,
    STATE(1080), 1,
      aux_sym_array_pattern_repeat1,
  [37813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    ACTIONS(2501), 1,
      anon_sym_RBRACE,
    STATE(1232), 1,
      sym__import_export_specifier,
  [37826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2269), 1,
      anon_sym_RBRACK,
    STATE(978), 1,
      aux_sym_array_pattern_repeat1,
  [37848] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(1083), 1,
      aux_sym_array_repeat1,
  [37861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [37870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [37883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2269), 1,
      anon_sym_RBRACK,
    STATE(1081), 1,
      aux_sym_array_pattern_repeat1,
  [37896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    STATE(1023), 1,
      aux_sym_object_pattern_repeat1,
  [37909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [37918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_EQ,
    ACTIONS(1034), 2,
      anon_sym_in,
      anon_sym_of,
  [37929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2513), 1,
      anon_sym_RBRACE,
    STATE(1024), 1,
      aux_sym_object_repeat1,
  [37942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_COLON,
    STATE(1248), 1,
      sym_formal_parameters,
  [37955] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(1260), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2513), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [37977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2507), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [37990] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2193), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [37999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_EQ,
    ACTIONS(1034), 2,
      anon_sym_in,
      anon_sym_of,
  [38010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1411), 1,
      anon_sym_RPAREN,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [38023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2207), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [38032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1411), 1,
      anon_sym_RPAREN,
    STATE(1006), 1,
      aux_sym_array_repeat1,
  [38045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_RPAREN,
    STATE(1066), 1,
      aux_sym_formal_parameters_repeat1,
  [38058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2519), 1,
      anon_sym_GT,
  [38071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [38084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_RPAREN,
    ACTIONS(2523), 1,
      anon_sym_COMMA,
    STATE(995), 1,
      aux_sym_formal_parameters_repeat1,
  [38097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_EQ,
    ACTIONS(1059), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [38108] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2525), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [38117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    ACTIONS(2529), 1,
      anon_sym_LPAREN,
    STATE(241), 1,
      sym_statement_block,
  [38130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2531), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [38143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2533), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [38156] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 1,
      anon_sym_COMMA,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
    STATE(1032), 1,
      aux_sym_object_pattern_repeat1,
  [38169] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    STATE(1029), 1,
      aux_sym_object_repeat1,
  [38182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1395), 1,
      anon_sym_RPAREN,
    STATE(1065), 1,
      aux_sym_array_repeat1,
  [38195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(1395), 1,
      anon_sym_RPAREN,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [38208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2539), 1,
      sym_identifier,
    STATE(1094), 1,
      sym_formal_parameters,
  [38221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1393), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [38230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 1,
      anon_sym_EQ,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [38241] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2543), 1,
      anon_sym_RBRACK,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [38254] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      anon_sym_COMMA,
    ACTIONS(2545), 1,
      anon_sym_RBRACK,
    STATE(1081), 1,
      aux_sym_array_pattern_repeat1,
  [38267] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_RBRACK,
    ACTIONS(2547), 1,
      anon_sym_COMMA,
    STATE(1081), 1,
      aux_sym_array_pattern_repeat1,
  [38280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    ACTIONS(2550), 1,
      sym_identifier,
    STATE(1185), 1,
      sym_formal_parameters,
  [38293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(588), 1,
      anon_sym_COMMA,
    ACTIONS(2552), 1,
      anon_sym_RBRACK,
    STATE(940), 1,
      aux_sym_array_repeat1,
  [38306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(715), 1,
      sym_statement_block,
  [38316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(1141), 1,
      sym_parenthesized_expression,
  [38326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_LPAREN,
    STATE(1158), 1,
      sym_parenthesized_expression,
  [38336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      sym_identifier,
    ACTIONS(2560), 1,
      anon_sym_STAR,
  [38346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_statement_block,
  [38356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [38364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      sym_identifier,
    ACTIONS(2564), 1,
      sym_jsx_identifier,
  [38374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      sym_identifier,
    ACTIONS(2568), 1,
      anon_sym_STAR,
  [38384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_class_body,
  [38394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(419), 1,
      sym_statement_block,
  [38404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_statement_block,
  [38414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(517), 1,
      sym_statement_block,
  [38424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(1838), 1,
      anon_sym_EQ_GT,
  [38434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(586), 1,
      sym_statement_block,
  [38444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym_statement_block,
  [38454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1241), 1,
      sym_formal_parameters,
  [38472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    STATE(486), 1,
      sym_class_body,
  [38482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(237), 1,
      sym_class_body,
  [38492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(50), 1,
      sym_class_body,
  [38502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1186), 1,
      sym_formal_parameters,
  [38512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_class_body,
  [38522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_statement_block,
  [38532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(609), 1,
      sym_statement_block,
  [38542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1198), 1,
      sym_formal_parameters,
  [38552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1200), 1,
      sym_formal_parameters,
  [38562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1201), 1,
      sym_formal_parameters,
  [38572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1117), 1,
      sym_formal_parameters,
  [38582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1242), 1,
      sym_formal_parameters,
  [38592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(489), 1,
      sym_statement_block,
  [38602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_statement_block,
  [38612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_statement_block,
  [38622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_formal_parameters,
  [38632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(49), 1,
      sym_statement_block,
  [38642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_parenthesized_expression,
  [38652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(2519), 1,
      anon_sym_GT,
  [38662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      sym_identifier,
    ACTIONS(2253), 1,
      anon_sym_LBRACK,
  [38672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2519), 1,
      anon_sym_GT,
  [38682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1214), 1,
      sym_formal_parameters,
  [38692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(523), 1,
      sym_class_body,
  [38702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
  [38712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(615), 1,
      sym_statement_block,
  [38722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_statement_block,
  [38732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_statement_block,
  [38742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(541), 1,
      sym_class_body,
  [38752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1243), 1,
      sym_formal_parameters,
  [38762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
  [38772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    STATE(469), 1,
      sym_class_body,
  [38782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_statement_block,
  [38792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1247), 1,
      sym_formal_parameters,
  [38802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1208), 1,
      sym_formal_parameters,
  [38812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(738), 1,
      sym_statement_block,
  [38822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_statement_block,
  [38832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym_statement_block,
  [38842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [38850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1207), 1,
      sym_formal_parameters,
  [38860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym__for_header,
  [38870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_switch_body,
  [38880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(242), 1,
      sym_statement_block,
  [38914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [38922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(468), 1,
      sym_statement_block,
  [38940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_from,
    STATE(1184), 1,
      sym__from_clause,
  [38950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_COMMA,
    ACTIONS(2590), 1,
      anon_sym_from,
  [38960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [38968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(420), 1,
      sym_statement_block,
  [38978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1148), 1,
      sym_formal_parameters,
  [38988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [38996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_identifier,
    ACTIONS(2342), 1,
      anon_sym_LBRACK,
  [39014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(457), 1,
      sym_statement_block,
  [39024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    STATE(1234), 1,
      sym__import_export_specifier,
  [39042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1255), 1,
      sym_formal_parameters,
  [39052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_statement_block,
  [39062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_statement_block,
  [39072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(710), 1,
      sym_statement_block,
  [39082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1135), 1,
      sym_formal_parameters,
  [39092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1136), 1,
      sym_formal_parameters,
  [39102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1137), 1,
      sym_formal_parameters,
  [39112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(737), 1,
      sym_statement_block,
  [39122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_statement_block,
  [39132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_statement_block,
  [39142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym_statement_block,
  [39152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_SEMI,
    ACTIONS(2600), 1,
      sym__automatic_semicolon,
  [39162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LBRACE,
    STATE(231), 1,
      sym_statement_block,
  [39172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LBRACE,
    STATE(229), 1,
      sym_statement_block,
  [39182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2237), 1,
      sym_identifier,
    STATE(1232), 1,
      sym__import_export_specifier,
  [39192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      sym_identifier,
    ACTIONS(2606), 1,
      anon_sym_STAR,
  [39202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    STATE(448), 1,
      sym_class_body,
  [39220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_class_body,
  [39230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1211), 1,
      sym_formal_parameters,
  [39256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1187), 1,
      sym_formal_parameters,
  [39266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1407), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_SEMI,
    ACTIONS(2616), 1,
      sym__automatic_semicolon,
  [39284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_statement_block,
  [39294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(53), 1,
      sym_statement_block,
  [39304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(51), 1,
      sym_statement_block,
  [39314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    STATE(237), 1,
      sym_class_body,
  [39324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      sym_identifier,
    ACTIONS(2620), 1,
      anon_sym_STAR,
  [39334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      anon_sym_SEMI,
    ACTIONS(2624), 1,
      sym__automatic_semicolon,
  [39344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym_parenthesized_expression,
  [39354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
    STATE(56), 1,
      sym_statement_block,
  [39380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(217), 1,
      sym_statement_block,
  [39390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_from,
    STATE(1171), 1,
      sym__from_clause,
  [39400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
  [39410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(231), 1,
      sym_statement_block,
  [39420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1132), 1,
      sym_formal_parameters,
  [39430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_statement_block,
  [39440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(229), 1,
      sym_statement_block,
  [39450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1173), 1,
      sym_formal_parameters,
  [39460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LBRACE,
    STATE(429), 1,
      sym_class_body,
  [39470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1130), 1,
      sym_formal_parameters,
  [39480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [39488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1262), 1,
      sym_formal_parameters,
  [39498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_statement_block,
  [39508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_statement_block,
  [39518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1127), 1,
      sym_formal_parameters,
  [39528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1152), 1,
      sym_formal_parameters,
  [39538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LBRACE,
    STATE(236), 1,
      sym_statement_block,
  [39548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1126), 1,
      sym_formal_parameters,
  [39558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1230), 1,
      sym_formal_parameters,
  [39568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      anon_sym_LBRACE,
    STATE(236), 1,
      sym_statement_block,
  [39578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_GT,
  [39588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(2489), 1,
      anon_sym_GT,
  [39606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1115), 1,
      sym_formal_parameters,
  [39616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2489), 1,
      anon_sym_GT,
  [39626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1114), 1,
      sym_formal_parameters,
  [39636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2439), 1,
      anon_sym_GT,
  [39646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2033), 2,
      anon_sym_in,
      anon_sym_of,
  [39654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(60), 1,
      sym_class_body,
  [39664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1106), 1,
      sym_formal_parameters,
  [39690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2165), 1,
      anon_sym_LBRACE,
    STATE(583), 1,
      sym_class_body,
  [39700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2477), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1194), 1,
      sym_formal_parameters,
  [39718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym_statement_block,
  [39728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1095), 1,
      sym_formal_parameters,
  [39754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_EQ_GT,
  [39772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1172), 1,
      sym_formal_parameters,
  [39782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(2466), 1,
      anon_sym_GT,
  [39792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 1,
      anon_sym_DOT,
    ACTIONS(2466), 1,
      anon_sym_GT,
  [39810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1162), 1,
      sym_formal_parameters,
  [39820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_statement_block,
  [39830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_statement_block,
  [39840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(731), 1,
      sym_statement_block,
  [39850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1161), 1,
      sym_formal_parameters,
  [39860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1163), 1,
      sym_formal_parameters,
  [39870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1167), 1,
      sym_formal_parameters,
  [39880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(736), 1,
      sym_statement_block,
  [39890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_statement_block,
  [39900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
  [39910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1168), 1,
      sym_formal_parameters,
  [39920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
  [39930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LPAREN,
    STATE(25), 1,
      sym_parenthesized_expression,
  [39940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1169), 1,
      sym_formal_parameters,
  [39950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1170), 1,
      sym_formal_parameters,
  [39960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(723), 1,
      sym_statement_block,
  [39970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1258), 1,
      sym_formal_parameters,
  [39980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 1,
      anon_sym_LPAREN,
    STATE(1084), 1,
      sym_formal_parameters,
  [39990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_LBRACE,
    STATE(713), 1,
      sym_statement_block,
  [40000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym__for_header,
  [40010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [40018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
  [40028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_statement_block,
  [40038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_RPAREN,
  [40045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      ts_builtin_sym_end,
  [40052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_GT,
  [40059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      anon_sym_GT,
  [40066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      sym_identifier,
  [40073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_GT,
  [40080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      anon_sym_SLASH2,
  [40087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_GT,
  [40094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      anon_sym_COLON,
  [40101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_GT,
  [40108] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2660), 1,
      sym_regex_pattern,
  [40115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 1,
      anon_sym_GT,
  [40122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_GT,
  [40129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_GT,
  [40136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_GT,
  [40143] = 2,
    ACTIONS(1913), 1,
      sym_comment,
    ACTIONS(2670), 1,
      sym_regex_pattern,
  [40150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 1,
      anon_sym_EQ_GT,
  [40157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 1,
      anon_sym_EQ,
  [40164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      sym_identifier,
  [40171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      sym_identifier,
  [40178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_from,
  [40185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
  [40192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_COLON,
  [40199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
  [40206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_RPAREN,
  [40213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_EQ,
  [40220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_RPAREN,
  [40227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2439), 1,
      anon_sym_GT,
  [40234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_EQ_GT,
  [40241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      anon_sym_EQ,
  [40248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_GT,
  [40255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_GT,
  [40262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym_from,
  [40269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_GT,
  [40276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_while,
  [40283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 1,
      anon_sym_GT,
  [40290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 1,
      anon_sym_LPAREN,
  [40297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_GT,
  [40304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      anon_sym_GT,
  [40311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1838), 1,
      anon_sym_EQ_GT,
  [40318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym_GT,
  [40325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_RPAREN,
  [40332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 1,
      sym_identifier,
  [40339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_RBRACK,
  [40346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
  [40353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_EQ_GT,
  [40360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2706), 1,
      anon_sym_EQ_GT,
  [40367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_EQ_GT,
  [40374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 1,
      anon_sym_RPAREN,
  [40381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      sym_identifier,
  [40388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_RPAREN,
  [40395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_GT,
  [40402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2716), 1,
      sym_identifier,
  [40409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 1,
      anon_sym_function,
  [40416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
  [40423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_EQ,
  [40430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_RPAREN,
  [40437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      sym_identifier,
  [40444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 1,
      anon_sym_COLON,
  [40451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 1,
      anon_sym_SLASH2,
  [40458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_GT,
  [40465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      sym_identifier,
  [40472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_GT,
  [40479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2734), 1,
      anon_sym_EQ,
  [40486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2736), 1,
      anon_sym_EQ_GT,
  [40493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_GT,
  [40500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
  [40507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 1,
      anon_sym_GT,
  [40514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_EQ_GT,
  [40521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_GT,
  [40528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_EQ_GT,
  [40535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      anon_sym_from,
  [40542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
  [40549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      sym_identifier,
  [40556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_target,
  [40563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_as,
  [40570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_RBRACK,
  [40577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_from,
  [40584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      sym_identifier,
  [40591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_EQ_GT,
  [40598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_RBRACE,
  [40605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2251), 1,
      sym_identifier,
  [40612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      anon_sym_EQ_GT,
  [40619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym_from,
  [40626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_GT,
  [40633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_GT,
  [40640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_RBRACK,
  [40647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      anon_sym_GT,
  [40654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_GT,
  [40661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_GT,
  [40668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_GT,
  [40675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      anon_sym_GT,
  [40682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_RBRACE,
  [40689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_from,
  [40696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_from,
  [40703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      anon_sym_RBRACK,
  [40710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_from,
  [40717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      sym_identifier,
  [40724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_from,
  [40731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_GT,
  [40738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_target,
  [40745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 1,
      anon_sym_GT,
  [40752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      sym_identifier,
  [40759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      sym_identifier,
  [40766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_function,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(207)] = 0,
  [SMALL_STATE(208)] = 87,
  [SMALL_STATE(209)] = 174,
  [SMALL_STATE(210)] = 247,
  [SMALL_STATE(211)] = 320,
  [SMALL_STATE(212)] = 406,
  [SMALL_STATE(213)] = 492,
  [SMALL_STATE(214)] = 562,
  [SMALL_STATE(215)] = 650,
  [SMALL_STATE(216)] = 738,
  [SMALL_STATE(217)] = 808,
  [SMALL_STATE(218)] = 886,
  [SMALL_STATE(219)] = 976,
  [SMALL_STATE(220)] = 1063,
  [SMALL_STATE(221)] = 1135,
  [SMALL_STATE(222)] = 1221,
  [SMALL_STATE(223)] = 1305,
  [SMALL_STATE(224)] = 1393,
  [SMALL_STATE(225)] = 1460,
  [SMALL_STATE(226)] = 1527,
  [SMALL_STATE(227)] = 1614,
  [SMALL_STATE(228)] = 1681,
  [SMALL_STATE(229)] = 1750,
  [SMALL_STATE(230)] = 1819,
  [SMALL_STATE(231)] = 1890,
  [SMALL_STATE(232)] = 1959,
  [SMALL_STATE(233)] = 2028,
  [SMALL_STATE(234)] = 2097,
  [SMALL_STATE(235)] = 2164,
  [SMALL_STATE(236)] = 2233,
  [SMALL_STATE(237)] = 2302,
  [SMALL_STATE(238)] = 2371,
  [SMALL_STATE(239)] = 2440,
  [SMALL_STATE(240)] = 2509,
  [SMALL_STATE(241)] = 2576,
  [SMALL_STATE(242)] = 2643,
  [SMALL_STATE(243)] = 2710,
  [SMALL_STATE(244)] = 2777,
  [SMALL_STATE(245)] = 2843,
  [SMALL_STATE(246)] = 2909,
  [SMALL_STATE(247)] = 2975,
  [SMALL_STATE(248)] = 3041,
  [SMALL_STATE(249)] = 3107,
  [SMALL_STATE(250)] = 3173,
  [SMALL_STATE(251)] = 3239,
  [SMALL_STATE(252)] = 3305,
  [SMALL_STATE(253)] = 3371,
  [SMALL_STATE(254)] = 3437,
  [SMALL_STATE(255)] = 3503,
  [SMALL_STATE(256)] = 3569,
  [SMALL_STATE(257)] = 3635,
  [SMALL_STATE(258)] = 3701,
  [SMALL_STATE(259)] = 3767,
  [SMALL_STATE(260)] = 3833,
  [SMALL_STATE(261)] = 3899,
  [SMALL_STATE(262)] = 3965,
  [SMALL_STATE(263)] = 4031,
  [SMALL_STATE(264)] = 4097,
  [SMALL_STATE(265)] = 4163,
  [SMALL_STATE(266)] = 4229,
  [SMALL_STATE(267)] = 4295,
  [SMALL_STATE(268)] = 4361,
  [SMALL_STATE(269)] = 4427,
  [SMALL_STATE(270)] = 4493,
  [SMALL_STATE(271)] = 4559,
  [SMALL_STATE(272)] = 4625,
  [SMALL_STATE(273)] = 4691,
  [SMALL_STATE(274)] = 4757,
  [SMALL_STATE(275)] = 4823,
  [SMALL_STATE(276)] = 4889,
  [SMALL_STATE(277)] = 4955,
  [SMALL_STATE(278)] = 5021,
  [SMALL_STATE(279)] = 5087,
  [SMALL_STATE(280)] = 5153,
  [SMALL_STATE(281)] = 5219,
  [SMALL_STATE(282)] = 5285,
  [SMALL_STATE(283)] = 5351,
  [SMALL_STATE(284)] = 5417,
  [SMALL_STATE(285)] = 5483,
  [SMALL_STATE(286)] = 5549,
  [SMALL_STATE(287)] = 5615,
  [SMALL_STATE(288)] = 5681,
  [SMALL_STATE(289)] = 5747,
  [SMALL_STATE(290)] = 5813,
  [SMALL_STATE(291)] = 5879,
  [SMALL_STATE(292)] = 5945,
  [SMALL_STATE(293)] = 6011,
  [SMALL_STATE(294)] = 6077,
  [SMALL_STATE(295)] = 6143,
  [SMALL_STATE(296)] = 6209,
  [SMALL_STATE(297)] = 6275,
  [SMALL_STATE(298)] = 6341,
  [SMALL_STATE(299)] = 6407,
  [SMALL_STATE(300)] = 6473,
  [SMALL_STATE(301)] = 6539,
  [SMALL_STATE(302)] = 6605,
  [SMALL_STATE(303)] = 6671,
  [SMALL_STATE(304)] = 6737,
  [SMALL_STATE(305)] = 6803,
  [SMALL_STATE(306)] = 6869,
  [SMALL_STATE(307)] = 6935,
  [SMALL_STATE(308)] = 7001,
  [SMALL_STATE(309)] = 7067,
  [SMALL_STATE(310)] = 7133,
  [SMALL_STATE(311)] = 7199,
  [SMALL_STATE(312)] = 7265,
  [SMALL_STATE(313)] = 7331,
  [SMALL_STATE(314)] = 7397,
  [SMALL_STATE(315)] = 7463,
  [SMALL_STATE(316)] = 7529,
  [SMALL_STATE(317)] = 7595,
  [SMALL_STATE(318)] = 7661,
  [SMALL_STATE(319)] = 7727,
  [SMALL_STATE(320)] = 7793,
  [SMALL_STATE(321)] = 7859,
  [SMALL_STATE(322)] = 7925,
  [SMALL_STATE(323)] = 7991,
  [SMALL_STATE(324)] = 8057,
  [SMALL_STATE(325)] = 8123,
  [SMALL_STATE(326)] = 8189,
  [SMALL_STATE(327)] = 8255,
  [SMALL_STATE(328)] = 8321,
  [SMALL_STATE(329)] = 8387,
  [SMALL_STATE(330)] = 8453,
  [SMALL_STATE(331)] = 8519,
  [SMALL_STATE(332)] = 8585,
  [SMALL_STATE(333)] = 8666,
  [SMALL_STATE(334)] = 8747,
  [SMALL_STATE(335)] = 8828,
  [SMALL_STATE(336)] = 8892,
  [SMALL_STATE(337)] = 8956,
  [SMALL_STATE(338)] = 9020,
  [SMALL_STATE(339)] = 9084,
  [SMALL_STATE(340)] = 9153,
  [SMALL_STATE(341)] = 9222,
  [SMALL_STATE(342)] = 9291,
  [SMALL_STATE(343)] = 9358,
  [SMALL_STATE(344)] = 9427,
  [SMALL_STATE(345)] = 9495,
  [SMALL_STATE(346)] = 9563,
  [SMALL_STATE(347)] = 9633,
  [SMALL_STATE(348)] = 9695,
  [SMALL_STATE(349)] = 9767,
  [SMALL_STATE(350)] = 9837,
  [SMALL_STATE(351)] = 9907,
  [SMALL_STATE(352)] = 9969,
  [SMALL_STATE(353)] = 10031,
  [SMALL_STATE(354)] = 10099,
  [SMALL_STATE(355)] = 10167,
  [SMALL_STATE(356)] = 10229,
  [SMALL_STATE(357)] = 10301,
  [SMALL_STATE(358)] = 10371,
  [SMALL_STATE(359)] = 10437,
  [SMALL_STATE(360)] = 10506,
  [SMALL_STATE(361)] = 10567,
  [SMALL_STATE(362)] = 10636,
  [SMALL_STATE(363)] = 10705,
  [SMALL_STATE(364)] = 10770,
  [SMALL_STATE(365)] = 10831,
  [SMALL_STATE(366)] = 10896,
  [SMALL_STATE(367)] = 10957,
  [SMALL_STATE(368)] = 11018,
  [SMALL_STATE(369)] = 11086,
  [SMALL_STATE(370)] = 11154,
  [SMALL_STATE(371)] = 11224,
  [SMALL_STATE(372)] = 11292,
  [SMALL_STATE(373)] = 11360,
  [SMALL_STATE(374)] = 11430,
  [SMALL_STATE(375)] = 11496,
  [SMALL_STATE(376)] = 11562,
  [SMALL_STATE(377)] = 11631,
  [SMALL_STATE(378)] = 11700,
  [SMALL_STATE(379)] = 11758,
  [SMALL_STATE(380)] = 11816,
  [SMALL_STATE(381)] = 11882,
  [SMALL_STATE(382)] = 11940,
  [SMALL_STATE(383)] = 12008,
  [SMALL_STATE(384)] = 12069,
  [SMALL_STATE(385)] = 12132,
  [SMALL_STATE(386)] = 12195,
  [SMALL_STATE(387)] = 12258,
  [SMALL_STATE(388)] = 12311,
  [SMALL_STATE(389)] = 12361,
  [SMALL_STATE(390)] = 12447,
  [SMALL_STATE(391)] = 12533,
  [SMALL_STATE(392)] = 12585,
  [SMALL_STATE(393)] = 12671,
  [SMALL_STATE(394)] = 12757,
  [SMALL_STATE(395)] = 12815,
  [SMALL_STATE(396)] = 12901,
  [SMALL_STATE(397)] = 12953,
  [SMALL_STATE(398)] = 13039,
  [SMALL_STATE(399)] = 13125,
  [SMALL_STATE(400)] = 13211,
  [SMALL_STATE(401)] = 13297,
  [SMALL_STATE(402)] = 13381,
  [SMALL_STATE(403)] = 13449,
  [SMALL_STATE(404)] = 13501,
  [SMALL_STATE(405)] = 13581,
  [SMALL_STATE(406)] = 13631,
  [SMALL_STATE(407)] = 13717,
  [SMALL_STATE(408)] = 13793,
  [SMALL_STATE(409)] = 13863,
  [SMALL_STATE(410)] = 13937,
  [SMALL_STATE(411)] = 14023,
  [SMALL_STATE(412)] = 14111,
  [SMALL_STATE(413)] = 14175,
  [SMALL_STATE(414)] = 14261,
  [SMALL_STATE(415)] = 14347,
  [SMALL_STATE(416)] = 14397,
  [SMALL_STATE(417)] = 14444,
  [SMALL_STATE(418)] = 14491,
  [SMALL_STATE(419)] = 14538,
  [SMALL_STATE(420)] = 14585,
  [SMALL_STATE(421)] = 14632,
  [SMALL_STATE(422)] = 14679,
  [SMALL_STATE(423)] = 14764,
  [SMALL_STATE(424)] = 14811,
  [SMALL_STATE(425)] = 14896,
  [SMALL_STATE(426)] = 14959,
  [SMALL_STATE(427)] = 15006,
  [SMALL_STATE(428)] = 15053,
  [SMALL_STATE(429)] = 15100,
  [SMALL_STATE(430)] = 15147,
  [SMALL_STATE(431)] = 15194,
  [SMALL_STATE(432)] = 15267,
  [SMALL_STATE(433)] = 15314,
  [SMALL_STATE(434)] = 15383,
  [SMALL_STATE(435)] = 15430,
  [SMALL_STATE(436)] = 15477,
  [SMALL_STATE(437)] = 15524,
  [SMALL_STATE(438)] = 15599,
  [SMALL_STATE(439)] = 15678,
  [SMALL_STATE(440)] = 15745,
  [SMALL_STATE(441)] = 15806,
  [SMALL_STATE(442)] = 15889,
  [SMALL_STATE(443)] = 15936,
  [SMALL_STATE(444)] = 15983,
  [SMALL_STATE(445)] = 16030,
  [SMALL_STATE(446)] = 16115,
  [SMALL_STATE(447)] = 16162,
  [SMALL_STATE(448)] = 16209,
  [SMALL_STATE(449)] = 16256,
  [SMALL_STATE(450)] = 16341,
  [SMALL_STATE(451)] = 16426,
  [SMALL_STATE(452)] = 16511,
  [SMALL_STATE(453)] = 16558,
  [SMALL_STATE(454)] = 16605,
  [SMALL_STATE(455)] = 16652,
  [SMALL_STATE(456)] = 16711,
  [SMALL_STATE(457)] = 16796,
  [SMALL_STATE(458)] = 16843,
  [SMALL_STATE(459)] = 16890,
  [SMALL_STATE(460)] = 16937,
  [SMALL_STATE(461)] = 16984,
  [SMALL_STATE(462)] = 17031,
  [SMALL_STATE(463)] = 17078,
  [SMALL_STATE(464)] = 17125,
  [SMALL_STATE(465)] = 17172,
  [SMALL_STATE(466)] = 17219,
  [SMALL_STATE(467)] = 17304,
  [SMALL_STATE(468)] = 17351,
  [SMALL_STATE(469)] = 17398,
  [SMALL_STATE(470)] = 17445,
  [SMALL_STATE(471)] = 17492,
  [SMALL_STATE(472)] = 17539,
  [SMALL_STATE(473)] = 17600,
  [SMALL_STATE(474)] = 17647,
  [SMALL_STATE(475)] = 17736,
  [SMALL_STATE(476)] = 17783,
  [SMALL_STATE(477)] = 17844,
  [SMALL_STATE(478)] = 17891,
  [SMALL_STATE(479)] = 17940,
  [SMALL_STATE(480)] = 17987,
  [SMALL_STATE(481)] = 18072,
  [SMALL_STATE(482)] = 18119,
  [SMALL_STATE(483)] = 18168,
  [SMALL_STATE(484)] = 18257,
  [SMALL_STATE(485)] = 18304,
  [SMALL_STATE(486)] = 18351,
  [SMALL_STATE(487)] = 18398,
  [SMALL_STATE(488)] = 18483,
  [SMALL_STATE(489)] = 18572,
  [SMALL_STATE(490)] = 18619,
  [SMALL_STATE(491)] = 18666,
  [SMALL_STATE(492)] = 18751,
  [SMALL_STATE(493)] = 18836,
  [SMALL_STATE(494)] = 18921,
  [SMALL_STATE(495)] = 18968,
  [SMALL_STATE(496)] = 19053,
  [SMALL_STATE(497)] = 19100,
  [SMALL_STATE(498)] = 19153,
  [SMALL_STATE(499)] = 19200,
  [SMALL_STATE(500)] = 19247,
  [SMALL_STATE(501)] = 19296,
  [SMALL_STATE(502)] = 19343,
  [SMALL_STATE(503)] = 19390,
  [SMALL_STATE(504)] = 19443,
  [SMALL_STATE(505)] = 19490,
  [SMALL_STATE(506)] = 19576,
  [SMALL_STATE(507)] = 19626,
  [SMALL_STATE(508)] = 19676,
  [SMALL_STATE(509)] = 19724,
  [SMALL_STATE(510)] = 19808,
  [SMALL_STATE(511)] = 19892,
  [SMALL_STATE(512)] = 19980,
  [SMALL_STATE(513)] = 20028,
  [SMALL_STATE(514)] = 20084,
  [SMALL_STATE(515)] = 20134,
  [SMALL_STATE(516)] = 20184,
  [SMALL_STATE(517)] = 20272,
  [SMALL_STATE(518)] = 20322,
  [SMALL_STATE(519)] = 20406,
  [SMALL_STATE(520)] = 20454,
  [SMALL_STATE(521)] = 20540,
  [SMALL_STATE(522)] = 20626,
  [SMALL_STATE(523)] = 20674,
  [SMALL_STATE(524)] = 20724,
  [SMALL_STATE(525)] = 20774,
  [SMALL_STATE(526)] = 20824,
  [SMALL_STATE(527)] = 20912,
  [SMALL_STATE(528)] = 21000,
  [SMALL_STATE(529)] = 21086,
  [SMALL_STATE(530)] = 21138,
  [SMALL_STATE(531)] = 21226,
  [SMALL_STATE(532)] = 21278,
  [SMALL_STATE(533)] = 21328,
  [SMALL_STATE(534)] = 21380,
  [SMALL_STATE(535)] = 21465,
  [SMALL_STATE(536)] = 21548,
  [SMALL_STATE(537)] = 21593,
  [SMALL_STATE(538)] = 21638,
  [SMALL_STATE(539)] = 21683,
  [SMALL_STATE(540)] = 21728,
  [SMALL_STATE(541)] = 21773,
  [SMALL_STATE(542)] = 21818,
  [SMALL_STATE(543)] = 21863,
  [SMALL_STATE(544)] = 21908,
  [SMALL_STATE(545)] = 21991,
  [SMALL_STATE(546)] = 22076,
  [SMALL_STATE(547)] = 22125,
  [SMALL_STATE(548)] = 22170,
  [SMALL_STATE(549)] = 22215,
  [SMALL_STATE(550)] = 22266,
  [SMALL_STATE(551)] = 22311,
  [SMALL_STATE(552)] = 22356,
  [SMALL_STATE(553)] = 22401,
  [SMALL_STATE(554)] = 22446,
  [SMALL_STATE(555)] = 22531,
  [SMALL_STATE(556)] = 22576,
  [SMALL_STATE(557)] = 22621,
  [SMALL_STATE(558)] = 22666,
  [SMALL_STATE(559)] = 22751,
  [SMALL_STATE(560)] = 22796,
  [SMALL_STATE(561)] = 22841,
  [SMALL_STATE(562)] = 22924,
  [SMALL_STATE(563)] = 23007,
  [SMALL_STATE(564)] = 23092,
  [SMALL_STATE(565)] = 23137,
  [SMALL_STATE(566)] = 23182,
  [SMALL_STATE(567)] = 23227,
  [SMALL_STATE(568)] = 23272,
  [SMALL_STATE(569)] = 23317,
  [SMALL_STATE(570)] = 23362,
  [SMALL_STATE(571)] = 23407,
  [SMALL_STATE(572)] = 23452,
  [SMALL_STATE(573)] = 23501,
  [SMALL_STATE(574)] = 23546,
  [SMALL_STATE(575)] = 23631,
  [SMALL_STATE(576)] = 23716,
  [SMALL_STATE(577)] = 23761,
  [SMALL_STATE(578)] = 23844,
  [SMALL_STATE(579)] = 23929,
  [SMALL_STATE(580)] = 24012,
  [SMALL_STATE(581)] = 24057,
  [SMALL_STATE(582)] = 24102,
  [SMALL_STATE(583)] = 24147,
  [SMALL_STATE(584)] = 24192,
  [SMALL_STATE(585)] = 24237,
  [SMALL_STATE(586)] = 24322,
  [SMALL_STATE(587)] = 24367,
  [SMALL_STATE(588)] = 24412,
  [SMALL_STATE(589)] = 24457,
  [SMALL_STATE(590)] = 24542,
  [SMALL_STATE(591)] = 24587,
  [SMALL_STATE(592)] = 24632,
  [SMALL_STATE(593)] = 24717,
  [SMALL_STATE(594)] = 24762,
  [SMALL_STATE(595)] = 24807,
  [SMALL_STATE(596)] = 24852,
  [SMALL_STATE(597)] = 24897,
  [SMALL_STATE(598)] = 24982,
  [SMALL_STATE(599)] = 25065,
  [SMALL_STATE(600)] = 25150,
  [SMALL_STATE(601)] = 25195,
  [SMALL_STATE(602)] = 25278,
  [SMALL_STATE(603)] = 25361,
  [SMALL_STATE(604)] = 25444,
  [SMALL_STATE(605)] = 25489,
  [SMALL_STATE(606)] = 25534,
  [SMALL_STATE(607)] = 25617,
  [SMALL_STATE(608)] = 25702,
  [SMALL_STATE(609)] = 25787,
  [SMALL_STATE(610)] = 25832,
  [SMALL_STATE(611)] = 25877,
  [SMALL_STATE(612)] = 25960,
  [SMALL_STATE(613)] = 26005,
  [SMALL_STATE(614)] = 26088,
  [SMALL_STATE(615)] = 26171,
  [SMALL_STATE(616)] = 26216,
  [SMALL_STATE(617)] = 26299,
  [SMALL_STATE(618)] = 26382,
  [SMALL_STATE(619)] = 26443,
  [SMALL_STATE(620)] = 26488,
  [SMALL_STATE(621)] = 26573,
  [SMALL_STATE(622)] = 26644,
  [SMALL_STATE(623)] = 26729,
  [SMALL_STATE(624)] = 26796,
  [SMALL_STATE(625)] = 26869,
  [SMALL_STATE(626)] = 26946,
  [SMALL_STATE(627)] = 27011,
  [SMALL_STATE(628)] = 27092,
  [SMALL_STATE(629)] = 27175,
  [SMALL_STATE(630)] = 27257,
  [SMALL_STATE(631)] = 27339,
  [SMALL_STATE(632)] = 27421,
  [SMALL_STATE(633)] = 27471,
  [SMALL_STATE(634)] = 27553,
  [SMALL_STATE(635)] = 27635,
  [SMALL_STATE(636)] = 27685,
  [SMALL_STATE(637)] = 27767,
  [SMALL_STATE(638)] = 27817,
  [SMALL_STATE(639)] = 27896,
  [SMALL_STATE(640)] = 27975,
  [SMALL_STATE(641)] = 28024,
  [SMALL_STATE(642)] = 28073,
  [SMALL_STATE(643)] = 28122,
  [SMALL_STATE(644)] = 28202,
  [SMALL_STATE(645)] = 28282,
  [SMALL_STATE(646)] = 28362,
  [SMALL_STATE(647)] = 28442,
  [SMALL_STATE(648)] = 28522,
  [SMALL_STATE(649)] = 28602,
  [SMALL_STATE(650)] = 28674,
  [SMALL_STATE(651)] = 28728,
  [SMALL_STATE(652)] = 28782,
  [SMALL_STATE(653)] = 28831,
  [SMALL_STATE(654)] = 28890,
  [SMALL_STATE(655)] = 28945,
  [SMALL_STATE(656)] = 29004,
  [SMALL_STATE(657)] = 29057,
  [SMALL_STATE(658)] = 29110,
  [SMALL_STATE(659)] = 29169,
  [SMALL_STATE(660)] = 29224,
  [SMALL_STATE(661)] = 29279,
  [SMALL_STATE(662)] = 29338,
  [SMALL_STATE(663)] = 29397,
  [SMALL_STATE(664)] = 29450,
  [SMALL_STATE(665)] = 29509,
  [SMALL_STATE(666)] = 29562,
  [SMALL_STATE(667)] = 29617,
  [SMALL_STATE(668)] = 29672,
  [SMALL_STATE(669)] = 29725,
  [SMALL_STATE(670)] = 29784,
  [SMALL_STATE(671)] = 29843,
  [SMALL_STATE(672)] = 29898,
  [SMALL_STATE(673)] = 29951,
  [SMALL_STATE(674)] = 29999,
  [SMALL_STATE(675)] = 30047,
  [SMALL_STATE(676)] = 30095,
  [SMALL_STATE(677)] = 30143,
  [SMALL_STATE(678)] = 30191,
  [SMALL_STATE(679)] = 30239,
  [SMALL_STATE(680)] = 30286,
  [SMALL_STATE(681)] = 30331,
  [SMALL_STATE(682)] = 30373,
  [SMALL_STATE(683)] = 30415,
  [SMALL_STATE(684)] = 30457,
  [SMALL_STATE(685)] = 30499,
  [SMALL_STATE(686)] = 30539,
  [SMALL_STATE(687)] = 30583,
  [SMALL_STATE(688)] = 30627,
  [SMALL_STATE(689)] = 30671,
  [SMALL_STATE(690)] = 30715,
  [SMALL_STATE(691)] = 30769,
  [SMALL_STATE(692)] = 30809,
  [SMALL_STATE(693)] = 30849,
  [SMALL_STATE(694)] = 30884,
  [SMALL_STATE(695)] = 30921,
  [SMALL_STATE(696)] = 30956,
  [SMALL_STATE(697)] = 30991,
  [SMALL_STATE(698)] = 31040,
  [SMALL_STATE(699)] = 31085,
  [SMALL_STATE(700)] = 31124,
  [SMALL_STATE(701)] = 31159,
  [SMALL_STATE(702)] = 31208,
  [SMALL_STATE(703)] = 31243,
  [SMALL_STATE(704)] = 31278,
  [SMALL_STATE(705)] = 31316,
  [SMALL_STATE(706)] = 31358,
  [SMALL_STATE(707)] = 31388,
  [SMALL_STATE(708)] = 31426,
  [SMALL_STATE(709)] = 31468,
  [SMALL_STATE(710)] = 31506,
  [SMALL_STATE(711)] = 31529,
  [SMALL_STATE(712)] = 31566,
  [SMALL_STATE(713)] = 31589,
  [SMALL_STATE(714)] = 31612,
  [SMALL_STATE(715)] = 31633,
  [SMALL_STATE(716)] = 31656,
  [SMALL_STATE(717)] = 31677,
  [SMALL_STATE(718)] = 31700,
  [SMALL_STATE(719)] = 31723,
  [SMALL_STATE(720)] = 31762,
  [SMALL_STATE(721)] = 31797,
  [SMALL_STATE(722)] = 31820,
  [SMALL_STATE(723)] = 31843,
  [SMALL_STATE(724)] = 31866,
  [SMALL_STATE(725)] = 31889,
  [SMALL_STATE(726)] = 31928,
  [SMALL_STATE(727)] = 31969,
  [SMALL_STATE(728)] = 31992,
  [SMALL_STATE(729)] = 32015,
  [SMALL_STATE(730)] = 32038,
  [SMALL_STATE(731)] = 32059,
  [SMALL_STATE(732)] = 32082,
  [SMALL_STATE(733)] = 32105,
  [SMALL_STATE(734)] = 32128,
  [SMALL_STATE(735)] = 32151,
  [SMALL_STATE(736)] = 32186,
  [SMALL_STATE(737)] = 32209,
  [SMALL_STATE(738)] = 32232,
  [SMALL_STATE(739)] = 32255,
  [SMALL_STATE(740)] = 32278,
  [SMALL_STATE(741)] = 32307,
  [SMALL_STATE(742)] = 32339,
  [SMALL_STATE(743)] = 32371,
  [SMALL_STATE(744)] = 32403,
  [SMALL_STATE(745)] = 32435,
  [SMALL_STATE(746)] = 32467,
  [SMALL_STATE(747)] = 32499,
  [SMALL_STATE(748)] = 32531,
  [SMALL_STATE(749)] = 32563,
  [SMALL_STATE(750)] = 32587,
  [SMALL_STATE(751)] = 32619,
  [SMALL_STATE(752)] = 32651,
  [SMALL_STATE(753)] = 32683,
  [SMALL_STATE(754)] = 32712,
  [SMALL_STATE(755)] = 32741,
  [SMALL_STATE(756)] = 32762,
  [SMALL_STATE(757)] = 32791,
  [SMALL_STATE(758)] = 32820,
  [SMALL_STATE(759)] = 32849,
  [SMALL_STATE(760)] = 32870,
  [SMALL_STATE(761)] = 32891,
  [SMALL_STATE(762)] = 32912,
  [SMALL_STATE(763)] = 32941,
  [SMALL_STATE(764)] = 32970,
  [SMALL_STATE(765)] = 33005,
  [SMALL_STATE(766)] = 33040,
  [SMALL_STATE(767)] = 33075,
  [SMALL_STATE(768)] = 33110,
  [SMALL_STATE(769)] = 33136,
  [SMALL_STATE(770)] = 33168,
  [SMALL_STATE(771)] = 33200,
  [SMALL_STATE(772)] = 33226,
  [SMALL_STATE(773)] = 33252,
  [SMALL_STATE(774)] = 33278,
  [SMALL_STATE(775)] = 33304,
  [SMALL_STATE(776)] = 33336,
  [SMALL_STATE(777)] = 33362,
  [SMALL_STATE(778)] = 33388,
  [SMALL_STATE(779)] = 33420,
  [SMALL_STATE(780)] = 33452,
  [SMALL_STATE(781)] = 33478,
  [SMALL_STATE(782)] = 33504,
  [SMALL_STATE(783)] = 33536,
  [SMALL_STATE(784)] = 33562,
  [SMALL_STATE(785)] = 33594,
  [SMALL_STATE(786)] = 33626,
  [SMALL_STATE(787)] = 33655,
  [SMALL_STATE(788)] = 33684,
  [SMALL_STATE(789)] = 33713,
  [SMALL_STATE(790)] = 33742,
  [SMALL_STATE(791)] = 33771,
  [SMALL_STATE(792)] = 33800,
  [SMALL_STATE(793)] = 33829,
  [SMALL_STATE(794)] = 33858,
  [SMALL_STATE(795)] = 33887,
  [SMALL_STATE(796)] = 33916,
  [SMALL_STATE(797)] = 33945,
  [SMALL_STATE(798)] = 33968,
  [SMALL_STATE(799)] = 33991,
  [SMALL_STATE(800)] = 34020,
  [SMALL_STATE(801)] = 34049,
  [SMALL_STATE(802)] = 34078,
  [SMALL_STATE(803)] = 34107,
  [SMALL_STATE(804)] = 34130,
  [SMALL_STATE(805)] = 34153,
  [SMALL_STATE(806)] = 34176,
  [SMALL_STATE(807)] = 34205,
  [SMALL_STATE(808)] = 34234,
  [SMALL_STATE(809)] = 34263,
  [SMALL_STATE(810)] = 34286,
  [SMALL_STATE(811)] = 34309,
  [SMALL_STATE(812)] = 34332,
  [SMALL_STATE(813)] = 34355,
  [SMALL_STATE(814)] = 34384,
  [SMALL_STATE(815)] = 34413,
  [SMALL_STATE(816)] = 34442,
  [SMALL_STATE(817)] = 34455,
  [SMALL_STATE(818)] = 34478,
  [SMALL_STATE(819)] = 34499,
  [SMALL_STATE(820)] = 34520,
  [SMALL_STATE(821)] = 34533,
  [SMALL_STATE(822)] = 34552,
  [SMALL_STATE(823)] = 34573,
  [SMALL_STATE(824)] = 34596,
  [SMALL_STATE(825)] = 34615,
  [SMALL_STATE(826)] = 34636,
  [SMALL_STATE(827)] = 34659,
  [SMALL_STATE(828)] = 34672,
  [SMALL_STATE(829)] = 34685,
  [SMALL_STATE(830)] = 34706,
  [SMALL_STATE(831)] = 34719,
  [SMALL_STATE(832)] = 34742,
  [SMALL_STATE(833)] = 34755,
  [SMALL_STATE(834)] = 34778,
  [SMALL_STATE(835)] = 34801,
  [SMALL_STATE(836)] = 34814,
  [SMALL_STATE(837)] = 34827,
  [SMALL_STATE(838)] = 34839,
  [SMALL_STATE(839)] = 34857,
  [SMALL_STATE(840)] = 34875,
  [SMALL_STATE(841)] = 34897,
  [SMALL_STATE(842)] = 34909,
  [SMALL_STATE(843)] = 34929,
  [SMALL_STATE(844)] = 34947,
  [SMALL_STATE(845)] = 34961,
  [SMALL_STATE(846)] = 34973,
  [SMALL_STATE(847)] = 34995,
  [SMALL_STATE(848)] = 35007,
  [SMALL_STATE(849)] = 35025,
  [SMALL_STATE(850)] = 35047,
  [SMALL_STATE(851)] = 35069,
  [SMALL_STATE(852)] = 35089,
  [SMALL_STATE(853)] = 35107,
  [SMALL_STATE(854)] = 35129,
  [SMALL_STATE(855)] = 35149,
  [SMALL_STATE(856)] = 35163,
  [SMALL_STATE(857)] = 35181,
  [SMALL_STATE(858)] = 35203,
  [SMALL_STATE(859)] = 35215,
  [SMALL_STATE(860)] = 35237,
  [SMALL_STATE(861)] = 35259,
  [SMALL_STATE(862)] = 35277,
  [SMALL_STATE(863)] = 35299,
  [SMALL_STATE(864)] = 35317,
  [SMALL_STATE(865)] = 35339,
  [SMALL_STATE(866)] = 35357,
  [SMALL_STATE(867)] = 35379,
  [SMALL_STATE(868)] = 35397,
  [SMALL_STATE(869)] = 35413,
  [SMALL_STATE(870)] = 35425,
  [SMALL_STATE(871)] = 35447,
  [SMALL_STATE(872)] = 35465,
  [SMALL_STATE(873)] = 35477,
  [SMALL_STATE(874)] = 35489,
  [SMALL_STATE(875)] = 35509,
  [SMALL_STATE(876)] = 35528,
  [SMALL_STATE(877)] = 35541,
  [SMALL_STATE(878)] = 35554,
  [SMALL_STATE(879)] = 35565,
  [SMALL_STATE(880)] = 35578,
  [SMALL_STATE(881)] = 35591,
  [SMALL_STATE(882)] = 35610,
  [SMALL_STATE(883)] = 35623,
  [SMALL_STATE(884)] = 35636,
  [SMALL_STATE(885)] = 35655,
  [SMALL_STATE(886)] = 35668,
  [SMALL_STATE(887)] = 35681,
  [SMALL_STATE(888)] = 35700,
  [SMALL_STATE(889)] = 35719,
  [SMALL_STATE(890)] = 35730,
  [SMALL_STATE(891)] = 35743,
  [SMALL_STATE(892)] = 35762,
  [SMALL_STATE(893)] = 35775,
  [SMALL_STATE(894)] = 35794,
  [SMALL_STATE(895)] = 35813,
  [SMALL_STATE(896)] = 35832,
  [SMALL_STATE(897)] = 35845,
  [SMALL_STATE(898)] = 35858,
  [SMALL_STATE(899)] = 35871,
  [SMALL_STATE(900)] = 35884,
  [SMALL_STATE(901)] = 35897,
  [SMALL_STATE(902)] = 35916,
  [SMALL_STATE(903)] = 35935,
  [SMALL_STATE(904)] = 35950,
  [SMALL_STATE(905)] = 35961,
  [SMALL_STATE(906)] = 35980,
  [SMALL_STATE(907)] = 35999,
  [SMALL_STATE(908)] = 36018,
  [SMALL_STATE(909)] = 36031,
  [SMALL_STATE(910)] = 36046,
  [SMALL_STATE(911)] = 36065,
  [SMALL_STATE(912)] = 36084,
  [SMALL_STATE(913)] = 36097,
  [SMALL_STATE(914)] = 36109,
  [SMALL_STATE(915)] = 36125,
  [SMALL_STATE(916)] = 36139,
  [SMALL_STATE(917)] = 36153,
  [SMALL_STATE(918)] = 36163,
  [SMALL_STATE(919)] = 36179,
  [SMALL_STATE(920)] = 36195,
  [SMALL_STATE(921)] = 36211,
  [SMALL_STATE(922)] = 36227,
  [SMALL_STATE(923)] = 36243,
  [SMALL_STATE(924)] = 36257,
  [SMALL_STATE(925)] = 36271,
  [SMALL_STATE(926)] = 36285,
  [SMALL_STATE(927)] = 36299,
  [SMALL_STATE(928)] = 36315,
  [SMALL_STATE(929)] = 36331,
  [SMALL_STATE(930)] = 36345,
  [SMALL_STATE(931)] = 36359,
  [SMALL_STATE(932)] = 36375,
  [SMALL_STATE(933)] = 36389,
  [SMALL_STATE(934)] = 36403,
  [SMALL_STATE(935)] = 36417,
  [SMALL_STATE(936)] = 36427,
  [SMALL_STATE(937)] = 36443,
  [SMALL_STATE(938)] = 36459,
  [SMALL_STATE(939)] = 36475,
  [SMALL_STATE(940)] = 36491,
  [SMALL_STATE(941)] = 36505,
  [SMALL_STATE(942)] = 36515,
  [SMALL_STATE(943)] = 36531,
  [SMALL_STATE(944)] = 36547,
  [SMALL_STATE(945)] = 36563,
  [SMALL_STATE(946)] = 36579,
  [SMALL_STATE(947)] = 36593,
  [SMALL_STATE(948)] = 36607,
  [SMALL_STATE(949)] = 36623,
  [SMALL_STATE(950)] = 36639,
  [SMALL_STATE(951)] = 36655,
  [SMALL_STATE(952)] = 36671,
  [SMALL_STATE(953)] = 36687,
  [SMALL_STATE(954)] = 36703,
  [SMALL_STATE(955)] = 36719,
  [SMALL_STATE(956)] = 36735,
  [SMALL_STATE(957)] = 36751,
  [SMALL_STATE(958)] = 36765,
  [SMALL_STATE(959)] = 36779,
  [SMALL_STATE(960)] = 36795,
  [SMALL_STATE(961)] = 36811,
  [SMALL_STATE(962)] = 36827,
  [SMALL_STATE(963)] = 36843,
  [SMALL_STATE(964)] = 36859,
  [SMALL_STATE(965)] = 36873,
  [SMALL_STATE(966)] = 36883,
  [SMALL_STATE(967)] = 36897,
  [SMALL_STATE(968)] = 36911,
  [SMALL_STATE(969)] = 36925,
  [SMALL_STATE(970)] = 36939,
  [SMALL_STATE(971)] = 36953,
  [SMALL_STATE(972)] = 36969,
  [SMALL_STATE(973)] = 36981,
  [SMALL_STATE(974)] = 36997,
  [SMALL_STATE(975)] = 37013,
  [SMALL_STATE(976)] = 37027,
  [SMALL_STATE(977)] = 37043,
  [SMALL_STATE(978)] = 37056,
  [SMALL_STATE(979)] = 37069,
  [SMALL_STATE(980)] = 37078,
  [SMALL_STATE(981)] = 37087,
  [SMALL_STATE(982)] = 37096,
  [SMALL_STATE(983)] = 37105,
  [SMALL_STATE(984)] = 37114,
  [SMALL_STATE(985)] = 37123,
  [SMALL_STATE(986)] = 37132,
  [SMALL_STATE(987)] = 37145,
  [SMALL_STATE(988)] = 37158,
  [SMALL_STATE(989)] = 37171,
  [SMALL_STATE(990)] = 37184,
  [SMALL_STATE(991)] = 37197,
  [SMALL_STATE(992)] = 37210,
  [SMALL_STATE(993)] = 37219,
  [SMALL_STATE(994)] = 37230,
  [SMALL_STATE(995)] = 37239,
  [SMALL_STATE(996)] = 37252,
  [SMALL_STATE(997)] = 37261,
  [SMALL_STATE(998)] = 37270,
  [SMALL_STATE(999)] = 37279,
  [SMALL_STATE(1000)] = 37288,
  [SMALL_STATE(1001)] = 37297,
  [SMALL_STATE(1002)] = 37308,
  [SMALL_STATE(1003)] = 37321,
  [SMALL_STATE(1004)] = 37330,
  [SMALL_STATE(1005)] = 37343,
  [SMALL_STATE(1006)] = 37356,
  [SMALL_STATE(1007)] = 37369,
  [SMALL_STATE(1008)] = 37378,
  [SMALL_STATE(1009)] = 37391,
  [SMALL_STATE(1010)] = 37404,
  [SMALL_STATE(1011)] = 37417,
  [SMALL_STATE(1012)] = 37428,
  [SMALL_STATE(1013)] = 37439,
  [SMALL_STATE(1014)] = 37452,
  [SMALL_STATE(1015)] = 37465,
  [SMALL_STATE(1016)] = 37474,
  [SMALL_STATE(1017)] = 37487,
  [SMALL_STATE(1018)] = 37500,
  [SMALL_STATE(1019)] = 37509,
  [SMALL_STATE(1020)] = 37522,
  [SMALL_STATE(1021)] = 37535,
  [SMALL_STATE(1022)] = 37546,
  [SMALL_STATE(1023)] = 37559,
  [SMALL_STATE(1024)] = 37572,
  [SMALL_STATE(1025)] = 37585,
  [SMALL_STATE(1026)] = 37598,
  [SMALL_STATE(1027)] = 37611,
  [SMALL_STATE(1028)] = 37624,
  [SMALL_STATE(1029)] = 37637,
  [SMALL_STATE(1030)] = 37650,
  [SMALL_STATE(1031)] = 37663,
  [SMALL_STATE(1032)] = 37676,
  [SMALL_STATE(1033)] = 37689,
  [SMALL_STATE(1034)] = 37702,
  [SMALL_STATE(1035)] = 37715,
  [SMALL_STATE(1036)] = 37728,
  [SMALL_STATE(1037)] = 37741,
  [SMALL_STATE(1038)] = 37752,
  [SMALL_STATE(1039)] = 37765,
  [SMALL_STATE(1040)] = 37778,
  [SMALL_STATE(1041)] = 37787,
  [SMALL_STATE(1042)] = 37800,
  [SMALL_STATE(1043)] = 37813,
  [SMALL_STATE(1044)] = 37826,
  [SMALL_STATE(1045)] = 37835,
  [SMALL_STATE(1046)] = 37848,
  [SMALL_STATE(1047)] = 37861,
  [SMALL_STATE(1048)] = 37870,
  [SMALL_STATE(1049)] = 37883,
  [SMALL_STATE(1050)] = 37896,
  [SMALL_STATE(1051)] = 37909,
  [SMALL_STATE(1052)] = 37918,
  [SMALL_STATE(1053)] = 37929,
  [SMALL_STATE(1054)] = 37942,
  [SMALL_STATE(1055)] = 37955,
  [SMALL_STATE(1056)] = 37964,
  [SMALL_STATE(1057)] = 37977,
  [SMALL_STATE(1058)] = 37990,
  [SMALL_STATE(1059)] = 37999,
  [SMALL_STATE(1060)] = 38010,
  [SMALL_STATE(1061)] = 38023,
  [SMALL_STATE(1062)] = 38032,
  [SMALL_STATE(1063)] = 38045,
  [SMALL_STATE(1064)] = 38058,
  [SMALL_STATE(1065)] = 38071,
  [SMALL_STATE(1066)] = 38084,
  [SMALL_STATE(1067)] = 38097,
  [SMALL_STATE(1068)] = 38108,
  [SMALL_STATE(1069)] = 38117,
  [SMALL_STATE(1070)] = 38130,
  [SMALL_STATE(1071)] = 38143,
  [SMALL_STATE(1072)] = 38156,
  [SMALL_STATE(1073)] = 38169,
  [SMALL_STATE(1074)] = 38182,
  [SMALL_STATE(1075)] = 38195,
  [SMALL_STATE(1076)] = 38208,
  [SMALL_STATE(1077)] = 38221,
  [SMALL_STATE(1078)] = 38230,
  [SMALL_STATE(1079)] = 38241,
  [SMALL_STATE(1080)] = 38254,
  [SMALL_STATE(1081)] = 38267,
  [SMALL_STATE(1082)] = 38280,
  [SMALL_STATE(1083)] = 38293,
  [SMALL_STATE(1084)] = 38306,
  [SMALL_STATE(1085)] = 38316,
  [SMALL_STATE(1086)] = 38326,
  [SMALL_STATE(1087)] = 38336,
  [SMALL_STATE(1088)] = 38346,
  [SMALL_STATE(1089)] = 38356,
  [SMALL_STATE(1090)] = 38364,
  [SMALL_STATE(1091)] = 38374,
  [SMALL_STATE(1092)] = 38384,
  [SMALL_STATE(1093)] = 38394,
  [SMALL_STATE(1094)] = 38404,
  [SMALL_STATE(1095)] = 38414,
  [SMALL_STATE(1096)] = 38424,
  [SMALL_STATE(1097)] = 38434,
  [SMALL_STATE(1098)] = 38444,
  [SMALL_STATE(1099)] = 38454,
  [SMALL_STATE(1100)] = 38462,
  [SMALL_STATE(1101)] = 38472,
  [SMALL_STATE(1102)] = 38482,
  [SMALL_STATE(1103)] = 38492,
  [SMALL_STATE(1104)] = 38502,
  [SMALL_STATE(1105)] = 38512,
  [SMALL_STATE(1106)] = 38522,
  [SMALL_STATE(1107)] = 38532,
  [SMALL_STATE(1108)] = 38542,
  [SMALL_STATE(1109)] = 38552,
  [SMALL_STATE(1110)] = 38562,
  [SMALL_STATE(1111)] = 38572,
  [SMALL_STATE(1112)] = 38582,
  [SMALL_STATE(1113)] = 38592,
  [SMALL_STATE(1114)] = 38602,
  [SMALL_STATE(1115)] = 38612,
  [SMALL_STATE(1116)] = 38622,
  [SMALL_STATE(1117)] = 38632,
  [SMALL_STATE(1118)] = 38642,
  [SMALL_STATE(1119)] = 38652,
  [SMALL_STATE(1120)] = 38662,
  [SMALL_STATE(1121)] = 38672,
  [SMALL_STATE(1122)] = 38682,
  [SMALL_STATE(1123)] = 38692,
  [SMALL_STATE(1124)] = 38702,
  [SMALL_STATE(1125)] = 38712,
  [SMALL_STATE(1126)] = 38722,
  [SMALL_STATE(1127)] = 38732,
  [SMALL_STATE(1128)] = 38742,
  [SMALL_STATE(1129)] = 38752,
  [SMALL_STATE(1130)] = 38762,
  [SMALL_STATE(1131)] = 38772,
  [SMALL_STATE(1132)] = 38782,
  [SMALL_STATE(1133)] = 38792,
  [SMALL_STATE(1134)] = 38802,
  [SMALL_STATE(1135)] = 38812,
  [SMALL_STATE(1136)] = 38822,
  [SMALL_STATE(1137)] = 38832,
  [SMALL_STATE(1138)] = 38842,
  [SMALL_STATE(1139)] = 38850,
  [SMALL_STATE(1140)] = 38860,
  [SMALL_STATE(1141)] = 38870,
  [SMALL_STATE(1142)] = 38880,
  [SMALL_STATE(1143)] = 38888,
  [SMALL_STATE(1144)] = 38896,
  [SMALL_STATE(1145)] = 38904,
  [SMALL_STATE(1146)] = 38914,
  [SMALL_STATE(1147)] = 38922,
  [SMALL_STATE(1148)] = 38930,
  [SMALL_STATE(1149)] = 38940,
  [SMALL_STATE(1150)] = 38950,
  [SMALL_STATE(1151)] = 38960,
  [SMALL_STATE(1152)] = 38968,
  [SMALL_STATE(1153)] = 38978,
  [SMALL_STATE(1154)] = 38988,
  [SMALL_STATE(1155)] = 38996,
  [SMALL_STATE(1156)] = 39004,
  [SMALL_STATE(1157)] = 39014,
  [SMALL_STATE(1158)] = 39024,
  [SMALL_STATE(1159)] = 39032,
  [SMALL_STATE(1160)] = 39042,
  [SMALL_STATE(1161)] = 39052,
  [SMALL_STATE(1162)] = 39062,
  [SMALL_STATE(1163)] = 39072,
  [SMALL_STATE(1164)] = 39082,
  [SMALL_STATE(1165)] = 39092,
  [SMALL_STATE(1166)] = 39102,
  [SMALL_STATE(1167)] = 39112,
  [SMALL_STATE(1168)] = 39122,
  [SMALL_STATE(1169)] = 39132,
  [SMALL_STATE(1170)] = 39142,
  [SMALL_STATE(1171)] = 39152,
  [SMALL_STATE(1172)] = 39162,
  [SMALL_STATE(1173)] = 39172,
  [SMALL_STATE(1174)] = 39182,
  [SMALL_STATE(1175)] = 39192,
  [SMALL_STATE(1176)] = 39202,
  [SMALL_STATE(1177)] = 39210,
  [SMALL_STATE(1178)] = 39220,
  [SMALL_STATE(1179)] = 39230,
  [SMALL_STATE(1180)] = 39238,
  [SMALL_STATE(1181)] = 39246,
  [SMALL_STATE(1182)] = 39256,
  [SMALL_STATE(1183)] = 39266,
  [SMALL_STATE(1184)] = 39274,
  [SMALL_STATE(1185)] = 39284,
  [SMALL_STATE(1186)] = 39294,
  [SMALL_STATE(1187)] = 39304,
  [SMALL_STATE(1188)] = 39314,
  [SMALL_STATE(1189)] = 39324,
  [SMALL_STATE(1190)] = 39334,
  [SMALL_STATE(1191)] = 39344,
  [SMALL_STATE(1192)] = 39354,
  [SMALL_STATE(1193)] = 39362,
  [SMALL_STATE(1194)] = 39370,
  [SMALL_STATE(1195)] = 39380,
  [SMALL_STATE(1196)] = 39390,
  [SMALL_STATE(1197)] = 39400,
  [SMALL_STATE(1198)] = 39410,
  [SMALL_STATE(1199)] = 39420,
  [SMALL_STATE(1200)] = 39430,
  [SMALL_STATE(1201)] = 39440,
  [SMALL_STATE(1202)] = 39450,
  [SMALL_STATE(1203)] = 39460,
  [SMALL_STATE(1204)] = 39470,
  [SMALL_STATE(1205)] = 39480,
  [SMALL_STATE(1206)] = 39488,
  [SMALL_STATE(1207)] = 39498,
  [SMALL_STATE(1208)] = 39508,
  [SMALL_STATE(1209)] = 39518,
  [SMALL_STATE(1210)] = 39528,
  [SMALL_STATE(1211)] = 39538,
  [SMALL_STATE(1212)] = 39548,
  [SMALL_STATE(1213)] = 39558,
  [SMALL_STATE(1214)] = 39568,
  [SMALL_STATE(1215)] = 39578,
  [SMALL_STATE(1216)] = 39588,
  [SMALL_STATE(1217)] = 39596,
  [SMALL_STATE(1218)] = 39606,
  [SMALL_STATE(1219)] = 39616,
  [SMALL_STATE(1220)] = 39626,
  [SMALL_STATE(1221)] = 39636,
  [SMALL_STATE(1222)] = 39646,
  [SMALL_STATE(1223)] = 39654,
  [SMALL_STATE(1224)] = 39664,
  [SMALL_STATE(1225)] = 39672,
  [SMALL_STATE(1226)] = 39680,
  [SMALL_STATE(1227)] = 39690,
  [SMALL_STATE(1228)] = 39700,
  [SMALL_STATE(1229)] = 39708,
  [SMALL_STATE(1230)] = 39718,
  [SMALL_STATE(1231)] = 39728,
  [SMALL_STATE(1232)] = 39736,
  [SMALL_STATE(1233)] = 39744,
  [SMALL_STATE(1234)] = 39754,
  [SMALL_STATE(1235)] = 39762,
  [SMALL_STATE(1236)] = 39772,
  [SMALL_STATE(1237)] = 39782,
  [SMALL_STATE(1238)] = 39792,
  [SMALL_STATE(1239)] = 39800,
  [SMALL_STATE(1240)] = 39810,
  [SMALL_STATE(1241)] = 39820,
  [SMALL_STATE(1242)] = 39830,
  [SMALL_STATE(1243)] = 39840,
  [SMALL_STATE(1244)] = 39850,
  [SMALL_STATE(1245)] = 39860,
  [SMALL_STATE(1246)] = 39870,
  [SMALL_STATE(1247)] = 39880,
  [SMALL_STATE(1248)] = 39890,
  [SMALL_STATE(1249)] = 39900,
  [SMALL_STATE(1250)] = 39910,
  [SMALL_STATE(1251)] = 39920,
  [SMALL_STATE(1252)] = 39930,
  [SMALL_STATE(1253)] = 39940,
  [SMALL_STATE(1254)] = 39950,
  [SMALL_STATE(1255)] = 39960,
  [SMALL_STATE(1256)] = 39970,
  [SMALL_STATE(1257)] = 39980,
  [SMALL_STATE(1258)] = 39990,
  [SMALL_STATE(1259)] = 40000,
  [SMALL_STATE(1260)] = 40010,
  [SMALL_STATE(1261)] = 40018,
  [SMALL_STATE(1262)] = 40028,
  [SMALL_STATE(1263)] = 40038,
  [SMALL_STATE(1264)] = 40045,
  [SMALL_STATE(1265)] = 40052,
  [SMALL_STATE(1266)] = 40059,
  [SMALL_STATE(1267)] = 40066,
  [SMALL_STATE(1268)] = 40073,
  [SMALL_STATE(1269)] = 40080,
  [SMALL_STATE(1270)] = 40087,
  [SMALL_STATE(1271)] = 40094,
  [SMALL_STATE(1272)] = 40101,
  [SMALL_STATE(1273)] = 40108,
  [SMALL_STATE(1274)] = 40115,
  [SMALL_STATE(1275)] = 40122,
  [SMALL_STATE(1276)] = 40129,
  [SMALL_STATE(1277)] = 40136,
  [SMALL_STATE(1278)] = 40143,
  [SMALL_STATE(1279)] = 40150,
  [SMALL_STATE(1280)] = 40157,
  [SMALL_STATE(1281)] = 40164,
  [SMALL_STATE(1282)] = 40171,
  [SMALL_STATE(1283)] = 40178,
  [SMALL_STATE(1284)] = 40185,
  [SMALL_STATE(1285)] = 40192,
  [SMALL_STATE(1286)] = 40199,
  [SMALL_STATE(1287)] = 40206,
  [SMALL_STATE(1288)] = 40213,
  [SMALL_STATE(1289)] = 40220,
  [SMALL_STATE(1290)] = 40227,
  [SMALL_STATE(1291)] = 40234,
  [SMALL_STATE(1292)] = 40241,
  [SMALL_STATE(1293)] = 40248,
  [SMALL_STATE(1294)] = 40255,
  [SMALL_STATE(1295)] = 40262,
  [SMALL_STATE(1296)] = 40269,
  [SMALL_STATE(1297)] = 40276,
  [SMALL_STATE(1298)] = 40283,
  [SMALL_STATE(1299)] = 40290,
  [SMALL_STATE(1300)] = 40297,
  [SMALL_STATE(1301)] = 40304,
  [SMALL_STATE(1302)] = 40311,
  [SMALL_STATE(1303)] = 40318,
  [SMALL_STATE(1304)] = 40325,
  [SMALL_STATE(1305)] = 40332,
  [SMALL_STATE(1306)] = 40339,
  [SMALL_STATE(1307)] = 40346,
  [SMALL_STATE(1308)] = 40353,
  [SMALL_STATE(1309)] = 40360,
  [SMALL_STATE(1310)] = 40367,
  [SMALL_STATE(1311)] = 40374,
  [SMALL_STATE(1312)] = 40381,
  [SMALL_STATE(1313)] = 40388,
  [SMALL_STATE(1314)] = 40395,
  [SMALL_STATE(1315)] = 40402,
  [SMALL_STATE(1316)] = 40409,
  [SMALL_STATE(1317)] = 40416,
  [SMALL_STATE(1318)] = 40423,
  [SMALL_STATE(1319)] = 40430,
  [SMALL_STATE(1320)] = 40437,
  [SMALL_STATE(1321)] = 40444,
  [SMALL_STATE(1322)] = 40451,
  [SMALL_STATE(1323)] = 40458,
  [SMALL_STATE(1324)] = 40465,
  [SMALL_STATE(1325)] = 40472,
  [SMALL_STATE(1326)] = 40479,
  [SMALL_STATE(1327)] = 40486,
  [SMALL_STATE(1328)] = 40493,
  [SMALL_STATE(1329)] = 40500,
  [SMALL_STATE(1330)] = 40507,
  [SMALL_STATE(1331)] = 40514,
  [SMALL_STATE(1332)] = 40521,
  [SMALL_STATE(1333)] = 40528,
  [SMALL_STATE(1334)] = 40535,
  [SMALL_STATE(1335)] = 40542,
  [SMALL_STATE(1336)] = 40549,
  [SMALL_STATE(1337)] = 40556,
  [SMALL_STATE(1338)] = 40563,
  [SMALL_STATE(1339)] = 40570,
  [SMALL_STATE(1340)] = 40577,
  [SMALL_STATE(1341)] = 40584,
  [SMALL_STATE(1342)] = 40591,
  [SMALL_STATE(1343)] = 40598,
  [SMALL_STATE(1344)] = 40605,
  [SMALL_STATE(1345)] = 40612,
  [SMALL_STATE(1346)] = 40619,
  [SMALL_STATE(1347)] = 40626,
  [SMALL_STATE(1348)] = 40633,
  [SMALL_STATE(1349)] = 40640,
  [SMALL_STATE(1350)] = 40647,
  [SMALL_STATE(1351)] = 40654,
  [SMALL_STATE(1352)] = 40661,
  [SMALL_STATE(1353)] = 40668,
  [SMALL_STATE(1354)] = 40675,
  [SMALL_STATE(1355)] = 40682,
  [SMALL_STATE(1356)] = 40689,
  [SMALL_STATE(1357)] = 40696,
  [SMALL_STATE(1358)] = 40703,
  [SMALL_STATE(1359)] = 40710,
  [SMALL_STATE(1360)] = 40717,
  [SMALL_STATE(1361)] = 40724,
  [SMALL_STATE(1362)] = 40731,
  [SMALL_STATE(1363)] = 40738,
  [SMALL_STATE(1364)] = 40745,
  [SMALL_STATE(1365)] = 40752,
  [SMALL_STATE(1366)] = 40759,
  [SMALL_STATE(1367)] = 40766,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(349),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(196),
  [145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(382),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(825),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(829),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1118),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1085),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1004),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(73),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(159),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1191),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(32),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1195),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1197),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1011),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1012),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1231),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(82),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(120),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(224),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(45),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(70),
  [210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(894),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1278),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(910),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(214),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(921),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(137),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(137),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(135),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(134),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(925),
  [243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(926),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(856),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(557),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(557),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1022),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(350),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 53),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 53),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 53),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 53),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 70),
  [435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 70),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 70),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 70),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 65),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 65),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 65),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 65),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 92),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 92),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 92),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 92),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 63),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 63),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 81),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 81),
  [471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 81),
  [473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 81),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 72),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 72),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 72),
  [485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 72),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 81),
  [491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 81),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 81),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 81),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 33),
  [501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 33),
  [503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 33),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 33),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 86),
  [519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 86),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 86),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 86),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(27),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(756),
  [711] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(704),
  [715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(174),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(704),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(112),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(165),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 24),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 24),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 20),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 20),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 96),
  [810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 96),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 55),
  [822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 55),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 54),
  [830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 54),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 46),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 46),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 56),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 56),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 33),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 33),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 46),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 46),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 76),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 76),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 65),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 65),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 18),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 70),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 47),
  [898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 47),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 85),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 85),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 44),
  [906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 44),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 72),
  [910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 72),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 90),
  [918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 90),
  [920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3),
  [922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 81),
  [926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 81),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 81),
  [930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 81),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 86),
  [934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 86),
  [936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 21),
  [938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 21),
  [940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 95),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 92),
  [946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 92),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 27),
  [962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 27),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 27),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 27),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 26),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 26),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 25),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 25),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 22),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 22),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 13),
  [988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 23),
  [990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 23),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 71),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 71),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 82),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 82),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 40),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 40),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(92),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1039] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(187),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 89),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 89),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 94),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 94),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 88),
  [1052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 88),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 39),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 39),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 83),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 66),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 16),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 16),
  [1145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 16), REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 15),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 43),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 69),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 37),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 68),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 14),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 37),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 38),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 30),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 30),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 15),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 67),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 67),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 66),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 57),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 57),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 84),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 84),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 59),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 59),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 28),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 28),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 34),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 34),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 67),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 67),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 35),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 35),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 36),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 36),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 16),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 16),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 68),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 45),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 45),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 38),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 49), REDUCE(sym_assignment_expression, 3, .production_id = 14),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 49),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 43),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 42),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 42),
  [1361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 49), REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 41),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 41),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 73),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 73),
  [1372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 37), REDUCE(sym_assignment_expression, 3, .production_id = 37),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 37),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 80),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 80),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 69),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 37),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 53),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 16), REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 17),
  [1425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 50),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(917),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(763),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64),
  [1661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(148),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(692),
  [1667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(925),
  [1670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(926),
  [1673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(851),
  [1676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(1022),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(681),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 64), SHIFT_REPEAT(696),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 16), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 17),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 16),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 93),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 93),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 81),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 81),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 92),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 92),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 75),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 75),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 70),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 70),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 97),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 97),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 87),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 40),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 40),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 51),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 51),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(1022),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 31),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 31),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 31),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 31),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(78),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(905),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(798),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 58), SHIFT_REPEAT(824),
  [1981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 58), SHIFT_REPEAT(79),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 58),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 58),
  [1988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 58), SHIFT_REPEAT(824),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [2049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 17),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 78),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 32),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 62),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [2113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1271),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(113),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(865),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(105),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 60),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 29),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 29),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(76),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 17),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(818),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [2355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [2357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(969),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(970),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(187),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(720),
  [2403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 57),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 48),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1174),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(653),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [2479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(652),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [2484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1159),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 48),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [2505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 48),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 19),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 28),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(699),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 91),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [2592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 61),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 18),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 50),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 79),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 77),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 74),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 48),
  [2640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 52),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2644] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 52),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 52),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [2774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [2776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 52),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = (const uint16_t *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
