#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1168
#define LARGE_STATE_COUNT 180
#define SYMBOL_COUNT 147
#define ALIAS_COUNT 4
#define TOKEN_COUNT 66
#define EXTERNAL_TOKEN_COUNT 14
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 8

enum {
  sym__backslash_escape = 1,
  sym_entity_reference = 2,
  sym_numeric_character_reference = 3,
  anon_sym_LBRACK = 4,
  anon_sym_RBRACK = 5,
  anon_sym_LT = 6,
  anon_sym_GT = 7,
  anon_sym_BANG = 8,
  anon_sym_DQUOTE = 9,
  anon_sym_POUND = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_PERCENT = 12,
  anon_sym_AMP = 13,
  anon_sym_SQUOTE = 14,
  anon_sym_STAR = 15,
  anon_sym_PLUS = 16,
  anon_sym_COMMA = 17,
  anon_sym_DASH = 18,
  anon_sym_DOT = 19,
  anon_sym_SLASH = 20,
  anon_sym_COLON = 21,
  anon_sym_SEMI = 22,
  anon_sym_EQ = 23,
  anon_sym_QMARK = 24,
  anon_sym_AT = 25,
  anon_sym_BSLASH = 26,
  anon_sym_CARET = 27,
  anon_sym__ = 28,
  anon_sym_BQUOTE = 29,
  anon_sym_LBRACE = 30,
  anon_sym_PIPE = 31,
  anon_sym_RBRACE = 32,
  anon_sym_TILDE = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  sym__newline_token = 36,
  sym_uri_autolink = 37,
  sym_email_autolink = 38,
  sym__attribute_name = 39,
  aux_sym__attribute_value_token1 = 40,
  anon_sym_LT_BANG_DASH_DASH = 41,
  anon_sym_DASH_DASH_GT = 42,
  anon_sym_LT_QMARK = 43,
  anon_sym_QMARK_GT = 44,
  aux_sym__declaration_token1 = 45,
  anon_sym_LT_BANG_LBRACKCDATA_LBRACK = 46,
  anon_sym_RBRACK_RBRACK_GT = 47,
  sym__whitespace_ge_2 = 48,
  aux_sym__whitespace_token1 = 49,
  sym__word_no_digit = 50,
  sym__digits = 51,
  sym__error = 52,
  sym__trigger_error = 53,
  sym__code_span_start = 54,
  sym__code_span_close = 55,
  sym__emphasis_open_star = 56,
  sym__emphasis_open_underscore = 57,
  sym__emphasis_close_star = 58,
  sym__emphasis_close_underscore = 59,
  sym__last_token_whitespace = 60,
  sym__last_token_punctuation = 61,
  sym__strikethrough_open = 62,
  sym__strikethrough_close = 63,
  sym__latex_span_start = 64,
  sym__latex_span_close = 65,
  sym_inline = 66,
  sym_backslash_escape = 67,
  sym_link_label = 68,
  sym_link_destination = 69,
  sym__link_destination_parenthesis = 70,
  sym__text_no_angle = 71,
  sym_link_title = 72,
  sym_code_span = 73,
  sym_latex_block = 74,
  sym__link_text = 75,
  sym__link_text_non_empty = 76,
  sym_shortcut_link = 77,
  sym_full_reference_link = 78,
  sym_collapsed_reference_link = 79,
  sym_inline_link = 80,
  sym_image = 81,
  sym__image_inline_link = 82,
  sym__image_shortcut_link = 83,
  sym__image_full_reference_link = 84,
  sym__image_collapsed_reference_link = 85,
  sym__image_description = 86,
  sym__image_description_non_empty = 87,
  sym__html_tag = 88,
  sym__open_tag = 89,
  sym__closing_tag = 90,
  sym__tag_name = 91,
  sym__attribute = 92,
  sym__attribute_value = 93,
  sym__html_comment = 94,
  sym__processing_instruction = 95,
  sym__declaration = 96,
  sym__cdata_section = 97,
  sym_hard_line_break = 98,
  sym__whitespace = 99,
  sym__word = 100,
  sym__soft_line_break = 101,
  sym__inline_base = 102,
  sym__text_base = 103,
  sym__text_inline_no_link = 104,
  sym__inline_element = 105,
  aux_sym__inline = 106,
  sym__inline_element_no_star = 107,
  aux_sym__inline_no_star = 108,
  sym__inline_element_no_underscore = 109,
  aux_sym__inline_no_underscore = 110,
  sym__inline_element_no_tilde = 111,
  aux_sym__inline_no_tilde = 112,
  sym__strikethrough = 113,
  sym__emphasis_star = 114,
  sym__strong_emphasis_star = 115,
  sym__emphasis_underscore = 116,
  sym__strong_emphasis_underscore = 117,
  sym__inline_element_no_link = 118,
  aux_sym__inline_no_link = 119,
  sym__inline_element_no_star_no_link = 120,
  aux_sym__inline_no_star_no_link = 121,
  sym__inline_element_no_underscore_no_link = 122,
  aux_sym__inline_no_underscore_no_link = 123,
  sym__inline_element_no_tilde_no_link = 124,
  aux_sym__inline_no_tilde_no_link = 125,
  sym__strikethrough_no_link = 126,
  sym__emphasis_star_no_link = 127,
  sym__strong_emphasis_star_no_link = 128,
  sym__emphasis_underscore_no_link = 129,
  sym__strong_emphasis_underscore_no_link = 130,
  aux_sym_link_label_repeat1 = 131,
  aux_sym_link_destination_repeat1 = 132,
  aux_sym_link_destination_repeat2 = 133,
  aux_sym_link_title_repeat1 = 134,
  aux_sym_link_title_repeat2 = 135,
  aux_sym_link_title_repeat3 = 136,
  aux_sym_code_span_repeat1 = 137,
  aux_sym_inline_link_repeat1 = 138,
  aux_sym__open_tag_repeat1 = 139,
  aux_sym__tag_name_repeat1 = 140,
  aux_sym__attribute_value_repeat1 = 141,
  aux_sym__attribute_value_repeat2 = 142,
  aux_sym__html_comment_repeat1 = 143,
  aux_sym__processing_instruction_repeat1 = 144,
  aux_sym__declaration_repeat1 = 145,
  aux_sym__inline_base_repeat1 = 146,
  alias_sym_emphasis = 147,
  alias_sym_html_tag = 148,
  alias_sym_image_description = 149,
  alias_sym_link_text = 150,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__backslash_escape] = "_backslash_escape",
  [sym_entity_reference] = "entity_reference",
  [sym_numeric_character_reference] = "numeric_character_reference",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PERCENT] = "%",
  [anon_sym_AMP] = "&",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_STAR] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_EQ] = "=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AT] = "@",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LBRACE] = "{",
  [anon_sym_PIPE] = "|",
  [anon_sym_RBRACE] = "}",
  [anon_sym_TILDE] = "~",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym__newline_token] = "_newline_token",
  [sym_uri_autolink] = "uri_autolink",
  [sym_email_autolink] = "email_autolink",
  [sym__attribute_name] = "_attribute_name",
  [aux_sym__attribute_value_token1] = "_attribute_value_token1",
  [anon_sym_LT_BANG_DASH_DASH] = "<!--",
  [anon_sym_DASH_DASH_GT] = "-->",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym__declaration_token1] = "_declaration_token1",
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = "<![CDATA[",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [sym__whitespace_ge_2] = "_whitespace_ge_2",
  [aux_sym__whitespace_token1] = "_whitespace_token1",
  [sym__word_no_digit] = "_word_no_digit",
  [sym__digits] = "_digits",
  [sym__error] = "_error",
  [sym__trigger_error] = "_trigger_error",
  [sym__code_span_start] = "_code_span_start",
  [sym__code_span_close] = "code_span_delimiter",
  [sym__emphasis_open_star] = "_emphasis_open_star",
  [sym__emphasis_open_underscore] = "_emphasis_open_underscore",
  [sym__emphasis_close_star] = "emphasis_delimiter",
  [sym__emphasis_close_underscore] = "emphasis_delimiter",
  [sym__last_token_whitespace] = "_last_token_whitespace",
  [sym__last_token_punctuation] = "_last_token_punctuation",
  [sym__strikethrough_open] = "_strikethrough_open",
  [sym__strikethrough_close] = "emphasis_delimiter",
  [sym__latex_span_start] = "_latex_span_start",
  [sym__latex_span_close] = "latex_span_delimiter",
  [sym_inline] = "inline",
  [sym_backslash_escape] = "backslash_escape",
  [sym_link_label] = "link_label",
  [sym_link_destination] = "link_destination",
  [sym__link_destination_parenthesis] = "_link_destination_parenthesis",
  [sym__text_no_angle] = "_text_no_angle",
  [sym_link_title] = "link_title",
  [sym_code_span] = "code_span",
  [sym_latex_block] = "latex_block",
  [sym__link_text] = "_link_text",
  [sym__link_text_non_empty] = "_link_text_non_empty",
  [sym_shortcut_link] = "shortcut_link",
  [sym_full_reference_link] = "full_reference_link",
  [sym_collapsed_reference_link] = "collapsed_reference_link",
  [sym_inline_link] = "inline_link",
  [sym_image] = "image",
  [sym__image_inline_link] = "_image_inline_link",
  [sym__image_shortcut_link] = "_image_shortcut_link",
  [sym__image_full_reference_link] = "_image_full_reference_link",
  [sym__image_collapsed_reference_link] = "_image_collapsed_reference_link",
  [sym__image_description] = "_image_description",
  [sym__image_description_non_empty] = "_image_description_non_empty",
  [sym__html_tag] = "_html_tag",
  [sym__open_tag] = "_open_tag",
  [sym__closing_tag] = "_closing_tag",
  [sym__tag_name] = "_tag_name",
  [sym__attribute] = "_attribute",
  [sym__attribute_value] = "_attribute_value",
  [sym__html_comment] = "_html_comment",
  [sym__processing_instruction] = "_processing_instruction",
  [sym__declaration] = "_declaration",
  [sym__cdata_section] = "_cdata_section",
  [sym_hard_line_break] = "hard_line_break",
  [sym__whitespace] = "_whitespace",
  [sym__word] = "_word",
  [sym__soft_line_break] = "_soft_line_break",
  [sym__inline_base] = "_inline_base",
  [sym__text_base] = "_text_base",
  [sym__text_inline_no_link] = "_text_inline_no_link",
  [sym__inline_element] = "_inline_element",
  [aux_sym__inline] = "_inline",
  [sym__inline_element_no_star] = "_inline_element_no_star",
  [aux_sym__inline_no_star] = "_inline_no_star",
  [sym__inline_element_no_underscore] = "_inline_element_no_underscore",
  [aux_sym__inline_no_underscore] = "_inline_no_underscore",
  [sym__inline_element_no_tilde] = "_inline_element_no_tilde",
  [aux_sym__inline_no_tilde] = "_inline_no_tilde",
  [sym__strikethrough] = "strikethrough",
  [sym__emphasis_star] = "_emphasis_star",
  [sym__strong_emphasis_star] = "strong_emphasis",
  [sym__emphasis_underscore] = "_emphasis_underscore",
  [sym__strong_emphasis_underscore] = "strong_emphasis",
  [sym__inline_element_no_link] = "_inline_element_no_link",
  [aux_sym__inline_no_link] = "_inline_no_link",
  [sym__inline_element_no_star_no_link] = "_inline_element_no_star_no_link",
  [aux_sym__inline_no_star_no_link] = "_inline_no_star_no_link",
  [sym__inline_element_no_underscore_no_link] = "_inline_element_no_underscore_no_link",
  [aux_sym__inline_no_underscore_no_link] = "_inline_no_underscore_no_link",
  [sym__inline_element_no_tilde_no_link] = "_inline_element_no_tilde_no_link",
  [aux_sym__inline_no_tilde_no_link] = "_inline_no_tilde_no_link",
  [sym__strikethrough_no_link] = "strikethrough",
  [sym__emphasis_star_no_link] = "_emphasis_star_no_link",
  [sym__strong_emphasis_star_no_link] = "strong_emphasis",
  [sym__emphasis_underscore_no_link] = "_emphasis_underscore_no_link",
  [sym__strong_emphasis_underscore_no_link] = "strong_emphasis",
  [aux_sym_link_label_repeat1] = "link_label_repeat1",
  [aux_sym_link_destination_repeat1] = "link_destination_repeat1",
  [aux_sym_link_destination_repeat2] = "link_destination_repeat2",
  [aux_sym_link_title_repeat1] = "link_title_repeat1",
  [aux_sym_link_title_repeat2] = "link_title_repeat2",
  [aux_sym_link_title_repeat3] = "link_title_repeat3",
  [aux_sym_code_span_repeat1] = "code_span_repeat1",
  [aux_sym_inline_link_repeat1] = "inline_link_repeat1",
  [aux_sym__open_tag_repeat1] = "_open_tag_repeat1",
  [aux_sym__tag_name_repeat1] = "_tag_name_repeat1",
  [aux_sym__attribute_value_repeat1] = "_attribute_value_repeat1",
  [aux_sym__attribute_value_repeat2] = "_attribute_value_repeat2",
  [aux_sym__html_comment_repeat1] = "_html_comment_repeat1",
  [aux_sym__processing_instruction_repeat1] = "_processing_instruction_repeat1",
  [aux_sym__declaration_repeat1] = "_declaration_repeat1",
  [aux_sym__inline_base_repeat1] = "_inline_base_repeat1",
  [alias_sym_emphasis] = "emphasis",
  [alias_sym_html_tag] = "html_tag",
  [alias_sym_image_description] = "image_description",
  [alias_sym_link_text] = "link_text",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__backslash_escape] = sym__backslash_escape,
  [sym_entity_reference] = sym_entity_reference,
  [sym_numeric_character_reference] = sym_numeric_character_reference,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym__newline_token] = sym__newline_token,
  [sym_uri_autolink] = sym_uri_autolink,
  [sym_email_autolink] = sym_email_autolink,
  [sym__attribute_name] = sym__attribute_name,
  [aux_sym__attribute_value_token1] = aux_sym__attribute_value_token1,
  [anon_sym_LT_BANG_DASH_DASH] = anon_sym_LT_BANG_DASH_DASH,
  [anon_sym_DASH_DASH_GT] = anon_sym_DASH_DASH_GT,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym__declaration_token1] = aux_sym__declaration_token1,
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [sym__whitespace_ge_2] = sym__whitespace_ge_2,
  [aux_sym__whitespace_token1] = aux_sym__whitespace_token1,
  [sym__word_no_digit] = sym__word_no_digit,
  [sym__digits] = sym__digits,
  [sym__error] = sym__error,
  [sym__trigger_error] = sym__trigger_error,
  [sym__code_span_start] = sym__code_span_start,
  [sym__code_span_close] = sym__code_span_close,
  [sym__emphasis_open_star] = sym__emphasis_open_star,
  [sym__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [sym__emphasis_close_star] = sym__emphasis_close_star,
  [sym__emphasis_close_underscore] = sym__emphasis_close_star,
  [sym__last_token_whitespace] = sym__last_token_whitespace,
  [sym__last_token_punctuation] = sym__last_token_punctuation,
  [sym__strikethrough_open] = sym__strikethrough_open,
  [sym__strikethrough_close] = sym__emphasis_close_star,
  [sym__latex_span_start] = sym__latex_span_start,
  [sym__latex_span_close] = sym__latex_span_close,
  [sym_inline] = sym_inline,
  [sym_backslash_escape] = sym_backslash_escape,
  [sym_link_label] = sym_link_label,
  [sym_link_destination] = sym_link_destination,
  [sym__link_destination_parenthesis] = sym__link_destination_parenthesis,
  [sym__text_no_angle] = sym__text_no_angle,
  [sym_link_title] = sym_link_title,
  [sym_code_span] = sym_code_span,
  [sym_latex_block] = sym_latex_block,
  [sym__link_text] = sym__link_text,
  [sym__link_text_non_empty] = sym__link_text_non_empty,
  [sym_shortcut_link] = sym_shortcut_link,
  [sym_full_reference_link] = sym_full_reference_link,
  [sym_collapsed_reference_link] = sym_collapsed_reference_link,
  [sym_inline_link] = sym_inline_link,
  [sym_image] = sym_image,
  [sym__image_inline_link] = sym__image_inline_link,
  [sym__image_shortcut_link] = sym__image_shortcut_link,
  [sym__image_full_reference_link] = sym__image_full_reference_link,
  [sym__image_collapsed_reference_link] = sym__image_collapsed_reference_link,
  [sym__image_description] = sym__image_description,
  [sym__image_description_non_empty] = sym__image_description_non_empty,
  [sym__html_tag] = sym__html_tag,
  [sym__open_tag] = sym__open_tag,
  [sym__closing_tag] = sym__closing_tag,
  [sym__tag_name] = sym__tag_name,
  [sym__attribute] = sym__attribute,
  [sym__attribute_value] = sym__attribute_value,
  [sym__html_comment] = sym__html_comment,
  [sym__processing_instruction] = sym__processing_instruction,
  [sym__declaration] = sym__declaration,
  [sym__cdata_section] = sym__cdata_section,
  [sym_hard_line_break] = sym_hard_line_break,
  [sym__whitespace] = sym__whitespace,
  [sym__word] = sym__word,
  [sym__soft_line_break] = sym__soft_line_break,
  [sym__inline_base] = sym__inline_base,
  [sym__text_base] = sym__text_base,
  [sym__text_inline_no_link] = sym__text_inline_no_link,
  [sym__inline_element] = sym__inline_element,
  [aux_sym__inline] = aux_sym__inline,
  [sym__inline_element_no_star] = sym__inline_element_no_star,
  [aux_sym__inline_no_star] = aux_sym__inline_no_star,
  [sym__inline_element_no_underscore] = sym__inline_element_no_underscore,
  [aux_sym__inline_no_underscore] = aux_sym__inline_no_underscore,
  [sym__inline_element_no_tilde] = sym__inline_element_no_tilde,
  [aux_sym__inline_no_tilde] = aux_sym__inline_no_tilde,
  [sym__strikethrough] = sym__strikethrough,
  [sym__emphasis_star] = sym__emphasis_star,
  [sym__strong_emphasis_star] = sym__strong_emphasis_star,
  [sym__emphasis_underscore] = sym__emphasis_underscore,
  [sym__strong_emphasis_underscore] = sym__strong_emphasis_star,
  [sym__inline_element_no_link] = sym__inline_element_no_link,
  [aux_sym__inline_no_link] = aux_sym__inline_no_link,
  [sym__inline_element_no_star_no_link] = sym__inline_element_no_star_no_link,
  [aux_sym__inline_no_star_no_link] = aux_sym__inline_no_star_no_link,
  [sym__inline_element_no_underscore_no_link] = sym__inline_element_no_underscore_no_link,
  [aux_sym__inline_no_underscore_no_link] = aux_sym__inline_no_underscore_no_link,
  [sym__inline_element_no_tilde_no_link] = sym__inline_element_no_tilde_no_link,
  [aux_sym__inline_no_tilde_no_link] = aux_sym__inline_no_tilde_no_link,
  [sym__strikethrough_no_link] = sym__strikethrough,
  [sym__emphasis_star_no_link] = sym__emphasis_star_no_link,
  [sym__strong_emphasis_star_no_link] = sym__strong_emphasis_star,
  [sym__emphasis_underscore_no_link] = sym__emphasis_underscore_no_link,
  [sym__strong_emphasis_underscore_no_link] = sym__strong_emphasis_star,
  [aux_sym_link_label_repeat1] = aux_sym_link_label_repeat1,
  [aux_sym_link_destination_repeat1] = aux_sym_link_destination_repeat1,
  [aux_sym_link_destination_repeat2] = aux_sym_link_destination_repeat2,
  [aux_sym_link_title_repeat1] = aux_sym_link_title_repeat1,
  [aux_sym_link_title_repeat2] = aux_sym_link_title_repeat2,
  [aux_sym_link_title_repeat3] = aux_sym_link_title_repeat3,
  [aux_sym_code_span_repeat1] = aux_sym_code_span_repeat1,
  [aux_sym_inline_link_repeat1] = aux_sym_inline_link_repeat1,
  [aux_sym__open_tag_repeat1] = aux_sym__open_tag_repeat1,
  [aux_sym__tag_name_repeat1] = aux_sym__tag_name_repeat1,
  [aux_sym__attribute_value_repeat1] = aux_sym__attribute_value_repeat1,
  [aux_sym__attribute_value_repeat2] = aux_sym__attribute_value_repeat2,
  [aux_sym__html_comment_repeat1] = aux_sym__html_comment_repeat1,
  [aux_sym__processing_instruction_repeat1] = aux_sym__processing_instruction_repeat1,
  [aux_sym__declaration_repeat1] = aux_sym__declaration_repeat1,
  [aux_sym__inline_base_repeat1] = aux_sym__inline_base_repeat1,
  [alias_sym_emphasis] = alias_sym_emphasis,
  [alias_sym_html_tag] = alias_sym_html_tag,
  [alias_sym_image_description] = alias_sym_image_description,
  [alias_sym_link_text] = alias_sym_link_text,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash_escape] = {
    .visible = false,
    .named = true,
  },
  [sym_entity_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym__newline_token] = {
    .visible = false,
    .named = true,
  },
  [sym_uri_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym_email_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_name] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__attribute_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__declaration_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__whitespace_ge_2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__whitespace_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__word_no_digit] = {
    .visible = false,
    .named = true,
  },
  [sym__digits] = {
    .visible = false,
    .named = true,
  },
  [sym__error] = {
    .visible = false,
    .named = true,
  },
  [sym__trigger_error] = {
    .visible = false,
    .named = true,
  },
  [sym__code_span_start] = {
    .visible = false,
    .named = true,
  },
  [sym__code_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_open_star] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_open_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_close_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_close_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__last_token_whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__last_token_punctuation] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_open] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_close] = {
    .visible = true,
    .named = true,
  },
  [sym__latex_span_start] = {
    .visible = false,
    .named = true,
  },
  [sym__latex_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym_inline] = {
    .visible = true,
    .named = true,
  },
  [sym_backslash_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_link_label] = {
    .visible = true,
    .named = true,
  },
  [sym_link_destination] = {
    .visible = true,
    .named = true,
  },
  [sym__link_destination_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__text_no_angle] = {
    .visible = false,
    .named = true,
  },
  [sym_link_title] = {
    .visible = true,
    .named = true,
  },
  [sym_code_span] = {
    .visible = true,
    .named = true,
  },
  [sym_latex_block] = {
    .visible = true,
    .named = true,
  },
  [sym__link_text] = {
    .visible = false,
    .named = true,
  },
  [sym__link_text_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym_shortcut_link] = {
    .visible = true,
    .named = true,
  },
  [sym_full_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_collapsed_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_link] = {
    .visible = true,
    .named = true,
  },
  [sym_image] = {
    .visible = true,
    .named = true,
  },
  [sym__image_inline_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_shortcut_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_full_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_collapsed_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym__html_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__open_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__closing_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__tag_name] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value] = {
    .visible = false,
    .named = true,
  },
  [sym__html_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__processing_instruction] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__cdata_section] = {
    .visible = false,
    .named = true,
  },
  [sym_hard_line_break] = {
    .visible = true,
    .named = true,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__word] = {
    .visible = false,
    .named = true,
  },
  [sym__soft_line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_inline_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_element] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_element_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore_no_link] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_link_label_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_code_span_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inline_link_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__open_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tag_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__processing_instruction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_base_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_emphasis] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_tag] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_image_description] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_link_text] = {
    .visible = true,
    .named = true,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_html_tag,
  },
  [2] = {
    [0] = alias_sym_emphasis,
  },
  [3] = {
    [0] = sym__code_span_close,
  },
  [4] = {
    [0] = sym__latex_span_close,
  },
  [5] = {
    [0] = sym__emphasis_close_star,
  },
  [6] = {
    [1] = alias_sym_link_text,
  },
  [7] = {
    [2] = alias_sym_image_description,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__html_tag, 2,
    sym__html_tag,
    alias_sym_html_tag,
  aux_sym__inline, 2,
    aux_sym__inline,
    alias_sym_image_description,
  sym__emphasis_star, 2,
    sym__emphasis_star,
    alias_sym_emphasis,
  sym__emphasis_underscore, 2,
    sym__emphasis_underscore,
    alias_sym_emphasis,
  aux_sym__inline_no_link, 2,
    aux_sym__inline_no_link,
    alias_sym_link_text,
  sym__emphasis_star_no_link, 2,
    sym__emphasis_star_no_link,
    alias_sym_emphasis,
  sym__emphasis_underscore_no_link, 2,
    sym__emphasis_underscore_no_link,
    alias_sym_emphasis,
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(2178);
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2201);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2186);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2208);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2184);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 1:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2187);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0 &&
          lookahead != '[') ADVANCE(2240);
      END_STATE();
    case 2:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2185);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 3:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2201);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2187);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 4:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2201);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2185);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 5:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2187);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2208);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 6:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2187);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2184);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 7:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2187);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 8:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2185);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2208);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 9:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2185);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2184);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 10:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2194);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2185);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2210);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 11:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2226);
      END_STATE();
    case 12:
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2225);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '[') ADVANCE(424);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2233);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(2228);
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '[') ADVANCE(424);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2234);
      END_STATE();
    case 17:
      if (lookahead == '-') ADVANCE(2227);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(2173);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 19:
      if (lookahead == '-') ADVANCE(2173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 20:
      if (lookahead == '-') ADVANCE(23);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 21:
      if (lookahead == '-') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == '-') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(21);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '-') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 34:
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 35:
      if (lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 37:
      if (lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 39:
      if (lookahead == '-') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 40:
      if (lookahead == '-') ADVANCE(43);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 41:
      if (lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 42:
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 43:
      if (lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(47);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 45:
      if (lookahead == '-') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 46:
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 47:
      if (lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == '-') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == '-') ADVANCE(45);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 51:
      if (lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 52:
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == '-') ADVANCE(49);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 55:
      if (lookahead == '-') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 56:
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 57:
      if (lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 58:
      if (lookahead == '-') ADVANCE(53);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 59:
      if (lookahead == '-') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 60:
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 61:
      if (lookahead == '-') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 63:
      if (lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 64:
      if (lookahead == '-') ADVANCE(67);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == '-') ADVANCE(61);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 67:
      if (lookahead == '-') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 68:
      if (lookahead == '-') ADVANCE(71);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == '-') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 71:
      if (lookahead == '-') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 72:
      if (lookahead == '-') ADVANCE(75);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 73:
      if (lookahead == '-') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == '-') ADVANCE(69);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 75:
      if (lookahead == '-') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 76:
      if (lookahead == '-') ADVANCE(79);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 77:
      if (lookahead == '-') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 78:
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 79:
      if (lookahead == '-') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 80:
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 81:
      if (lookahead == '-') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 83:
      if (lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 84:
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == '-') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 86:
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 87:
      if (lookahead == '-') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 88:
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 89:
      if (lookahead == '-') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 90:
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 91:
      if (lookahead == '-') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 93:
      if (lookahead == '-') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 95:
      if (lookahead == '-') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 96:
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == '-') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == '-') ADVANCE(93);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 99:
      if (lookahead == '-') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 100:
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 101:
      if (lookahead == '-') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 102:
      if (lookahead == '-') ADVANCE(97);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 103:
      if (lookahead == '-') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 104:
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 105:
      if (lookahead == '-') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == '-') ADVANCE(101);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 107:
      if (lookahead == '-') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 108:
      if (lookahead == '-') ADVANCE(111);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 109:
      if (lookahead == '-') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 111:
      if (lookahead == '-') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 112:
      if (lookahead == '-') ADVANCE(115);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 113:
      if (lookahead == '-') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == '-') ADVANCE(109);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 115:
      if (lookahead == '-') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 116:
      if (lookahead == '-') ADVANCE(119);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 117:
      if (lookahead == '-') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == '-') ADVANCE(113);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 119:
      if (lookahead == '-') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 120:
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == '-') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == '-') ADVANCE(117);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 123:
      if (lookahead == '-') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 124:
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == '-') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 126:
      if (lookahead == '-') ADVANCE(121);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 127:
      if (lookahead == '-') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 128:
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 129:
      if (lookahead == '-') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == '-') ADVANCE(125);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 131:
      if (lookahead == '-') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 132:
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 133:
      if (lookahead == '-') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 134:
      if (lookahead == '-') ADVANCE(129);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 135:
      if (lookahead == '-') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 136:
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 137:
      if (lookahead == '-') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 138:
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      END_STATE();
    case 139:
      if (lookahead == '.') ADVANCE(2172);
      if (lookahead == '>') ADVANCE(2224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      if (lookahead == '1') ADVANCE(2147);
      if (lookahead == '3') ADVANCE(143);
      END_STATE();
    case 141:
      if (lookahead == '1') ADVANCE(2162);
      if (lookahead == ';') ADVANCE(2180);
      END_STATE();
    case 142:
      if (lookahead == '1') ADVANCE(2169);
      if (lookahead == '2') ADVANCE(2148);
      if (lookahead == '3') ADVANCE(2165);
      if (lookahead == '4') ADVANCE(145);
      if (lookahead == '5') ADVANCE(2149);
      if (lookahead == '7') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == '4') ADVANCE(148);
      END_STATE();
    case 144:
      if (lookahead == '4') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(1659);
      END_STATE();
    case 145:
      if (lookahead == '5') ADVANCE(148);
      END_STATE();
    case 146:
      if (lookahead == '8') ADVANCE(148);
      END_STATE();
    case 147:
      if (lookahead == ':') ADVANCE(381);
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(383);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 148:
      if (lookahead == ';') ADVANCE(2180);
      END_STATE();
    case 149:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'A') ADVANCE(585);
      if (lookahead == 'B') ADVANCE(575);
      if (lookahead == 'E') ADVANCE(271);
      if (lookahead == 'H') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(810);
      if (lookahead == 'b') ADVANCE(576);
      if (lookahead == 'c') ADVANCE(602);
      if (lookahead == 'd') ADVANCE(794);
      if (lookahead == 'e') ADVANCE(268);
      if (lookahead == 'f') ADVANCE(1252);
      if (lookahead == 'g') ADVANCE(163);
      if (lookahead == 'h') ADVANCE(620);
      if (lookahead == 'j') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(197);
      if (lookahead == 'm') ADVANCE(1235);
      if (lookahead == 'n') ADVANCE(457);
      if (lookahead == 'o') ADVANCE(546);
      if (lookahead == 'p') ADVANCE(624);
      if (lookahead == 'r') ADVANCE(579);
      if (lookahead == 's') ADVANCE(526);
      if (lookahead == 't') ADVANCE(223);
      if (lookahead == 'u') ADVANCE(1769);
      if (lookahead == 'v') ADVANCE(1062);
      END_STATE();
    case 150:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1753);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'q') ADVANCE(2070);
      if (lookahead == 's') ADVANCE(967);
      if (lookahead == 'x') ADVANCE(1294);
      END_STATE();
    case 151:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'A') ADVANCE(1872);
      END_STATE();
    case 152:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 153:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      END_STATE();
    case 154:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'D') ADVANCE(1643);
      END_STATE();
    case 155:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'E') ADVANCE(1731);
      END_STATE();
    case 156:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(1065);
      END_STATE();
    case 157:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'R') ADVANCE(1316);
      END_STATE();
    case 158:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'U') ADVANCE(1687);
      END_STATE();
    case 159:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'C') ADVANCE(1654);
      if (lookahead == 'D') ADVANCE(1628);
      if (lookahead == 'E') ADVANCE(1363);
      if (lookahead == 'G') ADVANCE(1888);
      if (lookahead == 'H') ADVANCE(2081);
      if (lookahead == 'L') ADVANCE(1037);
      if (lookahead == 'N') ADVANCE(1004);
      if (lookahead == 'P') ADVANCE(1849);
      if (lookahead == 'R') ADVANCE(1038);
      if (lookahead == 'S') ADVANCE(1732);
      if (lookahead == 'T') ADVANCE(1241);
      if (lookahead == 'V') ADVANCE(1077);
      END_STATE();
    case 160:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'C') ADVANCE(564);
      END_STATE();
    case 161:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'D') ADVANCE(1589);
      if (lookahead == 'E') ADVANCE(1731);
      END_STATE();
    case 162:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'D') ADVANCE(438);
      END_STATE();
    case 163:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 164:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'c') ADVANCE(2059);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(1490);
      if (lookahead == 'n') ADVANCE(456);
      if (lookahead == 'o') ADVANCE(873);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 'u') ADVANCE(1800);
      END_STATE();
    case 165:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(233);
      if (lookahead == 'm') ADVANCE(2066);
      if (lookahead == 'n') ADVANCE(2150);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 'r') ADVANCE(575);
      if (lookahead == 's') ADVANCE(1017);
      END_STATE();
    case 166:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'v') ADVANCE(2166);
      END_STATE();
    case 167:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 168:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(872);
      if (lookahead == 'o') ADVANCE(1894);
      if (lookahead == 'p') ADVANCE(1820);
      END_STATE();
    case 169:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(287);
      if (lookahead == 'a') ADVANCE(812);
      if (lookahead == 'b') ADVANCE(1740);
      if (lookahead == 'c') ADVANCE(1282);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(288);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(271);
      if (lookahead == 'i') ADVANCE(1475);
      if (lookahead == 'j') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(363);
      if (lookahead == 'n') ADVANCE(457);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'r') ADVANCE(529);
      if (lookahead == 's') ADVANCE(780);
      if (lookahead == 't') ADVANCE(224);
      if (lookahead == 'v') ADVANCE(1062);
      END_STATE();
    case 170:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      END_STATE();
    case 171:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      if (lookahead == 'F') ADVANCE(2088);
      if (lookahead == 'G') ADVANCE(1881);
      if (lookahead == 'L') ADVANCE(963);
      if (lookahead == 'S') ADVANCE(1449);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 172:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      if (lookahead == 'F') ADVANCE(2088);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 173:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      if (lookahead == 'G') ADVANCE(1881);
      if (lookahead == 'L') ADVANCE(963);
      if (lookahead == 'S') ADVANCE(1449);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 174:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      if (lookahead == 'S') ADVANCE(1449);
      END_STATE();
    case 175:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E') ADVANCE(1731);
      if (lookahead == 'S') ADVANCE(1449);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 176:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 177:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'H') ADVANCE(148);
      END_STATE();
    case 178:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'I') ADVANCE(1571);
      if (lookahead == 'S') ADVANCE(2052);
      if (lookahead == 'U') ADVANCE(1552);
      END_STATE();
    case 179:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'J') ADVANCE(745);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'c') ADVANCE(604);
      if (lookahead == 'e') ADVANCE(1094);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(248);
      if (lookahead == 'm') ADVANCE(1234);
      if (lookahead == 'o') ADVANCE(1519);
      if (lookahead == 's') ADVANCE(777);
      END_STATE();
    case 180:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'J') ADVANCE(745);
      if (lookahead == 'T' ||
          lookahead == 'g' ||
          lookahead == 't') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1491);
      if (lookahead == 'b') ADVANCE(1740);
      if (lookahead == 'c') ADVANCE(971);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'r') ADVANCE(989);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 181:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'L') ADVANCE(963);
      END_STATE();
    case 182:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'N') ADVANCE(148);
      END_STATE();
    case 183:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'P') ADVANCE(148);
      END_STATE();
    case 184:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'P') ADVANCE(1439);
      END_STATE();
    case 185:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'T') ADVANCE(148);
      END_STATE();
    case 186:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 187:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'Y') ADVANCE(148);
      END_STATE();
    case 188:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(775);
      if (lookahead == 'p') ADVANCE(1405);
      END_STATE();
    case 189:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1126);
      if (lookahead == 'o') ADVANCE(2004);
      END_STATE();
    case 190:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(2170);
      END_STATE();
    case 191:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 192:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1741);
      END_STATE();
    case 193:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(783);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 194:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(293);
      if (lookahead == 's') ADVANCE(1247);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 195:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'b') ADVANCE(267);
      if (lookahead == 'c' ||
          lookahead == 'w') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'h') ADVANCE(1330);
      if (lookahead == 'l') ADVANCE(1668);
      if (lookahead == 'p') ADVANCE(1349);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 't') ADVANCE(1349);
      END_STATE();
    case 196:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(841);
      if (lookahead == 'b' ||
          lookahead == 'e') ADVANCE(148);
      if (lookahead == 'c') ADVANCE(1224);
      if (lookahead == 'd') ADVANCE(2160);
      if (lookahead == 'm') ADVANCE(297);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 't') ADVANCE(2112);
      END_STATE();
    case 197:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'c') ADVANCE(1640);
      if (lookahead == 'h') ADVANCE(639);
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 198:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'd') ADVANCE(263);
      if (lookahead == 'i') ADVANCE(1128);
      if (lookahead == 'o') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(1404);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 199:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1894);
      END_STATE();
    case 200:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1905);
      if (lookahead == 'c') ADVANCE(1224);
      if (lookahead == 'd') ADVANCE(1596);
      END_STATE();
    case 201:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1349);
      END_STATE();
    case 202:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'e') ADVANCE(912);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 203:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1354);
      if (lookahead == 'c') ADVANCE(1949);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 204:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1494);
      if (lookahead == 'b') ADVANCE(1863);
      if (lookahead == 'c') ADVANCE(568);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 205:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1494);
      if (lookahead == 'd' ||
          lookahead == 'v') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1404);
      END_STATE();
    case 206:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(834);
      END_STATE();
    case 207:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1789);
      if (lookahead == 'c') ADVANCE(1181);
      if (lookahead == 'o') ADVANCE(1828);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 208:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1373);
      END_STATE();
    case 209:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1757);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 210:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1703);
      if (lookahead == 'c') ADVANCE(2079);
      if (lookahead == 'e') ADVANCE(1723);
      if (lookahead == 'n') ADVANCE(661);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 211:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1254);
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 212:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a') ADVANCE(1448);
      if (lookahead == 's') ADVANCE(1349);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 213:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(1589);
      if (lookahead == 'c') ADVANCE(1224);
      if (lookahead == 'f') ADVANCE(306);
      END_STATE();
    case 214:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 215:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'h') ADVANCE(1941);
      END_STATE();
    case 216:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(192);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(192);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 218:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(1894);
      if (lookahead == 'h') ADVANCE(1330);
      if (lookahead == 'l') ADVANCE(1668);
      if (lookahead == 'p') ADVANCE(1349);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 't') ADVANCE(1349);
      END_STATE();
    case 219:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 'e') ADVANCE(1723);
      END_STATE();
    case 220:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b') ADVANCE(1816);
      if (lookahead == 'c') ADVANCE(568);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'o') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 221:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 222:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 223:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(754);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'h') ADVANCE(1790);
      if (lookahead == 'i') ADVANCE(1488);
      if (lookahead == 'l') ADVANCE(575);
      if (lookahead == 'q') ADVANCE(2071);
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 224:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(754);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'l') ADVANCE(497);
      if (lookahead == 'q') ADVANCE(2071);
      if (lookahead == 'r') ADVANCE(563);
      END_STATE();
    case 225:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(250);
      END_STATE();
    case 226:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(1633);
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 227:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(753);
      if (lookahead == 'd') ADVANCE(1634);
      if (lookahead == 'g') ADVANCE(258);
      if (lookahead == 's') ADVANCE(660);
      END_STATE();
    case 228:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(591);
      if (lookahead == 'e') ADVANCE(1159);
      if (lookahead == 'l') ADVANCE(646);
      if (lookahead == 'p') ADVANCE(1801);
      END_STATE();
    case 229:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(1224);
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 230:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(2059);
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 231:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(2059);
      if (lookahead == 'e' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 232:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c') ADVANCE(681);
      if (lookahead == 'f') ADVANCE(1269);
      if (lookahead == 'o') ADVANCE(867);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 233:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1589);
      END_STATE();
    case 234:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(313);
      if (lookahead == 'g') ADVANCE(163);
      if (lookahead == 'l') ADVANCE(163);
      if (lookahead == 'n') ADVANCE(917);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 'r') ADVANCE(575);
      END_STATE();
    case 235:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 236:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(917);
      END_STATE();
    case 237:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1582);
      if (lookahead == 'l') ADVANCE(977);
      if (lookahead == 'r') ADVANCE(1277);
      END_STATE();
    case 238:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1582);
      if (lookahead == 'l') ADVANCE(977);
      if (lookahead == 'u') ADVANCE(1668);
      END_STATE();
    case 239:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1582);
      if (lookahead == 'l') ADVANCE(1070);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1320);
      END_STATE();
    case 240:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1254);
      END_STATE();
    case 241:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 242:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(917);
      if (lookahead == 'm') ADVANCE(1924);
      if (lookahead == 'r') ADVANCE(1978);
      if (lookahead == 's') ADVANCE(1691);
      if (lookahead == 'z') ADVANCE(575);
      END_STATE();
    case 243:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1005);
      END_STATE();
    case 244:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1741);
      END_STATE();
    case 245:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1724);
      if (lookahead == 'm') ADVANCE(1306);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 's') ADVANCE(1738);
      END_STATE();
    case 246:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1949);
      END_STATE();
    case 247:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1152);
      END_STATE();
    case 248:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1097);
      END_STATE();
    case 249:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 250:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1723);
      END_STATE();
    case 251:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1723);
      if (lookahead == 'l') ADVANCE(937);
      END_STATE();
    case 252:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 253:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(843);
      if (lookahead == 'i') ADVANCE(1478);
      if (lookahead == 'o') ADVANCE(896);
      END_STATE();
    case 254:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 255:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 256:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1728);
      if (lookahead == 'n') ADVANCE(982);
      END_STATE();
    case 257:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(590);
      END_STATE();
    case 258:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1894);
      END_STATE();
    case 259:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1925);
      END_STATE();
    case 260:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1549);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 261:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1826);
      if (lookahead == 's') ADVANCE(952);
      END_STATE();
    case 262:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1782);
      if (lookahead == 's') ADVANCE(1668);
      END_STATE();
    case 263:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1792);
      if (lookahead == 'f' ||
          lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 264:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e') ADVANCE(1781);
      END_STATE();
    case 265:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 266:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1578);
      if (lookahead == 'y') ADVANCE(323);
      END_STATE();
    case 267:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(1894);
      END_STATE();
    case 268:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(1954);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(314);
      if (lookahead == 's') ADVANCE(227);
      END_STATE();
    case 269:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(1495);
      if (lookahead == 'l') ADVANCE(938);
      END_STATE();
    case 270:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f') ADVANCE(1979);
      if (lookahead == 'q') ADVANCE(314);
      if (lookahead == 's') ADVANCE(322);
      END_STATE();
    case 271:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 272:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1970);
      if (lookahead == 'm') ADVANCE(1702);
      END_STATE();
    case 273:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'g') ADVANCE(1949);
      END_STATE();
    case 274:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'g') ADVANCE(917);
      END_STATE();
    case 275:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 276:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1620);
      END_STATE();
    case 277:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'h') ADVANCE(1579);
      END_STATE();
    case 278:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1227);
      if (lookahead == 'n') ADVANCE(1109);
      if (lookahead == 'o') ADVANCE(1970);
      END_STATE();
    case 279:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(891);
      if (lookahead == 'o') ADVANCE(1511);
      END_STATE();
    case 280:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1771);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 281:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1529);
      if (lookahead == 'p') ADVANCE(643);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 282:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(2008);
      END_STATE();
    case 283:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(856);
      END_STATE();
    case 284:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1503);
      if (lookahead == 'n') ADVANCE(1237);
      END_STATE();
    case 285:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1431);
      END_STATE();
    case 286:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'i') ADVANCE(1568);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 's') ADVANCE(233);
      END_STATE();
    case 287:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 288:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(314);
      if (lookahead == 's') ADVANCE(226);
      END_STATE();
    case 289:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(1949);
      END_STATE();
    case 290:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(1620);
      END_STATE();
    case 291:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(1620);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 292:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(2011);
      if (lookahead == 'm') ADVANCE(564);
      END_STATE();
    case 293:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'l') ADVANCE(1390);
      END_STATE();
    case 294:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 295:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'm') ADVANCE(262);
      END_STATE();
    case 296:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'm') ADVANCE(597);
      END_STATE();
    case 297:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 298:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 299:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 300:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 301:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 302:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(1087);
      END_STATE();
    case 303:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(2117);
      END_STATE();
    case 304:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(2107);
      END_STATE();
    case 305:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(841);
      END_STATE();
    case 306:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(1795);
      END_STATE();
    case 307:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(2024);
      END_STATE();
    case 308:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(1534);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 309:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'o') ADVANCE(1559);
      END_STATE();
    case 310:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 311:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 312:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'p') ADVANCE(1820);
      END_STATE();
    case 313:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 314:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1434);
      END_STATE();
    case 315:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'q') ADVANCE(314);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 316:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'q') ADVANCE(313);
      END_STATE();
    case 317:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'q') ADVANCE(2070);
      END_STATE();
    case 318:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 319:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'r') ADVANCE(556);
      if (lookahead == 's') ADVANCE(233);
      END_STATE();
    case 320:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'r') ADVANCE(1262);
      END_STATE();
    case 321:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'r') ADVANCE(1240);
      END_STATE();
    case 322:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 323:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(1741);
      END_STATE();
    case 324:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(235);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 325:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 326:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(2139);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 327:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(1454);
      END_STATE();
    case 328:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(1349);
      END_STATE();
    case 329:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(2012);
      END_STATE();
    case 330:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(952);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 331:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(1007);
      END_STATE();
    case 332:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 's') ADVANCE(2074);
      END_STATE();
    case 333:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 334:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 335:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(1579);
      END_STATE();
    case 336:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 337:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(725);
      END_STATE();
    case 338:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(1349);
      END_STATE();
    case 339:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(823);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 340:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(670);
      END_STATE();
    case 341:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(1603);
      END_STATE();
    case 342:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 't') ADVANCE(1262);
      END_STATE();
    case 343:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 344:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'u') ADVANCE(1232);
      END_STATE();
    case 345:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 346:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'v') ADVANCE(2166);
      END_STATE();
    case 347:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'v') ADVANCE(714);
      END_STATE();
    case 348:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'v') ADVANCE(1019);
      END_STATE();
    case 349:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(841);
      if (lookahead == 'i') ADVANCE(872);
      if (lookahead == 'o') ADVANCE(1894);
      if (lookahead == 'p') ADVANCE(1814);
      END_STATE();
    case 350:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      if (lookahead == 'c') ADVANCE(251);
      if (lookahead == 'f') ADVANCE(1557);
      if (lookahead == 'm') ADVANCE(1213);
      if (lookahead == 's') ADVANCE(841);
      END_STATE();
    case 351:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1020);
      END_STATE();
    case 352:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'v') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 's') ADVANCE(345);
      END_STATE();
    case 353:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'y') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1669);
      if (lookahead == 'c') ADVANCE(2059);
      if (lookahead == 'e') ADVANCE(240);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'n') ADVANCE(456);
      if (lookahead == 'p') ADVANCE(1664);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 354:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 355:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'b' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 356:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'c' ||
          lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 357:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e' ||
          lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 358:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e' ||
          lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 359:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'f' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 360:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd' ||
          lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(917);
      END_STATE();
    case 361:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 362:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2007);
      END_STATE();
    case 363:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'a' ||
          lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 364:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'E' ||
          lookahead == 'd' ||
          lookahead == 'y') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1771);
      if (lookahead == 'u') ADVANCE(1985);
      END_STATE();
    case 365:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'D' ||
          lookahead == 'U' ||
          lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 366:
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'H' ||
          lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'h' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 367:
      if (lookahead == ';') ADVANCE(2181);
      END_STATE();
    case 368:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 369:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(367);
      END_STATE();
    case 370:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 371:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(370);
      END_STATE();
    case 372:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 373:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(372);
      END_STATE();
    case 374:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 375:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 376:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 377:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(376);
      END_STATE();
    case 378:
      if (lookahead == ';') ADVANCE(2181);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 379:
      if (lookahead == '>') ADVANCE(2229);
      END_STATE();
    case 380:
      if (lookahead == '>') ADVANCE(2236);
      END_STATE();
    case 381:
      if (lookahead == '>') ADVANCE(2223);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '<') ADVANCE(381);
      END_STATE();
    case 382:
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(383);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 383:
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 384:
      if (lookahead == 'A') ADVANCE(502);
      if (lookahead == 'a') ADVANCE(816);
      if (lookahead == 'c') ADVANCE(1280);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1368);
      if (lookahead == 'o') ADVANCE(1674);
      if (lookahead == 's') ADVANCE(790);
      if (lookahead == 'u') ADVANCE(1467);
      END_STATE();
    case 385:
      if (lookahead == 'A') ADVANCE(585);
      if (lookahead == 'B') ADVANCE(575);
      if (lookahead == 'H') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(763);
      if (lookahead == 'b') ADVANCE(576);
      if (lookahead == 'c') ADVANCE(602);
      if (lookahead == 'd') ADVANCE(793);
      if (lookahead == 'e') ADVANCE(203);
      if (lookahead == 'f') ADVANCE(1252);
      if (lookahead == 'h') ADVANCE(621);
      if (lookahead == 'i') ADVANCE(1142);
      if (lookahead == 'l') ADVANCE(581);
      if (lookahead == 'm') ADVANCE(1652);
      if (lookahead == 'n') ADVANCE(1468);
      if (lookahead == 'o') ADVANCE(547);
      if (lookahead == 'p') ADVANCE(628);
      if (lookahead == 'r') ADVANCE(575);
      if (lookahead == 's') ADVANCE(527);
      if (lookahead == 't') ADVANCE(1208);
      if (lookahead == 'u') ADVANCE(1394);
      if (lookahead == 'x') ADVANCE(148);
      END_STATE();
    case 386:
      if (lookahead == 'A') ADVANCE(520);
      END_STATE();
    case 387:
      if (lookahead == 'A') ADVANCE(745);
      if (lookahead == 'I') ADVANCE(745);
      if (lookahead == 'U') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'c') ADVANCE(1282);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(1476);
      END_STATE();
    case 388:
      if (lookahead == 'A') ADVANCE(441);
      END_STATE();
    case 389:
      if (lookahead == 'A') ADVANCE(1566);
      if (lookahead == 'C') ADVANCE(1079);
      if (lookahead == 'D') ADVANCE(1584);
      if (lookahead == 'F') ADVANCE(1393);
      if (lookahead == 'R') ADVANCE(1315);
      if (lookahead == 'T') ADVANCE(1024);
      if (lookahead == 'U') ADVANCE(1682);
      if (lookahead == 'V') ADVANCE(1058);
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'r') ADVANCE(1308);
      END_STATE();
    case 390:
      if (lookahead == 'A') ADVANCE(511);
      END_STATE();
    case 391:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'B') ADVANCE(631);
      if (lookahead == 'D') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(1526);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'd') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(930);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(2007);
      if (lookahead == 'n') ADVANCE(1923);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'p') ADVANCE(1810);
      if (lookahead == 'r') ADVANCE(2007);
      if (lookahead == 's') ADVANCE(792);
      if (lookahead == 'z') ADVANCE(1255);
      END_STATE();
    case 392:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'd') ADVANCE(1741);
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 393:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'H') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(1125);
      if (lookahead == 'b') ADVANCE(1346);
      if (lookahead == 'c') ADVANCE(607);
      if (lookahead == 'd') ADVANCE(189);
      if (lookahead == 'e') ADVANCE(272);
      if (lookahead == 'f') ADVANCE(1253);
      if (lookahead == 'h') ADVANCE(614);
      if (lookahead == 'i') ADVANCE(586);
      if (lookahead == 'j') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(759);
      if (lookahead == 'o') ADVANCE(1397);
      if (lookahead == 'r') ADVANCE(721);
      if (lookahead == 's') ADVANCE(761);
      if (lookahead == 't') ADVANCE(871);
      if (lookahead == 'u') ADVANCE(580);
      if (lookahead == 'w') ADVANCE(589);
      if (lookahead == 'z') ADVANCE(750);
      END_STATE();
    case 394:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'H') ADVANCE(538);
      if (lookahead == 'a') ADVANCE(804);
      if (lookahead == 'b') ADVANCE(1763);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'd') ADVANCE(577);
      if (lookahead == 'f') ADVANCE(1253);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'h') ADVANCE(615);
      if (lookahead == 'l') ADVANCE(852);
      if (lookahead == 'm') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(686);
      if (lookahead == 'r') ADVANCE(851);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(868);
      if (lookahead == 'u') ADVANCE(582);
      if (lookahead == 'w') ADVANCE(589);
      END_STATE();
    case 395:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1268);
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 'c') ADVANCE(1280);
      if (lookahead == 'e') ADVANCE(668);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'k') ADVANCE(1895);
      if (lookahead == 'o') ADVANCE(583);
      if (lookahead == 's') ADVANCE(782);
      if (lookahead == 'y') ADVANCE(723);
      END_STATE();
    case 396:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1760);
      END_STATE();
    case 397:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'p') ADVANCE(538);
      END_STATE();
    case 398:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1753);
      if (lookahead == 'c') ADVANCE(333);
      if (lookahead == 'm') ADVANCE(1214);
      if (lookahead == 's') ADVANCE(2113);
      if (lookahead == 't') ADVANCE(1462);
      if (lookahead == 'x') ADVANCE(1949);
      END_STATE();
    case 399:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1753);
      if (lookahead == 'n') ADVANCE(2113);
      END_STATE();
    case 400:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1753);
      if (lookahead == 'n') ADVANCE(966);
      END_STATE();
    case 401:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'a') ADVANCE(1852);
      if (lookahead == 'i') ADVANCE(1145);
      if (lookahead == 't') ADVANCE(1835);
      END_STATE();
    case 402:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(320);
      END_STATE();
    case 403:
      if (lookahead == 'A') ADVANCE(1760);
      if (lookahead == 't') ADVANCE(1830);
      END_STATE();
    case 404:
      if (lookahead == 'A') ADVANCE(1875);
      if (lookahead == 'D') ADVANCE(1643);
      if (lookahead == 'E') ADVANCE(1734);
      if (lookahead == 'T') ADVANCE(1009);
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'd') ADVANCE(1650);
      if (lookahead == 'p') ADVANCE(1018);
      if (lookahead == 's') ADVANCE(1231);
      END_STATE();
    case 405:
      if (lookahead == 'A') ADVANCE(809);
      END_STATE();
    case 406:
      if (lookahead == 'A') ADVANCE(809);
      if (lookahead == 'D') ADVANCE(1587);
      if (lookahead == 'G') ADVANCE(1793);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 407:
      if (lookahead == 'A') ADVANCE(1391);
      END_STATE();
    case 408:
      if (lookahead == 'A') ADVANCE(1567);
      if (lookahead == 'C') ADVANCE(1079);
      if (lookahead == 'D') ADVANCE(1584);
      if (lookahead == 'F') ADVANCE(1393);
      if (lookahead == 'T') ADVANCE(1024);
      if (lookahead == 'U') ADVANCE(1682);
      if (lookahead == 'V') ADVANCE(1058);
      if (lookahead == 'a') ADVANCE(1872);
      END_STATE();
    case 409:
      if (lookahead == 'A') ADVANCE(1872);
      END_STATE();
    case 410:
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'D') ADVANCE(1643);
      END_STATE();
    case 411:
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'R') ADVANCE(1316);
      END_STATE();
    case 412:
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'R') ADVANCE(1316);
      if (lookahead == 'T') ADVANCE(994);
      END_STATE();
    case 413:
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'T') ADVANCE(994);
      END_STATE();
    case 414:
      if (lookahead == 'A') ADVANCE(1872);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 415:
      if (lookahead == 'A') ADVANCE(1876);
      if (lookahead == 'B') ADVANCE(1740);
      if (lookahead == 'L') ADVANCE(1056);
      if (lookahead == 'R') ADVANCE(1314);
      if (lookahead == 'T') ADVANCE(1009);
      if (lookahead == 'a') ADVANCE(1872);
      END_STATE();
    case 416:
      if (lookahead == 'B') ADVANCE(541);
      if (lookahead == 'P') ADVANCE(689);
      END_STATE();
    case 417:
      if (lookahead == 'B') ADVANCE(575);
      if (lookahead == 'E') ADVANCE(176);
      if (lookahead == 'a') ADVANCE(813);
      if (lookahead == 'c') ADVANCE(604);
      if (lookahead == 'e') ADVANCE(348);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1579);
      if (lookahead == 'i') ADVANCE(1123);
      if (lookahead == 'o') ADVANCE(1677);
      if (lookahead == 'r') ADVANCE(1308);
      if (lookahead == 's') ADVANCE(776);
      if (lookahead == 'u') ADVANCE(1384);
      END_STATE();
    case 418:
      if (lookahead == 'B') ADVANCE(538);
      END_STATE();
    case 419:
      if (lookahead == 'B') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(1263);
      if (lookahead == 'S') ADVANCE(1051);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 420:
      if (lookahead == 'B') ADVANCE(1873);
      END_STATE();
    case 421:
      if (lookahead == 'B') ADVANCE(1865);
      if (lookahead == 'n') ADVANCE(422);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 422:
      if (lookahead == 'B') ADVANCE(1870);
      END_STATE();
    case 423:
      if (lookahead == 'C') ADVANCE(475);
      if (lookahead == 'c') ADVANCE(2129);
      END_STATE();
    case 424:
      if (lookahead == 'C') ADVANCE(444);
      END_STATE();
    case 425:
      if (lookahead == 'C') ADVANCE(564);
      END_STATE();
    case 426:
      if (lookahead == 'C') ADVANCE(1644);
      if (lookahead == 'T') ADVANCE(1295);
      END_STATE();
    case 427:
      if (lookahead == 'C') ADVANCE(1321);
      END_STATE();
    case 428:
      if (lookahead == 'C') ADVANCE(1416);
      END_STATE();
    case 429:
      if (lookahead == 'C') ADVANCE(2078);
      END_STATE();
    case 430:
      if (lookahead == 'C') ADVANCE(1660);
      END_STATE();
    case 431:
      if (lookahead == 'C') ADVANCE(1660);
      if (lookahead == 'D') ADVANCE(1586);
      if (lookahead == 'L') ADVANCE(1068);
      if (lookahead == 'R') ADVANCE(1318);
      if (lookahead == 'U') ADVANCE(1683);
      if (lookahead == 'V') ADVANCE(1077);
      END_STATE();
    case 432:
      if (lookahead == 'D') ADVANCE(1589);
      END_STATE();
    case 433:
      if (lookahead == 'D') ADVANCE(1589);
      if (lookahead == 'M') ADVANCE(1306);
      if (lookahead == 'P') ADVANCE(1439);
      if (lookahead == 'T') ADVANCE(1295);
      END_STATE();
    case 434:
      if (lookahead == 'D') ADVANCE(1589);
      if (lookahead == 'a') ADVANCE(1760);
      END_STATE();
    case 435:
      if (lookahead == 'D') ADVANCE(1589);
      if (lookahead == 'o') ADVANCE(1949);
      END_STATE();
    case 436:
      if (lookahead == 'D') ADVANCE(1589);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 437:
      if (lookahead == 'D') ADVANCE(307);
      if (lookahead == 'J') ADVANCE(745);
      if (lookahead == 'S') ADVANCE(745);
      if (lookahead == 'Z') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(1127);
      if (lookahead == 'c') ADVANCE(607);
      if (lookahead == 'e') ADVANCE(1350);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(550);
      if (lookahead == 'o') ADVANCE(1675);
      if (lookahead == 's') ADVANCE(790);
      END_STATE();
    case 438:
      if (lookahead == 'D') ADVANCE(148);
      END_STATE();
    case 439:
      if (lookahead == 'D') ADVANCE(435);
      if (lookahead == 'a') ADVANCE(807);
      if (lookahead == 'c') ADVANCE(605);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(436);
      if (lookahead == 'g') ADVANCE(319);
      if (lookahead == 'l') ADVANCE(286);
      if (lookahead == 'm') ADVANCE(537);
      if (lookahead == 'n') ADVANCE(1112);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(618);
      if (lookahead == 'q') ADVANCE(800);
      if (lookahead == 'r') ADVANCE(434);
      if (lookahead == 's') ADVANCE(770);
      if (lookahead == 't') ADVANCE(354);
      if (lookahead == 'u') ADVANCE(1456);
      if (lookahead == 'x') ADVANCE(828);
      END_STATE();
    case 440:
      if (lookahead == 'D') ADVANCE(432);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'd') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(653);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1579);
      if (lookahead == 'i') ADVANCE(844);
      if (lookahead == 'l') ADVANCE(808);
      if (lookahead == 'n') ADVANCE(1699);
      if (lookahead == 'o') ADVANCE(908);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 's') ADVANCE(789);
      if (lookahead == 'u') ADVANCE(292);
      END_STATE();
    case 441:
      if (lookahead == 'D') ADVANCE(455);
      END_STATE();
    case 442:
      if (lookahead == 'D') ADVANCE(2167);
      if (lookahead == 'H') ADVANCE(365);
      if (lookahead == 'U') ADVANCE(2167);
      if (lookahead == 'V') ADVANCE(366);
      if (lookahead == 'b') ADVANCE(1594);
      if (lookahead == 'd') ADVANCE(2167);
      if (lookahead == 'h') ADVANCE(365);
      if (lookahead == 'm') ADVANCE(1306);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 't') ADVANCE(1295);
      if (lookahead == 'u') ADVANCE(2167);
      if (lookahead == 'v') ADVANCE(366);
      END_STATE();
    case 443:
      if (lookahead == 'D') ADVANCE(745);
      END_STATE();
    case 444:
      if (lookahead == 'D') ADVANCE(390);
      END_STATE();
    case 445:
      if (lookahead == 'D') ADVANCE(571);
      if (lookahead == 'H') ADVANCE(575);
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'd') ADVANCE(571);
      if (lookahead == 'g') ADVANCE(2157);
      if (lookahead == 'i') ADVANCE(1513);
      if (lookahead == 'l') ADVANCE(402);
      if (lookahead == 'r') ADVANCE(403);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 446:
      if (lookahead == 'D') ADVANCE(571);
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'd') ADVANCE(574);
      if (lookahead == 'e') ADVANCE(920);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'v') ADVANCE(888);
      END_STATE();
    case 447:
      if (lookahead == 'D') ADVANCE(571);
      if (lookahead == 'd') ADVANCE(571);
      END_STATE();
    case 448:
      if (lookahead == 'D') ADVANCE(1643);
      if (lookahead == 'L') ADVANCE(1065);
      if (lookahead == 'R') ADVANCE(1316);
      if (lookahead == 'U') ADVANCE(1687);
      END_STATE();
    case 449:
      if (lookahead == 'D') ADVANCE(1245);
      END_STATE();
    case 450:
      if (lookahead == 'D') ADVANCE(1011);
      END_STATE();
    case 451:
      if (lookahead == 'D') ADVANCE(1651);
      if (lookahead == 'E') ADVANCE(1731);
      END_STATE();
    case 452:
      if (lookahead == 'D') ADVANCE(1655);
      if (lookahead == 'T') ADVANCE(1030);
      if (lookahead == 'V') ADVANCE(1058);
      END_STATE();
    case 453:
      if (lookahead == 'D') ADVANCE(1665);
      if (lookahead == 'Q') ADVANCE(2089);
      END_STATE();
    case 454:
      if (lookahead == 'E') ADVANCE(1389);
      if (lookahead == 'M') ADVANCE(183);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(1740);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'l') ADVANCE(1670);
      if (lookahead == 'm') ADVANCE(533);
      if (lookahead == 'n') ADVANCE(872);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(1695);
      if (lookahead == 'r') ADVANCE(1236);
      if (lookahead == 's') ADVANCE(787);
      if (lookahead == 't') ADVANCE(1283);
      if (lookahead == 'u') ADVANCE(1455);
      END_STATE();
    case 455:
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 456:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 457:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1686);
      if (lookahead == 'e') ADVANCE(316);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 458:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(315);
      if (lookahead == 's') ADVANCE(1246);
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 459:
      if (lookahead == 'E') ADVANCE(1362);
      if (lookahead == 'U') ADVANCE(1718);
      END_STATE();
    case 460:
      if (lookahead == 'E') ADVANCE(745);
      if (lookahead == 'J') ADVANCE(1395);
      if (lookahead == 'O') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'm') ADVANCE(188);
      if (lookahead == 'n') ADVANCE(1977);
      if (lookahead == 'o') ADVANCE(1130);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(1309);
      if (lookahead == 'u') ADVANCE(1338);
      END_STATE();
    case 461:
      if (lookahead == 'E') ADVANCE(1361);
      END_STATE();
    case 462:
      if (lookahead == 'E') ADVANCE(1395);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'd') ADVANCE(743);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'm') ADVANCE(535);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'p') ADVANCE(981);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(784);
      if (lookahead == 't') ADVANCE(1230);
      if (lookahead == 'u') ADVANCE(1455);
      if (lookahead == 'v') ADVANCE(996);
      END_STATE();
    case 463:
      if (lookahead == 'E') ADVANCE(1734);
      END_STATE();
    case 464:
      if (lookahead == 'E') ADVANCE(1731);
      END_STATE();
    case 465:
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'F') ADVANCE(2088);
      if (lookahead == 'G') ADVANCE(1881);
      if (lookahead == 'L') ADVANCE(963);
      if (lookahead == 'S') ADVANCE(1449);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 466:
      if (lookahead == 'E') ADVANCE(1737);
      if (lookahead == 'F') ADVANCE(2088);
      if (lookahead == 'G') ADVANCE(1881);
      if (lookahead == 'L') ADVANCE(963);
      if (lookahead == 'S') ADVANCE(1449);
      if (lookahead == 'T') ADVANCE(1309);
      END_STATE();
    case 467:
      if (lookahead == 'F') ADVANCE(510);
      END_STATE();
    case 468:
      if (lookahead == 'F') ADVANCE(2082);
      END_STATE();
    case 469:
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 470:
      if (lookahead == 'G') ADVANCE(1113);
      if (lookahead == 'L') ADVANCE(1044);
      if (lookahead == 'R') ADVANCE(1308);
      if (lookahead == 'V') ADVANCE(447);
      if (lookahead == 'a') ADVANCE(727);
      if (lookahead == 'b') ADVANCE(1896);
      if (lookahead == 'c') ADVANCE(558);
      if (lookahead == 'd') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(150);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(458);
      if (lookahead == 'h') ADVANCE(397);
      if (lookahead == 'i') ADVANCE(324);
      if (lookahead == 'j') ADVANCE(745);
      if (lookahead == 'l') ADVANCE(392);
      if (lookahead == 'm') ADVANCE(1213);
      if (lookahead == 'o') ADVANCE(311);
      if (lookahead == 'p') ADVANCE(626);
      if (lookahead == 'r') ADVANCE(401);
      if (lookahead == 's') ADVANCE(762);
      if (lookahead == 't') ADVANCE(1133);
      if (lookahead == 'u') ADVANCE(295);
      if (lookahead == 'v') ADVANCE(445);
      if (lookahead == 'w') ADVANCE(400);
      END_STATE();
    case 471:
      if (lookahead == 'G') ADVANCE(1881);
      END_STATE();
    case 472:
      if (lookahead == 'G') ADVANCE(1890);
      if (lookahead == 'L') ADVANCE(1046);
      END_STATE();
    case 473:
      if (lookahead == 'H') ADVANCE(423);
      if (lookahead == 'O') ADVANCE(467);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'c') ADVANCE(202);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1646);
      if (lookahead == 'i') ADVANCE(1131);
      if (lookahead == 'm') ADVANCE(651);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'q') ADVANCE(1767);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(538);
      if (lookahead == 'u') ADVANCE(711);
      END_STATE();
    case 474:
      if (lookahead == 'H') ADVANCE(495);
      if (lookahead == 'R') ADVANCE(388);
      if (lookahead == 'S') ADVANCE(479);
      if (lookahead == 'a') ADVANCE(2154);
      if (lookahead == 'c') ADVANCE(604);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(951);
      if (lookahead == 'i') ADVANCE(1377);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'r') ADVANCE(1288);
      if (lookahead == 's') ADVANCE(790);
      END_STATE();
    case 475:
      if (lookahead == 'H') ADVANCE(745);
      END_STATE();
    case 476:
      if (lookahead == 'H') ADVANCE(745);
      if (lookahead == 'J') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(1692);
      if (lookahead == 'c') ADVANCE(972);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 477:
      if (lookahead == 'H') ADVANCE(745);
      if (lookahead == 'O') ADVANCE(496);
      if (lookahead == 'a') ADVANCE(815);
      if (lookahead == 'c') ADVANCE(603);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(905);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1214);
      if (lookahead == 'i') ADVANCE(1788);
      if (lookahead == 'l') ADVANCE(1593);
      if (lookahead == 'o') ADVANCE(1433);
      if (lookahead == 'r') ADVANCE(1595);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(1678);
      END_STATE();
    case 478:
      if (lookahead == 'H') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'c') ADVANCE(607);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(1798);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 479:
      if (lookahead == 'H') ADVANCE(745);
      if (lookahead == 'c') ADVANCE(2129);
      END_STATE();
    case 480:
      if (lookahead == 'H') ADVANCE(2090);
      END_STATE();
    case 481:
      if (lookahead == 'I') ADVANCE(148);
      END_STATE();
    case 482:
      if (lookahead == 'I') ADVANCE(1489);
      END_STATE();
    case 483:
      if (lookahead == 'I') ADVANCE(1556);
      END_STATE();
    case 484:
      if (lookahead == 'J') ADVANCE(745);
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'c') ADVANCE(604);
      if (lookahead == 'e') ADVANCE(1134);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(421);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(1283);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 485:
      if (lookahead == 'L') ADVANCE(963);
      END_STATE();
    case 486:
      if (lookahead == 'L') ADVANCE(1263);
      END_STATE();
    case 487:
      if (lookahead == 'L') ADVANCE(1061);
      if (lookahead == 'R') ADVANCE(1316);
      END_STATE();
    case 488:
      if (lookahead == 'L') ADVANCE(1061);
      if (lookahead == 'R') ADVANCE(1316);
      if (lookahead == 'l') ADVANCE(1043);
      if (lookahead == 'r') ADVANCE(1308);
      END_STATE();
    case 489:
      if (lookahead == 'L') ADVANCE(1065);
      if (lookahead == 'R') ADVANCE(1316);
      END_STATE();
    case 490:
      if (lookahead == 'M') ADVANCE(1047);
      if (lookahead == 'T') ADVANCE(1196);
      if (lookahead == 'V') ADVANCE(1035);
      END_STATE();
    case 491:
      if (lookahead == 'M') ADVANCE(1306);
      END_STATE();
    case 492:
      if (lookahead == 'N') ADVANCE(1589);
      if (lookahead == 'a') ADVANCE(799);
      if (lookahead == 'b') ADVANCE(1784);
      if (lookahead == 'c') ADVANCE(1610);
      if (lookahead == 'd') ADVANCE(1730);
      if (lookahead == 'e') ADVANCE(864);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1114);
      if (lookahead == 'k') ADVANCE(669);
      if (lookahead == 'l') ADVANCE(551);
      if (lookahead == 'n') ADVANCE(929);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 'p') ADVANCE(1811);
      if (lookahead == 'r') ADVANCE(927);
      if (lookahead == 's') ADVANCE(771);
      if (lookahead == 'u') ADVANCE(1396);
      END_STATE();
    case 493:
      if (lookahead == 'N') ADVANCE(469);
      if (lookahead == 'T') ADVANCE(177);
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'c') ADVANCE(606);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'm') ADVANCE(536);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(1945);
      if (lookahead == 'q') ADVANCE(2042);
      if (lookahead == 's') ADVANCE(779);
      if (lookahead == 't') ADVANCE(524);
      if (lookahead == 'u') ADVANCE(1455);
      if (lookahead == 'x') ADVANCE(1239);
      END_STATE();
    case 494:
      if (lookahead == 'O') ADVANCE(185);
      END_STATE();
    case 495:
      if (lookahead == 'O') ADVANCE(501);
      END_STATE();
    case 496:
      if (lookahead == 'P') ADVANCE(187);
      END_STATE();
    case 497:
      if (lookahead == 'P') ADVANCE(538);
      END_STATE();
    case 498:
      if (lookahead == 'P') ADVANCE(538);
      if (lookahead == 'i') ADVANCE(361);
      END_STATE();
    case 499:
      if (lookahead == 'P') ADVANCE(1439);
      END_STATE();
    case 500:
      if (lookahead == 'Q') ADVANCE(2089);
      END_STATE();
    case 501:
      if (lookahead == 'R') ADVANCE(182);
      END_STATE();
    case 502:
      if (lookahead == 'R') ADVANCE(443);
      END_STATE();
    case 503:
      if (lookahead == 'R') ADVANCE(1319);
      if (lookahead == 'T') ADVANCE(1030);
      if (lookahead == 'V') ADVANCE(1058);
      END_STATE();
    case 504:
      if (lookahead == 'S') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(806);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'd') ADVANCE(572);
      if (lookahead == 'e') ADVANCE(1395);
      if (lookahead == 'f') ADVANCE(842);
      if (lookahead == 'g') ADVANCE(1621);
      if (lookahead == 'h') ADVANCE(718);
      if (lookahead == 'i') ADVANCE(1507);
      if (lookahead == 'l') ADVANCE(578);
      if (lookahead == 'm') ADVANCE(534);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'p') ADVANCE(539);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 's') ADVANCE(785);
      if (lookahead == 't') ADVANCE(1278);
      if (lookahead == 'u') ADVANCE(1455);
      if (lookahead == 'v') ADVANCE(716);
      END_STATE();
    case 505:
      if (lookahead == 'S') ADVANCE(1493);
      END_STATE();
    case 506:
      if (lookahead == 'S') ADVANCE(1493);
      if (lookahead == 'V') ADVANCE(1033);
      END_STATE();
    case 507:
      if (lookahead == 'S') ADVANCE(1711);
      END_STATE();
    case 508:
      if (lookahead == 'S') ADVANCE(2052);
      END_STATE();
    case 509:
      if (lookahead == 'S') ADVANCE(1738);
      END_STATE();
    case 510:
      if (lookahead == 'T') ADVANCE(745);
      END_STATE();
    case 511:
      if (lookahead == 'T') ADVANCE(386);
      END_STATE();
    case 512:
      if (lookahead == 'T') ADVANCE(1210);
      END_STATE();
    case 513:
      if (lookahead == 'T') ADVANCE(1191);
      END_STATE();
    case 514:
      if (lookahead == 'T') ADVANCE(1030);
      if (lookahead == 'V') ADVANCE(1058);
      END_STATE();
    case 515:
      if (lookahead == 'T') ADVANCE(1892);
      END_STATE();
    case 516:
      if (lookahead == 'U') ADVANCE(494);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 517:
      if (lookahead == 'V') ADVANCE(1077);
      END_STATE();
    case 518:
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 519:
      if (lookahead == 'W') ADVANCE(1265);
      END_STATE();
    case 520:
      if (lookahead == '[') ADVANCE(2235);
      END_STATE();
    case 521:
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'b') ADVANCE(1740);
      if (lookahead == 'c') ADVANCE(364);
      if (lookahead == 'e') ADVANCE(1389);
      if (lookahead == 'f') ADVANCE(318);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'l') ADVANCE(928);
      if (lookahead == 'm') ADVANCE(193);
      if (lookahead == 'n') ADVANCE(876);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(349);
      if (lookahead == 'r') ADVANCE(1236);
      if (lookahead == 's') ADVANCE(788);
      if (lookahead == 't') ADVANCE(1283);
      if (lookahead == 'u') ADVANCE(1455);
      if (lookahead == 'w') ADVANCE(824);
      END_STATE();
    case 522:
      if (lookahead == 'a') ADVANCE(803);
      if (lookahead == 'c') ADVANCE(280);
      if (lookahead == 'e') ADVANCE(752);
      if (lookahead == 'f') ADVANCE(2158);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'i') ADVANCE(278);
      if (lookahead == 'j') ADVANCE(1395);
      if (lookahead == 'm') ADVANCE(530);
      if (lookahead == 'n') ADVANCE(232);
      if (lookahead == 'o') ADVANCE(749);
      if (lookahead == 'p') ADVANCE(1801);
      if (lookahead == 'q') ADVANCE(2057);
      if (lookahead == 's') ADVANCE(781);
      if (lookahead == 't') ADVANCE(285);
      if (lookahead == 'u') ADVANCE(1338);
      END_STATE();
    case 523:
      if (lookahead == 'a') ADVANCE(795);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'r') ADVANCE(926);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(1466);
      END_STATE();
    case 524:
      if (lookahead == 'a') ADVANCE(148);
      END_STATE();
    case 525:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 526:
      if (lookahead == 'a') ADVANCE(1730);
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1460);
      if (lookahead == 'q') ADVANCE(710);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 527:
      if (lookahead == 'a') ADVANCE(1730);
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(710);
      END_STATE();
    case 528:
      if (lookahead == 'a') ADVANCE(814);
      if (lookahead == 'c') ADVANCE(553);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(898);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(747);
      if (lookahead == 'i') ADVANCE(1745);
      if (lookahead == 'l') ADVANCE(2047);
      if (lookahead == 'o') ADVANCE(1443);
      if (lookahead == 'r') ADVANCE(584);
      if (lookahead == 's') ADVANCE(791);
      if (lookahead == 't') ADVANCE(867);
      if (lookahead == 'u') ADVANCE(915);
      if (lookahead == 'w') ADVANCE(824);
      if (lookahead == 'y') ADVANCE(1386);
      END_STATE();
    case 529:
      if (lookahead == 'a') ADVANCE(2104);
      END_STATE();
    case 530:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'o') ADVANCE(1087);
      if (lookahead == 'p') ADVANCE(916);
      END_STATE();
    case 531:
      if (lookahead == 'a') ADVANCE(1403);
      if (lookahead == 'e') ADVANCE(1716);
      if (lookahead == 'i') ADVANCE(874);
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 532:
      if (lookahead == 'a') ADVANCE(359);
      END_STATE();
    case 533:
      if (lookahead == 'a') ADVANCE(769);
      END_STATE();
    case 534:
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'e') ADVANCE(1122);
      if (lookahead == 'i') ADVANCE(836);
      END_STATE();
    case 535:
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'e') ADVANCE(1122);
      if (lookahead == 'i') ADVANCE(835);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'p') ADVANCE(1976);
      END_STATE();
    case 537:
      if (lookahead == 'a') ADVANCE(769);
      if (lookahead == 'p') ADVANCE(1984);
      if (lookahead == 's') ADVANCE(1681);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(1741);
      END_STATE();
    case 539:
      if (lookahead == 'a') ADVANCE(1741);
      if (lookahead == 'e') ADVANCE(1789);
      if (lookahead == 'l') ADVANCE(2056);
      END_STATE();
    case 540:
      if (lookahead == 'a') ADVANCE(1741);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2056);
      END_STATE();
    case 541:
      if (lookahead == 'a') ADVANCE(1741);
      if (lookahead == 'r') ADVANCE(619);
      END_STATE();
    case 542:
      if (lookahead == 'a') ADVANCE(805);
      if (lookahead == 'b') ADVANCE(1763);
      if (lookahead == 'c') ADVANCE(1261);
      if (lookahead == 'd') ADVANCE(743);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1802);
      if (lookahead == 'm') ADVANCE(533);
      if (lookahead == 'n') ADVANCE(886);
      if (lookahead == 'o') ADVANCE(1129);
      if (lookahead == 'p') ADVANCE(404);
      if (lookahead == 'r') ADVANCE(1251);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 't') ADVANCE(1309);
      if (lookahead == 'u') ADVANCE(1455);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(1507);
      END_STATE();
    case 544:
      if (lookahead == 'a') ADVANCE(345);
      END_STATE();
    case 545:
      if (lookahead == 'a') ADVANCE(1866);
      if (lookahead == 'b') ADVANCE(1795);
      if (lookahead == 'c') ADVANCE(604);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(1444);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(958);
      if (lookahead == 'i') ADVANCE(1432);
      if (lookahead == 'o') ADVANCE(949);
      if (lookahead == 'p') ADVANCE(1811);
      if (lookahead == 'r') ADVANCE(656);
      if (lookahead == 's') ADVANCE(760);
      if (lookahead == 'w') ADVANCE(1218);
      END_STATE();
    case 546:
      if (lookahead == 'a') ADVANCE(1517);
      if (lookahead == 'b') ADVANCE(1795);
      if (lookahead == 'n') ADVANCE(1120);
      if (lookahead == 'o') ADVANCE(1717);
      if (lookahead == 'p') ADVANCE(540);
      if (lookahead == 't') ADVANCE(1295);
      if (lookahead == 'w') ADVANCE(588);
      if (lookahead == 'z') ADVANCE(260);
      END_STATE();
    case 547:
      if (lookahead == 'a') ADVANCE(1517);
      if (lookahead == 'b') ADVANCE(1795);
      if (lookahead == 'p') ADVANCE(540);
      if (lookahead == 't') ADVANCE(1295);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(1949);
      END_STATE();
    case 549:
      if (lookahead == 'a') ADVANCE(1949);
      if (lookahead == 'l') ADVANCE(1243);
      if (lookahead == 't') ADVANCE(1523);
      END_STATE();
    case 550:
      if (lookahead == 'a') ADVANCE(858);
      if (lookahead == 'f') ADVANCE(1098);
      END_STATE();
    case 551:
      if (lookahead == 'a') ADVANCE(825);
      if (lookahead == 'k') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(818);
      END_STATE();
    case 552:
      if (lookahead == 'a') ADVANCE(235);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(1693);
      if (lookahead == 'e') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'u') ADVANCE(1701);
      END_STATE();
    case 554:
      if (lookahead == 'a') ADVANCE(909);
      END_STATE();
    case 555:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(2102);
      END_STATE();
    case 557:
      if (lookahead == 'a') ADVANCE(765);
      if (lookahead == 'o') ADVANCE(2117);
      END_STATE();
    case 558:
      if (lookahead == 'a') ADVANCE(1669);
      if (lookahead == 'e') ADVANCE(912);
      if (lookahead == 'o') ADVANCE(1530);
      if (lookahead == 'u') ADVANCE(1668);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(333);
      END_STATE();
    case 560:
      if (lookahead == 'a') ADVANCE(764);
      if (lookahead == 'c') ADVANCE(1282);
      if (lookahead == 'e') ADVANCE(297);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(745);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(751);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(1791);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1214);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2051);
      if (lookahead == 'o') ADVANCE(1279);
      if (lookahead == 'r') ADVANCE(253);
      if (lookahead == 's') ADVANCE(778);
      END_STATE();
    case 562:
      if (lookahead == 'a') ADVANCE(1692);
      END_STATE();
    case 563:
      if (lookahead == 'a') ADVANCE(1704);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(1725);
      if (lookahead == 'l') ADVANCE(963);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 564:
      if (lookahead == 'a') ADVANCE(1668);
      END_STATE();
    case 565:
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(893);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1547);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'u') ADVANCE(1668);
      END_STATE();
    case 567:
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 568:
      if (lookahead == 'a') ADVANCE(1668);
      if (lookahead == 'u') ADVANCE(1668);
      END_STATE();
    case 569:
      if (lookahead == 'a') ADVANCE(1111);
      END_STATE();
    case 570:
      if (lookahead == 'a') ADVANCE(1451);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(1481);
      if (lookahead == 'f') ADVANCE(1276);
      if (lookahead == 'i') ADVANCE(1395);
      if (lookahead == 'j') ADVANCE(1395);
      if (lookahead == 'l') ADVANCE(549);
      if (lookahead == 'n') ADVANCE(1581);
      if (lookahead == 'o') ADVANCE(1672);
      if (lookahead == 'p') ADVANCE(659);
      if (lookahead == 'r') ADVANCE(557);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 571:
      if (lookahead == 'a') ADVANCE(1915);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(1915);
      if (lookahead == 'b') ADVANCE(1429);
      if (lookahead == 'i') ADVANCE(2099);
      if (lookahead == 'o') ADVANCE(1949);
      if (lookahead == 's') ADVANCE(1631);
      END_STATE();
    case 573:
      if (lookahead == 'a') ADVANCE(1330);
      END_STATE();
    case 574:
      if (lookahead == 'a') ADVANCE(1918);
      END_STATE();
    case 575:
      if (lookahead == 'a') ADVANCE(1760);
      END_STATE();
    case 576:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'b') ADVANCE(1795);
      if (lookahead == 'r') ADVANCE(609);
      END_STATE();
    case 577:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'b') ADVANCE(1429);
      if (lookahead == 'h') ADVANCE(538);
      END_STATE();
    case 578:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'c') ADVANCE(1225);
      if (lookahead == 'i') ADVANCE(1529);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 579:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'c') ADVANCE(1640);
      if (lookahead == 'h') ADVANCE(640);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 580:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'h') ADVANCE(538);
      END_STATE();
    case 581:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'h') ADVANCE(538);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 582:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'm') ADVANCE(287);
      END_STATE();
    case 583:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'm') ADVANCE(1991);
      if (lookahead == 'o') ADVANCE(1333);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 584:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'o') ADVANCE(1920);
      END_STATE();
    case 585:
      if (lookahead == 'a') ADVANCE(1760);
      if (lookahead == 'r') ADVANCE(1741);
      if (lookahead == 't') ADVANCE(670);
      END_STATE();
    case 586:
      if (lookahead == 'a') ADVANCE(1458);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'g') ADVANCE(652);
      if (lookahead == 's') ADVANCE(1258);
      if (lookahead == 'v') ADVANCE(279);
      END_STATE();
    case 587:
      if (lookahead == 'a') ADVANCE(2140);
      END_STATE();
    case 588:
      if (lookahead == 'a') ADVANCE(1905);
      if (lookahead == 'b') ADVANCE(538);
      END_STATE();
    case 589:
      if (lookahead == 'a') ADVANCE(1528);
      END_STATE();
    case 590:
      if (lookahead == 'a') ADVANCE(1988);
      END_STATE();
    case 591:
      if (lookahead == 'a') ADVANCE(1349);
      END_STATE();
    case 592:
      if (lookahead == 'a') ADVANCE(1747);
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(1748);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(1228);
      if (lookahead == 'i') ADVANCE(339);
      if (lookahead == 'l') ADVANCE(608);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(1289);
      if (lookahead == 'r') ADVANCE(164);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 'u') ADVANCE(1527);
      END_STATE();
    case 593:
      if (lookahead == 'a') ADVANCE(1982);
      if (lookahead == 'e') ADVANCE(1929);
      if (lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 594:
      if (lookahead == 'a') ADVANCE(1173);
      END_STATE();
    case 595:
      if (lookahead == 'a') ADVANCE(1347);
      END_STATE();
    case 596:
      if (lookahead == 'a') ADVANCE(1372);
      if (lookahead == 'l') ADVANCE(1263);
      if (lookahead == 's') ADVANCE(2076);
      END_STATE();
    case 597:
      if (lookahead == 'a') ADVANCE(1795);
      END_STATE();
    case 598:
      if (lookahead == 'a') ADVANCE(1908);
      END_STATE();
    case 599:
      if (lookahead == 'a') ADVANCE(1495);
      END_STATE();
    case 600:
      if (lookahead == 'a') ADVANCE(753);
      END_STATE();
    case 601:
      if (lookahead == 'a') ADVANCE(1529);
      END_STATE();
    case 602:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'e') ADVANCE(913);
      if (lookahead == 'u') ADVANCE(709);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 603:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'e') ADVANCE(897);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'o') ADVANCE(1557);
      END_STATE();
    case 604:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'e') ADVANCE(912);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 605:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'i') ADVANCE(1771);
      if (lookahead == 'o') ADVANCE(1379);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 606:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'i') ADVANCE(1771);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 607:
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 608:
      if (lookahead == 'a') ADVANCE(1501);
      if (lookahead == 'u') ADVANCE(1899);
      END_STATE();
    case 609:
      if (lookahead == 'a') ADVANCE(767);
      if (lookahead == 'k') ADVANCE(921);
      END_STATE();
    case 610:
      if (lookahead == 'a') ADVANCE(1690);
      if (lookahead == 'u') ADVANCE(1690);
      END_STATE();
    case 611:
      if (lookahead == 'a') ADVANCE(878);
      END_STATE();
    case 612:
      if (lookahead == 'a') ADVANCE(1366);
      END_STATE();
    case 613:
      if (lookahead == 'a') ADVANCE(1366);
      if (lookahead == 'i') ADVANCE(1411);
      END_STATE();
    case 614:
      if (lookahead == 'a') ADVANCE(1750);
      END_STATE();
    case 615:
      if (lookahead == 'a') ADVANCE(1750);
      if (lookahead == 'b') ADVANCE(1380);
      END_STATE();
    case 616:
      if (lookahead == 'a') ADVANCE(1385);
      END_STATE();
    case 617:
      if (lookahead == 'a') ADVANCE(1385);
      if (lookahead == 'e') ADVANCE(1905);
      if (lookahead == 'i') ADVANCE(2101);
      END_STATE();
    case 618:
      if (lookahead == 'a') ADVANCE(1785);
      if (lookahead == 'l') ADVANCE(2056);
      if (lookahead == 's') ADVANCE(1221);
      END_STATE();
    case 619:
      if (lookahead == 'a') ADVANCE(768);
      END_STATE();
    case 620:
      if (lookahead == 'a') ADVANCE(1780);
      if (lookahead == 'b') ADVANCE(1380);
      END_STATE();
    case 621:
      if (lookahead == 'a') ADVANCE(1780);
      if (lookahead == 'o') ADVANCE(345);
      END_STATE();
    case 622:
      if (lookahead == 'a') ADVANCE(1712);
      END_STATE();
    case 623:
      if (lookahead == 'a') ADVANCE(853);
      END_STATE();
    case 624:
      if (lookahead == 'a') ADVANCE(1778);
      END_STATE();
    case 625:
      if (lookahead == 'a') ADVANCE(1378);
      END_STATE();
    case 626:
      if (lookahead == 'a') ADVANCE(1770);
      if (lookahead == 'o') ADVANCE(1445);
      if (lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 627:
      if (lookahead == 'a') ADVANCE(1376);
      END_STATE();
    case 628:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'p') ADVANCE(1664);
      END_STATE();
    case 629:
      if (lookahead == 'a') ADVANCE(1751);
      if (lookahead == 'r') ADVANCE(700);
      END_STATE();
    case 630:
      if (lookahead == 'a') ADVANCE(1356);
      END_STATE();
    case 631:
      if (lookahead == 'a') ADVANCE(1764);
      END_STATE();
    case 632:
      if (lookahead == 'a') ADVANCE(1364);
      END_STATE();
    case 633:
      if (lookahead == 'a') ADVANCE(1351);
      END_STATE();
    case 634:
      if (lookahead == 'a') ADVANCE(1357);
      END_STATE();
    case 635:
      if (lookahead == 'a') ADVANCE(1352);
      END_STATE();
    case 636:
      if (lookahead == 'a') ADVANCE(1818);
      END_STATE();
    case 637:
      if (lookahead == 'a') ADVANCE(1370);
      END_STATE();
    case 638:
      if (lookahead == 'a') ADVANCE(1358);
      END_STATE();
    case 639:
      if (lookahead == 'a') ADVANCE(1739);
      END_STATE();
    case 640:
      if (lookahead == 'a') ADVANCE(1768);
      END_STATE();
    case 641:
      if (lookahead == 'a') ADVANCE(1744);
      END_STATE();
    case 642:
      if (lookahead == 'a') ADVANCE(1822);
      END_STATE();
    case 643:
      if (lookahead == 'a') ADVANCE(1766);
      END_STATE();
    case 644:
      if (lookahead == 'a') ADVANCE(2006);
      END_STATE();
    case 645:
      if (lookahead == 'a') ADVANCE(1833);
      END_STATE();
    case 646:
      if (lookahead == 'a') ADVANCE(1806);
      END_STATE();
    case 647:
      if (lookahead == 'a') ADVANCE(1797);
      END_STATE();
    case 648:
      if (lookahead == 'a') ADVANCE(1803);
      END_STATE();
    case 649:
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'b') ADVANCE(1730);
      if (lookahead == 'c') ADVANCE(353);
      if (lookahead == 'd') ADVANCE(1618);
      if (lookahead == 'e') ADVANCE(398);
      if (lookahead == 'f') ADVANCE(1761);
      if (lookahead == 'h') ADVANCE(207);
      if (lookahead == 'i') ADVANCE(1150);
      if (lookahead == 'l') ADVANCE(575);
      if (lookahead == 'm') ADVANCE(531);
      if (lookahead == 'o') ADVANCE(1095);
      if (lookahead == 'p') ADVANCE(554);
      if (lookahead == 'q') ADVANCE(797);
      if (lookahead == 'r') ADVANCE(575);
      if (lookahead == 's') ADVANCE(772);
      if (lookahead == 't') ADVANCE(629);
      if (lookahead == 'u') ADVANCE(712);
      if (lookahead == 'w') ADVANCE(399);
      if (lookahead == 'z') ADVANCE(1389);
      END_STATE();
    case 650:
      if (lookahead == 'a') ADVANCE(809);
      if (lookahead == 'c') ADVANCE(607);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(1054);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(745);
      if (lookahead == 'i') ADVANCE(1144);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'w') ADVANCE(1329);
      END_STATE();
    case 651:
      if (lookahead == 'a') ADVANCE(1401);
      END_STATE();
    case 652:
      if (lookahead == 'a') ADVANCE(1470);
      END_STATE();
    case 653:
      if (lookahead == 'a') ADVANCE(1927);
      END_STATE();
    case 654:
      if (lookahead == 'a') ADVANCE(1696);
      if (lookahead == 'c') ADVANCE(972);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1805);
      if (lookahead == 'h') ADVANCE(745);
      if (lookahead == 'j') ADVANCE(745);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 655:
      if (lookahead == 'a') ADVANCE(847);
      END_STATE();
    case 656:
      if (lookahead == 'a') ADVANCE(894);
      if (lookahead == 'i') ADVANCE(701);
      if (lookahead == 'p') ADVANCE(956);
      END_STATE();
    case 657:
      if (lookahead == 'a') ADVANCE(1854);
      END_STATE();
    case 658:
      if (lookahead == 'a') ADVANCE(2003);
      END_STATE();
    case 659:
      if (lookahead == 'a') ADVANCE(1821);
      END_STATE();
    case 660:
      if (lookahead == 'a') ADVANCE(1703);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(1726);
      if (lookahead == 'g') ADVANCE(1969);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 661:
      if (lookahead == 'a') ADVANCE(1703);
      if (lookahead == 'e') ADVANCE(1729);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 662:
      if (lookahead == 'a') ADVANCE(1703);
      if (lookahead == 's') ADVANCE(1246);
      END_STATE();
    case 663:
      if (lookahead == 'a') ADVANCE(833);
      END_STATE();
    case 664:
      if (lookahead == 'a') ADVANCE(1855);
      if (lookahead == 'l') ADVANCE(2131);
      if (lookahead == 'r') ADVANCE(925);
      if (lookahead == 'v') ADVANCE(1074);
      END_STATE();
    case 665:
      if (lookahead == 'a') ADVANCE(1540);
      END_STATE();
    case 666:
      if (lookahead == 'a') ADVANCE(1391);
      if (lookahead == 'k') ADVANCE(345);
      END_STATE();
    case 667:
      if (lookahead == 'a') ADVANCE(2013);
      END_STATE();
    case 668:
      if (lookahead == 'a') ADVANCE(1867);
      if (lookahead == 'l') ADVANCE(1406);
      if (lookahead == 'r') ADVANCE(817);
      END_STATE();
    case 669:
      if (lookahead == 'a') ADVANCE(1817);
      END_STATE();
    case 670:
      if (lookahead == 'a') ADVANCE(1254);
      END_STATE();
    case 671:
      if (lookahead == 'a') ADVANCE(1254);
      if (lookahead == 'i') ADVANCE(1591);
      END_STATE();
    case 672:
      if (lookahead == 'a') ADVANCE(2067);
      END_STATE();
    case 673:
      if (lookahead == 'a') ADVANCE(1413);
      END_STATE();
    case 674:
      if (lookahead == 'a') ADVANCE(1858);
      END_STATE();
    case 675:
      if (lookahead == 'a') ADVANCE(2069);
      END_STATE();
    case 676:
      if (lookahead == 'a') ADVANCE(2021);
      END_STATE();
    case 677:
      if (lookahead == 'a') ADVANCE(1541);
      END_STATE();
    case 678:
      if (lookahead == 'a') ADVANCE(1860);
      END_STATE();
    case 679:
      if (lookahead == 'a') ADVANCE(1398);
      END_STATE();
    case 680:
      if (lookahead == 'a') ADVANCE(1850);
      END_STATE();
    case 681:
      if (lookahead == 'a') ADVANCE(1809);
      END_STATE();
    case 682:
      if (lookahead == 'a') ADVANCE(1856);
      END_STATE();
    case 683:
      if (lookahead == 'a') ADVANCE(1857);
      END_STATE();
    case 684:
      if (lookahead == 'a') ADVANCE(1448);
      END_STATE();
    case 685:
      if (lookahead == 'a') ADVANCE(1872);
      END_STATE();
    case 686:
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'd') ADVANCE(1650);
      if (lookahead == 'h') ADVANCE(642);
      if (lookahead == 'l') ADVANCE(2056);
      if (lookahead == 's') ADVANCE(1223);
      if (lookahead == 'u') ADVANCE(1722);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'd') ADVANCE(1666);
      if (lookahead == 'h') ADVANCE(642);
      END_STATE();
    case 688:
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'r') ADVANCE(1308);
      END_STATE();
    case 689:
      if (lookahead == 'a') ADVANCE(1883);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(2029);
      END_STATE();
    case 691:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'h') ADVANCE(702);
      if (lookahead == 'l') ADVANCE(1066);
      if (lookahead == 'r') ADVANCE(1323);
      if (lookahead == 's') ADVANCE(1733);
      if (lookahead == 't') ADVANCE(1211);
      END_STATE();
    case 692:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'h') ADVANCE(702);
      if (lookahead == 'l') ADVANCE(1086);
      if (lookahead == 'r') ADVANCE(1317);
      if (lookahead == 't') ADVANCE(1211);
      END_STATE();
    case 693:
      if (lookahead == 'a') ADVANCE(2031);
      END_STATE();
    case 694:
      if (lookahead == 'a') ADVANCE(1878);
      END_STATE();
    case 695:
      if (lookahead == 'a') ADVANCE(1878);
      if (lookahead == 'd') ADVANCE(2163);
      END_STATE();
    case 696:
      if (lookahead == 'a') ADVANCE(1879);
      END_STATE();
    case 697:
      if (lookahead == 'a') ADVANCE(1879);
      if (lookahead == 'h') ADVANCE(704);
      END_STATE();
    case 698:
      if (lookahead == 'a') ADVANCE(2033);
      END_STATE();
    case 699:
      if (lookahead == 'a') ADVANCE(1880);
      if (lookahead == 'h') ADVANCE(704);
      if (lookahead == 's') ADVANCE(1733);
      END_STATE();
    case 700:
      if (lookahead == 'a') ADVANCE(1313);
      if (lookahead == 'n') ADVANCE(1894);
      END_STATE();
    case 701:
      if (lookahead == 'a') ADVANCE(1562);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'm') ADVANCE(1306);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 's') ADVANCE(709);
      if (lookahead == 't') ADVANCE(1291);
      END_STATE();
    case 702:
      if (lookahead == 'a') ADVANCE(1885);
      END_STATE();
    case 703:
      if (lookahead == 'a') ADVANCE(1569);
      END_STATE();
    case 704:
      if (lookahead == 'a') ADVANCE(1887);
      END_STATE();
    case 705:
      if (lookahead == 'a') ADVANCE(1570);
      END_STATE();
    case 706:
      if (lookahead == 'a') ADVANCE(1572);
      END_STATE();
    case 707:
      if (lookahead == 'a') ADVANCE(1573);
      END_STATE();
    case 708:
      if (lookahead == 'a') ADVANCE(1574);
      END_STATE();
    case 709:
      if (lookahead == 'b') ADVANCE(148);
      END_STATE();
    case 710:
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(1580);
      END_STATE();
    case 711:
      if (lookahead == 'b') ADVANCE(331);
      if (lookahead == 'c') ADVANCE(855);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(261);
      END_STATE();
    case 712:
      if (lookahead == 'b') ADVANCE(165);
      if (lookahead == 'c') ADVANCE(766);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 'p') ADVANCE(2168);
      END_STATE();
    case 713:
      if (lookahead == 'b') ADVANCE(351);
      if (lookahead == 'c') ADVANCE(822);
      if (lookahead == 'p') ADVANCE(351);
      END_STATE();
    case 714:
      if (lookahead == 'b') ADVANCE(235);
      END_STATE();
    case 715:
      if (lookahead == 'b') ADVANCE(243);
      if (lookahead == 'p') ADVANCE(243);
      END_STATE();
    case 716:
      if (lookahead == 'b') ADVANCE(538);
      END_STATE();
    case 717:
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 'g') ADVANCE(960);
      END_STATE();
    case 718:
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 719:
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 720:
      if (lookahead == 'b') ADVANCE(538);
      if (lookahead == 't') ADVANCE(283);
      if (lookahead == 'y') ADVANCE(512);
      END_STATE();
    case 721:
      if (lookahead == 'b') ADVANCE(1345);
      if (lookahead == 'c') ADVANCE(1639);
      END_STATE();
    case 722:
      if (lookahead == 'b') ADVANCE(241);
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 723:
      if (lookahead == 'b') ADVANCE(2085);
      if (lookahead == 'p') ADVANCE(1206);
      END_STATE();
    case 724:
      if (lookahead == 'b') ADVANCE(882);
      END_STATE();
    case 725:
      if (lookahead == 'b') ADVANCE(1795);
      END_STATE();
    case 726:
      if (lookahead == 'b') ADVANCE(917);
      if (lookahead == 'p') ADVANCE(917);
      END_STATE();
    case 727:
      if (lookahead == 'b') ADVANCE(1359);
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 'p') ADVANCE(168);
      if (lookahead == 't') ADVANCE(2075);
      END_STATE();
    case 728:
      if (lookahead == 'b') ADVANCE(1900);
      END_STATE();
    case 729:
      if (lookahead == 'b') ADVANCE(525);
      END_STATE();
    case 730:
      if (lookahead == 'b') ADVANCE(1069);
      END_STATE();
    case 731:
      if (lookahead == 'b') ADVANCE(1502);
      if (lookahead == 'p') ADVANCE(1502);
      END_STATE();
    case 732:
      if (lookahead == 'b') ADVANCE(1944);
      if (lookahead == 'c') ADVANCE(854);
      if (lookahead == 'p') ADVANCE(1021);
      END_STATE();
    case 733:
      if (lookahead == 'b') ADVANCE(1944);
      if (lookahead == 'p') ADVANCE(1021);
      END_STATE();
    case 734:
      if (lookahead == 'b') ADVANCE(1415);
      END_STATE();
    case 735:
      if (lookahead == 'b') ADVANCE(1418);
      END_STATE();
    case 736:
      if (lookahead == 'b') ADVANCE(1861);
      END_STATE();
    case 737:
      if (lookahead == 'b') ADVANCE(1421);
      END_STATE();
    case 738:
      if (lookahead == 'b') ADVANCE(1422);
      END_STATE();
    case 739:
      if (lookahead == 'b') ADVANCE(1436);
      END_STATE();
    case 740:
      if (lookahead == 'b') ADVANCE(648);
      END_STATE();
    case 741:
      if (lookahead == 'b') ADVANCE(1427);
      END_STATE();
    case 742:
      if (lookahead == 'b') ADVANCE(1428);
      END_STATE();
    case 743:
      if (lookahead == 'b') ADVANCE(1429);
      END_STATE();
    case 744:
      if (lookahead == 'b') ADVANCE(1947);
      if (lookahead == 'p') ADVANCE(1947);
      END_STATE();
    case 745:
      if (lookahead == 'c') ADVANCE(2129);
      END_STATE();
    case 746:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(2104);
      END_STATE();
    case 747:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'e') ADVANCE(827);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 748:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1440);
      if (lookahead == 'o') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 749:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'g') ADVANCE(1620);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 750:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'i') ADVANCE(1144);
      END_STATE();
    case 751:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'm') ADVANCE(287);
      END_STATE();
    case 752:
      if (lookahead == 'c') ADVANCE(2129);
      if (lookahead == 'x') ADVANCE(756);
      END_STATE();
    case 753:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 754:
      if (lookahead == 'c') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1741);
      END_STATE();
    case 755:
      if (lookahead == 'c') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead == 'p') ADVANCE(329);
      if (lookahead == 'r') ADVANCE(1342);
      END_STATE();
    case 756:
      if (lookahead == 'c') ADVANCE(287);
      END_STATE();
    case 757:
      if (lookahead == 'c') ADVANCE(566);
      if (lookahead == 'd') ADVANCE(2007);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(396);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(396);
      if (lookahead == 'm') ADVANCE(564);
      if (lookahead == 'n') ADVANCE(1250);
      if (lookahead == 'o') ADVANCE(869);
      if (lookahead == 'r') ADVANCE(396);
      if (lookahead == 's') ADVANCE(786);
      if (lookahead == 'u') ADVANCE(1700);
      if (lookahead == 'v') ADVANCE(994);
      if (lookahead == 'w') ADVANCE(957);
      END_STATE();
    case 758:
      if (lookahead == 'c') ADVANCE(566);
      if (lookahead == 'o') ADVANCE(870);
      if (lookahead == 's') ADVANCE(1735);
      if (lookahead == 't') ADVANCE(1891);
      if (lookahead == 'u') ADVANCE(1699);
      if (lookahead == 'v') ADVANCE(994);
      if (lookahead == 'w') ADVANCE(957);
      END_STATE();
    case 759:
      if (lookahead == 'c') ADVANCE(1639);
      END_STATE();
    case 760:
      if (lookahead == 'c') ADVANCE(2161);
      if (lookahead == 'h') ADVANCE(745);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 761:
      if (lookahead == 'c') ADVANCE(2161);
      if (lookahead == 'o') ADVANCE(1349);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 762:
      if (lookahead == 'c') ADVANCE(231);
      if (lookahead == 'h') ADVANCE(1657);
      if (lookahead == 'i') ADVANCE(1471);
      if (lookahead == 'm') ADVANCE(1213);
      if (lookahead == 'p') ADVANCE(538);
      if (lookahead == 'q') ADVANCE(1928);
      if (lookahead == 'u') ADVANCE(713);
      END_STATE();
    case 763:
      if (lookahead == 'c') ADVANCE(923);
      if (lookahead == 'd') ADVANCE(1260);
      if (lookahead == 'e') ADVANCE(1472);
      if (lookahead == 'n') ADVANCE(1121);
      if (lookahead == 'q') ADVANCE(2045);
      if (lookahead == 'r') ADVANCE(1754);
      if (lookahead == 't') ADVANCE(671);
      END_STATE();
    case 764:
      if (lookahead == 'c') ADVANCE(2054);
      END_STATE();
    case 765:
      if (lookahead == 'c') ADVANCE(142);
      if (lookahead == 's') ADVANCE(1349);
      END_STATE();
    case 766:
      if (lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 767:
      if (lookahead == 'c') ADVANCE(2156);
      END_STATE();
    case 768:
      if (lookahead == 'c') ADVANCE(918);
      END_STATE();
    case 769:
      if (lookahead == 'c') ADVANCE(1741);
      END_STATE();
    case 770:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'i') ADVANCE(1454);
      END_STATE();
    case 771:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'e') ADVANCE(1463);
      if (lookahead == 'i') ADVANCE(1464);
      if (lookahead == 'o') ADVANCE(1353);
      END_STATE();
    case 772:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'e') ADVANCE(1997);
      if (lookahead == 'm') ADVANCE(1303);
      if (lookahead == 't') ADVANCE(641);
      END_STATE();
    case 773:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'e') ADVANCE(1774);
      END_STATE();
    case 774:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(919);
      if (lookahead == 't') ADVANCE(1174);
      END_STATE();
    case 775:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'g') ADVANCE(1273);
      END_STATE();
    case 776:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 777:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 778:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 779:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1454);
      END_STATE();
    case 780:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 781:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1500);
      END_STATE();
    case 782:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(571);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 783:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(1111);
      END_STATE();
    case 784:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(598);
      END_STATE();
    case 785:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'l') ADVANCE(598);
      if (lookahead == 'o') ADVANCE(1349);
      END_STATE();
    case 786:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'q') ADVANCE(838);
      END_STATE();
    case 787:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(1256);
      END_STATE();
    case 788:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'y') ADVANCE(1479);
      END_STATE();
    case 789:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 't') ADVANCE(1709);
      END_STATE();
    case 790:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 't') ADVANCE(1812);
      END_STATE();
    case 791:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'u') ADVANCE(722);
      END_STATE();
    case 792:
      if (lookahead == 'c') ADVANCE(1741);
      if (lookahead == 'u') ADVANCE(731);
      END_STATE();
    case 793:
      if (lookahead == 'c') ADVANCE(524);
      if (lookahead == 'l') ADVANCE(903);
      if (lookahead == 'q') ADVANCE(2065);
      if (lookahead == 's') ADVANCE(1174);
      END_STATE();
    case 794:
      if (lookahead == 'c') ADVANCE(524);
      if (lookahead == 'q') ADVANCE(2065);
      if (lookahead == 'r') ADVANCE(904);
      if (lookahead == 's') ADVANCE(1174);
      END_STATE();
    case 795:
      if (lookahead == 'c') ADVANCE(1341);
      if (lookahead == 'r') ADVANCE(2100);
      END_STATE();
    case 796:
      if (lookahead == 'c') ADVANCE(1507);
      if (lookahead == 'i') ADVANCE(1578);
      if (lookahead == 'm') ADVANCE(1254);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1010);
      END_STATE();
    case 797:
      if (lookahead == 'c') ADVANCE(610);
      if (lookahead == 's') ADVANCE(2046);
      if (lookahead == 'u') ADVANCE(209);
      END_STATE();
    case 798:
      if (lookahead == 'c') ADVANCE(1949);
      END_STATE();
    case 799:
      if (lookahead == 'c') ADVANCE(1332);
      if (lookahead == 'r') ADVANCE(2103);
      END_STATE();
    case 800:
      if (lookahead == 'c') ADVANCE(1281);
      if (lookahead == 's') ADVANCE(1248);
      if (lookahead == 'u') ADVANCE(617);
      if (lookahead == 'v') ADVANCE(1716);
      END_STATE();
    case 801:
      if (lookahead == 'c') ADVANCE(1280);
      if (lookahead == 'e') ADVANCE(877);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(257);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 802:
      if (lookahead == 'c') ADVANCE(1280);
      if (lookahead == 'e') ADVANCE(906);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 803:
      if (lookahead == 'c') ADVANCE(2053);
      END_STATE();
    case 804:
      if (lookahead == 'c') ADVANCE(2053);
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 805:
      if (lookahead == 'c') ADVANCE(2053);
      if (lookahead == 'r') ADVANCE(1777);
      END_STATE();
    case 806:
      if (lookahead == 'c') ADVANCE(2053);
      if (lookahead == 's') ADVANCE(1949);
      END_STATE();
    case 807:
      if (lookahead == 'c') ADVANCE(2053);
      if (lookahead == 's') ADVANCE(2003);
      END_STATE();
    case 808:
      if (lookahead == 'c') ADVANCE(1668);
      if (lookahead == 'd') ADVANCE(1741);
      END_STATE();
    case 809:
      if (lookahead == 'c') ADVANCE(2086);
      END_STATE();
    case 810:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'e') ADVANCE(1472);
      if (lookahead == 'g') ADVANCE(1859);
      if (lookahead == 'm') ADVANCE(724);
      if (lookahead == 'n') ADVANCE(1119);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(2045);
      if (lookahead == 'r') ADVANCE(1752);
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 811:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'm') ADVANCE(724);
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 'p') ADVANCE(1438);
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 812:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'm') ADVANCE(1482);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 813:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 'r') ADVANCE(1787);
      END_STATE();
    case 814:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'p') ADVANCE(204);
      if (lookahead == 'r') ADVANCE(953);
      END_STATE();
    case 815:
      if (lookahead == 'c') ADVANCE(2086);
      if (lookahead == 'p') ADVANCE(282);
      if (lookahead == 'y') ADVANCE(1399);
      END_STATE();
    case 816:
      if (lookahead == 'c') ADVANCE(980);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 817:
      if (lookahead == 'c') ADVANCE(1620);
      END_STATE();
    case 818:
      if (lookahead == 'c') ADVANCE(1330);
      END_STATE();
    case 819:
      if (lookahead == 'c') ADVANCE(1339);
      END_STATE();
    case 820:
      if (lookahead == 'c') ADVANCE(1339);
      if (lookahead == 's') ADVANCE(954);
      END_STATE();
    case 821:
      if (lookahead == 'c') ADVANCE(1331);
      if (lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 822:
      if (lookahead == 'c') ADVANCE(250);
      END_STATE();
    case 823:
      if (lookahead == 'c') ADVANCE(1207);
      END_STATE();
    case 824:
      if (lookahead == 'c') ADVANCE(1600);
      if (lookahead == 'i') ADVANCE(1507);
      END_STATE();
    case 825:
      if (lookahead == 'c') ADVANCE(1334);
      if (lookahead == 'n') ADVANCE(1330);
      END_STATE();
    case 826:
      if (lookahead == 'c') ADVANCE(564);
      END_STATE();
    case 827:
      if (lookahead == 'c') ADVANCE(1335);
      END_STATE();
    case 828:
      if (lookahead == 'c') ADVANCE(1349);
      if (lookahead == 'i') ADVANCE(1905);
      if (lookahead == 'p') ADVANCE(1049);
      END_STATE();
    case 829:
      if (lookahead == 'c') ADVANCE(1344);
      if (lookahead == 'n') ADVANCE(1914);
      END_STATE();
    case 830:
      if (lookahead == 'c') ADVANCE(672);
      if (lookahead == 'r') ADVANCE(1532);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 831:
      if (lookahead == 'c') ADVANCE(1336);
      if (lookahead == 'k') ADVANCE(2099);
      END_STATE();
    case 832:
      if (lookahead == 'c') ADVANCE(753);
      END_STATE();
    case 833:
      if (lookahead == 'c') ADVANCE(917);
      END_STATE();
    case 834:
      if (lookahead == 'c') ADVANCE(1188);
      END_STATE();
    case 835:
      if (lookahead == 'c') ADVANCE(1794);
      END_STATE();
    case 836:
      if (lookahead == 'c') ADVANCE(1794);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(2056);
      END_STATE();
    case 837:
      if (lookahead == 'c') ADVANCE(1914);
      END_STATE();
    case 838:
      if (lookahead == 'c') ADVANCE(2049);
      END_STATE();
    case 839:
      if (lookahead == 'c') ADVANCE(1948);
      END_STATE();
    case 840:
      if (lookahead == 'c') ADVANCE(591);
      END_STATE();
    case 841:
      if (lookahead == 'c') ADVANCE(1224);
      END_STATE();
    case 842:
      if (lookahead == 'c') ADVANCE(1224);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 843:
      if (lookahead == 'c') ADVANCE(1057);
      END_STATE();
    case 844:
      if (lookahead == 'c') ADVANCE(1783);
      if (lookahead == 'd') ADVANCE(200);
      if (lookahead == 'n') ADVANCE(2064);
      END_STATE();
    case 845:
      if (lookahead == 'c') ADVANCE(2035);
      END_STATE();
    case 846:
      if (lookahead == 'c') ADVANCE(2022);
      END_STATE();
    case 847:
      if (lookahead == 'c') ADVANCE(1053);
      END_STATE();
    case 848:
      if (lookahead == 'c') ADVANCE(2006);
      END_STATE();
    case 849:
      if (lookahead == 'c') ADVANCE(1282);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'm') ADVANCE(590);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(773);
      if (lookahead == 'u') ADVANCE(1337);
      END_STATE();
    case 850:
      if (lookahead == 'c') ADVANCE(1282);
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(773);
      if (lookahead == 'u') ADVANCE(1337);
      END_STATE();
    case 851:
      if (lookahead == 'c') ADVANCE(1641);
      if (lookahead == 'i') ADVANCE(1516);
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 852:
      if (lookahead == 'c') ADVANCE(1641);
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 853:
      if (lookahead == 'c') ADVANCE(1343);
      END_STATE();
    case 854:
      if (lookahead == 'c') ADVANCE(1023);
      END_STATE();
    case 855:
      if (lookahead == 'c') ADVANCE(1023);
      if (lookahead == 'h') ADVANCE(513);
      END_STATE();
    case 856:
      if (lookahead == 'c') ADVANCE(630);
      END_STATE();
    case 857:
      if (lookahead == 'c') ADVANCE(1414);
      END_STATE();
    case 858:
      if (lookahead == 'c') ADVANCE(1838);
      if (lookahead == 'm') ADVANCE(1626);
      END_STATE();
    case 859:
      if (lookahead == 'c') ADVANCE(634);
      END_STATE();
    case 860:
      if (lookahead == 'c') ADVANCE(2021);
      END_STATE();
    case 861:
      if (lookahead == 'c') ADVANCE(1609);
      if (lookahead == 'e') ADVANCE(1667);
      if (lookahead == 'p') ADVANCE(1811);
      if (lookahead == 's') ADVANCE(1266);
      END_STATE();
    case 862:
      if (lookahead == 'c') ADVANCE(1398);
      END_STATE();
    case 863:
      if (lookahead == 'c') ADVANCE(637);
      END_STATE();
    case 864:
      if (lookahead == 'c') ADVANCE(675);
      if (lookahead == 'm') ADVANCE(1702);
      if (lookahead == 'p') ADVANCE(1909);
      if (lookahead == 'r') ADVANCE(1555);
      if (lookahead == 't') ADVANCE(2152);
      END_STATE();
    case 865:
      if (lookahead == 'c') ADVANCE(682);
      END_STATE();
    case 866:
      if (lookahead == 'c') ADVANCE(1081);
      END_STATE();
    case 867:
      if (lookahead == 'd') ADVANCE(1589);
      END_STATE();
    case 868:
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'i') ADVANCE(1431);
      if (lookahead == 'r') ADVANCE(1220);
      END_STATE();
    case 869:
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'p') ADVANCE(1088);
      if (lookahead == 't') ADVANCE(1291);
      END_STATE();
    case 870:
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 't') ADVANCE(1295);
      END_STATE();
    case 871:
      if (lookahead == 'd') ADVANCE(1589);
      if (lookahead == 'r') ADVANCE(1220);
      END_STATE();
    case 872:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 873:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(596);
      if (lookahead == 'p') ADVANCE(335);
      END_STATE();
    case 874:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(917);
      END_STATE();
    case 875:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(287);
      END_STATE();
    case 876:
      if (lookahead == 'd') ADVANCE(205);
      if (lookahead == 'g') ADVANCE(242);
      END_STATE();
    case 877:
      if (lookahead == 'd') ADVANCE(717);
      if (lookahead == 'i') ADVANCE(1012);
      END_STATE();
    case 878:
      if (lookahead == 'd') ADVANCE(1435);
      END_STATE();
    case 879:
      if (lookahead == 'd') ADVANCE(506);
      END_STATE();
    case 880:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 881:
      if (lookahead == 'd') ADVANCE(472);
      END_STATE();
    case 882:
      if (lookahead == 'd') ADVANCE(524);
      END_STATE();
    case 883:
      if (lookahead == 'd') ADVANCE(745);
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 884:
      if (lookahead == 'd') ADVANCE(274);
      END_STATE();
    case 885:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 886:
      if (lookahead == 'd') ADVANCE(996);
      if (lookahead == 'i') ADVANCE(1624);
      END_STATE();
    case 887:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 888:
      if (lookahead == 'd') ADVANCE(571);
      END_STATE();
    case 889:
      if (lookahead == 'd') ADVANCE(589);
      END_STATE();
    case 890:
      if (lookahead == 'd') ADVANCE(332);
      END_STATE();
    case 891:
      if (lookahead == 'd') ADVANCE(254);
      END_STATE();
    case 892:
      if (lookahead == 'd') ADVANCE(1257);
      END_STATE();
    case 893:
      if (lookahead == 'd') ADVANCE(1257);
      if (lookahead == 'l') ADVANCE(1447);
      END_STATE();
    case 894:
      if (lookahead == 'd') ADVANCE(917);
      END_STATE();
    case 895:
      if (lookahead == 'd') ADVANCE(2061);
      END_STATE();
    case 896:
      if (lookahead == 'd') ADVANCE(2061);
      if (lookahead == 'p') ADVANCE(1663);
      END_STATE();
    case 897:
      if (lookahead == 'd') ADVANCE(1215);
      END_STATE();
    case 898:
      if (lookahead == 'd') ADVANCE(1215);
      if (lookahead == 'm') ADVANCE(1702);
      if (lookahead == 'n') ADVANCE(336);
      END_STATE();
    case 899:
      if (lookahead == 'd') ADVANCE(1940);
      if (lookahead == 'u') ADVANCE(1184);
      END_STATE();
    case 900:
      if (lookahead == 'd') ADVANCE(931);
      END_STATE();
    case 901:
      if (lookahead == 'd') ADVANCE(1903);
      END_STATE();
    case 902:
      if (lookahead == 'd') ADVANCE(1996);
      END_STATE();
    case 903:
      if (lookahead == 'd') ADVANCE(1184);
      END_STATE();
    case 904:
      if (lookahead == 'd') ADVANCE(1184);
      if (lookahead == 'u') ADVANCE(1940);
      END_STATE();
    case 905:
      if (lookahead == 'd') ADVANCE(1290);
      if (lookahead == 'n') ADVANCE(2025);
      END_STATE();
    case 906:
      if (lookahead == 'd') ADVANCE(1136);
      END_STATE();
    case 907:
      if (lookahead == 'd') ADVANCE(1582);
      if (lookahead == 'u') ADVANCE(1668);
      END_STATE();
    case 908:
      if (lookahead == 'd') ADVANCE(1001);
      if (lookahead == 'p') ADVANCE(1087);
      END_STATE();
    case 909:
      if (lookahead == 'd') ADVANCE(997);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 910:
      if (lookahead == 'd') ADVANCE(1014);
      END_STATE();
    case 911:
      if (lookahead == 'd') ADVANCE(1605);
      END_STATE();
    case 912:
      if (lookahead == 'd') ADVANCE(1254);
      END_STATE();
    case 913:
      if (lookahead == 'd') ADVANCE(1254);
      if (lookahead == 'i') ADVANCE(1349);
      END_STATE();
    case 914:
      if (lookahead == 'd') ADVANCE(1016);
      END_STATE();
    case 915:
      if (lookahead == 'd') ADVANCE(636);
      if (lookahead == 'e') ADVANCE(1684);
      if (lookahead == 'l') ADVANCE(657);
      if (lookahead == 'p') ADVANCE(220);
      if (lookahead == 'r') ADVANCE(664);
      if (lookahead == 'v') ADVANCE(994);
      if (lookahead == 'w') ADVANCE(916);
      END_STATE();
    case 916:
      if (lookahead == 'e') ADVANCE(872);
      END_STATE();
    case 917:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 918:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'k') ADVANCE(952);
      END_STATE();
    case 919:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1263);
      if (lookahead == 'p') ADVANCE(643);
      END_STATE();
    case 920:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(720);
      END_STATE();
    case 921:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1355);
      END_STATE();
    case 922:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(259);
      END_STATE();
    case 923:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(1998);
      END_STATE();
    case 924:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 925:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 926:
      if (lookahead == 'e') ADVANCE(2104);
      END_STATE();
    case 927:
      if (lookahead == 'e') ADVANCE(2104);
      if (lookahead == 'v') ADVANCE(729);
      END_STATE();
    case 928:
      if (lookahead == 'e') ADVANCE(1096);
      if (lookahead == 'p') ADVANCE(1177);
      END_STATE();
    case 929:
      if (lookahead == 'e') ADVANCE(317);
      if (lookahead == 'o') ADVANCE(1949);
      END_STATE();
    case 930:
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == 'l') ADVANCE(1406);
      if (lookahead == 'r') ADVANCE(719);
      END_STATE();
    case 931:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 932:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 933:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 934:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 935:
      if (lookahead == 'e') ADVANCE(431);
      END_STATE();
    case 936:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 937:
      if (lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 938:
      if (lookahead == 'e') ADVANCE(1485);
      END_STATE();
    case 939:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 940:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 941:
      if (lookahead == 'e') ADVANCE(490);
      END_STATE();
    case 942:
      if (lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 943:
      if (lookahead == 'e') ADVANCE(426);
      END_STATE();
    case 944:
      if (lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 945:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 946:
      if (lookahead == 'e') ADVANCE(237);
      END_STATE();
    case 947:
      if (lookahead == 'e') ADVANCE(500);
      END_STATE();
    case 948:
      if (lookahead == 'e') ADVANCE(1741);
      END_STATE();
    case 949:
      if (lookahead == 'e') ADVANCE(524);
      if (lookahead == 'p') ADVANCE(213);
      if (lookahead == 's') ADVANCE(524);
      END_STATE();
    case 950:
      if (lookahead == 'e') ADVANCE(1507);
      END_STATE();
    case 951:
      if (lookahead == 'e') ADVANCE(1827);
      if (lookahead == 'i') ADVANCE(821);
      END_STATE();
    case 952:
      if (lookahead == 'e') ADVANCE(1949);
      END_STATE();
    case 953:
      if (lookahead == 'e') ADVANCE(1949);
      if (lookahead == 'o') ADVANCE(1495);
      END_STATE();
    case 954:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 955:
      if (lookahead == 'e') ADVANCE(420);
      END_STATE();
    case 956:
      if (lookahead == 'e') ADVANCE(2145);
      END_STATE();
    case 957:
      if (lookahead == 'e') ADVANCE(906);
      END_STATE();
    case 958:
      if (lookahead == 'e') ADVANCE(1843);
      if (lookahead == 'i') ADVANCE(829);
      if (lookahead == 'k') ADVANCE(567);
      if (lookahead == 'o') ADVANCE(1743);
      END_STATE();
    case 959:
      if (lookahead == 'e') ADVANCE(1097);
      END_STATE();
    case 960:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 961:
      if (lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 962:
      if (lookahead == 'e') ADVANCE(508);
      END_STATE();
    case 963:
      if (lookahead == 'e') ADVANCE(1920);
      END_STATE();
    case 964:
      if (lookahead == 'e') ADVANCE(1723);
      END_STATE();
    case 965:
      if (lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 966:
      if (lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 967:
      if (lookahead == 'e') ADVANCE(538);
      if (lookahead == 'i') ADVANCE(1454);
      END_STATE();
    case 968:
      if (lookahead == 'e') ADVANCE(450);
      END_STATE();
    case 969:
      if (lookahead == 'e') ADVANCE(1101);
      END_STATE();
    case 970:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 971:
      if (lookahead == 'e') ADVANCE(912);
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 972:
      if (lookahead == 'e') ADVANCE(912);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 973:
      if (lookahead == 'e') ADVANCE(2141);
      END_STATE();
    case 974:
      if (lookahead == 'e') ADVANCE(405);
      END_STATE();
    case 975:
      if (lookahead == 'e') ADVANCE(1727);
      if (lookahead == 'v') ADVANCE(994);
      if (lookahead == 'w') ADVANCE(957);
      END_STATE();
    case 976:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 977:
      if (lookahead == 'e') ADVANCE(1092);
      END_STATE();
    case 978:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 979:
      if (lookahead == 'e') ADVANCE(1729);
      END_STATE();
    case 980:
      if (lookahead == 'e') ADVANCE(1330);
      END_STATE();
    case 981:
      if (lookahead == 'e') ADVANCE(1508);
      END_STATE();
    case 982:
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 983:
      if (lookahead == 'e') ADVANCE(1970);
      END_STATE();
    case 984:
      if (lookahead == 'e') ADVANCE(1894);
      END_STATE();
    case 985:
      if (lookahead == 'e') ADVANCE(1905);
      END_STATE();
    case 986:
      if (lookahead == 'e') ADVANCE(1988);
      END_STATE();
    case 987:
      if (lookahead == 'e') ADVANCE(1349);
      END_STATE();
    case 988:
      if (lookahead == 'e') ADVANCE(879);
      END_STATE();
    case 989:
      if (lookahead == 'e') ADVANCE(690);
      END_STATE();
    case 990:
      if (lookahead == 'e') ADVANCE(881);
      END_STATE();
    case 991:
      if (lookahead == 'e') ADVANCE(1495);
      END_STATE();
    case 992:
      if (lookahead == 'e') ADVANCE(753);
      END_STATE();
    case 993:
      if (lookahead == 'e') ADVANCE(884);
      END_STATE();
    case 994:
      if (lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 995:
      if (lookahead == 'e') ADVANCE(901);
      END_STATE();
    case 996:
      if (lookahead == 'e') ADVANCE(1749);
      END_STATE();
    case 997:
      if (lookahead == 'e') ADVANCE(1900);
      END_STATE();
    case 998:
      if (lookahead == 'e') ADVANCE(1667);
      if (lookahead == 'k') ADVANCE(562);
      if (lookahead == 'n') ADVANCE(1635);
      if (lookahead == 'p') ADVANCE(1183);
      if (lookahead == 'r') ADVANCE(277);
      if (lookahead == 's') ADVANCE(1229);
      if (lookahead == 't') ADVANCE(1200);
      END_STATE();
    case 999:
      if (lookahead == 'e') ADVANCE(1667);
      if (lookahead == 'p') ADVANCE(1182);
      END_STATE();
    case 1000:
      if (lookahead == 'e') ADVANCE(1911);
      END_STATE();
    case 1001:
      if (lookahead == 'e') ADVANCE(1385);
      END_STATE();
    case 1002:
      if (lookahead == 'e') ADVANCE(860);
      END_STATE();
    case 1003:
      if (lookahead == 'e') ADVANCE(1549);
      END_STATE();
    case 1004:
      if (lookahead == 'e') ADVANCE(1942);
      END_STATE();
    case 1005:
      if (lookahead == 'e') ADVANCE(1994);
      END_STATE();
    case 1006:
      if (lookahead == 'e') ADVANCE(1913);
      END_STATE();
    case 1007:
      if (lookahead == 'e') ADVANCE(1972);
      END_STATE();
    case 1008:
      if (lookahead == 'e') ADVANCE(573);
      END_STATE();
    case 1009:
      if (lookahead == 'e') ADVANCE(932);
      END_STATE();
    case 1010:
      if (lookahead == 'e') ADVANCE(1521);
      END_STATE();
    case 1011:
      if (lookahead == 'e') ADVANCE(1412);
      END_STATE();
    case 1012:
      if (lookahead == 'e') ADVANCE(1789);
      END_STATE();
    case 1013:
      if (lookahead == 'e') ADVANCE(611);
      END_STATE();
    case 1014:
      if (lookahead == 'e') ADVANCE(1903);
      END_STATE();
    case 1015:
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 1016:
      if (lookahead == 'e') ADVANCE(1904);
      END_STATE();
    case 1017:
      if (lookahead == 'e') ADVANCE(1959);
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == 'u') ADVANCE(2153);
      END_STATE();
    case 1018:
      if (lookahead == 'e') ADVANCE(1755);
      END_STATE();
    case 1019:
      if (lookahead == 'e') ADVANCE(1862);
      END_STATE();
    case 1020:
      if (lookahead == 'e') ADVANCE(1995);
      END_STATE();
    case 1021:
      if (lookahead == 'e') ADVANCE(1826);
      END_STATE();
    case 1022:
      if (lookahead == 'e') ADVANCE(2002);
      END_STATE();
    case 1023:
      if (lookahead == 'e') ADVANCE(995);
      END_STATE();
    case 1024:
      if (lookahead == 'e') ADVANCE(939);
      if (lookahead == 'r') ADVANCE(1326);
      END_STATE();
    case 1025:
      if (lookahead == 'e') ADVANCE(1742);
      END_STATE();
    case 1026:
      if (lookahead == 'e') ADVANCE(1836);
      if (lookahead == 'i') ADVANCE(1507);
      END_STATE();
    case 1027:
      if (lookahead == 'e') ADVANCE(1786);
      END_STATE();
    case 1028:
      if (lookahead == 'e') ADVANCE(1864);
      END_STATE();
    case 1029:
      if (lookahead == 'e') ADVANCE(1884);
      END_STATE();
    case 1030:
      if (lookahead == 'e') ADVANCE(944);
      END_STATE();
    case 1031:
      if (lookahead == 'e') ADVANCE(1799);
      END_STATE();
    case 1032:
      if (lookahead == 'e') ADVANCE(1071);
      END_STATE();
    case 1033:
      if (lookahead == 'e') ADVANCE(1796);
      END_STATE();
    case 1034:
      if (lookahead == 'e') ADVANCE(1759);
      END_STATE();
    case 1035:
      if (lookahead == 'e') ADVANCE(1804);
      END_STATE();
    case 1036:
      if (lookahead == 'e') ADVANCE(1762);
      END_STATE();
    case 1037:
      if (lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 1038:
      if (lookahead == 'e') ADVANCE(2106);
      if (lookahead == 'i') ADVANCE(1149);
      END_STATE();
    case 1039:
      if (lookahead == 'e') ADVANCE(1419);
      END_STATE();
    case 1040:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 1041:
      if (lookahead == 'e') ADVANCE(889);
      END_STATE();
    case 1042:
      if (lookahead == 'e') ADVANCE(669);
      if (lookahead == 'w') ADVANCE(669);
      END_STATE();
    case 1043:
      if (lookahead == 'e') ADVANCE(1099);
      END_STATE();
    case 1044:
      if (lookahead == 'e') ADVANCE(1099);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 1045:
      if (lookahead == 'e') ADVANCE(991);
      END_STATE();
    case 1046:
      if (lookahead == 'e') ADVANCE(1931);
      END_STATE();
    case 1047:
      if (lookahead == 'e') ADVANCE(892);
      END_STATE();
    case 1048:
      if (lookahead == 'e') ADVANCE(1484);
      END_STATE();
    case 1049:
      if (lookahead == 'e') ADVANCE(845);
      if (lookahead == 'o') ADVANCE(1565);
      END_STATE();
    case 1050:
      if (lookahead == 'e') ADVANCE(658);
      END_STATE();
    case 1051:
      if (lookahead == 'e') ADVANCE(1720);
      END_STATE();
    case 1052:
      if (lookahead == 'e') ADVANCE(1824);
      END_STATE();
    case 1053:
      if (lookahead == 'e') ADVANCE(2017);
      END_STATE();
    case 1054:
      if (lookahead == 'e') ADVANCE(2017);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 1055:
      if (lookahead == 'e') ADVANCE(740);
      END_STATE();
    case 1056:
      if (lookahead == 'e') ADVANCE(1103);
      END_STATE();
    case 1057:
      if (lookahead == 'e') ADVANCE(910);
      END_STATE();
    case 1058:
      if (lookahead == 'e') ADVANCE(846);
      END_STATE();
    case 1059:
      if (lookahead == 'e') ADVANCE(1921);
      END_STATE();
    case 1060:
      if (lookahead == 'e') ADVANCE(1707);
      END_STATE();
    case 1061:
      if (lookahead == 'e') ADVANCE(1104);
      END_STATE();
    case 1062:
      if (lookahead == 'e') ADVANCE(1823);
      if (lookahead == 'n') ADVANCE(455);
      END_STATE();
    case 1063:
      if (lookahead == 'e') ADVANCE(848);
      END_STATE();
    case 1064:
      if (lookahead == 'e') ADVANCE(1575);
      END_STATE();
    case 1065:
      if (lookahead == 'e') ADVANCE(1105);
      END_STATE();
    case 1066:
      if (lookahead == 'e') ADVANCE(1106);
      END_STATE();
    case 1067:
      if (lookahead == 'e') ADVANCE(1558);
      END_STATE();
    case 1068:
      if (lookahead == 'e') ADVANCE(1107);
      if (lookahead == 'o') ADVANCE(1535);
      END_STATE();
    case 1069:
      if (lookahead == 'e') ADVANCE(1842);
      END_STATE();
    case 1070:
      if (lookahead == 'e') ADVANCE(1100);
      END_STATE();
    case 1071:
      if (lookahead == 'e') ADVANCE(2036);
      END_STATE();
    case 1072:
      if (lookahead == 'e') ADVANCE(1889);
      END_STATE();
    case 1073:
      if (lookahead == 'e') ADVANCE(1543);
      END_STATE();
    case 1074:
      if (lookahead == 'e') ADVANCE(694);
      END_STATE();
    case 1075:
      if (lookahead == 'e') ADVANCE(1453);
      END_STATE();
    case 1076:
      if (lookahead == 'e') ADVANCE(1151);
      END_STATE();
    case 1077:
      if (lookahead == 'e') ADVANCE(1886);
      END_STATE();
    case 1078:
      if (lookahead == 'e') ADVANCE(2023);
      END_STATE();
    case 1079:
      if (lookahead == 'e') ADVANCE(1302);
      END_STATE();
    case 1080:
      if (lookahead == 'e') ADVANCE(1869);
      END_STATE();
    case 1081:
      if (lookahead == 'e') ADVANCE(914);
      END_STATE();
    case 1082:
      if (lookahead == 'e') ADVANCE(693);
      END_STATE();
    case 1083:
      if (lookahead == 'e') ADVANCE(1518);
      END_STATE();
    case 1084:
      if (lookahead == 'e') ADVANCE(698);
      END_STATE();
    case 1085:
      if (lookahead == 'e') ADVANCE(866);
      END_STATE();
    case 1086:
      if (lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 1087:
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 1088:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2056);
      END_STATE();
    case 1089:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1615);
      END_STATE();
    case 1090:
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 's') ADVANCE(769);
      END_STATE();
    case 1091:
      if (lookahead == 'f') ADVANCE(1741);
      if (lookahead == 'i') ADVANCE(1507);
      if (lookahead == 'o') ADVANCE(1671);
      if (lookahead == 'p') ADVANCE(1811);
      if (lookahead == 's') ADVANCE(769);
      if (lookahead == 'u') ADVANCE(593);
      END_STATE();
    case 1092:
      if (lookahead == 'f') ADVANCE(1949);
      END_STATE();
    case 1093:
      if (lookahead == 'f') ADVANCE(1098);
      END_STATE();
    case 1094:
      if (lookahead == 'f') ADVANCE(1952);
      if (lookahead == 's') ADVANCE(1897);
      END_STATE();
    case 1095:
      if (lookahead == 'f') ADVANCE(1975);
      if (lookahead == 'l') ADVANCE(216);
      if (lookahead == 'p') ADVANCE(1087);
      END_STATE();
    case 1096:
      if (lookahead == 'f') ADVANCE(1916);
      if (lookahead == 'p') ADVANCE(1174);
      END_STATE();
    case 1097:
      if (lookahead == 'f') ADVANCE(2040);
      END_STATE();
    case 1098:
      if (lookahead == 'f') ADVANCE(1072);
      END_STATE();
    case 1099:
      if (lookahead == 'f') ADVANCE(1979);
      END_STATE();
    case 1100:
      if (lookahead == 'f') ADVANCE(1994);
      END_STATE();
    case 1101:
      if (lookahead == 'f') ADVANCE(1659);
      END_STATE();
    case 1102:
      if (lookahead == 'f') ADVANCE(1986);
      if (lookahead == 's') ADVANCE(1902);
      END_STATE();
    case 1103:
      if (lookahead == 'f') ADVANCE(1961);
      END_STATE();
    case 1104:
      if (lookahead == 'f') ADVANCE(1963);
      END_STATE();
    case 1105:
      if (lookahead == 'f') ADVANCE(1981);
      END_STATE();
    case 1106:
      if (lookahead == 'f') ADVANCE(2019);
      END_STATE();
    case 1107:
      if (lookahead == 'f') ADVANCE(1967);
      END_STATE();
    case 1108:
      if (lookahead == 'f') ADVANCE(1619);
      END_STATE();
    case 1109:
      if (lookahead == 'f') ADVANCE(1258);
      END_STATE();
    case 1110:
      if (lookahead == 'f') ADVANCE(2039);
      END_STATE();
    case 1111:
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 1112:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1668);
      END_STATE();
    case 1113:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 1114:
      if (lookahead == 'g') ADVANCE(758);
      END_STATE();
    case 1115:
      if (lookahead == 'g') ADVANCE(233);
      END_STATE();
    case 1116:
      if (lookahead == 'g') ADVANCE(233);
      if (lookahead == 'i') ADVANCE(1507);
      END_STATE();
    case 1117:
      if (lookahead == 'g') ADVANCE(488);
      END_STATE();
    case 1118:
      if (lookahead == 'g') ADVANCE(507);
      END_STATE();
    case 1119:
      if (lookahead == 'g') ADVANCE(236);
      END_STATE();
    case 1120:
      if (lookahead == 'g') ADVANCE(1452);
      END_STATE();
    case 1121:
      if (lookahead == 'g') ADVANCE(360);
      END_STATE();
    case 1122:
      if (lookahead == 'g') ADVANCE(524);
      END_STATE();
    case 1123:
      if (lookahead == 'g') ADVANCE(1190);
      END_STATE();
    case 1124:
      if (lookahead == 'g') ADVANCE(2144);
      END_STATE();
    case 1125:
      if (lookahead == 'g') ADVANCE(1137);
      if (lookahead == 'l') ADVANCE(986);
      if (lookahead == 'r') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(1178);
      END_STATE();
    case 1126:
      if (lookahead == 'g') ADVANCE(1137);
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 1127:
      if (lookahead == 'g') ADVANCE(1137);
      if (lookahead == 'r') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(1180);
      END_STATE();
    case 1128:
      if (lookahead == 'g') ADVANCE(1581);
      END_STATE();
    case 1129:
      if (lookahead == 'g') ADVANCE(1620);
      if (lookahead == 'p') ADVANCE(1087);
      END_STATE();
    case 1130:
      if (lookahead == 'g') ADVANCE(1620);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 1131:
      if (lookahead == 'g') ADVANCE(1461);
      END_STATE();
    case 1132:
      if (lookahead == 'g') ADVANCE(1179);
      END_STATE();
    case 1133:
      if (lookahead == 'g') ADVANCE(1349);
      if (lookahead == 'i') ADVANCE(1381);
      if (lookahead == 'l') ADVANCE(1111);
      if (lookahead == 'r') ADVANCE(1322);
      END_STATE();
    case 1134:
      if (lookahead == 'g') ADVANCE(667);
      if (lookahead == 's') ADVANCE(2005);
      if (lookahead == 'w') ADVANCE(486);
      END_STATE();
    case 1135:
      if (lookahead == 'g') ADVANCE(1495);
      END_STATE();
    case 1136:
      if (lookahead == 'g') ADVANCE(917);
      END_STATE();
    case 1137:
      if (lookahead == 'g') ADVANCE(948);
      END_STATE();
    case 1138:
      if (lookahead == 'g') ADVANCE(952);
      END_STATE();
    case 1139:
      if (lookahead == 'g') ADVANCE(1868);
      END_STATE();
    case 1140:
      if (lookahead == 'g') ADVANCE(1868);
      if (lookahead == 'i') ADVANCE(1507);
      if (lookahead == 't') ADVANCE(1649);
      END_STATE();
    case 1141:
      if (lookahead == 'g') ADVANCE(1766);
      END_STATE();
    case 1142:
      if (lookahead == 'g') ADVANCE(1193);
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 's') ADVANCE(1292);
      END_STATE();
    case 1143:
      if (lookahead == 'g') ADVANCE(911);
      END_STATE();
    case 1144:
      if (lookahead == 'g') ADVANCE(1775);
      END_STATE();
    case 1145:
      if (lookahead == 'g') ADVANCE(1189);
      END_STATE();
    case 1146:
      if (lookahead == 'g') ADVANCE(1969);
      END_STATE();
    case 1147:
      if (lookahead == 'g') ADVANCE(1969);
      if (lookahead == 'l') ADVANCE(963);
      END_STATE();
    case 1148:
      if (lookahead == 'g') ADVANCE(1969);
      if (lookahead == 'q') ADVANCE(1146);
      END_STATE();
    case 1149:
      if (lookahead == 'g') ADVANCE(1194);
      END_STATE();
    case 1150:
      if (lookahead == 'g') ADVANCE(1487);
      if (lookahead == 'm') ADVANCE(234);
      END_STATE();
    case 1151:
      if (lookahead == 'g') ADVANCE(1819);
      END_STATE();
    case 1152:
      if (lookahead == 'g') ADVANCE(1819);
      if (lookahead == 'r') ADVANCE(1936);
      END_STATE();
    case 1153:
      if (lookahead == 'g') ADVANCE(1195);
      END_STATE();
    case 1154:
      if (lookahead == 'g') ADVANCE(1197);
      END_STATE();
    case 1155:
      if (lookahead == 'g') ADVANCE(1198);
      END_STATE();
    case 1156:
      if (lookahead == 'g') ADVANCE(1199);
      END_STATE();
    case 1157:
      if (lookahead == 'g') ADVANCE(1398);
      END_STATE();
    case 1158:
      if (lookahead == 'g') ADVANCE(1201);
      END_STATE();
    case 1159:
      if (lookahead == 'g') ADVANCE(1031);
      if (lookahead == 'r') ADVANCE(840);
      END_STATE();
    case 1160:
      if (lookahead == 'g') ADVANCE(1202);
      END_STATE();
    case 1161:
      if (lookahead == 'g') ADVANCE(1203);
      END_STATE();
    case 1162:
      if (lookahead == 'g') ADVANCE(1420);
      END_STATE();
    case 1163:
      if (lookahead == 'g') ADVANCE(1192);
      END_STATE();
    case 1164:
      if (lookahead == 'g') ADVANCE(1422);
      END_STATE();
    case 1165:
      if (lookahead == 'g') ADVANCE(1423);
      END_STATE();
    case 1166:
      if (lookahead == 'g') ADVANCE(1424);
      END_STATE();
    case 1167:
      if (lookahead == 'g') ADVANCE(1437);
      END_STATE();
    case 1168:
      if (lookahead == 'g') ADVANCE(1425);
      END_STATE();
    case 1169:
      if (lookahead == 'g') ADVANCE(1426);
      END_STATE();
    case 1170:
      if (lookahead == 'g') ADVANCE(487);
      END_STATE();
    case 1171:
      if (lookahead == 'g') ADVANCE(685);
      END_STATE();
    case 1172:
      if (lookahead == 'g') ADVANCE(1212);
      END_STATE();
    case 1173:
      if (lookahead == 'h') ADVANCE(872);
      END_STATE();
    case 1174:
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 1175:
      if (lookahead == 'h') ADVANCE(287);
      END_STATE();
    case 1176:
      if (lookahead == 'h') ADVANCE(507);
      END_STATE();
    case 1177:
      if (lookahead == 'h') ADVANCE(524);
      END_STATE();
    case 1178:
      if (lookahead == 'h') ADVANCE(345);
      END_STATE();
    case 1179:
      if (lookahead == 'h') ADVANCE(1949);
      END_STATE();
    case 1180:
      if (lookahead == 'h') ADVANCE(2099);
      END_STATE();
    case 1181:
      if (lookahead == 'h') ADVANCE(745);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1182:
      if (lookahead == 'h') ADVANCE(1214);
      END_STATE();
    case 1183:
      if (lookahead == 'h') ADVANCE(1214);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1648);
      END_STATE();
    case 1184:
      if (lookahead == 'h') ADVANCE(538);
      END_STATE();
    case 1185:
      if (lookahead == 'h') ADVANCE(1668);
      END_STATE();
    case 1186:
      if (lookahead == 'h') ADVANCE(1330);
      END_STATE();
    case 1187:
      if (lookahead == 'h') ADVANCE(1330);
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 1188:
      if (lookahead == 'h') ADVANCE(917);
      END_STATE();
    case 1189:
      if (lookahead == 'h') ADVANCE(2040);
      END_STATE();
    case 1190:
      if (lookahead == 'h') ADVANCE(1956);
      END_STATE();
    case 1191:
      if (lookahead == 'h') ADVANCE(548);
      END_STATE();
    case 1192:
      if (lookahead == 'h') ADVANCE(1994);
      END_STATE();
    case 1193:
      if (lookahead == 'h') ADVANCE(1958);
      END_STATE();
    case 1194:
      if (lookahead == 'h') ADVANCE(1986);
      END_STATE();
    case 1195:
      if (lookahead == 'h') ADVANCE(1971);
      END_STATE();
    case 1196:
      if (lookahead == 'h') ADVANCE(1217);
      END_STATE();
    case 1197:
      if (lookahead == 'h') ADVANCE(1962);
      END_STATE();
    case 1198:
      if (lookahead == 'h') ADVANCE(1964);
      END_STATE();
    case 1199:
      if (lookahead == 'h') ADVANCE(1981);
      END_STATE();
    case 1200:
      if (lookahead == 'h') ADVANCE(983);
      if (lookahead == 'r') ADVANCE(1325);
      END_STATE();
    case 1201:
      if (lookahead == 'h') ADVANCE(1966);
      END_STATE();
    case 1202:
      if (lookahead == 'h') ADVANCE(1968);
      END_STATE();
    case 1203:
      if (lookahead == 'h') ADVANCE(1965);
      END_STATE();
    case 1204:
      if (lookahead == 'h') ADVANCE(1059);
      END_STATE();
    case 1205:
      if (lookahead == 'h') ADVANCE(1251);
      END_STATE();
    case 1206:
      if (lookahead == 'h') ADVANCE(991);
      END_STATE();
    case 1207:
      if (lookahead == 'h') ADVANCE(1108);
      END_STATE();
    case 1208:
      if (lookahead == 'h') ADVANCE(1790);
      if (lookahead == 'i') ADVANCE(1488);
      if (lookahead == 'r') ADVANCE(1222);
      END_STATE();
    case 1209:
      if (lookahead == 'h') ADVANCE(1013);
      END_STATE();
    case 1210:
      if (lookahead == 'h') ADVANCE(1275);
      END_STATE();
    case 1211:
      if (lookahead == 'h') ADVANCE(1871);
      END_STATE();
    case 1212:
      if (lookahead == 'h') ADVANCE(2039);
      END_STATE();
    case 1213:
      if (lookahead == 'i') ADVANCE(872);
      END_STATE();
    case 1214:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 1215:
      if (lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 1216:
      if (lookahead == 'i') ADVANCE(271);
      END_STATE();
    case 1217:
      if (lookahead == 'i') ADVANCE(821);
      END_STATE();
    case 1218:
      if (lookahead == 'i') ADVANCE(2127);
      if (lookahead == 'o') ADVANCE(1209);
      END_STATE();
    case 1219:
      if (lookahead == 'i') ADVANCE(2143);
      END_STATE();
    case 1220:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 1221:
      if (lookahead == 'i') ADVANCE(291);
      END_STATE();
    case 1222:
      if (lookahead == 'i') ADVANCE(362);
      END_STATE();
    case 1223:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 1224:
      if (lookahead == 'i') ADVANCE(1741);
      END_STATE();
    case 1225:
      if (lookahead == 'i') ADVANCE(1741);
      if (lookahead == 'r') ADVANCE(1595);
      END_STATE();
    case 1226:
      if (lookahead == 'i') ADVANCE(1507);
      END_STATE();
    case 1227:
      if (lookahead == 'i') ADVANCE(1507);
      if (lookahead == 'n') ADVANCE(1949);
      END_STATE();
    case 1228:
      if (lookahead == 'i') ADVANCE(345);
      if (lookahead == 'm') ADVANCE(1486);
      if (lookahead == 'o') ADVANCE(1529);
      END_STATE();
    case 1229:
      if (lookahead == 'i') ADVANCE(1131);
      if (lookahead == 'u') ADVANCE(744);
      END_STATE();
    case 1230:
      if (lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1231:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 1232:
      if (lookahead == 'i') ADVANCE(1949);
      END_STATE();
    case 1233:
      if (lookahead == 'i') ADVANCE(2099);
      END_STATE();
    case 1234:
      if (lookahead == 'i') ADVANCE(867);
      END_STATE();
    case 1235:
      if (lookahead == 'i') ADVANCE(867);
      if (lookahead == 'o') ADVANCE(2083);
      END_STATE();
    case 1236:
      if (lookahead == 'i') ADVANCE(1496);
      END_STATE();
    case 1237:
      if (lookahead == 'i') ADVANCE(346);
      END_STATE();
    case 1238:
      if (lookahead == 'i') ADVANCE(1943);
      END_STATE();
    case 1239:
      if (lookahead == 'i') ADVANCE(1943);
      if (lookahead == 'p') ADVANCE(1623);
      END_STATE();
    case 1240:
      if (lookahead == 'i') ADVANCE(241);
      END_STATE();
    case 1241:
      if (lookahead == 'i') ADVANCE(1377);
      END_STATE();
    case 1242:
      if (lookahead == 'i') ADVANCE(1668);
      END_STATE();
    case 1243:
      if (lookahead == 'i') ADVANCE(1111);
      END_STATE();
    case 1244:
      if (lookahead == 'i') ADVANCE(1111);
      if (lookahead == 'l') ADVANCE(1243);
      END_STATE();
    case 1245:
      if (lookahead == 'i') ADVANCE(1093);
      END_STATE();
    case 1246:
      if (lookahead == 'i') ADVANCE(1454);
      END_STATE();
    case 1247:
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1248:
      if (lookahead == 'i') ADVANCE(1454);
      if (lookahead == 'l') ADVANCE(665);
      END_STATE();
    case 1249:
      if (lookahead == 'i') ADVANCE(1620);
      END_STATE();
    case 1250:
      if (lookahead == 'i') ADVANCE(1894);
      END_STATE();
    case 1251:
      if (lookahead == 'i') ADVANCE(1516);
      END_STATE();
    case 1252:
      if (lookahead == 'i') ADVANCE(1919);
      if (lookahead == 'l') ADVANCE(1629);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1253:
      if (lookahead == 'i') ADVANCE(1919);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1254:
      if (lookahead == 'i') ADVANCE(1349);
      END_STATE();
    case 1255:
      if (lookahead == 'i') ADVANCE(1124);
      END_STATE();
    case 1256:
      if (lookahead == 'i') ADVANCE(1135);
      END_STATE();
    case 1257:
      if (lookahead == 'i') ADVANCE(2060);
      END_STATE();
    case 1258:
      if (lookahead == 'i') ADVANCE(1495);
      END_STATE();
    case 1259:
      if (lookahead == 'i') ADVANCE(1379);
      END_STATE();
    case 1260:
      if (lookahead == 'i') ADVANCE(753);
      END_STATE();
    case 1261:
      if (lookahead == 'i') ADVANCE(1771);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1262:
      if (lookahead == 'i') ADVANCE(917);
      END_STATE();
    case 1263:
      if (lookahead == 'i') ADVANCE(1529);
      END_STATE();
    case 1264:
      if (lookahead == 'i') ADVANCE(679);
      END_STATE();
    case 1265:
      if (lookahead == 'i') ADVANCE(902);
      END_STATE();
    case 1266:
      if (lookahead == 'i') ADVANCE(1473);
      END_STATE();
    case 1267:
      if (lookahead == 'i') ADVANCE(1171);
      END_STATE();
    case 1268:
      if (lookahead == 'i') ADVANCE(1815);
      if (lookahead == 'l') ADVANCE(1087);
      if (lookahead == 'm') ADVANCE(1270);
      if (lookahead == 'r') ADVANCE(883);
      END_STATE();
    case 1269:
      if (lookahead == 'i') ADVANCE(1520);
      END_STATE();
    case 1270:
      if (lookahead == 'i') ADVANCE(1365);
      END_STATE();
    case 1271:
      if (lookahead == 'i') ADVANCE(984);
      END_STATE();
    case 1272:
      if (lookahead == 'i') ADVANCE(2055);
      END_STATE();
    case 1273:
      if (lookahead == 'i') ADVANCE(1560);
      END_STATE();
    case 1274:
      if (lookahead == 'i') ADVANCE(1553);
      END_STATE();
    case 1275:
      if (lookahead == 'i') ADVANCE(1498);
      END_STATE();
    case 1276:
      if (lookahead == 'i') ADVANCE(1395);
      if (lookahead == 'l') ADVANCE(1244);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1277:
      if (lookahead == 'i') ADVANCE(1132);
      END_STATE();
    case 1278:
      if (lookahead == 'i') ADVANCE(1383);
      END_STATE();
    case 1279:
      if (lookahead == 'i') ADVANCE(1531);
      if (lookahead == 'p') ADVANCE(1087);
      END_STATE();
    case 1280:
      if (lookahead == 'i') ADVANCE(1808);
      END_STATE();
    case 1281:
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'o') ADVANCE(1379);
      END_STATE();
    case 1282:
      if (lookahead == 'i') ADVANCE(1808);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1283:
      if (lookahead == 'i') ADVANCE(1381);
      END_STATE();
    case 1284:
      if (lookahead == 'i') ADVANCE(736);
      END_STATE();
    case 1285:
      if (lookahead == 'i') ADVANCE(627);
      END_STATE();
    case 1286:
      if (lookahead == 'i') ADVANCE(1934);
      END_STATE();
    case 1287:
      if (lookahead == 'i') ADVANCE(2105);
      END_STATE();
    case 1288:
      if (lookahead == 'i') ADVANCE(1714);
      END_STATE();
    case 1289:
      if (lookahead == 'i') ADVANCE(1539);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'u') ADVANCE(1510);
      END_STATE();
    case 1290:
      if (lookahead == 'i') ADVANCE(1400);
      END_STATE();
    case 1291:
      if (lookahead == 'i') ADVANCE(1478);
      END_STATE();
    case 1292:
      if (lookahead == 'i') ADVANCE(1533);
      END_STATE();
    case 1293:
      if (lookahead == 'i') ADVANCE(1938);
      END_STATE();
    case 1294:
      if (lookahead == 'i') ADVANCE(1933);
      END_STATE();
    case 1295:
      if (lookahead == 'i') ADVANCE(1488);
      END_STATE();
    case 1296:
      if (lookahead == 'i') ADVANCE(1474);
      END_STATE();
    case 1297:
      if (lookahead == 'i') ADVANCE(2014);
      END_STATE();
    case 1298:
      if (lookahead == 'i') ADVANCE(1411);
      END_STATE();
    case 1299:
      if (lookahead == 'i') ADVANCE(1537);
      END_STATE();
    case 1300:
      if (lookahead == 'i') ADVANCE(1028);
      END_STATE();
    case 1301:
      if (lookahead == 'i') ADVANCE(635);
      END_STATE();
    case 1302:
      if (lookahead == 'i') ADVANCE(1430);
      END_STATE();
    case 1303:
      if (lookahead == 'i') ADVANCE(1398);
      END_STATE();
    case 1304:
      if (lookahead == 'i') ADVANCE(1637);
      END_STATE();
    case 1305:
      if (lookahead == 'i') ADVANCE(1616);
      END_STATE();
    case 1306:
      if (lookahead == 'i') ADVANCE(1554);
      END_STATE();
    case 1307:
      if (lookahead == 'i') ADVANCE(1554);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1308:
      if (lookahead == 'i') ADVANCE(1145);
      END_STATE();
    case 1309:
      if (lookahead == 'i') ADVANCE(1431);
      END_STATE();
    case 1310:
      if (lookahead == 'i') ADVANCE(859);
      END_STATE();
    case 1311:
      if (lookahead == 'i') ADVANCE(863);
      END_STATE();
    case 1312:
      if (lookahead == 'i') ADVANCE(737);
      END_STATE();
    case 1313:
      if (lookahead == 'i') ADVANCE(1153);
      END_STATE();
    case 1314:
      if (lookahead == 'i') ADVANCE(1154);
      END_STATE();
    case 1315:
      if (lookahead == 'i') ADVANCE(1155);
      END_STATE();
    case 1316:
      if (lookahead == 'i') ADVANCE(1156);
      END_STATE();
    case 1317:
      if (lookahead == 'i') ADVANCE(1158);
      END_STATE();
    case 1318:
      if (lookahead == 'i') ADVANCE(1160);
      END_STATE();
    case 1319:
      if (lookahead == 'i') ADVANCE(1161);
      END_STATE();
    case 1320:
      if (lookahead == 'i') ADVANCE(1163);
      END_STATE();
    case 1321:
      if (lookahead == 'i') ADVANCE(1882);
      END_STATE();
    case 1322:
      if (lookahead == 'i') ADVANCE(703);
      END_STATE();
    case 1323:
      if (lookahead == 'i') ADVANCE(1172);
      END_STATE();
    case 1324:
      if (lookahead == 'i') ADVANCE(705);
      END_STATE();
    case 1325:
      if (lookahead == 'i') ADVANCE(706);
      END_STATE();
    case 1326:
      if (lookahead == 'i') ADVANCE(707);
      END_STATE();
    case 1327:
      if (lookahead == 'i') ADVANCE(708);
      END_STATE();
    case 1328:
      if (lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 1329:
      if (lookahead == 'j') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1328);
      END_STATE();
    case 1330:
      if (lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 1331:
      if (lookahead == 'k') ADVANCE(507);
      END_STATE();
    case 1332:
      if (lookahead == 'k') ADVANCE(861);
      END_STATE();
    case 1333:
      if (lookahead == 'k') ADVANCE(1435);
      END_STATE();
    case 1334:
      if (lookahead == 'k') ADVANCE(1408);
      END_STATE();
    case 1335:
      if (lookahead == 'k') ADVANCE(296);
      END_STATE();
    case 1336:
      if (lookahead == 'k') ADVANCE(275);
      END_STATE();
    case 1337:
      if (lookahead == 'k') ADVANCE(745);
      END_STATE();
    case 1338:
      if (lookahead == 'k') ADVANCE(745);
      if (lookahead == 'm') ADVANCE(287);
      END_STATE();
    case 1339:
      if (lookahead == 'k') ADVANCE(2121);
      END_STATE();
    case 1340:
      if (lookahead == 'k') ADVANCE(337);
      END_STATE();
    case 1341:
      if (lookahead == 'k') ADVANCE(1930);
      END_STATE();
    case 1342:
      if (lookahead == 'k') ADVANCE(948);
      END_STATE();
    case 1343:
      if (lookahead == 'k') ADVANCE(952);
      END_STATE();
    case 1344:
      if (lookahead == 'k') ADVANCE(662);
      END_STATE();
    case 1345:
      if (lookahead == 'k') ADVANCE(669);
      END_STATE();
    case 1346:
      if (lookahead == 'k') ADVANCE(669);
      if (lookahead == 'l') ADVANCE(600);
      END_STATE();
    case 1347:
      if (lookahead == 'k') ADVANCE(1299);
      END_STATE();
    case 1348:
      if (lookahead == 'l') ADVANCE(872);
      END_STATE();
    case 1349:
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1350:
      if (lookahead == 'l') ADVANCE(334);
      END_STATE();
    case 1351:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 1352:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 1353:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 1354:
      if (lookahead == 'l') ADVANCE(281);
      END_STATE();
    case 1355:
      if (lookahead == 'l') ADVANCE(2155);
      END_STATE();
    case 1356:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 1357:
      if (lookahead == 'l') ADVANCE(406);
      END_STATE();
    case 1358:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 1359:
      if (lookahead == 'l') ADVANCE(524);
      END_STATE();
    case 1360:
      if (lookahead == 'l') ADVANCE(2133);
      END_STATE();
    case 1361:
      if (lookahead == 'l') ADVANCE(1048);
      END_STATE();
    case 1362:
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'q') ADVANCE(2073);
      END_STATE();
    case 1363:
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'q') ADVANCE(2072);
      if (lookahead == 'x') ADVANCE(1238);
      END_STATE();
    case 1364:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 1365:
      if (lookahead == 'l') ADVANCE(1949);
      END_STATE();
    case 1366:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 1367:
      if (lookahead == 'l') ADVANCE(464);
      END_STATE();
    case 1368:
      if (lookahead == 'l') ADVANCE(730);
      END_STATE();
    case 1369:
      if (lookahead == 'l') ADVANCE(427);
      END_STATE();
    case 1370:
      if (lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 1371:
      if (lookahead == 'l') ADVANCE(509);
      END_STATE();
    case 1372:
      if (lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 1373:
      if (lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 1374:
      if (lookahead == 'l') ADVANCE(571);
      END_STATE();
    case 1375:
      if (lookahead == 'l') ADVANCE(246);
      END_STATE();
    case 1376:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 1377:
      if (lookahead == 'l') ADVANCE(900);
      END_STATE();
    case 1378:
      if (lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 1379:
      if (lookahead == 'l') ADVANCE(1620);
      END_STATE();
    case 1380:
      if (lookahead == 'l') ADVANCE(1330);
      END_STATE();
    case 1381:
      if (lookahead == 'l') ADVANCE(887);
      END_STATE();
    case 1382:
      if (lookahead == 'l') ADVANCE(887);
      if (lookahead == 'm') ADVANCE(984);
      END_STATE();
    case 1383:
      if (lookahead == 'l') ADVANCE(887);
      if (lookahead == 'm') ADVANCE(1006);
      END_STATE();
    case 1384:
      if (lookahead == 'l') ADVANCE(968);
      END_STATE();
    case 1385:
      if (lookahead == 'l') ADVANCE(1894);
      END_STATE();
    case 1386:
      if (lookahead == 'l') ADVANCE(839);
      END_STATE();
    case 1387:
      if (lookahead == 'l') ADVANCE(1250);
      END_STATE();
    case 1388:
      if (lookahead == 'l') ADVANCE(2132);
      END_STATE();
    case 1389:
      if (lookahead == 'l') ADVANCE(1216);
      END_STATE();
    case 1390:
      if (lookahead == 'l') ADVANCE(987);
      END_STATE();
    case 1391:
      if (lookahead == 'l') ADVANCE(1349);
      END_STATE();
    case 1392:
      if (lookahead == 'l') ADVANCE(2142);
      END_STATE();
    case 1393:
      if (lookahead == 'l') ADVANCE(1629);
      END_STATE();
    case 1394:
      if (lookahead == 'l') ADVANCE(2080);
      END_STATE();
    case 1395:
      if (lookahead == 'l') ADVANCE(1243);
      END_STATE();
    case 1396:
      if (lookahead == 'l') ADVANCE(1375);
      if (lookahead == 'm') ADVANCE(1680);
      END_STATE();
    case 1397:
      if (lookahead == 'l') ADVANCE(1372);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(245);
      if (lookahead == 'u') ADVANCE(735);
      if (lookahead == 'w') ADVANCE(1499);
      END_STATE();
    case 1398:
      if (lookahead == 'l') ADVANCE(917);
      END_STATE();
    case 1399:
      if (lookahead == 'l') ADVANCE(973);
      END_STATE();
    case 1400:
      if (lookahead == 'l') ADVANCE(1359);
      END_STATE();
    case 1401:
      if (lookahead == 'l') ADVANCE(1369);
      END_STATE();
    case 1402:
      if (lookahead == 'l') ADVANCE(988);
      END_STATE();
    case 1403:
      if (lookahead == 'l') ADVANCE(1450);
      if (lookahead == 's') ADVANCE(1185);
      END_STATE();
    case 1404:
      if (lookahead == 'l') ADVANCE(1647);
      END_STATE();
    case 1405:
      if (lookahead == 'l') ADVANCE(1271);
      END_STATE();
    case 1406:
      if (lookahead == 'l') ADVANCE(1242);
      END_STATE();
    case 1407:
      if (lookahead == 'l') ADVANCE(1367);
      END_STATE();
    case 1408:
      if (lookahead == 'l') ADVANCE(1598);
      if (lookahead == 's') ADVANCE(1738);
      if (lookahead == 't') ADVANCE(1893);
      END_STATE();
    case 1409:
      if (lookahead == 'l') ADVANCE(963);
      END_STATE();
    case 1410:
      if (lookahead == 'l') ADVANCE(963);
      if (lookahead == 'q') ADVANCE(1409);
      END_STATE();
    case 1411:
      if (lookahead == 'l') ADVANCE(1284);
      END_STATE();
    case 1412:
      if (lookahead == 'l') ADVANCE(587);
      END_STATE();
    case 1413:
      if (lookahead == 'l') ADVANCE(1371);
      END_STATE();
    case 1414:
      if (lookahead == 'l') ADVANCE(934);
      END_STATE();
    case 1415:
      if (lookahead == 'l') ADVANCE(935);
      END_STATE();
    case 1416:
      if (lookahead == 'l') ADVANCE(1632);
      END_STATE();
    case 1417:
      if (lookahead == 'l') ADVANCE(924);
      END_STATE();
    case 1418:
      if (lookahead == 'l') ADVANCE(1055);
      END_STATE();
    case 1419:
      if (lookahead == 'l') ADVANCE(977);
      if (lookahead == 'r') ADVANCE(1277);
      END_STATE();
    case 1420:
      if (lookahead == 'l') ADVANCE(942);
      END_STATE();
    case 1421:
      if (lookahead == 'l') ADVANCE(943);
      END_STATE();
    case 1422:
      if (lookahead == 'l') ADVANCE(955);
      END_STATE();
    case 1423:
      if (lookahead == 'l') ADVANCE(1075);
      END_STATE();
    case 1424:
      if (lookahead == 'l') ADVANCE(965);
      END_STATE();
    case 1425:
      if (lookahead == 'l') ADVANCE(945);
      END_STATE();
    case 1426:
      if (lookahead == 'l') ADVANCE(946);
      END_STATE();
    case 1427:
      if (lookahead == 'l') ADVANCE(947);
      END_STATE();
    case 1428:
      if (lookahead == 'l') ADVANCE(974);
      END_STATE();
    case 1429:
      if (lookahead == 'l') ADVANCE(600);
      END_STATE();
    case 1430:
      if (lookahead == 'l') ADVANCE(1251);
      END_STATE();
    case 1431:
      if (lookahead == 'l') ADVANCE(894);
      END_STATE();
    case 1432:
      if (lookahead == 'l') ADVANCE(894);
      if (lookahead == 'm') ADVANCE(978);
      if (lookahead == 'n') ADVANCE(1949);
      END_STATE();
    case 1433:
      if (lookahead == 'l') ADVANCE(1622);
      if (lookahead == 'n') ADVANCE(1140);
      if (lookahead == 'p') ADVANCE(1089);
      if (lookahead == 'u') ADVANCE(1561);
      END_STATE();
    case 1434:
      if (lookahead == 'l') ADVANCE(543);
      END_STATE();
    case 1435:
      if (lookahead == 'l') ADVANCE(959);
      if (lookahead == 'r') ADVANCE(1308);
      END_STATE();
    case 1436:
      if (lookahead == 'l') ADVANCE(1040);
      END_STATE();
    case 1437:
      if (lookahead == 'l') ADVANCE(1039);
      END_STATE();
    case 1438:
      if (lookahead == 'l') ADVANCE(655);
      END_STATE();
    case 1439:
      if (lookahead == 'l') ADVANCE(2056);
      END_STATE();
    case 1440:
      if (lookahead == 'l') ADVANCE(1402);
      END_STATE();
    case 1441:
      if (lookahead == 'l') ADVANCE(601);
      END_STATE();
    case 1442:
      if (lookahead == 'l') ADVANCE(1292);
      END_STATE();
    case 1443:
      if (lookahead == 'l') ADVANCE(1627);
      if (lookahead == 'm') ADVANCE(1483);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 1444:
      if (lookahead == 'l') ADVANCE(1840);
      END_STATE();
    case 1445:
      if (lookahead == 'l') ADVANCE(1226);
      END_STATE();
    case 1446:
      if (lookahead == 'l') ADVANCE(1387);
      END_STATE();
    case 1447:
      if (lookahead == 'l') ADVANCE(1274);
      END_STATE();
    case 1448:
      if (lookahead == 'l') ADVANCE(1390);
      END_STATE();
    case 1449:
      if (lookahead == 'l') ADVANCE(677);
      END_STATE();
    case 1450:
      if (lookahead == 'l') ADVANCE(1946);
      END_STATE();
    case 1451:
      if (lookahead == 'l') ADVANCE(1442);
      END_STATE();
    case 1452:
      if (lookahead == 'l') ADVANCE(1043);
      if (lookahead == 'm') ADVANCE(622);
      if (lookahead == 'r') ADVANCE(1308);
      END_STATE();
    case 1453:
      if (lookahead == 'l') ADVANCE(1070);
      if (lookahead == 'r') ADVANCE(1320);
      END_STATE();
    case 1454:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 1455:
      if (lookahead == 'm') ADVANCE(287);
      END_STATE();
    case 1456:
      if (lookahead == 'm') ADVANCE(287);
      if (lookahead == 'r') ADVANCE(1579);
      END_STATE();
    case 1457:
      if (lookahead == 'm') ADVANCE(507);
      END_STATE();
    case 1458:
      if (lookahead == 'm') ADVANCE(308);
      END_STATE();
    case 1459:
      if (lookahead == 'm') ADVANCE(358);
      END_STATE();
    case 1460:
      if (lookahead == 'm') ADVANCE(357);
      END_STATE();
    case 1461:
      if (lookahead == 'm') ADVANCE(524);
      END_STATE();
    case 1462:
      if (lookahead == 'm') ADVANCE(1307);
      END_STATE();
    case 1463:
      if (lookahead == 'm') ADVANCE(1214);
      END_STATE();
    case 1464:
      if (lookahead == 'm') ADVANCE(241);
      END_STATE();
    case 1465:
      if (lookahead == 'm') ADVANCE(1668);
      END_STATE();
    case 1466:
      if (lookahead == 'm') ADVANCE(1698);
      END_STATE();
    case 1467:
      if (lookahead == 'm') ADVANCE(1679);
      END_STATE();
    case 1468:
      if (lookahead == 'm') ADVANCE(1213);
      END_STATE();
    case 1469:
      if (lookahead == 'm') ADVANCE(1213);
      if (lookahead == 'p') ADVANCE(674);
      END_STATE();
    case 1470:
      if (lookahead == 'm') ADVANCE(1461);
      END_STATE();
    case 1471:
      if (lookahead == 'm') ADVANCE(249);
      END_STATE();
    case 1472:
      if (lookahead == 'm') ADVANCE(1702);
      END_STATE();
    case 1473:
      if (lookahead == 'm') ADVANCE(250);
      END_STATE();
    case 1474:
      if (lookahead == 'm') ADVANCE(564);
      END_STATE();
    case 1475:
      if (lookahead == 'm') ADVANCE(987);
      END_STATE();
    case 1476:
      if (lookahead == 'm') ADVANCE(1349);
      END_STATE();
    case 1477:
      if (lookahead == 'm') ADVANCE(1495);
      END_STATE();
    case 1478:
      if (lookahead == 'm') ADVANCE(917);
      END_STATE();
    case 1479:
      if (lookahead == 'm') ADVANCE(1694);
      END_STATE();
    case 1480:
      if (lookahead == 'm') ADVANCE(1689);
      END_STATE();
    case 1481:
      if (lookahead == 'm') ADVANCE(679);
      END_STATE();
    case 1482:
      if (lookahead == 'm') ADVANCE(552);
      END_STATE();
    case 1483:
      if (lookahead == 'm') ADVANCE(559);
      if (lookahead == 'p') ADVANCE(269);
      END_STATE();
    case 1484:
      if (lookahead == 'm') ADVANCE(950);
      END_STATE();
    case 1485:
      if (lookahead == 'm') ADVANCE(950);
      if (lookahead == 'x') ADVANCE(984);
      END_STATE();
    case 1486:
      if (lookahead == 'm') ADVANCE(548);
      END_STATE();
    case 1487:
      if (lookahead == 'm') ADVANCE(532);
      END_STATE();
    case 1488:
      if (lookahead == 'm') ADVANCE(984);
      END_STATE();
    case 1489:
      if (lookahead == 'm') ADVANCE(1710);
      END_STATE();
    case 1490:
      if (lookahead == 'm') ADVANCE(970);
      END_STATE();
    case 1491:
      if (lookahead == 'm') ADVANCE(1482);
      END_STATE();
    case 1492:
      if (lookahead == 'm') ADVANCE(1306);
      END_STATE();
    case 1493:
      if (lookahead == 'm') ADVANCE(673);
      END_STATE();
    case 1494:
      if (lookahead == 'n') ADVANCE(872);
      END_STATE();
    case 1495:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1496:
      if (lookahead == 'n') ADVANCE(271);
      END_STATE();
    case 1497:
      if (lookahead == 'n') ADVANCE(415);
      END_STATE();
    case 1498:
      if (lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 1499:
      if (lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 1500:
      if (lookahead == 'n') ADVANCE(352);
      END_STATE();
    case 1501:
      if (lookahead == 'n') ADVANCE(831);
      END_STATE();
    case 1502:
      if (lookahead == 'n') ADVANCE(2150);
      END_STATE();
    case 1503:
      if (lookahead == 'n') ADVANCE(166);
      END_STATE();
    case 1504:
      if (lookahead == 'n') ADVANCE(514);
      END_STATE();
    case 1505:
      if (lookahead == 'n') ADVANCE(518);
      END_STATE();
    case 1506:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 1507:
      if (lookahead == 'n') ADVANCE(1949);
      END_STATE();
    case 1508:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 1509:
      if (lookahead == 'n') ADVANCE(480);
      END_STATE();
    case 1510:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 1511:
      if (lookahead == 'n') ADVANCE(2126);
      END_STATE();
    case 1512:
      if (lookahead == 'n') ADVANCE(409);
      END_STATE();
    case 1513:
      if (lookahead == 'n') ADVANCE(1109);
      END_STATE();
    case 1514:
      if (lookahead == 'n') ADVANCE(907);
      END_STATE();
    case 1515:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 1516:
      if (lookahead == 'n') ADVANCE(1111);
      END_STATE();
    case 1517:
      if (lookahead == 'n') ADVANCE(1111);
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 1518:
      if (lookahead == 'n') ADVANCE(2009);
      END_STATE();
    case 1519:
      if (lookahead == 'n') ADVANCE(1117);
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'w') ADVANCE(1018);
      END_STATE();
    case 1520:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 1521:
      if (lookahead == 'n') ADVANCE(1330);
      END_STATE();
    case 1522:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 1523:
      if (lookahead == 'n') ADVANCE(1894);
      END_STATE();
    case 1524:
      if (lookahead == 'n') ADVANCE(880);
      END_STATE();
    case 1525:
      if (lookahead == 'n') ADVANCE(244);
      END_STATE();
    case 1526:
      if (lookahead == 'n') ADVANCE(1141);
      if (lookahead == 'r') ADVANCE(998);
      END_STATE();
    case 1527:
      if (lookahead == 'n') ADVANCE(837);
      END_STATE();
    case 1528:
      if (lookahead == 'n') ADVANCE(1157);
      END_STATE();
    case 1529:
      if (lookahead == 'n') ADVANCE(917);
      END_STATE();
    case 1530:
      if (lookahead == 'n') ADVANCE(1115);
      END_STATE();
    case 1531:
      if (lookahead == 'n') ADVANCE(865);
      END_STATE();
    case 1532:
      if (lookahead == 'n') ADVANCE(1625);
      END_STATE();
    case 1533:
      if (lookahead == 'n') ADVANCE(1143);
      END_STATE();
    case 1534:
      if (lookahead == 'n') ADVANCE(890);
      END_STATE();
    case 1535:
      if (lookahead == 'n') ADVANCE(1170);
      END_STATE();
    case 1536:
      if (lookahead == 'n') ADVANCE(948);
      END_STATE();
    case 1537:
      if (lookahead == 'n') ADVANCE(1118);
      END_STATE();
    case 1538:
      if (lookahead == 'n') ADVANCE(860);
      END_STATE();
    case 1539:
      if (lookahead == 'n') ADVANCE(2027);
      END_STATE();
    case 1540:
      if (lookahead == 'n') ADVANCE(1960);
      END_STATE();
    case 1541:
      if (lookahead == 'n') ADVANCE(1974);
      END_STATE();
    case 1542:
      if (lookahead == 'n') ADVANCE(1999);
      END_STATE();
    case 1543:
      if (lookahead == 'n') ADVANCE(2001);
      END_STATE();
    case 1544:
      if (lookahead == 'n') ADVANCE(979);
      END_STATE();
    case 1545:
      if (lookahead == 'n') ADVANCE(982);
      END_STATE();
    case 1546:
      if (lookahead == 'n') ADVANCE(1419);
      END_STATE();
    case 1547:
      if (lookahead == 'n') ADVANCE(2058);
      END_STATE();
    case 1548:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 1549:
      if (lookahead == 'n') ADVANCE(1136);
      END_STATE();
    case 1550:
      if (lookahead == 'n') ADVANCE(1139);
      END_STATE();
    case 1551:
      if (lookahead == 'n') ADVANCE(1064);
      END_STATE();
    case 1552:
      if (lookahead == 'n') ADVANCE(1249);
      END_STATE();
    case 1553:
      if (lookahead == 'n') ADVANCE(2017);
      END_STATE();
    case 1554:
      if (lookahead == 'n') ADVANCE(2056);
      END_STATE();
    case 1555:
      if (lookahead == 'n') ADVANCE(1630);
      END_STATE();
    case 1556:
      if (lookahead == 'n') ADVANCE(2018);
      END_STATE();
    case 1557:
      if (lookahead == 'n') ADVANCE(1226);
      END_STATE();
    case 1558:
      if (lookahead == 'n') ADVANCE(2016);
      END_STATE();
    case 1559:
      if (lookahead == 'n') ADVANCE(2036);
      END_STATE();
    case 1560:
      if (lookahead == 'n') ADVANCE(647);
      END_STATE();
    case 1561:
      if (lookahead == 'n') ADVANCE(2028);
      END_STATE();
    case 1562:
      if (lookahead == 'n') ADVANCE(1162);
      END_STATE();
    case 1563:
      if (lookahead == 'n') ADVANCE(2026);
      END_STATE();
    case 1564:
      if (lookahead == 'n') ADVANCE(1305);
      END_STATE();
    case 1565:
      if (lookahead == 'n') ADVANCE(1067);
      END_STATE();
    case 1566:
      if (lookahead == 'n') ADVANCE(1164);
      if (lookahead == 'r') ADVANCE(1844);
      END_STATE();
    case 1567:
      if (lookahead == 'n') ADVANCE(1164);
      if (lookahead == 'r') ADVANCE(1848);
      END_STATE();
    case 1568:
      if (lookahead == 'n') ADVANCE(2030);
      END_STATE();
    case 1569:
      if (lookahead == 'n') ADVANCE(1165);
      END_STATE();
    case 1570:
      if (lookahead == 'n') ADVANCE(1166);
      END_STATE();
    case 1571:
      if (lookahead == 'n') ADVANCE(2032);
      END_STATE();
    case 1572:
      if (lookahead == 'n') ADVANCE(1167);
      END_STATE();
    case 1573:
      if (lookahead == 'n') ADVANCE(1168);
      END_STATE();
    case 1574:
      if (lookahead == 'n') ADVANCE(1169);
      END_STATE();
    case 1575:
      if (lookahead == 'n') ADVANCE(2037);
      END_STATE();
    case 1576:
      if (lookahead == 'n') ADVANCE(696);
      END_STATE();
    case 1577:
      if (lookahead == 'n') ADVANCE(685);
      END_STATE();
    case 1578:
      if (lookahead == 'o') ADVANCE(872);
      END_STATE();
    case 1579:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 1580:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 1581:
      if (lookahead == 'o') ADVANCE(1087);
      END_STATE();
    case 1582:
      if (lookahead == 'o') ADVANCE(2117);
      END_STATE();
    case 1583:
      if (lookahead == 'o') ADVANCE(519);
      END_STATE();
    case 1584:
      if (lookahead == 'o') ADVANCE(2097);
      END_STATE();
    case 1585:
      if (lookahead == 'o') ADVANCE(238);
      END_STATE();
    case 1586:
      if (lookahead == 'o') ADVANCE(1951);
      END_STATE();
    case 1587:
      if (lookahead == 'o') ADVANCE(1950);
      END_STATE();
    case 1588:
      if (lookahead == 'o') ADVANCE(1741);
      END_STATE();
    case 1589:
      if (lookahead == 'o') ADVANCE(1949);
      END_STATE();
    case 1590:
      if (lookahead == 'o') ADVANCE(1949);
      if (lookahead == 's') ADVANCE(2050);
      END_STATE();
    case 1591:
      if (lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 1592:
      if (lookahead == 'o') ADVANCE(2128);
      END_STATE();
    case 1593:
      if (lookahead == 'o') ADVANCE(820);
      END_STATE();
    case 1594:
      if (lookahead == 'o') ADVANCE(2126);
      END_STATE();
    case 1595:
      if (lookahead == 'o') ADVANCE(1920);
      END_STATE();
    case 1596:
      if (lookahead == 'o') ADVANCE(333);
      END_STATE();
    case 1597:
      if (lookahead == 'o') ADVANCE(2107);
      END_STATE();
    case 1598:
      if (lookahead == 'o') ADVANCE(2146);
      END_STATE();
    case 1599:
      if (lookahead == 'o') ADVANCE(1668);
      END_STATE();
    case 1600:
      if (lookahead == 'o') ADVANCE(1557);
      END_STATE();
    case 1601:
      if (lookahead == 'o') ADVANCE(2108);
      END_STATE();
    case 1602:
      if (lookahead == 'o') ADVANCE(2109);
      END_STATE();
    case 1603:
      if (lookahead == 'o') ADVANCE(1454);
      END_STATE();
    case 1604:
      if (lookahead == 'o') ADVANCE(1330);
      END_STATE();
    case 1605:
      if (lookahead == 'o') ADVANCE(2004);
      END_STATE();
    case 1606:
      if (lookahead == 'o') ADVANCE(2110);
      END_STATE();
    case 1607:
      if (lookahead == 'o') ADVANCE(2122);
      END_STATE();
    case 1608:
      if (lookahead == 'o') ADVANCE(1894);
      END_STATE();
    case 1609:
      if (lookahead == 'o') ADVANCE(1516);
      END_STATE();
    case 1610:
      if (lookahead == 'o') ADVANCE(1516);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1611:
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 1612:
      if (lookahead == 'o') ADVANCE(2116);
      END_STATE();
    case 1613:
      if (lookahead == 'o') ADVANCE(2111);
      END_STATE();
    case 1614:
      if (lookahead == 'o') ADVANCE(1349);
      if (lookahead == 'u') ADVANCE(709);
      END_STATE();
    case 1615:
      if (lookahead == 'o') ADVANCE(895);
      END_STATE();
    case 1616:
      if (lookahead == 'o') ADVANCE(1523);
      END_STATE();
    case 1617:
      if (lookahead == 'o') ADVANCE(2114);
      END_STATE();
    case 1618:
      if (lookahead == 'o') ADVANCE(1955);
      END_STATE();
    case 1619:
      if (lookahead == 'o') ADVANCE(1795);
      END_STATE();
    case 1620:
      if (lookahead == 'o') ADVANCE(1495);
      END_STATE();
    case 1621:
      if (lookahead == 'o') ADVANCE(1495);
      if (lookahead == 'r') ADVANCE(556);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1622:
      if (lookahead == 'o') ADVANCE(1515);
      END_STATE();
    case 1623:
      if (lookahead == 'o') ADVANCE(1551);
      END_STATE();
    case 1624:
      if (lookahead == 'o') ADVANCE(1506);
      END_STATE();
    case 1625:
      if (lookahead == 'o') ADVANCE(2093);
      END_STATE();
    case 1626:
      if (lookahead == 'o') ADVANCE(1494);
      END_STATE();
    case 1627:
      if (lookahead == 'o') ADVANCE(1522);
      END_STATE();
    case 1628:
      if (lookahead == 'o') ADVANCE(2095);
      END_STATE();
    case 1629:
      if (lookahead == 'o') ADVANCE(1588);
      END_STATE();
    case 1630:
      if (lookahead == 'o') ADVANCE(2041);
      END_STATE();
    case 1631:
      if (lookahead == 'o') ADVANCE(1348);
      END_STATE();
    case 1632:
      if (lookahead == 'o') ADVANCE(819);
      END_STATE();
    case 1633:
      if (lookahead == 'o') ADVANCE(1990);
      END_STATE();
    case 1634:
      if (lookahead == 'o') ADVANCE(1992);
      END_STATE();
    case 1635:
      if (lookahead == 'o') ADVANCE(2034);
      END_STATE();
    case 1636:
      if (lookahead == 'o') ADVANCE(1546);
      END_STATE();
    case 1637:
      if (lookahead == 'o') ADVANCE(1548);
      END_STATE();
    case 1638:
      if (lookahead == 'o') ADVANCE(1514);
      END_STATE();
    case 1639:
      if (lookahead == 'o') ADVANCE(1807);
      if (lookahead == 'r') ADVANCE(1599);
      END_STATE();
    case 1640:
      if (lookahead == 'o') ADVANCE(1832);
      END_STATE();
    case 1641:
      if (lookahead == 'o') ADVANCE(1834);
      if (lookahead == 'r') ADVANCE(1599);
      END_STATE();
    case 1642:
      if (lookahead == 'o') ADVANCE(1758);
      END_STATE();
    case 1643:
      if (lookahead == 'o') ADVANCE(2118);
      END_STATE();
    case 1644:
      if (lookahead == 'o') ADVANCE(1470);
      END_STATE();
    case 1645:
      if (lookahead == 'o') ADVANCE(1470);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1646:
      if (lookahead == 'o') ADVANCE(1813);
      END_STATE();
    case 1647:
      if (lookahead == 'o') ADVANCE(1697);
      END_STATE();
    case 1648:
      if (lookahead == 'o') ADVANCE(1708);
      END_STATE();
    case 1649:
      if (lookahead == 'o') ADVANCE(2077);
      END_STATE();
    case 1650:
      if (lookahead == 'o') ADVANCE(2124);
      END_STATE();
    case 1651:
      if (lookahead == 'o') ADVANCE(2119);
      END_STATE();
    case 1652:
      if (lookahead == 'o') ADVANCE(2083);
      END_STATE();
    case 1653:
      if (lookahead == 'o') ADVANCE(1998);
      END_STATE();
    case 1654:
      if (lookahead == 'o') ADVANCE(1550);
      if (lookahead == 'u') ADVANCE(1688);
      END_STATE();
    case 1655:
      if (lookahead == 'o') ADVANCE(2120);
      END_STATE();
    case 1656:
      if (lookahead == 'o') ADVANCE(1563);
      END_STATE();
    case 1657:
      if (lookahead == 'o') ADVANCE(1828);
      END_STATE();
    case 1658:
      if (lookahead == 'o') ADVANCE(1636);
      END_STATE();
    case 1659:
      if (lookahead == 'o') ADVANCE(1809);
      END_STATE();
    case 1660:
      if (lookahead == 'o') ADVANCE(1542);
      END_STATE();
    case 1661:
      if (lookahead == 'o') ADVANCE(1616);
      END_STATE();
    case 1662:
      if (lookahead == 'o') ADVANCE(1638);
      END_STATE();
    case 1663:
      if (lookahead == 'o') ADVANCE(1874);
      END_STATE();
    case 1664:
      if (lookahead == 'o') ADVANCE(1445);
      END_STATE();
    case 1665:
      if (lookahead == 'o') ADVANCE(2098);
      END_STATE();
    case 1666:
      if (lookahead == 'o') ADVANCE(2125);
      END_STATE();
    case 1667:
      if (lookahead == 'p') ADVANCE(1945);
      END_STATE();
    case 1668:
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 1669:
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1620);
      END_STATE();
    case 1670:
      if (lookahead == 'p') ADVANCE(1177);
      END_STATE();
    case 1671:
      if (lookahead == 'p') ADVANCE(1087);
      END_STATE();
    case 1672:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'r') ADVANCE(666);
      END_STATE();
    case 1673:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'r') ADVANCE(407);
      if (lookahead == 'u') ADVANCE(1825);
      END_STATE();
    case 1674:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'r') ADVANCE(1219);
      END_STATE();
    case 1675:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(161);
      if (lookahead == 'u') ADVANCE(734);
      if (lookahead == 'w') ADVANCE(1497);
      END_STATE();
    case 1676:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 't') ADVANCE(341);
      if (lookahead == 'w') ADVANCE(2010);
      if (lookahead == 'x') ADVANCE(442);
      END_STATE();
    case 1677:
      if (lookahead == 'p') ADVANCE(1087);
      if (lookahead == 'u') ADVANCE(1524);
      END_STATE();
    case 1678:
      if (lookahead == 'p') ADVANCE(160);
      END_STATE();
    case 1679:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 1680:
      if (lookahead == 'p') ADVANCE(167);
      END_STATE();
    case 1681:
      if (lookahead == 'p') ADVANCE(141);
      END_STATE();
    case 1682:
      if (lookahead == 'p') ADVANCE(452);
      END_STATE();
    case 1683:
      if (lookahead == 'p') ADVANCE(410);
      END_STATE();
    case 1684:
      if (lookahead == 'p') ADVANCE(1741);
      if (lookahead == 's') ADVANCE(753);
      END_STATE();
    case 1685:
      if (lookahead == 'p') ADVANCE(524);
      END_STATE();
    case 1686:
      if (lookahead == 'p') ADVANCE(312);
      END_STATE();
    case 1687:
      if (lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 1688:
      if (lookahead == 'p') ADVANCE(425);
      END_STATE();
    case 1689:
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 1690:
      if (lookahead == 'p') ADVANCE(322);
      END_STATE();
    case 1691:
      if (lookahead == 'p') ADVANCE(1174);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1692:
      if (lookahead == 'p') ADVANCE(1685);
      END_STATE();
    case 1693:
      if (lookahead == 'p') ADVANCE(1894);
      if (lookahead == 'r') ADVANCE(1620);
      END_STATE();
    case 1694:
      if (lookahead == 'p') ADVANCE(250);
      END_STATE();
    case 1695:
      if (lookahead == 'p') ADVANCE(1360);
      END_STATE();
    case 1696:
      if (lookahead == 'p') ADVANCE(1705);
      END_STATE();
    case 1697:
      if (lookahead == 'p') ADVANCE(917);
      END_STATE();
    case 1698:
      if (lookahead == 'p') ADVANCE(964);
      END_STATE();
    case 1699:
      if (lookahead == 'p') ADVANCE(1439);
      END_STATE();
    case 1700:
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 1701:
      if (lookahead == 'p') ADVANCE(1917);
      END_STATE();
    case 1702:
      if (lookahead == 'p') ADVANCE(1989);
      END_STATE();
    case 1703:
      if (lookahead == 'p') ADVANCE(1715);
      END_STATE();
    case 1704:
      if (lookahead == 'p') ADVANCE(1715);
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 1705:
      if (lookahead == 'p') ADVANCE(544);
      END_STATE();
    case 1706:
      if (lookahead == 'p') ADVANCE(1658);
      END_STATE();
    case 1707:
      if (lookahead == 'p') ADVANCE(1441);
      END_STATE();
    case 1708:
      if (lookahead == 'p') ADVANCE(1980);
      END_STATE();
    case 1709:
      if (lookahead == 'p') ADVANCE(1608);
      END_STATE();
    case 1710:
      if (lookahead == 'p') ADVANCE(1405);
      END_STATE();
    case 1711:
      if (lookahead == 'p') ADVANCE(663);
      END_STATE();
    case 1712:
      if (lookahead == 'p') ADVANCE(1935);
      END_STATE();
    case 1713:
      if (lookahead == 'p') ADVANCE(1840);
      if (lookahead == 's') ADVANCE(2068);
      END_STATE();
    case 1714:
      if (lookahead == 'p') ADVANCE(1417);
      END_STATE();
    case 1715:
      if (lookahead == 'p') ADVANCE(1820);
      END_STATE();
    case 1716:
      if (lookahead == 'p') ADVANCE(645);
      END_STATE();
    case 1717:
      if (lookahead == 'p') ADVANCE(694);
      END_STATE();
    case 1718:
      if (lookahead == 'p') ADVANCE(463);
      END_STATE();
    case 1719:
      if (lookahead == 'p') ADVANCE(1662);
      END_STATE();
    case 1720:
      if (lookahead == 'p') ADVANCE(678);
      END_STATE();
    case 1721:
      if (lookahead == 'p') ADVANCE(1661);
      END_STATE();
    case 1722:
      if (lookahead == 'p') ADVANCE(696);
      END_STATE();
    case 1723:
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 1724:
      if (lookahead == 'q') ADVANCE(233);
      END_STATE();
    case 1725:
      if (lookahead == 'q') ADVANCE(1410);
      END_STATE();
    case 1726:
      if (lookahead == 'q') ADVANCE(1148);
      END_STATE();
    case 1727:
      if (lookahead == 'q') ADVANCE(1713);
      END_STATE();
    case 1728:
      if (lookahead == 'q') ADVANCE(313);
      END_STATE();
    case 1729:
      if (lookahead == 'q') ADVANCE(1723);
      END_STATE();
    case 1730:
      if (lookahead == 'q') ADVANCE(2044);
      END_STATE();
    case 1731:
      if (lookahead == 'q') ADVANCE(2063);
      END_STATE();
    case 1732:
      if (lookahead == 'q') ADVANCE(2096);
      if (lookahead == 'u') ADVANCE(732);
      END_STATE();
    case 1733:
      if (lookahead == 'q') ADVANCE(2084);
      END_STATE();
    case 1734:
      if (lookahead == 'q') ADVANCE(2073);
      END_STATE();
    case 1735:
      if (lookahead == 'q') ADVANCE(838);
      if (lookahead == 't') ADVANCE(538);
      END_STATE();
    case 1736:
      if (lookahead == 'q') ADVANCE(2087);
      END_STATE();
    case 1737:
      if (lookahead == 'q') ADVANCE(2091);
      END_STATE();
    case 1738:
      if (lookahead == 'q') ADVANCE(2094);
      END_STATE();
    case 1739:
      if (lookahead == 'r') ADVANCE(872);
      END_STATE();
    case 1740:
      if (lookahead == 'r') ADVANCE(926);
      END_STATE();
    case 1741:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1742:
      if (lookahead == 'r') ADVANCE(432);
      END_STATE();
    case 1743:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 1744:
      if (lookahead == 'r') ADVANCE(1087);
      END_STATE();
    case 1745:
      if (lookahead == 'r') ADVANCE(350);
      END_STATE();
    case 1746:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 1747:
      if (lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 1748:
      if (lookahead == 'r') ADVANCE(796);
      END_STATE();
    case 1749:
      if (lookahead == 'r') ADVANCE(416);
      END_STATE();
    case 1750:
      if (lookahead == 'r') ADVANCE(2159);
      END_STATE();
    case 1751:
      if (lookahead == 'r') ADVANCE(265);
      END_STATE();
    case 1752:
      if (lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 1753:
      if (lookahead == 'r') ADVANCE(1187);
      END_STATE();
    case 1754:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 1755:
      if (lookahead == 'r') ADVANCE(489);
      END_STATE();
    case 1756:
      if (lookahead == 'r') ADVANCE(356);
      END_STATE();
    case 1757:
      if (lookahead == 'r') ADVANCE(2164);
      END_STATE();
    case 1758:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 1759:
      if (lookahead == 'r') ADVANCE(171);
      END_STATE();
    case 1760:
      if (lookahead == 'r') ADVANCE(1741);
      END_STATE();
    case 1761:
      if (lookahead == 'r') ADVANCE(303);
      END_STATE();
    case 1762:
      if (lookahead == 'r') ADVANCE(471);
      END_STATE();
    case 1763:
      if (lookahead == 'r') ADVANCE(746);
      END_STATE();
    case 1764:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 1765:
      if (lookahead == 'r') ADVANCE(273);
      END_STATE();
    case 1766:
      if (lookahead == 'r') ADVANCE(1949);
      END_STATE();
    case 1767:
      if (lookahead == 'r') ADVANCE(1949);
      if (lookahead == 'u') ADVANCE(680);
      END_STATE();
    case 1768:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 1769:
      if (lookahead == 'r') ADVANCE(899);
      END_STATE();
    case 1770:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 1771:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 1772:
      if (lookahead == 'r') ADVANCE(208);
      END_STATE();
    case 1773:
      if (lookahead == 'r') ADVANCE(483);
      END_STATE();
    case 1774:
      if (lookahead == 'r') ADVANCE(745);
      END_STATE();
    case 1775:
      if (lookahead == 'r') ADVANCE(575);
      END_STATE();
    case 1776:
      if (lookahead == 'r') ADVANCE(1214);
      END_STATE();
    case 1777:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 1778:
      if (lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 1779:
      if (lookahead == 'r') ADVANCE(294);
      END_STATE();
    case 1780:
      if (lookahead == 'r') ADVANCE(875);
      END_STATE();
    case 1781:
      if (lookahead == 'r') ADVANCE(867);
      END_STATE();
    case 1782:
      if (lookahead == 'r') ADVANCE(1579);
      END_STATE();
    case 1783:
      if (lookahead == 'r') ADVANCE(299);
      END_STATE();
    case 1784:
      if (lookahead == 'r') ADVANCE(1340);
      END_STATE();
    case 1785:
      if (lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 1786:
      if (lookahead == 'r') ADVANCE(428);
      END_STATE();
    case 1787:
      if (lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 1788:
      if (lookahead == 'r') ADVANCE(857);
      END_STATE();
    case 1789:
      if (lookahead == 'r') ADVANCE(1668);
      END_STATE();
    case 1790:
      if (lookahead == 'r') ADVANCE(994);
      END_STATE();
    case 1791:
      if (lookahead == 'r') ADVANCE(2009);
      END_STATE();
    case 1792:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 1793:
      if (lookahead == 'r') ADVANCE(529);
      END_STATE();
    case 1794:
      if (lookahead == 'r') ADVANCE(1620);
      END_STATE();
    case 1795:
      if (lookahead == 'r') ADVANCE(1330);
      END_STATE();
    case 1796:
      if (lookahead == 'r') ADVANCE(2136);
      END_STATE();
    case 1797:
      if (lookahead == 'r') ADVANCE(2138);
      END_STATE();
    case 1798:
      if (lookahead == 'r') ADVANCE(1583);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 1799:
      if (lookahead == 'r') ADVANCE(1894);
      END_STATE();
    case 1800:
      if (lookahead == 'r') ADVANCE(987);
      END_STATE();
    case 1801:
      if (lookahead == 'r') ADVANCE(1578);
      END_STATE();
    case 1802:
      if (lookahead == 'r') ADVANCE(556);
      END_STATE();
    case 1803:
      if (lookahead == 'r') ADVANCE(2115);
      END_STATE();
    case 1804:
      if (lookahead == 'r') ADVANCE(2137);
      END_STATE();
    case 1805:
      if (lookahead == 'r') ADVANCE(1045);
      END_STATE();
    case 1806:
      if (lookahead == 'r') ADVANCE(1186);
      END_STATE();
    case 1807:
      if (lookahead == 'r') ADVANCE(1495);
      END_STATE();
    case 1808:
      if (lookahead == 'r') ADVANCE(753);
      END_STATE();
    case 1809:
      if (lookahead == 'r') ADVANCE(917);
      END_STATE();
    case 1810:
      if (lookahead == 'r') ADVANCE(1599);
      END_STATE();
    case 1811:
      if (lookahead == 'r') ADVANCE(1291);
      END_STATE();
    case 1812:
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1813:
      if (lookahead == 'r') ADVANCE(1957);
      END_STATE();
    case 1814:
      if (lookahead == 'r') ADVANCE(1592);
      END_STATE();
    case 1815:
      if (lookahead == 'r') ADVANCE(1914);
      END_STATE();
    case 1816:
      if (lookahead == 'r') ADVANCE(826);
      END_STATE();
    case 1817:
      if (lookahead == 'r') ADVANCE(1597);
      END_STATE();
    case 1818:
      if (lookahead == 'r') ADVANCE(1750);
      END_STATE();
    case 1819:
      if (lookahead == 'r') ADVANCE(591);
      END_STATE();
    case 1820:
      if (lookahead == 'r') ADVANCE(1594);
      END_STATE();
    case 1821:
      if (lookahead == 'r') ADVANCE(2027);
      END_STATE();
    case 1822:
      if (lookahead == 'r') ADVANCE(1706);
      END_STATE();
    case 1823:
      if (lookahead == 'r') ADVANCE(2020);
      END_STATE();
    case 1824:
      if (lookahead == 'r') ADVANCE(1936);
      END_STATE();
    case 1825:
      if (lookahead == 'r') ADVANCE(1300);
      END_STATE();
    case 1826:
      if (lookahead == 'r') ADVANCE(1944);
      END_STATE();
    case 1827:
      if (lookahead == 'r') ADVANCE(969);
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 1828:
      if (lookahead == 'r') ADVANCE(1973);
      END_STATE();
    case 1829:
      if (lookahead == 'r') ADVANCE(594);
      END_STATE();
    case 1830:
      if (lookahead == 'r') ADVANCE(1262);
      END_STATE();
    case 1831:
      if (lookahead == 'r') ADVANCE(1601);
      END_STATE();
    case 1832:
      if (lookahead == 'r') ADVANCE(1536);
      END_STATE();
    case 1833:
      if (lookahead == 'r') ADVANCE(1922);
      END_STATE();
    case 1834:
      if (lookahead == 'r') ADVANCE(1525);
      END_STATE();
    case 1835:
      if (lookahead == 'r') ADVANCE(1240);
      END_STATE();
    case 1836:
      if (lookahead == 'r') ADVANCE(1564);
      END_STATE();
    case 1837:
      if (lookahead == 'r') ADVANCE(1388);
      END_STATE();
    case 1838:
      if (lookahead == 'r') ADVANCE(1297);
      END_STATE();
    case 1839:
      if (lookahead == 'r') ADVANCE(1392);
      END_STATE();
    case 1840:
      if (lookahead == 'r') ADVANCE(992);
      END_STATE();
    case 1841:
      if (lookahead == 'r') ADVANCE(1602);
      END_STATE();
    case 1842:
      if (lookahead == 'r') ADVANCE(1953);
      END_STATE();
    case 1843:
      if (lookahead == 'r') ADVANCE(933);
      if (lookahead == 't') ADVANCE(555);
      END_STATE();
    case 1844:
      if (lookahead == 'r') ADVANCE(1606);
      END_STATE();
    case 1845:
      if (lookahead == 'r') ADVANCE(1607);
      END_STATE();
    case 1846:
      if (lookahead == 'r') ADVANCE(1611);
      END_STATE();
    case 1847:
      if (lookahead == 'r') ADVANCE(1612);
      END_STATE();
    case 1848:
      if (lookahead == 'r') ADVANCE(1613);
      END_STATE();
    case 1849:
      if (lookahead == 'r') ADVANCE(1085);
      END_STATE();
    case 1850:
      if (lookahead == 'r') ADVANCE(936);
      END_STATE();
    case 1851:
      if (lookahead == 'r') ADVANCE(1617);
      END_STATE();
    case 1852:
      if (lookahead == 'r') ADVANCE(1756);
      END_STATE();
    case 1853:
      if (lookahead == 'r') ADVANCE(1041);
      END_STATE();
    case 1854:
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1855:
      if (lookahead == 'r') ADVANCE(1779);
      END_STATE();
    case 1856:
      if (lookahead == 'r') ADVANCE(1060);
      END_STATE();
    case 1857:
      if (lookahead == 'r') ADVANCE(962);
      END_STATE();
    case 1858:
      if (lookahead == 'r') ADVANCE(684);
      END_STATE();
    case 1859:
      if (lookahead == 'r') ADVANCE(599);
      END_STATE();
    case 1860:
      if (lookahead == 'r') ADVANCE(644);
      END_STATE();
    case 1861:
      if (lookahead == 'r') ADVANCE(1272);
      END_STATE();
    case 1862:
      if (lookahead == 'r') ADVANCE(1937);
      END_STATE();
    case 1863:
      if (lookahead == 'r') ADVANCE(838);
      END_STATE();
    case 1864:
      if (lookahead == 'r') ADVANCE(2017);
      END_STATE();
    case 1865:
      if (lookahead == 'r') ADVANCE(1008);
      END_STATE();
    case 1866:
      if (lookahead == 'r') ADVANCE(1138);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 1867:
      if (lookahead == 'r') ADVANCE(2000);
      END_STATE();
    case 1868:
      if (lookahead == 'r') ADVANCE(2062);
      END_STATE();
    case 1869:
      if (lookahead == 'r') ADVANCE(1939);
      END_STATE();
    case 1870:
      if (lookahead == 'r') ADVANCE(1015);
      END_STATE();
    case 1871:
      if (lookahead == 'r') ADVANCE(1032);
      END_STATE();
    case 1872:
      if (lookahead == 'r') ADVANCE(1817);
      END_STATE();
    case 1873:
      if (lookahead == 'r') ADVANCE(623);
      END_STATE();
    case 1874:
      if (lookahead == 'r') ADVANCE(2015);
      END_STATE();
    case 1875:
      if (lookahead == 'r') ADVANCE(1831);
      END_STATE();
    case 1876:
      if (lookahead == 'r') ADVANCE(1841);
      END_STATE();
    case 1877:
      if (lookahead == 'r') ADVANCE(1845);
      END_STATE();
    case 1878:
      if (lookahead == 'r') ADVANCE(1846);
      END_STATE();
    case 1879:
      if (lookahead == 'r') ADVANCE(1847);
      END_STATE();
    case 1880:
      if (lookahead == 'r') ADVANCE(1851);
      END_STATE();
    case 1881:
      if (lookahead == 'r') ADVANCE(1050);
      END_STATE();
    case 1882:
      if (lookahead == 'r') ADVANCE(862);
      END_STATE();
    case 1883:
      if (lookahead == 'r') ADVANCE(1073);
      END_STATE();
    case 1884:
      if (lookahead == 'r') ADVANCE(466);
      END_STATE();
    case 1885:
      if (lookahead == 'r') ADVANCE(1719);
      END_STATE();
    case 1886:
      if (lookahead == 'r') ADVANCE(2038);
      END_STATE();
    case 1887:
      if (lookahead == 'r') ADVANCE(1721);
      END_STATE();
    case 1888:
      if (lookahead == 'r') ADVANCE(1082);
      END_STATE();
    case 1889:
      if (lookahead == 'r') ADVANCE(1083);
      END_STATE();
    case 1890:
      if (lookahead == 'r') ADVANCE(1084);
      END_STATE();
    case 1891:
      if (lookahead == 'r') ADVANCE(1324);
      END_STATE();
    case 1892:
      if (lookahead == 'r') ADVANCE(1326);
      END_STATE();
    case 1893:
      if (lookahead == 'r') ADVANCE(1327);
      END_STATE();
    case 1894:
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 1895:
      if (lookahead == 's') ADVANCE(1042);
      END_STATE();
    case 1896:
      if (lookahead == 's') ADVANCE(310);
      if (lookahead == 'u') ADVANCE(1480);
      END_STATE();
    case 1897:
      if (lookahead == 's') ADVANCE(465);
      END_STATE();
    case 1898:
      if (lookahead == 's') ADVANCE(491);
      END_STATE();
    case 1899:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 1900:
      if (lookahead == 's') ADVANCE(344);
      END_STATE();
    case 1901:
      if (lookahead == 's') ADVANCE(214);
      END_STATE();
    case 1902:
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 1903:
      if (lookahead == 's') ADVANCE(175);
      END_STATE();
    case 1904:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 1905:
      if (lookahead == 's') ADVANCE(1949);
      END_STATE();
    case 1906:
      if (lookahead == 's') ADVANCE(485);
      END_STATE();
    case 1907:
      if (lookahead == 's') ADVANCE(1614);
      END_STATE();
    case 1908:
      if (lookahead == 's') ADVANCE(275);
      END_STATE();
    case 1909:
      if (lookahead == 's') ADVANCE(1214);
      END_STATE();
    case 1910:
      if (lookahead == 's') ADVANCE(499);
      END_STATE();
    case 1911:
      if (lookahead == 's') ADVANCE(333);
      END_STATE();
    case 1912:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 1913:
      if (lookahead == 's') ADVANCE(199);
      END_STATE();
    case 1914:
      if (lookahead == 's') ADVANCE(1668);
      END_STATE();
    case 1915:
      if (lookahead == 's') ADVANCE(1174);
      END_STATE();
    case 1916:
      if (lookahead == 's') ADVANCE(2139);
      END_STATE();
    case 1917:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 1918:
      if (lookahead == 's') ADVANCE(1175);
      END_STATE();
    case 1919:
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 1920:
      if (lookahead == 's') ADVANCE(1894);
      END_STATE();
    case 1921:
      if (lookahead == 's') ADVANCE(1250);
      END_STATE();
    case 1922:
      if (lookahead == 's') ADVANCE(1349);
      END_STATE();
    case 1923:
      if (lookahead == 's') ADVANCE(2043);
      END_STATE();
    case 1924:
      if (lookahead == 's') ADVANCE(885);
      END_STATE();
    case 1925:
      if (lookahead == 's') ADVANCE(917);
      END_STATE();
    case 1926:
      if (lookahead == 's') ADVANCE(964);
      END_STATE();
    case 1927:
      if (lookahead == 's') ADVANCE(2092);
      END_STATE();
    case 1928:
      if (lookahead == 's') ADVANCE(2048);
      END_STATE();
    case 1929:
      if (lookahead == 's') ADVANCE(1994);
      END_STATE();
    case 1930:
      if (lookahead == 's') ADVANCE(1374);
      END_STATE();
    case 1931:
      if (lookahead == 's') ADVANCE(1906);
      END_STATE();
    case 1932:
      if (lookahead == 's') ADVANCE(1983);
      END_STATE();
    case 1933:
      if (lookahead == 's') ADVANCE(1987);
      END_STATE();
    case 1934:
      if (lookahead == 's') ADVANCE(1312);
      END_STATE();
    case 1935:
      if (lookahead == 's') ADVANCE(1980);
      END_STATE();
    case 1936:
      if (lookahead == 's') ADVANCE(1002);
      END_STATE();
    case 1937:
      if (lookahead == 's') ADVANCE(940);
      END_STATE();
    case 1938:
      if (lookahead == 's') ADVANCE(976);
      END_STATE();
    case 1939:
      if (lookahead == 's') ADVANCE(961);
      END_STATE();
    case 1940:
      if (lookahead == 's') ADVANCE(1184);
      END_STATE();
    case 1941:
      if (lookahead == 's') ADVANCE(2050);
      END_STATE();
    case 1942:
      if (lookahead == 's') ADVANCE(2005);
      END_STATE();
    case 1943:
      if (lookahead == 's') ADVANCE(1993);
      END_STATE();
    case 1944:
      if (lookahead == 's') ADVANCE(1007);
      END_STATE();
    case 1945:
      if (lookahead == 's') ADVANCE(1259);
      END_STATE();
    case 1946:
      if (lookahead == 's') ADVANCE(1022);
      END_STATE();
    case 1947:
      if (lookahead == 's') ADVANCE(1078);
      END_STATE();
    case 1948:
      if (lookahead == 't') ADVANCE(2129);
      END_STATE();
    case 1949:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1950:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(742);
      END_STATE();
    case 1951:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(1512);
      END_STATE();
    case 1952:
      if (lookahead == 't') ADVANCE(389);
      END_STATE();
    case 1953:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 1954:
      if (lookahead == 't') ADVANCE(692);
      END_STATE();
    case 1955:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 1956:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 1957:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 1958:
      if (lookahead == 't') ADVANCE(691);
      END_STATE();
    case 1959:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 1960:
      if (lookahead == 't') ADVANCE(1147);
      END_STATE();
    case 1961:
      if (lookahead == 't') ADVANCE(503);
      END_STATE();
    case 1962:
      if (lookahead == 't') ADVANCE(514);
      END_STATE();
    case 1963:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 1964:
      if (lookahead == 't') ADVANCE(414);
      END_STATE();
    case 1965:
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 1966:
      if (lookahead == 't') ADVANCE(699);
      END_STATE();
    case 1967:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 1968:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 1969:
      if (lookahead == 't') ADVANCE(1741);
      END_STATE();
    case 1970:
      if (lookahead == 't') ADVANCE(524);
      END_STATE();
    case 1971:
      if (lookahead == 't') ADVANCE(999);
      END_STATE();
    case 1972:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 1973:
      if (lookahead == 't') ADVANCE(1469);
      END_STATE();
    case 1974:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 1975:
      if (lookahead == 't') ADVANCE(745);
      END_STATE();
    case 1976:
      if (lookahead == 't') ADVANCE(2130);
      END_STATE();
    case 1977:
      if (lookahead == 't') ADVANCE(247);
      if (lookahead == 'v') ADVANCE(1286);
      END_STATE();
    case 1978:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 1979:
      if (lookahead == 't') ADVANCE(688);
      END_STATE();
    case 1980:
      if (lookahead == 't') ADVANCE(1579);
      END_STATE();
    case 1981:
      if (lookahead == 't') ADVANCE(409);
      END_STATE();
    case 1982:
      if (lookahead == 't') ADVANCE(1026);
      END_STATE();
    case 1983:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 1984:
      if (lookahead == 't') ADVANCE(2134);
      END_STATE();
    case 1985:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 1986:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 1987:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 1988:
      if (lookahead == 't') ADVANCE(1174);
      END_STATE();
    case 1989:
      if (lookahead == 't') ADVANCE(2135);
      END_STATE();
    case 1990:
      if (lookahead == 't') ADVANCE(301);
      END_STATE();
    case 1991:
      if (lookahead == 't') ADVANCE(1179);
      END_STATE();
    case 1992:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 1993:
      if (lookahead == 't') ADVANCE(1894);
      END_STATE();
    case 1994:
      if (lookahead == 't') ADVANCE(250);
      END_STATE();
    case 1995:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 1996:
      if (lookahead == 't') ADVANCE(1176);
      END_STATE();
    case 1997:
      if (lookahead == 't') ADVANCE(1477);
      END_STATE();
    case 1998:
      if (lookahead == 't') ADVANCE(917);
      END_STATE();
    case 1999:
      if (lookahead == 't') ADVANCE(1649);
      END_STATE();
    case 2000:
      if (lookahead == 't') ADVANCE(1900);
      END_STATE();
    case 2001:
      if (lookahead == 't') ADVANCE(1204);
      END_STATE();
    case 2002:
      if (lookahead == 't') ADVANCE(1492);
      END_STATE();
    case 2003:
      if (lookahead == 't') ADVANCE(948);
      END_STATE();
    case 2004:
      if (lookahead == 't') ADVANCE(1926);
      END_STATE();
    case 2005:
      if (lookahead == 't') ADVANCE(990);
      END_STATE();
    case 2006:
      if (lookahead == 't') ADVANCE(1588);
      END_STATE();
    case 2007:
      if (lookahead == 't') ADVANCE(1776);
      END_STATE();
    case 2008:
      if (lookahead == 't') ADVANCE(625);
      END_STATE();
    case 2009:
      if (lookahead == 't') ADVANCE(1285);
      END_STATE();
    case 2010:
      if (lookahead == 't') ADVANCE(1262);
      END_STATE();
    case 2011:
      if (lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 2012:
      if (lookahead == 't') ADVANCE(1585);
      END_STATE();
    case 2013:
      if (lookahead == 't') ADVANCE(1287);
      END_STATE();
    case 2014:
      if (lookahead == 't') ADVANCE(1310);
      END_STATE();
    case 2015:
      if (lookahead == 't') ADVANCE(1304);
      END_STATE();
    case 2016:
      if (lookahead == 't') ADVANCE(1264);
      END_STATE();
    case 2017:
      if (lookahead == 't') ADVANCE(1744);
      END_STATE();
    case 2018:
      if (lookahead == 't') ADVANCE(1076);
      END_STATE();
    case 2019:
      if (lookahead == 't') ADVANCE(697);
      END_STATE();
    case 2020:
      if (lookahead == 't') ADVANCE(1544);
      END_STATE();
    case 2021:
      if (lookahead == 't') ADVANCE(1249);
      END_STATE();
    case 2022:
      if (lookahead == 't') ADVANCE(1642);
      END_STATE();
    case 2023:
      if (lookahead == 't') ADVANCE(1545);
      END_STATE();
    case 2024:
      if (lookahead == 't') ADVANCE(1829);
      END_STATE();
    case 2025:
      if (lookahead == 't') ADVANCE(1025);
      END_STATE();
    case 2026:
      if (lookahead == 't') ADVANCE(633);
      END_STATE();
    case 2027:
      if (lookahead == 't') ADVANCE(1226);
      END_STATE();
    case 2028:
      if (lookahead == 't') ADVANCE(1027);
      END_STATE();
    case 2029:
      if (lookahead == 't') ADVANCE(1029);
      END_STATE();
    case 2030:
      if (lookahead == 't') ADVANCE(1031);
      END_STATE();
    case 2031:
      if (lookahead == 't') ADVANCE(1034);
      END_STATE();
    case 2032:
      if (lookahead == 't') ADVANCE(1052);
      END_STATE();
    case 2033:
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 2034:
      if (lookahead == 't') ADVANCE(1205);
      END_STATE();
    case 2035:
      if (lookahead == 't') ADVANCE(676);
      END_STATE();
    case 2036:
      if (lookahead == 't') ADVANCE(1295);
      END_STATE();
    case 2037:
      if (lookahead == 't') ADVANCE(1301);
      END_STATE();
    case 2038:
      if (lookahead == 't') ADVANCE(1311);
      END_STATE();
    case 2039:
      if (lookahead == 't') ADVANCE(696);
      END_STATE();
    case 2040:
      if (lookahead == 't') ADVANCE(685);
      END_STATE();
    case 2041:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2042:
      if (lookahead == 'u') ADVANCE(613);
      END_STATE();
    case 2043:
      if (lookahead == 'u') ADVANCE(2153);
      END_STATE();
    case 2044:
      if (lookahead == 'u') ADVANCE(1579);
      END_STATE();
    case 2045:
      if (lookahead == 'u') ADVANCE(299);
      END_STATE();
    case 2046:
      if (lookahead == 'u') ADVANCE(715);
      END_STATE();
    case 2047:
      if (lookahead == 'u') ADVANCE(728);
      END_STATE();
    case 2048:
      if (lookahead == 'u') ADVANCE(726);
      END_STATE();
    case 2049:
      if (lookahead == 'u') ADVANCE(1668);
      END_STATE();
    case 2050:
      if (lookahead == 'u') ADVANCE(709);
      END_STATE();
    case 2051:
      if (lookahead == 'u') ADVANCE(1898);
      END_STATE();
    case 2052:
      if (lookahead == 'u') ADVANCE(733);
      END_STATE();
    case 2053:
      if (lookahead == 'u') ADVANCE(1985);
      END_STATE();
    case 2054:
      if (lookahead == 'u') ADVANCE(1985);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2055:
      if (lookahead == 'u') ADVANCE(1454);
      END_STATE();
    case 2056:
      if (lookahead == 'u') ADVANCE(1894);
      END_STATE();
    case 2057:
      if (lookahead == 'u') ADVANCE(1000);
      END_STATE();
    case 2058:
      if (lookahead == 'u') ADVANCE(1910);
      END_STATE();
    case 2059:
      if (lookahead == 'u') ADVANCE(917);
      END_STATE();
    case 2060:
      if (lookahead == 'u') ADVANCE(1457);
      END_STATE();
    case 2061:
      if (lookahead == 'u') ADVANCE(798);
      END_STATE();
    case 2062:
      if (lookahead == 'u') ADVANCE(950);
      END_STATE();
    case 2063:
      if (lookahead == 'u') ADVANCE(591);
      END_STATE();
    case 2064:
      if (lookahead == 'u') ADVANCE(1901);
      END_STATE();
    case 2065:
      if (lookahead == 'u') ADVANCE(1580);
      END_STATE();
    case 2066:
      if (lookahead == 'u') ADVANCE(1365);
      END_STATE();
    case 2067:
      if (lookahead == 'u') ADVANCE(1925);
      END_STATE();
    case 2068:
      if (lookahead == 'u') ADVANCE(832);
      END_STATE();
    case 2069:
      if (lookahead == 'u') ADVANCE(1912);
      END_STATE();
    case 2070:
      if (lookahead == 'u') ADVANCE(1233);
      END_STATE();
    case 2071:
      if (lookahead == 'u') ADVANCE(985);
      END_STATE();
    case 2072:
      if (lookahead == 'u') ADVANCE(612);
      END_STATE();
    case 2073:
      if (lookahead == 'u') ADVANCE(1298);
      END_STATE();
    case 2074:
      if (lookahead == 'u') ADVANCE(1232);
      END_STATE();
    case 2075:
      if (lookahead == 'u') ADVANCE(1772);
      END_STATE();
    case 2076:
      if (lookahead == 'u') ADVANCE(1744);
      END_STATE();
    case 2077:
      if (lookahead == 'u') ADVANCE(1773);
      END_STATE();
    case 2078:
      if (lookahead == 'u') ADVANCE(1837);
      END_STATE();
    case 2079:
      if (lookahead == 'u') ADVANCE(1839);
      END_STATE();
    case 2080:
      if (lookahead == 'u') ADVANCE(1184);
      END_STATE();
    case 2081:
      if (lookahead == 'u') ADVANCE(1467);
      END_STATE();
    case 2082:
      if (lookahead == 'u') ADVANCE(1538);
      END_STATE();
    case 2083:
      if (lookahead == 'u') ADVANCE(1932);
      END_STATE();
    case 2084:
      if (lookahead == 'u') ADVANCE(1267);
      END_STATE();
    case 2085:
      if (lookahead == 'u') ADVANCE(1391);
      END_STATE();
    case 2086:
      if (lookahead == 'u') ADVANCE(1998);
      END_STATE();
    case 2087:
      if (lookahead == 'u') ADVANCE(632);
      END_STATE();
    case 2088:
      if (lookahead == 'u') ADVANCE(1407);
      END_STATE();
    case 2089:
      if (lookahead == 'u') ADVANCE(1653);
      END_STATE();
    case 2090:
      if (lookahead == 'u') ADVANCE(1465);
      END_STATE();
    case 2091:
      if (lookahead == 'u') ADVANCE(638);
      END_STATE();
    case 2092:
      if (lookahead == 'u') ADVANCE(1853);
      END_STATE();
    case 2093:
      if (lookahead == 'u') ADVANCE(1446);
      END_STATE();
    case 2094:
      if (lookahead == 'u') ADVANCE(681);
      END_STATE();
    case 2095:
      if (lookahead == 'u') ADVANCE(739);
      END_STATE();
    case 2096:
      if (lookahead == 'u') ADVANCE(683);
      END_STATE();
    case 2097:
      if (lookahead == 'u') ADVANCE(738);
      if (lookahead == 'w') ADVANCE(1504);
      END_STATE();
    case 2098:
      if (lookahead == 'u') ADVANCE(741);
      END_STATE();
    case 2099:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 2100:
      if (lookahead == 'v') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(916);
      END_STATE();
    case 2101:
      if (lookahead == 'v') ADVANCE(162);
      END_STATE();
    case 2102:
      if (lookahead == 'v') ADVANCE(241);
      END_STATE();
    case 2103:
      if (lookahead == 'v') ADVANCE(994);
      if (lookahead == 'w') ADVANCE(993);
      END_STATE();
    case 2104:
      if (lookahead == 'v') ADVANCE(917);
      END_STATE();
    case 2105:
      if (lookahead == 'v') ADVANCE(941);
      END_STATE();
    case 2106:
      if (lookahead == 'v') ADVANCE(1080);
      END_STATE();
    case 2107:
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 2108:
      if (lookahead == 'w') ADVANCE(154);
      END_STATE();
    case 2109:
      if (lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 2110:
      if (lookahead == 'w') ADVANCE(157);
      END_STATE();
    case 2111:
      if (lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 2112:
      if (lookahead == 'w') ADVANCE(1579);
      END_STATE();
    case 2113:
      if (lookahead == 'w') ADVANCE(538);
      END_STATE();
    case 2114:
      if (lookahead == 'w') ADVANCE(322);
      END_STATE();
    case 2115:
      if (lookahead == 'w') ADVANCE(957);
      END_STATE();
    case 2116:
      if (lookahead == 'w') ADVANCE(1894);
      END_STATE();
    case 2117:
      if (lookahead == 'w') ADVANCE(1495);
      END_STATE();
    case 2118:
      if (lookahead == 'w') ADVANCE(1512);
      END_STATE();
    case 2119:
      if (lookahead == 'w') ADVANCE(1509);
      END_STATE();
    case 2120:
      if (lookahead == 'w') ADVANCE(1505);
      END_STATE();
    case 2121:
      if (lookahead == 'w') ADVANCE(1293);
      END_STATE();
    case 2122:
      if (lookahead == 'w') ADVANCE(340);
      END_STATE();
    case 2123:
      if (lookahead == 'w') ADVANCE(1419);
      END_STATE();
    case 2124:
      if (lookahead == 'w') ADVANCE(1577);
      END_STATE();
    case 2125:
      if (lookahead == 'w') ADVANCE(1576);
      END_STATE();
    case 2126:
      if (lookahead == 'x') ADVANCE(148);
      END_STATE();
    case 2127:
      if (lookahead == 'x') ADVANCE(1949);
      END_STATE();
    case 2128:
      if (lookahead == 'x') ADVANCE(250);
      END_STATE();
    case 2129:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2130:
      if (lookahead == 'y') ADVANCE(506);
      END_STATE();
    case 2131:
      if (lookahead == 'y') ADVANCE(975);
      END_STATE();
    case 2132:
      if (lookahead == 'y') ADVANCE(453);
      END_STATE();
    case 2133:
      if (lookahead == 'y') ADVANCE(468);
      END_STATE();
    case 2134:
      if (lookahead == 'y') ADVANCE(330);
      END_STATE();
    case 2135:
      if (lookahead == 'y') ADVANCE(2099);
      END_STATE();
    case 2136:
      if (lookahead == 'y') ADVANCE(505);
      END_STATE();
    case 2137:
      if (lookahead == 'y') ADVANCE(512);
      END_STATE();
    case 2138:
      if (lookahead == 'y') ADVANCE(481);
      END_STATE();
    case 2139:
      if (lookahead == 'y') ADVANCE(1454);
      END_STATE();
    case 2140:
      if (lookahead == 'y') ADVANCE(916);
      END_STATE();
    case 2141:
      if (lookahead == 'y') ADVANCE(1894);
      END_STATE();
    case 2142:
      if (lookahead == 'y') ADVANCE(964);
      END_STATE();
    case 2143:
      if (lookahead == 'z') ADVANCE(1656);
      END_STATE();
    case 2144:
      if (lookahead == 'z') ADVANCE(569);
      END_STATE();
    case 2145:
      if (lookahead == 'z') ADVANCE(1272);
      END_STATE();
    case 2146:
      if (lookahead == 'z') ADVANCE(1003);
      END_STATE();
    case 2147:
      if (lookahead == '2' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2148:
      if (lookahead == '3' ||
          lookahead == '5') ADVANCE(148);
      END_STATE();
    case 2149:
      if (lookahead == '6' ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 2150:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 2151:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2171);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 2152:
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(1045);
      END_STATE();
    case 2153:
      if (lookahead == 'b' ||
          lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 2154:
      if (lookahead == 'b' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2155:
      if (lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2156:
      if (lookahead == 'e' ||
          lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 2157:
      if (lookahead == 'e' ||
          lookahead == 't') ADVANCE(148);
      END_STATE();
    case 2158:
      if (lookahead == 'f' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2159:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2160:
      if (lookahead == 'o' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2161:
      if (lookahead == 'r' ||
          lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2162:
      if (lookahead == '3' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2163:
      if (lookahead == 'R' ||
          lookahead == 'S') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1905);
      if (lookahead == 'c') ADVANCE(1280);
      if (lookahead == 'd') ADVANCE(571);
      END_STATE();
    case 2164:
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 2165:
      if (lookahead == '4' ||
          lookahead == '5' ||
          lookahead == '8') ADVANCE(148);
      if (lookahead == ';') ADVANCE(2180);
      END_STATE();
    case 2166:
      if (('a' <= lookahead && lookahead <= 'c')) ADVANCE(148);
      END_STATE();
    case 2167:
      if (lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2168:
      if (('1' <= lookahead && lookahead <= '3') ||
          lookahead == 'E') ADVANCE(148);
      if (lookahead == ';') ADVANCE(2180);
      if (lookahead == 'd') ADVANCE(1590);
      if (lookahead == 'e') ADVANCE(233);
      if (lookahead == 'h') ADVANCE(1907);
      if (lookahead == 'l') ADVANCE(575);
      if (lookahead == 'm') ADVANCE(2066);
      if (lookahead == 'n') ADVANCE(2150);
      if (lookahead == 'p') ADVANCE(1439);
      if (lookahead == 's') ADVANCE(1017);
      END_STATE();
    case 2169:
      if (('2' <= lookahead && lookahead <= '6') ||
          lookahead == '8') ADVANCE(148);
      if (lookahead == ';') ADVANCE(2180);
      END_STATE();
    case 2170:
      if (('a' <= lookahead && lookahead <= 'h')) ADVANCE(148);
      END_STATE();
    case 2171:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 2172:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(15);
      END_STATE();
    case 2173:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 2174:
      if (eof) ADVANCE(2178);
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2201);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2186);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 2175:
      if (eof) ADVANCE(2178);
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2186);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2208);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 2176:
      if (eof) ADVANCE(2178);
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2186);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2184);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 2177:
      if (eof) ADVANCE(2178);
      if (lookahead == '\t') ADVANCE(2237);
      if (lookahead == '\n') ADVANCE(2221);
      if (lookahead == '\r') ADVANCE(2222);
      if (lookahead == ' ') ADVANCE(2239);
      if (lookahead == '!') ADVANCE(2189);
      if (lookahead == '"') ADVANCE(2190);
      if (lookahead == '#') ADVANCE(2191);
      if (lookahead == '$') ADVANCE(2192);
      if (lookahead == '%') ADVANCE(2193);
      if (lookahead == '&') ADVANCE(2195);
      if (lookahead == '\'') ADVANCE(2196);
      if (lookahead == '(') ADVANCE(2219);
      if (lookahead == ')') ADVANCE(2220);
      if (lookahead == '*') ADVANCE(2197);
      if (lookahead == '+') ADVANCE(2198);
      if (lookahead == ',') ADVANCE(2199);
      if (lookahead == '-') ADVANCE(2200);
      if (lookahead == '.') ADVANCE(2202);
      if (lookahead == '/') ADVANCE(2203);
      if (lookahead == ':') ADVANCE(2204);
      if (lookahead == ';') ADVANCE(2205);
      if (lookahead == '<') ADVANCE(2186);
      if (lookahead == '=') ADVANCE(2206);
      if (lookahead == '>') ADVANCE(2188);
      if (lookahead == '?') ADVANCE(2207);
      if (lookahead == '@') ADVANCE(2209);
      if (lookahead == '[') ADVANCE(2182);
      if (lookahead == '\\') ADVANCE(2211);
      if (lookahead == ']') ADVANCE(2183);
      if (lookahead == '^') ADVANCE(2212);
      if (lookahead == '_') ADVANCE(2213);
      if (lookahead == '`') ADVANCE(2214);
      if (lookahead == '{') ADVANCE(2215);
      if (lookahead == '|') ADVANCE(2216);
      if (lookahead == '}') ADVANCE(2217);
      if (lookahead == '~') ADVANCE(2218);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      if (lookahead != 0) ADVANCE(2240);
      END_STATE();
    case 2178:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(sym__backslash_escape);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(sym_entity_reference);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(sym_numeric_character_reference);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(380);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(13);
      if (lookahead == '?') ADVANCE(2231);
      if (('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(383);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(382);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '?') ADVANCE(2230);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '#') ADVANCE(2151);
      if (lookahead == 'A') ADVANCE(454);
      if (lookahead == 'B') ADVANCE(523);
      if (lookahead == 'C') ADVANCE(477);
      if (lookahead == 'D') ADVANCE(437);
      if (lookahead == 'E') ADVANCE(493);
      if (lookahead == 'F') ADVANCE(748);
      if (lookahead == 'G') ADVANCE(180);
      if (lookahead == 'H') ADVANCE(384);
      if (lookahead == 'I') ADVANCE(460);
      if (lookahead == 'J') ADVANCE(850);
      if (lookahead == 'K') ADVANCE(476);
      if (lookahead == 'L') ADVANCE(179);
      if (lookahead == 'M') ADVANCE(565);
      if (lookahead == 'N') ADVANCE(484);
      if (lookahead == 'O') ADVANCE(462);
      if (lookahead == 'P') ADVANCE(561);
      if (lookahead == 'Q') ADVANCE(516);
      if (lookahead == 'R') ADVANCE(417);
      if (lookahead == 'S') ADVANCE(473);
      if (lookahead == 'T') ADVANCE(474);
      if (lookahead == 'U') ADVANCE(542);
      if (lookahead == 'V') ADVANCE(446);
      if (lookahead == 'W') ADVANCE(802);
      if (lookahead == 'X') ADVANCE(1090);
      if (lookahead == 'Y') ADVANCE(387);
      if (lookahead == 'Z') ADVANCE(478);
      if (lookahead == 'a') ADVANCE(521);
      if (lookahead == 'b') ADVANCE(492);
      if (lookahead == 'c') ADVANCE(528);
      if (lookahead == 'd') ADVANCE(393);
      if (lookahead == 'e') ADVANCE(439);
      if (lookahead == 'f') ADVANCE(570);
      if (lookahead == 'g') ADVANCE(169);
      if (lookahead == 'h') ADVANCE(395);
      if (lookahead == 'i') ADVANCE(522);
      if (lookahead == 'j') ADVANCE(849);
      if (lookahead == 'k') ADVANCE(654);
      if (lookahead == 'l') ADVANCE(149);
      if (lookahead == 'm') ADVANCE(440);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == 'o') ADVANCE(504);
      if (lookahead == 'p') ADVANCE(592);
      if (lookahead == 'q') ADVANCE(1091);
      if (lookahead == 'r') ADVANCE(385);
      if (lookahead == 's') ADVANCE(649);
      if (lookahead == 't') ADVANCE(545);
      if (lookahead == 'u') ADVANCE(394);
      if (lookahead == 'v') ADVANCE(391);
      if (lookahead == 'w') ADVANCE(801);
      if (lookahead == 'x') ADVANCE(757);
      if (lookahead == 'y') ADVANCE(560);
      if (lookahead == 'z') ADVANCE(650);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(379);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(2232);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (('!' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          ('[' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(2179);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(sym__newline_token);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(sym__newline_token);
      if (lookahead == '\n') ADVANCE(2221);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(sym_uri_autolink);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(sym_email_autolink);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(sym__attribute_name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2225);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(aux_sym__attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2226);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_GT);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      if (lookahead == '@') ADVANCE(2172);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (lookahead == '@') ADVANCE(2172);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2233);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(383);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2234);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACKCDATA_LBRACK);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2238);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(aux_sym__whitespace_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2238);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(sym__word_no_digit);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2240);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(sym__digits);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2241);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 2177, .external_lex_state = 2},
  [2] = {.lex_state = 2177, .external_lex_state = 3},
  [3] = {.lex_state = 2177, .external_lex_state = 4},
  [4] = {.lex_state = 2177, .external_lex_state = 4},
  [5] = {.lex_state = 2177, .external_lex_state = 5},
  [6] = {.lex_state = 2177, .external_lex_state = 4},
  [7] = {.lex_state = 2177, .external_lex_state = 3},
  [8] = {.lex_state = 2177, .external_lex_state = 5},
  [9] = {.lex_state = 2177, .external_lex_state = 6},
  [10] = {.lex_state = 2177, .external_lex_state = 6},
  [11] = {.lex_state = 2177, .external_lex_state = 7},
  [12] = {.lex_state = 2177, .external_lex_state = 8},
  [13] = {.lex_state = 2177, .external_lex_state = 4},
  [14] = {.lex_state = 2177, .external_lex_state = 8},
  [15] = {.lex_state = 2177, .external_lex_state = 9},
  [16] = {.lex_state = 2177, .external_lex_state = 7},
  [17] = {.lex_state = 2177, .external_lex_state = 8},
  [18] = {.lex_state = 2177, .external_lex_state = 9},
  [19] = {.lex_state = 2177, .external_lex_state = 7},
  [20] = {.lex_state = 2177, .external_lex_state = 7},
  [21] = {.lex_state = 2177, .external_lex_state = 8},
  [22] = {.lex_state = 2177, .external_lex_state = 9},
  [23] = {.lex_state = 2177, .external_lex_state = 9},
  [24] = {.lex_state = 2177, .external_lex_state = 8},
  [25] = {.lex_state = 2177, .external_lex_state = 9},
  [26] = {.lex_state = 2177, .external_lex_state = 9},
  [27] = {.lex_state = 2177, .external_lex_state = 8},
  [28] = {.lex_state = 2177, .external_lex_state = 9},
  [29] = {.lex_state = 2177, .external_lex_state = 7},
  [30] = {.lex_state = 2177, .external_lex_state = 8},
  [31] = {.lex_state = 2177, .external_lex_state = 10},
  [32] = {.lex_state = 2177, .external_lex_state = 4},
  [33] = {.lex_state = 2177, .external_lex_state = 9},
  [34] = {.lex_state = 2177, .external_lex_state = 7},
  [35] = {.lex_state = 2177, .external_lex_state = 7},
  [36] = {.lex_state = 2177, .external_lex_state = 4},
  [37] = {.lex_state = 2177, .external_lex_state = 9},
  [38] = {.lex_state = 2177, .external_lex_state = 8},
  [39] = {.lex_state = 2177, .external_lex_state = 4},
  [40] = {.lex_state = 2177, .external_lex_state = 7},
  [41] = {.lex_state = 2177, .external_lex_state = 7},
  [42] = {.lex_state = 2177, .external_lex_state = 8},
  [43] = {.lex_state = 2177, .external_lex_state = 4},
  [44] = {.lex_state = 2177, .external_lex_state = 7},
  [45] = {.lex_state = 2177, .external_lex_state = 9},
  [46] = {.lex_state = 2177, .external_lex_state = 4},
  [47] = {.lex_state = 2177, .external_lex_state = 8},
  [48] = {.lex_state = 2177, .external_lex_state = 10},
  [49] = {.lex_state = 2177, .external_lex_state = 10},
  [50] = {.lex_state = 2177, .external_lex_state = 7},
  [51] = {.lex_state = 2177, .external_lex_state = 9},
  [52] = {.lex_state = 2177, .external_lex_state = 8},
  [53] = {.lex_state = 2177, .external_lex_state = 10},
  [54] = {.lex_state = 2177, .external_lex_state = 10},
  [55] = {.lex_state = 2177, .external_lex_state = 10},
  [56] = {.lex_state = 2177, .external_lex_state = 10},
  [57] = {.lex_state = 2177, .external_lex_state = 10},
  [58] = {.lex_state = 2177, .external_lex_state = 10},
  [59] = {.lex_state = 2177, .external_lex_state = 10},
  [60] = {.lex_state = 2177, .external_lex_state = 10},
  [61] = {.lex_state = 2177, .external_lex_state = 10},
  [62] = {.lex_state = 2177, .external_lex_state = 10},
  [63] = {.lex_state = 2177, .external_lex_state = 10},
  [64] = {.lex_state = 2177, .external_lex_state = 10},
  [65] = {.lex_state = 2177, .external_lex_state = 10},
  [66] = {.lex_state = 2177, .external_lex_state = 10},
  [67] = {.lex_state = 2177, .external_lex_state = 10},
  [68] = {.lex_state = 2177, .external_lex_state = 10},
  [69] = {.lex_state = 2177, .external_lex_state = 10},
  [70] = {.lex_state = 2177, .external_lex_state = 10},
  [71] = {.lex_state = 2177, .external_lex_state = 10},
  [72] = {.lex_state = 2177, .external_lex_state = 10},
  [73] = {.lex_state = 2177, .external_lex_state = 10},
  [74] = {.lex_state = 2177, .external_lex_state = 10},
  [75] = {.lex_state = 2177, .external_lex_state = 10},
  [76] = {.lex_state = 2177, .external_lex_state = 10},
  [77] = {.lex_state = 2177, .external_lex_state = 10},
  [78] = {.lex_state = 2177, .external_lex_state = 10},
  [79] = {.lex_state = 2177, .external_lex_state = 10},
  [80] = {.lex_state = 2177, .external_lex_state = 10},
  [81] = {.lex_state = 2177, .external_lex_state = 10},
  [82] = {.lex_state = 2177, .external_lex_state = 10},
  [83] = {.lex_state = 2177, .external_lex_state = 10},
  [84] = {.lex_state = 2177, .external_lex_state = 10},
  [85] = {.lex_state = 2177, .external_lex_state = 10},
  [86] = {.lex_state = 2177, .external_lex_state = 6},
  [87] = {.lex_state = 2177, .external_lex_state = 4},
  [88] = {.lex_state = 2177, .external_lex_state = 5},
  [89] = {.lex_state = 2177, .external_lex_state = 3},
  [90] = {.lex_state = 2177, .external_lex_state = 4},
  [91] = {.lex_state = 2177, .external_lex_state = 6},
  [92] = {.lex_state = 2177, .external_lex_state = 4},
  [93] = {.lex_state = 2177, .external_lex_state = 3},
  [94] = {.lex_state = 2177, .external_lex_state = 4},
  [95] = {.lex_state = 2177, .external_lex_state = 4},
  [96] = {.lex_state = 2177, .external_lex_state = 6},
  [97] = {.lex_state = 2177, .external_lex_state = 5},
  [98] = {.lex_state = 2177, .external_lex_state = 5},
  [99] = {.lex_state = 2177, .external_lex_state = 3},
  [100] = {.lex_state = 2177, .external_lex_state = 9},
  [101] = {.lex_state = 2177, .external_lex_state = 7},
  [102] = {.lex_state = 2177, .external_lex_state = 9},
  [103] = {.lex_state = 2177, .external_lex_state = 8},
  [104] = {.lex_state = 2177, .external_lex_state = 7},
  [105] = {.lex_state = 2177, .external_lex_state = 8},
  [106] = {.lex_state = 2177, .external_lex_state = 10},
  [107] = {.lex_state = 2177, .external_lex_state = 9},
  [108] = {.lex_state = 2177, .external_lex_state = 10},
  [109] = {.lex_state = 2177, .external_lex_state = 10},
  [110] = {.lex_state = 2177, .external_lex_state = 8},
  [111] = {.lex_state = 2177, .external_lex_state = 9},
  [112] = {.lex_state = 2177, .external_lex_state = 7},
  [113] = {.lex_state = 2177, .external_lex_state = 8},
  [114] = {.lex_state = 2177, .external_lex_state = 9},
  [115] = {.lex_state = 2177, .external_lex_state = 7},
  [116] = {.lex_state = 2177, .external_lex_state = 9},
  [117] = {.lex_state = 2177, .external_lex_state = 8},
  [118] = {.lex_state = 2177, .external_lex_state = 7},
  [119] = {.lex_state = 2177, .external_lex_state = 7},
  [120] = {.lex_state = 2177, .external_lex_state = 9},
  [121] = {.lex_state = 2177, .external_lex_state = 8},
  [122] = {.lex_state = 2177, .external_lex_state = 4},
  [123] = {.lex_state = 2177, .external_lex_state = 10},
  [124] = {.lex_state = 2177, .external_lex_state = 8},
  [125] = {.lex_state = 2177, .external_lex_state = 4},
  [126] = {.lex_state = 2177, .external_lex_state = 8},
  [127] = {.lex_state = 2177, .external_lex_state = 9},
  [128] = {.lex_state = 2177, .external_lex_state = 9},
  [129] = {.lex_state = 2177, .external_lex_state = 7},
  [130] = {.lex_state = 2177, .external_lex_state = 8},
  [131] = {.lex_state = 2177, .external_lex_state = 10},
  [132] = {.lex_state = 2177, .external_lex_state = 7},
  [133] = {.lex_state = 2177, .external_lex_state = 4},
  [134] = {.lex_state = 2177, .external_lex_state = 7},
  [135] = {.lex_state = 2177, .external_lex_state = 10},
  [136] = {.lex_state = 2177, .external_lex_state = 10},
  [137] = {.lex_state = 2177, .external_lex_state = 10},
  [138] = {.lex_state = 2177, .external_lex_state = 10},
  [139] = {.lex_state = 2177, .external_lex_state = 10},
  [140] = {.lex_state = 2177, .external_lex_state = 10},
  [141] = {.lex_state = 2177, .external_lex_state = 10},
  [142] = {.lex_state = 2177, .external_lex_state = 10},
  [143] = {.lex_state = 2177, .external_lex_state = 10},
  [144] = {.lex_state = 2177, .external_lex_state = 10},
  [145] = {.lex_state = 2177, .external_lex_state = 10},
  [146] = {.lex_state = 2177, .external_lex_state = 10},
  [147] = {.lex_state = 2177, .external_lex_state = 10},
  [148] = {.lex_state = 2177, .external_lex_state = 10},
  [149] = {.lex_state = 2177, .external_lex_state = 7},
  [150] = {.lex_state = 2177, .external_lex_state = 8},
  [151] = {.lex_state = 2177, .external_lex_state = 10},
  [152] = {.lex_state = 2177, .external_lex_state = 8},
  [153] = {.lex_state = 2177, .external_lex_state = 7},
  [154] = {.lex_state = 2177, .external_lex_state = 9},
  [155] = {.lex_state = 2177, .external_lex_state = 9},
  [156] = {.lex_state = 2177, .external_lex_state = 10},
  [157] = {.lex_state = 2177, .external_lex_state = 10},
  [158] = {.lex_state = 2177, .external_lex_state = 8},
  [159] = {.lex_state = 2177, .external_lex_state = 8},
  [160] = {.lex_state = 2177, .external_lex_state = 10},
  [161] = {.lex_state = 2177, .external_lex_state = 7},
  [162] = {.lex_state = 2177, .external_lex_state = 9},
  [163] = {.lex_state = 2177, .external_lex_state = 10},
  [164] = {.lex_state = 2177, .external_lex_state = 9},
  [165] = {.lex_state = 2177, .external_lex_state = 7},
  [166] = {.lex_state = 2177, .external_lex_state = 11},
  [167] = {.lex_state = 2177, .external_lex_state = 12},
  [168] = {.lex_state = 2177, .external_lex_state = 11},
  [169] = {.lex_state = 2177, .external_lex_state = 13},
  [170] = {.lex_state = 2177, .external_lex_state = 14},
  [171] = {.lex_state = 2177, .external_lex_state = 12},
  [172] = {.lex_state = 2177, .external_lex_state = 15},
  [173] = {.lex_state = 2177, .external_lex_state = 16},
  [174] = {.lex_state = 2177, .external_lex_state = 17},
  [175] = {.lex_state = 2177, .external_lex_state = 16},
  [176] = {.lex_state = 2177, .external_lex_state = 18},
  [177] = {.lex_state = 2177, .external_lex_state = 14},
  [178] = {.lex_state = 2177, .external_lex_state = 17},
  [179] = {.lex_state = 2177, .external_lex_state = 13},
  [180] = {.lex_state = 2177, .external_lex_state = 18},
  [181] = {.lex_state = 2177, .external_lex_state = 15},
  [182] = {.lex_state = 2177, .external_lex_state = 18},
  [183] = {.lex_state = 2177, .external_lex_state = 15},
  [184] = {.lex_state = 2175, .external_lex_state = 7},
  [185] = {.lex_state = 2176, .external_lex_state = 7},
  [186] = {.lex_state = 2175, .external_lex_state = 10},
  [187] = {.lex_state = 2175, .external_lex_state = 8},
  [188] = {.lex_state = 2176, .external_lex_state = 8},
  [189] = {.lex_state = 2176, .external_lex_state = 8},
  [190] = {.lex_state = 2176, .external_lex_state = 10},
  [191] = {.lex_state = 2175, .external_lex_state = 8},
  [192] = {.lex_state = 2175, .external_lex_state = 7},
  [193] = {.lex_state = 2176, .external_lex_state = 7},
  [194] = {.lex_state = 2176, .external_lex_state = 9},
  [195] = {.lex_state = 2175, .external_lex_state = 9},
  [196] = {.lex_state = 2176, .external_lex_state = 9},
  [197] = {.lex_state = 2175, .external_lex_state = 9},
  [198] = {.lex_state = 2174, .external_lex_state = 9},
  [199] = {.lex_state = 2174, .external_lex_state = 7},
  [200] = {.lex_state = 2174, .external_lex_state = 8},
  [201] = {.lex_state = 2174, .external_lex_state = 7},
  [202] = {.lex_state = 2175, .external_lex_state = 10},
  [203] = {.lex_state = 2176, .external_lex_state = 10},
  [204] = {.lex_state = 2174, .external_lex_state = 9},
  [205] = {.lex_state = 2174, .external_lex_state = 10},
  [206] = {.lex_state = 2174, .external_lex_state = 8},
  [207] = {.lex_state = 2175, .external_lex_state = 10},
  [208] = {.lex_state = 2176, .external_lex_state = 10},
  [209] = {.lex_state = 2174, .external_lex_state = 10},
  [210] = {.lex_state = 2174, .external_lex_state = 10},
  [211] = {.lex_state = 1, .external_lex_state = 19},
  [212] = {.lex_state = 2177, .external_lex_state = 10},
  [213] = {.lex_state = 7, .external_lex_state = 20},
  [214] = {.lex_state = 1, .external_lex_state = 19},
  [215] = {.lex_state = 1, .external_lex_state = 19},
  [216] = {.lex_state = 1, .external_lex_state = 19},
  [217] = {.lex_state = 7, .external_lex_state = 21},
  [218] = {.lex_state = 7, .external_lex_state = 20},
  [219] = {.lex_state = 2177, .external_lex_state = 4},
  [220] = {.lex_state = 7, .external_lex_state = 20},
  [221] = {.lex_state = 1, .external_lex_state = 19},
  [222] = {.lex_state = 1, .external_lex_state = 19},
  [223] = {.lex_state = 1, .external_lex_state = 19},
  [224] = {.lex_state = 7, .external_lex_state = 21},
  [225] = {.lex_state = 2177, .external_lex_state = 22},
  [226] = {.lex_state = 2177, .external_lex_state = 6},
  [227] = {.lex_state = 1, .external_lex_state = 19},
  [228] = {.lex_state = 7, .external_lex_state = 21},
  [229] = {.lex_state = 7, .external_lex_state = 21},
  [230] = {.lex_state = 1, .external_lex_state = 19},
  [231] = {.lex_state = 2177, .external_lex_state = 7},
  [232] = {.lex_state = 2177, .external_lex_state = 2},
  [233] = {.lex_state = 7, .external_lex_state = 20},
  [234] = {.lex_state = 2177, .external_lex_state = 6},
  [235] = {.lex_state = 2177, .external_lex_state = 3},
  [236] = {.lex_state = 1, .external_lex_state = 19},
  [237] = {.lex_state = 2177, .external_lex_state = 5},
  [238] = {.lex_state = 7, .external_lex_state = 21},
  [239] = {.lex_state = 2177, .external_lex_state = 4},
  [240] = {.lex_state = 7, .external_lex_state = 20},
  [241] = {.lex_state = 2177, .external_lex_state = 23},
  [242] = {.lex_state = 1, .external_lex_state = 19},
  [243] = {.lex_state = 2177, .external_lex_state = 9},
  [244] = {.lex_state = 1, .external_lex_state = 19},
  [245] = {.lex_state = 1, .external_lex_state = 19},
  [246] = {.lex_state = 2177, .external_lex_state = 5},
  [247] = {.lex_state = 2177, .external_lex_state = 3},
  [248] = {.lex_state = 7, .external_lex_state = 20},
  [249] = {.lex_state = 1, .external_lex_state = 19},
  [250] = {.lex_state = 1, .external_lex_state = 19},
  [251] = {.lex_state = 1, .external_lex_state = 19},
  [252] = {.lex_state = 2177, .external_lex_state = 24},
  [253] = {.lex_state = 7, .external_lex_state = 21},
  [254] = {.lex_state = 2177, .external_lex_state = 8},
  [255] = {.lex_state = 2177, .external_lex_state = 2},
  [256] = {.lex_state = 2177, .external_lex_state = 5},
  [257] = {.lex_state = 2177, .external_lex_state = 3},
  [258] = {.lex_state = 2177, .external_lex_state = 24},
  [259] = {.lex_state = 2177, .external_lex_state = 5},
  [260] = {.lex_state = 2177, .external_lex_state = 22},
  [261] = {.lex_state = 2177, .external_lex_state = 5},
  [262] = {.lex_state = 2177, .external_lex_state = 3},
  [263] = {.lex_state = 2177, .external_lex_state = 6},
  [264] = {.lex_state = 2177, .external_lex_state = 24},
  [265] = {.lex_state = 2177, .external_lex_state = 2},
  [266] = {.lex_state = 2177, .external_lex_state = 22},
  [267] = {.lex_state = 2177, .external_lex_state = 5},
  [268] = {.lex_state = 2177, .external_lex_state = 3},
  [269] = {.lex_state = 2177, .external_lex_state = 6},
  [270] = {.lex_state = 2177, .external_lex_state = 4},
  [271] = {.lex_state = 2177, .external_lex_state = 23},
  [272] = {.lex_state = 2177, .external_lex_state = 2},
  [273] = {.lex_state = 2177, .external_lex_state = 6},
  [274] = {.lex_state = 2177, .external_lex_state = 23},
  [275] = {.lex_state = 2177, .external_lex_state = 3},
  [276] = {.lex_state = 2177, .external_lex_state = 6},
  [277] = {.lex_state = 2177, .external_lex_state = 4},
  [278] = {.lex_state = 2177, .external_lex_state = 4},
  [279] = {.lex_state = 2177, .external_lex_state = 6},
  [280] = {.lex_state = 2177, .external_lex_state = 4},
  [281] = {.lex_state = 2177, .external_lex_state = 10},
  [282] = {.lex_state = 2177, .external_lex_state = 4},
  [283] = {.lex_state = 2177, .external_lex_state = 3},
  [284] = {.lex_state = 2177, .external_lex_state = 5},
  [285] = {.lex_state = 2177, .external_lex_state = 4},
  [286] = {.lex_state = 2177, .external_lex_state = 7},
  [287] = {.lex_state = 2177, .external_lex_state = 10},
  [288] = {.lex_state = 2177, .external_lex_state = 10},
  [289] = {.lex_state = 2177, .external_lex_state = 10},
  [290] = {.lex_state = 2177, .external_lex_state = 10},
  [291] = {.lex_state = 2177, .external_lex_state = 10},
  [292] = {.lex_state = 2177, .external_lex_state = 10},
  [293] = {.lex_state = 2177, .external_lex_state = 10},
  [294] = {.lex_state = 2177, .external_lex_state = 10},
  [295] = {.lex_state = 2177, .external_lex_state = 10},
  [296] = {.lex_state = 2177, .external_lex_state = 10},
  [297] = {.lex_state = 2177, .external_lex_state = 8},
  [298] = {.lex_state = 2177, .external_lex_state = 8},
  [299] = {.lex_state = 2177, .external_lex_state = 9},
  [300] = {.lex_state = 2177, .external_lex_state = 10},
  [301] = {.lex_state = 2177, .external_lex_state = 9},
  [302] = {.lex_state = 2177, .external_lex_state = 7},
  [303] = {.lex_state = 2177, .external_lex_state = 10},
  [304] = {.lex_state = 2177, .external_lex_state = 10},
  [305] = {.lex_state = 2177, .external_lex_state = 10},
  [306] = {.lex_state = 2177, .external_lex_state = 10},
  [307] = {.lex_state = 2177, .external_lex_state = 10},
  [308] = {.lex_state = 2177, .external_lex_state = 10},
  [309] = {.lex_state = 2177, .external_lex_state = 10},
  [310] = {.lex_state = 2177, .external_lex_state = 10},
  [311] = {.lex_state = 2177, .external_lex_state = 10},
  [312] = {.lex_state = 2177, .external_lex_state = 10},
  [313] = {.lex_state = 2177, .external_lex_state = 10},
  [314] = {.lex_state = 2177, .external_lex_state = 10},
  [315] = {.lex_state = 2177, .external_lex_state = 9},
  [316] = {.lex_state = 2177, .external_lex_state = 10},
  [317] = {.lex_state = 2177, .external_lex_state = 10},
  [318] = {.lex_state = 2177, .external_lex_state = 8},
  [319] = {.lex_state = 2177, .external_lex_state = 10},
  [320] = {.lex_state = 2177, .external_lex_state = 10},
  [321] = {.lex_state = 2177, .external_lex_state = 8},
  [322] = {.lex_state = 2177, .external_lex_state = 10},
  [323] = {.lex_state = 2177, .external_lex_state = 10},
  [324] = {.lex_state = 2177, .external_lex_state = 9},
  [325] = {.lex_state = 2177, .external_lex_state = 10},
  [326] = {.lex_state = 2177, .external_lex_state = 10},
  [327] = {.lex_state = 2177, .external_lex_state = 7},
  [328] = {.lex_state = 2177, .external_lex_state = 10},
  [329] = {.lex_state = 2177, .external_lex_state = 10},
  [330] = {.lex_state = 2177, .external_lex_state = 10},
  [331] = {.lex_state = 2177, .external_lex_state = 10},
  [332] = {.lex_state = 2177, .external_lex_state = 10},
  [333] = {.lex_state = 2177, .external_lex_state = 9},
  [334] = {.lex_state = 2177, .external_lex_state = 8},
  [335] = {.lex_state = 2177, .external_lex_state = 4},
  [336] = {.lex_state = 2177, .external_lex_state = 10},
  [337] = {.lex_state = 2177, .external_lex_state = 10},
  [338] = {.lex_state = 2177, .external_lex_state = 10},
  [339] = {.lex_state = 2177, .external_lex_state = 10},
  [340] = {.lex_state = 2177, .external_lex_state = 10},
  [341] = {.lex_state = 2177, .external_lex_state = 8},
  [342] = {.lex_state = 2177, .external_lex_state = 4},
  [343] = {.lex_state = 2177, .external_lex_state = 10},
  [344] = {.lex_state = 2177, .external_lex_state = 10},
  [345] = {.lex_state = 2177, .external_lex_state = 10},
  [346] = {.lex_state = 2177, .external_lex_state = 9},
  [347] = {.lex_state = 2177, .external_lex_state = 8},
  [348] = {.lex_state = 2177, .external_lex_state = 10},
  [349] = {.lex_state = 2177, .external_lex_state = 10},
  [350] = {.lex_state = 2177, .external_lex_state = 10},
  [351] = {.lex_state = 2177, .external_lex_state = 8},
  [352] = {.lex_state = 2177, .external_lex_state = 8},
  [353] = {.lex_state = 2177, .external_lex_state = 8},
  [354] = {.lex_state = 2177, .external_lex_state = 8},
  [355] = {.lex_state = 2177, .external_lex_state = 10},
  [356] = {.lex_state = 2177, .external_lex_state = 10},
  [357] = {.lex_state = 2177, .external_lex_state = 10},
  [358] = {.lex_state = 2177, .external_lex_state = 8},
  [359] = {.lex_state = 2177, .external_lex_state = 8},
  [360] = {.lex_state = 2177, .external_lex_state = 9},
  [361] = {.lex_state = 2177, .external_lex_state = 8},
  [362] = {.lex_state = 2177, .external_lex_state = 8},
  [363] = {.lex_state = 2177, .external_lex_state = 10},
  [364] = {.lex_state = 2177, .external_lex_state = 10},
  [365] = {.lex_state = 2177, .external_lex_state = 10},
  [366] = {.lex_state = 2177, .external_lex_state = 4},
  [367] = {.lex_state = 2177, .external_lex_state = 10},
  [368] = {.lex_state = 2177, .external_lex_state = 5},
  [369] = {.lex_state = 2177, .external_lex_state = 8},
  [370] = {.lex_state = 2177, .external_lex_state = 8},
  [371] = {.lex_state = 2177, .external_lex_state = 8},
  [372] = {.lex_state = 2177, .external_lex_state = 8},
  [373] = {.lex_state = 2177, .external_lex_state = 8},
  [374] = {.lex_state = 2177, .external_lex_state = 8},
  [375] = {.lex_state = 2177, .external_lex_state = 8},
  [376] = {.lex_state = 2177, .external_lex_state = 8},
  [377] = {.lex_state = 2177, .external_lex_state = 8},
  [378] = {.lex_state = 2177, .external_lex_state = 8},
  [379] = {.lex_state = 2177, .external_lex_state = 10},
  [380] = {.lex_state = 2177, .external_lex_state = 2},
  [381] = {.lex_state = 2177, .external_lex_state = 2},
  [382] = {.lex_state = 2177, .external_lex_state = 3},
  [383] = {.lex_state = 2177, .external_lex_state = 4},
  [384] = {.lex_state = 2177, .external_lex_state = 6},
  [385] = {.lex_state = 2177, .external_lex_state = 7},
  [386] = {.lex_state = 2177, .external_lex_state = 8},
  [387] = {.lex_state = 2177, .external_lex_state = 8},
  [388] = {.lex_state = 2177, .external_lex_state = 8},
  [389] = {.lex_state = 2177, .external_lex_state = 8},
  [390] = {.lex_state = 2177, .external_lex_state = 8},
  [391] = {.lex_state = 2177, .external_lex_state = 8},
  [392] = {.lex_state = 2177, .external_lex_state = 8},
  [393] = {.lex_state = 2177, .external_lex_state = 7},
  [394] = {.lex_state = 2177, .external_lex_state = 7},
  [395] = {.lex_state = 2177, .external_lex_state = 7},
  [396] = {.lex_state = 2177, .external_lex_state = 7},
  [397] = {.lex_state = 2177, .external_lex_state = 7},
  [398] = {.lex_state = 2177, .external_lex_state = 7},
  [399] = {.lex_state = 2177, .external_lex_state = 4},
  [400] = {.lex_state = 2177, .external_lex_state = 7},
  [401] = {.lex_state = 2177, .external_lex_state = 7},
  [402] = {.lex_state = 2177, .external_lex_state = 7},
  [403] = {.lex_state = 2177, .external_lex_state = 7},
  [404] = {.lex_state = 2177, .external_lex_state = 8},
  [405] = {.lex_state = 2177, .external_lex_state = 8},
  [406] = {.lex_state = 2177, .external_lex_state = 8},
  [407] = {.lex_state = 2177, .external_lex_state = 7},
  [408] = {.lex_state = 2177, .external_lex_state = 7},
  [409] = {.lex_state = 2177, .external_lex_state = 7},
  [410] = {.lex_state = 2177, .external_lex_state = 7},
  [411] = {.lex_state = 2177, .external_lex_state = 7},
  [412] = {.lex_state = 2177, .external_lex_state = 7},
  [413] = {.lex_state = 2177, .external_lex_state = 8},
  [414] = {.lex_state = 2177, .external_lex_state = 8},
  [415] = {.lex_state = 2177, .external_lex_state = 7},
  [416] = {.lex_state = 2177, .external_lex_state = 7},
  [417] = {.lex_state = 2177, .external_lex_state = 8},
  [418] = {.lex_state = 2177, .external_lex_state = 8},
  [419] = {.lex_state = 2177, .external_lex_state = 8},
  [420] = {.lex_state = 2177, .external_lex_state = 8},
  [421] = {.lex_state = 2177, .external_lex_state = 8},
  [422] = {.lex_state = 2177, .external_lex_state = 8},
  [423] = {.lex_state = 2177, .external_lex_state = 7},
  [424] = {.lex_state = 2177, .external_lex_state = 7},
  [425] = {.lex_state = 2177, .external_lex_state = 9},
  [426] = {.lex_state = 2177, .external_lex_state = 4},
  [427] = {.lex_state = 2177, .external_lex_state = 10},
  [428] = {.lex_state = 2177, .external_lex_state = 7},
  [429] = {.lex_state = 2177, .external_lex_state = 7},
  [430] = {.lex_state = 2177, .external_lex_state = 7},
  [431] = {.lex_state = 2177, .external_lex_state = 7},
  [432] = {.lex_state = 2177, .external_lex_state = 7},
  [433] = {.lex_state = 2177, .external_lex_state = 9},
  [434] = {.lex_state = 2177, .external_lex_state = 9},
  [435] = {.lex_state = 2177, .external_lex_state = 7},
  [436] = {.lex_state = 2177, .external_lex_state = 7},
  [437] = {.lex_state = 2177, .external_lex_state = 9},
  [438] = {.lex_state = 2177, .external_lex_state = 9},
  [439] = {.lex_state = 2177, .external_lex_state = 9},
  [440] = {.lex_state = 2177, .external_lex_state = 9},
  [441] = {.lex_state = 2177, .external_lex_state = 8},
  [442] = {.lex_state = 2177, .external_lex_state = 9},
  [443] = {.lex_state = 2177, .external_lex_state = 9},
  [444] = {.lex_state = 2177, .external_lex_state = 9},
  [445] = {.lex_state = 2177, .external_lex_state = 8},
  [446] = {.lex_state = 2177, .external_lex_state = 9},
  [447] = {.lex_state = 2177, .external_lex_state = 8},
  [448] = {.lex_state = 2177, .external_lex_state = 8},
  [449] = {.lex_state = 2177, .external_lex_state = 8},
  [450] = {.lex_state = 2177, .external_lex_state = 8},
  [451] = {.lex_state = 2177, .external_lex_state = 8},
  [452] = {.lex_state = 2177, .external_lex_state = 9},
  [453] = {.lex_state = 2177, .external_lex_state = 9},
  [454] = {.lex_state = 2177, .external_lex_state = 9},
  [455] = {.lex_state = 2177, .external_lex_state = 9},
  [456] = {.lex_state = 2177, .external_lex_state = 9},
  [457] = {.lex_state = 2177, .external_lex_state = 9},
  [458] = {.lex_state = 2177, .external_lex_state = 9},
  [459] = {.lex_state = 2177, .external_lex_state = 9},
  [460] = {.lex_state = 2177, .external_lex_state = 9},
  [461] = {.lex_state = 2177, .external_lex_state = 9},
  [462] = {.lex_state = 2177, .external_lex_state = 9},
  [463] = {.lex_state = 2177, .external_lex_state = 8},
  [464] = {.lex_state = 2177, .external_lex_state = 8},
  [465] = {.lex_state = 2177, .external_lex_state = 8},
  [466] = {.lex_state = 2177, .external_lex_state = 8},
  [467] = {.lex_state = 2177, .external_lex_state = 8},
  [468] = {.lex_state = 2177, .external_lex_state = 9},
  [469] = {.lex_state = 2177, .external_lex_state = 9},
  [470] = {.lex_state = 2177, .external_lex_state = 9},
  [471] = {.lex_state = 2177, .external_lex_state = 9},
  [472] = {.lex_state = 2177, .external_lex_state = 9},
  [473] = {.lex_state = 2177, .external_lex_state = 9},
  [474] = {.lex_state = 2177, .external_lex_state = 9},
  [475] = {.lex_state = 2177, .external_lex_state = 9},
  [476] = {.lex_state = 2177, .external_lex_state = 7},
  [477] = {.lex_state = 2177, .external_lex_state = 7},
  [478] = {.lex_state = 2177, .external_lex_state = 7},
  [479] = {.lex_state = 2177, .external_lex_state = 9},
  [480] = {.lex_state = 2177, .external_lex_state = 8},
  [481] = {.lex_state = 2177, .external_lex_state = 8},
  [482] = {.lex_state = 2177, .external_lex_state = 9},
  [483] = {.lex_state = 2177, .external_lex_state = 10},
  [484] = {.lex_state = 2177, .external_lex_state = 8},
  [485] = {.lex_state = 2177, .external_lex_state = 8},
  [486] = {.lex_state = 2177, .external_lex_state = 9},
  [487] = {.lex_state = 2177, .external_lex_state = 9},
  [488] = {.lex_state = 2177, .external_lex_state = 9},
  [489] = {.lex_state = 2177, .external_lex_state = 9},
  [490] = {.lex_state = 2177, .external_lex_state = 9},
  [491] = {.lex_state = 2177, .external_lex_state = 7},
  [492] = {.lex_state = 2177, .external_lex_state = 8},
  [493] = {.lex_state = 2177, .external_lex_state = 8},
  [494] = {.lex_state = 2177, .external_lex_state = 8},
  [495] = {.lex_state = 2177, .external_lex_state = 9},
  [496] = {.lex_state = 2177, .external_lex_state = 9},
  [497] = {.lex_state = 2177, .external_lex_state = 8},
  [498] = {.lex_state = 2177, .external_lex_state = 8},
  [499] = {.lex_state = 2177, .external_lex_state = 9},
  [500] = {.lex_state = 2177, .external_lex_state = 9},
  [501] = {.lex_state = 2177, .external_lex_state = 9},
  [502] = {.lex_state = 2177, .external_lex_state = 9},
  [503] = {.lex_state = 2177, .external_lex_state = 9},
  [504] = {.lex_state = 2177, .external_lex_state = 9},
  [505] = {.lex_state = 2177, .external_lex_state = 7},
  [506] = {.lex_state = 2177, .external_lex_state = 10},
  [507] = {.lex_state = 2177, .external_lex_state = 7},
  [508] = {.lex_state = 2177, .external_lex_state = 7},
  [509] = {.lex_state = 2177, .external_lex_state = 7},
  [510] = {.lex_state = 2177, .external_lex_state = 7},
  [511] = {.lex_state = 2177, .external_lex_state = 7},
  [512] = {.lex_state = 2177, .external_lex_state = 10},
  [513] = {.lex_state = 2177, .external_lex_state = 10},
  [514] = {.lex_state = 2177, .external_lex_state = 7},
  [515] = {.lex_state = 2177, .external_lex_state = 9},
  [516] = {.lex_state = 2177, .external_lex_state = 9},
  [517] = {.lex_state = 2177, .external_lex_state = 9},
  [518] = {.lex_state = 2177, .external_lex_state = 9},
  [519] = {.lex_state = 2177, .external_lex_state = 7},
  [520] = {.lex_state = 2177, .external_lex_state = 7},
  [521] = {.lex_state = 2177, .external_lex_state = 7},
  [522] = {.lex_state = 2177, .external_lex_state = 7},
  [523] = {.lex_state = 2177, .external_lex_state = 9},
  [524] = {.lex_state = 2177, .external_lex_state = 9},
  [525] = {.lex_state = 2177, .external_lex_state = 7},
  [526] = {.lex_state = 2177, .external_lex_state = 7},
  [527] = {.lex_state = 2177, .external_lex_state = 9},
  [528] = {.lex_state = 2177, .external_lex_state = 7},
  [529] = {.lex_state = 2177, .external_lex_state = 9},
  [530] = {.lex_state = 2177, .external_lex_state = 9},
  [531] = {.lex_state = 2177, .external_lex_state = 9},
  [532] = {.lex_state = 2177, .external_lex_state = 9},
  [533] = {.lex_state = 2177, .external_lex_state = 9},
  [534] = {.lex_state = 2177, .external_lex_state = 7},
  [535] = {.lex_state = 2177, .external_lex_state = 7},
  [536] = {.lex_state = 2177, .external_lex_state = 7},
  [537] = {.lex_state = 2177, .external_lex_state = 7},
  [538] = {.lex_state = 2177, .external_lex_state = 7},
  [539] = {.lex_state = 2177, .external_lex_state = 7},
  [540] = {.lex_state = 2177, .external_lex_state = 7},
  [541] = {.lex_state = 2177, .external_lex_state = 7},
  [542] = {.lex_state = 2177, .external_lex_state = 7},
  [543] = {.lex_state = 2177, .external_lex_state = 7},
  [544] = {.lex_state = 2177, .external_lex_state = 10},
  [545] = {.lex_state = 2177, .external_lex_state = 10},
  [546] = {.lex_state = 2177, .external_lex_state = 10},
  [547] = {.lex_state = 2177, .external_lex_state = 10},
  [548] = {.lex_state = 2177, .external_lex_state = 10},
  [549] = {.lex_state = 2177, .external_lex_state = 10},
  [550] = {.lex_state = 2177, .external_lex_state = 7},
  [551] = {.lex_state = 2177, .external_lex_state = 10},
  [552] = {.lex_state = 2177, .external_lex_state = 8},
  [553] = {.lex_state = 2177, .external_lex_state = 10},
  [554] = {.lex_state = 2177, .external_lex_state = 10},
  [555] = {.lex_state = 2177, .external_lex_state = 10},
  [556] = {.lex_state = 2177, .external_lex_state = 10},
  [557] = {.lex_state = 2177, .external_lex_state = 10},
  [558] = {.lex_state = 2177, .external_lex_state = 10},
  [559] = {.lex_state = 2177, .external_lex_state = 10},
  [560] = {.lex_state = 2177, .external_lex_state = 10},
  [561] = {.lex_state = 2177, .external_lex_state = 10},
  [562] = {.lex_state = 2177, .external_lex_state = 10},
  [563] = {.lex_state = 2177, .external_lex_state = 10},
  [564] = {.lex_state = 2177, .external_lex_state = 10},
  [565] = {.lex_state = 2177, .external_lex_state = 10},
  [566] = {.lex_state = 2177, .external_lex_state = 10},
  [567] = {.lex_state = 2177, .external_lex_state = 10},
  [568] = {.lex_state = 2177, .external_lex_state = 10},
  [569] = {.lex_state = 2177, .external_lex_state = 10},
  [570] = {.lex_state = 2177, .external_lex_state = 10},
  [571] = {.lex_state = 2177, .external_lex_state = 10},
  [572] = {.lex_state = 2177, .external_lex_state = 10},
  [573] = {.lex_state = 2177, .external_lex_state = 10},
  [574] = {.lex_state = 2177, .external_lex_state = 10},
  [575] = {.lex_state = 2177, .external_lex_state = 10},
  [576] = {.lex_state = 2177, .external_lex_state = 10},
  [577] = {.lex_state = 2177, .external_lex_state = 9},
  [578] = {.lex_state = 2177, .external_lex_state = 10},
  [579] = {.lex_state = 2177, .external_lex_state = 10},
  [580] = {.lex_state = 2177, .external_lex_state = 10},
  [581] = {.lex_state = 2177, .external_lex_state = 10},
  [582] = {.lex_state = 2177, .external_lex_state = 10},
  [583] = {.lex_state = 2177, .external_lex_state = 10},
  [584] = {.lex_state = 2177, .external_lex_state = 10},
  [585] = {.lex_state = 2177, .external_lex_state = 10},
  [586] = {.lex_state = 2177, .external_lex_state = 10},
  [587] = {.lex_state = 2177, .external_lex_state = 10},
  [588] = {.lex_state = 2177, .external_lex_state = 10},
  [589] = {.lex_state = 2177, .external_lex_state = 10},
  [590] = {.lex_state = 2177, .external_lex_state = 10},
  [591] = {.lex_state = 2177, .external_lex_state = 10},
  [592] = {.lex_state = 2177, .external_lex_state = 10},
  [593] = {.lex_state = 2177, .external_lex_state = 10},
  [594] = {.lex_state = 2177, .external_lex_state = 10},
  [595] = {.lex_state = 2177, .external_lex_state = 10},
  [596] = {.lex_state = 2177, .external_lex_state = 10},
  [597] = {.lex_state = 2177, .external_lex_state = 10},
  [598] = {.lex_state = 2177, .external_lex_state = 10},
  [599] = {.lex_state = 2177, .external_lex_state = 10},
  [600] = {.lex_state = 2177, .external_lex_state = 10},
  [601] = {.lex_state = 2177, .external_lex_state = 10},
  [602] = {.lex_state = 2177, .external_lex_state = 10},
  [603] = {.lex_state = 2177, .external_lex_state = 10},
  [604] = {.lex_state = 2177, .external_lex_state = 10},
  [605] = {.lex_state = 2177, .external_lex_state = 10},
  [606] = {.lex_state = 2177, .external_lex_state = 10},
  [607] = {.lex_state = 2177, .external_lex_state = 10},
  [608] = {.lex_state = 2177, .external_lex_state = 7},
  [609] = {.lex_state = 2177, .external_lex_state = 8},
  [610] = {.lex_state = 2177, .external_lex_state = 10},
  [611] = {.lex_state = 2177, .external_lex_state = 10},
  [612] = {.lex_state = 2177, .external_lex_state = 10},
  [613] = {.lex_state = 2177, .external_lex_state = 9},
  [614] = {.lex_state = 2177, .external_lex_state = 10},
  [615] = {.lex_state = 2177, .external_lex_state = 10},
  [616] = {.lex_state = 2177, .external_lex_state = 10},
  [617] = {.lex_state = 2177, .external_lex_state = 10},
  [618] = {.lex_state = 2177, .external_lex_state = 8},
  [619] = {.lex_state = 2177, .external_lex_state = 9},
  [620] = {.lex_state = 2177, .external_lex_state = 10},
  [621] = {.lex_state = 2177, .external_lex_state = 8},
  [622] = {.lex_state = 2177, .external_lex_state = 8},
  [623] = {.lex_state = 2177, .external_lex_state = 10},
  [624] = {.lex_state = 2177, .external_lex_state = 8},
  [625] = {.lex_state = 2177, .external_lex_state = 9},
  [626] = {.lex_state = 2177, .external_lex_state = 8},
  [627] = {.lex_state = 2177, .external_lex_state = 8},
  [628] = {.lex_state = 2177, .external_lex_state = 8},
  [629] = {.lex_state = 2177, .external_lex_state = 10},
  [630] = {.lex_state = 2177, .external_lex_state = 9},
  [631] = {.lex_state = 2177, .external_lex_state = 9},
  [632] = {.lex_state = 2177, .external_lex_state = 9},
  [633] = {.lex_state = 2177, .external_lex_state = 7},
  [634] = {.lex_state = 2177, .external_lex_state = 7},
  [635] = {.lex_state = 2177, .external_lex_state = 7},
  [636] = {.lex_state = 2177, .external_lex_state = 9},
  [637] = {.lex_state = 2177, .external_lex_state = 9},
  [638] = {.lex_state = 2177, .external_lex_state = 7},
  [639] = {.lex_state = 2177, .external_lex_state = 8},
  [640] = {.lex_state = 2177, .external_lex_state = 7},
  [641] = {.lex_state = 2177, .external_lex_state = 7},
  [642] = {.lex_state = 2177, .external_lex_state = 8},
  [643] = {.lex_state = 2177, .external_lex_state = 9},
  [644] = {.lex_state = 2177, .external_lex_state = 9},
  [645] = {.lex_state = 2177, .external_lex_state = 7},
  [646] = {.lex_state = 2177, .external_lex_state = 8},
  [647] = {.lex_state = 2177, .external_lex_state = 7},
  [648] = {.lex_state = 2177, .external_lex_state = 8},
  [649] = {.lex_state = 2177, .external_lex_state = 9},
  [650] = {.lex_state = 2177, .external_lex_state = 9},
  [651] = {.lex_state = 2177, .external_lex_state = 8},
  [652] = {.lex_state = 2177, .external_lex_state = 9},
  [653] = {.lex_state = 2},
  [654] = {.lex_state = 1, .external_lex_state = 25},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 2},
  [657] = {.lex_state = 2},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 2},
  [660] = {.lex_state = 2},
  [661] = {.lex_state = 2},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 2, .external_lex_state = 26},
  [664] = {.lex_state = 2},
  [665] = {.lex_state = 2, .external_lex_state = 26},
  [666] = {.lex_state = 2},
  [667] = {.lex_state = 2},
  [668] = {.lex_state = 2},
  [669] = {.lex_state = 2},
  [670] = {.lex_state = 2},
  [671] = {.lex_state = 2},
  [672] = {.lex_state = 2},
  [673] = {.lex_state = 1, .external_lex_state = 27},
  [674] = {.lex_state = 1, .external_lex_state = 27},
  [675] = {.lex_state = 2},
  [676] = {.lex_state = 2},
  [677] = {.lex_state = 2},
  [678] = {.lex_state = 1, .external_lex_state = 19},
  [679] = {.lex_state = 1, .external_lex_state = 19},
  [680] = {.lex_state = 2},
  [681] = {.lex_state = 6, .external_lex_state = 21},
  [682] = {.lex_state = 6, .external_lex_state = 20},
  [683] = {.lex_state = 5, .external_lex_state = 20},
  [684] = {.lex_state = 5, .external_lex_state = 21},
  [685] = {.lex_state = 1, .external_lex_state = 19},
  [686] = {.lex_state = 1, .external_lex_state = 19},
  [687] = {.lex_state = 3, .external_lex_state = 20},
  [688] = {.lex_state = 3, .external_lex_state = 21},
  [689] = {.lex_state = 2},
  [690] = {.lex_state = 2},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 2},
  [693] = {.lex_state = 2},
  [694] = {.lex_state = 2},
  [695] = {.lex_state = 2, .external_lex_state = 26},
  [696] = {.lex_state = 2, .external_lex_state = 26},
  [697] = {.lex_state = 2, .external_lex_state = 26},
  [698] = {.lex_state = 7, .external_lex_state = 21},
  [699] = {.lex_state = 7, .external_lex_state = 28},
  [700] = {.lex_state = 2},
  [701] = {.lex_state = 7, .external_lex_state = 29},
  [702] = {.lex_state = 2},
  [703] = {.lex_state = 2},
  [704] = {.lex_state = 2},
  [705] = {.lex_state = 2},
  [706] = {.lex_state = 2},
  [707] = {.lex_state = 2},
  [708] = {.lex_state = 7, .external_lex_state = 20},
  [709] = {.lex_state = 2},
  [710] = {.lex_state = 7, .external_lex_state = 29},
  [711] = {.lex_state = 4, .external_lex_state = 26},
  [712] = {.lex_state = 4, .external_lex_state = 26},
  [713] = {.lex_state = 4, .external_lex_state = 26},
  [714] = {.lex_state = 2177},
  [715] = {.lex_state = 4, .external_lex_state = 26},
  [716] = {.lex_state = 4, .external_lex_state = 26},
  [717] = {.lex_state = 4, .external_lex_state = 26},
  [718] = {.lex_state = 4, .external_lex_state = 26},
  [719] = {.lex_state = 4, .external_lex_state = 26},
  [720] = {.lex_state = 7, .external_lex_state = 30},
  [721] = {.lex_state = 2177},
  [722] = {.lex_state = 4, .external_lex_state = 26},
  [723] = {.lex_state = 4, .external_lex_state = 26},
  [724] = {.lex_state = 4, .external_lex_state = 26},
  [725] = {.lex_state = 4, .external_lex_state = 26},
  [726] = {.lex_state = 2177},
  [727] = {.lex_state = 7, .external_lex_state = 28},
  [728] = {.lex_state = 7, .external_lex_state = 30},
  [729] = {.lex_state = 2},
  [730] = {.lex_state = 7, .external_lex_state = 31},
  [731] = {.lex_state = 7, .external_lex_state = 31},
  [732] = {.lex_state = 4, .external_lex_state = 26},
  [733] = {.lex_state = 4, .external_lex_state = 26},
  [734] = {.lex_state = 4},
  [735] = {.lex_state = 4},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 4},
  [738] = {.lex_state = 7, .external_lex_state = 21},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 7, .external_lex_state = 20},
  [741] = {.lex_state = 7, .external_lex_state = 20},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 7, .external_lex_state = 21},
  [744] = {.lex_state = 7, .external_lex_state = 20},
  [745] = {.lex_state = 7, .external_lex_state = 21},
  [746] = {.lex_state = 9},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 7, .external_lex_state = 21},
  [749] = {.lex_state = 7, .external_lex_state = 20},
  [750] = {.lex_state = 4},
  [751] = {.lex_state = 7, .external_lex_state = 20},
  [752] = {.lex_state = 4},
  [753] = {.lex_state = 7, .external_lex_state = 20},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 4},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 7, .external_lex_state = 21},
  [759] = {.lex_state = 4},
  [760] = {.lex_state = 7, .external_lex_state = 21},
  [761] = {.lex_state = 4},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 4},
  [764] = {.lex_state = 4},
  [765] = {.lex_state = 9},
  [766] = {.lex_state = 7, .external_lex_state = 20},
  [767] = {.lex_state = 8},
  [768] = {.lex_state = 9},
  [769] = {.lex_state = 4},
  [770] = {.lex_state = 7, .external_lex_state = 20},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 7, .external_lex_state = 20},
  [773] = {.lex_state = 7, .external_lex_state = 21},
  [774] = {.lex_state = 4},
  [775] = {.lex_state = 7, .external_lex_state = 20},
  [776] = {.lex_state = 7, .external_lex_state = 20},
  [777] = {.lex_state = 9},
  [778] = {.lex_state = 4},
  [779] = {.lex_state = 7, .external_lex_state = 20},
  [780] = {.lex_state = 7, .external_lex_state = 21},
  [781] = {.lex_state = 4},
  [782] = {.lex_state = 4},
  [783] = {.lex_state = 7, .external_lex_state = 20},
  [784] = {.lex_state = 9},
  [785] = {.lex_state = 4},
  [786] = {.lex_state = 4},
  [787] = {.lex_state = 8},
  [788] = {.lex_state = 4},
  [789] = {.lex_state = 7, .external_lex_state = 20},
  [790] = {.lex_state = 7, .external_lex_state = 20},
  [791] = {.lex_state = 7, .external_lex_state = 20},
  [792] = {.lex_state = 7, .external_lex_state = 20},
  [793] = {.lex_state = 4},
  [794] = {.lex_state = 4},
  [795] = {.lex_state = 4},
  [796] = {.lex_state = 4},
  [797] = {.lex_state = 4},
  [798] = {.lex_state = 4},
  [799] = {.lex_state = 4},
  [800] = {.lex_state = 4},
  [801] = {.lex_state = 4},
  [802] = {.lex_state = 7, .external_lex_state = 20},
  [803] = {.lex_state = 4},
  [804] = {.lex_state = 4},
  [805] = {.lex_state = 7, .external_lex_state = 20},
  [806] = {.lex_state = 7, .external_lex_state = 21},
  [807] = {.lex_state = 7, .external_lex_state = 21},
  [808] = {.lex_state = 7, .external_lex_state = 20},
  [809] = {.lex_state = 7, .external_lex_state = 21},
  [810] = {.lex_state = 8},
  [811] = {.lex_state = 4},
  [812] = {.lex_state = 4},
  [813] = {.lex_state = 7, .external_lex_state = 21},
  [814] = {.lex_state = 9},
  [815] = {.lex_state = 7, .external_lex_state = 21},
  [816] = {.lex_state = 7, .external_lex_state = 21},
  [817] = {.lex_state = 7, .external_lex_state = 21},
  [818] = {.lex_state = 4},
  [819] = {.lex_state = 7, .external_lex_state = 21},
  [820] = {.lex_state = 7, .external_lex_state = 21},
  [821] = {.lex_state = 7, .external_lex_state = 21},
  [822] = {.lex_state = 4},
  [823] = {.lex_state = 4},
  [824] = {.lex_state = 4},
  [825] = {.lex_state = 7, .external_lex_state = 20},
  [826] = {.lex_state = 7, .external_lex_state = 21},
  [827] = {.lex_state = 4},
  [828] = {.lex_state = 4},
  [829] = {.lex_state = 4},
  [830] = {.lex_state = 4},
  [831] = {.lex_state = 7, .external_lex_state = 21},
  [832] = {.lex_state = 9},
  [833] = {.lex_state = 8},
  [834] = {.lex_state = 7, .external_lex_state = 21},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 2, .external_lex_state = 26},
  [844] = {.lex_state = 2, .external_lex_state = 26},
  [845] = {.lex_state = 2, .external_lex_state = 26},
  [846] = {.lex_state = 2, .external_lex_state = 32},
  [847] = {.lex_state = 2},
  [848] = {.lex_state = 2, .external_lex_state = 32},
  [849] = {.lex_state = 2, .external_lex_state = 26},
  [850] = {.lex_state = 10},
  [851] = {.lex_state = 10},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 2},
  [855] = {.lex_state = 2},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 2, .external_lex_state = 26},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 10},
  [861] = {.lex_state = 10},
  [862] = {.lex_state = 10},
  [863] = {.lex_state = 10},
  [864] = {.lex_state = 10},
  [865] = {.lex_state = 10},
  [866] = {.lex_state = 2, .external_lex_state = 26},
  [867] = {.lex_state = 10},
  [868] = {.lex_state = 2, .external_lex_state = 26},
  [869] = {.lex_state = 2},
  [870] = {.lex_state = 2},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 2, .external_lex_state = 26},
  [874] = {.lex_state = 2},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 2},
  [878] = {.lex_state = 2},
  [879] = {.lex_state = 2},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 2},
  [882] = {.lex_state = 2},
  [883] = {.lex_state = 2},
  [884] = {.lex_state = 2},
  [885] = {.lex_state = 2},
  [886] = {.lex_state = 2},
  [887] = {.lex_state = 2},
  [888] = {.lex_state = 9, .external_lex_state = 32},
  [889] = {.lex_state = 9, .external_lex_state = 26},
  [890] = {.lex_state = 2177, .external_lex_state = 26},
  [891] = {.lex_state = 2},
  [892] = {.lex_state = 9, .external_lex_state = 32},
  [893] = {.lex_state = 4, .external_lex_state = 32},
  [894] = {.lex_state = 2},
  [895] = {.lex_state = 8, .external_lex_state = 26},
  [896] = {.lex_state = 8, .external_lex_state = 32},
  [897] = {.lex_state = 8, .external_lex_state = 32},
  [898] = {.lex_state = 4, .external_lex_state = 26},
  [899] = {.lex_state = 4, .external_lex_state = 32},
  [900] = {.lex_state = 4, .external_lex_state = 26},
  [901] = {.lex_state = 4},
  [902] = {.lex_state = 10, .external_lex_state = 32},
  [903] = {.lex_state = 4},
  [904] = {.lex_state = 8},
  [905] = {.lex_state = 4},
  [906] = {.lex_state = 9},
  [907] = {.lex_state = 4},
  [908] = {.lex_state = 10, .external_lex_state = 26},
  [909] = {.lex_state = 9},
  [910] = {.lex_state = 4},
  [911] = {.lex_state = 10, .external_lex_state = 26},
  [912] = {.lex_state = 8},
  [913] = {.lex_state = 10, .external_lex_state = 26},
  [914] = {.lex_state = 9},
  [915] = {.lex_state = 2177},
  [916] = {.lex_state = 8},
  [917] = {.lex_state = 10, .external_lex_state = 32},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 10},
  [920] = {.lex_state = 10},
  [921] = {.lex_state = 10},
  [922] = {.lex_state = 10},
  [923] = {.lex_state = 10},
  [924] = {.lex_state = 10},
  [925] = {.lex_state = 10},
  [926] = {.lex_state = 10},
  [927] = {.lex_state = 10},
  [928] = {.lex_state = 10},
  [929] = {.lex_state = 10},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 11},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 0},
  [959] = {.lex_state = 11},
  [960] = {.lex_state = 11},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 0},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 11},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 12},
  [975] = {.lex_state = 2177},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 11},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 12},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 12},
  [982] = {.lex_state = 12},
  [983] = {.lex_state = 12},
  [984] = {.lex_state = 12},
  [985] = {.lex_state = 2177},
  [986] = {.lex_state = 12},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 2177},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 12},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 12, .external_lex_state = 32},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 12, .external_lex_state = 32},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 11, .external_lex_state = 32},
  [1070] = {.lex_state = 11, .external_lex_state = 32},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 11},
  [1111] = {.lex_state = 12},
  [1112] = {.lex_state = 11},
  [1113] = {.lex_state = 12},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0, .external_lex_state = 33},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0, .external_lex_state = 34},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0, .external_lex_state = 34},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0, .external_lex_state = 34},
  [1159] = {.lex_state = 0, .external_lex_state = 34},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
};

enum {
  ts_external_token__error = 0,
  ts_external_token__trigger_error = 1,
  ts_external_token__code_span_start = 2,
  ts_external_token__code_span_close = 3,
  ts_external_token__emphasis_open_star = 4,
  ts_external_token__emphasis_open_underscore = 5,
  ts_external_token__emphasis_close_star = 6,
  ts_external_token__emphasis_close_underscore = 7,
  ts_external_token__last_token_whitespace = 8,
  ts_external_token__last_token_punctuation = 9,
  ts_external_token__strikethrough_open = 10,
  ts_external_token__strikethrough_close = 11,
  ts_external_token__latex_span_start = 12,
  ts_external_token__latex_span_close = 13,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__error] = sym__error,
  [ts_external_token__trigger_error] = sym__trigger_error,
  [ts_external_token__code_span_start] = sym__code_span_start,
  [ts_external_token__code_span_close] = sym__code_span_close,
  [ts_external_token__emphasis_open_star] = sym__emphasis_open_star,
  [ts_external_token__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [ts_external_token__emphasis_close_star] = sym__emphasis_close_star,
  [ts_external_token__emphasis_close_underscore] = sym__emphasis_close_underscore,
  [ts_external_token__last_token_whitespace] = sym__last_token_whitespace,
  [ts_external_token__last_token_punctuation] = sym__last_token_punctuation,
  [ts_external_token__strikethrough_open] = sym__strikethrough_open,
  [ts_external_token__strikethrough_close] = sym__strikethrough_close,
  [ts_external_token__latex_span_start] = sym__latex_span_start,
  [ts_external_token__latex_span_close] = sym__latex_span_close,
};

static const bool ts_external_scanner_states[35][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__error] = true,
    [ts_external_token__trigger_error] = true,
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [2] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [3] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [4] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [5] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [6] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [7] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [8] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [9] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [10] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [11] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [12] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [13] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [14] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [15] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [16] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [17] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [18] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [19] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [20] = {
    [ts_external_token__latex_span_close] = true,
  },
  [21] = {
    [ts_external_token__code_span_close] = true,
  },
  [22] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [23] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [24] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [25] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [26] = {
    [ts_external_token__last_token_punctuation] = true,
  },
  [27] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__latex_span_start] = true,
  },
  [28] = {
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [29] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_punctuation] = true,
  },
  [30] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [31] = {
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [32] = {
    [ts_external_token__last_token_whitespace] = true,
  },
  [33] = {
    [ts_external_token__trigger_error] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [34] = {
    [ts_external_token__trigger_error] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__backslash_escape] = ACTIONS(1),
    [sym_entity_reference] = ACTIONS(1),
    [sym_numeric_character_reference] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym__newline_token] = ACTIONS(1),
    [sym_uri_autolink] = ACTIONS(1),
    [sym_email_autolink] = ACTIONS(1),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1),
    [anon_sym_DASH_DASH_GT] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym__declaration_token1] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [sym__whitespace_ge_2] = ACTIONS(1),
    [aux_sym__whitespace_token1] = ACTIONS(1),
    [sym__word_no_digit] = ACTIONS(1),
    [sym__digits] = ACTIONS(1),
    [sym__error] = ACTIONS(1),
    [sym__trigger_error] = ACTIONS(1),
    [sym__code_span_start] = ACTIONS(1),
    [sym__code_span_close] = ACTIONS(1),
    [sym__emphasis_open_star] = ACTIONS(1),
    [sym__emphasis_open_underscore] = ACTIONS(1),
    [sym__emphasis_close_star] = ACTIONS(1),
    [sym__emphasis_close_underscore] = ACTIONS(1),
    [sym__last_token_whitespace] = ACTIONS(1),
    [sym__last_token_punctuation] = ACTIONS(1),
    [sym__strikethrough_open] = ACTIONS(1),
    [sym__strikethrough_close] = ACTIONS(1),
    [sym__latex_span_start] = ACTIONS(1),
    [sym__latex_span_close] = ACTIONS(1),
  },
  [1] = {
    [sym_inline] = STATE(1156),
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym__link_text] = STATE(1127),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(293),
    [sym_full_reference_link] = STATE(293),
    [sym_collapsed_reference_link] = STATE(293),
    [sym_inline_link] = STATE(293),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__inline_base] = STATE(293),
    [sym__text_base] = STATE(151),
    [sym__inline_element] = STATE(293),
    [aux_sym__inline] = STATE(31),
    [sym__strikethrough] = STATE(293),
    [sym__emphasis_star] = STATE(294),
    [sym__strong_emphasis_star] = STATE(293),
    [sym__emphasis_underscore] = STATE(294),
    [sym__strong_emphasis_underscore] = STATE(293),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__last_token_whitespace] = ACTIONS(41),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
  },
  [2] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(29),
    [sym_full_reference_link] = STATE(29),
    [sym_collapsed_reference_link] = STATE(29),
    [sym_inline_link] = STATE(29),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(29),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(29),
    [aux_sym__inline_no_tilde] = STATE(29),
    [sym__strikethrough] = STATE(29),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(29),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(29),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(47),
    [sym_entity_reference] = ACTIONS(50),
    [sym_numeric_character_reference] = ACTIONS(50),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_RBRACK] = ACTIONS(56),
    [anon_sym_LT] = ACTIONS(59),
    [anon_sym_GT] = ACTIONS(62),
    [anon_sym_BANG] = ACTIONS(65),
    [anon_sym_DQUOTE] = ACTIONS(62),
    [anon_sym_POUND] = ACTIONS(62),
    [anon_sym_DOLLAR] = ACTIONS(62),
    [anon_sym_PERCENT] = ACTIONS(62),
    [anon_sym_AMP] = ACTIONS(68),
    [anon_sym_SQUOTE] = ACTIONS(62),
    [anon_sym_STAR] = ACTIONS(62),
    [anon_sym_PLUS] = ACTIONS(62),
    [anon_sym_COMMA] = ACTIONS(62),
    [anon_sym_DASH] = ACTIONS(62),
    [anon_sym_DOT] = ACTIONS(62),
    [anon_sym_SLASH] = ACTIONS(62),
    [anon_sym_COLON] = ACTIONS(62),
    [anon_sym_SEMI] = ACTIONS(62),
    [anon_sym_EQ] = ACTIONS(62),
    [anon_sym_QMARK] = ACTIONS(62),
    [anon_sym_AT] = ACTIONS(62),
    [anon_sym_BSLASH] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(62),
    [anon_sym__] = ACTIONS(62),
    [anon_sym_BQUOTE] = ACTIONS(62),
    [anon_sym_LBRACE] = ACTIONS(62),
    [anon_sym_PIPE] = ACTIONS(62),
    [anon_sym_RBRACE] = ACTIONS(62),
    [anon_sym_TILDE] = ACTIONS(62),
    [anon_sym_LPAREN] = ACTIONS(62),
    [anon_sym_RPAREN] = ACTIONS(62),
    [sym__newline_token] = ACTIONS(74),
    [sym_uri_autolink] = ACTIONS(50),
    [sym_email_autolink] = ACTIONS(50),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(77),
    [anon_sym_LT_QMARK] = ACTIONS(80),
    [aux_sym__declaration_token1] = ACTIONS(83),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(86),
    [sym__whitespace_ge_2] = ACTIONS(89),
    [aux_sym__whitespace_token1] = ACTIONS(92),
    [sym__word_no_digit] = ACTIONS(50),
    [sym__digits] = ACTIONS(50),
    [sym__code_span_start] = ACTIONS(95),
    [sym__emphasis_open_star] = ACTIONS(98),
    [sym__emphasis_open_underscore] = ACTIONS(101),
    [sym__emphasis_close_underscore] = ACTIONS(104),
    [sym__last_token_punctuation] = ACTIONS(106),
    [sym__strikethrough_open] = ACTIONS(108),
    [sym__latex_span_start] = ACTIONS(111),
  },
  [3] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(42),
    [sym_full_reference_link] = STATE(42),
    [sym_collapsed_reference_link] = STATE(42),
    [sym_inline_link] = STATE(42),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(42),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(42),
    [aux_sym__inline_no_star] = STATE(42),
    [sym__strikethrough] = STATE(42),
    [sym__emphasis_star] = STATE(297),
    [sym__strong_emphasis_star] = STATE(42),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(42),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [ts_builtin_sym_end] = ACTIONS(114),
    [sym__backslash_escape] = ACTIONS(116),
    [sym_entity_reference] = ACTIONS(119),
    [sym_numeric_character_reference] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(122),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(134),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_POUND] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_SQUOTE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(131),
    [anon_sym_BSLASH] = ACTIONS(140),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym__] = ACTIONS(131),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [sym__newline_token] = ACTIONS(143),
    [sym_uri_autolink] = ACTIONS(119),
    [sym_email_autolink] = ACTIONS(119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(146),
    [anon_sym_LT_QMARK] = ACTIONS(149),
    [aux_sym__declaration_token1] = ACTIONS(152),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(155),
    [sym__whitespace_ge_2] = ACTIONS(158),
    [aux_sym__whitespace_token1] = ACTIONS(161),
    [sym__word_no_digit] = ACTIONS(119),
    [sym__digits] = ACTIONS(119),
    [sym__code_span_start] = ACTIONS(164),
    [sym__emphasis_open_star] = ACTIONS(167),
    [sym__emphasis_open_underscore] = ACTIONS(170),
    [sym__last_token_punctuation] = ACTIONS(173),
    [sym__strikethrough_open] = ACTIONS(175),
    [sym__latex_span_start] = ACTIONS(178),
  },
  [4] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(51),
    [sym_full_reference_link] = STATE(51),
    [sym_collapsed_reference_link] = STATE(51),
    [sym_inline_link] = STATE(51),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(51),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(51),
    [aux_sym__inline_no_underscore] = STATE(51),
    [sym__strikethrough] = STATE(51),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(51),
    [sym__emphasis_underscore] = STATE(301),
    [sym__strong_emphasis_underscore] = STATE(51),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(114),
    [sym__backslash_escape] = ACTIONS(181),
    [sym_entity_reference] = ACTIONS(184),
    [sym_numeric_character_reference] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_RBRACK] = ACTIONS(190),
    [anon_sym_LT] = ACTIONS(193),
    [anon_sym_GT] = ACTIONS(196),
    [anon_sym_BANG] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(196),
    [anon_sym_POUND] = ACTIONS(196),
    [anon_sym_DOLLAR] = ACTIONS(196),
    [anon_sym_PERCENT] = ACTIONS(196),
    [anon_sym_AMP] = ACTIONS(202),
    [anon_sym_SQUOTE] = ACTIONS(196),
    [anon_sym_STAR] = ACTIONS(196),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_COMMA] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_DOT] = ACTIONS(196),
    [anon_sym_SLASH] = ACTIONS(196),
    [anon_sym_COLON] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(196),
    [anon_sym_EQ] = ACTIONS(196),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_AT] = ACTIONS(196),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(196),
    [anon_sym__] = ACTIONS(196),
    [anon_sym_BQUOTE] = ACTIONS(196),
    [anon_sym_LBRACE] = ACTIONS(196),
    [anon_sym_PIPE] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LPAREN] = ACTIONS(196),
    [anon_sym_RPAREN] = ACTIONS(196),
    [sym__newline_token] = ACTIONS(208),
    [sym_uri_autolink] = ACTIONS(184),
    [sym_email_autolink] = ACTIONS(184),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(211),
    [anon_sym_LT_QMARK] = ACTIONS(214),
    [aux_sym__declaration_token1] = ACTIONS(217),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(220),
    [sym__whitespace_ge_2] = ACTIONS(223),
    [aux_sym__whitespace_token1] = ACTIONS(226),
    [sym__word_no_digit] = ACTIONS(184),
    [sym__digits] = ACTIONS(184),
    [sym__code_span_start] = ACTIONS(229),
    [sym__emphasis_open_star] = ACTIONS(232),
    [sym__emphasis_open_underscore] = ACTIONS(235),
    [sym__last_token_punctuation] = ACTIONS(238),
    [sym__strikethrough_open] = ACTIONS(240),
    [sym__latex_span_start] = ACTIONS(243),
  },
  [5] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(52),
    [sym_full_reference_link] = STATE(52),
    [sym_collapsed_reference_link] = STATE(52),
    [sym_inline_link] = STATE(52),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(52),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(52),
    [aux_sym__inline_no_star] = STATE(52),
    [sym__strikethrough] = STATE(52),
    [sym__emphasis_star] = STATE(334),
    [sym__strong_emphasis_star] = STATE(52),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(52),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(246),
    [sym_entity_reference] = ACTIONS(249),
    [sym_numeric_character_reference] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(252),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_GT] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_POUND] = ACTIONS(261),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_DOT] = ACTIONS(261),
    [anon_sym_SLASH] = ACTIONS(261),
    [anon_sym_COLON] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(261),
    [anon_sym_EQ] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_BSLASH] = ACTIONS(270),
    [anon_sym_CARET] = ACTIONS(261),
    [anon_sym__] = ACTIONS(261),
    [anon_sym_BQUOTE] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_PIPE] = ACTIONS(261),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(261),
    [anon_sym_RPAREN] = ACTIONS(261),
    [sym__newline_token] = ACTIONS(273),
    [sym_uri_autolink] = ACTIONS(249),
    [sym_email_autolink] = ACTIONS(249),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(276),
    [anon_sym_LT_QMARK] = ACTIONS(279),
    [aux_sym__declaration_token1] = ACTIONS(282),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(285),
    [sym__whitespace_ge_2] = ACTIONS(288),
    [aux_sym__whitespace_token1] = ACTIONS(291),
    [sym__word_no_digit] = ACTIONS(249),
    [sym__digits] = ACTIONS(249),
    [sym__code_span_start] = ACTIONS(294),
    [sym__emphasis_open_star] = ACTIONS(297),
    [sym__emphasis_open_underscore] = ACTIONS(300),
    [sym__last_token_punctuation] = ACTIONS(303),
    [sym__strikethrough_open] = ACTIONS(305),
    [sym__strikethrough_close] = ACTIONS(308),
    [sym__latex_span_start] = ACTIONS(310),
  },
  [6] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(40),
    [sym_full_reference_link] = STATE(40),
    [sym_collapsed_reference_link] = STATE(40),
    [sym_inline_link] = STATE(40),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(40),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(40),
    [aux_sym__inline_no_tilde] = STATE(40),
    [sym__strikethrough] = STATE(40),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(40),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(40),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [ts_builtin_sym_end] = ACTIONS(114),
    [sym__backslash_escape] = ACTIONS(313),
    [sym_entity_reference] = ACTIONS(316),
    [sym_numeric_character_reference] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(319),
    [anon_sym_RBRACK] = ACTIONS(322),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(328),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(328),
    [anon_sym_POUND] = ACTIONS(328),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [anon_sym_PERCENT] = ACTIONS(328),
    [anon_sym_AMP] = ACTIONS(334),
    [anon_sym_SQUOTE] = ACTIONS(328),
    [anon_sym_STAR] = ACTIONS(328),
    [anon_sym_PLUS] = ACTIONS(328),
    [anon_sym_COMMA] = ACTIONS(328),
    [anon_sym_DASH] = ACTIONS(328),
    [anon_sym_DOT] = ACTIONS(328),
    [anon_sym_SLASH] = ACTIONS(328),
    [anon_sym_COLON] = ACTIONS(328),
    [anon_sym_SEMI] = ACTIONS(328),
    [anon_sym_EQ] = ACTIONS(328),
    [anon_sym_QMARK] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(328),
    [anon_sym_BSLASH] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(328),
    [anon_sym__] = ACTIONS(328),
    [anon_sym_BQUOTE] = ACTIONS(328),
    [anon_sym_LBRACE] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(328),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_TILDE] = ACTIONS(328),
    [anon_sym_LPAREN] = ACTIONS(328),
    [anon_sym_RPAREN] = ACTIONS(328),
    [sym__newline_token] = ACTIONS(340),
    [sym_uri_autolink] = ACTIONS(316),
    [sym_email_autolink] = ACTIONS(316),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(343),
    [anon_sym_LT_QMARK] = ACTIONS(346),
    [aux_sym__declaration_token1] = ACTIONS(349),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(352),
    [sym__whitespace_ge_2] = ACTIONS(355),
    [aux_sym__whitespace_token1] = ACTIONS(358),
    [sym__word_no_digit] = ACTIONS(316),
    [sym__digits] = ACTIONS(316),
    [sym__code_span_start] = ACTIONS(361),
    [sym__emphasis_open_star] = ACTIONS(364),
    [sym__emphasis_open_underscore] = ACTIONS(367),
    [sym__last_token_punctuation] = ACTIONS(370),
    [sym__strikethrough_open] = ACTIONS(372),
    [sym__latex_span_start] = ACTIONS(375),
  },
  [7] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(21),
    [sym_full_reference_link] = STATE(21),
    [sym_collapsed_reference_link] = STATE(21),
    [sym_inline_link] = STATE(21),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(21),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(21),
    [aux_sym__inline_no_star] = STATE(21),
    [sym__strikethrough] = STATE(21),
    [sym__emphasis_star] = STATE(347),
    [sym__strong_emphasis_star] = STATE(21),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(21),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(378),
    [sym_entity_reference] = ACTIONS(381),
    [sym_numeric_character_reference] = ACTIONS(381),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_RBRACK] = ACTIONS(387),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT] = ACTIONS(393),
    [anon_sym_BANG] = ACTIONS(396),
    [anon_sym_DQUOTE] = ACTIONS(393),
    [anon_sym_POUND] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_PERCENT] = ACTIONS(393),
    [anon_sym_AMP] = ACTIONS(399),
    [anon_sym_SQUOTE] = ACTIONS(393),
    [anon_sym_STAR] = ACTIONS(393),
    [anon_sym_PLUS] = ACTIONS(393),
    [anon_sym_COMMA] = ACTIONS(393),
    [anon_sym_DASH] = ACTIONS(393),
    [anon_sym_DOT] = ACTIONS(393),
    [anon_sym_SLASH] = ACTIONS(393),
    [anon_sym_COLON] = ACTIONS(393),
    [anon_sym_SEMI] = ACTIONS(393),
    [anon_sym_EQ] = ACTIONS(393),
    [anon_sym_QMARK] = ACTIONS(393),
    [anon_sym_AT] = ACTIONS(393),
    [anon_sym_BSLASH] = ACTIONS(402),
    [anon_sym_CARET] = ACTIONS(393),
    [anon_sym__] = ACTIONS(393),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_LBRACE] = ACTIONS(393),
    [anon_sym_PIPE] = ACTIONS(393),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_TILDE] = ACTIONS(393),
    [anon_sym_LPAREN] = ACTIONS(393),
    [anon_sym_RPAREN] = ACTIONS(393),
    [sym__newline_token] = ACTIONS(405),
    [sym_uri_autolink] = ACTIONS(381),
    [sym_email_autolink] = ACTIONS(381),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(408),
    [anon_sym_LT_QMARK] = ACTIONS(411),
    [aux_sym__declaration_token1] = ACTIONS(414),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(417),
    [sym__whitespace_ge_2] = ACTIONS(420),
    [aux_sym__whitespace_token1] = ACTIONS(423),
    [sym__word_no_digit] = ACTIONS(381),
    [sym__digits] = ACTIONS(381),
    [sym__code_span_start] = ACTIONS(426),
    [sym__emphasis_open_star] = ACTIONS(429),
    [sym__emphasis_open_underscore] = ACTIONS(432),
    [sym__emphasis_close_underscore] = ACTIONS(104),
    [sym__last_token_punctuation] = ACTIONS(435),
    [sym__strikethrough_open] = ACTIONS(437),
    [sym__latex_span_start] = ACTIONS(440),
  },
  [8] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(26),
    [sym_full_reference_link] = STATE(26),
    [sym_collapsed_reference_link] = STATE(26),
    [sym_inline_link] = STATE(26),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(26),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(26),
    [aux_sym__inline_no_underscore] = STATE(26),
    [sym__strikethrough] = STATE(26),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(26),
    [sym__emphasis_underscore] = STATE(333),
    [sym__strong_emphasis_underscore] = STATE(26),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(443),
    [sym_entity_reference] = ACTIONS(446),
    [sym_numeric_character_reference] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(452),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_POUND] = ACTIONS(458),
    [anon_sym_DOLLAR] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_BSLASH] = ACTIONS(467),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym__] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [sym__newline_token] = ACTIONS(470),
    [sym_uri_autolink] = ACTIONS(446),
    [sym_email_autolink] = ACTIONS(446),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(473),
    [anon_sym_LT_QMARK] = ACTIONS(476),
    [aux_sym__declaration_token1] = ACTIONS(479),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(482),
    [sym__whitespace_ge_2] = ACTIONS(485),
    [aux_sym__whitespace_token1] = ACTIONS(488),
    [sym__word_no_digit] = ACTIONS(446),
    [sym__digits] = ACTIONS(446),
    [sym__code_span_start] = ACTIONS(491),
    [sym__emphasis_open_star] = ACTIONS(494),
    [sym__emphasis_open_underscore] = ACTIONS(497),
    [sym__last_token_punctuation] = ACTIONS(500),
    [sym__strikethrough_open] = ACTIONS(502),
    [sym__strikethrough_close] = ACTIONS(308),
    [sym__latex_span_start] = ACTIONS(505),
  },
  [9] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(16),
    [sym_full_reference_link] = STATE(16),
    [sym_collapsed_reference_link] = STATE(16),
    [sym_inline_link] = STATE(16),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(16),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(16),
    [aux_sym__inline_no_tilde] = STATE(16),
    [sym__strikethrough] = STATE(16),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(16),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(16),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(508),
    [sym_entity_reference] = ACTIONS(511),
    [sym_numeric_character_reference] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_RBRACK] = ACTIONS(517),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_POUND] = ACTIONS(523),
    [anon_sym_DOLLAR] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(523),
    [anon_sym_AMP] = ACTIONS(529),
    [anon_sym_SQUOTE] = ACTIONS(523),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_COMMA] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_COLON] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(523),
    [anon_sym_AT] = ACTIONS(523),
    [anon_sym_BSLASH] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym__] = ACTIONS(523),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(523),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_RPAREN] = ACTIONS(523),
    [sym__newline_token] = ACTIONS(535),
    [sym_uri_autolink] = ACTIONS(511),
    [sym_email_autolink] = ACTIONS(511),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(538),
    [anon_sym_LT_QMARK] = ACTIONS(541),
    [aux_sym__declaration_token1] = ACTIONS(544),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(547),
    [sym__whitespace_ge_2] = ACTIONS(550),
    [aux_sym__whitespace_token1] = ACTIONS(553),
    [sym__word_no_digit] = ACTIONS(511),
    [sym__digits] = ACTIONS(511),
    [sym__code_span_start] = ACTIONS(556),
    [sym__emphasis_open_star] = ACTIONS(559),
    [sym__emphasis_open_underscore] = ACTIONS(562),
    [sym__emphasis_close_star] = ACTIONS(565),
    [sym__last_token_punctuation] = ACTIONS(567),
    [sym__strikethrough_open] = ACTIONS(569),
    [sym__latex_span_start] = ACTIONS(572),
  },
  [10] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(15),
    [sym_full_reference_link] = STATE(15),
    [sym_collapsed_reference_link] = STATE(15),
    [sym_inline_link] = STATE(15),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(15),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(15),
    [aux_sym__inline_no_underscore] = STATE(15),
    [sym__strikethrough] = STATE(15),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(15),
    [sym__emphasis_underscore] = STATE(360),
    [sym__strong_emphasis_underscore] = STATE(15),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(575),
    [sym_entity_reference] = ACTIONS(578),
    [sym_numeric_character_reference] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(587),
    [anon_sym_GT] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [anon_sym_POUND] = ACTIONS(590),
    [anon_sym_DOLLAR] = ACTIONS(590),
    [anon_sym_PERCENT] = ACTIONS(590),
    [anon_sym_AMP] = ACTIONS(596),
    [anon_sym_SQUOTE] = ACTIONS(590),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(590),
    [anon_sym_SLASH] = ACTIONS(590),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(590),
    [anon_sym_AT] = ACTIONS(590),
    [anon_sym_BSLASH] = ACTIONS(599),
    [anon_sym_CARET] = ACTIONS(590),
    [anon_sym__] = ACTIONS(590),
    [anon_sym_BQUOTE] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [sym__newline_token] = ACTIONS(602),
    [sym_uri_autolink] = ACTIONS(578),
    [sym_email_autolink] = ACTIONS(578),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(605),
    [anon_sym_LT_QMARK] = ACTIONS(608),
    [aux_sym__declaration_token1] = ACTIONS(611),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(614),
    [sym__whitespace_ge_2] = ACTIONS(617),
    [aux_sym__whitespace_token1] = ACTIONS(620),
    [sym__word_no_digit] = ACTIONS(578),
    [sym__digits] = ACTIONS(578),
    [sym__code_span_start] = ACTIONS(623),
    [sym__emphasis_open_star] = ACTIONS(626),
    [sym__emphasis_open_underscore] = ACTIONS(629),
    [sym__emphasis_close_star] = ACTIONS(565),
    [sym__last_token_punctuation] = ACTIONS(632),
    [sym__strikethrough_open] = ACTIONS(634),
    [sym__latex_span_start] = ACTIONS(637),
  },
  [11] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [12] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(722),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [13] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(47),
    [sym_full_reference_link] = STATE(47),
    [sym_collapsed_reference_link] = STATE(47),
    [sym_inline_link] = STATE(47),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(47),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(47),
    [aux_sym__inline_no_star] = STATE(47),
    [sym__strikethrough] = STATE(47),
    [sym__emphasis_star] = STATE(318),
    [sym__strong_emphasis_star] = STATE(47),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(47),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(116),
    [sym_entity_reference] = ACTIONS(119),
    [sym_numeric_character_reference] = ACTIONS(119),
    [anon_sym_LBRACK] = ACTIONS(122),
    [anon_sym_RBRACK] = ACTIONS(125),
    [anon_sym_LT] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(131),
    [anon_sym_BANG] = ACTIONS(134),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_POUND] = ACTIONS(131),
    [anon_sym_DOLLAR] = ACTIONS(131),
    [anon_sym_PERCENT] = ACTIONS(131),
    [anon_sym_AMP] = ACTIONS(137),
    [anon_sym_SQUOTE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(131),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(131),
    [anon_sym_QMARK] = ACTIONS(131),
    [anon_sym_AT] = ACTIONS(131),
    [anon_sym_BSLASH] = ACTIONS(140),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym__] = ACTIONS(131),
    [anon_sym_BQUOTE] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(131),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_TILDE] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(131),
    [anon_sym_RPAREN] = ACTIONS(131),
    [sym__newline_token] = ACTIONS(143),
    [sym_uri_autolink] = ACTIONS(119),
    [sym_email_autolink] = ACTIONS(119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(146),
    [anon_sym_LT_QMARK] = ACTIONS(149),
    [aux_sym__declaration_token1] = ACTIONS(152),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(155),
    [sym__whitespace_ge_2] = ACTIONS(158),
    [aux_sym__whitespace_token1] = ACTIONS(161),
    [sym__word_no_digit] = ACTIONS(119),
    [sym__digits] = ACTIONS(119),
    [sym__code_span_start] = ACTIONS(164),
    [sym__emphasis_open_star] = ACTIONS(167),
    [sym__emphasis_open_underscore] = ACTIONS(170),
    [sym__last_token_punctuation] = ACTIONS(728),
    [sym__strikethrough_open] = ACTIONS(175),
    [sym__latex_span_start] = ACTIONS(178),
  },
  [14] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(730),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [15] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [16] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(776),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [17] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(778),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [18] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(780),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [19] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(782),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [20] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(784),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [21] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(786),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [22] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(788),
    [sym_entity_reference] = ACTIONS(791),
    [sym_numeric_character_reference] = ACTIONS(791),
    [anon_sym_LBRACK] = ACTIONS(794),
    [anon_sym_RBRACK] = ACTIONS(797),
    [anon_sym_LT] = ACTIONS(800),
    [anon_sym_GT] = ACTIONS(803),
    [anon_sym_BANG] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(803),
    [anon_sym_POUND] = ACTIONS(803),
    [anon_sym_DOLLAR] = ACTIONS(803),
    [anon_sym_PERCENT] = ACTIONS(803),
    [anon_sym_AMP] = ACTIONS(809),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(803),
    [anon_sym_COMMA] = ACTIONS(803),
    [anon_sym_DASH] = ACTIONS(803),
    [anon_sym_DOT] = ACTIONS(803),
    [anon_sym_SLASH] = ACTIONS(803),
    [anon_sym_COLON] = ACTIONS(803),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_QMARK] = ACTIONS(803),
    [anon_sym_AT] = ACTIONS(803),
    [anon_sym_BSLASH] = ACTIONS(812),
    [anon_sym_CARET] = ACTIONS(803),
    [anon_sym__] = ACTIONS(803),
    [anon_sym_BQUOTE] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_PIPE] = ACTIONS(803),
    [anon_sym_RBRACE] = ACTIONS(803),
    [anon_sym_TILDE] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_RPAREN] = ACTIONS(803),
    [sym__newline_token] = ACTIONS(815),
    [sym_uri_autolink] = ACTIONS(791),
    [sym_email_autolink] = ACTIONS(791),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(818),
    [anon_sym_LT_QMARK] = ACTIONS(821),
    [aux_sym__declaration_token1] = ACTIONS(824),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(827),
    [sym__whitespace_ge_2] = ACTIONS(830),
    [aux_sym__whitespace_token1] = ACTIONS(833),
    [sym__word_no_digit] = ACTIONS(791),
    [sym__digits] = ACTIONS(791),
    [sym__code_span_start] = ACTIONS(836),
    [sym__emphasis_open_star] = ACTIONS(839),
    [sym__emphasis_open_underscore] = ACTIONS(842),
    [sym__emphasis_close_underscore] = ACTIONS(845),
    [sym__strikethrough_open] = ACTIONS(847),
    [sym__latex_span_start] = ACTIONS(850),
  },
  [23] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(853),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [24] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(855),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [25] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(857),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [26] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(859),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [27] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(861),
    [sym_entity_reference] = ACTIONS(864),
    [sym_numeric_character_reference] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_RBRACK] = ACTIONS(870),
    [anon_sym_LT] = ACTIONS(873),
    [anon_sym_GT] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(876),
    [anon_sym_POUND] = ACTIONS(876),
    [anon_sym_DOLLAR] = ACTIONS(876),
    [anon_sym_PERCENT] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(882),
    [anon_sym_SQUOTE] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(876),
    [anon_sym_SLASH] = ACTIONS(876),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_EQ] = ACTIONS(876),
    [anon_sym_QMARK] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(876),
    [anon_sym_BSLASH] = ACTIONS(885),
    [anon_sym_CARET] = ACTIONS(876),
    [anon_sym__] = ACTIONS(876),
    [anon_sym_BQUOTE] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(876),
    [anon_sym_PIPE] = ACTIONS(876),
    [anon_sym_RBRACE] = ACTIONS(876),
    [anon_sym_TILDE] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_RPAREN] = ACTIONS(876),
    [sym__newline_token] = ACTIONS(888),
    [sym_uri_autolink] = ACTIONS(864),
    [sym_email_autolink] = ACTIONS(864),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(891),
    [anon_sym_LT_QMARK] = ACTIONS(894),
    [aux_sym__declaration_token1] = ACTIONS(897),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(900),
    [sym__whitespace_ge_2] = ACTIONS(903),
    [aux_sym__whitespace_token1] = ACTIONS(906),
    [sym__word_no_digit] = ACTIONS(864),
    [sym__digits] = ACTIONS(864),
    [sym__code_span_start] = ACTIONS(909),
    [sym__emphasis_open_star] = ACTIONS(912),
    [sym__emphasis_open_underscore] = ACTIONS(915),
    [sym__emphasis_close_star] = ACTIONS(918),
    [sym__strikethrough_open] = ACTIONS(920),
    [sym__latex_span_start] = ACTIONS(923),
  },
  [28] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(926),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [29] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(928),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [30] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(930),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [31] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym__link_text] = STATE(1127),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(293),
    [sym_full_reference_link] = STATE(293),
    [sym_collapsed_reference_link] = STATE(293),
    [sym_inline_link] = STATE(293),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__inline_base] = STATE(293),
    [sym__text_base] = STATE(151),
    [sym__inline_element] = STATE(293),
    [aux_sym__inline] = STATE(48),
    [sym__strikethrough] = STATE(293),
    [sym__emphasis_star] = STATE(294),
    [sym__strong_emphasis_star] = STATE(293),
    [sym__emphasis_underscore] = STATE(294),
    [sym__strong_emphasis_underscore] = STATE(293),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(932),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
  },
  [32] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(45),
    [sym_full_reference_link] = STATE(45),
    [sym_collapsed_reference_link] = STATE(45),
    [sym_inline_link] = STATE(45),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(45),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(45),
    [aux_sym__inline_no_underscore] = STATE(45),
    [sym__strikethrough] = STATE(45),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(45),
    [sym__emphasis_underscore] = STATE(315),
    [sym__strong_emphasis_underscore] = STATE(45),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(181),
    [sym_entity_reference] = ACTIONS(184),
    [sym_numeric_character_reference] = ACTIONS(184),
    [anon_sym_LBRACK] = ACTIONS(187),
    [anon_sym_RBRACK] = ACTIONS(190),
    [anon_sym_LT] = ACTIONS(193),
    [anon_sym_GT] = ACTIONS(196),
    [anon_sym_BANG] = ACTIONS(199),
    [anon_sym_DQUOTE] = ACTIONS(196),
    [anon_sym_POUND] = ACTIONS(196),
    [anon_sym_DOLLAR] = ACTIONS(196),
    [anon_sym_PERCENT] = ACTIONS(196),
    [anon_sym_AMP] = ACTIONS(202),
    [anon_sym_SQUOTE] = ACTIONS(196),
    [anon_sym_STAR] = ACTIONS(196),
    [anon_sym_PLUS] = ACTIONS(196),
    [anon_sym_COMMA] = ACTIONS(196),
    [anon_sym_DASH] = ACTIONS(196),
    [anon_sym_DOT] = ACTIONS(196),
    [anon_sym_SLASH] = ACTIONS(196),
    [anon_sym_COLON] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(196),
    [anon_sym_EQ] = ACTIONS(196),
    [anon_sym_QMARK] = ACTIONS(196),
    [anon_sym_AT] = ACTIONS(196),
    [anon_sym_BSLASH] = ACTIONS(205),
    [anon_sym_CARET] = ACTIONS(196),
    [anon_sym__] = ACTIONS(196),
    [anon_sym_BQUOTE] = ACTIONS(196),
    [anon_sym_LBRACE] = ACTIONS(196),
    [anon_sym_PIPE] = ACTIONS(196),
    [anon_sym_RBRACE] = ACTIONS(196),
    [anon_sym_TILDE] = ACTIONS(196),
    [anon_sym_LPAREN] = ACTIONS(196),
    [anon_sym_RPAREN] = ACTIONS(196),
    [sym__newline_token] = ACTIONS(208),
    [sym_uri_autolink] = ACTIONS(184),
    [sym_email_autolink] = ACTIONS(184),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(211),
    [anon_sym_LT_QMARK] = ACTIONS(214),
    [aux_sym__declaration_token1] = ACTIONS(217),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(220),
    [sym__whitespace_ge_2] = ACTIONS(223),
    [aux_sym__whitespace_token1] = ACTIONS(226),
    [sym__word_no_digit] = ACTIONS(184),
    [sym__digits] = ACTIONS(184),
    [sym__code_span_start] = ACTIONS(229),
    [sym__emphasis_open_star] = ACTIONS(232),
    [sym__emphasis_open_underscore] = ACTIONS(235),
    [sym__last_token_punctuation] = ACTIONS(934),
    [sym__strikethrough_open] = ACTIONS(240),
    [sym__latex_span_start] = ACTIONS(243),
  },
  [33] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(936),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [34] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(938),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [35] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(940),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [36] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(14),
    [sym_full_reference_link] = STATE(14),
    [sym_collapsed_reference_link] = STATE(14),
    [sym_inline_link] = STATE(14),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(14),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(14),
    [aux_sym__inline_no_star] = STATE(14),
    [sym__strikethrough] = STATE(14),
    [sym__emphasis_star] = STATE(361),
    [sym__strong_emphasis_star] = STATE(14),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(14),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__last_token_punctuation] = ACTIONS(942),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [37] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(944),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [38] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(946),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [39] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(20),
    [aux_sym__inline_no_tilde] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(313),
    [sym_entity_reference] = ACTIONS(316),
    [sym_numeric_character_reference] = ACTIONS(316),
    [anon_sym_LBRACK] = ACTIONS(319),
    [anon_sym_RBRACK] = ACTIONS(322),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT] = ACTIONS(328),
    [anon_sym_BANG] = ACTIONS(331),
    [anon_sym_DQUOTE] = ACTIONS(328),
    [anon_sym_POUND] = ACTIONS(328),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [anon_sym_PERCENT] = ACTIONS(328),
    [anon_sym_AMP] = ACTIONS(334),
    [anon_sym_SQUOTE] = ACTIONS(328),
    [anon_sym_STAR] = ACTIONS(328),
    [anon_sym_PLUS] = ACTIONS(328),
    [anon_sym_COMMA] = ACTIONS(328),
    [anon_sym_DASH] = ACTIONS(328),
    [anon_sym_DOT] = ACTIONS(328),
    [anon_sym_SLASH] = ACTIONS(328),
    [anon_sym_COLON] = ACTIONS(328),
    [anon_sym_SEMI] = ACTIONS(328),
    [anon_sym_EQ] = ACTIONS(328),
    [anon_sym_QMARK] = ACTIONS(328),
    [anon_sym_AT] = ACTIONS(328),
    [anon_sym_BSLASH] = ACTIONS(337),
    [anon_sym_CARET] = ACTIONS(328),
    [anon_sym__] = ACTIONS(328),
    [anon_sym_BQUOTE] = ACTIONS(328),
    [anon_sym_LBRACE] = ACTIONS(328),
    [anon_sym_PIPE] = ACTIONS(328),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_TILDE] = ACTIONS(328),
    [anon_sym_LPAREN] = ACTIONS(328),
    [anon_sym_RPAREN] = ACTIONS(328),
    [sym__newline_token] = ACTIONS(340),
    [sym_uri_autolink] = ACTIONS(316),
    [sym_email_autolink] = ACTIONS(316),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(343),
    [anon_sym_LT_QMARK] = ACTIONS(346),
    [aux_sym__declaration_token1] = ACTIONS(349),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(352),
    [sym__whitespace_ge_2] = ACTIONS(355),
    [aux_sym__whitespace_token1] = ACTIONS(358),
    [sym__word_no_digit] = ACTIONS(316),
    [sym__digits] = ACTIONS(316),
    [sym__code_span_start] = ACTIONS(361),
    [sym__emphasis_open_star] = ACTIONS(364),
    [sym__emphasis_open_underscore] = ACTIONS(367),
    [sym__last_token_punctuation] = ACTIONS(948),
    [sym__strikethrough_open] = ACTIONS(372),
    [sym__latex_span_start] = ACTIONS(375),
  },
  [40] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(950),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [41] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(952),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [42] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(954),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [43] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(41),
    [sym_full_reference_link] = STATE(41),
    [sym_collapsed_reference_link] = STATE(41),
    [sym_inline_link] = STATE(41),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(41),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(41),
    [aux_sym__inline_no_tilde] = STATE(41),
    [sym__strikethrough] = STATE(41),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(41),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(41),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__last_token_punctuation] = ACTIONS(956),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [44] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__strikethrough_close] = ACTIONS(958),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [45] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(960),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [46] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(28),
    [sym_full_reference_link] = STATE(28),
    [sym_collapsed_reference_link] = STATE(28),
    [sym_inline_link] = STATE(28),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(28),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(28),
    [aux_sym__inline_no_underscore] = STATE(28),
    [sym__strikethrough] = STATE(28),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(28),
    [sym__emphasis_underscore] = STATE(346),
    [sym__strong_emphasis_underscore] = STATE(28),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__last_token_punctuation] = ACTIONS(962),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [47] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(964),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [48] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym__link_text] = STATE(1127),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(293),
    [sym_full_reference_link] = STATE(293),
    [sym_collapsed_reference_link] = STATE(293),
    [sym_inline_link] = STATE(293),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__inline_base] = STATE(293),
    [sym__text_base] = STATE(151),
    [sym__inline_element] = STATE(293),
    [aux_sym__inline] = STATE(48),
    [sym__strikethrough] = STATE(293),
    [sym__emphasis_star] = STATE(294),
    [sym__strong_emphasis_star] = STATE(293),
    [sym__emphasis_underscore] = STATE(294),
    [sym__strong_emphasis_underscore] = STATE(293),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(966),
    [sym__backslash_escape] = ACTIONS(968),
    [sym_entity_reference] = ACTIONS(971),
    [sym_numeric_character_reference] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_LT] = ACTIONS(980),
    [anon_sym_GT] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(983),
    [anon_sym_POUND] = ACTIONS(983),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [anon_sym_PERCENT] = ACTIONS(983),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_STAR] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(983),
    [anon_sym_COMMA] = ACTIONS(983),
    [anon_sym_DASH] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(983),
    [anon_sym_SLASH] = ACTIONS(983),
    [anon_sym_COLON] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(983),
    [anon_sym_EQ] = ACTIONS(983),
    [anon_sym_QMARK] = ACTIONS(983),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_BSLASH] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(983),
    [anon_sym__] = ACTIONS(983),
    [anon_sym_BQUOTE] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_PIPE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_RPAREN] = ACTIONS(983),
    [sym__newline_token] = ACTIONS(995),
    [sym_uri_autolink] = ACTIONS(971),
    [sym_email_autolink] = ACTIONS(971),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(998),
    [anon_sym_LT_QMARK] = ACTIONS(1001),
    [aux_sym__declaration_token1] = ACTIONS(1004),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1007),
    [sym__whitespace_ge_2] = ACTIONS(1010),
    [aux_sym__whitespace_token1] = ACTIONS(1013),
    [sym__word_no_digit] = ACTIONS(971),
    [sym__digits] = ACTIONS(971),
    [sym__code_span_start] = ACTIONS(1016),
    [sym__emphasis_open_star] = ACTIONS(1019),
    [sym__emphasis_open_underscore] = ACTIONS(1022),
    [sym__strikethrough_open] = ACTIONS(1025),
    [sym__latex_span_start] = ACTIONS(1028),
  },
  [49] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym__link_text] = STATE(1127),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(293),
    [sym_full_reference_link] = STATE(293),
    [sym_collapsed_reference_link] = STATE(293),
    [sym_inline_link] = STATE(293),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__inline_base] = STATE(293),
    [sym__text_base] = STATE(151),
    [sym__inline_element] = STATE(293),
    [aux_sym__inline] = STATE(48),
    [sym__strikethrough] = STATE(293),
    [sym__emphasis_star] = STATE(294),
    [sym__strong_emphasis_star] = STATE(293),
    [sym__emphasis_underscore] = STATE(294),
    [sym__strong_emphasis_underscore] = STATE(293),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
  },
  [50] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(50),
    [aux_sym__inline_no_tilde] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(1033),
    [sym_entity_reference] = ACTIONS(1036),
    [sym_numeric_character_reference] = ACTIONS(1036),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [anon_sym_RBRACK] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1045),
    [anon_sym_GT] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [anon_sym_POUND] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1054),
    [anon_sym_SQUOTE] = ACTIONS(1048),
    [anon_sym_STAR] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_DOT] = ACTIONS(1048),
    [anon_sym_SLASH] = ACTIONS(1048),
    [anon_sym_COLON] = ACTIONS(1048),
    [anon_sym_SEMI] = ACTIONS(1048),
    [anon_sym_EQ] = ACTIONS(1048),
    [anon_sym_QMARK] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [anon_sym_BSLASH] = ACTIONS(1057),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym__] = ACTIONS(1048),
    [anon_sym_BQUOTE] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1048),
    [anon_sym_PIPE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_RPAREN] = ACTIONS(1048),
    [sym__newline_token] = ACTIONS(1060),
    [sym_uri_autolink] = ACTIONS(1036),
    [sym_email_autolink] = ACTIONS(1036),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1063),
    [anon_sym_LT_QMARK] = ACTIONS(1066),
    [aux_sym__declaration_token1] = ACTIONS(1069),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1072),
    [sym__whitespace_ge_2] = ACTIONS(1075),
    [aux_sym__whitespace_token1] = ACTIONS(1078),
    [sym__word_no_digit] = ACTIONS(1036),
    [sym__digits] = ACTIONS(1036),
    [sym__code_span_start] = ACTIONS(1081),
    [sym__emphasis_open_star] = ACTIONS(1084),
    [sym__emphasis_open_underscore] = ACTIONS(1087),
    [sym__strikethrough_open] = ACTIONS(1090),
    [sym__strikethrough_close] = ACTIONS(1093),
    [sym__latex_span_start] = ACTIONS(1095),
  },
  [51] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__emphasis_close_underscore] = ACTIONS(1098),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [52] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(27),
    [sym_full_reference_link] = STATE(27),
    [sym_collapsed_reference_link] = STATE(27),
    [sym_inline_link] = STATE(27),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(27),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(27),
    [aux_sym__inline_no_star] = STATE(27),
    [sym__strikethrough] = STATE(27),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(27),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(27),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_star] = ACTIONS(1100),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [53] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [54] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(11),
    [sym_full_reference_link] = STATE(11),
    [sym_collapsed_reference_link] = STATE(11),
    [sym_inline_link] = STATE(11),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(11),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(11),
    [aux_sym__inline_no_tilde] = STATE(11),
    [sym__strikethrough] = STATE(11),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(11),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(11),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [55] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym__link_text] = STATE(1127),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(293),
    [sym_full_reference_link] = STATE(293),
    [sym_collapsed_reference_link] = STATE(293),
    [sym_inline_link] = STATE(293),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__inline_base] = STATE(293),
    [sym__text_base] = STATE(151),
    [sym__inline_element] = STATE(293),
    [aux_sym__inline] = STATE(49),
    [sym__strikethrough] = STATE(293),
    [sym__emphasis_star] = STATE(294),
    [sym__strong_emphasis_star] = STATE(293),
    [sym__emphasis_underscore] = STATE(294),
    [sym__strong_emphasis_underscore] = STATE(293),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
  },
  [56] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(23),
    [sym_full_reference_link] = STATE(23),
    [sym_collapsed_reference_link] = STATE(23),
    [sym_inline_link] = STATE(23),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(23),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(23),
    [aux_sym__inline_no_underscore] = STATE(23),
    [sym__strikethrough] = STATE(23),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(23),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(23),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [57] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(44),
    [sym_full_reference_link] = STATE(44),
    [sym_collapsed_reference_link] = STATE(44),
    [sym_inline_link] = STATE(44),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(44),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(44),
    [aux_sym__inline_no_tilde] = STATE(44),
    [sym__strikethrough] = STATE(44),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(44),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(44),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [58] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(12),
    [sym_full_reference_link] = STATE(12),
    [sym_collapsed_reference_link] = STATE(12),
    [sym_inline_link] = STATE(12),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(12),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(12),
    [aux_sym__inline_no_star] = STATE(12),
    [sym__strikethrough] = STATE(12),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(12),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(12),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [59] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(80),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [60] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(37),
    [sym_full_reference_link] = STATE(37),
    [sym_collapsed_reference_link] = STATE(37),
    [sym_inline_link] = STATE(37),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(37),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(37),
    [aux_sym__inline_no_underscore] = STATE(37),
    [sym__strikethrough] = STATE(37),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(37),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(37),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [61] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [62] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1148),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [63] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(61),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [64] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(81),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [65] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(82),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [66] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1150),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [67] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(35),
    [sym_full_reference_link] = STATE(35),
    [sym_collapsed_reference_link] = STATE(35),
    [sym_inline_link] = STATE(35),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(35),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(35),
    [aux_sym__inline_no_tilde] = STATE(35),
    [sym__strikethrough] = STATE(35),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(35),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(35),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [68] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(84),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [69] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(33),
    [sym_full_reference_link] = STATE(33),
    [sym_collapsed_reference_link] = STATE(33),
    [sym_inline_link] = STATE(33),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(33),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(33),
    [aux_sym__inline_no_underscore] = STATE(33),
    [sym__strikethrough] = STATE(33),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(33),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(33),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [70] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(30),
    [sym_full_reference_link] = STATE(30),
    [sym_collapsed_reference_link] = STATE(30),
    [sym_inline_link] = STATE(30),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(30),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(30),
    [aux_sym__inline_no_star] = STATE(30),
    [sym__strikethrough] = STATE(30),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(30),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(30),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [71] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1152),
    [sym_entity_reference] = ACTIONS(1155),
    [sym_numeric_character_reference] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_RBRACK] = ACTIONS(1161),
    [anon_sym_LT] = ACTIONS(1164),
    [anon_sym_GT] = ACTIONS(1167),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [anon_sym_POUND] = ACTIONS(1167),
    [anon_sym_DOLLAR] = ACTIONS(1167),
    [anon_sym_PERCENT] = ACTIONS(1167),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_SQUOTE] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_COMMA] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_SLASH] = ACTIONS(1167),
    [anon_sym_COLON] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1167),
    [anon_sym_EQ] = ACTIONS(1167),
    [anon_sym_QMARK] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1167),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_CARET] = ACTIONS(1167),
    [anon_sym__] = ACTIONS(1167),
    [anon_sym_BQUOTE] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_PIPE] = ACTIONS(1167),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_RPAREN] = ACTIONS(1167),
    [sym__newline_token] = ACTIONS(1179),
    [sym_uri_autolink] = ACTIONS(1155),
    [sym_email_autolink] = ACTIONS(1155),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1182),
    [anon_sym_LT_QMARK] = ACTIONS(1185),
    [aux_sym__declaration_token1] = ACTIONS(1188),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1191),
    [sym__whitespace_ge_2] = ACTIONS(1194),
    [aux_sym__whitespace_token1] = ACTIONS(1197),
    [sym__word_no_digit] = ACTIONS(1155),
    [sym__digits] = ACTIONS(1155),
    [sym__code_span_start] = ACTIONS(1200),
    [sym__emphasis_open_star] = ACTIONS(1203),
    [sym__emphasis_open_underscore] = ACTIONS(1206),
    [sym__strikethrough_open] = ACTIONS(1209),
    [sym__latex_span_start] = ACTIONS(1212),
  },
  [72] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(38),
    [sym_full_reference_link] = STATE(38),
    [sym_collapsed_reference_link] = STATE(38),
    [sym_inline_link] = STATE(38),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(38),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(38),
    [aux_sym__inline_no_star] = STATE(38),
    [sym__strikethrough] = STATE(38),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(38),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(38),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [73] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(34),
    [sym_full_reference_link] = STATE(34),
    [sym_collapsed_reference_link] = STATE(34),
    [sym_inline_link] = STATE(34),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(34),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(34),
    [aux_sym__inline_no_tilde] = STATE(34),
    [sym__strikethrough] = STATE(34),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(34),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(34),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [74] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(66),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [75] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(62),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [76] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym__link_text] = STATE(1125),
    [sym__link_text_non_empty] = STATE(519),
    [sym_shortcut_link] = STATE(19),
    [sym_full_reference_link] = STATE(19),
    [sym_collapsed_reference_link] = STATE(19),
    [sym_inline_link] = STATE(19),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__inline_base] = STATE(19),
    [sym__text_base] = STATE(153),
    [sym__inline_element_no_tilde] = STATE(19),
    [aux_sym__inline_no_tilde] = STATE(19),
    [sym__strikethrough] = STATE(19),
    [sym__emphasis_star] = STATE(302),
    [sym__strong_emphasis_star] = STATE(19),
    [sym__emphasis_underscore] = STATE(302),
    [sym__strong_emphasis_underscore] = STATE(19),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(678),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [77] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(53),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [78] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(18),
    [sym_full_reference_link] = STATE(18),
    [sym_collapsed_reference_link] = STATE(18),
    [sym_inline_link] = STATE(18),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(18),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(18),
    [aux_sym__inline_no_underscore] = STATE(18),
    [sym__strikethrough] = STATE(18),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(18),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(18),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [79] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(17),
    [sym_full_reference_link] = STATE(17),
    [sym_collapsed_reference_link] = STATE(17),
    [sym_inline_link] = STATE(17),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(17),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(17),
    [aux_sym__inline_no_star] = STATE(17),
    [sym__strikethrough] = STATE(17),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(17),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(17),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [80] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [81] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [82] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [83] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1124),
    [sym__link_text_non_empty] = STATE(437),
    [sym_shortcut_link] = STATE(25),
    [sym_full_reference_link] = STATE(25),
    [sym_collapsed_reference_link] = STATE(25),
    [sym_inline_link] = STATE(25),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(25),
    [sym__text_base] = STATE(155),
    [sym__inline_element_no_underscore] = STATE(25),
    [aux_sym__inline_no_underscore] = STATE(25),
    [sym__strikethrough] = STATE(25),
    [sym__emphasis_star] = STATE(299),
    [sym__strong_emphasis_star] = STATE(25),
    [sym__emphasis_underscore] = STATE(299),
    [sym__strong_emphasis_underscore] = STATE(25),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(734),
    [sym_numeric_character_reference] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(734),
    [sym_email_autolink] = ACTIONS(734),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(734),
    [sym__digits] = ACTIONS(734),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(766),
    [sym__emphasis_open_underscore] = ACTIONS(768),
    [sym__strikethrough_open] = ACTIONS(772),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [84] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym__link_text] = STATE(1132),
    [sym__link_text_non_empty] = STATE(600),
    [sym_shortcut_link] = STATE(555),
    [sym_full_reference_link] = STATE(555),
    [sym_collapsed_reference_link] = STATE(555),
    [sym_inline_link] = STATE(555),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__inline_base] = STATE(555),
    [sym__text_base] = STATE(157),
    [sym__inline_element] = STATE(555),
    [aux_sym__inline] = STATE(71),
    [sym__strikethrough] = STATE(555),
    [sym__emphasis_star] = STATE(554),
    [sym__strong_emphasis_star] = STATE(555),
    [sym__emphasis_underscore] = STATE(554),
    [sym__strong_emphasis_underscore] = STATE(555),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [85] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym__link_text] = STATE(1123),
    [sym__link_text_non_empty] = STATE(351),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(152),
    [sym__inline_element_no_star] = STATE(24),
    [aux_sym__inline_no_star] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(298),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(298),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [86] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(109),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1223),
    [sym_entity_reference] = ACTIONS(1226),
    [sym_numeric_character_reference] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(565),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(1235),
    [anon_sym_DOLLAR] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1235),
    [anon_sym_QMARK] = ACTIONS(1235),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym__] = ACTIONS(1235),
    [anon_sym_BQUOTE] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_PIPE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [sym__newline_token] = ACTIONS(1247),
    [sym_uri_autolink] = ACTIONS(1226),
    [sym_email_autolink] = ACTIONS(1226),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1250),
    [anon_sym_LT_QMARK] = ACTIONS(1253),
    [aux_sym__declaration_token1] = ACTIONS(1256),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1259),
    [sym__whitespace_ge_2] = ACTIONS(1262),
    [aux_sym__whitespace_token1] = ACTIONS(1265),
    [sym__word_no_digit] = ACTIONS(1226),
    [sym__digits] = ACTIONS(1226),
    [sym__code_span_start] = ACTIONS(1268),
    [sym__emphasis_open_star] = ACTIONS(1271),
    [sym__emphasis_open_underscore] = ACTIONS(1274),
    [sym__emphasis_close_star] = ACTIONS(565),
    [sym__last_token_punctuation] = ACTIONS(1277),
    [sym__strikethrough_open] = ACTIONS(1279),
    [sym__latex_span_start] = ACTIONS(1282),
  },
  [87] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [ts_builtin_sym_end] = ACTIONS(114),
    [sym__backslash_escape] = ACTIONS(1285),
    [sym_entity_reference] = ACTIONS(1288),
    [sym_numeric_character_reference] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(114),
    [anon_sym_RBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [anon_sym_POUND] = ACTIONS(1297),
    [anon_sym_DOLLAR] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_COLON] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_RPAREN] = ACTIONS(1297),
    [sym__newline_token] = ACTIONS(1309),
    [sym_uri_autolink] = ACTIONS(1288),
    [sym_email_autolink] = ACTIONS(1288),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LT_QMARK] = ACTIONS(1315),
    [aux_sym__declaration_token1] = ACTIONS(1318),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1321),
    [sym__whitespace_ge_2] = ACTIONS(1324),
    [aux_sym__whitespace_token1] = ACTIONS(1327),
    [sym__word_no_digit] = ACTIONS(1288),
    [sym__digits] = ACTIONS(1288),
    [sym__code_span_start] = ACTIONS(1330),
    [sym__emphasis_open_star] = ACTIONS(1333),
    [sym__emphasis_open_underscore] = ACTIONS(1336),
    [sym__last_token_punctuation] = ACTIONS(1339),
    [sym__strikethrough_open] = ACTIONS(1341),
    [sym__latex_span_start] = ACTIONS(1344),
  },
  [88] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1347),
    [sym_entity_reference] = ACTIONS(1350),
    [sym_numeric_character_reference] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(308),
    [anon_sym_RBRACK] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_POUND] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym__] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [sym__newline_token] = ACTIONS(1371),
    [sym_uri_autolink] = ACTIONS(1350),
    [sym_email_autolink] = ACTIONS(1350),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1374),
    [anon_sym_LT_QMARK] = ACTIONS(1377),
    [aux_sym__declaration_token1] = ACTIONS(1380),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1383),
    [sym__whitespace_ge_2] = ACTIONS(1386),
    [aux_sym__whitespace_token1] = ACTIONS(1389),
    [sym__word_no_digit] = ACTIONS(1350),
    [sym__digits] = ACTIONS(1350),
    [sym__code_span_start] = ACTIONS(1392),
    [sym__emphasis_open_star] = ACTIONS(1395),
    [sym__emphasis_open_underscore] = ACTIONS(1398),
    [sym__last_token_punctuation] = ACTIONS(1401),
    [sym__strikethrough_open] = ACTIONS(1403),
    [sym__strikethrough_close] = ACTIONS(308),
    [sym__latex_span_start] = ACTIONS(1406),
  },
  [89] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(123),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1409),
    [sym_entity_reference] = ACTIONS(1412),
    [sym_numeric_character_reference] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(104),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1421),
    [anon_sym_POUND] = ACTIONS(1421),
    [anon_sym_DOLLAR] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_SQUOTE] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_AT] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym__] = ACTIONS(1421),
    [anon_sym_BQUOTE] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [sym__newline_token] = ACTIONS(1433),
    [sym_uri_autolink] = ACTIONS(1412),
    [sym_email_autolink] = ACTIONS(1412),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1436),
    [anon_sym_LT_QMARK] = ACTIONS(1439),
    [aux_sym__declaration_token1] = ACTIONS(1442),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1445),
    [sym__whitespace_ge_2] = ACTIONS(1448),
    [aux_sym__whitespace_token1] = ACTIONS(1451),
    [sym__word_no_digit] = ACTIONS(1412),
    [sym__digits] = ACTIONS(1412),
    [sym__code_span_start] = ACTIONS(1454),
    [sym__emphasis_open_star] = ACTIONS(1457),
    [sym__emphasis_open_underscore] = ACTIONS(1460),
    [sym__emphasis_close_underscore] = ACTIONS(104),
    [sym__last_token_punctuation] = ACTIONS(1463),
    [sym__strikethrough_open] = ACTIONS(1465),
    [sym__latex_span_start] = ACTIONS(1468),
  },
  [90] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1285),
    [sym_entity_reference] = ACTIONS(1288),
    [sym_numeric_character_reference] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(114),
    [anon_sym_RBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [anon_sym_POUND] = ACTIONS(1297),
    [anon_sym_DOLLAR] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_COLON] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_RPAREN] = ACTIONS(1297),
    [sym__newline_token] = ACTIONS(1309),
    [sym_uri_autolink] = ACTIONS(1288),
    [sym_email_autolink] = ACTIONS(1288),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LT_QMARK] = ACTIONS(1315),
    [aux_sym__declaration_token1] = ACTIONS(1318),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1321),
    [sym__whitespace_ge_2] = ACTIONS(1324),
    [aux_sym__whitespace_token1] = ACTIONS(1327),
    [sym__word_no_digit] = ACTIONS(1288),
    [sym__digits] = ACTIONS(1288),
    [sym__code_span_start] = ACTIONS(1330),
    [sym__emphasis_open_star] = ACTIONS(1333),
    [sym__emphasis_open_underscore] = ACTIONS(1336),
    [sym__last_token_punctuation] = ACTIONS(1471),
    [sym__strikethrough_open] = ACTIONS(1341),
    [sym__latex_span_start] = ACTIONS(1344),
  },
  [91] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(111),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(111),
    [aux_sym__inline_no_underscore_no_link] = STATE(111),
    [sym__strikethrough_no_link] = STATE(111),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(111),
    [sym__emphasis_underscore_no_link] = STATE(630),
    [sym__strong_emphasis_underscore_no_link] = STATE(111),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1473),
    [sym_entity_reference] = ACTIONS(1476),
    [sym_numeric_character_reference] = ACTIONS(1476),
    [anon_sym_LT] = ACTIONS(1479),
    [anon_sym_GT] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1485),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [anon_sym_POUND] = ACTIONS(1482),
    [anon_sym_DOLLAR] = ACTIONS(1482),
    [anon_sym_PERCENT] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_DOT] = ACTIONS(1482),
    [anon_sym_SLASH] = ACTIONS(1482),
    [anon_sym_COLON] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym_EQ] = ACTIONS(1482),
    [anon_sym_QMARK] = ACTIONS(1482),
    [anon_sym_AT] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1482),
    [anon_sym__] = ACTIONS(1482),
    [anon_sym_BQUOTE] = ACTIONS(1482),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_PIPE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1482),
    [anon_sym_RPAREN] = ACTIONS(1482),
    [sym__newline_token] = ACTIONS(1494),
    [sym_uri_autolink] = ACTIONS(1476),
    [sym_email_autolink] = ACTIONS(1476),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1497),
    [anon_sym_LT_QMARK] = ACTIONS(1500),
    [aux_sym__declaration_token1] = ACTIONS(1503),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1506),
    [sym__whitespace_ge_2] = ACTIONS(1509),
    [aux_sym__whitespace_token1] = ACTIONS(1512),
    [sym__word_no_digit] = ACTIONS(1476),
    [sym__digits] = ACTIONS(1476),
    [sym__code_span_start] = ACTIONS(1515),
    [sym__emphasis_open_star] = ACTIONS(1518),
    [sym__emphasis_open_underscore] = ACTIONS(1521),
    [sym__emphasis_close_star] = ACTIONS(1524),
    [sym__last_token_punctuation] = ACTIONS(1526),
    [sym__strikethrough_open] = ACTIONS(1528),
    [sym__latex_span_start] = ACTIONS(1531),
  },
  [92] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(134),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(134),
    [aux_sym__inline_no_tilde_no_link] = STATE(134),
    [sym__strikethrough_no_link] = STATE(134),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(134),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(134),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1534),
    [sym_entity_reference] = ACTIONS(1537),
    [sym_numeric_character_reference] = ACTIONS(1537),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1542),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1545),
    [anon_sym_POUND] = ACTIONS(1545),
    [anon_sym_DOLLAR] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_COMMA] = ACTIONS(1545),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_DOT] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_COLON] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_QMARK] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1545),
    [anon_sym_BSLASH] = ACTIONS(1554),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym__] = ACTIONS(1545),
    [anon_sym_BQUOTE] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_TILDE] = ACTIONS(1545),
    [anon_sym_LPAREN] = ACTIONS(1545),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [sym__newline_token] = ACTIONS(1557),
    [sym_uri_autolink] = ACTIONS(1537),
    [sym_email_autolink] = ACTIONS(1537),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1560),
    [anon_sym_LT_QMARK] = ACTIONS(1563),
    [aux_sym__declaration_token1] = ACTIONS(1566),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1569),
    [sym__whitespace_ge_2] = ACTIONS(1572),
    [aux_sym__whitespace_token1] = ACTIONS(1575),
    [sym__word_no_digit] = ACTIONS(1537),
    [sym__digits] = ACTIONS(1537),
    [sym__code_span_start] = ACTIONS(1578),
    [sym__emphasis_open_star] = ACTIONS(1581),
    [sym__emphasis_open_underscore] = ACTIONS(1584),
    [sym__last_token_punctuation] = ACTIONS(1587),
    [sym__strikethrough_open] = ACTIONS(1589),
    [sym__latex_span_start] = ACTIONS(1592),
  },
  [93] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(126),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(126),
    [aux_sym__inline_no_star_no_link] = STATE(126),
    [sym__strikethrough_no_link] = STATE(126),
    [sym__emphasis_star_no_link] = STATE(618),
    [sym__strong_emphasis_star_no_link] = STATE(126),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(126),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1595),
    [sym_entity_reference] = ACTIONS(1598),
    [sym_numeric_character_reference] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_POUND] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_COLON] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_BSLASH] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1604),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_RPAREN] = ACTIONS(1604),
    [sym__newline_token] = ACTIONS(1616),
    [sym_uri_autolink] = ACTIONS(1598),
    [sym_email_autolink] = ACTIONS(1598),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1619),
    [anon_sym_LT_QMARK] = ACTIONS(1622),
    [aux_sym__declaration_token1] = ACTIONS(1625),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1628),
    [sym__whitespace_ge_2] = ACTIONS(1631),
    [aux_sym__whitespace_token1] = ACTIONS(1634),
    [sym__word_no_digit] = ACTIONS(1598),
    [sym__digits] = ACTIONS(1598),
    [sym__code_span_start] = ACTIONS(1637),
    [sym__emphasis_open_star] = ACTIONS(1640),
    [sym__emphasis_open_underscore] = ACTIONS(1643),
    [sym__emphasis_close_underscore] = ACTIONS(1646),
    [sym__last_token_punctuation] = ACTIONS(1648),
    [sym__strikethrough_open] = ACTIONS(1650),
    [sym__latex_span_start] = ACTIONS(1653),
  },
  [94] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(127),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(127),
    [aux_sym__inline_no_underscore_no_link] = STATE(127),
    [sym__strikethrough_no_link] = STATE(127),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(127),
    [sym__emphasis_underscore_no_link] = STATE(631),
    [sym__strong_emphasis_underscore_no_link] = STATE(127),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1656),
    [sym_entity_reference] = ACTIONS(1659),
    [sym_numeric_character_reference] = ACTIONS(1659),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [anon_sym_POUND] = ACTIONS(1665),
    [anon_sym_DOLLAR] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_DOT] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_BSLASH] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym__] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [sym__newline_token] = ACTIONS(1677),
    [sym_uri_autolink] = ACTIONS(1659),
    [sym_email_autolink] = ACTIONS(1659),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1680),
    [anon_sym_LT_QMARK] = ACTIONS(1683),
    [aux_sym__declaration_token1] = ACTIONS(1686),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1689),
    [sym__whitespace_ge_2] = ACTIONS(1692),
    [aux_sym__whitespace_token1] = ACTIONS(1695),
    [sym__word_no_digit] = ACTIONS(1659),
    [sym__digits] = ACTIONS(1659),
    [sym__code_span_start] = ACTIONS(1698),
    [sym__emphasis_open_star] = ACTIONS(1701),
    [sym__emphasis_open_underscore] = ACTIONS(1704),
    [sym__last_token_punctuation] = ACTIONS(1707),
    [sym__strikethrough_open] = ACTIONS(1709),
    [sym__latex_span_start] = ACTIONS(1712),
  },
  [95] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(124),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(124),
    [aux_sym__inline_no_star_no_link] = STATE(124),
    [sym__strikethrough_no_link] = STATE(124),
    [sym__emphasis_star_no_link] = STATE(622),
    [sym__strong_emphasis_star_no_link] = STATE(124),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(124),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1715),
    [sym_entity_reference] = ACTIONS(1718),
    [sym_numeric_character_reference] = ACTIONS(1718),
    [anon_sym_RBRACK] = ACTIONS(1540),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(1724),
    [anon_sym_POUND] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_QMARK] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1724),
    [anon_sym_BSLASH] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym__] = ACTIONS(1724),
    [anon_sym_BQUOTE] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_TILDE] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_RPAREN] = ACTIONS(1724),
    [sym__newline_token] = ACTIONS(1736),
    [sym_uri_autolink] = ACTIONS(1718),
    [sym_email_autolink] = ACTIONS(1718),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1739),
    [anon_sym_LT_QMARK] = ACTIONS(1742),
    [aux_sym__declaration_token1] = ACTIONS(1745),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1748),
    [sym__whitespace_ge_2] = ACTIONS(1751),
    [aux_sym__whitespace_token1] = ACTIONS(1754),
    [sym__word_no_digit] = ACTIONS(1718),
    [sym__digits] = ACTIONS(1718),
    [sym__code_span_start] = ACTIONS(1757),
    [sym__emphasis_open_star] = ACTIONS(1760),
    [sym__emphasis_open_underscore] = ACTIONS(1763),
    [sym__last_token_punctuation] = ACTIONS(1766),
    [sym__strikethrough_open] = ACTIONS(1768),
    [sym__latex_span_start] = ACTIONS(1771),
  },
  [96] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(112),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(112),
    [aux_sym__inline_no_tilde_no_link] = STATE(112),
    [sym__strikethrough_no_link] = STATE(112),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(112),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(112),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1774),
    [sym_entity_reference] = ACTIONS(1777),
    [sym_numeric_character_reference] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1780),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_BANG] = ACTIONS(1786),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_POUND] = ACTIONS(1783),
    [anon_sym_DOLLAR] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_COLON] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1783),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym__] = ACTIONS(1783),
    [anon_sym_BQUOTE] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_TILDE] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [sym__newline_token] = ACTIONS(1795),
    [sym_uri_autolink] = ACTIONS(1777),
    [sym_email_autolink] = ACTIONS(1777),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1798),
    [anon_sym_LT_QMARK] = ACTIONS(1801),
    [aux_sym__declaration_token1] = ACTIONS(1804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1807),
    [sym__whitespace_ge_2] = ACTIONS(1810),
    [aux_sym__whitespace_token1] = ACTIONS(1813),
    [sym__word_no_digit] = ACTIONS(1777),
    [sym__digits] = ACTIONS(1777),
    [sym__code_span_start] = ACTIONS(1816),
    [sym__emphasis_open_star] = ACTIONS(1819),
    [sym__emphasis_open_underscore] = ACTIONS(1822),
    [sym__emphasis_close_star] = ACTIONS(1524),
    [sym__last_token_punctuation] = ACTIONS(1825),
    [sym__strikethrough_open] = ACTIONS(1827),
    [sym__latex_span_start] = ACTIONS(1830),
  },
  [97] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(121),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(121),
    [aux_sym__inline_no_star_no_link] = STATE(121),
    [sym__strikethrough_no_link] = STATE(121),
    [sym__emphasis_star_no_link] = STATE(621),
    [sym__strong_emphasis_star_no_link] = STATE(121),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(121),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(1833),
    [sym_entity_reference] = ACTIONS(1836),
    [sym_numeric_character_reference] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1839),
    [anon_sym_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_DQUOTE] = ACTIONS(1842),
    [anon_sym_POUND] = ACTIONS(1842),
    [anon_sym_DOLLAR] = ACTIONS(1842),
    [anon_sym_PERCENT] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1848),
    [anon_sym_SQUOTE] = ACTIONS(1842),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1842),
    [anon_sym_COLON] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [anon_sym_QMARK] = ACTIONS(1842),
    [anon_sym_AT] = ACTIONS(1842),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1842),
    [anon_sym__] = ACTIONS(1842),
    [anon_sym_BQUOTE] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1842),
    [anon_sym_RBRACE] = ACTIONS(1842),
    [anon_sym_TILDE] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_RPAREN] = ACTIONS(1842),
    [sym__newline_token] = ACTIONS(1854),
    [sym_uri_autolink] = ACTIONS(1836),
    [sym_email_autolink] = ACTIONS(1836),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1857),
    [anon_sym_LT_QMARK] = ACTIONS(1860),
    [aux_sym__declaration_token1] = ACTIONS(1863),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1866),
    [sym__whitespace_ge_2] = ACTIONS(1869),
    [aux_sym__whitespace_token1] = ACTIONS(1872),
    [sym__word_no_digit] = ACTIONS(1836),
    [sym__digits] = ACTIONS(1836),
    [sym__code_span_start] = ACTIONS(1875),
    [sym__emphasis_open_star] = ACTIONS(1878),
    [sym__emphasis_open_underscore] = ACTIONS(1881),
    [sym__last_token_punctuation] = ACTIONS(1884),
    [sym__strikethrough_open] = ACTIONS(1886),
    [sym__strikethrough_close] = ACTIONS(1889),
    [sym__latex_span_start] = ACTIONS(1891),
  },
  [98] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(120),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(120),
    [aux_sym__inline_no_underscore_no_link] = STATE(120),
    [sym__strikethrough_no_link] = STATE(120),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(120),
    [sym__emphasis_underscore_no_link] = STATE(613),
    [sym__strong_emphasis_underscore_no_link] = STATE(120),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1894),
    [sym_entity_reference] = ACTIONS(1897),
    [sym_numeric_character_reference] = ACTIONS(1897),
    [anon_sym_LT] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_POUND] = ACTIONS(1903),
    [anon_sym_DOLLAR] = ACTIONS(1903),
    [anon_sym_PERCENT] = ACTIONS(1903),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [anon_sym_STAR] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1903),
    [anon_sym_COLON] = ACTIONS(1903),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_EQ] = ACTIONS(1903),
    [anon_sym_QMARK] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_BSLASH] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(1903),
    [anon_sym__] = ACTIONS(1903),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_PIPE] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_RPAREN] = ACTIONS(1903),
    [sym__newline_token] = ACTIONS(1915),
    [sym_uri_autolink] = ACTIONS(1897),
    [sym_email_autolink] = ACTIONS(1897),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1918),
    [anon_sym_LT_QMARK] = ACTIONS(1921),
    [aux_sym__declaration_token1] = ACTIONS(1924),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1927),
    [sym__whitespace_ge_2] = ACTIONS(1930),
    [aux_sym__whitespace_token1] = ACTIONS(1933),
    [sym__word_no_digit] = ACTIONS(1897),
    [sym__digits] = ACTIONS(1897),
    [sym__code_span_start] = ACTIONS(1936),
    [sym__emphasis_open_star] = ACTIONS(1939),
    [sym__emphasis_open_underscore] = ACTIONS(1942),
    [sym__last_token_punctuation] = ACTIONS(1945),
    [sym__strikethrough_open] = ACTIONS(1947),
    [sym__strikethrough_close] = ACTIONS(1889),
    [sym__latex_span_start] = ACTIONS(1950),
  },
  [99] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(129),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(129),
    [aux_sym__inline_no_tilde_no_link] = STATE(129),
    [sym__strikethrough_no_link] = STATE(129),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(129),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(129),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1953),
    [sym_entity_reference] = ACTIONS(1956),
    [sym_numeric_character_reference] = ACTIONS(1956),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [anon_sym_POUND] = ACTIONS(1962),
    [anon_sym_DOLLAR] = ACTIONS(1962),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1962),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_AT] = ACTIONS(1962),
    [anon_sym_BSLASH] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym__] = ACTIONS(1962),
    [anon_sym_BQUOTE] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [sym__newline_token] = ACTIONS(1974),
    [sym_uri_autolink] = ACTIONS(1956),
    [sym_email_autolink] = ACTIONS(1956),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1977),
    [anon_sym_LT_QMARK] = ACTIONS(1980),
    [aux_sym__declaration_token1] = ACTIONS(1983),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1986),
    [sym__whitespace_ge_2] = ACTIONS(1989),
    [aux_sym__whitespace_token1] = ACTIONS(1992),
    [sym__word_no_digit] = ACTIONS(1956),
    [sym__digits] = ACTIONS(1956),
    [sym__code_span_start] = ACTIONS(1995),
    [sym__emphasis_open_star] = ACTIONS(1998),
    [sym__emphasis_open_underscore] = ACTIONS(2001),
    [sym__emphasis_close_underscore] = ACTIONS(1646),
    [sym__last_token_punctuation] = ACTIONS(2004),
    [sym__strikethrough_open] = ACTIONS(2006),
    [sym__latex_span_start] = ACTIONS(2009),
  },
  [100] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2028),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [101] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2052),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [102] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2056),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [103] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(2058),
    [sym_entity_reference] = ACTIONS(2061),
    [sym_numeric_character_reference] = ACTIONS(2061),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_GT] = ACTIONS(2067),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_POUND] = ACTIONS(2067),
    [anon_sym_DOLLAR] = ACTIONS(2067),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_AMP] = ACTIONS(2073),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2067),
    [anon_sym_COLON] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_EQ] = ACTIONS(2067),
    [anon_sym_QMARK] = ACTIONS(2067),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_BSLASH] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2067),
    [anon_sym__] = ACTIONS(2067),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_PIPE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [sym__newline_token] = ACTIONS(2079),
    [sym_uri_autolink] = ACTIONS(2061),
    [sym_email_autolink] = ACTIONS(2061),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2082),
    [anon_sym_LT_QMARK] = ACTIONS(2085),
    [aux_sym__declaration_token1] = ACTIONS(2088),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2091),
    [sym__whitespace_ge_2] = ACTIONS(2094),
    [aux_sym__whitespace_token1] = ACTIONS(2097),
    [sym__word_no_digit] = ACTIONS(2061),
    [sym__digits] = ACTIONS(2061),
    [sym__code_span_start] = ACTIONS(2100),
    [sym__emphasis_open_star] = ACTIONS(2103),
    [sym__emphasis_open_underscore] = ACTIONS(2106),
    [sym__emphasis_close_star] = ACTIONS(2109),
    [sym__strikethrough_open] = ACTIONS(2111),
    [sym__latex_span_start] = ACTIONS(2114),
  },
  [104] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2117),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [105] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2135),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [106] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2141),
    [sym_numeric_character_reference] = ACTIONS(2141),
    [anon_sym_RBRACK] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2141),
    [sym_email_autolink] = ACTIONS(2141),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2141),
    [sym__digits] = ACTIONS(2141),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2155),
    [sym__emphasis_open_underscore] = ACTIONS(2157),
    [sym__strikethrough_open] = ACTIONS(2159),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [107] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(2163),
    [sym_entity_reference] = ACTIONS(2166),
    [sym_numeric_character_reference] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2169),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2172),
    [anon_sym_POUND] = ACTIONS(2172),
    [anon_sym_DOLLAR] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2172),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_STAR] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2172),
    [anon_sym_COMMA] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_DOT] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_COLON] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_EQ] = ACTIONS(2172),
    [anon_sym_QMARK] = ACTIONS(2172),
    [anon_sym_AT] = ACTIONS(2172),
    [anon_sym_BSLASH] = ACTIONS(2181),
    [anon_sym_CARET] = ACTIONS(2172),
    [anon_sym__] = ACTIONS(2172),
    [anon_sym_BQUOTE] = ACTIONS(2172),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_PIPE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_RPAREN] = ACTIONS(2172),
    [sym__newline_token] = ACTIONS(2184),
    [sym_uri_autolink] = ACTIONS(2166),
    [sym_email_autolink] = ACTIONS(2166),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2187),
    [anon_sym_LT_QMARK] = ACTIONS(2190),
    [aux_sym__declaration_token1] = ACTIONS(2193),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2196),
    [sym__whitespace_ge_2] = ACTIONS(2199),
    [aux_sym__whitespace_token1] = ACTIONS(2202),
    [sym__word_no_digit] = ACTIONS(2166),
    [sym__digits] = ACTIONS(2166),
    [sym__code_span_start] = ACTIONS(2205),
    [sym__emphasis_open_star] = ACTIONS(2208),
    [sym__emphasis_open_underscore] = ACTIONS(2211),
    [sym__emphasis_close_underscore] = ACTIONS(2214),
    [sym__strikethrough_open] = ACTIONS(2216),
    [sym__latex_span_start] = ACTIONS(2219),
  },
  [108] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2141),
    [sym_numeric_character_reference] = ACTIONS(2141),
    [anon_sym_RBRACK] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2141),
    [sym_email_autolink] = ACTIONS(2141),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2141),
    [sym__digits] = ACTIONS(2141),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2155),
    [sym__emphasis_open_underscore] = ACTIONS(2157),
    [sym__strikethrough_open] = ACTIONS(2159),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [109] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2141),
    [sym_numeric_character_reference] = ACTIONS(2141),
    [anon_sym_RBRACK] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2141),
    [sym_email_autolink] = ACTIONS(2141),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2141),
    [sym__digits] = ACTIONS(2141),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2155),
    [sym__emphasis_open_underscore] = ACTIONS(2157),
    [sym__strikethrough_open] = ACTIONS(2159),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [110] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2226),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [111] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2228),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [112] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2230),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [113] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2232),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [114] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2234),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [115] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2236),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [116] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2238),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [117] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2240),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [118] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2242),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [119] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2244),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [120] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2246),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [121] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2248),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [122] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(110),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(110),
    [aux_sym__inline_no_star_no_link] = STATE(110),
    [sym__strikethrough_no_link] = STATE(110),
    [sym__emphasis_star_no_link] = STATE(639),
    [sym__strong_emphasis_star_no_link] = STATE(110),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(110),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__last_token_punctuation] = ACTIONS(2250),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [123] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2141),
    [sym_numeric_character_reference] = ACTIONS(2141),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2141),
    [sym_email_autolink] = ACTIONS(2141),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2141),
    [sym__digits] = ACTIONS(2141),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2155),
    [sym__emphasis_open_underscore] = ACTIONS(2157),
    [sym__strikethrough_open] = ACTIONS(2159),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [124] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2254),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [125] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(128),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(128),
    [aux_sym__inline_no_underscore_no_link] = STATE(128),
    [sym__strikethrough_no_link] = STATE(128),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(128),
    [sym__emphasis_underscore_no_link] = STATE(619),
    [sym__strong_emphasis_underscore_no_link] = STATE(128),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__last_token_punctuation] = ACTIONS(2256),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [126] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2258),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [127] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2260),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [128] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(107),
    [aux_sym__inline_no_underscore_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__emphasis_close_underscore] = ACTIONS(2262),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [129] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2264),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [130] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__emphasis_close_star] = ACTIONS(2266),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [131] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(2268),
    [sym_entity_reference] = ACTIONS(2271),
    [sym_numeric_character_reference] = ACTIONS(2271),
    [anon_sym_RBRACK] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_GT] = ACTIONS(2279),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_DQUOTE] = ACTIONS(2279),
    [anon_sym_POUND] = ACTIONS(2279),
    [anon_sym_DOLLAR] = ACTIONS(2279),
    [anon_sym_PERCENT] = ACTIONS(2279),
    [anon_sym_AMP] = ACTIONS(2285),
    [anon_sym_SQUOTE] = ACTIONS(2279),
    [anon_sym_STAR] = ACTIONS(2279),
    [anon_sym_PLUS] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_DASH] = ACTIONS(2279),
    [anon_sym_DOT] = ACTIONS(2279),
    [anon_sym_SLASH] = ACTIONS(2279),
    [anon_sym_COLON] = ACTIONS(2279),
    [anon_sym_SEMI] = ACTIONS(2279),
    [anon_sym_EQ] = ACTIONS(2279),
    [anon_sym_QMARK] = ACTIONS(2279),
    [anon_sym_AT] = ACTIONS(2279),
    [anon_sym_BSLASH] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2279),
    [anon_sym__] = ACTIONS(2279),
    [anon_sym_BQUOTE] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(2279),
    [anon_sym_PIPE] = ACTIONS(2279),
    [anon_sym_RBRACE] = ACTIONS(2279),
    [anon_sym_TILDE] = ACTIONS(2279),
    [anon_sym_LPAREN] = ACTIONS(2279),
    [anon_sym_RPAREN] = ACTIONS(2279),
    [sym__newline_token] = ACTIONS(2291),
    [sym_uri_autolink] = ACTIONS(2271),
    [sym_email_autolink] = ACTIONS(2271),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2294),
    [anon_sym_LT_QMARK] = ACTIONS(2297),
    [aux_sym__declaration_token1] = ACTIONS(2300),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2303),
    [sym__whitespace_ge_2] = ACTIONS(2306),
    [aux_sym__whitespace_token1] = ACTIONS(2309),
    [sym__word_no_digit] = ACTIONS(2271),
    [sym__digits] = ACTIONS(2271),
    [sym__code_span_start] = ACTIONS(2312),
    [sym__emphasis_open_star] = ACTIONS(2315),
    [sym__emphasis_open_underscore] = ACTIONS(2318),
    [sym__strikethrough_open] = ACTIONS(2321),
    [sym__latex_span_start] = ACTIONS(2324),
  },
  [132] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(2327),
    [sym_entity_reference] = ACTIONS(2330),
    [sym_numeric_character_reference] = ACTIONS(2330),
    [anon_sym_LT] = ACTIONS(2333),
    [anon_sym_GT] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2339),
    [anon_sym_DQUOTE] = ACTIONS(2336),
    [anon_sym_POUND] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_AMP] = ACTIONS(2342),
    [anon_sym_SQUOTE] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_DOT] = ACTIONS(2336),
    [anon_sym_SLASH] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_QMARK] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2345),
    [anon_sym_CARET] = ACTIONS(2336),
    [anon_sym__] = ACTIONS(2336),
    [anon_sym_BQUOTE] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_PIPE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [sym__newline_token] = ACTIONS(2348),
    [sym_uri_autolink] = ACTIONS(2330),
    [sym_email_autolink] = ACTIONS(2330),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2351),
    [anon_sym_LT_QMARK] = ACTIONS(2354),
    [aux_sym__declaration_token1] = ACTIONS(2357),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2360),
    [sym__whitespace_ge_2] = ACTIONS(2363),
    [aux_sym__whitespace_token1] = ACTIONS(2366),
    [sym__word_no_digit] = ACTIONS(2330),
    [sym__digits] = ACTIONS(2330),
    [sym__code_span_start] = ACTIONS(2369),
    [sym__emphasis_open_star] = ACTIONS(2372),
    [sym__emphasis_open_underscore] = ACTIONS(2375),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__strikethrough_close] = ACTIONS(2381),
    [sym__latex_span_start] = ACTIONS(2383),
  },
  [133] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(119),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(119),
    [aux_sym__inline_no_tilde_no_link] = STATE(119),
    [sym__strikethrough_no_link] = STATE(119),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(119),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(119),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__last_token_punctuation] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [134] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(132),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(132),
    [aux_sym__inline_no_tilde_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(132),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(132),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(132),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__strikethrough_close] = ACTIONS(2388),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [135] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(614),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_link] = STATE(614),
    [aux_sym__inline_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(614),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(614),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(614),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2141),
    [sym_numeric_character_reference] = ACTIONS(2141),
    [anon_sym_RBRACK] = ACTIONS(2390),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2141),
    [sym_email_autolink] = ACTIONS(2141),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2141),
    [sym__digits] = ACTIONS(2141),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2155),
    [sym__emphasis_open_underscore] = ACTIONS(2157),
    [sym__strikethrough_open] = ACTIONS(2159),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [136] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(100),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(100),
    [aux_sym__inline_no_underscore_no_link] = STATE(100),
    [sym__strikethrough_no_link] = STATE(100),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(100),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(100),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [137] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(116),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(116),
    [aux_sym__inline_no_underscore_no_link] = STATE(116),
    [sym__strikethrough_no_link] = STATE(116),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(116),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(116),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [138] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(104),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(104),
    [aux_sym__inline_no_tilde_no_link] = STATE(104),
    [sym__strikethrough_no_link] = STATE(104),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(104),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(104),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [139] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(114),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(114),
    [aux_sym__inline_no_underscore_no_link] = STATE(114),
    [sym__strikethrough_no_link] = STATE(114),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(114),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(114),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [140] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(130),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(130),
    [aux_sym__inline_no_star_no_link] = STATE(130),
    [sym__strikethrough_no_link] = STATE(130),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(130),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(130),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [141] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(113),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(113),
    [aux_sym__inline_no_star_no_link] = STATE(113),
    [sym__strikethrough_no_link] = STATE(113),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(113),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(113),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [142] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(105),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(105),
    [aux_sym__inline_no_star_no_link] = STATE(105),
    [sym__strikethrough_no_link] = STATE(105),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(105),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(105),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [143] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(115),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(115),
    [aux_sym__inline_no_tilde_no_link] = STATE(115),
    [sym__strikethrough_no_link] = STATE(115),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(115),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(115),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [144] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(118),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(118),
    [aux_sym__inline_no_tilde_no_link] = STATE(118),
    [sym__strikethrough_no_link] = STATE(118),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(118),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(118),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [145] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(101),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_tilde_no_link] = STATE(101),
    [aux_sym__inline_no_tilde_no_link] = STATE(101),
    [sym__strikethrough_no_link] = STATE(101),
    [sym__emphasis_star_no_link] = STATE(608),
    [sym__strong_emphasis_star_no_link] = STATE(101),
    [sym__emphasis_underscore_no_link] = STATE(608),
    [sym__strong_emphasis_underscore_no_link] = STATE(101),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2034),
    [sym_numeric_character_reference] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2034),
    [sym_email_autolink] = ACTIONS(2034),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2034),
    [sym__digits] = ACTIONS(2034),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2046),
    [sym__emphasis_open_underscore] = ACTIONS(2048),
    [sym__strikethrough_open] = ACTIONS(2050),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [146] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(102),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_underscore_no_link] = STATE(102),
    [aux_sym__inline_no_underscore_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(102),
    [sym__emphasis_star_no_link] = STATE(649),
    [sym__strong_emphasis_star_no_link] = STATE(102),
    [sym__emphasis_underscore_no_link] = STATE(649),
    [sym__strong_emphasis_underscore_no_link] = STATE(102),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2024),
    [sym__emphasis_open_underscore] = ACTIONS(2026),
    [sym__strikethrough_open] = ACTIONS(2030),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [147] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__inline_base] = STATE(117),
    [sym__text_base] = STATE(158),
    [sym__inline_element_no_star_no_link] = STATE(117),
    [aux_sym__inline_no_star_no_link] = STATE(117),
    [sym__strikethrough_no_link] = STATE(117),
    [sym__emphasis_star_no_link] = STATE(624),
    [sym__strong_emphasis_star_no_link] = STATE(117),
    [sym__emphasis_underscore_no_link] = STATE(624),
    [sym__strong_emphasis_underscore_no_link] = STATE(117),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2119),
    [sym_numeric_character_reference] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2119),
    [sym_email_autolink] = ACTIONS(2119),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2119),
    [sym__digits] = ACTIONS(2119),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2131),
    [sym__emphasis_open_underscore] = ACTIONS(2133),
    [sym__strikethrough_open] = ACTIONS(2137),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [148] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__text_base] = STATE(148),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(2392),
    [sym__backslash_escape] = ACTIONS(2394),
    [sym_entity_reference] = ACTIONS(2397),
    [sym_numeric_character_reference] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2400),
    [anon_sym_GT] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_DQUOTE] = ACTIONS(2403),
    [anon_sym_POUND] = ACTIONS(2403),
    [anon_sym_DOLLAR] = ACTIONS(2403),
    [anon_sym_PERCENT] = ACTIONS(2403),
    [anon_sym_AMP] = ACTIONS(2409),
    [anon_sym_SQUOTE] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(2403),
    [anon_sym_DASH] = ACTIONS(2403),
    [anon_sym_DOT] = ACTIONS(2403),
    [anon_sym_SLASH] = ACTIONS(2403),
    [anon_sym_COLON] = ACTIONS(2403),
    [anon_sym_SEMI] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(2403),
    [anon_sym_QMARK] = ACTIONS(2403),
    [anon_sym_AT] = ACTIONS(2403),
    [anon_sym_BSLASH] = ACTIONS(2412),
    [anon_sym_CARET] = ACTIONS(2403),
    [anon_sym__] = ACTIONS(2403),
    [anon_sym_BQUOTE] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_PIPE] = ACTIONS(2403),
    [anon_sym_RBRACE] = ACTIONS(2403),
    [anon_sym_TILDE] = ACTIONS(2403),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_RPAREN] = ACTIONS(2403),
    [sym__newline_token] = ACTIONS(2415),
    [sym_uri_autolink] = ACTIONS(2397),
    [sym_email_autolink] = ACTIONS(2397),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2418),
    [anon_sym_LT_QMARK] = ACTIONS(2421),
    [aux_sym__declaration_token1] = ACTIONS(2424),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2427),
    [sym__whitespace_ge_2] = ACTIONS(2430),
    [aux_sym__whitespace_token1] = ACTIONS(2433),
    [sym__word_no_digit] = ACTIONS(2397),
    [sym__digits] = ACTIONS(2397),
    [sym__code_span_start] = ACTIONS(2436),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2439),
  },
  [149] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__text_base] = STATE(149),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(2442),
    [sym_entity_reference] = ACTIONS(2445),
    [sym_numeric_character_reference] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_POUND] = ACTIONS(2451),
    [anon_sym_DOLLAR] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_COMMA] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_COLON] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2451),
    [anon_sym_EQ] = ACTIONS(2451),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym__] = ACTIONS(2451),
    [anon_sym_BQUOTE] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_PIPE] = ACTIONS(2451),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [anon_sym_TILDE] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2451),
    [anon_sym_RPAREN] = ACTIONS(2451),
    [sym__newline_token] = ACTIONS(2463),
    [sym_uri_autolink] = ACTIONS(2445),
    [sym_email_autolink] = ACTIONS(2445),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2466),
    [anon_sym_LT_QMARK] = ACTIONS(2469),
    [aux_sym__declaration_token1] = ACTIONS(2472),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2475),
    [sym__whitespace_ge_2] = ACTIONS(2478),
    [aux_sym__whitespace_token1] = ACTIONS(2481),
    [sym__word_no_digit] = ACTIONS(2445),
    [sym__digits] = ACTIONS(2445),
    [sym__code_span_start] = ACTIONS(2484),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__strikethrough_close] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2487),
  },
  [150] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__text_base] = STATE(150),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(2490),
    [sym_entity_reference] = ACTIONS(2493),
    [sym_numeric_character_reference] = ACTIONS(2493),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [anon_sym_POUND] = ACTIONS(2499),
    [anon_sym_DOLLAR] = ACTIONS(2499),
    [anon_sym_PERCENT] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2499),
    [anon_sym_SLASH] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_QMARK] = ACTIONS(2499),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_BSLASH] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2499),
    [anon_sym__] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_PIPE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [sym__newline_token] = ACTIONS(2511),
    [sym_uri_autolink] = ACTIONS(2493),
    [sym_email_autolink] = ACTIONS(2493),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2514),
    [anon_sym_LT_QMARK] = ACTIONS(2517),
    [aux_sym__declaration_token1] = ACTIONS(2520),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2523),
    [sym__whitespace_ge_2] = ACTIONS(2526),
    [aux_sym__whitespace_token1] = ACTIONS(2529),
    [sym__word_no_digit] = ACTIONS(2493),
    [sym__digits] = ACTIONS(2493),
    [sym__code_span_start] = ACTIONS(2532),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__emphasis_close_star] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2535),
  },
  [151] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1129),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__text_base] = STATE(148),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(2538),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(2540),
    [sym_numeric_character_reference] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(2540),
    [sym_email_autolink] = ACTIONS(2540),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(2540),
    [sym__digits] = ACTIONS(2540),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(45),
  },
  [152] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(353),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__text_base] = STATE(150),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2542),
    [sym_numeric_character_reference] = ACTIONS(2542),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2542),
    [sym_email_autolink] = ACTIONS(2542),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2542),
    [sym__digits] = ACTIONS(2542),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__emphasis_close_star] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(726),
  },
  [153] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(521),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__text_base] = STATE(149),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2544),
    [sym_numeric_character_reference] = ACTIONS(2544),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2544),
    [sym_email_autolink] = ACTIONS(2544),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2544),
    [sym__digits] = ACTIONS(2544),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__strikethrough_close] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(682),
  },
  [154] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__text_base] = STATE(154),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(2546),
    [sym_entity_reference] = ACTIONS(2549),
    [sym_numeric_character_reference] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2558),
    [anon_sym_DQUOTE] = ACTIONS(2555),
    [anon_sym_POUND] = ACTIONS(2555),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [anon_sym_PERCENT] = ACTIONS(2555),
    [anon_sym_AMP] = ACTIONS(2561),
    [anon_sym_SQUOTE] = ACTIONS(2555),
    [anon_sym_STAR] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_COMMA] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_DOT] = ACTIONS(2555),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_COLON] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_EQ] = ACTIONS(2555),
    [anon_sym_QMARK] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2555),
    [anon_sym_BSLASH] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2555),
    [anon_sym__] = ACTIONS(2555),
    [anon_sym_BQUOTE] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2555),
    [anon_sym_PIPE] = ACTIONS(2555),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2555),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [sym__newline_token] = ACTIONS(2567),
    [sym_uri_autolink] = ACTIONS(2549),
    [sym_email_autolink] = ACTIONS(2549),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2570),
    [anon_sym_LT_QMARK] = ACTIONS(2573),
    [aux_sym__declaration_token1] = ACTIONS(2576),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2579),
    [sym__whitespace_ge_2] = ACTIONS(2582),
    [aux_sym__whitespace_token1] = ACTIONS(2585),
    [sym__word_no_digit] = ACTIONS(2549),
    [sym__digits] = ACTIONS(2549),
    [sym__code_span_start] = ACTIONS(2588),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__emphasis_close_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2591),
  },
  [155] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(439),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__text_base] = STATE(154),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2594),
    [sym_numeric_character_reference] = ACTIONS(2594),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2594),
    [sym_email_autolink] = ACTIONS(2594),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(752),
    [anon_sym_LT_QMARK] = ACTIONS(754),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(758),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2594),
    [sym__digits] = ACTIONS(2594),
    [sym__code_span_start] = ACTIONS(764),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__emphasis_close_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(774),
  },
  [156] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__text_base] = STATE(156),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(2596),
    [sym_entity_reference] = ACTIONS(2599),
    [sym_numeric_character_reference] = ACTIONS(2599),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2608),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_POUND] = ACTIONS(2605),
    [anon_sym_DOLLAR] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_COLON] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2605),
    [anon_sym_BSLASH] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2605),
    [anon_sym__] = ACTIONS(2605),
    [anon_sym_BQUOTE] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_RPAREN] = ACTIONS(2605),
    [sym__newline_token] = ACTIONS(2617),
    [sym_uri_autolink] = ACTIONS(2599),
    [sym_email_autolink] = ACTIONS(2599),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2620),
    [anon_sym_LT_QMARK] = ACTIONS(2623),
    [aux_sym__declaration_token1] = ACTIONS(2626),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2629),
    [sym__whitespace_ge_2] = ACTIONS(2632),
    [aux_sym__whitespace_token1] = ACTIONS(2635),
    [sym__word_no_digit] = ACTIONS(2599),
    [sym__digits] = ACTIONS(2599),
    [sym__code_span_start] = ACTIONS(2638),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2641),
  },
  [157] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(551),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__text_base] = STATE(156),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2644),
    [sym_numeric_character_reference] = ACTIONS(2644),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2644),
    [sym_email_autolink] = ACTIONS(2644),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2644),
    [sym__digits] = ACTIONS(2644),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(1142),
  },
  [158] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__text_base] = STATE(159),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2646),
    [sym_numeric_character_reference] = ACTIONS(2646),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2646),
    [sym_email_autolink] = ACTIONS(2646),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2123),
    [anon_sym_LT_QMARK] = ACTIONS(2125),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2127),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2646),
    [sym__digits] = ACTIONS(2646),
    [sym__code_span_start] = ACTIONS(2129),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__emphasis_close_star] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(2139),
  },
  [159] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(352),
    [sym__image_shortcut_link] = STATE(352),
    [sym__image_full_reference_link] = STATE(352),
    [sym__image_collapsed_reference_link] = STATE(352),
    [sym__image_description] = STATE(1126),
    [sym__image_description_non_empty] = STATE(552),
    [sym__html_tag] = STATE(354),
    [sym__open_tag] = STATE(441),
    [sym__closing_tag] = STATE(441),
    [sym__html_comment] = STATE(441),
    [sym__processing_instruction] = STATE(441),
    [sym__declaration] = STATE(441),
    [sym__cdata_section] = STATE(441),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__text_base] = STATE(159),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(2490),
    [sym_entity_reference] = ACTIONS(2648),
    [sym_numeric_character_reference] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [anon_sym_POUND] = ACTIONS(2499),
    [anon_sym_DOLLAR] = ACTIONS(2499),
    [anon_sym_PERCENT] = ACTIONS(2499),
    [anon_sym_AMP] = ACTIONS(2505),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_STAR] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2499),
    [anon_sym_COMMA] = ACTIONS(2499),
    [anon_sym_DASH] = ACTIONS(2499),
    [anon_sym_DOT] = ACTIONS(2499),
    [anon_sym_SLASH] = ACTIONS(2499),
    [anon_sym_COLON] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_EQ] = ACTIONS(2499),
    [anon_sym_QMARK] = ACTIONS(2499),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_BSLASH] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2499),
    [anon_sym__] = ACTIONS(2499),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_PIPE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [sym__newline_token] = ACTIONS(2511),
    [sym_uri_autolink] = ACTIONS(2648),
    [sym_email_autolink] = ACTIONS(2648),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2654),
    [anon_sym_LT_QMARK] = ACTIONS(2657),
    [aux_sym__declaration_token1] = ACTIONS(2520),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2660),
    [sym__whitespace_ge_2] = ACTIONS(2526),
    [aux_sym__whitespace_token1] = ACTIONS(2529),
    [sym__word_no_digit] = ACTIONS(2648),
    [sym__digits] = ACTIONS(2648),
    [sym__code_span_start] = ACTIONS(2663),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__emphasis_close_star] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2666),
  },
  [160] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(2596),
    [sym_entity_reference] = ACTIONS(2669),
    [sym_numeric_character_reference] = ACTIONS(2669),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_POUND] = ACTIONS(2605),
    [anon_sym_DOLLAR] = ACTIONS(2605),
    [anon_sym_PERCENT] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2605),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_COMMA] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_DOT] = ACTIONS(2605),
    [anon_sym_SLASH] = ACTIONS(2605),
    [anon_sym_COLON] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2605),
    [anon_sym_EQ] = ACTIONS(2605),
    [anon_sym_QMARK] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2605),
    [anon_sym_BSLASH] = ACTIONS(2614),
    [anon_sym_CARET] = ACTIONS(2605),
    [anon_sym__] = ACTIONS(2605),
    [anon_sym_BQUOTE] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2605),
    [anon_sym_PIPE] = ACTIONS(2605),
    [anon_sym_RBRACE] = ACTIONS(2605),
    [anon_sym_TILDE] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2605),
    [anon_sym_RPAREN] = ACTIONS(2605),
    [sym__newline_token] = ACTIONS(2617),
    [sym_uri_autolink] = ACTIONS(2669),
    [sym_email_autolink] = ACTIONS(2669),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2675),
    [anon_sym_LT_QMARK] = ACTIONS(2678),
    [aux_sym__declaration_token1] = ACTIONS(2626),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2681),
    [sym__whitespace_ge_2] = ACTIONS(2632),
    [aux_sym__whitespace_token1] = ACTIONS(2635),
    [sym__word_no_digit] = ACTIONS(2669),
    [sym__digits] = ACTIONS(2669),
    [sym__code_span_start] = ACTIONS(2684),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2687),
  },
  [161] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__text_base] = STATE(161),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(2442),
    [sym_entity_reference] = ACTIONS(2690),
    [sym_numeric_character_reference] = ACTIONS(2690),
    [anon_sym_LT] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_DQUOTE] = ACTIONS(2451),
    [anon_sym_POUND] = ACTIONS(2451),
    [anon_sym_DOLLAR] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(2451),
    [anon_sym_AMP] = ACTIONS(2457),
    [anon_sym_SQUOTE] = ACTIONS(2451),
    [anon_sym_STAR] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_COMMA] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2451),
    [anon_sym_DOT] = ACTIONS(2451),
    [anon_sym_SLASH] = ACTIONS(2451),
    [anon_sym_COLON] = ACTIONS(2451),
    [anon_sym_SEMI] = ACTIONS(2451),
    [anon_sym_EQ] = ACTIONS(2451),
    [anon_sym_QMARK] = ACTIONS(2451),
    [anon_sym_AT] = ACTIONS(2451),
    [anon_sym_BSLASH] = ACTIONS(2460),
    [anon_sym_CARET] = ACTIONS(2451),
    [anon_sym__] = ACTIONS(2451),
    [anon_sym_BQUOTE] = ACTIONS(2451),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_PIPE] = ACTIONS(2451),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [anon_sym_TILDE] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(2451),
    [anon_sym_RPAREN] = ACTIONS(2451),
    [sym__newline_token] = ACTIONS(2463),
    [sym_uri_autolink] = ACTIONS(2690),
    [sym_email_autolink] = ACTIONS(2690),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2696),
    [anon_sym_LT_QMARK] = ACTIONS(2699),
    [aux_sym__declaration_token1] = ACTIONS(2472),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2702),
    [sym__whitespace_ge_2] = ACTIONS(2478),
    [aux_sym__whitespace_token1] = ACTIONS(2481),
    [sym__word_no_digit] = ACTIONS(2690),
    [sym__digits] = ACTIONS(2690),
    [sym__code_span_start] = ACTIONS(2705),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__strikethrough_close] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2708),
  },
  [162] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__text_base] = STATE(164),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(732),
    [sym_entity_reference] = ACTIONS(2711),
    [sym_numeric_character_reference] = ACTIONS(2711),
    [anon_sym_LT] = ACTIONS(740),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_DOLLAR] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_SQUOTE] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_COLON] = ACTIONS(742),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_EQ] = ACTIONS(742),
    [anon_sym_QMARK] = ACTIONS(742),
    [anon_sym_AT] = ACTIONS(742),
    [anon_sym_BSLASH] = ACTIONS(748),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym__] = ACTIONS(742),
    [anon_sym_BQUOTE] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_RPAREN] = ACTIONS(742),
    [sym__newline_token] = ACTIONS(750),
    [sym_uri_autolink] = ACTIONS(2711),
    [sym_email_autolink] = ACTIONS(2711),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(756),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(760),
    [aux_sym__whitespace_token1] = ACTIONS(762),
    [sym__word_no_digit] = ACTIONS(2711),
    [sym__digits] = ACTIONS(2711),
    [sym__code_span_start] = ACTIONS(2022),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__emphasis_close_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(2032),
  },
  [163] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(601),
    [sym__image_shortcut_link] = STATE(601),
    [sym__image_full_reference_link] = STATE(601),
    [sym__image_collapsed_reference_link] = STATE(601),
    [sym__image_description] = STATE(1130),
    [sym__image_description_non_empty] = STATE(602),
    [sym__html_tag] = STATE(603),
    [sym__open_tag] = STATE(576),
    [sym__closing_tag] = STATE(576),
    [sym__html_comment] = STATE(576),
    [sym__processing_instruction] = STATE(576),
    [sym__declaration] = STATE(576),
    [sym__cdata_section] = STATE(576),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2713),
    [sym_numeric_character_reference] = ACTIONS(2713),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2713),
    [sym_email_autolink] = ACTIONS(2713),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2147),
    [anon_sym_LT_QMARK] = ACTIONS(2149),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2151),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2713),
    [sym__digits] = ACTIONS(2713),
    [sym__code_span_start] = ACTIONS(2153),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(2161),
  },
  [164] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(438),
    [sym__image_shortcut_link] = STATE(438),
    [sym__image_full_reference_link] = STATE(438),
    [sym__image_collapsed_reference_link] = STATE(438),
    [sym__image_description] = STATE(1131),
    [sym__image_description_non_empty] = STATE(577),
    [sym__html_tag] = STATE(440),
    [sym__open_tag] = STATE(523),
    [sym__closing_tag] = STATE(523),
    [sym__html_comment] = STATE(523),
    [sym__processing_instruction] = STATE(523),
    [sym__declaration] = STATE(523),
    [sym__cdata_section] = STATE(523),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__text_base] = STATE(164),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(2546),
    [sym_entity_reference] = ACTIONS(2715),
    [sym_numeric_character_reference] = ACTIONS(2715),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2718),
    [anon_sym_DQUOTE] = ACTIONS(2555),
    [anon_sym_POUND] = ACTIONS(2555),
    [anon_sym_DOLLAR] = ACTIONS(2555),
    [anon_sym_PERCENT] = ACTIONS(2555),
    [anon_sym_AMP] = ACTIONS(2561),
    [anon_sym_SQUOTE] = ACTIONS(2555),
    [anon_sym_STAR] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2555),
    [anon_sym_COMMA] = ACTIONS(2555),
    [anon_sym_DASH] = ACTIONS(2555),
    [anon_sym_DOT] = ACTIONS(2555),
    [anon_sym_SLASH] = ACTIONS(2555),
    [anon_sym_COLON] = ACTIONS(2555),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_EQ] = ACTIONS(2555),
    [anon_sym_QMARK] = ACTIONS(2555),
    [anon_sym_AT] = ACTIONS(2555),
    [anon_sym_BSLASH] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2555),
    [anon_sym__] = ACTIONS(2555),
    [anon_sym_BQUOTE] = ACTIONS(2555),
    [anon_sym_LBRACE] = ACTIONS(2555),
    [anon_sym_PIPE] = ACTIONS(2555),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2555),
    [anon_sym_LPAREN] = ACTIONS(2555),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [sym__newline_token] = ACTIONS(2567),
    [sym_uri_autolink] = ACTIONS(2715),
    [sym_email_autolink] = ACTIONS(2715),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2721),
    [anon_sym_LT_QMARK] = ACTIONS(2724),
    [aux_sym__declaration_token1] = ACTIONS(2576),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2727),
    [sym__whitespace_ge_2] = ACTIONS(2582),
    [aux_sym__whitespace_token1] = ACTIONS(2585),
    [sym__word_no_digit] = ACTIONS(2715),
    [sym__digits] = ACTIONS(2715),
    [sym__code_span_start] = ACTIONS(2730),
    [sym__emphasis_open_star] = ACTIONS(2392),
    [sym__emphasis_open_underscore] = ACTIONS(2392),
    [sym__emphasis_close_underscore] = ACTIONS(2392),
    [sym__strikethrough_open] = ACTIONS(2392),
    [sym__latex_span_start] = ACTIONS(2733),
  },
  [165] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(520),
    [sym__image_shortcut_link] = STATE(520),
    [sym__image_full_reference_link] = STATE(520),
    [sym__image_collapsed_reference_link] = STATE(520),
    [sym__image_description] = STATE(1128),
    [sym__image_description_non_empty] = STATE(550),
    [sym__html_tag] = STATE(522),
    [sym__open_tag] = STATE(424),
    [sym__closing_tag] = STATE(424),
    [sym__html_comment] = STATE(424),
    [sym__processing_instruction] = STATE(424),
    [sym__declaration] = STATE(424),
    [sym__cdata_section] = STATE(424),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__text_base] = STATE(161),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2736),
    [sym_numeric_character_reference] = ACTIONS(2736),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2036),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2736),
    [sym_email_autolink] = ACTIONS(2736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2038),
    [anon_sym_LT_QMARK] = ACTIONS(2040),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2042),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2736),
    [sym__digits] = ACTIONS(2736),
    [sym__code_span_start] = ACTIONS(2044),
    [sym__emphasis_open_star] = ACTIONS(2538),
    [sym__emphasis_open_underscore] = ACTIONS(2538),
    [sym__strikethrough_open] = ACTIONS(2538),
    [sym__strikethrough_close] = ACTIONS(2538),
    [sym__latex_span_start] = ACTIONS(2054),
  },
  [166] = {
    [sym__html_tag] = STATE(220),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(220),
    [sym__word] = STATE(220),
    [sym__soft_line_break] = STATE(220),
    [sym__text_base] = STATE(220),
    [aux_sym_code_span_repeat1] = STATE(220),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2740),
    [anon_sym_RBRACK] = ACTIONS(2740),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2772),
    [sym__digits] = ACTIONS(2772),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2775),
  },
  [167] = {
    [sym__html_tag] = STATE(240),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(240),
    [sym__word] = STATE(240),
    [sym__soft_line_break] = STATE(240),
    [sym__text_base] = STATE(240),
    [aux_sym_code_span_repeat1] = STATE(240),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2777),
    [anon_sym_RBRACK] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2779),
    [sym__digits] = ACTIONS(2779),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__strikethrough_close] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2782),
  },
  [168] = {
    [sym__html_tag] = STATE(220),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(220),
    [sym__word] = STATE(220),
    [sym__soft_line_break] = STATE(220),
    [sym__text_base] = STATE(220),
    [aux_sym_code_span_repeat1] = STATE(220),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2772),
    [anon_sym_RBRACK] = ACTIONS(2772),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2772),
    [sym__digits] = ACTIONS(2772),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2775),
  },
  [169] = {
    [sym__html_tag] = STATE(238),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(238),
    [sym__word] = STATE(238),
    [sym__soft_line_break] = STATE(238),
    [sym__text_base] = STATE(238),
    [aux_sym_code_span_repeat1] = STATE(238),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2784),
    [anon_sym_RBRACK] = ACTIONS(2784),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2816),
    [sym__digits] = ACTIONS(2816),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2819),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__strikethrough_close] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [170] = {
    [sym__html_tag] = STATE(217),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(217),
    [sym__word] = STATE(217),
    [sym__soft_line_break] = STATE(217),
    [sym__text_base] = STATE(217),
    [aux_sym_code_span_repeat1] = STATE(217),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_RBRACK] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2821),
    [sym__digits] = ACTIONS(2821),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2824),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [171] = {
    [sym__html_tag] = STATE(240),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(240),
    [sym__word] = STATE(240),
    [sym__soft_line_break] = STATE(240),
    [sym__text_base] = STATE(240),
    [aux_sym_code_span_repeat1] = STATE(240),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_RBRACK] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2779),
    [sym__digits] = ACTIONS(2779),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__strikethrough_close] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2782),
  },
  [172] = {
    [sym__html_tag] = STATE(224),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(224),
    [sym__word] = STATE(224),
    [sym__soft_line_break] = STATE(224),
    [sym__text_base] = STATE(224),
    [aux_sym_code_span_repeat1] = STATE(224),
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2826),
    [anon_sym_RBRACK] = ACTIONS(2826),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2826),
    [sym__digits] = ACTIONS(2826),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2829),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [173] = {
    [sym__html_tag] = STATE(253),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(253),
    [sym__word] = STATE(253),
    [sym__soft_line_break] = STATE(253),
    [sym__text_base] = STATE(253),
    [aux_sym_code_span_repeat1] = STATE(253),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_RBRACK] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2831),
    [sym__digits] = ACTIONS(2831),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2834),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_star] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [174] = {
    [sym__html_tag] = STATE(213),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(213),
    [sym__word] = STATE(213),
    [sym__soft_line_break] = STATE(213),
    [sym__text_base] = STATE(213),
    [aux_sym_code_span_repeat1] = STATE(213),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2836),
    [anon_sym_RBRACK] = ACTIONS(2836),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2836),
    [sym__digits] = ACTIONS(2836),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_star] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2839),
  },
  [175] = {
    [sym__html_tag] = STATE(253),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(253),
    [sym__word] = STATE(253),
    [sym__soft_line_break] = STATE(253),
    [sym__text_base] = STATE(253),
    [aux_sym_code_span_repeat1] = STATE(253),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2841),
    [anon_sym_RBRACK] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2831),
    [sym__digits] = ACTIONS(2831),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2834),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_star] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [176] = {
    [sym__html_tag] = STATE(248),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(248),
    [sym__word] = STATE(248),
    [sym__soft_line_break] = STATE(248),
    [sym__text_base] = STATE(248),
    [aux_sym_code_span_repeat1] = STATE(248),
    [ts_builtin_sym_end] = ACTIONS(2738),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_RBRACK] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2843),
    [sym__digits] = ACTIONS(2843),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2846),
  },
  [177] = {
    [sym__html_tag] = STATE(217),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(217),
    [sym__word] = STATE(217),
    [sym__soft_line_break] = STATE(217),
    [sym__text_base] = STATE(217),
    [aux_sym_code_span_repeat1] = STATE(217),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2848),
    [anon_sym_RBRACK] = ACTIONS(2848),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2821),
    [sym__digits] = ACTIONS(2821),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2824),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
  [178] = {
    [sym__html_tag] = STATE(213),
    [sym__open_tag] = STATE(808),
    [sym__closing_tag] = STATE(808),
    [sym__html_comment] = STATE(808),
    [sym__processing_instruction] = STATE(808),
    [sym__declaration] = STATE(808),
    [sym__cdata_section] = STATE(808),
    [sym__whitespace] = STATE(213),
    [sym__word] = STATE(213),
    [sym__soft_line_break] = STATE(213),
    [sym__text_base] = STATE(213),
    [aux_sym_code_span_repeat1] = STATE(213),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2850),
    [anon_sym_RBRACK] = ACTIONS(2850),
    [anon_sym_LT] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2745),
    [anon_sym_DQUOTE] = ACTIONS(2745),
    [anon_sym_POUND] = ACTIONS(2745),
    [anon_sym_DOLLAR] = ACTIONS(2745),
    [anon_sym_PERCENT] = ACTIONS(2745),
    [anon_sym_AMP] = ACTIONS(2748),
    [anon_sym_SQUOTE] = ACTIONS(2745),
    [anon_sym_STAR] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_COMMA] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_DOT] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_COLON] = ACTIONS(2745),
    [anon_sym_SEMI] = ACTIONS(2745),
    [anon_sym_EQ] = ACTIONS(2745),
    [anon_sym_QMARK] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2745),
    [anon_sym_BSLASH] = ACTIONS(2748),
    [anon_sym_CARET] = ACTIONS(2745),
    [anon_sym__] = ACTIONS(2745),
    [anon_sym_BQUOTE] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2745),
    [anon_sym_PIPE] = ACTIONS(2745),
    [anon_sym_RBRACE] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2745),
    [anon_sym_RPAREN] = ACTIONS(2745),
    [sym__newline_token] = ACTIONS(2751),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2754),
    [anon_sym_LT_QMARK] = ACTIONS(2757),
    [aux_sym__declaration_token1] = ACTIONS(2760),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2763),
    [sym__whitespace_ge_2] = ACTIONS(2766),
    [aux_sym__whitespace_token1] = ACTIONS(2769),
    [sym__word_no_digit] = ACTIONS(2836),
    [sym__digits] = ACTIONS(2836),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__emphasis_close_star] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
    [sym__latex_span_close] = ACTIONS(2839),
  },
  [179] = {
    [sym__html_tag] = STATE(238),
    [sym__open_tag] = STATE(815),
    [sym__closing_tag] = STATE(815),
    [sym__html_comment] = STATE(815),
    [sym__processing_instruction] = STATE(815),
    [sym__declaration] = STATE(815),
    [sym__cdata_section] = STATE(815),
    [sym__whitespace] = STATE(238),
    [sym__word] = STATE(238),
    [sym__soft_line_break] = STATE(238),
    [sym__text_base] = STATE(238),
    [aux_sym_code_span_repeat1] = STATE(238),
    [sym__backslash_escape] = ACTIONS(2738),
    [sym_entity_reference] = ACTIONS(2738),
    [sym_numeric_character_reference] = ACTIONS(2738),
    [anon_sym_LBRACK] = ACTIONS(2816),
    [anon_sym_RBRACK] = ACTIONS(2816),
    [anon_sym_LT] = ACTIONS(2786),
    [anon_sym_GT] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2789),
    [anon_sym_DQUOTE] = ACTIONS(2789),
    [anon_sym_POUND] = ACTIONS(2789),
    [anon_sym_DOLLAR] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(2789),
    [anon_sym_AMP] = ACTIONS(2792),
    [anon_sym_SQUOTE] = ACTIONS(2789),
    [anon_sym_STAR] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_COMMA] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_DOT] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_COLON] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2789),
    [anon_sym_QMARK] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2789),
    [anon_sym_BSLASH] = ACTIONS(2792),
    [anon_sym_CARET] = ACTIONS(2789),
    [anon_sym__] = ACTIONS(2789),
    [anon_sym_BQUOTE] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2789),
    [anon_sym_PIPE] = ACTIONS(2789),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2789),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [sym__newline_token] = ACTIONS(2795),
    [sym_uri_autolink] = ACTIONS(2738),
    [sym_email_autolink] = ACTIONS(2738),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2798),
    [anon_sym_LT_QMARK] = ACTIONS(2801),
    [aux_sym__declaration_token1] = ACTIONS(2804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2807),
    [sym__whitespace_ge_2] = ACTIONS(2810),
    [aux_sym__whitespace_token1] = ACTIONS(2813),
    [sym__word_no_digit] = ACTIONS(2816),
    [sym__digits] = ACTIONS(2816),
    [sym__code_span_start] = ACTIONS(2738),
    [sym__code_span_close] = ACTIONS(2819),
    [sym__emphasis_open_star] = ACTIONS(2738),
    [sym__emphasis_open_underscore] = ACTIONS(2738),
    [sym__strikethrough_open] = ACTIONS(2738),
    [sym__strikethrough_close] = ACTIONS(2738),
    [sym__latex_span_start] = ACTIONS(2738),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 16,
    ACTIONS(2742), 1,
      anon_sym_LT,
    ACTIONS(2751), 1,
      sym__newline_token,
    ACTIONS(2754), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2757), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2760), 1,
      aux_sym__declaration_token1,
    ACTIONS(2763), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2766), 1,
      sym__whitespace_ge_2,
    ACTIONS(2769), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2852), 1,
      anon_sym_LBRACK,
    ACTIONS(2857), 1,
      sym__latex_span_close,
    ACTIONS(2748), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2854), 3,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(218), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2738), 10,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
    ACTIONS(2745), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [97] = 15,
    ACTIONS(2786), 1,
      anon_sym_LT,
    ACTIONS(2795), 1,
      sym__newline_token,
    ACTIONS(2798), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2801), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2804), 1,
      aux_sym__declaration_token1,
    ACTIONS(2807), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2810), 1,
      sym__whitespace_ge_2,
    ACTIONS(2813), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2862), 1,
      sym__code_span_close,
    ACTIONS(2792), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2859), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(228), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2738), 10,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
    ACTIONS(2789), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [192] = 15,
    ACTIONS(2742), 1,
      anon_sym_LT,
    ACTIONS(2751), 1,
      sym__newline_token,
    ACTIONS(2754), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2757), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2760), 1,
      aux_sym__declaration_token1,
    ACTIONS(2763), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2766), 1,
      sym__whitespace_ge_2,
    ACTIONS(2769), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2857), 1,
      sym__latex_span_close,
    ACTIONS(2748), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2854), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(218), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2738), 10,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
    ACTIONS(2745), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [287] = 16,
    ACTIONS(2786), 1,
      anon_sym_LT,
    ACTIONS(2795), 1,
      sym__newline_token,
    ACTIONS(2798), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2801), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2804), 1,
      aux_sym__declaration_token1,
    ACTIONS(2807), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2810), 1,
      sym__whitespace_ge_2,
    ACTIONS(2813), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2862), 1,
      sym__code_span_close,
    ACTIONS(2864), 1,
      anon_sym_LBRACK,
    ACTIONS(2792), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(2859), 3,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(228), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2738), 10,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
    ACTIONS(2789), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [384] = 11,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2881), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2868), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2889), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(787), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [464] = 10,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2901), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2909), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(784), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [542] = 10,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2912), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2914), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(810), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [620] = 11,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2917), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2868), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2919), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(747), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [700] = 10,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2922), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2924), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [778] = 12,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2922), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2927), 1,
      anon_sym_LBRACK,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(2924), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(746), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [860] = 10,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2931), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2933), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(777), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [938] = 10,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2917), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2919), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(747), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1016] = 10,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2881), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2889), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(787), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1094] = 12,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2901), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2927), 1,
      anon_sym_LBRACK,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(2909), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(784), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1176] = 10,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2936), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2938), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(768), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1254] = 10,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2941), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2943), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(771), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1332] = 12,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2927), 1,
      anon_sym_LBRACK,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(2936), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2938), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(768), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1414] = 11,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2941), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2868), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2943), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(771), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1494] = 12,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2960), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2946), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2968), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2948), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(774), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2951), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1575] = 12,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2979), 1,
      anon_sym_DASH,
    ACTIONS(2982), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2971), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2984), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2973), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(798), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2976), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1656] = 11,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 1,
      anon_sym_DASH,
    ACTIONS(2996), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2998), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2990), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(755), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2987), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1735] = 11,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2979), 1,
      anon_sym_DASH,
    ACTIONS(2982), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2984), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2973), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(798), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2976), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1814] = 10,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3003), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(833), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 11,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1891] = 10,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3006), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(3008), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(832), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 11,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1968] = 11,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2960), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2968), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2948), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(774), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2951), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2047] = 11,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3022), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(3014), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(782), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3011), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2126] = 12,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2993), 1,
      anon_sym_DASH,
    ACTIONS(2996), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2998), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3025), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2990), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(755), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2987), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2207] = 11,
    ACTIONS(2868), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3001), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3003), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2870), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(833), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 11,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 27,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2286] = 11,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2927), 1,
      anon_sym_LBRACK,
    ACTIONS(3006), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(3008), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2895), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(832), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 11,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2365] = 11,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 1,
      anon_sym_DASH,
    ACTIONS(3036), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3038), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(3030), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(830), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3027), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2443] = 12,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3033), 1,
      anon_sym_DASH,
    ACTIONS(3036), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3041), 1,
      anon_sym_LBRACK,
    ACTIONS(3038), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2879), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(3030), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(830), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3027), 26,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2523] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3047), 1,
      anon_sym_RBRACK,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3045), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2596] = 6,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(867), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2879), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [2663] = 13,
    ACTIONS(3070), 1,
      anon_sym_LT,
    ACTIONS(3074), 1,
      sym__newline_token,
    ACTIONS(3076), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3078), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3080), 1,
      aux_sym__declaration_token1,
    ACTIONS(3082), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3084), 1,
      sym__whitespace_ge_2,
    ACTIONS(3086), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3088), 1,
      sym__latex_span_close,
    ACTIONS(3068), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3072), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2744] = 9,
    ACTIONS(3090), 1,
      sym__backslash_escape,
    ACTIONS(3096), 1,
      anon_sym_RBRACK,
    ACTIONS(3104), 1,
      sym__newline_token,
    ACTIONS(3107), 1,
      sym__whitespace_ge_2,
    ACTIONS(3110), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3098), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3093), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3101), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2817] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3115), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(211), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3113), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2890] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3117), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3045), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2963] = 13,
    ACTIONS(3121), 1,
      anon_sym_LT,
    ACTIONS(3125), 1,
      sym__newline_token,
    ACTIONS(3127), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3129), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3131), 1,
      aux_sym__declaration_token1,
    ACTIONS(3133), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3135), 1,
      sym__whitespace_ge_2,
    ACTIONS(3137), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3139), 1,
      sym__code_span_close,
    ACTIONS(3119), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3123), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3044] = 13,
    ACTIONS(3070), 1,
      anon_sym_LT,
    ACTIONS(3074), 1,
      sym__newline_token,
    ACTIONS(3076), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3078), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3080), 1,
      aux_sym__declaration_token1,
    ACTIONS(3082), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3084), 1,
      sym__whitespace_ge_2,
    ACTIONS(3086), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3141), 1,
      sym__latex_span_close,
    ACTIONS(3068), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3072), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3125] = 6,
    ACTIONS(3143), 1,
      anon_sym_SLASH,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3149), 1,
      sym__last_token_punctuation,
    STATE(964), 1,
      sym__tag_name,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [3192] = 13,
    ACTIONS(3070), 1,
      anon_sym_LT,
    ACTIONS(3074), 1,
      sym__newline_token,
    ACTIONS(3076), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3078), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3080), 1,
      aux_sym__declaration_token1,
    ACTIONS(3082), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3084), 1,
      sym__whitespace_ge_2,
    ACTIONS(3086), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3151), 1,
      sym__latex_span_close,
    ACTIONS(3068), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3072), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3273] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3153), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(211), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3113), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3346] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3157), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(227), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3155), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3419] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3159), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(227), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3155), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3492] = 13,
    ACTIONS(3121), 1,
      anon_sym_LT,
    ACTIONS(3125), 1,
      sym__newline_token,
    ACTIONS(3127), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3129), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3131), 1,
      aux_sym__declaration_token1,
    ACTIONS(3133), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3135), 1,
      sym__whitespace_ge_2,
    ACTIONS(3137), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3161), 1,
      sym__code_span_close,
    ACTIONS(3119), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3123), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3573] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(3167), 1,
      sym__last_token_whitespace,
    STATE(362), 1,
      sym__soft_line_break,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3638] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(3169), 1,
      sym__last_token_punctuation,
    STATE(362), 1,
      sym__soft_line_break,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3703] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3171), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3045), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3776] = 13,
    ACTIONS(3121), 1,
      anon_sym_LT,
    ACTIONS(3125), 1,
      sym__newline_token,
    ACTIONS(3127), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3129), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3131), 1,
      aux_sym__declaration_token1,
    ACTIONS(3133), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3135), 1,
      sym__whitespace_ge_2,
    ACTIONS(3137), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3173), 1,
      sym__code_span_close,
    ACTIONS(3119), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3123), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3857] = 13,
    ACTIONS(3178), 1,
      anon_sym_LT,
    ACTIONS(3184), 1,
      sym__newline_token,
    ACTIONS(3187), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3190), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3193), 1,
      aux_sym__declaration_token1,
    ACTIONS(3196), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3199), 1,
      sym__whitespace_ge_2,
    ACTIONS(3202), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3205), 1,
      sym__code_span_close,
    ACTIONS(3175), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3181), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3938] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3209), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(245), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3207), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4011] = 6,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(850), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2879), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [4078] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(3211), 1,
      sym__last_token_whitespace,
    STATE(306), 1,
      sym__soft_line_break,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4143] = 13,
    ACTIONS(3205), 1,
      sym__latex_span_close,
    ACTIONS(3216), 1,
      anon_sym_LT,
    ACTIONS(3222), 1,
      sym__newline_token,
    ACTIONS(3225), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3228), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3231), 1,
      aux_sym__declaration_token1,
    ACTIONS(3234), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3237), 1,
      sym__whitespace_ge_2,
    ACTIONS(3240), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3213), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3219), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4224] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3169), 1,
      sym__last_token_punctuation,
    ACTIONS(3243), 1,
      anon_sym_SLASH,
    STATE(963), 1,
      sym__tag_name,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [4291] = 5,
    ACTIONS(750), 1,
      sym__newline_token,
    ACTIONS(3246), 1,
      sym__last_token_punctuation,
    STATE(446), 1,
      sym__soft_line_break,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4356] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3250), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(216), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3248), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4429] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3252), 1,
      anon_sym_SLASH,
    ACTIONS(3255), 1,
      sym__last_token_punctuation,
    STATE(953), 1,
      sym__tag_name,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [4496] = 13,
    ACTIONS(3121), 1,
      anon_sym_LT,
    ACTIONS(3125), 1,
      sym__newline_token,
    ACTIONS(3127), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3129), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3131), 1,
      aux_sym__declaration_token1,
    ACTIONS(3133), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3135), 1,
      sym__whitespace_ge_2,
    ACTIONS(3137), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 1,
      sym__code_span_close,
    ACTIONS(3119), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3123), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4577] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(3149), 1,
      sym__last_token_punctuation,
    STATE(306), 1,
      sym__soft_line_break,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4642] = 13,
    ACTIONS(3070), 1,
      anon_sym_LT,
    ACTIONS(3074), 1,
      sym__newline_token,
    ACTIONS(3076), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3078), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3080), 1,
      aux_sym__declaration_token1,
    ACTIONS(3082), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3084), 1,
      sym__whitespace_ge_2,
    ACTIONS(3086), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3259), 1,
      sym__latex_span_close,
    ACTIONS(3068), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3072), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4723] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(3261), 1,
      sym__last_token_whitespace,
    STATE(528), 1,
      sym__soft_line_break,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4788] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3263), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(216), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3248), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4861] = 6,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(859), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2879), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [4928] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(245), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3207), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5001] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3267), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3045), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5074] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(3255), 1,
      sym__last_token_punctuation,
    STATE(528), 1,
      sym__soft_line_break,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5139] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3246), 1,
      sym__last_token_punctuation,
    ACTIONS(3269), 1,
      anon_sym_SLASH,
    STATE(955), 1,
      sym__tag_name,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [5206] = 13,
    ACTIONS(3070), 1,
      anon_sym_LT,
    ACTIONS(3074), 1,
      sym__newline_token,
    ACTIONS(3076), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3078), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3080), 1,
      aux_sym__declaration_token1,
    ACTIONS(3082), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3084), 1,
      sym__whitespace_ge_2,
    ACTIONS(3086), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3272), 1,
      sym__latex_span_close,
    ACTIONS(3068), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(233), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(808), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3072), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5287] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3276), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(251), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3274), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5360] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3278), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(251), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3274), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5433] = 9,
    ACTIONS(3043), 1,
      sym__backslash_escape,
    ACTIONS(3053), 1,
      sym__newline_token,
    ACTIONS(3055), 1,
      sym__whitespace_ge_2,
    ACTIONS(3057), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3280), 1,
      anon_sym_RBRACK,
    ACTIONS(3049), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(214), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3045), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3051), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5506] = 5,
    ACTIONS(750), 1,
      sym__newline_token,
    ACTIONS(3282), 1,
      sym__last_token_whitespace,
    STATE(446), 1,
      sym__soft_line_break,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5571] = 13,
    ACTIONS(3121), 1,
      anon_sym_LT,
    ACTIONS(3125), 1,
      sym__newline_token,
    ACTIONS(3127), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3129), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3131), 1,
      aux_sym__declaration_token1,
    ACTIONS(3133), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3135), 1,
      sym__whitespace_ge_2,
    ACTIONS(3137), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3284), 1,
      sym__code_span_close,
    ACTIONS(3119), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(229), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(815), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3123), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5652] = 6,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(860), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2879), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [5719] = 3,
    ACTIONS(3211), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5779] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5839] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5899] = 3,
    ACTIONS(3294), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5959] = 3,
    ACTIONS(1401), 1,
      sym__last_token_punctuation,
    ACTIONS(3296), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(308), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6019] = 3,
    ACTIONS(3167), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6079] = 4,
    ACTIONS(3255), 1,
      sym__last_token_punctuation,
    ACTIONS(3298), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6141] = 3,
    ACTIONS(3246), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6201] = 4,
    ACTIONS(3169), 1,
      sym__last_token_punctuation,
    ACTIONS(3301), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6263] = 3,
    ACTIONS(3282), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6323] = 3,
    ACTIONS(3304), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6383] = 3,
    ACTIONS(3306), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6443] = 3,
    ACTIONS(3255), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6503] = 4,
    ACTIONS(3246), 1,
      sym__last_token_punctuation,
    ACTIONS(3308), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6565] = 3,
    ACTIONS(3169), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6625] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(3311), 1,
      sym__last_token_punctuation,
    STATE(596), 1,
      sym__soft_line_break,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6689] = 3,
    ACTIONS(3313), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6749] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(3315), 1,
      sym__last_token_whitespace,
    STATE(596), 1,
      sym__soft_line_break,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6813] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6873] = 3,
    ACTIONS(3261), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6933] = 3,
    ACTIONS(1463), 1,
      sym__last_token_punctuation,
    ACTIONS(3317), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(104), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6993] = 3,
    ACTIONS(1277), 1,
      sym__last_token_punctuation,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(565), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7053] = 4,
    ACTIONS(3149), 1,
      sym__last_token_punctuation,
    ACTIONS(3321), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7115] = 3,
    ACTIONS(3149), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7175] = 4,
    ACTIONS(114), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7237] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3311), 1,
      sym__last_token_punctuation,
    ACTIONS(3324), 1,
      anon_sym_SLASH,
    STATE(958), 1,
      sym__tag_name,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [7303] = 6,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(862), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2879), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2866), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [7369] = 3,
    ACTIONS(1339), 1,
      sym__last_token_punctuation,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(114), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7429] = 4,
    ACTIONS(114), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7491] = 4,
    ACTIONS(114), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7553] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7613] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7670] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7727] = 3,
    ACTIONS(3339), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3342), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7786] = 2,
    ACTIONS(3346), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3344), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7843] = 3,
    ACTIONS(3350), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7902] = 2,
    ACTIONS(3357), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3355), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7959] = 2,
    ACTIONS(3361), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8016] = 2,
    ACTIONS(3365), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3363), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8073] = 2,
    ACTIONS(3369), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3367), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8130] = 2,
    ACTIONS(3373), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3371), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8187] = 2,
    ACTIONS(3377), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3375), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8244] = 3,
    ACTIONS(3383), 1,
      sym__emphasis_close_star,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8303] = 2,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8360] = 2,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8417] = 2,
    ACTIONS(3392), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8474] = 3,
    ACTIONS(3394), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8533] = 2,
    ACTIONS(3399), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3397), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8590] = 2,
    ACTIONS(3403), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3401), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8647] = 2,
    ACTIONS(3407), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3405), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8704] = 2,
    ACTIONS(3411), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8761] = 2,
    ACTIONS(3415), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3413), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8818] = 2,
    ACTIONS(3419), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8875] = 2,
    ACTIONS(3423), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8932] = 2,
    ACTIONS(3427), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8989] = 2,
    ACTIONS(3431), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9046] = 2,
    ACTIONS(3435), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9103] = 2,
    ACTIONS(3439), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9160] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9217] = 2,
    ACTIONS(3447), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3445), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9274] = 3,
    ACTIONS(3449), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9333] = 2,
    ACTIONS(3454), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9390] = 2,
    ACTIONS(3458), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3456), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9447] = 3,
    ACTIONS(3460), 1,
      sym__emphasis_close_star,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9506] = 2,
    ACTIONS(3465), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3463), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9563] = 2,
    ACTIONS(3469), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3467), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9620] = 2,
    ACTIONS(3473), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3471), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9677] = 2,
    ACTIONS(3477), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3475), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9734] = 2,
    ACTIONS(3481), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3479), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9791] = 2,
    ACTIONS(3485), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3483), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9848] = 2,
    ACTIONS(3489), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3487), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9905] = 2,
    ACTIONS(3493), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3491), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9962] = 2,
    ACTIONS(3497), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3495), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10019] = 2,
    ACTIONS(3501), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3499), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10076] = 2,
    ACTIONS(3505), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3503), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10133] = 2,
    ACTIONS(3509), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3507), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10190] = 2,
    ACTIONS(3513), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3511), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10247] = 2,
    ACTIONS(3517), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10304] = 3,
    ACTIONS(3519), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10363] = 3,
    ACTIONS(3522), 1,
      sym__emphasis_close_star,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10422] = 4,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3525), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(114), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10483] = 2,
    ACTIONS(3529), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3527), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10540] = 2,
    ACTIONS(3533), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10597] = 2,
    ACTIONS(3537), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10654] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10711] = 2,
    ACTIONS(3541), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10768] = 2,
    ACTIONS(3435), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10825] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(114), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10884] = 2,
    ACTIONS(3545), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10941] = 2,
    ACTIONS(3549), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10998] = 2,
    ACTIONS(3553), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3551), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11055] = 3,
    ACTIONS(3555), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11114] = 3,
    ACTIONS(3558), 1,
      sym__emphasis_close_star,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11173] = 2,
    ACTIONS(3563), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11230] = 2,
    ACTIONS(3567), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11287] = 2,
    ACTIONS(3571), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11344] = 3,
    ACTIONS(3339), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3342), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11403] = 2,
    ACTIONS(3346), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3344), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11460] = 3,
    ACTIONS(3350), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11519] = 2,
    ACTIONS(3357), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3355), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11576] = 2,
    ACTIONS(3575), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11633] = 2,
    ACTIONS(3579), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11690] = 2,
    ACTIONS(3583), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3581), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11747] = 2,
    ACTIONS(3373), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3371), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11804] = 2,
    ACTIONS(3403), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3401), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11861] = 3,
    ACTIONS(3585), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3388), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3386), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11920] = 3,
    ACTIONS(3588), 1,
      sym__emphasis_close_star,
    ACTIONS(3381), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3379), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11979] = 2,
    ACTIONS(3415), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3413), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12036] = 2,
    ACTIONS(3593), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12093] = 2,
    ACTIONS(3597), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12150] = 2,
    ACTIONS(3601), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12207] = 4,
    ACTIONS(3311), 1,
      sym__last_token_punctuation,
    ACTIONS(3603), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12268] = 2,
    ACTIONS(3608), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12325] = 4,
    ACTIONS(3255), 1,
      sym__last_token_punctuation,
    ACTIONS(3610), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12386] = 2,
    ACTIONS(3447), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3445), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12443] = 2,
    ACTIONS(3458), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3456), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12500] = 2,
    ACTIONS(3469), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3467), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12557] = 2,
    ACTIONS(3477), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3475), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12614] = 2,
    ACTIONS(3481), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3479), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12671] = 2,
    ACTIONS(3489), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3487), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12728] = 2,
    ACTIONS(3493), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3491), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12785] = 2,
    ACTIONS(3501), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3499), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12842] = 2,
    ACTIONS(3509), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3507), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12899] = 2,
    ACTIONS(3529), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3527), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12956] = 2,
    ACTIONS(3614), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13013] = 3,
    ACTIONS(3315), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13072] = 3,
    ACTIONS(3616), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13131] = 4,
    ACTIONS(3246), 1,
      sym__last_token_punctuation,
    ACTIONS(3618), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13192] = 3,
    ACTIONS(3311), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13251] = 4,
    ACTIONS(3169), 1,
      sym__last_token_punctuation,
    ACTIONS(3620), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13312] = 2,
    ACTIONS(3431), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13369] = 2,
    ACTIONS(3553), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3551), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13426] = 2,
    ACTIONS(3563), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13483] = 2,
    ACTIONS(3567), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13540] = 2,
    ACTIONS(3571), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13597] = 2,
    ACTIONS(3575), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13654] = 2,
    ACTIONS(3579), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13711] = 2,
    ACTIONS(3583), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3581), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13768] = 2,
    ACTIONS(3427), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13825] = 2,
    ACTIONS(3624), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13882] = 2,
    ACTIONS(3628), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13939] = 2,
    ACTIONS(3632), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13996] = 2,
    ACTIONS(3608), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14053] = 2,
    ACTIONS(3601), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14110] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3288), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3286), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14169] = 2,
    ACTIONS(3597), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14226] = 2,
    ACTIONS(3593), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14283] = 2,
    ACTIONS(3549), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14340] = 2,
    ACTIONS(3545), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14397] = 2,
    ACTIONS(3614), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14454] = 2,
    ACTIONS(3636), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3634), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14511] = 2,
    ACTIONS(3640), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3638), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14568] = 2,
    ACTIONS(3537), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14625] = 2,
    ACTIONS(3533), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14682] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14739] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14796] = 2,
    ACTIONS(3439), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14853] = 2,
    ACTIONS(3517), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14910] = 2,
    ACTIONS(3377), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3375), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14967] = 2,
    ACTIONS(3392), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15024] = 2,
    ACTIONS(3423), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15081] = 2,
    ACTIONS(3419), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15138] = 2,
    ACTIONS(3454), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15195] = 2,
    ACTIONS(3465), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3463), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15252] = 2,
    ACTIONS(3505), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3503), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15309] = 2,
    ACTIONS(3513), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3511), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15366] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15423] = 2,
    ACTIONS(3541), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15480] = 2,
    ACTIONS(3411), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15537] = 2,
    ACTIONS(3361), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15594] = 2,
    ACTIONS(3435), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15651] = 4,
    ACTIONS(3311), 1,
      sym__last_token_punctuation,
    ACTIONS(3642), 1,
      anon_sym_LBRACK,
    ACTIONS(2879), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15712] = 2,
    ACTIONS(3636), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3634), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15769] = 2,
    ACTIONS(3541), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15826] = 2,
    ACTIONS(3513), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3511), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15883] = 2,
    ACTIONS(3505), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3503), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15940] = 2,
    ACTIONS(3465), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3463), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15997] = 2,
    ACTIONS(3454), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16054] = 2,
    ACTIONS(3431), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16111] = 2,
    ACTIONS(3427), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16168] = 2,
    ACTIONS(3392), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16225] = 2,
    ACTIONS(3377), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3375), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16282] = 3,
    ACTIONS(3339), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3342), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16341] = 2,
    ACTIONS(3346), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3344), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16398] = 3,
    ACTIONS(3350), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16457] = 2,
    ACTIONS(3357), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3355), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16514] = 2,
    ACTIONS(3361), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16571] = 2,
    ACTIONS(3624), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16628] = 2,
    ACTIONS(3373), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3371), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16685] = 2,
    ACTIONS(3403), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3401), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16742] = 2,
    ACTIONS(3411), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16799] = 2,
    ACTIONS(3415), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3413), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16856] = 2,
    ACTIONS(3419), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16913] = 2,
    ACTIONS(3423), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16970] = 2,
    ACTIONS(3517), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17027] = 2,
    ACTIONS(3439), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17084] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17141] = 2,
    ACTIONS(3447), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3445), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17198] = 2,
    ACTIONS(3458), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3456), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17255] = 2,
    ACTIONS(3628), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17312] = 2,
    ACTIONS(3469), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3467), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17369] = 2,
    ACTIONS(3477), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3475), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17426] = 2,
    ACTIONS(3481), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3479), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17483] = 2,
    ACTIONS(3489), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3487), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17540] = 2,
    ACTIONS(3493), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3491), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17597] = 2,
    ACTIONS(3501), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3499), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17654] = 2,
    ACTIONS(3509), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3507), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17711] = 2,
    ACTIONS(3529), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3527), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17768] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17825] = 2,
    ACTIONS(3533), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17882] = 2,
    ACTIONS(3537), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17939] = 2,
    ACTIONS(3545), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17996] = 2,
    ACTIONS(3549), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18053] = 2,
    ACTIONS(3553), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3551), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18110] = 2,
    ACTIONS(3563), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18167] = 2,
    ACTIONS(3567), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18224] = 2,
    ACTIONS(3571), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18281] = 2,
    ACTIONS(3575), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18338] = 2,
    ACTIONS(3579), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18395] = 2,
    ACTIONS(3583), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3581), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18452] = 2,
    ACTIONS(3632), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18509] = 2,
    ACTIONS(3640), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3638), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18566] = 2,
    ACTIONS(3636), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3634), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18623] = 2,
    ACTIONS(3614), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18680] = 2,
    ACTIONS(3608), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18737] = 2,
    ACTIONS(3593), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18794] = 2,
    ACTIONS(3597), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18851] = 2,
    ACTIONS(3601), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18908] = 2,
    ACTIONS(3640), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3638), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18965] = 2,
    ACTIONS(3601), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19022] = 2,
    ACTIONS(3608), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19079] = 2,
    ACTIONS(3614), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19136] = 2,
    ACTIONS(3636), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3634), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19193] = 2,
    ACTIONS(3640), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3638), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19250] = 2,
    ACTIONS(3597), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19307] = 2,
    ACTIONS(3593), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19364] = 2,
    ACTIONS(3583), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3581), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19421] = 2,
    ACTIONS(3632), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19478] = 2,
    ACTIONS(3628), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19535] = 2,
    ACTIONS(3624), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19592] = 2,
    ACTIONS(3377), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3375), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19649] = 2,
    ACTIONS(3392), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19706] = 2,
    ACTIONS(3427), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19763] = 2,
    ACTIONS(3431), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19820] = 2,
    ACTIONS(3454), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19877] = 2,
    ACTIONS(3465), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3463), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19934] = 2,
    ACTIONS(3505), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3503), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19991] = 2,
    ACTIONS(3513), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3511), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20048] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20105] = 2,
    ACTIONS(3541), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20162] = 2,
    ACTIONS(3579), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20219] = 2,
    ACTIONS(3624), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20276] = 2,
    ACTIONS(3435), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20333] = 2,
    ACTIONS(3575), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20390] = 2,
    ACTIONS(3571), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20447] = 2,
    ACTIONS(3567), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20504] = 2,
    ACTIONS(3563), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20561] = 2,
    ACTIONS(3628), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20618] = 2,
    ACTIONS(3632), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20675] = 2,
    ACTIONS(3553), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3551), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20732] = 2,
    ACTIONS(3549), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20789] = 2,
    ACTIONS(3545), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20846] = 2,
    ACTIONS(3537), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20903] = 2,
    ACTIONS(3533), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20960] = 3,
    ACTIONS(3339), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3342), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21019] = 2,
    ACTIONS(3346), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3344), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21076] = 3,
    ACTIONS(3350), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21135] = 2,
    ACTIONS(3357), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3355), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21192] = 2,
    ACTIONS(3361), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21249] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21306] = 2,
    ACTIONS(3373), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3371), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21363] = 2,
    ACTIONS(3403), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3401), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21420] = 2,
    ACTIONS(3411), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21477] = 2,
    ACTIONS(3415), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3413), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21534] = 2,
    ACTIONS(3419), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21591] = 2,
    ACTIONS(3423), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21648] = 2,
    ACTIONS(3517), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21705] = 2,
    ACTIONS(3439), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21762] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21819] = 2,
    ACTIONS(3447), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3445), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21876] = 2,
    ACTIONS(3458), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3456), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21933] = 2,
    ACTIONS(3529), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3527), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21990] = 2,
    ACTIONS(3469), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3467), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22047] = 2,
    ACTIONS(3477), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3475), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22104] = 2,
    ACTIONS(3481), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3479), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22161] = 2,
    ACTIONS(3489), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3487), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22218] = 2,
    ACTIONS(3493), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3491), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22275] = 2,
    ACTIONS(3501), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3499), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22332] = 2,
    ACTIONS(3509), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3507), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22389] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22445] = 2,
    ACTIONS(3423), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22501] = 2,
    ACTIONS(3419), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22557] = 2,
    ACTIONS(3411), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22613] = 2,
    ACTIONS(3427), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22669] = 2,
    ACTIONS(3431), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22725] = 4,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22785] = 3,
    ACTIONS(3350), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22843] = 4,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22903] = 2,
    ACTIONS(3407), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3405), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22959] = 2,
    ACTIONS(3369), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3367), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23015] = 2,
    ACTIONS(3365), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3363), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23071] = 2,
    ACTIONS(3541), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3539), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23127] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23183] = 2,
    ACTIONS(3513), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3511), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23239] = 2,
    ACTIONS(3505), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3503), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23295] = 2,
    ACTIONS(3465), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3463), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23351] = 2,
    ACTIONS(3454), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3452), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23407] = 2,
    ACTIONS(3392), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3390), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23463] = 2,
    ACTIONS(3377), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3375), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23519] = 2,
    ACTIONS(3640), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3638), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23575] = 2,
    ACTIONS(3636), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3634), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23631] = 2,
    ACTIONS(3614), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23687] = 2,
    ACTIONS(3583), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3581), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23743] = 2,
    ACTIONS(3579), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3577), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23799] = 2,
    ACTIONS(3575), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3573), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23855] = 2,
    ACTIONS(3571), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3569), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23911] = 2,
    ACTIONS(3567), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3565), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23967] = 2,
    ACTIONS(3563), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3561), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24023] = 2,
    ACTIONS(3553), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3551), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24079] = 2,
    ACTIONS(3439), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24135] = 2,
    ACTIONS(3529), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3527), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24191] = 2,
    ACTIONS(3361), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24247] = 4,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24307] = 2,
    ACTIONS(3517), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24363] = 2,
    ACTIONS(3509), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3507), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24419] = 2,
    ACTIONS(3628), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24475] = 2,
    ACTIONS(3501), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3499), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24531] = 2,
    ACTIONS(3493), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3491), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24587] = 2,
    ACTIONS(3632), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24643] = 2,
    ACTIONS(3608), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24699] = 2,
    ACTIONS(3601), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24755] = 2,
    ACTIONS(3489), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3487), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24811] = 2,
    ACTIONS(3624), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24867] = 2,
    ACTIONS(3435), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24923] = 2,
    ACTIONS(3481), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3479), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24979] = 2,
    ACTIONS(3597), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25035] = 2,
    ACTIONS(3477), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3475), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25091] = 2,
    ACTIONS(3593), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25147] = 2,
    ACTIONS(3469), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3467), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25203] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25259] = 2,
    ACTIONS(3458), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3456), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25315] = 2,
    ACTIONS(3415), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3413), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25371] = 2,
    ACTIONS(3549), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25427] = 2,
    ACTIONS(3545), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25483] = 2,
    ACTIONS(3537), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25539] = 3,
    ACTIONS(3339), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3342), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25597] = 2,
    ACTIONS(3346), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3344), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25653] = 4,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
    ACTIONS(3644), 1,
      anon_sym_LBRACK,
    ACTIONS(3353), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3348), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25713] = 2,
    ACTIONS(3357), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3355), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25769] = 2,
    ACTIONS(3533), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25825] = 2,
    ACTIONS(3447), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3445), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25881] = 2,
    ACTIONS(3373), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3371), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25937] = 2,
    ACTIONS(3403), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3401), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25993] = 2,
    ACTIONS(3648), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3646), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26048] = 2,
    ACTIONS(3652), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3650), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26103] = 2,
    ACTIONS(3656), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3654), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26158] = 2,
    ACTIONS(3660), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3658), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26213] = 2,
    ACTIONS(3664), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3662), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26268] = 3,
    ACTIONS(3670), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3668), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3666), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26325] = 2,
    ACTIONS(3674), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3672), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26380] = 2,
    ACTIONS(3678), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3676), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26435] = 2,
    ACTIONS(3682), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3680), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26490] = 2,
    ACTIONS(3652), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3650), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26545] = 3,
    ACTIONS(3688), 1,
      sym__emphasis_close_star,
    ACTIONS(3686), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3684), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26602] = 3,
    ACTIONS(3690), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3668), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3666), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26659] = 2,
    ACTIONS(3694), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3692), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26714] = 3,
    ACTIONS(3696), 1,
      sym__emphasis_close_star,
    ACTIONS(3686), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3684), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26771] = 3,
    ACTIONS(3698), 1,
      sym__emphasis_close_star,
    ACTIONS(3686), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3684), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26828] = 2,
    ACTIONS(3702), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3700), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26883] = 2,
    ACTIONS(3686), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3684), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26938] = 2,
    ACTIONS(3664), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3662), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26993] = 2,
    ACTIONS(3664), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3662), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27048] = 2,
    ACTIONS(3660), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3658), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27103] = 2,
    ACTIONS(3656), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3654), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27158] = 2,
    ACTIONS(3706), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3704), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27213] = 3,
    ACTIONS(3708), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3668), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3666), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27270] = 3,
    ACTIONS(3710), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3668), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3666), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27327] = 2,
    ACTIONS(3702), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3700), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27382] = 2,
    ACTIONS(3664), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3662), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27437] = 2,
    ACTIONS(3660), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3658), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27492] = 2,
    ACTIONS(3656), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3654), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27547] = 2,
    ACTIONS(3694), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3692), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27602] = 2,
    ACTIONS(3652), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3650), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27657] = 2,
    ACTIONS(3702), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3700), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27712] = 3,
    ACTIONS(3712), 1,
      sym__emphasis_close_star,
    ACTIONS(3686), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3684), 42,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27769] = 2,
    ACTIONS(3694), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3692), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27824] = 2,
    ACTIONS(3652), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3650), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27879] = 2,
    ACTIONS(3682), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3680), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27934] = 2,
    ACTIONS(3706), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3704), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27989] = 2,
    ACTIONS(3682), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3680), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28044] = 2,
    ACTIONS(3706), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3704), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28099] = 2,
    ACTIONS(3706), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3704), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28154] = 2,
    ACTIONS(3682), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3680), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28209] = 2,
    ACTIONS(3694), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3692), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28264] = 2,
    ACTIONS(3668), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3666), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28319] = 2,
    ACTIONS(3656), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3654), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28374] = 2,
    ACTIONS(3702), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3700), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28429] = 2,
    ACTIONS(3660), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3658), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28484] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3730), 1,
      anon_sym_RPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    STATE(1097), 1,
      sym_link_title,
    STATE(1100), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [28565] = 3,
    ACTIONS(3738), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28620] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3740), 1,
      anon_sym_RPAREN,
    STATE(1010), 1,
      sym_link_destination,
    STATE(1011), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(675), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [28701] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3742), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_link_title,
    STATE(1109), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(653), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [28782] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3744), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      sym_link_title,
    STATE(1096), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(658), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [28863] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3746), 1,
      anon_sym_RPAREN,
    STATE(1005), 1,
      sym_link_title,
    STATE(1007), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [28944] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3748), 1,
      anon_sym_RPAREN,
    STATE(1008), 1,
      sym_link_destination,
    STATE(1009), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(661), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29025] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    STATE(1048), 1,
      sym_link_title,
    STATE(1049), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29106] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    STATE(1016), 1,
      sym_link_destination,
    STATE(1017), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29187] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3754), 1,
      anon_sym_RPAREN,
    STATE(1053), 1,
      sym_link_destination,
    STATE(1054), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(667), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29268] = 15,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3760), 1,
      anon_sym_DQUOTE,
    ACTIONS(3764), 1,
      anon_sym_LPAREN,
    ACTIONS(3766), 1,
      anon_sym_RPAREN,
    ACTIONS(3769), 1,
      sym__newline_token,
    ACTIONS(3772), 1,
      sym__whitespace_ge_2,
    ACTIONS(3775), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3778), 1,
      sym__last_token_punctuation,
    STATE(855), 1,
      sym__soft_line_break,
    ACTIONS(3762), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(689), 2,
      sym__whitespace,
      aux_sym_link_title_repeat1,
    STATE(703), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(875), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3756), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3758), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29347] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3780), 1,
      anon_sym_RPAREN,
    STATE(1063), 1,
      sym_link_destination,
    STATE(1064), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29428] = 15,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3760), 1,
      anon_sym_SQUOTE,
    ACTIONS(3769), 1,
      sym__newline_token,
    ACTIONS(3772), 1,
      sym__whitespace_ge_2,
    ACTIONS(3775), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3778), 1,
      sym__last_token_punctuation,
    ACTIONS(3788), 1,
      anon_sym_LPAREN,
    ACTIONS(3790), 1,
      anon_sym_RPAREN,
    STATE(854), 1,
      sym__soft_line_break,
    ACTIONS(3786), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(694), 2,
      sym__whitespace,
      aux_sym_link_title_repeat2,
    STATE(703), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(883), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3782), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3784), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29507] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      sym_link_title,
    STATE(1083), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(677), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29588] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    STATE(1067), 1,
      sym_link_destination,
    STATE(1068), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29669] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    STATE(1045), 1,
      sym_link_title,
    STATE(1046), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29750] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    STATE(1099), 1,
      sym_link_destination,
    STATE(1106), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(676), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29831] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    STATE(1061), 1,
      sym_link_title,
    STATE(1065), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(660), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29912] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3803), 1,
      anon_sym_RPAREN,
    STATE(1050), 1,
      sym_link_destination,
    STATE(1051), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(664), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29993] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3805), 1,
      anon_sym_RPAREN,
    STATE(1059), 1,
      sym_link_title,
    STATE(1060), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(668), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30074] = 3,
    ACTIONS(3807), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30129] = 3,
    ACTIONS(3809), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30184] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3811), 1,
      anon_sym_RPAREN,
    STATE(1019), 1,
      sym_link_destination,
    STATE(1020), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30265] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3813), 1,
      anon_sym_RPAREN,
    STATE(1102), 1,
      sym_link_title,
    STATE(1104), 1,
      sym_link_destination,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30346] = 16,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3720), 1,
      anon_sym_LT,
    ACTIONS(3722), 1,
      anon_sym_DQUOTE,
    ACTIONS(3726), 1,
      anon_sym_SQUOTE,
    ACTIONS(3728), 1,
      anon_sym_LPAREN,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3815), 1,
      anon_sym_RPAREN,
    STATE(998), 1,
      sym_link_destination,
    STATE(999), 1,
      sym_link_title,
    ACTIONS(3724), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(700), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3716), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3718), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30427] = 2,
    ACTIONS(3419), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30479] = 2,
    ACTIONS(3411), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30531] = 13,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(3825), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym__soft_line_break,
    ACTIONS(3821), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(702), 2,
      sym__whitespace,
      aux_sym_link_title_repeat3,
    STATE(847), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(874), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3817), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3819), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30605] = 9,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3827), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2895), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3829), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(814), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30671] = 9,
    ACTIONS(2898), 1,
      sym__newline_token,
    ACTIONS(2903), 1,
      sym__whitespace_ge_2,
    ACTIONS(2906), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3832), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2895), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3834), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(765), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2892), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30737] = 9,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3837), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2870), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3839), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(762), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30803] = 9,
    ACTIONS(2876), 1,
      sym__newline_token,
    ACTIONS(2883), 1,
      sym__whitespace_ge_2,
    ACTIONS(2886), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3842), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2870), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3844), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(767), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2866), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2873), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [30869] = 2,
    ACTIONS(3443), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30921] = 2,
    ACTIONS(3435), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__latex_span_start,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [30973] = 10,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3850), 1,
      anon_sym_LT,
    ACTIONS(3853), 1,
      anon_sym_DASH,
    ACTIONS(3856), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3858), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(761), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 6,
      sym__latex_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3847), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31040] = 10,
    ACTIONS(2957), 1,
      sym__newline_token,
    ACTIONS(2962), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3864), 1,
      anon_sym_LT,
    ACTIONS(3867), 1,
      anon_sym_DASH,
    ACTIONS(3870), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3872), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(735), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2866), 6,
      sym__code_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3861), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31107] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3879), 1,
      anon_sym_DQUOTE,
    STATE(855), 1,
      sym__soft_line_break,
    ACTIONS(3881), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3875), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(693), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3877), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31173] = 10,
    ACTIONS(3883), 1,
      sym__backslash_escape,
    ACTIONS(3895), 1,
      anon_sym_SQUOTE,
    ACTIONS(3897), 1,
      sym__newline_token,
    ACTIONS(3900), 1,
      sym__whitespace_ge_2,
    ACTIONS(3903), 1,
      aux_sym__whitespace_token1,
    STATE(854), 1,
      sym__soft_line_break,
    ACTIONS(3892), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3886), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(690), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3889), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31239] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3908), 1,
      anon_sym_DQUOTE,
    STATE(855), 1,
      sym__soft_line_break,
    ACTIONS(3881), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3906), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(689), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3877), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31305] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3908), 1,
      anon_sym_SQUOTE,
    STATE(854), 1,
      sym__soft_line_break,
    ACTIONS(3914), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3910), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(694), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3912), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31371] = 10,
    ACTIONS(3916), 1,
      sym__backslash_escape,
    ACTIONS(3925), 1,
      anon_sym_DQUOTE,
    ACTIONS(3930), 1,
      sym__newline_token,
    ACTIONS(3933), 1,
      sym__whitespace_ge_2,
    ACTIONS(3936), 1,
      aux_sym__whitespace_token1,
    STATE(855), 1,
      sym__soft_line_break,
    ACTIONS(3927), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3919), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(693), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3922), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31437] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3879), 1,
      anon_sym_SQUOTE,
    STATE(854), 1,
      sym__soft_line_break,
    ACTIONS(3914), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3939), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(690), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3912), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31503] = 10,
    ACTIONS(3941), 1,
      sym__backslash_escape,
    ACTIONS(3953), 1,
      anon_sym_LPAREN,
    ACTIONS(3956), 1,
      anon_sym_RPAREN,
    ACTIONS(3961), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3963), 1,
      sym__last_token_punctuation,
    ACTIONS(3950), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3959), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3944), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(847), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3947), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31569] = 10,
    ACTIONS(3965), 1,
      sym__backslash_escape,
    ACTIONS(3977), 1,
      anon_sym_LPAREN,
    ACTIONS(3980), 1,
      anon_sym_RPAREN,
    ACTIONS(3985), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3987), 1,
      sym__last_token_punctuation,
    ACTIONS(3974), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3983), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3968), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(847), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3971), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31635] = 9,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3778), 1,
      sym__last_token_punctuation,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3995), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3989), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(703), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31699] = 6,
    ACTIONS(2879), 1,
      anon_sym_LT,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(840), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2866), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [31756] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(3999), 1,
      anon_sym_SLASH,
    ACTIONS(4002), 1,
      sym__last_token_punctuation,
    STATE(957), 1,
      sym__tag_name,
    ACTIONS(2879), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [31813] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3995), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3989), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(703), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31874] = 6,
    ACTIONS(3146), 1,
      sym__word_no_digit,
    ACTIONS(4004), 1,
      anon_sym_SLASH,
    ACTIONS(4007), 1,
      sym__last_token_punctuation,
    STATE(956), 1,
      sym__tag_name,
    ACTIONS(2879), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [31931] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3879), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym__soft_line_break,
    ACTIONS(4013), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4009), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(707), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(4011), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31996] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4019), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4017), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4015), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(706), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32057] = 10,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3732), 1,
      sym__newline_token,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3908), 1,
      anon_sym_RPAREN,
    STATE(884), 1,
      sym__soft_line_break,
    ACTIONS(4013), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4021), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(702), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(4011), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32122] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4019), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4017), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4023), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(709), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32183] = 8,
    ACTIONS(4025), 1,
      sym__backslash_escape,
    ACTIONS(4037), 1,
      anon_sym_LPAREN,
    ACTIONS(4042), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4034), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4040), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4028), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(706), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(4031), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32244] = 10,
    ACTIONS(4044), 1,
      sym__backslash_escape,
    ACTIONS(4056), 1,
      anon_sym_RPAREN,
    ACTIONS(4058), 1,
      sym__newline_token,
    ACTIONS(4061), 1,
      sym__whitespace_ge_2,
    ACTIONS(4064), 1,
      aux_sym__whitespace_token1,
    STATE(884), 1,
      sym__soft_line_break,
    ACTIONS(4053), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4047), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(707), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(4050), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32309] = 6,
    ACTIONS(2879), 1,
      anon_sym_LT,
    ACTIONS(3059), 1,
      sym__newline_token,
    ACTIONS(3062), 1,
      sym__whitespace_ge_2,
    ACTIONS(3065), 1,
      aux_sym__whitespace_token1,
    STATE(842), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2866), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [32366] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4069), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4067), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4015), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(706), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32427] = 3,
    ACTIONS(4007), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [32477] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4077), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4085), 1,
      sym__last_token_punctuation,
    ACTIONS(4083), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(829), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32539] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4087), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4091), 1,
      sym__last_token_punctuation,
    ACTIONS(4089), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(797), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32601] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4093), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4097), 1,
      sym__last_token_punctuation,
    ACTIONS(4095), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(750), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32663] = 8,
    ACTIONS(4099), 1,
      sym__backslash_escape,
    ACTIONS(4108), 1,
      anon_sym_GT,
    ACTIONS(4113), 1,
      sym__whitespace_ge_2,
    ACTIONS(4116), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4110), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4102), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(714), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4105), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32723] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4119), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4123), 1,
      sym__last_token_punctuation,
    ACTIONS(4121), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(824), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32785] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4125), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4129), 1,
      sym__last_token_punctuation,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(796), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32847] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4131), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4135), 1,
      sym__last_token_punctuation,
    ACTIONS(4133), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32909] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4137), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4141), 1,
      sym__last_token_punctuation,
    ACTIONS(4139), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(759), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32971] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4143), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4147), 1,
      sym__last_token_punctuation,
    ACTIONS(4145), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(811), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33033] = 3,
    ACTIONS(4149), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33083] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4155), 1,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4151), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4153), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33143] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4159), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4163), 1,
      sym__last_token_punctuation,
    ACTIONS(4161), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(781), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33205] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4165), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4169), 1,
      sym__last_token_punctuation,
    ACTIONS(4167), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(786), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33267] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4171), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4175), 1,
      sym__last_token_punctuation,
    ACTIONS(4173), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(818), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33329] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4177), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4181), 1,
      sym__last_token_punctuation,
    ACTIONS(4179), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(739), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33391] = 8,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3734), 1,
      sym__whitespace_ge_2,
    ACTIONS(3736), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4185), 1,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4183), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(714), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4153), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33451] = 3,
    ACTIONS(4002), 1,
      sym__last_token_punctuation,
    ACTIONS(2879), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2866), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33501] = 3,
    ACTIONS(4187), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33551] = 6,
    ACTIONS(4193), 1,
      sym__newline_token,
    ACTIONS(4196), 1,
      sym__whitespace_ge_2,
    ACTIONS(4199), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4191), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(729), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(4189), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [33607] = 3,
    ACTIONS(4202), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33657] = 3,
    ACTIONS(4204), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33707] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4206), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4210), 1,
      sym__last_token_punctuation,
    ACTIONS(4208), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(801), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33769] = 9,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4212), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4216), 1,
      sym__last_token_punctuation,
    ACTIONS(4214), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(795), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33831] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4218), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4220), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(793), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33890] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4077), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4083), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(829), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33949] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4131), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4133), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34008] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4222), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34067] = 2,
    ACTIONS(3533), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34114] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4137), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34173] = 2,
    ACTIONS(3411), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34220] = 2,
    ACTIONS(3597), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34267] = 8,
    ACTIONS(4229), 1,
      anon_sym_QMARK,
    ACTIONS(4232), 1,
      sym__newline_token,
    ACTIONS(4235), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4237), 1,
      sym__whitespace_ge_2,
    ACTIONS(4240), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4243), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4226), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34326] = 2,
    ACTIONS(3335), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34373] = 2,
    ACTIONS(3593), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34420] = 2,
    ACTIONS(3443), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34467] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4248), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34526] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4260), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34585] = 2,
    ACTIONS(3439), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34632] = 2,
    ACTIONS(3608), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34679] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4087), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34738] = 2,
    ACTIONS(3549), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34785] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4268), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4270), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(764), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34844] = 2,
    ACTIONS(3545), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34891] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4087), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4089), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(797), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34950] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4143), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4145), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(811), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35009] = 8,
    ACTIONS(4275), 1,
      anon_sym_DASH,
    ACTIONS(4278), 1,
      sym__newline_token,
    ACTIONS(4281), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4283), 1,
      sym__whitespace_ge_2,
    ACTIONS(4286), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4289), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4272), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35068] = 8,
    ACTIONS(4235), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4295), 1,
      anon_sym_RBRACK,
    ACTIONS(4298), 1,
      sym__newline_token,
    ACTIONS(4301), 1,
      sym__whitespace_ge_2,
    ACTIONS(4304), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4307), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4292), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35127] = 2,
    ACTIONS(3537), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35174] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4268), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35233] = 2,
    ACTIONS(3517), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35280] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4159), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4161), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(781), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35339] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4310), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35398] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4312), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35457] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4314), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35516] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4316), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35575] = 2,
    ACTIONS(3537), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3535), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35622] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4318), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35681] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4320), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35740] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4165), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4167), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(786), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35799] = 2,
    ACTIONS(3431), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35846] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4322), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35905] = 2,
    ACTIONS(3533), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3531), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35952] = 2,
    ACTIONS(3423), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35999] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4093), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4095), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(750), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36058] = 2,
    ACTIONS(3632), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36105] = 2,
    ACTIONS(3628), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36152] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4324), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36211] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4326), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36270] = 2,
    ACTIONS(3335), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36317] = 2,
    ACTIONS(3419), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36364] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4165), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36423] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4177), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4179), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(739), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36482] = 2,
    ACTIONS(3601), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36529] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4328), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36588] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4330), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4332), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(737), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36647] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4218), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36706] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4334), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36765] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4336), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4338), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(763), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36824] = 2,
    ACTIONS(3443), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36871] = 2,
    ACTIONS(3439), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36918] = 2,
    ACTIONS(3517), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3515), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36965] = 2,
    ACTIONS(3423), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3421), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37012] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4340), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37071] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4342), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4344), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(778), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37130] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4342), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37189] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4330), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37248] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4336), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37307] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4119), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4121), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(824), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37366] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4346), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37425] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4348), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4350), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(799), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37484] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4348), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37543] = 2,
    ACTIONS(3624), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37590] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4352), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37649] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4137), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4139), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(759), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37708] = 2,
    ACTIONS(3419), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37755] = 2,
    ACTIONS(3411), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3409), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37802] = 2,
    ACTIONS(3431), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3429), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37849] = 2,
    ACTIONS(3361), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37896] = 2,
    ACTIONS(3545), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3543), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37943] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4354), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38002] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4131), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38061] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4356), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38120] = 2,
    ACTIONS(3427), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38167] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4358), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38226] = 2,
    ACTIONS(3361), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3359), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38273] = 2,
    ACTIONS(3624), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38320] = 2,
    ACTIONS(3549), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3547), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38367] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4206), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38426] = 2,
    ACTIONS(3593), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3591), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38473] = 2,
    ACTIONS(3597), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3595), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38520] = 2,
    ACTIONS(3628), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38567] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4206), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4208), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(801), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38626] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4125), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4127), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(796), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38685] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4125), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38744] = 2,
    ACTIONS(3427), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3425), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38791] = 2,
    ACTIONS(3632), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3630), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38838] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4352), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4360), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(812), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38897] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4212), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4214), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(795), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38956] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4212), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4224), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39015] = 8,
    ACTIONS(4073), 1,
      anon_sym_DASH,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4171), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4173), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(818), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4071), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39074] = 2,
    ACTIONS(3601), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3599), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39121] = 8,
    ACTIONS(2929), 1,
      anon_sym_RBRACK,
    ACTIONS(4246), 1,
      sym__newline_token,
    ACTIONS(4250), 1,
      sym__whitespace_ge_2,
    ACTIONS(4252), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4362), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4254), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(757), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2927), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39180] = 8,
    ACTIONS(4256), 1,
      anon_sym_QMARK,
    ACTIONS(4258), 1,
      sym__newline_token,
    ACTIONS(4262), 1,
      sym__whitespace_ge_2,
    ACTIONS(4264), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4364), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4266), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2868), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39239] = 2,
    ACTIONS(3608), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3606), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39286] = 7,
    ACTIONS(4369), 1,
      anon_sym_GT,
    ACTIONS(4371), 1,
      sym__newline_token,
    ACTIONS(4374), 1,
      sym__whitespace_ge_2,
    ACTIONS(4377), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4380), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4366), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39342] = 7,
    ACTIONS(4386), 1,
      anon_sym_DQUOTE,
    ACTIONS(4388), 1,
      sym__newline_token,
    ACTIONS(4391), 1,
      sym__whitespace_ge_2,
    ACTIONS(4394), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4397), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(836), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4383), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39398] = 7,
    ACTIONS(4402), 1,
      anon_sym_GT,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39454] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4414), 1,
      anon_sym_DQUOTE,
    ACTIONS(4416), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(836), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4412), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39510] = 7,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4420), 1,
      anon_sym_RPAREN,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4418), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(847), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [39566] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4422), 1,
      anon_sym_GT,
    ACTIONS(4424), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(863), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39622] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4426), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39678] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4428), 1,
      anon_sym_GT,
    ACTIONS(4430), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(853), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39734] = 5,
    ACTIONS(4439), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4442), 1,
      sym__last_token_punctuation,
    ACTIONS(4434), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4436), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4432), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [39786] = 3,
    ACTIONS(4442), 1,
      sym__last_token_punctuation,
    ACTIONS(4434), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4432), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39834] = 6,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    ACTIONS(4452), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4454), 1,
      sym__last_token_punctuation,
    ACTIONS(4447), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4450), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4444), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [39888] = 3,
    ACTIONS(4456), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39936] = 7,
    ACTIONS(3714), 1,
      sym__backslash_escape,
    ACTIONS(3823), 1,
      anon_sym_LPAREN,
    ACTIONS(4458), 1,
      anon_sym_RPAREN,
    ACTIONS(3993), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4015), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(706), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3991), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [39992] = 3,
    ACTIONS(4460), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40040] = 3,
    ACTIONS(3987), 1,
      sym__last_token_punctuation,
    ACTIONS(3985), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3983), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40088] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4462), 1,
      anon_sym_GT,
    ACTIONS(4464), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(837), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40144] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4468), 1,
      anon_sym_SQUOTE,
    ACTIONS(4470), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(864), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4466), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40200] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4472), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40256] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4474), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40312] = 4,
    ACTIONS(4476), 1,
      sym__newline_token,
    STATE(1150), 1,
      sym__soft_line_break,
    ACTIONS(3961), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3959), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40362] = 4,
    ACTIONS(4479), 1,
      sym__newline_token,
    STATE(1158), 1,
      sym__soft_line_break,
    ACTIONS(3985), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3983), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40412] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4482), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40468] = 3,
    ACTIONS(4490), 1,
      sym__last_token_punctuation,
    ACTIONS(4487), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4484), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40516] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4468), 1,
      anon_sym_DQUOTE,
    ACTIONS(4492), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(838), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4412), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40572] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4494), 1,
      anon_sym_GT,
    ACTIONS(4496), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(856), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40628] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4498), 1,
      anon_sym_GT,
    ACTIONS(4500), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(852), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40684] = 7,
    ACTIONS(4505), 1,
      anon_sym_SQUOTE,
    ACTIONS(4507), 1,
      sym__newline_token,
    ACTIONS(4510), 1,
      sym__whitespace_ge_2,
    ACTIONS(4513), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4516), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(861), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4502), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40740] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4519), 1,
      anon_sym_GT,
    ACTIONS(4521), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(841), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40796] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4523), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40852] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4414), 1,
      anon_sym_SQUOTE,
    ACTIONS(4525), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(861), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4466), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40908] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4527), 1,
      anon_sym_GT,
    ACTIONS(4410), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40964] = 3,
    ACTIONS(4535), 1,
      sym__last_token_punctuation,
    ACTIONS(4532), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4529), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41012] = 7,
    ACTIONS(4404), 1,
      sym__newline_token,
    ACTIONS(4406), 1,
      sym__whitespace_ge_2,
    ACTIONS(4408), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4537), 1,
      anon_sym_GT,
    ACTIONS(4539), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(865), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4400), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41068] = 3,
    ACTIONS(3963), 1,
      sym__last_token_punctuation,
    ACTIONS(3961), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3959), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41116] = 2,
    ACTIONS(4541), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3895), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41161] = 2,
    ACTIONS(4545), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4543), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41206] = 2,
    ACTIONS(4549), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4547), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41251] = 2,
    ACTIONS(3435), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3433), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41296] = 3,
    ACTIONS(4551), 1,
      sym__last_token_punctuation,
    ACTIONS(4452), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4450), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41343] = 5,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    ACTIONS(4452), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4447), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4450), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4444), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [41394] = 2,
    ACTIONS(4532), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4529), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41439] = 2,
    ACTIONS(4556), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4553), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41484] = 2,
    ACTIONS(4559), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3925), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41529] = 2,
    ACTIONS(4042), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4040), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41574] = 2,
    ACTIONS(3419), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41619] = 2,
    ACTIONS(3443), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41664] = 2,
    ACTIONS(4564), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4561), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41709] = 4,
    ACTIONS(4574), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4569), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4571), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4567), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [41758] = 2,
    ACTIONS(4487), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4484), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41803] = 4,
    ACTIONS(4577), 1,
      sym__newline_token,
    STATE(1159), 1,
      sym__soft_line_break,
    ACTIONS(4452), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4450), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41852] = 2,
    ACTIONS(4569), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41897] = 5,
    ACTIONS(4040), 1,
      anon_sym_LPAREN,
    ACTIONS(4586), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4056), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4583), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4580), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [41948] = 2,
    ACTIONS(4590), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4588), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41993] = 3,
    ACTIONS(4592), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42039] = 3,
    ACTIONS(4598), 1,
      sym__last_token_punctuation,
    ACTIONS(4596), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4594), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42085] = 3,
    ACTIONS(4604), 1,
      sym__last_token_punctuation,
    ACTIONS(4602), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4600), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42131] = 2,
    ACTIONS(4608), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4606), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42175] = 3,
    ACTIONS(4610), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42221] = 3,
    ACTIONS(4612), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42267] = 2,
    ACTIONS(4586), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4056), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42311] = 3,
    ACTIONS(4614), 1,
      sym__last_token_punctuation,
    ACTIONS(4596), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4594), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42357] = 3,
    ACTIONS(4616), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42403] = 3,
    ACTIONS(4618), 1,
      sym__last_token_whitespace,
    ACTIONS(3292), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3290), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42449] = 3,
    ACTIONS(4624), 1,
      sym__last_token_punctuation,
    ACTIONS(4622), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4620), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42495] = 3,
    ACTIONS(4626), 1,
      sym__last_token_whitespace,
    ACTIONS(3165), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3163), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42541] = 3,
    ACTIONS(4630), 1,
      sym__last_token_punctuation,
    ACTIONS(4628), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4281), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42587] = 6,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4624), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(907), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(4632), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [42639] = 3,
    ACTIONS(3165), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4634), 1,
      sym__last_token_whitespace,
    ACTIONS(3163), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42684] = 2,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42727] = 2,
    ACTIONS(4636), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4235), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42770] = 2,
    ACTIONS(3419), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42813] = 2,
    ACTIONS(3443), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42856] = 2,
    ACTIONS(4628), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4281), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42899] = 3,
    ACTIONS(4640), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4642), 1,
      sym__last_token_punctuation,
    ACTIONS(4638), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42944] = 2,
    ACTIONS(3419), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42987] = 2,
    ACTIONS(4646), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4644), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43030] = 3,
    ACTIONS(4650), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4652), 1,
      sym__last_token_punctuation,
    ACTIONS(4648), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43075] = 2,
    ACTIONS(3419), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43118] = 3,
    ACTIONS(4656), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4658), 1,
      sym__last_token_punctuation,
    ACTIONS(4654), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43163] = 2,
    ACTIONS(4636), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4235), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43206] = 2,
    ACTIONS(4662), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4660), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43249] = 2,
    ACTIONS(3443), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43292] = 3,
    ACTIONS(3292), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4664), 1,
      sym__last_token_whitespace,
    ACTIONS(3290), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43337] = 2,
    ACTIONS(3443), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43379] = 2,
    ACTIONS(3419), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43421] = 2,
    ACTIONS(4666), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4386), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43463] = 2,
    ACTIONS(4668), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4505), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43505] = 2,
    ACTIONS(4670), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4369), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43547] = 1,
    ACTIONS(4672), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43581] = 1,
    ACTIONS(4674), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43615] = 1,
    ACTIONS(4676), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43649] = 1,
    ACTIONS(4678), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43683] = 1,
    ACTIONS(4680), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43717] = 1,
    ACTIONS(4682), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43751] = 1,
    ACTIONS(4684), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43785] = 5,
    ACTIONS(4686), 1,
      sym__newline_token,
    ACTIONS(4689), 1,
      sym__whitespace_ge_2,
    ACTIONS(4692), 1,
      aux_sym__whitespace_token1,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(4189), 6,
      anon_sym_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43808] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4701), 1,
      anon_sym_RPAREN,
    STATE(1078), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43838] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4703), 1,
      anon_sym_RPAREN,
    STATE(1036), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43868] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4705), 1,
      anon_sym_RPAREN,
    STATE(993), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43898] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4707), 1,
      anon_sym_RPAREN,
    STATE(1087), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43928] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4709), 1,
      anon_sym_RPAREN,
    STATE(1080), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43958] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4711), 1,
      anon_sym_RPAREN,
    STATE(995), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [43988] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    STATE(1029), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44018] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44048] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
    STATE(1091), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44078] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44108] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(1071), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44138] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4723), 1,
      anon_sym_RPAREN,
    STATE(990), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44168] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(1027), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44198] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    STATE(1024), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44228] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4729), 1,
      anon_sym_RPAREN,
    STATE(1094), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44258] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
    STATE(1034), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44288] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44318] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(1014), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44348] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4737), 1,
      anon_sym_RPAREN,
    STATE(1032), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44378] = 9,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4695), 1,
      anon_sym_DQUOTE,
    ACTIONS(4697), 1,
      anon_sym_SQUOTE,
    ACTIONS(4699), 1,
      anon_sym_LPAREN,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    STATE(1043), 1,
      sym_link_title,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44408] = 7,
    ACTIONS(4741), 1,
      anon_sym_GT,
    ACTIONS(4743), 1,
      anon_sym_SLASH,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(986), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44433] = 8,
    ACTIONS(4751), 1,
      anon_sym_DQUOTE,
    ACTIONS(4753), 1,
      anon_sym_SQUOTE,
    ACTIONS(4755), 1,
      sym__newline_token,
    ACTIONS(4757), 1,
      aux_sym__attribute_value_token1,
    ACTIONS(4759), 1,
      sym__whitespace_ge_2,
    ACTIONS(4761), 1,
      aux_sym__whitespace_token1,
    STATE(1115), 1,
      sym__attribute_value,
    STATE(968), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44460] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4763), 1,
      anon_sym_GT,
    ACTIONS(4765), 1,
      anon_sym_SLASH,
    STATE(951), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(980), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44485] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4767), 1,
      anon_sym_GT,
    ACTIONS(4769), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(976), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44510] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4771), 1,
      anon_sym_GT,
    ACTIONS(4773), 1,
      anon_sym_SLASH,
    STATE(966), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(973), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44535] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4775), 1,
      anon_sym_GT,
    ACTIONS(4777), 1,
      anon_sym_SLASH,
    STATE(954), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(970), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44560] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4779), 1,
      anon_sym_GT,
    ACTIONS(4781), 1,
      anon_sym_SLASH,
    STATE(965), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(981), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44585] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4783), 1,
      anon_sym_GT,
    ACTIONS(4785), 1,
      anon_sym_SLASH,
    STATE(969), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(987), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44610] = 8,
    ACTIONS(4751), 1,
      anon_sym_DQUOTE,
    ACTIONS(4753), 1,
      anon_sym_SQUOTE,
    ACTIONS(4755), 1,
      sym__newline_token,
    ACTIONS(4759), 1,
      sym__whitespace_ge_2,
    ACTIONS(4761), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4787), 1,
      aux_sym__attribute_value_token1,
    STATE(1118), 1,
      sym__attribute_value,
    STATE(960), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44637] = 8,
    ACTIONS(4751), 1,
      anon_sym_DQUOTE,
    ACTIONS(4753), 1,
      anon_sym_SQUOTE,
    ACTIONS(4755), 1,
      sym__newline_token,
    ACTIONS(4757), 1,
      aux_sym__attribute_value_token1,
    ACTIONS(4759), 1,
      sym__whitespace_ge_2,
    ACTIONS(4761), 1,
      aux_sym__whitespace_token1,
    STATE(1115), 1,
      sym__attribute_value,
    STATE(977), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44664] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4789), 1,
      anon_sym_GT,
    ACTIONS(4791), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(974), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44689] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4793), 1,
      anon_sym_GT,
    ACTIONS(4795), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(983), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44714] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4797), 1,
      anon_sym_GT,
    ACTIONS(4799), 1,
      anon_sym_SLASH,
    STATE(962), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(979), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44739] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4801), 1,
      anon_sym_GT,
    ACTIONS(4803), 1,
      anon_sym_SLASH,
    STATE(961), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44764] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4805), 1,
      anon_sym_GT,
    ACTIONS(4807), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(972), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44789] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4809), 1,
      anon_sym_GT,
    ACTIONS(4811), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(982), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44814] = 6,
    ACTIONS(4815), 1,
      sym__newline_token,
    ACTIONS(4818), 1,
      sym__whitespace_ge_2,
    ACTIONS(4821), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4813), 2,
      anon_sym_GT,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1001), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44837] = 8,
    ACTIONS(4751), 1,
      anon_sym_DQUOTE,
    ACTIONS(4753), 1,
      anon_sym_SQUOTE,
    ACTIONS(4755), 1,
      sym__newline_token,
    ACTIONS(4759), 1,
      sym__whitespace_ge_2,
    ACTIONS(4761), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4824), 1,
      aux_sym__attribute_value_token1,
    STATE(1117), 1,
      sym__attribute_value,
    STATE(977), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44864] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4826), 1,
      anon_sym_GT,
    ACTIONS(4828), 1,
      anon_sym_SLASH,
    STATE(967), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(984), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44889] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4767), 1,
      anon_sym_GT,
    ACTIONS(4769), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44913] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4789), 1,
      anon_sym_GT,
    ACTIONS(4791), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44937] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4832), 1,
      anon_sym_GT,
    ACTIONS(4834), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44961] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4809), 1,
      anon_sym_GT,
    ACTIONS(4811), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44985] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4836), 1,
      anon_sym_GT,
    ACTIONS(4838), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45009] = 4,
    ACTIONS(4844), 1,
      aux_sym__whitespace_token1,
    STATE(988), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4842), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4840), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [45027] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4846), 1,
      anon_sym_GT,
    ACTIONS(4848), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45051] = 5,
    ACTIONS(4850), 1,
      sym__newline_token,
    ACTIONS(4853), 1,
      sym__whitespace_ge_2,
    ACTIONS(4856), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4189), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__attribute_value_token1,
    STATE(977), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45071] = 5,
    ACTIONS(4859), 1,
      sym__newline_token,
    ACTIONS(4862), 1,
      sym__whitespace_ge_2,
    ACTIONS(4865), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4189), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45091] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4793), 1,
      anon_sym_GT,
    ACTIONS(4795), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45115] = 7,
    ACTIONS(4741), 1,
      anon_sym_GT,
    ACTIONS(4743), 1,
      anon_sym_SLASH,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45139] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4805), 1,
      anon_sym_GT,
    ACTIONS(4807), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45163] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4868), 1,
      anon_sym_GT,
    ACTIONS(4870), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45187] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4872), 1,
      anon_sym_GT,
    ACTIONS(4874), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45211] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4876), 1,
      anon_sym_GT,
    ACTIONS(4878), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45235] = 4,
    ACTIONS(4885), 1,
      aux_sym__whitespace_token1,
    STATE(985), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4882), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4880), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [45253] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    ACTIONS(4887), 1,
      anon_sym_GT,
    ACTIONS(4889), 1,
      anon_sym_SLASH,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45277] = 7,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4826), 1,
      anon_sym_GT,
    ACTIONS(4828), 1,
      anon_sym_SLASH,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45301] = 4,
    ACTIONS(4895), 1,
      aux_sym__whitespace_token1,
    STATE(985), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4893), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4891), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [45319] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
    STATE(1092), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45337] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
    STATE(1081), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45355] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4711), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45373] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4899), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45391] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4899), 1,
      anon_sym_RPAREN,
    STATE(996), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45409] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45427] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    STATE(997), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45445] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4903), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45463] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4905), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45481] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4737), 1,
      anon_sym_RPAREN,
    STATE(946), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45499] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4737), 1,
      anon_sym_RPAREN,
    STATE(1038), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45517] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4907), 1,
      anon_sym_EQ,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45535] = 5,
    ACTIONS(4745), 1,
      sym__newline_token,
    ACTIONS(4747), 1,
      sym__whitespace_ge_2,
    ACTIONS(4749), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4830), 1,
      sym__attribute_name,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45553] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4909), 1,
      anon_sym_GT,
    STATE(1041), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45571] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4911), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45589] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4913), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45607] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(1021), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45625] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4915), 1,
      anon_sym_GT,
    STATE(1013), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45643] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(932), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45661] = 5,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(940), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45679] = 5,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1015), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45697] = 5,
    ACTIONS(3811), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(944), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45715] = 5,
    ACTIONS(3811), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1018), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45733] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45751] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4917), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45769] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4703), 1,
      anon_sym_RPAREN,
    STATE(1037), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45787] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45805] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(943), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45823] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(1023), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45841] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45859] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    STATE(937), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45877] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4727), 1,
      anon_sym_RPAREN,
    STATE(1025), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45895] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4703), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45913] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(1026), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45931] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45949] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    STATE(1028), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45967] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4713), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45985] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46003] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
    STATE(1030), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46021] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4921), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46039] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4921), 1,
      anon_sym_RPAREN,
    STATE(1031), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46057] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4923), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46075] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4925), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46093] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
    STATE(1035), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46111] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4737), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46129] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4927), 1,
      anon_sym_RPAREN,
    STATE(1003), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46147] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4927), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46165] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4929), 1,
      anon_sym_RPAREN,
    STATE(1004), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46183] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4929), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46201] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4731), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46219] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4931), 1,
      anon_sym_EQ,
    STATE(1000), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46237] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4933), 1,
      anon_sym_GT,
    STATE(1056), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46255] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4935), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46273] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4705), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46291] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4705), 1,
      anon_sym_RPAREN,
    STATE(992), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46309] = 5,
    ACTIONS(3815), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1033), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46327] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4701), 1,
      anon_sym_RPAREN,
    STATE(991), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46345] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4701), 1,
      anon_sym_RPAREN,
    STATE(936), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46363] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4701), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46381] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    STATE(1042), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46399] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    STATE(933), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46417] = 5,
    ACTIONS(3780), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(941), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46435] = 5,
    ACTIONS(3780), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1062), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46453] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46471] = 5,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(938), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46489] = 5,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1066), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46507] = 3,
    ACTIONS(3292), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4937), 1,
      sym__last_token_whitespace,
    ACTIONS(3290), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [46521] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4939), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46539] = 3,
    ACTIONS(3165), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4941), 1,
      sym__last_token_whitespace,
    ACTIONS(3163), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [46553] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4943), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46571] = 5,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1047), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46589] = 5,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(931), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46607] = 5,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1052), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46625] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46643] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(942), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46661] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(1073), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46679] = 5,
    ACTIONS(3750), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(950), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46697] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46715] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    STATE(935), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46733] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4715), 1,
      anon_sym_RPAREN,
    STATE(1076), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46751] = 3,
    ACTIONS(3165), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4945), 1,
      sym__last_token_whitespace,
    ACTIONS(3163), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [46765] = 3,
    ACTIONS(3292), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4947), 1,
      sym__last_token_whitespace,
    ACTIONS(3290), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [46779] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4723), 1,
      anon_sym_RPAREN,
    STATE(1077), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46797] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4949), 1,
      anon_sym_GT,
    STATE(1058), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46815] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4723), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46833] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4709), 1,
      anon_sym_RPAREN,
    STATE(1079), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46851] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4951), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46869] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4709), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46887] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4897), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46905] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4711), 1,
      anon_sym_RPAREN,
    STATE(994), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46923] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4953), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46941] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4953), 1,
      anon_sym_RPAREN,
    STATE(1082), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46959] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4955), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46977] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4957), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46995] = 5,
    ACTIONS(3815), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(949), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47013] = 5,
    ACTIONS(3746), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1012), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47031] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4959), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47049] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4961), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47067] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4963), 1,
      anon_sym_RPAREN,
    STATE(1085), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47085] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4963), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47103] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4965), 1,
      anon_sym_GT,
    STATE(1098), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47121] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4967), 1,
      anon_sym_GT,
    STATE(1107), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47139] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4969), 1,
      anon_sym_RPAREN,
    STATE(1086), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47157] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4969), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47175] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4707), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47193] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4707), 1,
      anon_sym_RPAREN,
    STATE(1088), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47211] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47229] = 5,
    ACTIONS(3746), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(948), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47247] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4729), 1,
      anon_sym_RPAREN,
    STATE(1093), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47265] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4971), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47283] = 5,
    ACTIONS(3813), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(947), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47301] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4729), 1,
      anon_sym_RPAREN,
    STATE(934), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47319] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4729), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47337] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(1095), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47355] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4973), 1,
      anon_sym_GT,
    STATE(1075), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47373] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(939), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47391] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47409] = 5,
    ACTIONS(3813), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1105), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47427] = 5,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4975), 1,
      anon_sym_GT,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47445] = 5,
    ACTIONS(3730), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(1101), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47463] = 5,
    ACTIONS(3730), 1,
      anon_sym_RPAREN,
    ACTIONS(4075), 1,
      sym__newline_token,
    ACTIONS(4079), 1,
      sym__whitespace_ge_2,
    ACTIONS(4081), 1,
      aux_sym__whitespace_token1,
    STATE(945), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47481] = 2,
    ACTIONS(3443), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [47492] = 2,
    ACTIONS(3419), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [47503] = 2,
    ACTIONS(3419), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3417), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [47514] = 2,
    ACTIONS(3443), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [47525] = 2,
    ACTIONS(4979), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4977), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47535] = 2,
    ACTIONS(4983), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4981), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47545] = 2,
    ACTIONS(4987), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4985), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47555] = 2,
    ACTIONS(4991), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4989), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47565] = 2,
    ACTIONS(4995), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4993), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47575] = 2,
    ACTIONS(4999), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4997), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47584] = 2,
    ACTIONS(4069), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4067), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47593] = 2,
    ACTIONS(5003), 1,
      aux_sym__whitespace_token1,
    ACTIONS(5001), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47602] = 2,
    ACTIONS(4019), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4017), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [47611] = 3,
    ACTIONS(5005), 1,
      anon_sym_LBRACK,
    ACTIONS(5007), 1,
      anon_sym_LPAREN,
    STATE(369), 1,
      sym_link_label,
  [47621] = 3,
    ACTIONS(5009), 1,
      anon_sym_LBRACK,
    ACTIONS(5011), 1,
      anon_sym_LPAREN,
    STATE(452), 1,
      sym_link_label,
  [47631] = 3,
    ACTIONS(5013), 1,
      anon_sym_LBRACK,
    ACTIONS(5015), 1,
      anon_sym_LPAREN,
    STATE(534), 1,
      sym_link_label,
  [47641] = 3,
    ACTIONS(5017), 1,
      anon_sym_LBRACK,
    ACTIONS(5019), 1,
      anon_sym_LPAREN,
    STATE(370), 1,
      sym_link_label,
  [47651] = 3,
    ACTIONS(5021), 1,
      anon_sym_LBRACK,
    ACTIONS(5023), 1,
      anon_sym_LPAREN,
    STATE(314), 1,
      sym_link_label,
  [47661] = 3,
    ACTIONS(5025), 1,
      anon_sym_LBRACK,
    ACTIONS(5027), 1,
      anon_sym_LPAREN,
    STATE(535), 1,
      sym_link_label,
  [47671] = 3,
    ACTIONS(5029), 1,
      anon_sym_LBRACK,
    ACTIONS(5031), 1,
      anon_sym_LPAREN,
    STATE(317), 1,
      sym_link_label,
  [47681] = 3,
    ACTIONS(5033), 1,
      anon_sym_LBRACK,
    ACTIONS(5035), 1,
      anon_sym_LPAREN,
    STATE(595), 1,
      sym_link_label,
  [47691] = 3,
    ACTIONS(5037), 1,
      anon_sym_LBRACK,
    ACTIONS(5039), 1,
      anon_sym_LPAREN,
    STATE(453), 1,
      sym_link_label,
  [47701] = 3,
    ACTIONS(5041), 1,
      anon_sym_LBRACK,
    ACTIONS(5043), 1,
      anon_sym_LPAREN,
    STATE(605), 1,
      sym_link_label,
  [47711] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1002), 1,
      sym__tag_name,
  [47718] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1040), 1,
      sym__tag_name,
  [47725] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1103), 1,
      sym__tag_name,
  [47732] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1090), 1,
      sym__tag_name,
  [47739] = 2,
    ACTIONS(3290), 1,
      sym__trigger_error,
    ACTIONS(5047), 1,
      sym__last_token_whitespace,
  [47746] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1089), 1,
      sym__tag_name,
  [47753] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1006), 1,
      sym__tag_name,
  [47760] = 2,
    ACTIONS(5045), 1,
      sym__word_no_digit,
    STATE(1072), 1,
      sym__tag_name,
  [47767] = 1,
    ACTIONS(5049), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [47772] = 1,
    ACTIONS(4832), 1,
      anon_sym_GT,
  [47776] = 1,
    ACTIONS(3417), 1,
      sym__trigger_error,
  [47780] = 1,
    ACTIONS(4741), 1,
      anon_sym_GT,
  [47784] = 1,
    ACTIONS(5051), 1,
      anon_sym_GT,
  [47788] = 1,
    ACTIONS(5053), 1,
      anon_sym_GT,
  [47792] = 1,
    ACTIONS(4805), 1,
      anon_sym_GT,
  [47796] = 1,
    ACTIONS(4868), 1,
      anon_sym_GT,
  [47800] = 1,
    ACTIONS(4887), 1,
      anon_sym_GT,
  [47804] = 1,
    ACTIONS(5055), 1,
      sym__trigger_error,
  [47808] = 1,
    ACTIONS(4767), 1,
      anon_sym_GT,
  [47812] = 1,
    ACTIONS(4809), 1,
      anon_sym_GT,
  [47816] = 1,
    ACTIONS(5057), 1,
      anon_sym_GT,
  [47820] = 1,
    ACTIONS(4836), 1,
      anon_sym_GT,
  [47824] = 1,
    ACTIONS(4872), 1,
      anon_sym_GT,
  [47828] = 1,
    ACTIONS(5059), 1,
      ts_builtin_sym_end,
  [47832] = 1,
    ACTIONS(4876), 1,
      anon_sym_GT,
  [47836] = 1,
    ACTIONS(5061), 1,
      sym__trigger_error,
  [47840] = 1,
    ACTIONS(5063), 1,
      sym__trigger_error,
  [47844] = 1,
    ACTIONS(5065), 1,
      anon_sym_GT,
  [47848] = 1,
    ACTIONS(5067), 1,
      anon_sym_GT,
  [47852] = 1,
    ACTIONS(4789), 1,
      anon_sym_GT,
  [47856] = 1,
    ACTIONS(4793), 1,
      anon_sym_GT,
  [47860] = 1,
    ACTIONS(5069), 1,
      anon_sym_GT,
  [47864] = 1,
    ACTIONS(5071), 1,
      anon_sym_GT,
  [47868] = 1,
    ACTIONS(4846), 1,
      anon_sym_GT,
  [47872] = 1,
    ACTIONS(4826), 1,
      anon_sym_GT,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(180)] = 0,
  [SMALL_STATE(181)] = 97,
  [SMALL_STATE(182)] = 192,
  [SMALL_STATE(183)] = 287,
  [SMALL_STATE(184)] = 384,
  [SMALL_STATE(185)] = 464,
  [SMALL_STATE(186)] = 542,
  [SMALL_STATE(187)] = 620,
  [SMALL_STATE(188)] = 700,
  [SMALL_STATE(189)] = 778,
  [SMALL_STATE(190)] = 860,
  [SMALL_STATE(191)] = 938,
  [SMALL_STATE(192)] = 1016,
  [SMALL_STATE(193)] = 1094,
  [SMALL_STATE(194)] = 1176,
  [SMALL_STATE(195)] = 1254,
  [SMALL_STATE(196)] = 1332,
  [SMALL_STATE(197)] = 1414,
  [SMALL_STATE(198)] = 1494,
  [SMALL_STATE(199)] = 1575,
  [SMALL_STATE(200)] = 1656,
  [SMALL_STATE(201)] = 1735,
  [SMALL_STATE(202)] = 1814,
  [SMALL_STATE(203)] = 1891,
  [SMALL_STATE(204)] = 1968,
  [SMALL_STATE(205)] = 2047,
  [SMALL_STATE(206)] = 2126,
  [SMALL_STATE(207)] = 2207,
  [SMALL_STATE(208)] = 2286,
  [SMALL_STATE(209)] = 2365,
  [SMALL_STATE(210)] = 2443,
  [SMALL_STATE(211)] = 2523,
  [SMALL_STATE(212)] = 2596,
  [SMALL_STATE(213)] = 2663,
  [SMALL_STATE(214)] = 2744,
  [SMALL_STATE(215)] = 2817,
  [SMALL_STATE(216)] = 2890,
  [SMALL_STATE(217)] = 2963,
  [SMALL_STATE(218)] = 3044,
  [SMALL_STATE(219)] = 3125,
  [SMALL_STATE(220)] = 3192,
  [SMALL_STATE(221)] = 3273,
  [SMALL_STATE(222)] = 3346,
  [SMALL_STATE(223)] = 3419,
  [SMALL_STATE(224)] = 3492,
  [SMALL_STATE(225)] = 3573,
  [SMALL_STATE(226)] = 3638,
  [SMALL_STATE(227)] = 3703,
  [SMALL_STATE(228)] = 3776,
  [SMALL_STATE(229)] = 3857,
  [SMALL_STATE(230)] = 3938,
  [SMALL_STATE(231)] = 4011,
  [SMALL_STATE(232)] = 4078,
  [SMALL_STATE(233)] = 4143,
  [SMALL_STATE(234)] = 4224,
  [SMALL_STATE(235)] = 4291,
  [SMALL_STATE(236)] = 4356,
  [SMALL_STATE(237)] = 4429,
  [SMALL_STATE(238)] = 4496,
  [SMALL_STATE(239)] = 4577,
  [SMALL_STATE(240)] = 4642,
  [SMALL_STATE(241)] = 4723,
  [SMALL_STATE(242)] = 4788,
  [SMALL_STATE(243)] = 4861,
  [SMALL_STATE(244)] = 4928,
  [SMALL_STATE(245)] = 5001,
  [SMALL_STATE(246)] = 5074,
  [SMALL_STATE(247)] = 5139,
  [SMALL_STATE(248)] = 5206,
  [SMALL_STATE(249)] = 5287,
  [SMALL_STATE(250)] = 5360,
  [SMALL_STATE(251)] = 5433,
  [SMALL_STATE(252)] = 5506,
  [SMALL_STATE(253)] = 5571,
  [SMALL_STATE(254)] = 5652,
  [SMALL_STATE(255)] = 5719,
  [SMALL_STATE(256)] = 5779,
  [SMALL_STATE(257)] = 5839,
  [SMALL_STATE(258)] = 5899,
  [SMALL_STATE(259)] = 5959,
  [SMALL_STATE(260)] = 6019,
  [SMALL_STATE(261)] = 6079,
  [SMALL_STATE(262)] = 6141,
  [SMALL_STATE(263)] = 6201,
  [SMALL_STATE(264)] = 6263,
  [SMALL_STATE(265)] = 6323,
  [SMALL_STATE(266)] = 6383,
  [SMALL_STATE(267)] = 6443,
  [SMALL_STATE(268)] = 6503,
  [SMALL_STATE(269)] = 6565,
  [SMALL_STATE(270)] = 6625,
  [SMALL_STATE(271)] = 6689,
  [SMALL_STATE(272)] = 6749,
  [SMALL_STATE(273)] = 6813,
  [SMALL_STATE(274)] = 6873,
  [SMALL_STATE(275)] = 6933,
  [SMALL_STATE(276)] = 6993,
  [SMALL_STATE(277)] = 7053,
  [SMALL_STATE(278)] = 7115,
  [SMALL_STATE(279)] = 7175,
  [SMALL_STATE(280)] = 7237,
  [SMALL_STATE(281)] = 7303,
  [SMALL_STATE(282)] = 7369,
  [SMALL_STATE(283)] = 7429,
  [SMALL_STATE(284)] = 7491,
  [SMALL_STATE(285)] = 7553,
  [SMALL_STATE(286)] = 7613,
  [SMALL_STATE(287)] = 7670,
  [SMALL_STATE(288)] = 7727,
  [SMALL_STATE(289)] = 7786,
  [SMALL_STATE(290)] = 7843,
  [SMALL_STATE(291)] = 7902,
  [SMALL_STATE(292)] = 7959,
  [SMALL_STATE(293)] = 8016,
  [SMALL_STATE(294)] = 8073,
  [SMALL_STATE(295)] = 8130,
  [SMALL_STATE(296)] = 8187,
  [SMALL_STATE(297)] = 8244,
  [SMALL_STATE(298)] = 8303,
  [SMALL_STATE(299)] = 8360,
  [SMALL_STATE(300)] = 8417,
  [SMALL_STATE(301)] = 8474,
  [SMALL_STATE(302)] = 8533,
  [SMALL_STATE(303)] = 8590,
  [SMALL_STATE(304)] = 8647,
  [SMALL_STATE(305)] = 8704,
  [SMALL_STATE(306)] = 8761,
  [SMALL_STATE(307)] = 8818,
  [SMALL_STATE(308)] = 8875,
  [SMALL_STATE(309)] = 8932,
  [SMALL_STATE(310)] = 8989,
  [SMALL_STATE(311)] = 9046,
  [SMALL_STATE(312)] = 9103,
  [SMALL_STATE(313)] = 9160,
  [SMALL_STATE(314)] = 9217,
  [SMALL_STATE(315)] = 9274,
  [SMALL_STATE(316)] = 9333,
  [SMALL_STATE(317)] = 9390,
  [SMALL_STATE(318)] = 9447,
  [SMALL_STATE(319)] = 9506,
  [SMALL_STATE(320)] = 9563,
  [SMALL_STATE(321)] = 9620,
  [SMALL_STATE(322)] = 9677,
  [SMALL_STATE(323)] = 9734,
  [SMALL_STATE(324)] = 9791,
  [SMALL_STATE(325)] = 9848,
  [SMALL_STATE(326)] = 9905,
  [SMALL_STATE(327)] = 9962,
  [SMALL_STATE(328)] = 10019,
  [SMALL_STATE(329)] = 10076,
  [SMALL_STATE(330)] = 10133,
  [SMALL_STATE(331)] = 10190,
  [SMALL_STATE(332)] = 10247,
  [SMALL_STATE(333)] = 10304,
  [SMALL_STATE(334)] = 10363,
  [SMALL_STATE(335)] = 10422,
  [SMALL_STATE(336)] = 10483,
  [SMALL_STATE(337)] = 10540,
  [SMALL_STATE(338)] = 10597,
  [SMALL_STATE(339)] = 10654,
  [SMALL_STATE(340)] = 10711,
  [SMALL_STATE(341)] = 10768,
  [SMALL_STATE(342)] = 10825,
  [SMALL_STATE(343)] = 10884,
  [SMALL_STATE(344)] = 10941,
  [SMALL_STATE(345)] = 10998,
  [SMALL_STATE(346)] = 11055,
  [SMALL_STATE(347)] = 11114,
  [SMALL_STATE(348)] = 11173,
  [SMALL_STATE(349)] = 11230,
  [SMALL_STATE(350)] = 11287,
  [SMALL_STATE(351)] = 11344,
  [SMALL_STATE(352)] = 11403,
  [SMALL_STATE(353)] = 11460,
  [SMALL_STATE(354)] = 11519,
  [SMALL_STATE(355)] = 11576,
  [SMALL_STATE(356)] = 11633,
  [SMALL_STATE(357)] = 11690,
  [SMALL_STATE(358)] = 11747,
  [SMALL_STATE(359)] = 11804,
  [SMALL_STATE(360)] = 11861,
  [SMALL_STATE(361)] = 11920,
  [SMALL_STATE(362)] = 11979,
  [SMALL_STATE(363)] = 12036,
  [SMALL_STATE(364)] = 12093,
  [SMALL_STATE(365)] = 12150,
  [SMALL_STATE(366)] = 12207,
  [SMALL_STATE(367)] = 12268,
  [SMALL_STATE(368)] = 12325,
  [SMALL_STATE(369)] = 12386,
  [SMALL_STATE(370)] = 12443,
  [SMALL_STATE(371)] = 12500,
  [SMALL_STATE(372)] = 12557,
  [SMALL_STATE(373)] = 12614,
  [SMALL_STATE(374)] = 12671,
  [SMALL_STATE(375)] = 12728,
  [SMALL_STATE(376)] = 12785,
  [SMALL_STATE(377)] = 12842,
  [SMALL_STATE(378)] = 12899,
  [SMALL_STATE(379)] = 12956,
  [SMALL_STATE(380)] = 13013,
  [SMALL_STATE(381)] = 13072,
  [SMALL_STATE(382)] = 13131,
  [SMALL_STATE(383)] = 13192,
  [SMALL_STATE(384)] = 13251,
  [SMALL_STATE(385)] = 13312,
  [SMALL_STATE(386)] = 13369,
  [SMALL_STATE(387)] = 13426,
  [SMALL_STATE(388)] = 13483,
  [SMALL_STATE(389)] = 13540,
  [SMALL_STATE(390)] = 13597,
  [SMALL_STATE(391)] = 13654,
  [SMALL_STATE(392)] = 13711,
  [SMALL_STATE(393)] = 13768,
  [SMALL_STATE(394)] = 13825,
  [SMALL_STATE(395)] = 13882,
  [SMALL_STATE(396)] = 13939,
  [SMALL_STATE(397)] = 13996,
  [SMALL_STATE(398)] = 14053,
  [SMALL_STATE(399)] = 14110,
  [SMALL_STATE(400)] = 14169,
  [SMALL_STATE(401)] = 14226,
  [SMALL_STATE(402)] = 14283,
  [SMALL_STATE(403)] = 14340,
  [SMALL_STATE(404)] = 14397,
  [SMALL_STATE(405)] = 14454,
  [SMALL_STATE(406)] = 14511,
  [SMALL_STATE(407)] = 14568,
  [SMALL_STATE(408)] = 14625,
  [SMALL_STATE(409)] = 14682,
  [SMALL_STATE(410)] = 14739,
  [SMALL_STATE(411)] = 14796,
  [SMALL_STATE(412)] = 14853,
  [SMALL_STATE(413)] = 14910,
  [SMALL_STATE(414)] = 14967,
  [SMALL_STATE(415)] = 15024,
  [SMALL_STATE(416)] = 15081,
  [SMALL_STATE(417)] = 15138,
  [SMALL_STATE(418)] = 15195,
  [SMALL_STATE(419)] = 15252,
  [SMALL_STATE(420)] = 15309,
  [SMALL_STATE(421)] = 15366,
  [SMALL_STATE(422)] = 15423,
  [SMALL_STATE(423)] = 15480,
  [SMALL_STATE(424)] = 15537,
  [SMALL_STATE(425)] = 15594,
  [SMALL_STATE(426)] = 15651,
  [SMALL_STATE(427)] = 15712,
  [SMALL_STATE(428)] = 15769,
  [SMALL_STATE(429)] = 15826,
  [SMALL_STATE(430)] = 15883,
  [SMALL_STATE(431)] = 15940,
  [SMALL_STATE(432)] = 15997,
  [SMALL_STATE(433)] = 16054,
  [SMALL_STATE(434)] = 16111,
  [SMALL_STATE(435)] = 16168,
  [SMALL_STATE(436)] = 16225,
  [SMALL_STATE(437)] = 16282,
  [SMALL_STATE(438)] = 16341,
  [SMALL_STATE(439)] = 16398,
  [SMALL_STATE(440)] = 16457,
  [SMALL_STATE(441)] = 16514,
  [SMALL_STATE(442)] = 16571,
  [SMALL_STATE(443)] = 16628,
  [SMALL_STATE(444)] = 16685,
  [SMALL_STATE(445)] = 16742,
  [SMALL_STATE(446)] = 16799,
  [SMALL_STATE(447)] = 16856,
  [SMALL_STATE(448)] = 16913,
  [SMALL_STATE(449)] = 16970,
  [SMALL_STATE(450)] = 17027,
  [SMALL_STATE(451)] = 17084,
  [SMALL_STATE(452)] = 17141,
  [SMALL_STATE(453)] = 17198,
  [SMALL_STATE(454)] = 17255,
  [SMALL_STATE(455)] = 17312,
  [SMALL_STATE(456)] = 17369,
  [SMALL_STATE(457)] = 17426,
  [SMALL_STATE(458)] = 17483,
  [SMALL_STATE(459)] = 17540,
  [SMALL_STATE(460)] = 17597,
  [SMALL_STATE(461)] = 17654,
  [SMALL_STATE(462)] = 17711,
  [SMALL_STATE(463)] = 17768,
  [SMALL_STATE(464)] = 17825,
  [SMALL_STATE(465)] = 17882,
  [SMALL_STATE(466)] = 17939,
  [SMALL_STATE(467)] = 17996,
  [SMALL_STATE(468)] = 18053,
  [SMALL_STATE(469)] = 18110,
  [SMALL_STATE(470)] = 18167,
  [SMALL_STATE(471)] = 18224,
  [SMALL_STATE(472)] = 18281,
  [SMALL_STATE(473)] = 18338,
  [SMALL_STATE(474)] = 18395,
  [SMALL_STATE(475)] = 18452,
  [SMALL_STATE(476)] = 18509,
  [SMALL_STATE(477)] = 18566,
  [SMALL_STATE(478)] = 18623,
  [SMALL_STATE(479)] = 18680,
  [SMALL_STATE(480)] = 18737,
  [SMALL_STATE(481)] = 18794,
  [SMALL_STATE(482)] = 18851,
  [SMALL_STATE(483)] = 18908,
  [SMALL_STATE(484)] = 18965,
  [SMALL_STATE(485)] = 19022,
  [SMALL_STATE(486)] = 19079,
  [SMALL_STATE(487)] = 19136,
  [SMALL_STATE(488)] = 19193,
  [SMALL_STATE(489)] = 19250,
  [SMALL_STATE(490)] = 19307,
  [SMALL_STATE(491)] = 19364,
  [SMALL_STATE(492)] = 19421,
  [SMALL_STATE(493)] = 19478,
  [SMALL_STATE(494)] = 19535,
  [SMALL_STATE(495)] = 19592,
  [SMALL_STATE(496)] = 19649,
  [SMALL_STATE(497)] = 19706,
  [SMALL_STATE(498)] = 19763,
  [SMALL_STATE(499)] = 19820,
  [SMALL_STATE(500)] = 19877,
  [SMALL_STATE(501)] = 19934,
  [SMALL_STATE(502)] = 19991,
  [SMALL_STATE(503)] = 20048,
  [SMALL_STATE(504)] = 20105,
  [SMALL_STATE(505)] = 20162,
  [SMALL_STATE(506)] = 20219,
  [SMALL_STATE(507)] = 20276,
  [SMALL_STATE(508)] = 20333,
  [SMALL_STATE(509)] = 20390,
  [SMALL_STATE(510)] = 20447,
  [SMALL_STATE(511)] = 20504,
  [SMALL_STATE(512)] = 20561,
  [SMALL_STATE(513)] = 20618,
  [SMALL_STATE(514)] = 20675,
  [SMALL_STATE(515)] = 20732,
  [SMALL_STATE(516)] = 20789,
  [SMALL_STATE(517)] = 20846,
  [SMALL_STATE(518)] = 20903,
  [SMALL_STATE(519)] = 20960,
  [SMALL_STATE(520)] = 21019,
  [SMALL_STATE(521)] = 21076,
  [SMALL_STATE(522)] = 21135,
  [SMALL_STATE(523)] = 21192,
  [SMALL_STATE(524)] = 21249,
  [SMALL_STATE(525)] = 21306,
  [SMALL_STATE(526)] = 21363,
  [SMALL_STATE(527)] = 21420,
  [SMALL_STATE(528)] = 21477,
  [SMALL_STATE(529)] = 21534,
  [SMALL_STATE(530)] = 21591,
  [SMALL_STATE(531)] = 21648,
  [SMALL_STATE(532)] = 21705,
  [SMALL_STATE(533)] = 21762,
  [SMALL_STATE(534)] = 21819,
  [SMALL_STATE(535)] = 21876,
  [SMALL_STATE(536)] = 21933,
  [SMALL_STATE(537)] = 21990,
  [SMALL_STATE(538)] = 22047,
  [SMALL_STATE(539)] = 22104,
  [SMALL_STATE(540)] = 22161,
  [SMALL_STATE(541)] = 22218,
  [SMALL_STATE(542)] = 22275,
  [SMALL_STATE(543)] = 22332,
  [SMALL_STATE(544)] = 22389,
  [SMALL_STATE(545)] = 22445,
  [SMALL_STATE(546)] = 22501,
  [SMALL_STATE(547)] = 22557,
  [SMALL_STATE(548)] = 22613,
  [SMALL_STATE(549)] = 22669,
  [SMALL_STATE(550)] = 22725,
  [SMALL_STATE(551)] = 22785,
  [SMALL_STATE(552)] = 22843,
  [SMALL_STATE(553)] = 22903,
  [SMALL_STATE(554)] = 22959,
  [SMALL_STATE(555)] = 23015,
  [SMALL_STATE(556)] = 23071,
  [SMALL_STATE(557)] = 23127,
  [SMALL_STATE(558)] = 23183,
  [SMALL_STATE(559)] = 23239,
  [SMALL_STATE(560)] = 23295,
  [SMALL_STATE(561)] = 23351,
  [SMALL_STATE(562)] = 23407,
  [SMALL_STATE(563)] = 23463,
  [SMALL_STATE(564)] = 23519,
  [SMALL_STATE(565)] = 23575,
  [SMALL_STATE(566)] = 23631,
  [SMALL_STATE(567)] = 23687,
  [SMALL_STATE(568)] = 23743,
  [SMALL_STATE(569)] = 23799,
  [SMALL_STATE(570)] = 23855,
  [SMALL_STATE(571)] = 23911,
  [SMALL_STATE(572)] = 23967,
  [SMALL_STATE(573)] = 24023,
  [SMALL_STATE(574)] = 24079,
  [SMALL_STATE(575)] = 24135,
  [SMALL_STATE(576)] = 24191,
  [SMALL_STATE(577)] = 24247,
  [SMALL_STATE(578)] = 24307,
  [SMALL_STATE(579)] = 24363,
  [SMALL_STATE(580)] = 24419,
  [SMALL_STATE(581)] = 24475,
  [SMALL_STATE(582)] = 24531,
  [SMALL_STATE(583)] = 24587,
  [SMALL_STATE(584)] = 24643,
  [SMALL_STATE(585)] = 24699,
  [SMALL_STATE(586)] = 24755,
  [SMALL_STATE(587)] = 24811,
  [SMALL_STATE(588)] = 24867,
  [SMALL_STATE(589)] = 24923,
  [SMALL_STATE(590)] = 24979,
  [SMALL_STATE(591)] = 25035,
  [SMALL_STATE(592)] = 25091,
  [SMALL_STATE(593)] = 25147,
  [SMALL_STATE(594)] = 25203,
  [SMALL_STATE(595)] = 25259,
  [SMALL_STATE(596)] = 25315,
  [SMALL_STATE(597)] = 25371,
  [SMALL_STATE(598)] = 25427,
  [SMALL_STATE(599)] = 25483,
  [SMALL_STATE(600)] = 25539,
  [SMALL_STATE(601)] = 25597,
  [SMALL_STATE(602)] = 25653,
  [SMALL_STATE(603)] = 25713,
  [SMALL_STATE(604)] = 25769,
  [SMALL_STATE(605)] = 25825,
  [SMALL_STATE(606)] = 25881,
  [SMALL_STATE(607)] = 25937,
  [SMALL_STATE(608)] = 25993,
  [SMALL_STATE(609)] = 26048,
  [SMALL_STATE(610)] = 26103,
  [SMALL_STATE(611)] = 26158,
  [SMALL_STATE(612)] = 26213,
  [SMALL_STATE(613)] = 26268,
  [SMALL_STATE(614)] = 26325,
  [SMALL_STATE(615)] = 26380,
  [SMALL_STATE(616)] = 26435,
  [SMALL_STATE(617)] = 26490,
  [SMALL_STATE(618)] = 26545,
  [SMALL_STATE(619)] = 26602,
  [SMALL_STATE(620)] = 26659,
  [SMALL_STATE(621)] = 26714,
  [SMALL_STATE(622)] = 26771,
  [SMALL_STATE(623)] = 26828,
  [SMALL_STATE(624)] = 26883,
  [SMALL_STATE(625)] = 26938,
  [SMALL_STATE(626)] = 26993,
  [SMALL_STATE(627)] = 27048,
  [SMALL_STATE(628)] = 27103,
  [SMALL_STATE(629)] = 27158,
  [SMALL_STATE(630)] = 27213,
  [SMALL_STATE(631)] = 27270,
  [SMALL_STATE(632)] = 27327,
  [SMALL_STATE(633)] = 27382,
  [SMALL_STATE(634)] = 27437,
  [SMALL_STATE(635)] = 27492,
  [SMALL_STATE(636)] = 27547,
  [SMALL_STATE(637)] = 27602,
  [SMALL_STATE(638)] = 27657,
  [SMALL_STATE(639)] = 27712,
  [SMALL_STATE(640)] = 27769,
  [SMALL_STATE(641)] = 27824,
  [SMALL_STATE(642)] = 27879,
  [SMALL_STATE(643)] = 27934,
  [SMALL_STATE(644)] = 27989,
  [SMALL_STATE(645)] = 28044,
  [SMALL_STATE(646)] = 28099,
  [SMALL_STATE(647)] = 28154,
  [SMALL_STATE(648)] = 28209,
  [SMALL_STATE(649)] = 28264,
  [SMALL_STATE(650)] = 28319,
  [SMALL_STATE(651)] = 28374,
  [SMALL_STATE(652)] = 28429,
  [SMALL_STATE(653)] = 28484,
  [SMALL_STATE(654)] = 28565,
  [SMALL_STATE(655)] = 28620,
  [SMALL_STATE(656)] = 28701,
  [SMALL_STATE(657)] = 28782,
  [SMALL_STATE(658)] = 28863,
  [SMALL_STATE(659)] = 28944,
  [SMALL_STATE(660)] = 29025,
  [SMALL_STATE(661)] = 29106,
  [SMALL_STATE(662)] = 29187,
  [SMALL_STATE(663)] = 29268,
  [SMALL_STATE(664)] = 29347,
  [SMALL_STATE(665)] = 29428,
  [SMALL_STATE(666)] = 29507,
  [SMALL_STATE(667)] = 29588,
  [SMALL_STATE(668)] = 29669,
  [SMALL_STATE(669)] = 29750,
  [SMALL_STATE(670)] = 29831,
  [SMALL_STATE(671)] = 29912,
  [SMALL_STATE(672)] = 29993,
  [SMALL_STATE(673)] = 30074,
  [SMALL_STATE(674)] = 30129,
  [SMALL_STATE(675)] = 30184,
  [SMALL_STATE(676)] = 30265,
  [SMALL_STATE(677)] = 30346,
  [SMALL_STATE(678)] = 30427,
  [SMALL_STATE(679)] = 30479,
  [SMALL_STATE(680)] = 30531,
  [SMALL_STATE(681)] = 30605,
  [SMALL_STATE(682)] = 30671,
  [SMALL_STATE(683)] = 30737,
  [SMALL_STATE(684)] = 30803,
  [SMALL_STATE(685)] = 30869,
  [SMALL_STATE(686)] = 30921,
  [SMALL_STATE(687)] = 30973,
  [SMALL_STATE(688)] = 31040,
  [SMALL_STATE(689)] = 31107,
  [SMALL_STATE(690)] = 31173,
  [SMALL_STATE(691)] = 31239,
  [SMALL_STATE(692)] = 31305,
  [SMALL_STATE(693)] = 31371,
  [SMALL_STATE(694)] = 31437,
  [SMALL_STATE(695)] = 31503,
  [SMALL_STATE(696)] = 31569,
  [SMALL_STATE(697)] = 31635,
  [SMALL_STATE(698)] = 31699,
  [SMALL_STATE(699)] = 31756,
  [SMALL_STATE(700)] = 31813,
  [SMALL_STATE(701)] = 31874,
  [SMALL_STATE(702)] = 31931,
  [SMALL_STATE(703)] = 31996,
  [SMALL_STATE(704)] = 32057,
  [SMALL_STATE(705)] = 32122,
  [SMALL_STATE(706)] = 32183,
  [SMALL_STATE(707)] = 32244,
  [SMALL_STATE(708)] = 32309,
  [SMALL_STATE(709)] = 32366,
  [SMALL_STATE(710)] = 32427,
  [SMALL_STATE(711)] = 32477,
  [SMALL_STATE(712)] = 32539,
  [SMALL_STATE(713)] = 32601,
  [SMALL_STATE(714)] = 32663,
  [SMALL_STATE(715)] = 32723,
  [SMALL_STATE(716)] = 32785,
  [SMALL_STATE(717)] = 32847,
  [SMALL_STATE(718)] = 32909,
  [SMALL_STATE(719)] = 32971,
  [SMALL_STATE(720)] = 33033,
  [SMALL_STATE(721)] = 33083,
  [SMALL_STATE(722)] = 33143,
  [SMALL_STATE(723)] = 33205,
  [SMALL_STATE(724)] = 33267,
  [SMALL_STATE(725)] = 33329,
  [SMALL_STATE(726)] = 33391,
  [SMALL_STATE(727)] = 33451,
  [SMALL_STATE(728)] = 33501,
  [SMALL_STATE(729)] = 33551,
  [SMALL_STATE(730)] = 33607,
  [SMALL_STATE(731)] = 33657,
  [SMALL_STATE(732)] = 33707,
  [SMALL_STATE(733)] = 33769,
  [SMALL_STATE(734)] = 33831,
  [SMALL_STATE(735)] = 33890,
  [SMALL_STATE(736)] = 33949,
  [SMALL_STATE(737)] = 34008,
  [SMALL_STATE(738)] = 34067,
  [SMALL_STATE(739)] = 34114,
  [SMALL_STATE(740)] = 34173,
  [SMALL_STATE(741)] = 34220,
  [SMALL_STATE(742)] = 34267,
  [SMALL_STATE(743)] = 34326,
  [SMALL_STATE(744)] = 34373,
  [SMALL_STATE(745)] = 34420,
  [SMALL_STATE(746)] = 34467,
  [SMALL_STATE(747)] = 34526,
  [SMALL_STATE(748)] = 34585,
  [SMALL_STATE(749)] = 34632,
  [SMALL_STATE(750)] = 34679,
  [SMALL_STATE(751)] = 34738,
  [SMALL_STATE(752)] = 34785,
  [SMALL_STATE(753)] = 34844,
  [SMALL_STATE(754)] = 34891,
  [SMALL_STATE(755)] = 34950,
  [SMALL_STATE(756)] = 35009,
  [SMALL_STATE(757)] = 35068,
  [SMALL_STATE(758)] = 35127,
  [SMALL_STATE(759)] = 35174,
  [SMALL_STATE(760)] = 35233,
  [SMALL_STATE(761)] = 35280,
  [SMALL_STATE(762)] = 35339,
  [SMALL_STATE(763)] = 35398,
  [SMALL_STATE(764)] = 35457,
  [SMALL_STATE(765)] = 35516,
  [SMALL_STATE(766)] = 35575,
  [SMALL_STATE(767)] = 35622,
  [SMALL_STATE(768)] = 35681,
  [SMALL_STATE(769)] = 35740,
  [SMALL_STATE(770)] = 35799,
  [SMALL_STATE(771)] = 35846,
  [SMALL_STATE(772)] = 35905,
  [SMALL_STATE(773)] = 35952,
  [SMALL_STATE(774)] = 35999,
  [SMALL_STATE(775)] = 36058,
  [SMALL_STATE(776)] = 36105,
  [SMALL_STATE(777)] = 36152,
  [SMALL_STATE(778)] = 36211,
  [SMALL_STATE(779)] = 36270,
  [SMALL_STATE(780)] = 36317,
  [SMALL_STATE(781)] = 36364,
  [SMALL_STATE(782)] = 36423,
  [SMALL_STATE(783)] = 36482,
  [SMALL_STATE(784)] = 36529,
  [SMALL_STATE(785)] = 36588,
  [SMALL_STATE(786)] = 36647,
  [SMALL_STATE(787)] = 36706,
  [SMALL_STATE(788)] = 36765,
  [SMALL_STATE(789)] = 36824,
  [SMALL_STATE(790)] = 36871,
  [SMALL_STATE(791)] = 36918,
  [SMALL_STATE(792)] = 36965,
  [SMALL_STATE(793)] = 37012,
  [SMALL_STATE(794)] = 37071,
  [SMALL_STATE(795)] = 37130,
  [SMALL_STATE(796)] = 37189,
  [SMALL_STATE(797)] = 37248,
  [SMALL_STATE(798)] = 37307,
  [SMALL_STATE(799)] = 37366,
  [SMALL_STATE(800)] = 37425,
  [SMALL_STATE(801)] = 37484,
  [SMALL_STATE(802)] = 37543,
  [SMALL_STATE(803)] = 37590,
  [SMALL_STATE(804)] = 37649,
  [SMALL_STATE(805)] = 37708,
  [SMALL_STATE(806)] = 37755,
  [SMALL_STATE(807)] = 37802,
  [SMALL_STATE(808)] = 37849,
  [SMALL_STATE(809)] = 37896,
  [SMALL_STATE(810)] = 37943,
  [SMALL_STATE(811)] = 38002,
  [SMALL_STATE(812)] = 38061,
  [SMALL_STATE(813)] = 38120,
  [SMALL_STATE(814)] = 38167,
  [SMALL_STATE(815)] = 38226,
  [SMALL_STATE(816)] = 38273,
  [SMALL_STATE(817)] = 38320,
  [SMALL_STATE(818)] = 38367,
  [SMALL_STATE(819)] = 38426,
  [SMALL_STATE(820)] = 38473,
  [SMALL_STATE(821)] = 38520,
  [SMALL_STATE(822)] = 38567,
  [SMALL_STATE(823)] = 38626,
  [SMALL_STATE(824)] = 38685,
  [SMALL_STATE(825)] = 38744,
  [SMALL_STATE(826)] = 38791,
  [SMALL_STATE(827)] = 38838,
  [SMALL_STATE(828)] = 38897,
  [SMALL_STATE(829)] = 38956,
  [SMALL_STATE(830)] = 39015,
  [SMALL_STATE(831)] = 39074,
  [SMALL_STATE(832)] = 39121,
  [SMALL_STATE(833)] = 39180,
  [SMALL_STATE(834)] = 39239,
  [SMALL_STATE(835)] = 39286,
  [SMALL_STATE(836)] = 39342,
  [SMALL_STATE(837)] = 39398,
  [SMALL_STATE(838)] = 39454,
  [SMALL_STATE(839)] = 39510,
  [SMALL_STATE(840)] = 39566,
  [SMALL_STATE(841)] = 39622,
  [SMALL_STATE(842)] = 39678,
  [SMALL_STATE(843)] = 39734,
  [SMALL_STATE(844)] = 39786,
  [SMALL_STATE(845)] = 39834,
  [SMALL_STATE(846)] = 39888,
  [SMALL_STATE(847)] = 39936,
  [SMALL_STATE(848)] = 39992,
  [SMALL_STATE(849)] = 40040,
  [SMALL_STATE(850)] = 40088,
  [SMALL_STATE(851)] = 40144,
  [SMALL_STATE(852)] = 40200,
  [SMALL_STATE(853)] = 40256,
  [SMALL_STATE(854)] = 40312,
  [SMALL_STATE(855)] = 40362,
  [SMALL_STATE(856)] = 40412,
  [SMALL_STATE(857)] = 40468,
  [SMALL_STATE(858)] = 40516,
  [SMALL_STATE(859)] = 40572,
  [SMALL_STATE(860)] = 40628,
  [SMALL_STATE(861)] = 40684,
  [SMALL_STATE(862)] = 40740,
  [SMALL_STATE(863)] = 40796,
  [SMALL_STATE(864)] = 40852,
  [SMALL_STATE(865)] = 40908,
  [SMALL_STATE(866)] = 40964,
  [SMALL_STATE(867)] = 41012,
  [SMALL_STATE(868)] = 41068,
  [SMALL_STATE(869)] = 41116,
  [SMALL_STATE(870)] = 41161,
  [SMALL_STATE(871)] = 41206,
  [SMALL_STATE(872)] = 41251,
  [SMALL_STATE(873)] = 41296,
  [SMALL_STATE(874)] = 41343,
  [SMALL_STATE(875)] = 41394,
  [SMALL_STATE(876)] = 41439,
  [SMALL_STATE(877)] = 41484,
  [SMALL_STATE(878)] = 41529,
  [SMALL_STATE(879)] = 41574,
  [SMALL_STATE(880)] = 41619,
  [SMALL_STATE(881)] = 41664,
  [SMALL_STATE(882)] = 41709,
  [SMALL_STATE(883)] = 41758,
  [SMALL_STATE(884)] = 41803,
  [SMALL_STATE(885)] = 41852,
  [SMALL_STATE(886)] = 41897,
  [SMALL_STATE(887)] = 41948,
  [SMALL_STATE(888)] = 41993,
  [SMALL_STATE(889)] = 42039,
  [SMALL_STATE(890)] = 42085,
  [SMALL_STATE(891)] = 42131,
  [SMALL_STATE(892)] = 42175,
  [SMALL_STATE(893)] = 42221,
  [SMALL_STATE(894)] = 42267,
  [SMALL_STATE(895)] = 42311,
  [SMALL_STATE(896)] = 42357,
  [SMALL_STATE(897)] = 42403,
  [SMALL_STATE(898)] = 42449,
  [SMALL_STATE(899)] = 42495,
  [SMALL_STATE(900)] = 42541,
  [SMALL_STATE(901)] = 42587,
  [SMALL_STATE(902)] = 42639,
  [SMALL_STATE(903)] = 42684,
  [SMALL_STATE(904)] = 42727,
  [SMALL_STATE(905)] = 42770,
  [SMALL_STATE(906)] = 42813,
  [SMALL_STATE(907)] = 42856,
  [SMALL_STATE(908)] = 42899,
  [SMALL_STATE(909)] = 42944,
  [SMALL_STATE(910)] = 42987,
  [SMALL_STATE(911)] = 43030,
  [SMALL_STATE(912)] = 43075,
  [SMALL_STATE(913)] = 43118,
  [SMALL_STATE(914)] = 43163,
  [SMALL_STATE(915)] = 43206,
  [SMALL_STATE(916)] = 43249,
  [SMALL_STATE(917)] = 43292,
  [SMALL_STATE(918)] = 43337,
  [SMALL_STATE(919)] = 43379,
  [SMALL_STATE(920)] = 43421,
  [SMALL_STATE(921)] = 43463,
  [SMALL_STATE(922)] = 43505,
  [SMALL_STATE(923)] = 43547,
  [SMALL_STATE(924)] = 43581,
  [SMALL_STATE(925)] = 43615,
  [SMALL_STATE(926)] = 43649,
  [SMALL_STATE(927)] = 43683,
  [SMALL_STATE(928)] = 43717,
  [SMALL_STATE(929)] = 43751,
  [SMALL_STATE(930)] = 43785,
  [SMALL_STATE(931)] = 43808,
  [SMALL_STATE(932)] = 43838,
  [SMALL_STATE(933)] = 43868,
  [SMALL_STATE(934)] = 43898,
  [SMALL_STATE(935)] = 43928,
  [SMALL_STATE(936)] = 43958,
  [SMALL_STATE(937)] = 43988,
  [SMALL_STATE(938)] = 44018,
  [SMALL_STATE(939)] = 44048,
  [SMALL_STATE(940)] = 44078,
  [SMALL_STATE(941)] = 44108,
  [SMALL_STATE(942)] = 44138,
  [SMALL_STATE(943)] = 44168,
  [SMALL_STATE(944)] = 44198,
  [SMALL_STATE(945)] = 44228,
  [SMALL_STATE(946)] = 44258,
  [SMALL_STATE(947)] = 44288,
  [SMALL_STATE(948)] = 44318,
  [SMALL_STATE(949)] = 44348,
  [SMALL_STATE(950)] = 44378,
  [SMALL_STATE(951)] = 44408,
  [SMALL_STATE(952)] = 44433,
  [SMALL_STATE(953)] = 44460,
  [SMALL_STATE(954)] = 44485,
  [SMALL_STATE(955)] = 44510,
  [SMALL_STATE(956)] = 44535,
  [SMALL_STATE(957)] = 44560,
  [SMALL_STATE(958)] = 44585,
  [SMALL_STATE(959)] = 44610,
  [SMALL_STATE(960)] = 44637,
  [SMALL_STATE(961)] = 44664,
  [SMALL_STATE(962)] = 44689,
  [SMALL_STATE(963)] = 44714,
  [SMALL_STATE(964)] = 44739,
  [SMALL_STATE(965)] = 44764,
  [SMALL_STATE(966)] = 44789,
  [SMALL_STATE(967)] = 44814,
  [SMALL_STATE(968)] = 44837,
  [SMALL_STATE(969)] = 44864,
  [SMALL_STATE(970)] = 44889,
  [SMALL_STATE(971)] = 44913,
  [SMALL_STATE(972)] = 44937,
  [SMALL_STATE(973)] = 44961,
  [SMALL_STATE(974)] = 44985,
  [SMALL_STATE(975)] = 45009,
  [SMALL_STATE(976)] = 45027,
  [SMALL_STATE(977)] = 45051,
  [SMALL_STATE(978)] = 45071,
  [SMALL_STATE(979)] = 45091,
  [SMALL_STATE(980)] = 45115,
  [SMALL_STATE(981)] = 45139,
  [SMALL_STATE(982)] = 45163,
  [SMALL_STATE(983)] = 45187,
  [SMALL_STATE(984)] = 45211,
  [SMALL_STATE(985)] = 45235,
  [SMALL_STATE(986)] = 45253,
  [SMALL_STATE(987)] = 45277,
  [SMALL_STATE(988)] = 45301,
  [SMALL_STATE(989)] = 45319,
  [SMALL_STATE(990)] = 45337,
  [SMALL_STATE(991)] = 45355,
  [SMALL_STATE(992)] = 45373,
  [SMALL_STATE(993)] = 45391,
  [SMALL_STATE(994)] = 45409,
  [SMALL_STATE(995)] = 45427,
  [SMALL_STATE(996)] = 45445,
  [SMALL_STATE(997)] = 45463,
  [SMALL_STATE(998)] = 45481,
  [SMALL_STATE(999)] = 45499,
  [SMALL_STATE(1000)] = 45517,
  [SMALL_STATE(1001)] = 45535,
  [SMALL_STATE(1002)] = 45553,
  [SMALL_STATE(1003)] = 45571,
  [SMALL_STATE(1004)] = 45589,
  [SMALL_STATE(1005)] = 45607,
  [SMALL_STATE(1006)] = 45625,
  [SMALL_STATE(1007)] = 45643,
  [SMALL_STATE(1008)] = 45661,
  [SMALL_STATE(1009)] = 45679,
  [SMALL_STATE(1010)] = 45697,
  [SMALL_STATE(1011)] = 45715,
  [SMALL_STATE(1012)] = 45733,
  [SMALL_STATE(1013)] = 45751,
  [SMALL_STATE(1014)] = 45769,
  [SMALL_STATE(1015)] = 45787,
  [SMALL_STATE(1016)] = 45805,
  [SMALL_STATE(1017)] = 45823,
  [SMALL_STATE(1018)] = 45841,
  [SMALL_STATE(1019)] = 45859,
  [SMALL_STATE(1020)] = 45877,
  [SMALL_STATE(1021)] = 45895,
  [SMALL_STATE(1022)] = 45913,
  [SMALL_STATE(1023)] = 45931,
  [SMALL_STATE(1024)] = 45949,
  [SMALL_STATE(1025)] = 45967,
  [SMALL_STATE(1026)] = 45985,
  [SMALL_STATE(1027)] = 46003,
  [SMALL_STATE(1028)] = 46021,
  [SMALL_STATE(1029)] = 46039,
  [SMALL_STATE(1030)] = 46057,
  [SMALL_STATE(1031)] = 46075,
  [SMALL_STATE(1032)] = 46093,
  [SMALL_STATE(1033)] = 46111,
  [SMALL_STATE(1034)] = 46129,
  [SMALL_STATE(1035)] = 46147,
  [SMALL_STATE(1036)] = 46165,
  [SMALL_STATE(1037)] = 46183,
  [SMALL_STATE(1038)] = 46201,
  [SMALL_STATE(1039)] = 46219,
  [SMALL_STATE(1040)] = 46237,
  [SMALL_STATE(1041)] = 46255,
  [SMALL_STATE(1042)] = 46273,
  [SMALL_STATE(1043)] = 46291,
  [SMALL_STATE(1044)] = 46309,
  [SMALL_STATE(1045)] = 46327,
  [SMALL_STATE(1046)] = 46345,
  [SMALL_STATE(1047)] = 46363,
  [SMALL_STATE(1048)] = 46381,
  [SMALL_STATE(1049)] = 46399,
  [SMALL_STATE(1050)] = 46417,
  [SMALL_STATE(1051)] = 46435,
  [SMALL_STATE(1052)] = 46453,
  [SMALL_STATE(1053)] = 46471,
  [SMALL_STATE(1054)] = 46489,
  [SMALL_STATE(1055)] = 46507,
  [SMALL_STATE(1056)] = 46521,
  [SMALL_STATE(1057)] = 46539,
  [SMALL_STATE(1058)] = 46553,
  [SMALL_STATE(1059)] = 46571,
  [SMALL_STATE(1060)] = 46589,
  [SMALL_STATE(1061)] = 46607,
  [SMALL_STATE(1062)] = 46625,
  [SMALL_STATE(1063)] = 46643,
  [SMALL_STATE(1064)] = 46661,
  [SMALL_STATE(1065)] = 46679,
  [SMALL_STATE(1066)] = 46697,
  [SMALL_STATE(1067)] = 46715,
  [SMALL_STATE(1068)] = 46733,
  [SMALL_STATE(1069)] = 46751,
  [SMALL_STATE(1070)] = 46765,
  [SMALL_STATE(1071)] = 46779,
  [SMALL_STATE(1072)] = 46797,
  [SMALL_STATE(1073)] = 46815,
  [SMALL_STATE(1074)] = 46833,
  [SMALL_STATE(1075)] = 46851,
  [SMALL_STATE(1076)] = 46869,
  [SMALL_STATE(1077)] = 46887,
  [SMALL_STATE(1078)] = 46905,
  [SMALL_STATE(1079)] = 46923,
  [SMALL_STATE(1080)] = 46941,
  [SMALL_STATE(1081)] = 46959,
  [SMALL_STATE(1082)] = 46977,
  [SMALL_STATE(1083)] = 46995,
  [SMALL_STATE(1084)] = 47013,
  [SMALL_STATE(1085)] = 47031,
  [SMALL_STATE(1086)] = 47049,
  [SMALL_STATE(1087)] = 47067,
  [SMALL_STATE(1088)] = 47085,
  [SMALL_STATE(1089)] = 47103,
  [SMALL_STATE(1090)] = 47121,
  [SMALL_STATE(1091)] = 47139,
  [SMALL_STATE(1092)] = 47157,
  [SMALL_STATE(1093)] = 47175,
  [SMALL_STATE(1094)] = 47193,
  [SMALL_STATE(1095)] = 47211,
  [SMALL_STATE(1096)] = 47229,
  [SMALL_STATE(1097)] = 47247,
  [SMALL_STATE(1098)] = 47265,
  [SMALL_STATE(1099)] = 47283,
  [SMALL_STATE(1100)] = 47301,
  [SMALL_STATE(1101)] = 47319,
  [SMALL_STATE(1102)] = 47337,
  [SMALL_STATE(1103)] = 47355,
  [SMALL_STATE(1104)] = 47373,
  [SMALL_STATE(1105)] = 47391,
  [SMALL_STATE(1106)] = 47409,
  [SMALL_STATE(1107)] = 47427,
  [SMALL_STATE(1108)] = 47445,
  [SMALL_STATE(1109)] = 47463,
  [SMALL_STATE(1110)] = 47481,
  [SMALL_STATE(1111)] = 47492,
  [SMALL_STATE(1112)] = 47503,
  [SMALL_STATE(1113)] = 47514,
  [SMALL_STATE(1114)] = 47525,
  [SMALL_STATE(1115)] = 47535,
  [SMALL_STATE(1116)] = 47545,
  [SMALL_STATE(1117)] = 47555,
  [SMALL_STATE(1118)] = 47565,
  [SMALL_STATE(1119)] = 47575,
  [SMALL_STATE(1120)] = 47584,
  [SMALL_STATE(1121)] = 47593,
  [SMALL_STATE(1122)] = 47602,
  [SMALL_STATE(1123)] = 47611,
  [SMALL_STATE(1124)] = 47621,
  [SMALL_STATE(1125)] = 47631,
  [SMALL_STATE(1126)] = 47641,
  [SMALL_STATE(1127)] = 47651,
  [SMALL_STATE(1128)] = 47661,
  [SMALL_STATE(1129)] = 47671,
  [SMALL_STATE(1130)] = 47681,
  [SMALL_STATE(1131)] = 47691,
  [SMALL_STATE(1132)] = 47701,
  [SMALL_STATE(1133)] = 47711,
  [SMALL_STATE(1134)] = 47718,
  [SMALL_STATE(1135)] = 47725,
  [SMALL_STATE(1136)] = 47732,
  [SMALL_STATE(1137)] = 47739,
  [SMALL_STATE(1138)] = 47746,
  [SMALL_STATE(1139)] = 47753,
  [SMALL_STATE(1140)] = 47760,
  [SMALL_STATE(1141)] = 47767,
  [SMALL_STATE(1142)] = 47772,
  [SMALL_STATE(1143)] = 47776,
  [SMALL_STATE(1144)] = 47780,
  [SMALL_STATE(1145)] = 47784,
  [SMALL_STATE(1146)] = 47788,
  [SMALL_STATE(1147)] = 47792,
  [SMALL_STATE(1148)] = 47796,
  [SMALL_STATE(1149)] = 47800,
  [SMALL_STATE(1150)] = 47804,
  [SMALL_STATE(1151)] = 47808,
  [SMALL_STATE(1152)] = 47812,
  [SMALL_STATE(1153)] = 47816,
  [SMALL_STATE(1154)] = 47820,
  [SMALL_STATE(1155)] = 47824,
  [SMALL_STATE(1156)] = 47828,
  [SMALL_STATE(1157)] = 47832,
  [SMALL_STATE(1158)] = 47836,
  [SMALL_STATE(1159)] = 47840,
  [SMALL_STATE(1160)] = 47844,
  [SMALL_STATE(1161)] = 47848,
  [SMALL_STATE(1162)] = 47852,
  [SMALL_STATE(1163)] = 47856,
  [SMALL_STATE(1164)] = 47860,
  [SMALL_STATE(1165)] = 47864,
  [SMALL_STATE(1166)] = 47868,
  [SMALL_STATE(1167)] = 47872,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [47] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(507),
  [50] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(153),
  [53] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(88),
  [56] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(259),
  [59] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(237),
  [62] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(267),
  [65] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(261),
  [68] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(267),
  [71] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(246),
  [74] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(271),
  [77] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(201),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(192),
  [83] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(231),
  [86] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(185),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(241),
  [92] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(274),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(179),
  [98] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(5),
  [101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(8),
  [104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(43),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(171),
  [114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1),
  [116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(341),
  [119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(152),
  [122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(86),
  [125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(276),
  [128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(234),
  [131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(269),
  [134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(263),
  [137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(269),
  [140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(226),
  [143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(266),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(200),
  [149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(191),
  [152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(254),
  [155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(188),
  [158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(225),
  [161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(260),
  [164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(173),
  [167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(36),
  [170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(10),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(9),
  [178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(174),
  [181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(425),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(155),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(89),
  [190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(275),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(247),
  [196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(262),
  [199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(268),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(262),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(235),
  [208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(258),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(204),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(195),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(243),
  [220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(194),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(252),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(264),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(170),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(7),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(46),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(2),
  [243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(168),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(341),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(152),
  [252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(86),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(276),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(234),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(269),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(263),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(269),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(226),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(266),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(200),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(191),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(254),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(188),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(225),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(260),
  [294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(173),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(36),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(10),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(9),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1),
  [310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(174),
  [313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(507),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(153),
  [319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(88),
  [322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(259),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(237),
  [328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(267),
  [331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(261),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(267),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(246),
  [340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(271),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(201),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(192),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(231),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(185),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(241),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(274),
  [361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(179),
  [364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(5),
  [367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(8),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(43),
  [375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(171),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(341),
  [381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(152),
  [384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(86),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(276),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(234),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(269),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(263),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(269),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(226),
  [405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(266),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(200),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(191),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(254),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(188),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(225),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(260),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(173),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(36),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(10),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(9),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(174),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(425),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(155),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(89),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(275),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(247),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(262),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(268),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(262),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(235),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(258),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(204),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(195),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(243),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(194),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(252),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(264),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(170),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(7),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(46),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(2),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(168),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(507),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(153),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(88),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(259),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(237),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(267),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(261),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(267),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(246),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(271),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(201),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(192),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(231),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(185),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(241),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(274),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(179),
  [559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(5),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(8),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(43),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(171),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(425),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(155),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(89),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(275),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(247),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(262),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(268),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(262),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(235),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(258),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(204),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(195),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(243),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(194),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(252),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(264),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(170),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(7),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(46),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(2),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(168),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(425),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(155),
  [794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(89),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(275),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(247),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(262),
  [806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(268),
  [809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(262),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(235),
  [815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(258),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(204),
  [821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(195),
  [824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(243),
  [827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(194),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(252),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(264),
  [836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(170),
  [839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(7),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(46),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(2),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2), SHIFT_REPEAT(168),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(341),
  [864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(152),
  [867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(86),
  [870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(276),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(234),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(269),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(263),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(269),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(226),
  [888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(266),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(200),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(191),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(254),
  [900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(188),
  [903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(225),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(260),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(173),
  [912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(36),
  [915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(10),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(9),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2), SHIFT_REPEAT(174),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 1),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 2),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(311),
  [971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(151),
  [974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(87),
  [977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(282),
  [980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(219),
  [983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(278),
  [986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(277),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(278),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(239),
  [995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(265),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(205),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(186),
  [1004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(212),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(190),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(232),
  [1013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(255),
  [1016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(172),
  [1019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(3),
  [1022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(4),
  [1025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(6),
  [1028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(176),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 2),
  [1033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(507),
  [1036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(153),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(88),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(259),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(237),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(267),
  [1051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(261),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(267),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(246),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(271),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(201),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(192),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(231),
  [1072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(185),
  [1075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(241),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(274),
  [1081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(179),
  [1084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(5),
  [1087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(8),
  [1090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(43),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2),
  [1095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2), SHIFT_REPEAT(171),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(588),
  [1155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(157),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(90),
  [1161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(342),
  [1164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(280),
  [1167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(383),
  [1170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(366),
  [1173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(383),
  [1176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(270),
  [1179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(381),
  [1182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(209),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(202),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(281),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(203),
  [1194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(272),
  [1197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(380),
  [1200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(181),
  [1203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(13),
  [1206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(32),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(39),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2), SHIFT_REPEAT(182),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(588),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(163),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(1141),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(280),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(383),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(426),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(383),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(270),
  [1247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(381),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(210),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(207),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(281),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(208),
  [1262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(272),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(380),
  [1268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(183),
  [1271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(95),
  [1274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(94),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(92),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1), SHIFT(180),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(588),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(163),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(1141),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(280),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(383),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(426),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(383),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(270),
  [1309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(381),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(210),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(207),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(281),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(208),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(272),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1), SHIFT(380),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(183),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(95),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(94),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(92),
  [1344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1), SHIFT(180),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(588),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(163),
  [1353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(1141),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(280),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(383),
  [1362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(426),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(383),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(270),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(381),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(210),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(207),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(281),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(208),
  [1386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(272),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(380),
  [1392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(183),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(95),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(94),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(92),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1), SHIFT(180),
  [1409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(588),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(163),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(1141),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(280),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(383),
  [1424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(426),
  [1427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(383),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(270),
  [1433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(381),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(210),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(207),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(281),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(208),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(272),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(380),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(183),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(95),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(94),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(92),
  [1468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1), SHIFT(180),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [1473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(425),
  [1476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(162),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(247),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(262),
  [1485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(382),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(262),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(235),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(258),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(198),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(197),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(243),
  [1506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(196),
  [1509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(252),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(264),
  [1515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(177),
  [1518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(93),
  [1521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(125),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(99),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(166),
  [1534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(507),
  [1537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(165),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(237),
  [1545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(267),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(368),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(267),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(246),
  [1557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(271),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(199),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(184),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(231),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(193),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(241),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(274),
  [1578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(169),
  [1581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(97),
  [1584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(98),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(133),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(167),
  [1595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(341),
  [1598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(158),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(234),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(269),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(384),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(269),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(226),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(266),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(206),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(187),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(254),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(189),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(225),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(260),
  [1637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(175),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(122),
  [1643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(91),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(96),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(178),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(425),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(162),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(247),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(262),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(382),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(262),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(235),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(258),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(198),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(197),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(243),
  [1689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(196),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(252),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(264),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(177),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(93),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(125),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(99),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(166),
  [1715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(341),
  [1718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(158),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(234),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(269),
  [1727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(384),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(269),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(226),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(266),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(206),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(187),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(254),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(189),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(225),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(260),
  [1757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(175),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(122),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(91),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(96),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1), SHIFT(178),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(507),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(165),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(237),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(267),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(368),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(267),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(246),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(271),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(199),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(184),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(231),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(193),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(241),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(274),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(169),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(97),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(98),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(133),
  [1830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1), SHIFT(167),
  [1833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(341),
  [1836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(158),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(234),
  [1842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(269),
  [1845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(384),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(269),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(226),
  [1854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(266),
  [1857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(206),
  [1860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(187),
  [1863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(254),
  [1866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(189),
  [1869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(225),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(260),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(175),
  [1878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(122),
  [1881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(91),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(96),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(178),
  [1894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(425),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(162),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(247),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(262),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(382),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(262),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(235),
  [1915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(258),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(198),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(197),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(243),
  [1927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(196),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(252),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(264),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(177),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(93),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(125),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(99),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1), SHIFT(166),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(507),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(165),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(237),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(267),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(368),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(267),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(246),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(271),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(199),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(184),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(231),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(193),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(241),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(274),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(169),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(97),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(98),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(133),
  [2009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1), SHIFT(167),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(341),
  [2061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(158),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(234),
  [2067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(269),
  [2070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(384),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(269),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(226),
  [2079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(266),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(206),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(187),
  [2088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(254),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(189),
  [2094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(225),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(260),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(175),
  [2103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(122),
  [2106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(91),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2),
  [2111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(96),
  [2114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2), SHIFT_REPEAT(178),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(425),
  [2166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(162),
  [2169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(247),
  [2172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(262),
  [2175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(382),
  [2178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(262),
  [2181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(235),
  [2184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(258),
  [2187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(198),
  [2190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(197),
  [2193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(243),
  [2196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(196),
  [2199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(252),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(264),
  [2205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(177),
  [2208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(93),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(125),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2),
  [2216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(99),
  [2219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2), SHIFT_REPEAT(166),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(588),
  [2271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(163),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2),
  [2276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(280),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(383),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(426),
  [2285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(383),
  [2288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(270),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(381),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(210),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(207),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(281),
  [2303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(208),
  [2306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(272),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(380),
  [2312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(183),
  [2315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(95),
  [2318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(94),
  [2321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(92),
  [2324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2), SHIFT_REPEAT(180),
  [2327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(507),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(165),
  [2333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(237),
  [2336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(267),
  [2339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(368),
  [2342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(267),
  [2345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(246),
  [2348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(271),
  [2351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(199),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(184),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(231),
  [2360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(193),
  [2363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(241),
  [2366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(274),
  [2369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(169),
  [2372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(97),
  [2375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(98),
  [2378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(133),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2), SHIFT_REPEAT(167),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2),
  [2394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(311),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(148),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(219),
  [2403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(278),
  [2406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(277),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(278),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(239),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(265),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(205),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(186),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(212),
  [2427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(190),
  [2430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(232),
  [2433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(255),
  [2436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(172),
  [2439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(176),
  [2442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(507),
  [2445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(149),
  [2448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(237),
  [2451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(267),
  [2454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(261),
  [2457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(267),
  [2460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(246),
  [2463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(271),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(201),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(192),
  [2472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(231),
  [2475] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(185),
  [2478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(241),
  [2481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(274),
  [2484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(179),
  [2487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(171),
  [2490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(341),
  [2493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(150),
  [2496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(234),
  [2499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(269),
  [2502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(263),
  [2505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(269),
  [2508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(226),
  [2511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(266),
  [2514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(200),
  [2517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(191),
  [2520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(254),
  [2523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(188),
  [2526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(225),
  [2529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(260),
  [2532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(173),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(174),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_base, 1),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(425),
  [2549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(154),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(247),
  [2555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(262),
  [2558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(268),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(262),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(235),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(258),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(204),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(195),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(243),
  [2579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(194),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(252),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(264),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(170),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(168),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(588),
  [2599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(156),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(280),
  [2605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(383),
  [2608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(366),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(383),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(270),
  [2617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(381),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(209),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(202),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(281),
  [2629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(203),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(272),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(380),
  [2638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(181),
  [2641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(182),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(159),
  [2651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(384),
  [2654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(206),
  [2657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(187),
  [2660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(189),
  [2663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(175),
  [2666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(178),
  [2669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(160),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(426),
  [2675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(210),
  [2678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(207),
  [2681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(208),
  [2684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(183),
  [2687] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(180),
  [2690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(161),
  [2693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(368),
  [2696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(199),
  [2699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(184),
  [2702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(193),
  [2705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(169),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(167),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(164),
  [2718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(382),
  [2721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(198),
  [2724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(197),
  [2727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(196),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(177),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2), SHIFT_REPEAT(166),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(699),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(727),
  [2748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(727),
  [2751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(731),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(687),
  [2757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(683),
  [2760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(708),
  [2763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(682),
  [2766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(730),
  [2769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(730),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(220),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(240),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(701),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(710),
  [2792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(710),
  [2795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(720),
  [2798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(688),
  [2801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(684),
  [2804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(698),
  [2807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(681),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(728),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(728),
  [2816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(238),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(217),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(224),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(253),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(213),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(248),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(218),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1), SHIFT(228),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 1),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(895),
  [2873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(895),
  [2876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(897),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 1),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(896),
  [2886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(896),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(787),
  [2892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(889),
  [2895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(889),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(892),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(888),
  [2906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(888),
  [2909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(784),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(810),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(747),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(746),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(777),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(768),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(771),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(713),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(713),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(923),
  [2957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(893),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(899),
  [2965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(899),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(774),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(715),
  [2976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(715),
  [2979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(925),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(798),
  [2987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(719),
  [2990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(719),
  [2993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(924),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(755),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(833),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(832),
  [3011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(725),
  [3014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(725),
  [3017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(928),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(782),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(724),
  [3030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(724),
  [3033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(926),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(830),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [3059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(917),
  [3062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(902),
  [3065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(902),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [3090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(686),
  [3093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(214),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2),
  [3098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(654),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(654),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(674),
  [3107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(673),
  [3110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2), SHIFT_REPEAT(673),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1133),
  [3146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(975),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 1),
  [3165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 1),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(229),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(701),
  [3181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(710),
  [3184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(720),
  [3187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(688),
  [3190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(684),
  [3193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(698),
  [3196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(681),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(728),
  [3202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(728),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(233),
  [3216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(699),
  [3219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(727),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(731),
  [3225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(687),
  [3228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(683),
  [3231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(708),
  [3234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(682),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(730),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2), SHIFT_REPEAT(730),
  [3243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1140),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1134),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1139),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description_non_empty, 4, .production_id = 7),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_description_non_empty, 4, .production_id = 7),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 1),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 1),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(74),
  [3301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(75),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(63),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1),
  [3321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(77),
  [3324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1135),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 8, .dynamic_precedence = 10),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 8, .dynamic_precedence = 10),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 3, .dynamic_precedence = 100),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 3, .dynamic_precedence = 100),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shortcut_link, 1, .dynamic_precedence = 10),
  [3339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_text, 1, .dynamic_precedence = 10), REDUCE(sym_shortcut_link, 1, .dynamic_precedence = 10),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shortcut_link, 1, .dynamic_precedence = 10),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image, 1),
  [3346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image, 1),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, .dynamic_precedence = 30),
  [3350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, .dynamic_precedence = 30), REDUCE(sym__image_description, 1, .dynamic_precedence = 30),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_shortcut_link, 1, .dynamic_precedence = 30),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1, .production_id = 1),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1, .production_id = 1),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_tag, 1),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_tag, 1),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 1),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline, 1),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1, .production_id = 2),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1, .production_id = 2),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 2, .dynamic_precedence = 100, .production_id = 3),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 2, .dynamic_precedence = 100, .production_id = 3),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 5, .dynamic_precedence = 10),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 5, .dynamic_precedence = 10),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2),
  [3381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2),
  [3383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2), SHIFT(323),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 5, .dynamic_precedence = 10),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 5, .dynamic_precedence = 10),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2), SHIFT(326),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, .production_id = 2),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, .production_id = 2),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 2, .dynamic_precedence = 100, .production_id = 4),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 2, .dynamic_precedence = 100, .production_id = 4),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 2),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 2),
  [3409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 2),
  [3411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 2),
  [3413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hard_line_break, 2),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hard_line_break, 2),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 2),
  [3419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 2),
  [3421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 2, .dynamic_precedence = 100),
  [3423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 2, .dynamic_precedence = 100),
  [3425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 6, .dynamic_precedence = 100),
  [3427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 6, .dynamic_precedence = 100),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 6, .dynamic_precedence = 100),
  [3431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 6, .dynamic_precedence = 100),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_backslash_escape, 1),
  [3435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_backslash_escape, 1),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 2, .dynamic_precedence = 100),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 2, .dynamic_precedence = 100),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 2),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 2),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_reference_link, 2, .dynamic_precedence = 20),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_full_reference_link, 2, .dynamic_precedence = 20),
  [3449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2), SHIFT(582),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 6, .dynamic_precedence = 10),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 6, .dynamic_precedence = 10),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_full_reference_link, 2, .dynamic_precedence = 10),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_full_reference_link, 2, .dynamic_precedence = 10),
  [3460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2), SHIFT(589),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 6, .dynamic_precedence = 10),
  [3465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 6, .dynamic_precedence = 10),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 3, .dynamic_precedence = 100, .production_id = 3),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 3, .dynamic_precedence = 100, .production_id = 3),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 2),
  [3473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 2),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 3, .dynamic_precedence = 1, .production_id = 5),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 3, .dynamic_precedence = 1, .production_id = 5),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star, 3, .dynamic_precedence = 2, .production_id = 5),
  [3481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star, 3, .dynamic_precedence = 2, .production_id = 5),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 2),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 2),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 3, .dynamic_precedence = 1, .production_id = 5),
  [3489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 3, .dynamic_precedence = 1, .production_id = 5),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore, 3, .dynamic_precedence = 2, .production_id = 5),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore, 3, .dynamic_precedence = 2, .production_id = 5),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 2),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 2),
  [3499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 3, .dynamic_precedence = 1, .production_id = 5),
  [3501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 3, .dynamic_precedence = 1, .production_id = 5),
  [3503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 7, .dynamic_precedence = 10),
  [3505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 7, .dynamic_precedence = 10),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 3, .dynamic_precedence = 100, .production_id = 4),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 3, .dynamic_precedence = 100, .production_id = 4),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 7, .dynamic_precedence = 10),
  [3513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 7, .dynamic_precedence = 10),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 2, .dynamic_precedence = 100),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 2, .dynamic_precedence = 100),
  [3519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2), SHIFT(541),
  [3522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2), SHIFT(539),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 3, .dynamic_precedence = 30),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text_non_empty, 3, .production_id = 6),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_text_non_empty, 3, .production_id = 6),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 3, .dynamic_precedence = 100),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 3, .dynamic_precedence = 100),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 3, .dynamic_precedence = 100),
  [3537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 3, .dynamic_precedence = 100),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 8, .dynamic_precedence = 10),
  [3541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 8, .dynamic_precedence = 10),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 3, .dynamic_precedence = 100),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 3, .dynamic_precedence = 100),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 3, .dynamic_precedence = 100),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 3, .dynamic_precedence = 100),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collapsed_reference_link, 3, .dynamic_precedence = 10),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collapsed_reference_link, 3, .dynamic_precedence = 10),
  [3555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2), SHIFT(459),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2), SHIFT(457),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 3, .dynamic_precedence = 10),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 3, .dynamic_precedence = 10),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_collapsed_reference_link, 3, .dynamic_precedence = 10),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_collapsed_reference_link, 3, .dynamic_precedence = 10),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 3, .dynamic_precedence = 10),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 3, .dynamic_precedence = 10),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 4, .dynamic_precedence = 1, .production_id = 5),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 4, .dynamic_precedence = 1, .production_id = 5),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 4, .dynamic_precedence = 1, .production_id = 5),
  [3579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 4, .dynamic_precedence = 1, .production_id = 5),
  [3581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 4, .dynamic_precedence = 1, .production_id = 5),
  [3583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 4, .dynamic_precedence = 1, .production_id = 5),
  [3585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, .production_id = 2), SHIFT(375),
  [3588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, .production_id = 2), SHIFT(373),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 4, .dynamic_precedence = 100),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 4, .dynamic_precedence = 100),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 4, .dynamic_precedence = 100),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 4, .dynamic_precedence = 100),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 4, .dynamic_precedence = 100),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 4, .dynamic_precedence = 100),
  [3603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(68),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 4, .dynamic_precedence = 100),
  [3608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 4, .dynamic_precedence = 100),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_label, 3),
  [3614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_label, 3),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 5, .dynamic_precedence = 100),
  [3624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 5, .dynamic_precedence = 100),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 5, .dynamic_precedence = 100),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 5, .dynamic_precedence = 100),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 5, .dynamic_precedence = 100),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 5, .dynamic_precedence = 100),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 4, .dynamic_precedence = 10),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 4, .dynamic_precedence = 10),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 4, .dynamic_precedence = 10),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 4, .dynamic_precedence = 10),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [3644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 1, .dynamic_precedence = 30),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, .production_id = 2),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, .production_id = 2),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 4, .dynamic_precedence = 1, .production_id = 5),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, .production_id = 2),
  [3668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, .production_id = 2),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 1),
  [3674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 1),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, .production_id = 2),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, .production_id = 2),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, .production_id = 2),
  [3686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, .production_id = 2),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star_no_link, 3, .dynamic_precedence = 2, .production_id = 5),
  [3694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star_no_link, 3, .dynamic_precedence = 2, .production_id = 5),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 3, .dynamic_precedence = 1, .production_id = 5),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, .dynamic_precedence = 2, .production_id = 5),
  [3706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, .dynamic_precedence = 2, .production_id = 5),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10), SHIFT(849),
  [3769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10), SHIFT(848),
  [3772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10), SHIFT(846),
  [3775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10), SHIFT(846),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10), SHIFT(868),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(814),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(765),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [3839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(762),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(767),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(722),
  [3850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(722),
  [3853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(927),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(761),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(711),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(711),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1), SHIFT(929),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(735),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(872),
  [3886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(690),
  [3889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(868),
  [3892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(868),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(848),
  [3900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(846),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2), SHIFT_REPEAT(846),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(872),
  [3919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(693),
  [3922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(849),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2),
  [3927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(849),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(848),
  [3933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(846),
  [3936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2), SHIFT_REPEAT(846),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(872),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(847),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(844),
  [3950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(844),
  [3953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(839),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT(885),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1),
  [3961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(872),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(847),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(844),
  [3974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(844),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(839),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT(885),
  [3983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1),
  [3985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [3995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10),
  [3997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 1, .dynamic_precedence = 10),
  [3999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1138),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1), SHIFT(1136),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 2, .dynamic_precedence = 10),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 2, .dynamic_precedence = 10),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), SHIFT_REPEAT(872),
  [4028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), SHIFT_REPEAT(706),
  [4031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), SHIFT_REPEAT(844),
  [4034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2), SHIFT_REPEAT(844),
  [4037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), SHIFT_REPEAT(839),
  [4040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2),
  [4042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2),
  [4044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(872),
  [4047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(707),
  [4050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(873),
  [4053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(873),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2),
  [4058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(848),
  [4061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(846),
  [4064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2), SHIFT_REPEAT(846),
  [4067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 3, .dynamic_precedence = 10),
  [4069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 3, .dynamic_precedence = 10),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(872),
  [4102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(714),
  [4105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(890),
  [4108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2),
  [4110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(890),
  [4113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(846),
  [4116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2), SHIFT_REPEAT(846),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2),
  [4191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2),
  [4193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(848),
  [4196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(846),
  [4199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(846),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(895),
  [4229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(895),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(897),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(896),
  [4240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(896),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(742),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(898),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(901),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(893),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(899),
  [4286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(899),
  [4289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2), SHIFT_REPEAT(756),
  [4292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(889),
  [4295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(889),
  [4298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(892),
  [4301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(888),
  [4304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(888),
  [4307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2), SHIFT_REPEAT(757),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2), SHIFT_REPEAT(913),
  [4369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2),
  [4371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2), SHIFT_REPEAT(917),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2), SHIFT_REPEAT(902),
  [4377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2), SHIFT_REPEAT(902),
  [4380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2), SHIFT_REPEAT(835),
  [4383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2), SHIFT_REPEAT(911),
  [4386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2), SHIFT_REPEAT(917),
  [4391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2), SHIFT_REPEAT(902),
  [4394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2), SHIFT_REPEAT(902),
  [4397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2), SHIFT_REPEAT(836),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1),
  [4434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1),
  [4436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(sym_link_title, 2),
  [4439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(sym_link_title, 2),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat3, 1),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat3, 1),
  [4450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 1),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1), SHIFT_REPEAT(1137),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1), SHIFT_REPEAT(1137),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat2, 1),
  [4487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat2, 1),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2), SHIFT_REPEAT(908),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2),
  [4507] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2), SHIFT_REPEAT(917),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2), SHIFT_REPEAT(902),
  [4513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2), SHIFT_REPEAT(902),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2), SHIFT_REPEAT(861),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat1, 1),
  [4532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1), REDUCE(aux_sym_link_title_repeat1, 1),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 3),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 3),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 3),
  [4549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 3),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat1, 2),
  [4556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat1, 2),
  [4559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat2, 2),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat2, 2),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2),
  [4571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2), REDUCE(sym_link_title, 2),
  [4574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2), REDUCE(sym_link_title, 2),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1), SHIFT_REPEAT(1137),
  [4580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat3, 2),
  [4583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2), REDUCE(aux_sym_link_title_repeat3, 2),
  [4586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 3),
  [4590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 3),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 1),
  [4596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 1),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 1),
  [4602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 1),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [4606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 3),
  [4608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 3),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 1),
  [4622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 1),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [4636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2),
  [4638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 1),
  [4640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 1),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 3),
  [4646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 3),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 1),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 1),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [4654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 1),
  [4656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 1),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 2),
  [4662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 2),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2),
  [4668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2),
  [4670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(893),
  [4689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(899),
  [4692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(899),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2),
  [4815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2), SHIFT_REPEAT(1055),
  [4818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2), SHIFT_REPEAT(1057),
  [4821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__open_tag_repeat1, 2), SHIFT_REPEAT(1057),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 1),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [4844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 1),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [4850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1070),
  [4853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1069),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1069),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1055),
  [4862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1057),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2), SHIFT_REPEAT(1057),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [4880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2),
  [4882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2), SHIFT_REPEAT(985),
  [4885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__tag_name_repeat1, 2),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 2),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 2),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 3),
  [4979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 3),
  [4981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 5),
  [4983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 5),
  [4985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 2),
  [4987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 2),
  [4989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 6),
  [4991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 6),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 4),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 4),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 3),
  [4999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 3),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 2),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 2),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [5049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text, 2, .dynamic_precedence = 10),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5059] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_markdown_inline_external_scanner_create(void);
void tree_sitter_markdown_inline_external_scanner_destroy(void *);
bool tree_sitter_markdown_inline_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_markdown_inline_external_scanner_serialize(void *, char *);
void tree_sitter_markdown_inline_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_markdown_inline(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_markdown_inline_external_scanner_create,
      tree_sitter_markdown_inline_external_scanner_destroy,
      tree_sitter_markdown_inline_external_scanner_scan,
      tree_sitter_markdown_inline_external_scanner_serialize,
      tree_sitter_markdown_inline_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
