#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 331
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 98
#define ALIAS_COUNT 0
#define TOKEN_COUNT 57
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 33

enum {
  sym_identifier = 1,
  anon_sym_if = 2,
  anon_sym_elseif = 3,
  anon_sym_else = 4,
  anon_sym_for = 5,
  anon_sym_while = 6,
  anon_sym_switch = 7,
  anon_sym_case = 8,
  anon_sym_otherwise = 9,
  anon_sym_try = 10,
  anon_sym_catch = 11,
  anon_sym_EQ = 12,
  anon_sym_LPAREN = 13,
  anon_sym_AMP_AMP = 14,
  anon_sym_PIPE_PIPE = 15,
  anon_sym_RPAREN = 16,
  anon_sym_COMMA = 17,
  anon_sym_LBRACK = 18,
  anon_sym_RBRACK = 19,
  anon_sym_COLON = 20,
  aux_sym_string_token1 = 21,
  aux_sym_string_token2 = 22,
  anon_sym_return = 23,
  anon_sym_continue = 24,
  anon_sym_break = 25,
  sym__single_quote = 26,
  sym__double_quote = 27,
  anon_sym_SEMI = 28,
  anon_sym_GT = 29,
  anon_sym_LT = 30,
  anon_sym_EQ_EQ = 31,
  anon_sym_LT_EQ = 32,
  anon_sym_GT_EQ = 33,
  anon_sym_EQ_LT = 34,
  anon_sym_EQ_GT = 35,
  anon_sym_TILDE_EQ = 36,
  anon_sym_STAR = 37,
  anon_sym_DOT_STAR = 38,
  anon_sym_SLASH = 39,
  anon_sym_BSLASH = 40,
  anon_sym_DOT_SLASH = 41,
  anon_sym_CARET = 42,
  anon_sym_DOT_CARET = 43,
  anon_sym_PLUS = 44,
  sym_number = 45,
  sym_end = 46,
  sym_function_keyword = 47,
  anon_sym_LBRACE = 48,
  anon_sym_RBRACE = 49,
  sym__not = 50,
  anon_sym_true = 51,
  anon_sym_false = 52,
  anon_sym_PERCENT = 53,
  aux_sym_comment_token1 = 54,
  anon_sym_LF = 55,
  anon_sym_CR = 56,
  sym_source_file = 57,
  sym__statements = 58,
  sym_if_statement = 59,
  sym_elseif_statement = 60,
  sym_else_statement = 61,
  sym_for_statement = 62,
  sym_while_statement = 63,
  sym_switch_statement = 64,
  sym_case_statement = 65,
  sym_otherwise_statement = 66,
  sym_try_statement = 67,
  sym_catch_statement = 68,
  sym__condition = 69,
  sym_function_definition = 70,
  sym_bool = 71,
  sym_operation = 72,
  sym_expression = 73,
  sym_parameter_list = 74,
  sym_argument_list = 75,
  sym_return_value = 76,
  sym_block = 77,
  sym_factor = 78,
  sym_range = 79,
  sym__range_element = 80,
  sym_function_call = 81,
  sym_string = 82,
  sym_keyword = 83,
  sym__operator = 84,
  sym_vector_definition = 85,
  sym_cell_definition = 86,
  sym__bool_keywords = 87,
  sym_comment = 88,
  sym__end_of_line = 89,
  aux_sym_source_file_repeat1 = 90,
  aux_sym_if_statement_repeat1 = 91,
  aux_sym_switch_statement_repeat1 = 92,
  aux_sym_bool_repeat1 = 93,
  aux_sym_parameter_list_repeat1 = 94,
  aux_sym_argument_list_repeat1 = 95,
  aux_sym_block_repeat1 = 96,
  aux_sym_vector_definition_repeat1 = 97,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_if] = "if",
  [anon_sym_elseif] = "elseif",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_otherwise] = "otherwise",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_EQ] = "=",
  [anon_sym_LPAREN] = "(",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [aux_sym_string_token1] = "string_token1",
  [aux_sym_string_token2] = "string_token2",
  [anon_sym_return] = "return",
  [anon_sym_continue] = "continue",
  [anon_sym_break] = "break",
  [sym__single_quote] = "_single_quote",
  [sym__double_quote] = "_double_quote",
  [anon_sym_SEMI] = ";",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_LT] = "=<",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_STAR] = "*",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_SLASH] = "/",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_DOT_SLASH] = "./",
  [anon_sym_CARET] = "^",
  [anon_sym_DOT_CARET] = ".^",
  [anon_sym_PLUS] = "+",
  [sym_number] = "number",
  [sym_end] = "end",
  [sym_function_keyword] = "function_keyword",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym__not] = "_not",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_PERCENT] = "%",
  [aux_sym_comment_token1] = "comment_token1",
  [anon_sym_LF] = "\n",
  [anon_sym_CR] = "\r",
  [sym_source_file] = "source_file",
  [sym__statements] = "_statements",
  [sym_if_statement] = "if_statement",
  [sym_elseif_statement] = "elseif_statement",
  [sym_else_statement] = "else_statement",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_otherwise_statement] = "otherwise_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_statement] = "catch_statement",
  [sym__condition] = "_condition",
  [sym_function_definition] = "function_definition",
  [sym_bool] = "bool",
  [sym_operation] = "operation",
  [sym_expression] = "expression",
  [sym_parameter_list] = "parameter_list",
  [sym_argument_list] = "argument_list",
  [sym_return_value] = "return_value",
  [sym_block] = "block",
  [sym_factor] = "factor",
  [sym_range] = "range",
  [sym__range_element] = "_range_element",
  [sym_function_call] = "function_call",
  [sym_string] = "string",
  [sym_keyword] = "keyword",
  [sym__operator] = "_operator",
  [sym_vector_definition] = "vector_definition",
  [sym_cell_definition] = "cell_definition",
  [sym__bool_keywords] = "_bool_keywords",
  [sym_comment] = "comment",
  [sym__end_of_line] = "_end_of_line",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_bool_repeat1] = "bool_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_vector_definition_repeat1] = "vector_definition_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elseif] = anon_sym_elseif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_otherwise] = anon_sym_otherwise,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_break] = anon_sym_break,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__double_quote,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_LT] = anon_sym_EQ_LT,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_DOT_SLASH] = anon_sym_DOT_SLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOT_CARET] = anon_sym_DOT_CARET,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [sym_number] = sym_number,
  [sym_end] = sym_end,
  [sym_function_keyword] = sym_function_keyword,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym__not] = sym__not,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_CR] = anon_sym_CR,
  [sym_source_file] = sym_source_file,
  [sym__statements] = sym__statements,
  [sym_if_statement] = sym_if_statement,
  [sym_elseif_statement] = sym_elseif_statement,
  [sym_else_statement] = sym_else_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_otherwise_statement] = sym_otherwise_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_statement] = sym_catch_statement,
  [sym__condition] = sym__condition,
  [sym_function_definition] = sym_function_definition,
  [sym_bool] = sym_bool,
  [sym_operation] = sym_operation,
  [sym_expression] = sym_expression,
  [sym_parameter_list] = sym_parameter_list,
  [sym_argument_list] = sym_argument_list,
  [sym_return_value] = sym_return_value,
  [sym_block] = sym_block,
  [sym_factor] = sym_factor,
  [sym_range] = sym_range,
  [sym__range_element] = sym__range_element,
  [sym_function_call] = sym_function_call,
  [sym_string] = sym_string,
  [sym_keyword] = sym_keyword,
  [sym__operator] = sym__operator,
  [sym_vector_definition] = sym_vector_definition,
  [sym_cell_definition] = sym_cell_definition,
  [sym__bool_keywords] = sym__bool_keywords,
  [sym_comment] = sym_comment,
  [sym__end_of_line] = sym__end_of_line,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_bool_repeat1] = aux_sym_bool_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_vector_definition_repeat1] = aux_sym_vector_definition_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elseif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_otherwise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [sym__single_quote] = {
    .visible = false,
    .named = true,
  },
  [sym__double_quote] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_end] = {
    .visible = true,
    .named = true,
  },
  [sym_function_keyword] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__not] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_otherwise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__condition] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_operation] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_return_value] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_factor] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym__range_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym__operator] = {
    .visible = false,
    .named = true,
  },
  [sym_vector_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_cell_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__bool_keywords] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__end_of_line] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_bool_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_vector_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_comment = 1,
  field_condition = 2,
  field_end = 3,
  field_endfor = 4,
  field_endswitch = 5,
  field_endtry = 6,
  field_endwhile = 7,
  field_function_keyword = 8,
  field_function_name = 9,
  field_return_variable = 10,
  field_variable_name = 11,
  field_vector = 12,
  field_vector_access = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_comment] = "comment",
  [field_condition] = "condition",
  [field_end] = "end",
  [field_endfor] = "endfor",
  [field_endswitch] = "endswitch",
  [field_endtry] = "endtry",
  [field_endwhile] = "endwhile",
  [field_function_keyword] = "function_keyword",
  [field_function_name] = "function_name",
  [field_return_variable] = "return_variable",
  [field_variable_name] = "variable_name",
  [field_vector] = "vector",
  [field_vector_access] = "vector_access",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 2},
  [12] = {.index = 14, .length = 1},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 3},
  [16] = {.index = 20, .length = 2},
  [17] = {.index = 22, .length = 2},
  [18] = {.index = 24, .length = 1},
  [19] = {.index = 25, .length = 2},
  [20] = {.index = 27, .length = 2},
  [21] = {.index = 29, .length = 1},
  [22] = {.index = 30, .length = 1},
  [23] = {.index = 31, .length = 3},
  [24] = {.index = 34, .length = 2},
  [25] = {.index = 36, .length = 2},
  [26] = {.index = 38, .length = 1},
  [27] = {.index = 39, .length = 2},
  [28] = {.index = 41, .length = 4},
  [29] = {.index = 45, .length = 2},
  [30] = {.index = 47, .length = 2},
  [31] = {.index = 49, .length = 4},
  [32] = {.index = 53, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_comment, 0},
  [1] =
    {field_comment, 0, .inherited = true},
  [2] =
    {field_function_name, 0},
  [3] =
    {field_comment, 0, .inherited = true},
    {field_comment, 1, .inherited = true},
  [5] =
    {field_endtry, 2},
  [6] =
    {field_variable_name, 0},
  [7] =
    {field_vector_access, 0},
  [8] =
    {field_vector, 0},
  [9] =
    {field_condition, 1},
    {field_end, 3},
  [11] =
    {field_endfor, 3},
  [12] =
    {field_condition, 1},
    {field_endwhile, 3},
  [14] =
    {field_condition, 1},
  [15] =
    {field_endswitch, 3},
  [16] =
    {field_endtry, 3},
  [17] =
    {field_end, 3},
    {field_function_keyword, 0},
    {field_function_name, 1},
  [20] =
    {field_condition, 2},
    {field_end, 4},
  [22] =
    {field_condition, 1},
    {field_end, 4},
  [24] =
    {field_endfor, 4},
  [25] =
    {field_condition, 2},
    {field_endwhile, 4},
  [27] =
    {field_condition, 1},
    {field_endwhile, 4},
  [29] =
    {field_endswitch, 4},
  [30] =
    {field_endtry, 4},
  [31] =
    {field_end, 4},
    {field_function_keyword, 0},
    {field_function_name, 1},
  [34] =
    {field_condition, 2},
    {field_end, 5},
  [36] =
    {field_condition, 1},
    {field_end, 5},
  [38] =
    {field_endfor, 5},
  [39] =
    {field_condition, 2},
    {field_endwhile, 5},
  [41] =
    {field_end, 5},
    {field_function_keyword, 0},
    {field_function_name, 3},
    {field_return_variable, 1},
  [45] =
    {field_condition, 2},
    {field_end, 6},
  [47] =
    {field_condition, 1},
    {field_end, 6},
  [49] =
    {field_end, 6},
    {field_function_keyword, 0},
    {field_function_name, 3},
    {field_return_variable, 1},
  [53] =
    {field_condition, 2},
    {field_end, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 2,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 4,
  [21] = 3,
  [22] = 6,
  [23] = 5,
  [24] = 7,
  [25] = 11,
  [26] = 13,
  [27] = 12,
  [28] = 17,
  [29] = 2,
  [30] = 15,
  [31] = 8,
  [32] = 10,
  [33] = 9,
  [34] = 14,
  [35] = 3,
  [36] = 4,
  [37] = 37,
  [38] = 19,
  [39] = 39,
  [40] = 37,
  [41] = 39,
  [42] = 18,
  [43] = 6,
  [44] = 44,
  [45] = 5,
  [46] = 46,
  [47] = 7,
  [48] = 11,
  [49] = 13,
  [50] = 50,
  [51] = 12,
  [52] = 52,
  [53] = 17,
  [54] = 54,
  [55] = 15,
  [56] = 56,
  [57] = 56,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 59,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 62,
  [69] = 69,
  [70] = 60,
  [71] = 66,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 113,
  [117] = 115,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 120,
  [122] = 122,
  [123] = 122,
  [124] = 124,
  [125] = 82,
  [126] = 81,
  [127] = 127,
  [128] = 128,
  [129] = 87,
  [130] = 130,
  [131] = 86,
  [132] = 88,
  [133] = 86,
  [134] = 89,
  [135] = 90,
  [136] = 136,
  [137] = 92,
  [138] = 94,
  [139] = 85,
  [140] = 97,
  [141] = 141,
  [142] = 83,
  [143] = 110,
  [144] = 130,
  [145] = 93,
  [146] = 146,
  [147] = 146,
  [148] = 136,
  [149] = 111,
  [150] = 106,
  [151] = 95,
  [152] = 108,
  [153] = 96,
  [154] = 154,
  [155] = 99,
  [156] = 84,
  [157] = 101,
  [158] = 98,
  [159] = 159,
  [160] = 100,
  [161] = 102,
  [162] = 103,
  [163] = 104,
  [164] = 105,
  [165] = 107,
  [166] = 85,
  [167] = 167,
  [168] = 109,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 174,
  [176] = 173,
  [177] = 172,
  [178] = 178,
  [179] = 174,
  [180] = 170,
  [181] = 173,
  [182] = 172,
  [183] = 183,
  [184] = 184,
  [185] = 184,
  [186] = 186,
  [187] = 183,
  [188] = 183,
  [189] = 170,
  [190] = 184,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 194,
  [196] = 194,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 205,
  [209] = 209,
  [210] = 210,
  [211] = 204,
  [212] = 203,
  [213] = 213,
  [214] = 210,
  [215] = 209,
  [216] = 213,
  [217] = 202,
  [218] = 207,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 223,
  [230] = 230,
  [231] = 231,
  [232] = 226,
  [233] = 224,
  [234] = 234,
  [235] = 222,
  [236] = 228,
  [237] = 221,
  [238] = 220,
  [239] = 227,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 242,
  [245] = 245,
  [246] = 241,
  [247] = 247,
  [248] = 241,
  [249] = 242,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 251,
  [254] = 254,
  [255] = 255,
  [256] = 252,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 258,
  [262] = 262,
  [263] = 263,
  [264] = 258,
  [265] = 82,
  [266] = 81,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 271,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 292,
  [295] = 284,
  [296] = 293,
  [297] = 280,
  [298] = 274,
  [299] = 269,
  [300] = 277,
  [301] = 289,
  [302] = 273,
  [303] = 277,
  [304] = 271,
  [305] = 305,
  [306] = 275,
  [307] = 307,
  [308] = 308,
  [309] = 87,
  [310] = 310,
  [311] = 311,
  [312] = 270,
  [313] = 287,
  [314] = 314,
  [315] = 315,
  [316] = 286,
  [317] = 308,
  [318] = 285,
  [319] = 283,
  [320] = 279,
  [321] = 311,
  [322] = 270,
  [323] = 314,
  [324] = 324,
  [325] = 310,
  [326] = 314,
  [327] = 278,
  [328] = 328,
  [329] = 83,
  [330] = 311,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(16);
      if (lookahead == '"') ADVANCE(34);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == '&') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(33);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == '.') ADVANCE(9);
      if (lookahead == '/') ADVANCE(46);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '=') ADVANCE(18);
      if (lookahead == '>') ADVANCE(36);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == ']') ADVANCE(25);
      if (lookahead == '^') ADVANCE(49);
      if (lookahead == '{') ADVANCE(53);
      if (lookahead == '|') ADVANCE(12);
      if (lookahead == '}') ADVANCE(54);
      if (lookahead == '~') ADVANCE(56);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(61);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2)
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(58);
      if (lookahead != 0) ADVANCE(59);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(34);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == '&') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(33);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == '.') ADVANCE(9);
      if (lookahead == '/') ADVANCE(46);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '=') ADVANCE(10);
      if (lookahead == '>') ADVANCE(36);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == ']') ADVANCE(25);
      if (lookahead == '^') ADVANCE(49);
      if (lookahead == '|') ADVANCE(12);
      if (lookahead == '}') ADVANCE(54);
      if (lookahead == '~') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 4:
      if (lookahead == '"') ADVANCE(34);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == '\'') ADVANCE(33);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == '=') ADVANCE(17);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '~') ADVANCE(55);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(34);
      if (lookahead == '&') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(33);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == '.') ADVANCE(9);
      if (lookahead == '/') ADVANCE(46);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '=') ADVANCE(18);
      if (lookahead == '>') ADVANCE(36);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == ']') ADVANCE(25);
      if (lookahead == '^') ADVANCE(49);
      if (lookahead == '|') ADVANCE(12);
      if (lookahead == '}') ADVANCE(54);
      if (lookahead == '~') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == '&') ADVANCE(20);
      END_STATE();
    case 8:
      if (lookahead == '\'') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(45);
      if (lookahead == '/') ADVANCE(48);
      if (lookahead == '^') ADVANCE(50);
      END_STATE();
    case 10:
      if (lookahead == '<') ADVANCE(41);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(42);
      END_STATE();
    case 11:
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 12:
      if (lookahead == '|') ADVANCE(21);
      END_STATE();
    case 13:
      if (eof) ADVANCE(16);
      if (lookahead == '\n') ADVANCE(60);
      if (lookahead == '\r') ADVANCE(62);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == '&') ADVANCE(7);
      if (lookahead == '\'') ADVANCE(33);
      if (lookahead == '(') ADVANCE(19);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == '.') ADVANCE(9);
      if (lookahead == '/') ADVANCE(46);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '=') ADVANCE(10);
      if (lookahead == '>') ADVANCE(36);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == '^') ADVANCE(49);
      if (lookahead == '|') ADVANCE(12);
      if (lookahead == '~') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(13)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 14:
      if (eof) ADVANCE(16);
      if (lookahead == '\n') ADVANCE(60);
      if (lookahead == '\r') ADVANCE(62);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == '&') ADVANCE(7);
      if (lookahead == ')') ADVANCE(22);
      if (lookahead == '*') ADVANCE(44);
      if (lookahead == '+') ADVANCE(51);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == '.') ADVANCE(9);
      if (lookahead == '/') ADVANCE(46);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '<') ADVANCE(37);
      if (lookahead == '=') ADVANCE(18);
      if (lookahead == '>') ADVANCE(36);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == '^') ADVANCE(49);
      if (lookahead == '|') ADVANCE(12);
      if (lookahead == '~') ADVANCE(11);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 15:
      if (eof) ADVANCE(16);
      if (lookahead == '\n') ADVANCE(60);
      if (lookahead == '\r') ADVANCE(62);
      if (lookahead == '%') ADVANCE(57);
      if (lookahead == ',') ADVANCE(23);
      if (lookahead == ';') ADVANCE(35);
      if (lookahead == '=') ADVANCE(17);
      if (lookahead == '[') ADVANCE(24);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(15)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 16:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 18:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '<') ADVANCE(41);
      if (lookahead == '=') ADVANCE(38);
      if (lookahead == '>') ADVANCE(42);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 21:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(27);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(27);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '"') ADVANCE(6);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(29);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '"') ADVANCE(6);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\'') ADVANCE(8);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(31);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\'') ADVANCE(8);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym__single_quote);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(sym__double_quote);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(40);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(39);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_EQ_LT);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_DOT_SLASH);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_DOT_CARET);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(52);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym__not);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym__not);
      if (lookahead == '=') ADVANCE(43);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(58);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(59);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(59);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(60);
      if (lookahead == '\r') ADVANCE(62);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\n') ADVANCE(60);
      if (lookahead == '\r') ADVANCE(62);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'b') ADVANCE(1);
      if (lookahead == 'c') ADVANCE(2);
      if (lookahead == 'e') ADVANCE(3);
      if (lookahead == 'f') ADVANCE(4);
      if (lookahead == 'i') ADVANCE(5);
      if (lookahead == 'o') ADVANCE(6);
      if (lookahead == 'r') ADVANCE(7);
      if (lookahead == 's') ADVANCE(8);
      if (lookahead == 't') ADVANCE(9);
      if (lookahead == 'w') ADVANCE(10);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'r') ADVANCE(11);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      END_STATE();
    case 3:
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 6:
      if (lookahead == 't') ADVANCE(20);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(21);
      END_STATE();
    case 8:
      if (lookahead == 'w') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'r') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'h') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 's') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      END_STATE();
    case 13:
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 14:
      if (lookahead == 's') ADVANCE(29);
      END_STATE();
    case 15:
      if (lookahead == 'd') ADVANCE(30);
      END_STATE();
    case 16:
      if (lookahead == 'l') ADVANCE(31);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(32);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(33);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(34);
      END_STATE();
    case 21:
      if (lookahead == 't') ADVANCE(35);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 23:
      if (lookahead == 'u') ADVANCE(37);
      if (lookahead == 'y') ADVANCE(38);
      END_STATE();
    case 24:
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 27:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(sym_end);
      END_STATE();
    case 31:
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(46);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(48);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 39:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 40:
      if (lookahead == 'k') ADVANCE(52);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 42:
      if (lookahead == 'h') ADVANCE(53);
      END_STATE();
    case 43:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(58);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(59);
      END_STATE();
    case 49:
      if (lookahead == 'c') ADVANCE(60);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(62);
      END_STATE();
    case 55:
      if (lookahead == 'f') ADVANCE(63);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 58:
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(66);
      END_STATE();
    case 60:
      if (lookahead == 'h') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 62:
      if (lookahead == 'u') ADVANCE(68);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_elseif);
      END_STATE();
    case 64:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_function_keyword);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_otherwise);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 3},
  [3] = {.lex_state = 13},
  [4] = {.lex_state = 13},
  [5] = {.lex_state = 14},
  [6] = {.lex_state = 14},
  [7] = {.lex_state = 14},
  [8] = {.lex_state = 13},
  [9] = {.lex_state = 13},
  [10] = {.lex_state = 13},
  [11] = {.lex_state = 13},
  [12] = {.lex_state = 13},
  [13] = {.lex_state = 13},
  [14] = {.lex_state = 13},
  [15] = {.lex_state = 13},
  [16] = {.lex_state = 13},
  [17] = {.lex_state = 13},
  [18] = {.lex_state = 13},
  [19] = {.lex_state = 13},
  [20] = {.lex_state = 13},
  [21] = {.lex_state = 13},
  [22] = {.lex_state = 14},
  [23] = {.lex_state = 14},
  [24] = {.lex_state = 14},
  [25] = {.lex_state = 13},
  [26] = {.lex_state = 13},
  [27] = {.lex_state = 13},
  [28] = {.lex_state = 13},
  [29] = {.lex_state = 13},
  [30] = {.lex_state = 13},
  [31] = {.lex_state = 13},
  [32] = {.lex_state = 13},
  [33] = {.lex_state = 13},
  [34] = {.lex_state = 13},
  [35] = {.lex_state = 3},
  [36] = {.lex_state = 3},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 13},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 13},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 5},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 5},
  [48] = {.lex_state = 3},
  [49] = {.lex_state = 3},
  [50] = {.lex_state = 4},
  [51] = {.lex_state = 3},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 3},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 3},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 13},
  [73] = {.lex_state = 13},
  [74] = {.lex_state = 13},
  [75] = {.lex_state = 15},
  [76] = {.lex_state = 3},
  [77] = {.lex_state = 13},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 13},
  [81] = {.lex_state = 13},
  [82] = {.lex_state = 13},
  [83] = {.lex_state = 13},
  [84] = {.lex_state = 13},
  [85] = {.lex_state = 13},
  [86] = {.lex_state = 13},
  [87] = {.lex_state = 13},
  [88] = {.lex_state = 13},
  [89] = {.lex_state = 13},
  [90] = {.lex_state = 13},
  [91] = {.lex_state = 13},
  [92] = {.lex_state = 13},
  [93] = {.lex_state = 13},
  [94] = {.lex_state = 13},
  [95] = {.lex_state = 13},
  [96] = {.lex_state = 13},
  [97] = {.lex_state = 13},
  [98] = {.lex_state = 13},
  [99] = {.lex_state = 13},
  [100] = {.lex_state = 13},
  [101] = {.lex_state = 13},
  [102] = {.lex_state = 13},
  [103] = {.lex_state = 13},
  [104] = {.lex_state = 13},
  [105] = {.lex_state = 13},
  [106] = {.lex_state = 13},
  [107] = {.lex_state = 13},
  [108] = {.lex_state = 13},
  [109] = {.lex_state = 13},
  [110] = {.lex_state = 13},
  [111] = {.lex_state = 13},
  [112] = {.lex_state = 3},
  [113] = {.lex_state = 4},
  [114] = {.lex_state = 0},
  [115] = {.lex_state = 4},
  [116] = {.lex_state = 4},
  [117] = {.lex_state = 4},
  [118] = {.lex_state = 0},
  [119] = {.lex_state = 0},
  [120] = {.lex_state = 0},
  [121] = {.lex_state = 0},
  [122] = {.lex_state = 0},
  [123] = {.lex_state = 0},
  [124] = {.lex_state = 15},
  [125] = {.lex_state = 13},
  [126] = {.lex_state = 13},
  [127] = {.lex_state = 13},
  [128] = {.lex_state = 13},
  [129] = {.lex_state = 13},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 13},
  [132] = {.lex_state = 13},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 13},
  [135] = {.lex_state = 13},
  [136] = {.lex_state = 0},
  [137] = {.lex_state = 13},
  [138] = {.lex_state = 13},
  [139] = {.lex_state = 0},
  [140] = {.lex_state = 13},
  [141] = {.lex_state = 13},
  [142] = {.lex_state = 13},
  [143] = {.lex_state = 13},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 13},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 0},
  [148] = {.lex_state = 0},
  [149] = {.lex_state = 13},
  [150] = {.lex_state = 13},
  [151] = {.lex_state = 13},
  [152] = {.lex_state = 13},
  [153] = {.lex_state = 13},
  [154] = {.lex_state = 13},
  [155] = {.lex_state = 13},
  [156] = {.lex_state = 13},
  [157] = {.lex_state = 13},
  [158] = {.lex_state = 13},
  [159] = {.lex_state = 13},
  [160] = {.lex_state = 13},
  [161] = {.lex_state = 13},
  [162] = {.lex_state = 13},
  [163] = {.lex_state = 13},
  [164] = {.lex_state = 13},
  [165] = {.lex_state = 13},
  [166] = {.lex_state = 13},
  [167] = {.lex_state = 13},
  [168] = {.lex_state = 13},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 0},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 0},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 0},
  [175] = {.lex_state = 0},
  [176] = {.lex_state = 0},
  [177] = {.lex_state = 0},
  [178] = {.lex_state = 0},
  [179] = {.lex_state = 0},
  [180] = {.lex_state = 0},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 0},
  [183] = {.lex_state = 0},
  [184] = {.lex_state = 0},
  [185] = {.lex_state = 0},
  [186] = {.lex_state = 0},
  [187] = {.lex_state = 0},
  [188] = {.lex_state = 0},
  [189] = {.lex_state = 0},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 0},
  [192] = {.lex_state = 0},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 0},
  [195] = {.lex_state = 0},
  [196] = {.lex_state = 0},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 13},
  [199] = {.lex_state = 13},
  [200] = {.lex_state = 13},
  [201] = {.lex_state = 0},
  [202] = {.lex_state = 0},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 0},
  [205] = {.lex_state = 0},
  [206] = {.lex_state = 0},
  [207] = {.lex_state = 0},
  [208] = {.lex_state = 0},
  [209] = {.lex_state = 0},
  [210] = {.lex_state = 0},
  [211] = {.lex_state = 0},
  [212] = {.lex_state = 0},
  [213] = {.lex_state = 4},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 0},
  [216] = {.lex_state = 4},
  [217] = {.lex_state = 0},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 0},
  [221] = {.lex_state = 13},
  [222] = {.lex_state = 13},
  [223] = {.lex_state = 13},
  [224] = {.lex_state = 13},
  [225] = {.lex_state = 13},
  [226] = {.lex_state = 13},
  [227] = {.lex_state = 13},
  [228] = {.lex_state = 13},
  [229] = {.lex_state = 13},
  [230] = {.lex_state = 13},
  [231] = {.lex_state = 0},
  [232] = {.lex_state = 13},
  [233] = {.lex_state = 13},
  [234] = {.lex_state = 0},
  [235] = {.lex_state = 13},
  [236] = {.lex_state = 13},
  [237] = {.lex_state = 13},
  [238] = {.lex_state = 0},
  [239] = {.lex_state = 13},
  [240] = {.lex_state = 0},
  [241] = {.lex_state = 0},
  [242] = {.lex_state = 0},
  [243] = {.lex_state = 0},
  [244] = {.lex_state = 0},
  [245] = {.lex_state = 13},
  [246] = {.lex_state = 0},
  [247] = {.lex_state = 13},
  [248] = {.lex_state = 0},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 4},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 0},
  [254] = {.lex_state = 0},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 4},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 4},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 4},
  [265] = {.lex_state = 4},
  [266] = {.lex_state = 4},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 29},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 4},
  [273] = {.lex_state = 1},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 0},
  [291] = {.lex_state = 4},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 0},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 1},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 4},
  [308] = {.lex_state = 4},
  [309] = {.lex_state = 4},
  [310] = {.lex_state = 2},
  [311] = {.lex_state = 31},
  [312] = {.lex_state = 29},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 0},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 4},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 31},
  [322] = {.lex_state = 29},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 2},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 31},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elseif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_otherwise] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [sym__single_quote] = ACTIONS(1),
    [sym__double_quote] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_LT] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_DOT_SLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOT_CARET] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_end] = ACTIONS(1),
    [sym_function_keyword] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym__not] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(328),
    [sym__statements] = STATE(128),
    [sym_if_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_switch_statement] = STATE(128),
    [sym_try_statement] = STATE(128),
    [sym_function_definition] = STATE(128),
    [sym_expression] = STATE(128),
    [sym_function_call] = STATE(124),
    [sym_vector_definition] = STATE(317),
    [sym_comment] = STATE(127),
    [aux_sym_source_file_repeat1] = STATE(79),
    [ts_builtin_sym_end] = ACTIONS(3),
    [sym_identifier] = ACTIONS(5),
    [anon_sym_if] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_while] = ACTIONS(11),
    [anon_sym_switch] = ACTIONS(13),
    [anon_sym_try] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [sym_function_keyword] = ACTIONS(19),
    [anon_sym_PERCENT] = ACTIONS(21),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 2,
    ACTIONS(23), 14,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_GT,
      anon_sym_LT,
      sym_end,
    ACTIONS(25), 26,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
      anon_sym_PERCENT,
  [45] = 4,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_COLON,
    STATE(6), 1,
      sym_argument_list,
    ACTIONS(27), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [94] = 3,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    STATE(6), 1,
      sym_argument_list,
    ACTIONS(31), 38,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [141] = 1,
    ACTIONS(33), 39,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [183] = 1,
    ACTIONS(35), 39,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [225] = 1,
    ACTIONS(37), 39,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [267] = 3,
    STATE(195), 1,
      sym__operator,
    ACTIONS(41), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(39), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [312] = 3,
    STATE(195), 1,
      sym__operator,
    ACTIONS(41), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(43), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [357] = 3,
    STATE(195), 1,
      sym__operator,
    ACTIONS(41), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(45), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [402] = 2,
    ACTIONS(31), 1,
      anon_sym_COLON,
    ACTIONS(27), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [445] = 2,
    ACTIONS(49), 1,
      anon_sym_COLON,
    ACTIONS(47), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [488] = 3,
    STATE(195), 1,
      sym__operator,
    ACTIONS(41), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(51), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [533] = 2,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(43), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [575] = 1,
    ACTIONS(53), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [615] = 1,
    ACTIONS(23), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [655] = 1,
    ACTIONS(27), 37,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [695] = 2,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(45), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [737] = 2,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
    ACTIONS(39), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [779] = 4,
    ACTIONS(55), 1,
      ts_builtin_sym_end,
    ACTIONS(57), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_argument_list,
    ACTIONS(31), 33,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [824] = 5,
    ACTIONS(31), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_LPAREN,
    ACTIONS(59), 1,
      ts_builtin_sym_end,
    STATE(22), 1,
      sym_argument_list,
    ACTIONS(27), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [871] = 2,
    ACTIONS(61), 1,
      ts_builtin_sym_end,
    ACTIONS(35), 34,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [911] = 2,
    ACTIONS(63), 1,
      ts_builtin_sym_end,
    ACTIONS(33), 34,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [951] = 2,
    ACTIONS(65), 1,
      ts_builtin_sym_end,
    ACTIONS(37), 34,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [991] = 3,
    ACTIONS(31), 1,
      anon_sym_COLON,
    ACTIONS(59), 1,
      ts_builtin_sym_end,
    ACTIONS(27), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [1032] = 4,
    ACTIONS(67), 1,
      ts_builtin_sym_end,
    STATE(194), 1,
      sym__operator,
    ACTIONS(51), 16,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1075] = 3,
    ACTIONS(71), 1,
      ts_builtin_sym_end,
    ACTIONS(73), 1,
      anon_sym_COLON,
    ACTIONS(47), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [1116] = 2,
    ACTIONS(59), 1,
      ts_builtin_sym_end,
    ACTIONS(27), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [1154] = 2,
    ACTIONS(25), 1,
      ts_builtin_sym_end,
    ACTIONS(23), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [1192] = 2,
    ACTIONS(75), 1,
      ts_builtin_sym_end,
    ACTIONS(53), 32,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [1230] = 4,
    ACTIONS(77), 1,
      ts_builtin_sym_end,
    STATE(194), 1,
      sym__operator,
    ACTIONS(39), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1270] = 4,
    ACTIONS(79), 1,
      ts_builtin_sym_end,
    STATE(194), 1,
      sym__operator,
    ACTIONS(45), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1310] = 4,
    ACTIONS(81), 1,
      ts_builtin_sym_end,
    STATE(194), 1,
      sym__operator,
    ACTIONS(43), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1350] = 3,
    ACTIONS(81), 1,
      ts_builtin_sym_end,
    ACTIONS(43), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1387] = 5,
    ACTIONS(55), 1,
      anon_sym_COLON,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_argument_list,
    ACTIONS(27), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(59), 25,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [1428] = 4,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_argument_list,
    ACTIONS(31), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(55), 26,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      anon_sym_COLON,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [1467] = 20,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(89), 1,
      anon_sym_elseif,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(103), 1,
      sym_end,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(215), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    STATE(320), 1,
      sym_else_statement,
    STATE(218), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [1538] = 3,
    ACTIONS(77), 1,
      ts_builtin_sym_end,
    ACTIONS(39), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1575] = 20,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(89), 1,
      anon_sym_elseif,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(107), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(203), 1,
      sym_block,
    STATE(301), 1,
      sym_else_statement,
    STATE(308), 1,
      sym_vector_definition,
    STATE(214), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [1646] = 20,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(89), 1,
      anon_sym_elseif,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(109), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(209), 1,
      sym_block,
    STATE(279), 1,
      sym_else_statement,
    STATE(308), 1,
      sym_vector_definition,
    STATE(207), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [1717] = 20,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(89), 1,
      anon_sym_elseif,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(111), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(212), 1,
      sym_block,
    STATE(289), 1,
      sym_else_statement,
    STATE(308), 1,
      sym_vector_definition,
    STATE(210), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [1788] = 3,
    ACTIONS(79), 1,
      ts_builtin_sym_end,
    ACTIONS(45), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(27), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [1825] = 2,
    ACTIONS(35), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(61), 26,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      anon_sym_COLON,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [1859] = 15,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    STATE(46), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    ACTIONS(113), 6,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_catch,
      sym_end,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [1919] = 2,
    ACTIONS(33), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(63), 26,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      anon_sym_COLON,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [1953] = 15,
    ACTIONS(115), 1,
      sym_identifier,
    ACTIONS(118), 1,
      anon_sym_if,
    ACTIONS(123), 1,
      anon_sym_for,
    ACTIONS(126), 1,
      anon_sym_while,
    ACTIONS(129), 1,
      anon_sym_switch,
    ACTIONS(132), 1,
      anon_sym_try,
    ACTIONS(135), 1,
      anon_sym_LBRACK,
    ACTIONS(141), 1,
      anon_sym_PERCENT,
    STATE(46), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(138), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    ACTIONS(121), 6,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_catch,
      sym_end,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2013] = 2,
    ACTIONS(37), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(65), 26,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      anon_sym_COLON,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [2047] = 3,
    ACTIONS(55), 1,
      anon_sym_COLON,
    ACTIONS(27), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(59), 25,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [2082] = 4,
    STATE(196), 1,
      sym__operator,
    ACTIONS(144), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(67), 11,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      sym_number,
      anon_sym_RBRACE,
    ACTIONS(146), 14,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [2119] = 19,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(148), 1,
      anon_sym_EQ,
    ACTIONS(150), 1,
      anon_sym_LPAREN,
    ACTIONS(152), 1,
      sym_end,
    STATE(6), 1,
      sym_argument_list,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(288), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2186] = 3,
    ACTIONS(154), 1,
      anon_sym_COLON,
    ACTIONS(47), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(71), 25,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [2221] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(262), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    ACTIONS(156), 3,
      anon_sym_case,
      anon_sym_otherwise,
      sym_end,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2281] = 2,
    ACTIONS(27), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(59), 25,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [2313] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(263), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    ACTIONS(158), 3,
      anon_sym_elseif,
      anon_sym_else,
      sym_end,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2373] = 2,
    ACTIONS(53), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 25,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      anon_sym_SEMI,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
      sym_number,
      anon_sym_RBRACE,
  [2405] = 18,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(160), 1,
      anon_sym_catch,
    ACTIONS(162), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(251), 1,
      sym_block,
    STATE(275), 1,
      sym_catch_statement,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2469] = 18,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(160), 1,
      anon_sym_catch,
    ACTIONS(164), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(253), 1,
      sym_block,
    STATE(306), 1,
      sym_catch_statement,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2533] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(166), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(290), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2591] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(168), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(294), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2649] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(170), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(308), 1,
      sym_vector_definition,
    STATE(319), 1,
      sym_block,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2707] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(172), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(305), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2765] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(174), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(308), 1,
      sym_vector_definition,
    STATE(318), 1,
      sym_block,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2823] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(176), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(292), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2881] = 5,
    STATE(196), 1,
      sym__operator,
    ACTIONS(144), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(180), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(178), 6,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      sym_number,
      anon_sym_RBRACE,
    ACTIONS(146), 14,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [2917] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(182), 1,
      sym_identifier,
    ACTIONS(184), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(308), 1,
      sym_vector_definition,
    STATE(315), 1,
      sym_block,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [2975] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(186), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(296), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3033] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(188), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(281), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3091] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(190), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(285), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3149] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(192), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(276), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3207] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(194), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(283), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3265] = 16,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(85), 1,
      sym_identifier,
    ACTIONS(87), 1,
      anon_sym_if,
    ACTIONS(93), 1,
      anon_sym_for,
    ACTIONS(95), 1,
      anon_sym_while,
    ACTIONS(97), 1,
      anon_sym_switch,
    ACTIONS(99), 1,
      anon_sym_try,
    ACTIONS(105), 1,
      anon_sym_PERCENT,
    ACTIONS(196), 1,
      sym_end,
    STATE(44), 1,
      aux_sym_block_repeat1,
    STATE(75), 1,
      sym_function_call,
    STATE(77), 1,
      sym_comment,
    STATE(293), 1,
      sym_block,
    STATE(308), 1,
      sym_vector_definition,
    ACTIONS(101), 3,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
    STATE(80), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_expression,
      sym_keyword,
  [3323] = 3,
    STATE(194), 1,
      sym__operator,
    ACTIONS(198), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [3354] = 5,
    STATE(194), 1,
      sym__operator,
    STATE(198), 1,
      aux_sym_bool_repeat1,
    ACTIONS(200), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(202), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(69), 16,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [3389] = 3,
    ACTIONS(31), 1,
      anon_sym_COLON,
    ACTIONS(202), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(27), 18,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [3419] = 4,
    ACTIONS(206), 1,
      anon_sym_EQ,
    STATE(118), 1,
      sym__end_of_line,
    ACTIONS(208), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(204), 17,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
      anon_sym_PERCENT,
  [3451] = 5,
    ACTIONS(212), 1,
      anon_sym_COMMA,
    STATE(196), 1,
      sym__operator,
    ACTIONS(144), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(210), 5,
      anon_sym_RPAREN,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      sym_number,
    ACTIONS(146), 14,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [3485] = 3,
    STATE(114), 1,
      sym__end_of_line,
    ACTIONS(216), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(214), 17,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
      anon_sym_PERCENT,
  [3514] = 15,
    ACTIONS(218), 1,
      ts_builtin_sym_end,
    ACTIONS(220), 1,
      sym_identifier,
    ACTIONS(223), 1,
      anon_sym_if,
    ACTIONS(226), 1,
      anon_sym_for,
    ACTIONS(229), 1,
      anon_sym_while,
    ACTIONS(232), 1,
      anon_sym_switch,
    ACTIONS(235), 1,
      anon_sym_try,
    ACTIONS(238), 1,
      anon_sym_LBRACK,
    ACTIONS(241), 1,
      sym_function_keyword,
    ACTIONS(244), 1,
      anon_sym_PERCENT,
    STATE(78), 1,
      aux_sym_source_file_repeat1,
    STATE(124), 1,
      sym_function_call,
    STATE(127), 1,
      sym_comment,
    STATE(317), 1,
      sym_vector_definition,
    STATE(128), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_function_definition,
      sym_expression,
  [3567] = 15,
    ACTIONS(5), 1,
      sym_identifier,
    ACTIONS(7), 1,
      anon_sym_if,
    ACTIONS(9), 1,
      anon_sym_for,
    ACTIONS(11), 1,
      anon_sym_while,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_try,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(19), 1,
      sym_function_keyword,
    ACTIONS(21), 1,
      anon_sym_PERCENT,
    ACTIONS(247), 1,
      ts_builtin_sym_end,
    STATE(78), 1,
      aux_sym_source_file_repeat1,
    STATE(124), 1,
      sym_function_call,
    STATE(127), 1,
      sym_comment,
    STATE(317), 1,
      sym_vector_definition,
    STATE(128), 8,
      sym__statements,
      sym_if_statement,
      sym_for_statement,
      sym_while_statement,
      sym_switch_statement,
      sym_try_statement,
      sym_function_definition,
      sym_expression,
  [3620] = 3,
    STATE(118), 1,
      sym__end_of_line,
    ACTIONS(208), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(204), 17,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
      anon_sym_PERCENT,
  [3649] = 2,
    ACTIONS(251), 1,
      sym__single_quote,
    ACTIONS(249), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3676] = 2,
    ACTIONS(255), 1,
      sym__single_quote,
    ACTIONS(253), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3703] = 1,
    ACTIONS(253), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3727] = 1,
    ACTIONS(257), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3751] = 1,
    ACTIONS(259), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3775] = 1,
    ACTIONS(261), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3799] = 1,
    ACTIONS(263), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3823] = 1,
    ACTIONS(265), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3847] = 1,
    ACTIONS(267), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3871] = 1,
    ACTIONS(269), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3895] = 1,
    ACTIONS(271), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3919] = 1,
    ACTIONS(273), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3943] = 1,
    ACTIONS(275), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3967] = 1,
    ACTIONS(277), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [3991] = 1,
    ACTIONS(279), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4015] = 1,
    ACTIONS(281), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4039] = 1,
    ACTIONS(45), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4063] = 1,
    ACTIONS(283), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4087] = 1,
    ACTIONS(285), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4111] = 1,
    ACTIONS(287), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4135] = 1,
    ACTIONS(289), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4159] = 1,
    ACTIONS(291), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4183] = 1,
    ACTIONS(293), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4207] = 1,
    ACTIONS(295), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4231] = 1,
    ACTIONS(297), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4255] = 1,
    ACTIONS(299), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4279] = 1,
    ACTIONS(301), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4303] = 1,
    ACTIONS(39), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4327] = 1,
    ACTIONS(303), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4351] = 1,
    ACTIONS(43), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4375] = 1,
    ACTIONS(305), 21,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      anon_sym_SEMI,
      sym_end,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4399] = 5,
    STATE(196), 1,
      sym__operator,
    STATE(199), 1,
      aux_sym_bool_repeat1,
    ACTIONS(144), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(307), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(146), 14,
      anon_sym_EQ_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_LT,
      anon_sym_EQ_GT,
      anon_sym_TILDE_EQ,
      anon_sym_STAR,
      anon_sym_DOT_STAR,
      anon_sym_SLASH,
      anon_sym_BSLASH,
      anon_sym_DOT_SLASH,
      anon_sym_CARET,
      anon_sym_DOT_CARET,
      anon_sym_PLUS,
  [4430] = 12,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(319), 1,
      sym__not,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(321), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(227), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4472] = 2,
    ACTIONS(325), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(323), 15,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [4494] = 12,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(327), 1,
      sym__not,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(329), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(222), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4536] = 12,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(331), 1,
      sym__not,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(333), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(239), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4578] = 12,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(335), 1,
      sym__not,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(337), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(235), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4620] = 2,
    ACTIONS(341), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(339), 15,
      anon_sym_if,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      anon_sym_catch,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [4642] = 11,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(343), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(225), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4681] = 11,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(345), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(224), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4720] = 11,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(347), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(233), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4759] = 11,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(349), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(232), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4798] = 11,
    ACTIONS(309), 1,
      sym_identifier,
    ACTIONS(311), 1,
      anon_sym_LPAREN,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    STATE(73), 1,
      sym_factor,
    STATE(74), 1,
      sym_function_call,
    STATE(326), 1,
      sym__range_element,
    ACTIONS(351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
    STATE(226), 3,
      sym__condition,
      sym_bool,
      sym__bool_keywords,
  [4837] = 5,
    ACTIONS(353), 1,
      ts_builtin_sym_end,
    ACTIONS(357), 1,
      anon_sym_EQ,
    STATE(197), 1,
      sym__end_of_line,
    ACTIONS(359), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_LBRACK,
      sym_identifier,
      sym_function_keyword,
      anon_sym_PERCENT,
  [4864] = 3,
    ACTIONS(361), 1,
      ts_builtin_sym_end,
    ACTIONS(363), 1,
      sym__single_quote,
    ACTIONS(253), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4886] = 3,
    ACTIONS(365), 1,
      ts_builtin_sym_end,
    ACTIONS(367), 1,
      sym__single_quote,
    ACTIONS(249), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4908] = 4,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    STATE(193), 1,
      sym__end_of_line,
    ACTIONS(373), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(371), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_LBRACK,
      sym_identifier,
      sym_function_keyword,
      anon_sym_PERCENT,
  [4932] = 4,
    ACTIONS(353), 1,
      ts_builtin_sym_end,
    STATE(197), 1,
      sym__end_of_line,
    ACTIONS(359), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
    ACTIONS(355), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_LBRACK,
      sym_identifier,
      sym_function_keyword,
      anon_sym_PERCENT,
  [4956] = 2,
    ACTIONS(375), 1,
      ts_builtin_sym_end,
    ACTIONS(263), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [4975] = 12,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(377), 1,
      sym_identifier,
    ACTIONS(379), 1,
      anon_sym_LBRACK,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(25), 1,
      sym_function_call,
    STATE(32), 1,
      sym_factor,
    STATE(42), 1,
      sym_operation,
    STATE(326), 1,
      sym__range_element,
    STATE(28), 2,
      sym_range,
      sym_string,
    STATE(140), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5014] = 2,
    ACTIONS(383), 1,
      ts_builtin_sym_end,
    ACTIONS(261), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5033] = 2,
    ACTIONS(385), 1,
      ts_builtin_sym_end,
    ACTIONS(265), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5052] = 2,
    ACTIONS(383), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(261), 12,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [5071] = 2,
    ACTIONS(387), 1,
      ts_builtin_sym_end,
    ACTIONS(267), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5090] = 2,
    ACTIONS(389), 1,
      ts_builtin_sym_end,
    ACTIONS(269), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5109] = 12,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(377), 1,
      sym_identifier,
    ACTIONS(379), 1,
      anon_sym_LBRACK,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(25), 1,
      sym_function_call,
    STATE(31), 1,
      sym_factor,
    STATE(38), 1,
      sym_operation,
    STATE(326), 1,
      sym__range_element,
    STATE(28), 2,
      sym_range,
      sym_string,
    STATE(152), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5148] = 2,
    ACTIONS(391), 1,
      ts_builtin_sym_end,
    ACTIONS(273), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5167] = 2,
    ACTIONS(393), 1,
      ts_builtin_sym_end,
    ACTIONS(277), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5186] = 2,
    ACTIONS(395), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(259), 12,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_otherwise,
      anon_sym_try,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [5205] = 2,
    ACTIONS(79), 1,
      ts_builtin_sym_end,
    ACTIONS(45), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5224] = 2,
    ACTIONS(397), 1,
      ts_builtin_sym_end,
    ACTIONS(399), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5243] = 2,
    ACTIONS(361), 1,
      ts_builtin_sym_end,
    ACTIONS(253), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5262] = 2,
    ACTIONS(81), 1,
      ts_builtin_sym_end,
    ACTIONS(43), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5281] = 12,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(403), 1,
      anon_sym_LBRACK,
    ACTIONS(405), 1,
      sym__single_quote,
    ACTIONS(407), 1,
      sym__double_quote,
    ACTIONS(409), 1,
      sym_number,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    STATE(10), 1,
      sym_factor,
    STATE(11), 1,
      sym_function_call,
    STATE(18), 1,
      sym_operation,
    STATE(323), 1,
      sym__range_element,
    STATE(17), 2,
      sym_range,
      sym_string,
    STATE(97), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5320] = 2,
    ACTIONS(413), 1,
      ts_builtin_sym_end,
    ACTIONS(275), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5339] = 12,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(403), 1,
      anon_sym_LBRACK,
    ACTIONS(405), 1,
      sym__single_quote,
    ACTIONS(407), 1,
      sym__double_quote,
    ACTIONS(409), 1,
      sym_number,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    STATE(9), 1,
      sym_factor,
    STATE(11), 1,
      sym_function_call,
    STATE(14), 1,
      sym_operation,
    STATE(323), 1,
      sym__range_element,
    STATE(17), 2,
      sym_range,
      sym_string,
    STATE(110), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5378] = 12,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(377), 1,
      sym_identifier,
    ACTIONS(379), 1,
      anon_sym_LBRACK,
    ACTIONS(381), 1,
      anon_sym_LBRACE,
    STATE(25), 1,
      sym_function_call,
    STATE(33), 1,
      sym_factor,
    STATE(34), 1,
      sym_operation,
    STATE(326), 1,
      sym__range_element,
    STATE(28), 2,
      sym_range,
      sym_string,
    STATE(143), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5417] = 12,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(403), 1,
      anon_sym_LBRACK,
    ACTIONS(405), 1,
      sym__single_quote,
    ACTIONS(407), 1,
      sym__double_quote,
    ACTIONS(409), 1,
      sym_number,
    ACTIONS(411), 1,
      anon_sym_LBRACE,
    STATE(8), 1,
      sym_factor,
    STATE(11), 1,
      sym_function_call,
    STATE(19), 1,
      sym_operation,
    STATE(323), 1,
      sym__range_element,
    STATE(17), 2,
      sym_range,
      sym_string,
    STATE(108), 2,
      sym_vector_definition,
      sym_cell_definition,
  [5456] = 2,
    ACTIONS(415), 1,
      ts_builtin_sym_end,
    ACTIONS(305), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5475] = 2,
    ACTIONS(417), 1,
      ts_builtin_sym_end,
    ACTIONS(299), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5494] = 2,
    ACTIONS(419), 1,
      ts_builtin_sym_end,
    ACTIONS(279), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5513] = 2,
    ACTIONS(77), 1,
      ts_builtin_sym_end,
    ACTIONS(39), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5532] = 2,
    ACTIONS(421), 1,
      ts_builtin_sym_end,
    ACTIONS(281), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5551] = 2,
    ACTIONS(423), 1,
      ts_builtin_sym_end,
    ACTIONS(425), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5570] = 2,
    ACTIONS(427), 1,
      ts_builtin_sym_end,
    ACTIONS(285), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5589] = 2,
    ACTIONS(429), 1,
      ts_builtin_sym_end,
    ACTIONS(257), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5608] = 2,
    ACTIONS(431), 1,
      ts_builtin_sym_end,
    ACTIONS(289), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5627] = 2,
    ACTIONS(433), 1,
      ts_builtin_sym_end,
    ACTIONS(283), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5646] = 2,
    ACTIONS(435), 1,
      ts_builtin_sym_end,
    ACTIONS(437), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5665] = 2,
    ACTIONS(439), 1,
      ts_builtin_sym_end,
    ACTIONS(287), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5684] = 2,
    ACTIONS(441), 1,
      ts_builtin_sym_end,
    ACTIONS(291), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5703] = 2,
    ACTIONS(443), 1,
      ts_builtin_sym_end,
    ACTIONS(293), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5722] = 2,
    ACTIONS(445), 1,
      ts_builtin_sym_end,
    ACTIONS(295), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5741] = 2,
    ACTIONS(447), 1,
      ts_builtin_sym_end,
    ACTIONS(297), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5760] = 2,
    ACTIONS(449), 1,
      ts_builtin_sym_end,
    ACTIONS(301), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5779] = 2,
    ACTIONS(395), 1,
      ts_builtin_sym_end,
    ACTIONS(259), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5798] = 2,
    ACTIONS(451), 1,
      ts_builtin_sym_end,
    ACTIONS(453), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5817] = 2,
    ACTIONS(455), 1,
      ts_builtin_sym_end,
    ACTIONS(303), 13,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_SEMI,
      sym_function_keyword,
      anon_sym_PERCENT,
      anon_sym_LF,
      anon_sym_CR,
  [5836] = 10,
    ACTIONS(457), 1,
      sym_identifier,
    ACTIONS(462), 1,
      sym__single_quote,
    ACTIONS(465), 1,
      sym__double_quote,
    ACTIONS(468), 1,
      sym_number,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    ACTIONS(460), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [5870] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(473), 1,
      anon_sym_RBRACK,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [5903] = 2,
    ACTIONS(483), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(481), 10,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [5920] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(485), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(175), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [5953] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(487), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(178), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [5986] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(489), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6019] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(491), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6052] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(493), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(178), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6085] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(495), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(179), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6118] = 10,
    ACTIONS(497), 1,
      sym_identifier,
    ACTIONS(500), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 1,
      sym__single_quote,
    ACTIONS(505), 1,
      sym__double_quote,
    ACTIONS(508), 1,
      sym_number,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(178), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6151] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(511), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6184] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(513), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6217] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(515), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(178), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6250] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(517), 1,
      anon_sym_RBRACE,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(174), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6283] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(519), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(173), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6316] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(521), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(180), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6349] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(523), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(170), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6382] = 2,
    ACTIONS(527), 2,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(525), 10,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      sym_identifier,
      anon_sym_return,
      anon_sym_continue,
      anon_sym_break,
      sym_end,
  [6399] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(529), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(181), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6432] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(531), 1,
      anon_sym_RPAREN,
    STATE(48), 1,
      sym_function_call,
    STATE(76), 1,
      sym_factor,
    STATE(176), 1,
      aux_sym_argument_list_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6465] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(533), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(169), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6498] = 10,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    ACTIONS(535), 1,
      anon_sym_RBRACK,
    STATE(48), 1,
      sym_function_call,
    STATE(64), 1,
      sym_factor,
    STATE(189), 1,
      aux_sym_vector_definition_repeat1,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6531] = 8,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(377), 1,
      sym_identifier,
    STATE(25), 1,
      sym_function_call,
    STATE(72), 1,
      sym_factor,
    STATE(326), 1,
      sym__range_element,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6558] = 8,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    STATE(48), 1,
      sym_function_call,
    STATE(112), 1,
      sym_factor,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6585] = 2,
    ACTIONS(537), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(539), 7,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      sym_identifier,
      sym_function_keyword,
  [6600] = 8,
    ACTIONS(313), 1,
      sym__single_quote,
    ACTIONS(315), 1,
      sym__double_quote,
    ACTIONS(317), 1,
      sym_number,
    ACTIONS(377), 1,
      sym_identifier,
    STATE(25), 1,
      sym_function_call,
    STATE(26), 1,
      sym_factor,
    STATE(326), 1,
      sym__range_element,
    STATE(28), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6627] = 8,
    ACTIONS(401), 1,
      sym_identifier,
    ACTIONS(405), 1,
      sym__single_quote,
    ACTIONS(407), 1,
      sym__double_quote,
    ACTIONS(409), 1,
      sym_number,
    STATE(11), 1,
      sym_function_call,
    STATE(13), 1,
      sym_factor,
    STATE(323), 1,
      sym__range_element,
    STATE(17), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6654] = 8,
    ACTIONS(471), 1,
      sym_identifier,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(479), 1,
      sym_number,
    STATE(48), 1,
      sym_function_call,
    STATE(49), 1,
      sym_factor,
    STATE(314), 1,
      sym__range_element,
    STATE(53), 3,
      sym_operation,
      sym_range,
      sym_string,
  [6681] = 2,
    ACTIONS(541), 3,
      ts_builtin_sym_end,
      anon_sym_LBRACK,
      anon_sym_PERCENT,
    ACTIONS(543), 7,
      anon_sym_if,
      anon_sym_for,
      anon_sym_while,
      anon_sym_switch,
      anon_sym_try,
      sym_identifier,
      sym_function_keyword,
  [6696] = 4,
    ACTIONS(545), 1,
      anon_sym_RPAREN,
    STATE(200), 1,
      aux_sym_bool_repeat1,
    ACTIONS(200), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [6713] = 4,
    ACTIONS(549), 1,
      anon_sym_RPAREN,
    STATE(200), 1,
      aux_sym_bool_repeat1,
    ACTIONS(200), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(551), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [6730] = 3,
    STATE(200), 1,
      aux_sym_bool_repeat1,
    ACTIONS(553), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(198), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [6745] = 5,
    ACTIONS(475), 1,
      sym__single_quote,
    ACTIONS(477), 1,
      sym__double_quote,
    ACTIONS(558), 1,
      anon_sym_LBRACE,
    ACTIONS(556), 2,
      sym_identifier,
      sym_number,
    STATE(52), 2,
      sym_string,
      sym_cell_definition,
  [6763] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(562), 1,
      sym_end,
    STATE(274), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6780] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(564), 1,
      sym_end,
    STATE(284), 1,
      sym_else_statement,
    STATE(202), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6797] = 5,
    ACTIONS(566), 1,
      anon_sym_case,
    ACTIONS(568), 1,
      anon_sym_otherwise,
    ACTIONS(570), 1,
      sym_end,
    STATE(316), 1,
      sym_otherwise_statement,
    STATE(219), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [6814] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(572), 1,
      sym_end,
    STATE(280), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6831] = 1,
    ACTIONS(460), 6,
      anon_sym_RBRACK,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      sym_number,
      anon_sym_RBRACE,
  [6840] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(574), 1,
      sym_end,
    STATE(269), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6857] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(576), 1,
      sym_end,
    STATE(297), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6874] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(574), 1,
      sym_end,
    STATE(269), 1,
      sym_else_statement,
    STATE(208), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6891] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(578), 1,
      sym_end,
    STATE(295), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6908] = 5,
    ACTIONS(566), 1,
      anon_sym_case,
    ACTIONS(568), 1,
      anon_sym_otherwise,
    ACTIONS(580), 1,
      sym_end,
    STATE(286), 1,
      sym_otherwise_statement,
    STATE(219), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [6925] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(578), 1,
      sym_end,
    STATE(295), 1,
      sym_else_statement,
    STATE(217), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6942] = 6,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(582), 1,
      sym_identifier,
    ACTIONS(584), 1,
      sym__not,
    STATE(221), 1,
      sym_expression,
    STATE(291), 1,
      sym_function_call,
    STATE(317), 1,
      sym_vector_definition,
  [6961] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(564), 1,
      sym_end,
    STATE(284), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6978] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(586), 1,
      sym_end,
    STATE(299), 1,
      sym_else_statement,
    STATE(205), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [6995] = 6,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(582), 1,
      sym_identifier,
    ACTIONS(588), 1,
      sym__not,
    STATE(237), 1,
      sym_expression,
    STATE(291), 1,
      sym_function_call,
    STATE(317), 1,
      sym_vector_definition,
  [7014] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(590), 1,
      sym_end,
    STATE(298), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [7031] = 5,
    ACTIONS(91), 1,
      anon_sym_else,
    ACTIONS(560), 1,
      anon_sym_elseif,
    ACTIONS(586), 1,
      sym_end,
    STATE(299), 1,
      sym_else_statement,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [7048] = 3,
    ACTIONS(592), 1,
      anon_sym_case,
    ACTIONS(595), 2,
      anon_sym_otherwise,
      sym_end,
    STATE(219), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [7060] = 5,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(582), 1,
      sym_identifier,
    STATE(229), 1,
      sym_expression,
    STATE(291), 1,
      sym_function_call,
    STATE(317), 1,
      sym_vector_definition,
  [7076] = 2,
    STATE(70), 1,
      sym__end_of_line,
    ACTIONS(597), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7086] = 2,
    STATE(68), 1,
      sym__end_of_line,
    ACTIONS(599), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7096] = 2,
    STATE(66), 1,
      sym__end_of_line,
    ACTIONS(601), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7106] = 2,
    STATE(41), 1,
      sym__end_of_line,
    ACTIONS(603), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7116] = 2,
    STATE(54), 1,
      sym__end_of_line,
    ACTIONS(605), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7126] = 2,
    STATE(63), 1,
      sym__end_of_line,
    ACTIONS(607), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7136] = 2,
    STATE(40), 1,
      sym__end_of_line,
    ACTIONS(609), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7146] = 2,
    STATE(56), 1,
      sym__end_of_line,
    ACTIONS(611), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7156] = 2,
    STATE(71), 1,
      sym__end_of_line,
    ACTIONS(613), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7166] = 2,
    STATE(67), 1,
      sym__end_of_line,
    ACTIONS(615), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7176] = 1,
    ACTIONS(500), 5,
      anon_sym_RPAREN,
      sym_identifier,
      sym__single_quote,
      sym__double_quote,
      sym_number,
  [7184] = 2,
    STATE(59), 1,
      sym__end_of_line,
    ACTIONS(617), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7194] = 2,
    STATE(39), 1,
      sym__end_of_line,
    ACTIONS(619), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7204] = 4,
    ACTIONS(621), 1,
      anon_sym_elseif,
    ACTIONS(624), 1,
      anon_sym_else,
    ACTIONS(626), 1,
      sym_end,
    STATE(234), 2,
      sym_elseif_statement,
      aux_sym_if_statement_repeat1,
  [7218] = 2,
    STATE(62), 1,
      sym__end_of_line,
    ACTIONS(628), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7228] = 2,
    STATE(57), 1,
      sym__end_of_line,
    ACTIONS(630), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7238] = 2,
    STATE(60), 1,
      sym__end_of_line,
    ACTIONS(632), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7248] = 5,
    ACTIONS(17), 1,
      anon_sym_LBRACK,
    ACTIONS(582), 1,
      sym_identifier,
    STATE(223), 1,
      sym_expression,
    STATE(291), 1,
      sym_function_call,
    STATE(317), 1,
      sym_vector_definition,
  [7264] = 2,
    STATE(37), 1,
      sym__end_of_line,
    ACTIONS(634), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7274] = 2,
    ACTIONS(638), 1,
      anon_sym_COMMA,
    ACTIONS(636), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_identifier,
  [7283] = 3,
    ACTIONS(640), 1,
      sym_identifier,
    ACTIONS(642), 1,
      sym_number,
    STATE(30), 2,
      sym__range_element,
      sym_function_call,
  [7294] = 3,
    ACTIONS(644), 1,
      sym_identifier,
    ACTIONS(646), 1,
      sym_number,
    STATE(12), 2,
      sym__range_element,
      sym_function_call,
  [7305] = 3,
    ACTIONS(648), 1,
      sym_identifier,
    STATE(243), 1,
      aux_sym_parameter_list_repeat1,
    ACTIONS(651), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [7316] = 3,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(655), 1,
      sym_number,
    STATE(51), 2,
      sym__range_element,
      sym_function_call,
  [7327] = 1,
    ACTIONS(657), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7334] = 3,
    ACTIONS(653), 1,
      sym_identifier,
    ACTIONS(659), 1,
      sym_number,
    STATE(55), 2,
      sym__range_element,
      sym_function_call,
  [7345] = 1,
    ACTIONS(551), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LF,
      anon_sym_CR,
  [7352] = 3,
    ACTIONS(644), 1,
      sym_identifier,
    ACTIONS(661), 1,
      sym_number,
    STATE(15), 2,
      sym__range_element,
      sym_function_call,
  [7363] = 3,
    ACTIONS(640), 1,
      sym_identifier,
    ACTIONS(663), 1,
      sym_number,
    STATE(27), 2,
      sym__range_element,
      sym_function_call,
  [7374] = 3,
    ACTIONS(665), 1,
      anon_sym_EQ,
    ACTIONS(667), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parameter_list,
  [7384] = 3,
    ACTIONS(669), 1,
      anon_sym_catch,
    ACTIONS(671), 1,
      sym_end,
    STATE(287), 1,
      sym_catch_statement,
  [7394] = 2,
    ACTIONS(566), 1,
      anon_sym_case,
    STATE(204), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [7402] = 3,
    ACTIONS(669), 1,
      anon_sym_catch,
    ACTIONS(673), 1,
      sym_end,
    STATE(313), 1,
      sym_catch_statement,
  [7412] = 3,
    ACTIONS(675), 1,
      sym_identifier,
    ACTIONS(677), 1,
      anon_sym_RBRACK,
    STATE(243), 1,
      aux_sym_parameter_list_repeat1,
  [7422] = 3,
    ACTIONS(675), 1,
      sym_identifier,
    ACTIONS(679), 1,
      anon_sym_RPAREN,
    STATE(259), 1,
      aux_sym_parameter_list_repeat1,
  [7432] = 2,
    ACTIONS(566), 1,
      anon_sym_case,
    STATE(211), 2,
      sym_case_statement,
      aux_sym_switch_statement_repeat1,
  [7440] = 1,
    ACTIONS(651), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_identifier,
  [7446] = 3,
    ACTIONS(83), 1,
      anon_sym_LPAREN,
    ACTIONS(681), 1,
      anon_sym_EQ,
    STATE(43), 1,
      sym_argument_list,
  [7456] = 3,
    ACTIONS(675), 1,
      sym_identifier,
    ACTIONS(683), 1,
      anon_sym_RPAREN,
    STATE(243), 1,
      aux_sym_parameter_list_repeat1,
  [7466] = 3,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      sym_return_value,
  [7476] = 3,
    ACTIONS(148), 1,
      anon_sym_EQ,
    ACTIONS(150), 1,
      anon_sym_LPAREN,
    STATE(6), 1,
      sym_argument_list,
  [7486] = 1,
    ACTIONS(689), 3,
      anon_sym_case,
      anon_sym_otherwise,
      sym_end,
  [7492] = 2,
    ACTIONS(693), 1,
      anon_sym_else,
    ACTIONS(691), 2,
      anon_sym_elseif,
      sym_end,
  [7500] = 3,
    ACTIONS(681), 1,
      anon_sym_EQ,
    ACTIONS(695), 1,
      anon_sym_LPAREN,
    STATE(22), 1,
      sym_argument_list,
  [7510] = 2,
    ACTIONS(361), 1,
      anon_sym_EQ,
    ACTIONS(697), 1,
      sym__single_quote,
  [7517] = 2,
    ACTIONS(365), 1,
      anon_sym_EQ,
    ACTIONS(699), 1,
      sym__single_quote,
  [7524] = 2,
    ACTIONS(667), 1,
      anon_sym_LPAREN,
    STATE(69), 1,
      sym_parameter_list,
  [7531] = 2,
    ACTIONS(675), 1,
      sym_identifier,
    STATE(254), 1,
      aux_sym_parameter_list_repeat1,
  [7538] = 1,
    ACTIONS(576), 1,
      sym_end,
  [7542] = 1,
    ACTIONS(701), 1,
      aux_sym_string_token1,
  [7546] = 1,
    ACTIONS(703), 1,
      sym__double_quote,
  [7550] = 1,
    ACTIONS(705), 1,
      anon_sym_EQ,
  [7554] = 1,
    ACTIONS(707), 1,
      anon_sym_LF,
  [7558] = 1,
    ACTIONS(709), 1,
      sym_end,
  [7562] = 1,
    ACTIONS(671), 1,
      sym_end,
  [7566] = 1,
    ACTIONS(711), 1,
      sym_end,
  [7570] = 1,
    ACTIONS(713), 1,
      sym__single_quote,
  [7574] = 1,
    ACTIONS(715), 1,
      sym_identifier,
  [7578] = 1,
    ACTIONS(574), 1,
      sym_end,
  [7582] = 1,
    ACTIONS(717), 1,
      sym_end,
  [7586] = 1,
    ACTIONS(719), 1,
      sym_end,
  [7590] = 1,
    ACTIONS(713), 1,
      sym__double_quote,
  [7594] = 1,
    ACTIONS(721), 1,
      sym_end,
  [7598] = 1,
    ACTIONS(562), 1,
      sym_end,
  [7602] = 1,
    ACTIONS(723), 1,
      sym_end,
  [7606] = 1,
    ACTIONS(725), 1,
      sym_end,
  [7610] = 1,
    ACTIONS(727), 1,
      sym_end,
  [7614] = 1,
    ACTIONS(729), 1,
      sym_end,
  [7618] = 1,
    ACTIONS(578), 1,
      sym_end,
  [7622] = 1,
    ACTIONS(731), 1,
      sym_end,
  [7626] = 1,
    ACTIONS(733), 1,
      anon_sym_EQ,
  [7630] = 1,
    ACTIONS(735), 1,
      sym_end,
  [7634] = 1,
    ACTIONS(737), 1,
      sym_end,
  [7638] = 1,
    ACTIONS(739), 1,
      sym_end,
  [7642] = 1,
    ACTIONS(590), 1,
      sym_end,
  [7646] = 1,
    ACTIONS(741), 1,
      sym_end,
  [7650] = 1,
    ACTIONS(743), 1,
      sym_end,
  [7654] = 1,
    ACTIONS(745), 1,
      sym_end,
  [7658] = 1,
    ACTIONS(572), 1,
      sym_end,
  [7662] = 1,
    ACTIONS(703), 1,
      sym__single_quote,
  [7666] = 1,
    ACTIONS(564), 1,
      sym_end,
  [7670] = 1,
    ACTIONS(747), 1,
      anon_sym_LF,
  [7674] = 1,
    ACTIONS(749), 1,
      sym__single_quote,
  [7678] = 1,
    ACTIONS(749), 1,
      sym__double_quote,
  [7682] = 1,
    ACTIONS(751), 1,
      sym_end,
  [7686] = 1,
    ACTIONS(673), 1,
      sym_end,
  [7690] = 1,
    ACTIONS(753), 1,
      anon_sym_EQ,
  [7694] = 1,
    ACTIONS(755), 1,
      anon_sym_EQ,
  [7698] = 1,
    ACTIONS(375), 1,
      anon_sym_EQ,
  [7702] = 1,
    ACTIONS(757), 1,
      aux_sym_comment_token1,
  [7706] = 1,
    ACTIONS(759), 1,
      aux_sym_string_token2,
  [7710] = 1,
    ACTIONS(761), 1,
      aux_sym_string_token1,
  [7714] = 1,
    ACTIONS(763), 1,
      sym_end,
  [7718] = 1,
    ACTIONS(765), 1,
      anon_sym_COLON,
  [7722] = 1,
    ACTIONS(767), 1,
      sym_end,
  [7726] = 1,
    ACTIONS(769), 1,
      sym_end,
  [7730] = 1,
    ACTIONS(771), 1,
      anon_sym_EQ,
  [7734] = 1,
    ACTIONS(773), 1,
      sym_end,
  [7738] = 1,
    ACTIONS(775), 1,
      sym_end,
  [7742] = 1,
    ACTIONS(586), 1,
      sym_end,
  [7746] = 1,
    ACTIONS(777), 1,
      aux_sym_string_token2,
  [7750] = 1,
    ACTIONS(779), 1,
      aux_sym_string_token1,
  [7754] = 1,
    ACTIONS(781), 1,
      anon_sym_COLON,
  [7758] = 1,
    ACTIONS(783), 1,
      sym_identifier,
  [7762] = 1,
    ACTIONS(785), 1,
      aux_sym_comment_token1,
  [7766] = 1,
    ACTIONS(787), 1,
      anon_sym_COLON,
  [7770] = 1,
    ACTIONS(789), 1,
      sym_identifier,
  [7774] = 1,
    ACTIONS(791), 1,
      ts_builtin_sym_end,
  [7778] = 1,
    ACTIONS(361), 1,
      anon_sym_EQ,
  [7782] = 1,
    ACTIONS(793), 1,
      aux_sym_string_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 45,
  [SMALL_STATE(4)] = 94,
  [SMALL_STATE(5)] = 141,
  [SMALL_STATE(6)] = 183,
  [SMALL_STATE(7)] = 225,
  [SMALL_STATE(8)] = 267,
  [SMALL_STATE(9)] = 312,
  [SMALL_STATE(10)] = 357,
  [SMALL_STATE(11)] = 402,
  [SMALL_STATE(12)] = 445,
  [SMALL_STATE(13)] = 488,
  [SMALL_STATE(14)] = 533,
  [SMALL_STATE(15)] = 575,
  [SMALL_STATE(16)] = 615,
  [SMALL_STATE(17)] = 655,
  [SMALL_STATE(18)] = 695,
  [SMALL_STATE(19)] = 737,
  [SMALL_STATE(20)] = 779,
  [SMALL_STATE(21)] = 824,
  [SMALL_STATE(22)] = 871,
  [SMALL_STATE(23)] = 911,
  [SMALL_STATE(24)] = 951,
  [SMALL_STATE(25)] = 991,
  [SMALL_STATE(26)] = 1032,
  [SMALL_STATE(27)] = 1075,
  [SMALL_STATE(28)] = 1116,
  [SMALL_STATE(29)] = 1154,
  [SMALL_STATE(30)] = 1192,
  [SMALL_STATE(31)] = 1230,
  [SMALL_STATE(32)] = 1270,
  [SMALL_STATE(33)] = 1310,
  [SMALL_STATE(34)] = 1350,
  [SMALL_STATE(35)] = 1387,
  [SMALL_STATE(36)] = 1428,
  [SMALL_STATE(37)] = 1467,
  [SMALL_STATE(38)] = 1538,
  [SMALL_STATE(39)] = 1575,
  [SMALL_STATE(40)] = 1646,
  [SMALL_STATE(41)] = 1717,
  [SMALL_STATE(42)] = 1788,
  [SMALL_STATE(43)] = 1825,
  [SMALL_STATE(44)] = 1859,
  [SMALL_STATE(45)] = 1919,
  [SMALL_STATE(46)] = 1953,
  [SMALL_STATE(47)] = 2013,
  [SMALL_STATE(48)] = 2047,
  [SMALL_STATE(49)] = 2082,
  [SMALL_STATE(50)] = 2119,
  [SMALL_STATE(51)] = 2186,
  [SMALL_STATE(52)] = 2221,
  [SMALL_STATE(53)] = 2281,
  [SMALL_STATE(54)] = 2313,
  [SMALL_STATE(55)] = 2373,
  [SMALL_STATE(56)] = 2405,
  [SMALL_STATE(57)] = 2469,
  [SMALL_STATE(58)] = 2533,
  [SMALL_STATE(59)] = 2591,
  [SMALL_STATE(60)] = 2649,
  [SMALL_STATE(61)] = 2707,
  [SMALL_STATE(62)] = 2765,
  [SMALL_STATE(63)] = 2823,
  [SMALL_STATE(64)] = 2881,
  [SMALL_STATE(65)] = 2917,
  [SMALL_STATE(66)] = 2975,
  [SMALL_STATE(67)] = 3033,
  [SMALL_STATE(68)] = 3091,
  [SMALL_STATE(69)] = 3149,
  [SMALL_STATE(70)] = 3207,
  [SMALL_STATE(71)] = 3265,
  [SMALL_STATE(72)] = 3323,
  [SMALL_STATE(73)] = 3354,
  [SMALL_STATE(74)] = 3389,
  [SMALL_STATE(75)] = 3419,
  [SMALL_STATE(76)] = 3451,
  [SMALL_STATE(77)] = 3485,
  [SMALL_STATE(78)] = 3514,
  [SMALL_STATE(79)] = 3567,
  [SMALL_STATE(80)] = 3620,
  [SMALL_STATE(81)] = 3649,
  [SMALL_STATE(82)] = 3676,
  [SMALL_STATE(83)] = 3703,
  [SMALL_STATE(84)] = 3727,
  [SMALL_STATE(85)] = 3751,
  [SMALL_STATE(86)] = 3775,
  [SMALL_STATE(87)] = 3799,
  [SMALL_STATE(88)] = 3823,
  [SMALL_STATE(89)] = 3847,
  [SMALL_STATE(90)] = 3871,
  [SMALL_STATE(91)] = 3895,
  [SMALL_STATE(92)] = 3919,
  [SMALL_STATE(93)] = 3943,
  [SMALL_STATE(94)] = 3967,
  [SMALL_STATE(95)] = 3991,
  [SMALL_STATE(96)] = 4015,
  [SMALL_STATE(97)] = 4039,
  [SMALL_STATE(98)] = 4063,
  [SMALL_STATE(99)] = 4087,
  [SMALL_STATE(100)] = 4111,
  [SMALL_STATE(101)] = 4135,
  [SMALL_STATE(102)] = 4159,
  [SMALL_STATE(103)] = 4183,
  [SMALL_STATE(104)] = 4207,
  [SMALL_STATE(105)] = 4231,
  [SMALL_STATE(106)] = 4255,
  [SMALL_STATE(107)] = 4279,
  [SMALL_STATE(108)] = 4303,
  [SMALL_STATE(109)] = 4327,
  [SMALL_STATE(110)] = 4351,
  [SMALL_STATE(111)] = 4375,
  [SMALL_STATE(112)] = 4399,
  [SMALL_STATE(113)] = 4430,
  [SMALL_STATE(114)] = 4472,
  [SMALL_STATE(115)] = 4494,
  [SMALL_STATE(116)] = 4536,
  [SMALL_STATE(117)] = 4578,
  [SMALL_STATE(118)] = 4620,
  [SMALL_STATE(119)] = 4642,
  [SMALL_STATE(120)] = 4681,
  [SMALL_STATE(121)] = 4720,
  [SMALL_STATE(122)] = 4759,
  [SMALL_STATE(123)] = 4798,
  [SMALL_STATE(124)] = 4837,
  [SMALL_STATE(125)] = 4864,
  [SMALL_STATE(126)] = 4886,
  [SMALL_STATE(127)] = 4908,
  [SMALL_STATE(128)] = 4932,
  [SMALL_STATE(129)] = 4956,
  [SMALL_STATE(130)] = 4975,
  [SMALL_STATE(131)] = 5014,
  [SMALL_STATE(132)] = 5033,
  [SMALL_STATE(133)] = 5052,
  [SMALL_STATE(134)] = 5071,
  [SMALL_STATE(135)] = 5090,
  [SMALL_STATE(136)] = 5109,
  [SMALL_STATE(137)] = 5148,
  [SMALL_STATE(138)] = 5167,
  [SMALL_STATE(139)] = 5186,
  [SMALL_STATE(140)] = 5205,
  [SMALL_STATE(141)] = 5224,
  [SMALL_STATE(142)] = 5243,
  [SMALL_STATE(143)] = 5262,
  [SMALL_STATE(144)] = 5281,
  [SMALL_STATE(145)] = 5320,
  [SMALL_STATE(146)] = 5339,
  [SMALL_STATE(147)] = 5378,
  [SMALL_STATE(148)] = 5417,
  [SMALL_STATE(149)] = 5456,
  [SMALL_STATE(150)] = 5475,
  [SMALL_STATE(151)] = 5494,
  [SMALL_STATE(152)] = 5513,
  [SMALL_STATE(153)] = 5532,
  [SMALL_STATE(154)] = 5551,
  [SMALL_STATE(155)] = 5570,
  [SMALL_STATE(156)] = 5589,
  [SMALL_STATE(157)] = 5608,
  [SMALL_STATE(158)] = 5627,
  [SMALL_STATE(159)] = 5646,
  [SMALL_STATE(160)] = 5665,
  [SMALL_STATE(161)] = 5684,
  [SMALL_STATE(162)] = 5703,
  [SMALL_STATE(163)] = 5722,
  [SMALL_STATE(164)] = 5741,
  [SMALL_STATE(165)] = 5760,
  [SMALL_STATE(166)] = 5779,
  [SMALL_STATE(167)] = 5798,
  [SMALL_STATE(168)] = 5817,
  [SMALL_STATE(169)] = 5836,
  [SMALL_STATE(170)] = 5870,
  [SMALL_STATE(171)] = 5903,
  [SMALL_STATE(172)] = 5920,
  [SMALL_STATE(173)] = 5953,
  [SMALL_STATE(174)] = 5986,
  [SMALL_STATE(175)] = 6019,
  [SMALL_STATE(176)] = 6052,
  [SMALL_STATE(177)] = 6085,
  [SMALL_STATE(178)] = 6118,
  [SMALL_STATE(179)] = 6151,
  [SMALL_STATE(180)] = 6184,
  [SMALL_STATE(181)] = 6217,
  [SMALL_STATE(182)] = 6250,
  [SMALL_STATE(183)] = 6283,
  [SMALL_STATE(184)] = 6316,
  [SMALL_STATE(185)] = 6349,
  [SMALL_STATE(186)] = 6382,
  [SMALL_STATE(187)] = 6399,
  [SMALL_STATE(188)] = 6432,
  [SMALL_STATE(189)] = 6465,
  [SMALL_STATE(190)] = 6498,
  [SMALL_STATE(191)] = 6531,
  [SMALL_STATE(192)] = 6558,
  [SMALL_STATE(193)] = 6585,
  [SMALL_STATE(194)] = 6600,
  [SMALL_STATE(195)] = 6627,
  [SMALL_STATE(196)] = 6654,
  [SMALL_STATE(197)] = 6681,
  [SMALL_STATE(198)] = 6696,
  [SMALL_STATE(199)] = 6713,
  [SMALL_STATE(200)] = 6730,
  [SMALL_STATE(201)] = 6745,
  [SMALL_STATE(202)] = 6763,
  [SMALL_STATE(203)] = 6780,
  [SMALL_STATE(204)] = 6797,
  [SMALL_STATE(205)] = 6814,
  [SMALL_STATE(206)] = 6831,
  [SMALL_STATE(207)] = 6840,
  [SMALL_STATE(208)] = 6857,
  [SMALL_STATE(209)] = 6874,
  [SMALL_STATE(210)] = 6891,
  [SMALL_STATE(211)] = 6908,
  [SMALL_STATE(212)] = 6925,
  [SMALL_STATE(213)] = 6942,
  [SMALL_STATE(214)] = 6961,
  [SMALL_STATE(215)] = 6978,
  [SMALL_STATE(216)] = 6995,
  [SMALL_STATE(217)] = 7014,
  [SMALL_STATE(218)] = 7031,
  [SMALL_STATE(219)] = 7048,
  [SMALL_STATE(220)] = 7060,
  [SMALL_STATE(221)] = 7076,
  [SMALL_STATE(222)] = 7086,
  [SMALL_STATE(223)] = 7096,
  [SMALL_STATE(224)] = 7106,
  [SMALL_STATE(225)] = 7116,
  [SMALL_STATE(226)] = 7126,
  [SMALL_STATE(227)] = 7136,
  [SMALL_STATE(228)] = 7146,
  [SMALL_STATE(229)] = 7156,
  [SMALL_STATE(230)] = 7166,
  [SMALL_STATE(231)] = 7176,
  [SMALL_STATE(232)] = 7184,
  [SMALL_STATE(233)] = 7194,
  [SMALL_STATE(234)] = 7204,
  [SMALL_STATE(235)] = 7218,
  [SMALL_STATE(236)] = 7228,
  [SMALL_STATE(237)] = 7238,
  [SMALL_STATE(238)] = 7248,
  [SMALL_STATE(239)] = 7264,
  [SMALL_STATE(240)] = 7274,
  [SMALL_STATE(241)] = 7283,
  [SMALL_STATE(242)] = 7294,
  [SMALL_STATE(243)] = 7305,
  [SMALL_STATE(244)] = 7316,
  [SMALL_STATE(245)] = 7327,
  [SMALL_STATE(246)] = 7334,
  [SMALL_STATE(247)] = 7345,
  [SMALL_STATE(248)] = 7352,
  [SMALL_STATE(249)] = 7363,
  [SMALL_STATE(250)] = 7374,
  [SMALL_STATE(251)] = 7384,
  [SMALL_STATE(252)] = 7394,
  [SMALL_STATE(253)] = 7402,
  [SMALL_STATE(254)] = 7412,
  [SMALL_STATE(255)] = 7422,
  [SMALL_STATE(256)] = 7432,
  [SMALL_STATE(257)] = 7440,
  [SMALL_STATE(258)] = 7446,
  [SMALL_STATE(259)] = 7456,
  [SMALL_STATE(260)] = 7466,
  [SMALL_STATE(261)] = 7476,
  [SMALL_STATE(262)] = 7486,
  [SMALL_STATE(263)] = 7492,
  [SMALL_STATE(264)] = 7500,
  [SMALL_STATE(265)] = 7510,
  [SMALL_STATE(266)] = 7517,
  [SMALL_STATE(267)] = 7524,
  [SMALL_STATE(268)] = 7531,
  [SMALL_STATE(269)] = 7538,
  [SMALL_STATE(270)] = 7542,
  [SMALL_STATE(271)] = 7546,
  [SMALL_STATE(272)] = 7550,
  [SMALL_STATE(273)] = 7554,
  [SMALL_STATE(274)] = 7558,
  [SMALL_STATE(275)] = 7562,
  [SMALL_STATE(276)] = 7566,
  [SMALL_STATE(277)] = 7570,
  [SMALL_STATE(278)] = 7574,
  [SMALL_STATE(279)] = 7578,
  [SMALL_STATE(280)] = 7582,
  [SMALL_STATE(281)] = 7586,
  [SMALL_STATE(282)] = 7590,
  [SMALL_STATE(283)] = 7594,
  [SMALL_STATE(284)] = 7598,
  [SMALL_STATE(285)] = 7602,
  [SMALL_STATE(286)] = 7606,
  [SMALL_STATE(287)] = 7610,
  [SMALL_STATE(288)] = 7614,
  [SMALL_STATE(289)] = 7618,
  [SMALL_STATE(290)] = 7622,
  [SMALL_STATE(291)] = 7626,
  [SMALL_STATE(292)] = 7630,
  [SMALL_STATE(293)] = 7634,
  [SMALL_STATE(294)] = 7638,
  [SMALL_STATE(295)] = 7642,
  [SMALL_STATE(296)] = 7646,
  [SMALL_STATE(297)] = 7650,
  [SMALL_STATE(298)] = 7654,
  [SMALL_STATE(299)] = 7658,
  [SMALL_STATE(300)] = 7662,
  [SMALL_STATE(301)] = 7666,
  [SMALL_STATE(302)] = 7670,
  [SMALL_STATE(303)] = 7674,
  [SMALL_STATE(304)] = 7678,
  [SMALL_STATE(305)] = 7682,
  [SMALL_STATE(306)] = 7686,
  [SMALL_STATE(307)] = 7690,
  [SMALL_STATE(308)] = 7694,
  [SMALL_STATE(309)] = 7698,
  [SMALL_STATE(310)] = 7702,
  [SMALL_STATE(311)] = 7706,
  [SMALL_STATE(312)] = 7710,
  [SMALL_STATE(313)] = 7714,
  [SMALL_STATE(314)] = 7718,
  [SMALL_STATE(315)] = 7722,
  [SMALL_STATE(316)] = 7726,
  [SMALL_STATE(317)] = 7730,
  [SMALL_STATE(318)] = 7734,
  [SMALL_STATE(319)] = 7738,
  [SMALL_STATE(320)] = 7742,
  [SMALL_STATE(321)] = 7746,
  [SMALL_STATE(322)] = 7750,
  [SMALL_STATE(323)] = 7754,
  [SMALL_STATE(324)] = 7758,
  [SMALL_STATE(325)] = 7762,
  [SMALL_STATE(326)] = 7766,
  [SMALL_STATE(327)] = 7770,
  [SMALL_STATE(328)] = 7774,
  [SMALL_STATE(329)] = 7778,
  [SMALL_STATE(330)] = 7782,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [23] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [25] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [27] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_factor, 1),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [31] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__range_element, 1),
  [33] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [35] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 2, .production_id = 3),
  [37] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [39] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 3, .production_id = 6),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [43] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 3, .production_id = 7),
  [45] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 3, .production_id = 8),
  [47] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 3),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [51] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operation, 3),
  [53] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 5),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__range_element, 1),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [59] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_factor, 1),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 2, .production_id = 3),
  [63] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operation, 3),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [71] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 5),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 3, .production_id = 6),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 3, .production_id = 8),
  [81] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 3, .production_id = 7),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, .production_id = 2),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(261),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(113),
  [121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(213),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(115),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(327),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(228),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(184),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(91),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 4), SHIFT_REPEAT(310),
  [144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_statement, 2),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2, .production_id = 12),
  [158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_statement, 3, .production_id = 12),
  [160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_otherwise_statement, 1),
  [168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 1),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_statement, 1),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_statement, 2),
  [190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_bool_repeat1, 2),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__condition, 1),
  [204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 1),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1, .production_id = 1),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(264),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(116),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(216),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(117),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(278),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(236),
  [238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(184),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(260),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 4), SHIFT_REPEAT(325),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, .production_id = 2),
  [249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_definition, 2),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_definition, 3),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 18),
  [259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cell_definition, 3),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cell_definition, 2),
  [263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_definition, 4),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 14),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, .production_id = 13),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 11),
  [271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword, 1),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 10),
  [275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 9),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, .production_id = 32),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 19),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 30),
  [287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 20),
  [289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 29),
  [291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 27),
  [293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 26),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, .production_id = 21),
  [297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 25),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 5),
  [301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 22),
  [303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 24),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment, 3),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 1),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, .production_id = 1),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_definition, 3),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_definition, 2),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, .production_id = 1),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, .production_id = 1),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_definition, 4),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cell_definition, 2),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 14),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, .production_id = 13),
  [389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 11),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 10),
  [393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 9),
  [395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cell_definition, 3),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 15),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 15),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 16),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 3),
  [417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 5),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 17),
  [421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, .production_id = 32),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 31),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 31),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 30),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 18),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 29),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 19),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 28),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 28),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 20),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 27),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 26),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, .production_id = 21),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 25),
  [449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 22),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 23),
  [453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 23),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 24),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 2), SHIFT_REPEAT(35),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 2),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 2), SHIFT_REPEAT(311),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 2), SHIFT_REPEAT(312),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_definition_repeat1, 2), SHIFT_REPEAT(48),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(35),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(311),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(312),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(48),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 1),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, .production_id = 1),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 2),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 3),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_bool_repeat1, 2), SHIFT_REPEAT(191),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2), SHIFT_REPEAT(201),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(119),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 1),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(240),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 4),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_value, 1),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 12),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_statement, 4, .production_id = 12),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_statement, 4, .production_id = 12),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_statement, 3),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_statement, 3),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_otherwise_statement, 2),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_value, 3),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_statement, 2),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [791] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_matlab(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
